' THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED 
' OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR 
' FITNESS FOR A PARTICULAR PURPOSE.
'
' Copyright (c) Microsoft Corporation. All rights reserved
'
' This script is not supported under any Microsoft standard support program or service. 
' The script is provided AS IS without warranty of any kind. Microsoft further disclaims all
' implied warranties including, without limitation, any implied warranties of merchantability
' or of fitness for a particular purpose. The entire risk arising out of the use or performance
' of the scripts and documentation remains with you. In no event shall Microsoft, its authors,
' or anyone else involved in the creation, production, or delivery of the script be liable for 
' any damages whatsoever (including, without limitation, damages for loss of business profits, 
' business interruption, loss of business information, or other pecuniary loss) arising out of 
' the use of or inability to use the script or documentation, even if Microsoft has been advised 
' of the possibility of such damages.

Option Explicit

' --------------------------------------------------------------------------------------------------------
Const cMaxSubClassExaminationDepth = 1
Const cSMS = False
Const cSMSTest = True
Const cSilent = False
Const cNoEcho = False
Const cForce = False
Const cRunOnce = False
Const cEventLog = False
Const cEventLogErrors = False
Const cLogWMIState = False
Const cErrorPopup = False
Const cCorrelateClassAndProvider = False
Const cRequestAllInstances = 1
Const cShowMOFerrors = False
Const cShowHighPrivProviders = False
Const cWriteInRepository = False
Const cWriteInExistingNS = False
Const cCheckConsistency = False
Const cWriteInRepositoryNS = "Root"
Const cBaseNS = "Root"
Const cWriteInRepositoryClass = "WMIDiagTestClass"
Const cStrict = False
Const cOldestWMIDIAGLogHistory = 0
Const cOldestEVENTLogHistory = 20
Const cNoWinZIP = False
Const cDebug = False
Const cStatistics = False
Const cShowLoadedProviders = False
Const cQueryWMIDiagData = False

Const cSMTPTo = "WMIDiag@microsoft.com"
Const cSMTPFrom = ""
Const cSMTPServer = ""
Const cSMTPPort = 25
Const cSMTPAuthenticate = 2   ' 0=Anonymous, 1=Basic, 2=NTLM
Const cSMTPUserName = ""
Const cSMTPPassword = ""
Const cSMTPSSL = False
Const cSMTPTEST = False
Const cSMTPWMIInvalidState = False

Const cMaxCSVFields = 93
Const cAsyncMaxInstances = 1000
Const cMaxNamespaces = 10
Const cMaxInstances = 250

Const cPresence = -2          
Const cCritical = -1          
Const cWarning = 0            
Const cIWarning = 1           

Const cSecurityException = 1
Const cSecuritySystem = 2
Const cSecurityApplication = 3
Const cSecurityDefaulted = 4

Const cRegistryInfo = 1 
Const cRegistryError = 2 
Const cRegistryWarning = 3 
Const cRegistryWarningWhenPresent = 4 

Const cStatic = &h01
Const cDynamic = &h02
Const cStaticAndDynamic = &h03

Const cWMIDiagVersion = "2.1"
Const cMonth = "July 2007"

Const cLoggingLevel0 = 0     ' Activity
Const cLoggingLevel1 = 1     ' Error
Const cLoggingLevel2 = 2     ' Warning
Const cLoggingLevel3 = 3     ' Activity verbose level 1
Const cLoggingLevel4 = 4     ' Activity verbose level 2
Const cLoggingDisabled = 64  ' No logging
Const cLoggingDebug = 128    ' Debug verbose logging for some critical code sections

Const wbemImpersonationLevelImpersonate = 3
Const wbemAuthenticationLevelDefault = 0

Const wbemQueryFlagDeep = 0
Const wbemQueryFlagShallow = 1
Const wbemFlagReturnImmediately = 16
Const wbemFlagSendStatus = 128

Const wbemFlagUseAmendedQualifiers = 131072

Const wbemCimtypeObject = 13
Const wbemCimtypeBoolean = 11

Const wbemChangeFlagCreateOrUpdate = 0
Const wbemFlagReturnWhenComplete = 0

Const wbemCimtypeString = 8
Const wbemCimtypeUint32 = 19

Const WBEM_E_FAILED = &h80041001
Const WBEM_E_NOT_FOUND = &h80041002
Const WBEM_E_NOT_SUPPORTED = &h8004100C 
Const WBEM_E_PROVIDER_NOT_CAPABLE = &h80041024
Const WBEM_E_CALL_CANCELLED = &h80041032 
Const WBEM_E_PROVIDER_LOAD_FAILURE = &h80041013
Const cSleepDelay = 500
Const cPopupTimeout = 40

Const cNetFWProfileDomain = 0
Const cNetFWProfileStandard = 1

Const cForReading = 1
Const cForWriting = 2
Const cForAppending = 8

Const cTristateUseDefault = -2
Const cTristateTrue = -1
Const cTristateFalse = 0

Const cOKClick = 1
Const cCancelClick = 2
Const cAbortClick = 3
Const cRetryClick = 4
Const cIgnoreClick = 5
Const cYesClick = 6
Const cNoClick = 7

Const cClientOnly = 1
Const cServerOnly = 2
Const cClientAndServer = 3

Const cWindowsUnknown = 0
Const cWindows2000RTM = 1
Const cWindows2000SP1 = 2
Const cWindows2000SP2 = 4
Const cWindows2000SP3 = 8
Const cWindows2000SP4 = 16
Const cWindowsXPRTM = 32
Const cWindowsXPSP1 = 64      
Const cWindowsXPSP164 = 128     
Const cWindowsXPSP2 = 256
Const cWindowsXPSP264 = 257
Const cWindowsXPSP3 = 258
Const cWindows2003RTM = 512     
Const cWindows2003RTM64 = 1024  
Const cWindows2003SP1 = 2048
Const cWindows2003SP164 = 4096  
Const cWindows2003SP2 = 8192
Const cWindows2003SP264 = 16384
Const cWindowsVistaRTM = 40000
Const cWindowsVistaRTM64 = 40001
Const cWindowsVistaSP1 = 40002
Const cWindowsVistaSP164 = 40003
Const cWindowsVistaSP2 = 40004
Const cWindowsVistaSP264 = 40005
Const cWindows2008SP1 = 41000
Const cWindows2008SP164 = 41001
Const cWindows2008SP2 = 41002
Const cWindows2008SP264 = 41004
Const cWindows7RTM = 50000
Const cWindows7RTM64 = 50001
Const cWindows7SP1 = 50002
Const cWindows7SP164 = 50003
Const cWindows2008R2RTM64 = 51000
Const cWindows2008R2SP164 = 51002


Const cWindowsAnyVersion = 1048575

Const cOSversion = 0
Const cPlatform = 1
Const cWMINamespace = 2
Const cWMIClassname = 3
Const cWMIProviderName = 4
Const cWMIProviderDisplayName = 5
Const cWMIProviderModel = 6
Const cWMIprovidertype = 7
Const cWMIProviderCLSID = 8
Const cWMIProviderHostingModel = 9
Const cWMIProviderBinary = 10
Const cWMIProviderMOF = 11
Const cWMIProviderAllData = 12

Const cMissingWMIInfo = "WMI information not available (This could be the case for an external application or a third party WMI provider)"

' -------------------------------------------------------------------------------------------------
Const cFileSD = 1
Const cShareSD = 2
Const cRegistrySD = 3
Const cWMINameSpaceSD = 4
Const cDComSDAccess = 5
Const cDComSDLaunch = 6

' -------------------------------------------------------------------------------------------------
' Security Descriptor Control Flags definition  (SECURITY_DESCRIPTOR_CONTROL)
Const SE_OWNER_DEFAULTED        		= &h0001
Const SE_GROUP_DEFAULTED        		= &h0002
Const SE_DACL_PRESENT           		= &h0004
Const SE_DACL_DEFAULTED         		= &h0008
Const SE_SACL_PRESENT           		= &h0010
Const SE_SACL_DEFAULTED         		= &h0020
Const SE_DACL_AUTO_INHERIT_REQ 			= &h0100
Const SE_SACL_AUTO_INHERIT_REQ  		= &h0200
Const SE_DACL_AUTO_INHERITED    		= &h0400
Const SE_SACL_AUTO_INHERITED    		= &h0800
Const SE_DACL_PROTECTED         		= &h1000
Const SE_SACL_PROTECTED         		= &h2000
Const SE_SELF_RELATIVE          		= 32768

' -------------------------------------------------------------------------------------------------
' ACEType definition (ADS_ACETYPE_ENUM)
Const ACCESS_ALLOWED_ACE_TYPE   		= &H0
Const ACCESS_DENIED_ACE_TYPE    		= &H1
Const SYSTEM_AUDIT_ACE_TYPE     		= &H2
Const SYSTEM_ALARM_ACE_TYPE     		= &H3

' -------------------------------------------------------------------------------------------------
' AceFlag definition (same values as ADS_ACEFLAG_ENUM)
Const OBJECT_INHERIT_ACE                	= &h01
Const CONTAINER_INHERIT_ACE             	= &h02
Const NO_PROPAGATE_INHERIT_ACE          	= &h04
Const INHERIT_ONLY_ACE                  	= &h08
Const INHERITED_ACE                     	= &h10
Const VALID_INHERIT_FLAG                 	= &h1F
Const SUCCESSFUL_ACCESS_ACE_FLAG        	= &h40
Const FAILED_ACCESS_ACE_FLAG            	= &h80

' -------------------------------------------------------------------------------------------------
' File System Rights definition
Const FILE_GENERIC_READ         		= &H120089
Const FILE_GENERIC_WRITE        		= &H100116
Const FILE_GENERIC_EXECUTE      		= &h1200A9

Const FILE_DELETE                    		= &H010000
Const FILE_READ_CONTROL              		= &H020000
Const FILE_WRITE_DAC                 		= &H040000
Const FILE_WRITE_OWNER               		= &H080000
Const FILE_SYNCHRONIZE               		= &H100000
Const FILE_READ_DATA            		= &H000001
Const FOLDER_LIST_DIRECTORY       		= &H000001
Const FILE_WRITE_DATA           		= &H000002
Const FOLDER_ADD_FILE             		= &H000002
Const FILE_APPEND_DATA          		= &H000004
Const FOLDER_ADD_SUBDIRECTORY     		= &H000004
Const FILE_READ_EA              		= &H000008
Const FILE_WRITE_EA             		= &H000010
Const FILE_EXECUTE              		= &H000020
Const FOLDER_TRAVERSE             		= &H000020
Const FILE_DELETE_CHILD         		= &H000040
Const FILE_READ_ATTRIBUTES      		= &H000080
Const FILE_WRITE_ATTRIBUTES     		= &H000100
Const FILE_ALL_ACCESS           		= &H1F01FF

' -------------------------------------------------------------------------------------------------
' Share Rights definition
Const FILE_SHARE_FULL_ACCESS                    = &h0C0040    
Const FILE_SHARE_CHANGE_ACCESS                  = &h010116    
Const FILE_SHARE_READ_ACCESS                    = &h1200A9    

' -------------------------------------------------------------------------------------------------
' Active Directory FlagType definition (ADS_FLAGTYPE_ENUM)
Const ADS_FLAG_OBJECT_TYPE_PRESENT              = &h1
Const ADS_FLAG_INHERITED_OBJECT_TYPE_PRESENT    = &h2

' -------------------------------------------------------------------------------------------------
' Security descriptor inheritance.
Const ADS_ACEFLAG_OBJECT_INHERIT_ACE            = &h01
Const ADS_ACEFLAG_CONTAINER_INHERIT_ACE         = &h02

' AceFlag definition (ADS_ACEFLAG_ENUM)
Const ADS_ACEFLAG_INHERIT_ACE                   = &h02
Const ADS_ACEFLAG_NO_PROPAGATE_INHERIT_ACE      = &h04
Const ADS_ACEFLAG_INHERIT_ONLY_ACE              = &h08
Const ADS_ACEFLAG_INHERITED_ACE                 = &h10
Const ADS_ACEFLAG_VALID_INHERIT_FLAGS           = &h1F
Const ADS_ACEFLAG_SUCCESSFUL_ACCESS             = &h40
Const ADS_ACEFLAG_FAILED_ACCESS                 = &h80

' -------------------------------------------------------------------------------------------------
' ADsSecurityUtility security descriptor components definitoon (ADS_SECURITY_INFO_ENUM)
Const ADS_SECURITY_INFO_OWNER                  = &h1
Const ADS_SECURITY_INFO_GROUP                  = &h2
Const ADS_SECURITY_INFO_DACL                   = &h4
Const ADS_SECURITY_INFO_SACL                   = &h8

' -------------------------------------------------------------------------------------------------
' ADsSecurityUtility security descriptor format definition (ADS_SD_FORMAT_ENUM)
Const ADS_SD_FORMAT_IID                         = &h1
Const ADS_SD_FORMAT_RAW                         = &h2
Const ADS_SD_FORMAT_HEXSTRING                   = &h3

' -------------------------------------------------------------------------------------------------
' ADsSecurityUtility path type definition (ADS_PATHTYPE_ENUM)
Const ADS_PATH_FILE                             = &h1
Const ADS_PATH_FILESHARE                        = &h2
Const ADS_PATH_REGISTRY                         = &h3

' Active Directory Service ACEType definition (ADS_ACETYPE_ENUM)
Const ADS_ACETYPE_ACCESS_ALLOWED                = &h0
Const ADS_ACETYPE_ACCESS_DENIED                 = &h1
Const ADS_ACETYPE_SYSTEM_AUDIT                  = &h2
Const ADS_ACETYPE_ACCESS_ALLOWED_OBJECT         = &h5
Const ADS_ACETYPE_ACCESS_DENIED_OBJECT          = &h6
Const ADS_ACETYPE_SYSTEM_AUDIT_OBJECT           = &h7

' -------------------------------------------------------------------------------------------------
' Registry rights definition
Const REG_QUERY_VALUE                           = &h00001
Const REG_SET_VALUE                             = &h00002
Const REG_CREATE_SUBKEYS                        = &h00004
Const REG_ENUMERATE_SUBKEYS                     = &h00008
Const REG_NOTIFY                                = &h00010
Const REG_CREATE_LINK                           = &h00020
Const REG_DELETE                                = &h10000
Const REG_READ_CONTROL                          = &h20000 
Const REG_WRITE_DAC                             = &h40000
Const REG_WRITE_OWNER                           = &h80000
Const REG_GENERIC_READ                          = &H20019  
Const REG_GENERIC_FULL_CONTROL                  = &HF003F

' -------------------------------------------------------------------------------------------------
' WMI Name Space Rights definition
Const WBEM_ENABLE                               = &h00001 
Const WBEM_METHOD_EXECUTE                       = &h00002 
Const WBEM_FULL_WRITE_REP                       = &h00004 
Const WBEM_PARTIAL_WRITE_REP                    = &h00008 
Const WBEM_WRITE_PROVIDER                       = &h00010 
Const WBEM_REMOTE_ACCESS                        = &h00020 
Const WBEM_READ_CONTROL                         = &h20000 
Const WBEM_WRITE_DAC                            = &h40000 

' -------------------------------------------------------------------------------------------------
' DCOM Rights definition
Const DCOM_RIGHT_EXECUTE                        = 1
Const DCOM_RIGHT_ACCESS_LOCAL                   = 2
Const DCOM_RIGHT_ACCESS_REMOTE                  = 4
Const DCOM_RIGHT_LAUNCH_LOCAL                   = 2
Const DCOM_RIGHT_LAUNCH_REMOTE                  = 4
Const DCOM_RIGHT_ACTIVATE_LOCAL                 = 8
Const DCOM_RIGHT_ACTIVATE_REMOTE                = 16

' --------------------------------------------------------------------------------------------------------
Const cWMIRuleGroup = "Windows Management Instrumentation (WMI)"
Const cFWRuleDCOMIn = "Windows Management Instrumentation (DCOM-In)"
Const cFWRuleWMIIn = "Windows Management Instrumentation (WMI-In)"
Const cFWRuleWMIOut = "Windows Management Instrumentation (WMI-Out)"
Const cFWRuleAsyncIn = "Windows Management Instrumentation (ASync-In)"

Const NET_FW_MODIFY_STATE_OK = 0
Const NET_FW_MODIFY_STATE_GP_OVERRIDE = 1
Const NET_FW_MODIFY_STATE_NO_EXCEPTIONS = 2
Const NET_FW_PROFILE2_DOMAIN = 1
Const NET_FW_PROFILE2_PRIVATE = 2
Const NET_FW_PROFILE2_PUBLIC = 4
Const NET_FW_IP_PROTOCOL_TCP = 6
Const NET_FW_IP_PROTOCOL_UDP = 17
Const NET_FW_IP_PROTOCOL_ICMPv4 = 1
Const NET_FW_IP_PROTOCOL_ICMPv6 = 58
Const NET_FW_RULE_DIR_IN = 1
Const NET_FW_RULE_DIR_OUT = 2
Const NET_FW_ACTION_BLOCK = 0
Const NET_FW_ACTION_ALLOW = 1

Const cWQLStartStop = "SELECT * FROM Win32_NTLogEvent Where SourceName='EventLog' And LogFile='System' And EventType=3 And (EventCode=6006 Or EventCode=6005)"
Const cSystemStart = 6005
Const cSystemStop = 6006


' --------------------------------------------------------------------------------------------------------
Dim objWMILocator
Dim objFS
Dim objWshShell
Dim objWshNetwork
Dim objShell 
Dim objStdOut
Dim objADSSecurity

Dim strFilePath
Dim strFileName, strLOGFileName, strSTATFileName, strWMIProvFileName, strDIAGFileName, strMIFFileName
Dim objLOGFileHandle, objSTATFileHandle, objDIAGFileHandle, objWMIProvFileHandle
Dim intDefaultLoggingLevel
Dim intWMICriticalityLevel
Dim intMaxSubClassExaminationDepth
Dim RunTimeEnvironmentInfo
Dim TrackingData
Dim strLastError
Dim strCSV

Dim strSMTPTo
Dim strSMTPFrom 
Dim strSMTPServer
Dim intSMTPPort
Dim intSMTPAuthenticate
Dim strSMTPUserName
Dim strSMTPPassword
Dim boolSMTPSSL
Dim boolSMTPTEST
Dim boolSMTPWMIInvalidState

Dim boolWScript 
Dim boolErrorPopup
Dim boolEventLog
Dim boolEventLogErrors
Dim boolLogWMIState
Dim boolSMS
Dim boolSilent
Dim boolNoEcho
Dim boolForce
Dim boolRunOnce
Dim boolCheckAccess
Dim boolCorrelateClassAndProvider
Dim intRequestAllInstances
Dim boolShowMOFErrors
Dim boolShowHighPrivProviders
Dim boolWriteInRepository
Dim boolWriteInExistingNS
Dim strWriteInRepository
Dim boolCheckConsistency
Dim boolWriteOperationCompleted
Dim intFreeSpace
Dim boolWMISystemError
Dim boolRC, intRC
Dim strBaseNamespace
Dim boolStrict 
Dim intOldestWMIDIAGLogHistory
Dim intOldestEVENTLogHistory
Dim boolWTTLogging
Dim boolNoWinZIP
Dim boolADsSecurity
Dim boolLoggingDebug
Dim boolStatistics
Dim boolShowLoadedProviders
Dim boolQueryWMIDiagData
Dim strWMIDataToQuery

Dim arrayWMIDCOMDataList, arraySpecificFileList, arrayWMITestList, arraySMSTestList, arraySMSAddedTestList, arraySCCMTestList
Dim arrayWMINameSpaceSecurity, arrayWMIDefaultNameSpaceSecurity, arrayWMIAppsNameSpaceSecurity, arrayWMINameSpaceSkippedSecurity 
Dim arrayDCOMDefaultAccessPermission, arrayDCOMMachineAccessRestriction
Dim arrayDCOMDefaultLaunchPermission, arrayDCOMMachineLaunchRestriction
Dim arrayWMIDCOMAccessPermission, arrayWMIDCOMLaunchPermission
Dim arrayWMIPSSDCOMAccessPermission, arrayWMIPSSDCOMLaunchPermission
Dim arrayWMIUnsecureApptDCOMAccessPermission, arrayWMIUnsecureApptDCOMLaunchPermission
Dim arrayWMIActiveScriptEventConsDCOMAccessPermission, arrayWMIActiveScriptEventConsDCOMLaunchPermission
Dim arrayWMIRepositoryFiles, arrayWMIRegistryServiceSetup, arrayWMIRegistryDCOMSetup, arrayWMIProgID
Dim arrayWMIRegistrySettings, arrayWMISystemConfigurationClasses, arrayWMIServiceKnownDependent, arrayWMIServiceActualDependent
Dim arrayExceptionForNoAutoRecoveryWBEMMOFFiles, arrayExceptionForMissingWMIProviderMOFFile, arrayExceptionForMissingDCOMRegistration
Dim arrayExceptionForMissingWMIProviderFile, arrayWMISystemClassList
Dim arrayKnownMOFFiles (), arrayKnownMOFFilesInAutoRecovery, arrayExceptionHighPrivWMIProvider, WBEMError
Dim arrayWMIProviderData, arrayWMIProviderDisplayName

Dim strStartTime
Dim strStartDate
Dim strStartDateTime 

Dim strExecutionDelta
Dim intExecutionDelta 
Dim strStart
Dim strEnd

Dim intCommandLineIndex
Dim longLogLineCounter
Dim longErrorCounter
Dim longWarningCounter
Dim longDynamicInstanceCounter
Dim longStaticInstanceCounter
Dim longInProcWMIProvider
Dim longOutOfProcWMIProvider
Dim longDecoupledWMIProvider
Dim longAsyncInstanceCounter
Dim longAsyncCancellationCounter

Dim longCIMClassCounter
Dim longCIMClassDescriptionCounter
Dim longCIMClassPropertyCounter
Dim longCIMClassReadPropertyCounter 
Dim longCIMClassWritePropertyCounter
Dim longCIMClassReadWritePropertyCounter
Dim longCIMClassPropertyDescriptionCounter
Dim longCIMClassPropertyNoDescriptionCounter
Dim longCIMClassReadPropertyDescriptionCounter
Dim longCIMClassWritePropertyDescriptionCounter
Dim longCIMClassReadWritePropertyDescriptionCounter

Dim longCIMClassMethodCounter
Dim longCIMClassMethodDescriptionCounter
Dim longCIMClassMethodInParameterCounter 
Dim longCIMClassMethodOutParameterCounter 
Dim longCIMClassMethodInParamDescriptionCounter 
Dim longCIMClassMethodOutParamDescriptionCounter 
Dim longCIMClassWithMethodCounter

Dim longWMIProviderCounter
Dim longWMIClassCounter
Dim longWMIClassDescriptionCounter
Dim longWMIClassPropertyCounter
Dim longWMIClassReadPropertyCounter 
Dim longWMIClassWritePropertyCounter 
Dim longWMIClassReadWritePropertyCounter
Dim longWMIClassPropertyDescriptionCounter
Dim longWMIClassPropertyNoDescriptionCounter
Dim longWMIClassReadPropertyDescriptionCounter
Dim longWMIClassWritePropertyDescriptionCounter
Dim longWMIClassReadWritePropertyDescriptionCounter

Dim longWMIClassMethodCounter
Dim longWMIClassMethodDescriptionCounter
Dim longWMIClassMethodInParameterCounter 
Dim longWMIClassMethodOutParameterCounter 
Dim longWMIClassMethodInParamDescriptionCounter 
Dim longWMIClassMethodOutParamDescriptionCounter 
Dim longWMIClassWithMethodCounter
 
Dim varParameter()
Dim varParameterValue()

Dim objWMIServicesToRoot, objWMIServicesForWrite ()
Dim boolSinkCompleted, boolSinkCancelled, boolSinkError, objWMISink

Class classRunTimeEnvironmentInfo
      Dim StartMenu
      Dim Desktop
      Dim Programs
      Dim SystemDrive
      Dim SystemRoot
      Dim Path
      Dim UserTemp
      Dim SystemTemp
      Dim System32
      Dim System
      Dim WBem
      Dim WBemLogs
      Dim CurrentDirectory
      Dim AllUsersStartMenu
      Dim AllUsersDesktop
      Dim AllUsersPrograms

      Dim DomainName
      Dim UserName
      Dim UserDNSDomain

      Dim LocalComputerName
      Dim LogonServerName

      Dim WSHScriptVersion
      Dim ScriptName
      Dim ScriptFullName
      Dim ScriptingName
      Dim EngineFullName
      Dim CommandLine
      Dim EnginePath
      Dim EngineVersion

      Dim ProductName
      Dim Locale
      Dim IsServerOS
      Dim Is64
      Dim IsWow64
      Dim ProcessorArchitecture
      Dim ProcessorIdentifier
      Dim NTVersion
      Dim NTBuild
      Dim NTServicePack
      Dim ProductFullName
      Dim ProductShortName
      Dim OSIdentifier
      Dim OSStringIdentifier
      Dim OSBrandVersion
      Dim SPUpgrade

      Dim SMSAgent
      Dim WinZIP
End Class

Class ClassWBEMError
      Dim WBEMCode
      Dim WBEMError
      Dim WBEMMessage
      Dim WBEMCounter
End Class

Class ClassTrackingData
      Dim Environment
      Dim WMIProviderSupportingEnumeration
      Dim PresenceOfFiles
      Dim AdditionalBinaryWBEMFolder
      Dim MissingWMISystemFiles
      Dim RepositoryFileSizes
      Dim MissingRepositoryFiles
      Dim AutoRecoveryMissingMOFFiles
      Dim WBemFolderMOFFilesNotListedInAutoRecovery
      Dim FirewallStatus
      Dim InvalidWMIServiceSetup
      Dim WMIServiceDependents
      Dim ServiceState
      Dim InvalidWMIServiceDCOMSetup
      Dim InvalidDCOMSetup
      Dim WMIDCOMRegistrations
      Dim HighPrivWMIProvider
      Dim RequiresEncryption
      Dim WMIProviderDCOMRegistrations
      Dim WMIProviderCIMRegistrations
      Dim WMIProviderEmptyCLSID
      Dim MissingWMIProviderFile
      Dim MissingWMIProviderMOFFile
      Dim GoodProviderCIMRegistration
      Dim WMIProviderRegistrationData
      Dim WMIProviderLocationData
      Dim ClassSupportedByProvider
      Dim LocatedWMIProviderMOFFile
      Dim DecoupledWMIProvider
      Dim WriteInRepository
      Dim WMIConnectionErrors
      Dim WMIMonikerConnectionErrors
      Dim WMIEnumerationErrors
      Dim WMIGetErrors
      Dim WMIPutErrors
      Dim WMIDeleteErrors
      Dim WMIMethodErrors
      Dim WMIExecQueryErrors
      Dim QualifierAccessError   
      Dim InvalidWMIRegistrySetup
      Dim WMIDiskData 
      Dim WMIEventLogEventData
      Dim WMIRepositoryConsistency
      Dim FailingMOFRepresentation
      Dim WMIGetValuePropertyErrors
      Dim WMIEnumerationSkipped 
      Dim WMIExecQuerySkipped 
      Dim WMIGetValuePropertySkipped 
      Dim ADAPStatus
      Dim WMIObjectProgID
      Dim PragmaAutorecoverMOFFile
      Dim NoPragmaAutorecoverMOFFile
      Dim SecurityDescriptor
      Dim UAC
      Dim InvalidShutdown
      Dim PermanentSubscriptions
      Dim TimerInstructions
End Class

Class EventLogEntry
      Dim RecordNumber
      Dim EventCode
      Dim TimeGenerated
End Class

On Error Resume Next

' --------------------------------------------------------------------------------------------------------
Set objWMILocator = CreateObject ("WBemscripting.SWBemlocator")
objWMILocator.Security_.AuthenticationLevel = wbemAuthenticationLevelDefault
objWMILocator.Security_.ImpersonationLevel = wbemImpersonationLevelImpersonate

Set objFS = CreateObject ("Scripting.FileSystemObject")
Set objWshShell = CreateObject ("WScript.Shell")
Set objWshNetwork = CreateObject ("WScript.Network")
set objShell = CreateObject("Shell.Application")
Set objStdOut = WScript.StdOut

' --------------------------------------------------------------------------------------------------------
Set RunTimeEnvironmentInfo = new classRunTimeEnvironmentInfo
Set TrackingData = new ClassTrackingData

GetRunTimeEnvInfo RunTimeEnvironmentInfo

If RunTimeEnvironmentInfo.OSIdentifier > cWindows2000SP4 Then
   Set objADSSecurity = CreateObject ("ADsSecurityUtility")
   If Err.Number Then
      boolADsSecurity = False
      Err.Clear
   Else
      boolADsSecurity = True
   End If
Else
   Set objADSSecurity = CreateObject ("ADsSecurityForWMIDiag")
   If Err.Number Then
      boolADsSecurity = False
      Err.Clear
   Else
      boolADsSecurity = True
   End If
End If

ReDim WBEMError (0)
Set WBEMError (0) = new ClassWBEMError
WBEMError (0).WBEMCounter = 0

longLogLineCounter = 0
longErrorCounter = 0
longWarningCounter = 0
intWMICriticalityLevel = 0
longDynamicInstanceCounter = 0
longStaticInstanceCounter = 0
longInProcWMIProvider = 0
longOutOfProcWMIProvider = 0
longDecoupledWMIProvider = 0
longAsyncInstanceCounter = 0
longAsyncCancellationCounter = 0

longCIMClassCounter = 0
longCIMClassDescriptionCounter = 0
longCIMClassPropertyCounter = 0
longCIMClassReadPropertyCounter = 0
longCIMClassWritePropertyCounter = 0
longCIMClassReadWritePropertyCounter = 0
longCIMClassPropertyDescriptionCounter = 0
longCIMClassPropertyNoDescriptionCounter = 0
longCIMClassReadPropertyDescriptionCounter = 0
longCIMClassWritePropertyDescriptionCounter = 0
longCIMClassReadWritePropertyDescriptionCounter = 0

longCIMClassMethodCounter = 0
longCIMClassMethodDescriptionCounter = 0
longCIMClassMethodInParameterCounter = 0
longCIMClassMethodOutParameterCounter = 0
longCIMClassMethodInParamDescriptionCounter = 0
longCIMClassMethodOutParamDescriptionCounter = 0
longCIMClassWithMethodCounter = 0

longWMIProviderCounter = 0

longWMIClassCounter = 0
longWMIClassDescriptionCounter = 0
longWMIClassPropertyCounter = 0
longWMIClassReadPropertyCounter = 0
longWMIClassWritePropertyCounter = 0
longWMIClassPropertyDescriptionCounter = 0
longWMIClassPropertyNoDescriptionCounter = 0
longWMIClassReadPropertyDescriptionCounter = 0
longWMIClassWritePropertyDescriptionCounter = 0
longWMIClassReadWritePropertyDescriptionCounter = 0

longWMIClassMethodCounter = 0
longWMIClassMethodDescriptionCounter = 0
longWMIClassMethodInParameterCounter = 0
longWMIClassMethodOutParameterCounter = 0
longWMIClassMethodInParamDescriptionCounter = 0
longWMIClassMethodOutParamDescriptionCounter = 0
longWMIClassWithMethodCounter = 0

boolForce = cForce
boolNoEcho = cNoEcho
boolRunOnce = cRunOnce
boolEventLog = cEventLog
boolEventLogErrors = cEventLogErrors
boolLogWMIState = cLogWMIState
boolSMS = cSMS
boolSilent = cSilent
boolErrorPopup = cErrorPopup
boolCorrelateClassAndProvider = cCorrelateClassAndProvider
intRequestAllInstances = cRequestAllInstances
boolShowMOFErrors = cShowMOFerrors
boolShowHighPrivProviders = cShowHighPrivProviders
boolWriteInRepository = cWriteInRepository
boolWriteInExistingNS = cWriteInExistingNS
boolCheckConsistency = cCheckConsistency
boolWriteOperationCompleted = False
strBaseNamespace = cBaseNS
boolStrict = cStrict
intOldestWMIDIAGLogHistory = cOldestWMIDIAGLogHistory 
intOldestEVENTLogHistory = cOldestEVENTLogHistory
strFilePath = RunTimeEnvironmentInfo.UserTemp  
intDefaultLoggingLevel = cLoggingLevel0
intMaxSubClassExaminationDepth = cMaxSubClassExaminationDepth 
objLOGFileHandle = Null
boolWTTLogging = False
boolNoWinZIP = cNoWinZIP
boolLoggingDebug = cDebug
boolStatistics = cStatistics
boolShowLoadedProviders = cShowLoadedProviders
boolQueryWMIDiagData = cQueryWMIDiagData

strSMTPTo = cSMTPTo
strSMTPFrom = cSMTPFrom
strSMTPServer = cSMTPServer 
intSMTPPort = cSMTPPort
intSMTPAuthenticate = cSMTPAuthenticate
strSMTPUserName = cSMTPUserName 
strSMTPPassword = cSMTPPassword
boolSMTPSSL = cSMTPSSL
boolSMTPTEST = cSMTPTEST
boolSMTPWMIInvalidState = cSMTPWMIInvalidState

If Ucase (RunTimeEnvironmentInfo.EnginePath & "\Wscript.Exe") = Ucase (RunTimeEnvironmentInfo.EngineFullName) Then
   boolNoEcho = True
   boolWScript = True
End If

' --------------------------------------------------------------------------------------------------------------------
strStartTime = Time
strStartDate = Date
strStartDateTime = strStartDate & " " & strStartTime
strFileName = Ucase ("WMIDiag-v" & cWMIDiagVersion & "_" & RunTimeEnvironmentInfo.ProductShortName & "_" & RunTimeEnvironmentInfo.LocalComputerName & "_" & _
                     Year (strStartDateTime) & "." & _
                     Right ("00" & Month (strStartDateTime), 2) & "." & _
                     Right ("00" & Day (strStartDateTime), 2) & "_" & _
                     Right ("00" & Hour (strStartDateTime), 2) & "." & _
                     Right ("00" & Minute (strStartDateTime), 2) & "." & _
                     Right ("00" & Second (strStartDateTime), 2))

strSTATFileName = strFileName & "-STATISTICS.CSV"
strLOGFileName = strFileName & ".LOG"
strWMIProvFileName = strFileName & "-PROVIDERS.CSV"
strDIAGFileName = strFileName & "-REPORT.TXT"
strMIFFileName = strFileName & ".MIF"

' -----------------------------------------------------------------------------------------------------------------------
If (ParseCommandLineArguments (objLOGFileHandle, varParameter, varParameterValue)) > 0 Then
   For intCommandLineIndex = 0 to Ubound(varParameter) - 1
       Select Case Ucase (varParameter (intCommandLineIndex))
              Case "SMTPTO"
                   strSMTPTo = varParameterValue (intCommandLineIndex)

              Case "SMTPFROM" 
                   strSMTPFrom = varParameterValue (intCommandLineIndex)

              Case "SMTPSERVER"
                   strSMTPServer = LCase (varParameterValue (intCommandLineIndex))
                   If Len (strSMTPFrom) = 0 Then
                      ErrorHandler objLOGFileHandle, "InvalidCommandLineParameter", "SMTPFROM email address is invalid. It must be specified BEFORE the SMTPSERVER parameter.", True, Err
                      ExitWMIDiag (3)
                   End If

              Case "SMTPPORT"
                   intSMTPPort = CLng (varParameterValue (intCommandLineIndex))
                   If intSMTPPort < 1 Or intSMTPPort > 65535 Then
                      ErrorHandler objLOGFileHandle, "InvalidCommandLineParameter", "SMTPPORT is invalid. It must be a value between 1 and 65535.", True, Err
                      ExitWMIDiag (3)
                   End If

              Case "SMTPAUTHENTICATE"
                   Select Case Ucase(varParameterValue (intCommandLineIndex))
                          Case "ANONYMOUS"
                               intSMTPAuthenticate = 0
                          Case "BASIC" 
                               intSMTPAuthenticate = 1
                          Case "NTLM"
                               intSMTPAuthenticate = 2
                          Case Else
                               ErrorHandler objLOGFileHandle, "InvalidCommandLineParameter", "Invalid SMTPAUTHENTICATE parameter detected: '" & varParameter (intCommandLineIndex) & "'.", True, Err
                               Help ()
                               ExitWMIDiag (3)
                   End Select

              Case "SMTPUSERNAME"
                   strSMTPUsername = varParameterValue (intCommandLineIndex)

              Case "SMTPPASSWORD"
                   strSMTPPassword = varParameterValue (intCommandLineIndex)

              Case "SMTPSSL" 
                   boolSMTPSSL = True

              Case "SMTPTEST"
                   boolSMTPTEST = True

              Case "SMTPWMIINVALIDSTATE"
                   boolSMTPWMIInvalidState = True

              Case "SMS"
                   boolSMS = True

              Case "SILENT"
                   boolSilent = True

              Case "NOECHO"
                   boolNoEcho = True

              Case "FORCE"
                   boolForce = True
    
              Case "RUNONCE"
                   boolRunOnce = True

              Case "LOGWMISTATE"
                   boolLogWMIState = True

              Case "DEPTH"
                   intMaxSubClassExaminationDepth = CLng(varParameterValue (intCommandLineIndex))
                   If intMaxSubClassExaminationDepth < 1 Or intMaxSubClassExaminationDepth > 9 Then
                      ErrorHandler objLOGFileHandle, "InvalidCommandLineParameter", "Depth examination " & intMaxSubClassExaminationDepth & " is invalid.", True, Err
                      ExitWMIDiag (3)
                   End If

              Case "LOGGINGLEVEL"
                   intDefaultLoggingLevel = CLng(varParameterValue (intCommandLineIndex))
                   If intDefaultLoggingLevel < 0 Or intDefaultLoggingLevel > cLoggingLevel4 Then
                      ErrorHandler objLOGFileHandle, "InvalidCommandLineParameter", "Logging level " & intDefaultLoggingLevel & " is invalid.", True, Err
                      ExitWMIDiag (3)
                   End If

              Case "OLDESTLOGHISTORY"
                   intOldestWMIDIAGLogHistory = CLng(varParameterValue (intCommandLineIndex))
                   If intOldestWMIDIAGLogHistory =< 0 Or intOldestWMIDIAGLogHistory > 365 Then
                      ErrorHandler objLOGFileHandle, "InvalidCommandLineParameter", "Oldest WMIDIAG Log History " & intOldestWMIDIAGLogHistory & " is invalid.", True, Err
                      ExitWMIDiag (3)
                   End If

              Case "OLDESTEVENTLOGHISTORY"
                   intOldestEVENTLogHistory = CLng(varParameterValue (intCommandLineIndex))
                   If intOldestEVENTLogHistory =< 0 Or intOldestEVENTLogHistory > 365 Then
                      ErrorHandler objLOGFileHandle, "InvalidCommandLineParameter", "Oldest EVENT Log History " & intOldestEVENTLogHistory & " is invalid.", True, Err
                      ExitWMIDiag (3)
                   End If

              Case "CORRELATECLASSANDPROVIDER"
                   boolCorrelateClassAndProvider = True

              Case "REQUESTALLINSTANCES"
                   Select Case Ucase(varParameterValue (intCommandLineIndex))
                          Case "STATIC"
                               intRequestAllInstances = cStatic
                          Case "DYNAMIC" 
                               intRequestAllInstances = cDynamic
                          Case "STATICANDDYNAMIC", ""
                               intRequestAllInstances = cStaticAndDynamic
                          Case Else
                               ErrorHandler objLOGFileHandle, "InvalidCommandLineParameter", "Invalid Request All Instances parameter detected: '" & varParameter (intCommandLineIndex) & "'.", True, Err
                               Help ()
                               ExitWMIDiag (3)
                   End Select

              Case "WRITEINREPOSITORY"
                   strWriteInRepository = Ucase (varParameterValue (intCommandLineIndex))
                   If Len (strWriteInRepository) = 0 Then 
                      boolWriteInExistingNS = False
                      strWriteInRepository = cWriteInRepositoryNS
                   Else
                      boolWriteInExistingNS = True
                      strWriteInRepository = ReplaceString (strWriteInRepository, "\", "/")
                   End If
                   boolWriteInRepository = True

              Case "STRICT"
                   boolStrict = True

              Case "CHECKCONSISTENCY"
                   boolCheckConsistency = True
                   
              Case "SHOWMOFERRORS"
                   boolShowMOFErrors = True

              Case "SHOWHIGHPRIVPROVIDERS"
                   boolShowHighPrivProviders = True

              Case "BASENAMESPACE"
                   strBaseNamespace = Ucase (varParameterValue (intCommandLineIndex))
                   If Len (strBaseNameSpace) = 0 Then strBaseNameSpace = "ROOT"
                   strBaseNamespace = ReplaceString (strBaseNamespace, "\", "/")

              Case "LOGFILEPATH"
                   strFilePath = varParameterValue (intCommandLineIndex)
                   If Len (strFilePath) = 0 Then 
                      strFilePath = RunTimeEnvironmentInfo.UserTemp
                   Else
                      If Len (RunTimeEnvironmentInfo.CurrentDirectory) > 0 Then
                         If Left (strFilePath, 1) = "." Then 
                            If Left (strFilePath, 2) = ".." Then
                               strFilePath = RunTimeEnvironmentInfo.CurrentDirectory & "\" & strFilePath
                            Else
                               strFilePath = RunTimeEnvironmentInfo.CurrentDirectory & Mid (strFilePath, 2)
                            End If
                         End If
                      End If
                   End If

                   If Mid (strFilePath, Len (strFilePath), 1) <> "\" Then
                      strFilePath = strFilePath & "\"
                   End If

              Case "LOGNTEVENTS"
                   boolEventLog = True

              Case "LOGNTEVENTERRORS"
                   boolEventLogErrors = True

              Case "ERRORPOPUP"
                   boolErrorPopup = True

              Case "WTTLOGGING"
                   boolWTTLogging = True

              Case "NOWINZIP"
                   boolNoWinZIP = True

              Case "DEBUG"
                   boolLoggingDebug = True

              Case "STATISTICS"
                   boolStatistics = True

              Case "SHOWLOADEDPROVIDERS"
                   boolShowLoadedProviders = True

              Case "QUERYWMIDIAGDATA"
                   boolQueryWMIDiagData = True
                   strWMIDataToQuery = varParameterValue (intCommandLineIndex)
    
              Case "?", "HELP", "/?"
                   Help ()
                   ExitWMIDiag (0)

              Case Else
                   ErrorHandler objLOGFileHandle, "InvalidCommandLineParameter", "Invalid command line parameter detected: '" & varParameter (intCommandLineIndex) & "'.", True, Err
                   Help ()
                   ExitWMIDiag (3)
       End Select
   Next
End If

If boolSMS = True Then
   boolNoEcho = True
   boolSilent = True
End If

If boolSilent = False And boolWScript = True Then
   intRC = objWSHShell.Popup ("Your default scripting engine is WSCRIPT.EXE." & vbCRLF & _ 
                              "Therefore WMIDiag will not produce any echo! " & vbCRLF & _
                              "The script will continue automatically in " & cPopupTimeout & " second(s) and run silently in the background." & vbCRLF & vbCRLF & _
                              "To see WMIDiag script activity on the screen, at the prompt, type: " & vbCRLF & vbCRLF & _
                              "                               Cscript.Exe //H:Cscript", _
                              cPopupTimeout, _
                              "(WMIDiag " & cWMIDiagVersion & ") Information", _
                              vbExclamation Or vbOk)
   If intRC = vbCancel Then
      ExitWMIDiag (4)
   End If
End If

If boolSMTPTEST Then
   If Len (strSMTPServer) > 0 Then
      SendMessage strSMTPTo, _
                  strSMTPFrom, _
                  "WMIDiag v" & cWMIDiagVersion & " TEST message. Started on " & FormatDateTime (Date, vbLongDate) & " at " & FormatDateTime (Time, vbShortTime) & ".", _
                  "WMIDiag v" & cWMIDiagVersion & " TEST message. Please discard!", _
                  "", _
                  Null
      ExitWMIDiag (0)
   End If
End If

If boolSilent = False And boolCheckConsistency = True And RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP2 Then
   intRC = objWSHShell.Popup ("Under Windows XP SP2, when the repository consistency is checked and when it" & vbCRLF & _
                              "is detected INCONSISTENT, a new repository is automatically re-created based on Auto-Recovery mechanism." & vbCRLF & _
                              "Note that some information CAN BE LOST during this process (i.e. static data, CIM registration)." & vbCRLF & _
                              "However, the original repository will be located at:" & vbCRLF & vbCRLF & _
                              RunTimeEnvironmentInfo.WBem & "Repository.001", _
                              cPopupTimeout * 2, _
                              "(WMIDiag " & cWMIDiagVersion & ") Information", _
                              vbExclamation Or vbOk)
   If intRC = vbCancel Then
      ExitWMIDiag (4)
   End If
End If

If boolSilent = False And boolCheckConsistency = True And RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP3 Then
   intRC = objWSHShell.Popup ("Under Windows XP SP3, when the repository consistency is checked and when it" & vbCRLF & _
                              "is detected INCONSISTENT, a new repository is automatically re-created based on Auto-Recovery mechanism." & vbCRLF & _
                              "Note that some information CAN BE LOST during this process (i.e. static data, CIM registration)." & vbCRLF & _
                              "However, the original repository will be located at:" & vbCRLF & vbCRLF & _
                              RunTimeEnvironmentInfo.WBem & "Repository.001", _
                              cPopupTimeout * 2, _
                              "(WMIDiag " & cWMIDiagVersion & ") Information", _
                              vbExclamation Or vbOk)
   If intRC = vbCancel Then
      ExitWMIDiag (4)
   End If
End If

If boolSilent = False And Len (strSMTPServer) Then
   intRC = objWSHShell.Popup ("By specifying an SMTP relay address '" & strSMTPServer & "', you consent to send WMIDiag information to '" & Lcase (strSMTPTo) & "' via email!" & vbCRLF & vbCRLF & _ 
                              "Press CANCEL if you disagree ... otherwise, the script will continue automatically in " & cPopupTimeout & " second(s)!", _
                              cPopupTimeout, _
                              "(WMIDiag " & cWMIDiagVersion & ") Information", _
                              vbExclamation Or vbOk)
   If intRC = vbCancel Then
      ExitWMIDiag (4)
   End If
End If

If boolSilent = False And intRequestAllInstances > 1 Then
   intRC = objWSHShell.Popup ("WMIDiag will request all STATIC and DYNAMIC instances that can be retrieved with WMI." & vbCRLF & vbCRLF & _ 
                              "This operation REQUIRES that all installed services and applications providing information" & vbCRLF & _
                              "through WMI are UP and running, otherwise, this could generate A LOT of unwanted errors!" & vbCRLF & vbCRLF & _
                              "This operation can be VERY CPU intensive!" & vbCRLF & vbCRLF & _
                              "The script will continue automatically in " & cPopupTimeout & " second(s) and run" & vbCRLF & _
                              "from 30 minutes to SEVERAL hours depending of the installation options." & vbCRLF & vbCRLF & _
                              "Press CANCEL if you do not want to perform this operation!", _
                              cPopupTimeout, _
                              "(WMIDiag " & cWMIDiagVersion & ") Information", _
                              vbExclamation Or vbOk)
   If intRC = vbCancel Then
      ExitWMIDiag (4)
   End If
End If

' -----------------------------------------------------------------------------------------------------------------------
Set objLOGFileHandle = CreateTextFile (strFilePath & strLOGFileName)
If IsNull (objLOGFileHandle) = True Then 
   Err.Clear
   ErrorHandler Null, "Main", "LOG file " & Chr(34) & strFilePath & strLOGFileName & Chr(34) & " CANNOT be created.", True, Err
   ExitWMIDiag (1)
End If
WriteToLogFile objLOGFileHandle, "LOG file " & Chr(34) & strFilePath & strLOGFileName & Chr(34) & " created.", cLoggingLevel0, False

If boolShowLoadedProviders Then
   intDefaultLoggingLevel = cLoggingLevel4

   InitializeWMISystemInformation objLOGFileHandle
   GetLoadedProviders objLOGFileHandle, ""

   WriteToLogFile objLOGFileHandle, "LOG file " & Chr(34) & strFilePath & strLOGFileName & Chr(34) & " closed.", cLoggingLevel0, False
   CloseTextFile (objLOGFileHandle)
   ExitWMIDiag (0)
End If

If boolQueryWMIDiagData Then
   intDefaultLoggingLevel = cLoggingLevel4

   InitializeWMISystemInformation objLOGFileHandle
   QueryWMIDiagData objLOGFileHandle, strWMIDataToQuery

   WriteToLogFile objLOGFileHandle, "LOG file " & Chr(34) & strFilePath & strLOGFileName & Chr(34) & " closed.", cLoggingLevel0, False
   CloseTextFile (objLOGFileHandle)
   ExitWMIDiag (0)
End If

Set objSTATFileHandle = CreateTextFile (strFilePath & strSTATFileName)
If IsNull (objSTATFileHandle) = True Then 
   Err.Clear
   ErrorHandler Nothing, "Main", "CSV file " & Chr(34) & strFilePath & strSTATFileName & Chr(34) & " CANNOT be created.", True, Err
   ExitWMIDiag (1)
End If
WriteToLogFile objLOGFileHandle, "CSV file " & Chr(34) & strFilePath & strSTATFileName & Chr(34) & " created.", cLoggingLevel0, False

Set objDiAGFileHandle = CreateTextFile (strFilePath & strDiAGFileName)
If IsNull (objDiAGFileHandle) = True Then 
   Err.Clear
   ErrorHandler Nothing, "Main", "TXT file " & Chr(34) & strFilePath & strDIAGFileName & Chr(34) & " CANNOT be created.", True, Err
   ExitWMIDiag (1)
End If
WriteToLogFile objLOGFileHandle, "TXT file " & Chr(34) & strFilePath & strDiAGFileName & Chr(34) & " created.", cLoggingLevel0, False

If boolWTTLogging = True then
   If IncludeAndExecuteVBS (objLOGFileHandle, RunTimeEnvironmentInfo.CurrentDirectory & "\" & "Support.vbs") = True Then
      boolWTTLogging = False
   Else
      CreateWTTLogDevice (strLOGFileName)
      StartWTTTest (strLOGFileName)
   End if
End if

If boolCorrelateClassAndProvider = True Then
   Set objWMIProvFileHandle = CreateTextFile (strFilePath & strWMIProvFileName)
   If IsNull (objWMIProvFileHandle) = True Then 
      Err.Clear
      ErrorHandler objLOGFileHandle, "Main", "CSV file " & Chr(34) & strFilePath & strWMIProvFileName & Chr(34) & " CANNOT be created.", True, Err
      ExitWMIDiag (1)
   End If
   WriteToLogFile objLOGFileHandle, "CSV file " & Chr(34) & strFilePath & strWMIProvFileName & Chr(34) & " created.", cLoggingLevel0, False
End If

DumpCSV cWMIDiagVersion, "cWMIDiagVersion", 1, True
DumpCSV Month (Date) & "/" & Day (Date) & "/" & Year (Date), "Date", 1, True
DumpCSV Time, "Time", 1, True

strStart = "WMIDiag v" & cWMIDiagVersion & " started on " & FormatDateTime (Date, vbLongDate) & " at " & FormatDateTime (Time, vbShortTime) & "."
WriteToLogFile objLOGFileHandle, strStart, cLoggingLevel0, False
MSDisclaimer (objLOGFileHandle)

If boolLogWMIState = True Then objWshShell.LogEvent 0, "WMIDIAG BEGIN: " & strStart

If Len (strSMTPServer) > 0 Then 
   WriteToLogFile objLOGFileHandle, "By specifying an SMTP relay address, the user '" & RunTimeEnvironmentInfo.DomainName & "\" & RunTimeEnvironmentInfo.UserName & "' consents to send information to '" & Lcase (strSMTPTo) & "' via email!", cLoggingLevel2, True

   WriteToLogFile objLOGFileHandle, "SMTPServer=" & strSMTPServer, cLoggingLevel4, False
   WriteToLogFile objLOGFileHandle, "SMTPPort=" & intSMTPPort, cLoggingLevel4, False
   WriteToLogFile objLOGFileHandle, "SMTPAuthenticate=" & intSMTPAuthenticate, cLoggingLevel4, False
   WriteToLogFile objLOGFileHandle, "SMTPUserName=" & strSMTPUserName, cLoggingLevel4, False
   WriteToLogFile objLOGFileHandle, "SMTPPassword=********", cLoggingLevel4, False
   WriteToLogFile objLOGFileHandle, "SMTPSSL=" & boolSMTPSSL, cLoggingLevel4, False
   WriteToLogFile objLOGFileHandle, "SMTPTO=" & strSMTPTO, cLoggingLevel4, False
   WriteToLogFile objLOGFileHandle, "SMTPFrom=" & strSMTPFrom, cLoggingLevel4, False
End If

WriteToLogFile objLOGFileHandle, "NOECHO=" & boolNoEcho, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "SILENT=" & boolSilent, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "SMS=" & boolSMS, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "FORCE=" & boolForce, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "NOWINZIP=" & boolNoWinZIP, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "DEBUG=" & boolLoggingDebug, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "STATISTICS=" & boolStatistics, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "RUNONCE=" & boolRunOnce, cLoggingLevel3, False
Select Case intMaxSubClassExaminationDepth
       Case 1
            WriteToLogFile objLOGFileHandle, "DEPTH LEVEL=" & intMaxSubClassExaminationDepth, cLoggingLevel3, False
       Case 2
            WriteToLogFile objLOGFileHandle, "DEPTH LEVEL=" & intMaxSubClassExaminationDepth & " (WARNING: This will be quite long!)", cLoggingLevel3, False
       Case Else
            WriteToLogFile objLOGFileHandle, "DEPTH LEVEL=" & intMaxSubClassExaminationDepth & " (WARNING: This will be extremely long and CPU intensive!!!)", cLoggingLevel3, False
End Select
WriteToLogFile objLOGFileHandle, "LOGGINGLEVEL=" & intDefaultLoggingLevel, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "EVENTLOG=" & boolEventLog, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "EVENTLOGERRORS=" & boolEventLogErrors, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "LOGWMISTATE=" & boolLogWMIState, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "ERRORPOPUP=" & boolErrorPopup, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "REQUESTALLINSTANCES=" & intRequestAllInstances, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "WRITEINREPOSITORY=" & boolWriteInRepository, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "CHECKCONSISTENCY=" & boolCheckConsistency, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "SHOWMOFERRORS=" & boolShowMOFErrors, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "SHOWHIGHPRIVPROVIDERS=" & boolShowHighPrivProviders, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "CORRELATECLASSANDPROVIDER=" & boolCorrelateClassAndProvider, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "STRICT=" & boolStrict, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "OLDESTLOGHISTORY=" & intOldestWMIDIAGLogHistory, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "OLDESTEVENTLOGHISTORY=" & intOldestEVENTLogHistory, cLoggingLevel3, False
WriteToLogFile objLOGFileHandle, "BASENAMESPACE=" & strBaseNamespace, cLoggingLevel3, False

' -----------------------------------------------------------------------------------------------------------------------
If CheckLastRun (objLOGFileHandle) = True Then
   intWMICriticalityLevel = 4
Else
   LogRunTimeEnvInfo objLOGFileHandle, RunTimeEnvironmentInfo

   InitializeWMISystemInformation objLOGFileHandle

   WriteToLogFile objLOGFileHandle, RunTimeEnvironmentInfo.ProductFullName & " (" & RunTimeEnvironmentInfo.ProductShortName & ").", cLoggingLevel0, False
   If Len (RunTimeEnvironmentInfo.SPUpgrade) > 0 Then 
      WriteToLogFile objLOGFileHandle, "INFO: " & RunTimeEnvironmentInfo.SPUpgrade, cLoggingLevel0, False
   End If

   DumpCSV RunTimeEnvironmentInfo.IsServerOS, "IsServerOS", 1, True
   DumpCSV RunTimeEnvironmentInfo.Is64, "Is64", 1, True
   DumpCSV RunTimeEnvironmentInfo.IsWOW64, "IsWOW64", 1, True
   DumpCSV RunTimeEnvironmentInfo.ProcessorArchitecture, "ProcessorArchitecture", 1, True
   DumpCSV RunTimeEnvironmentInfo.ProcessorIdentifier, "ProcessorIdentifier", 1, True
   DumpCSV RunTimeEnvironmentInfo.NTVersion, "NTVersion", 1, True
   DumpCSV RunTimeEnvironmentInfo.NTBuild, "NTBuild", 1, True
   DumpCSV RunTimeEnvironmentInfo.NTServicePack, "NTServicePack", 1, True
   DumpCSV RunTimeEnvironmentInfo.ProductFullName, "ProductFullName", 1, True
   DumpCSV RunTimeEnvironmentInfo.ProductShortName, "ProductShortName", 1, True
   DumpCSV RunTimeEnvironmentInfo.Locale, "Locale", 1, True
   DumpCSV RunTimeEnvironmentInfo.LocalComputerName, "LocalComputerName", 1, True
   DumpCSV RunTimeEnvironmentInfo.DomainName & "\" & RunTimeEnvironmentInfo.UserName, "DomainName", 1, True

   If RunTimeEnvironmentInfo.OSIdentifier = cWindowsUnknown Then
      ErrorHandler objLOGFileHandle, "Main", "Unsupported OS version or build #.", True, Err
      DumpCSV " ", " ", cMaxCSVFields - 29, True

      intWMICriticalityLevel = 4
   Else
      boolCheckAccess = CheckAccess (objLOGFileHandle) 
      If boolCheckAccess = True And boolForce = False Then
         ErrorHandler objLOGFileHandle, "Main", "User '" & RunTimeEnvironmentInfo.DomainName & "\" & RunTimeEnvironmentInfo.UserName & "' does not have enough privileges to run WMIDiag!", True, Err

         DumpCSV "True", "NoPrivilege", 1, True
         DumpCSV " ", " ", cMaxCSVFields - 30, True

         If boolSilent = False Then
            If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM Then
               intRC = objWSHShell.Popup ("User '" & RunTimeEnvironmentInfo.DomainName & "\" & RunTimeEnvironmentInfo.UserName & "' does not have enough privileges to run WMIDiag." & vbCRLF & vbCRLF & _
                                          "Under Windows Vista, running as a User Account Control (UAC) user, is not sufficient." & vbCRLF & "You must be ELEVATED or a FULL Administrator of the computer!", _
                                          cPopupTimeout, _
                                          "(WMIDiag " & cWMIDiagVersion & ") Information", _
                                          vbExclamation Or vbOkOnly)
            Else
               intRC = objWSHShell.Popup ("User '" & RunTimeEnvironmentInfo.DomainName & "\" & RunTimeEnvironmentInfo.UserName & "' does not have enough privileges to run WMIDiag." & vbCRLF & vbCRLF & _
                                          "You must be a FULL Administrator of the computer!", _
                                          cPopupTimeout, _
                                          "(WMIDiag " & cWMIDiagVersion & ") Information", _
                                          vbExclamation Or vbOkOnly)
            End If
         End If  

         intWMICriticalityLevel = 4
      Else 
         DumpCSV "False", "NoPrivilege", 1, True

         If RunTimeEnvironmentInfo.IsWow64 = True Then
            ErrorHandler objLOGFileHandle, "Main", "WMIDiag must be run from native 64-bit environment. It is not supported in Wow64.", True, Err
            DumpCSV " ", " ", cMaxCSVFields - 30, True

            If boolSilent = False Then
               intRC = objWSHShell.Popup ("WMIDiag must be run from native 64-bit environment. It is not supported in Wow64.", _
                                          cPopupTimeout, _
                                          "(WMIDiag " & cWMIDiagVersion & ") Information", _
                                          vbExclamation Or vbOkOnly)
            End If   

            intWMICriticalityLevel = 4
         Else
            DumpCSV strBasenamespace, "BaseNamespace", 1, True

            boolRC = CheckEnvironment (objLOGFileHandle)
            
            ' ----------------------------------------------commenting checking files-------------------------------------------------

            ' boolRC = CheckFilesPresence (objLOGFileHandle)

            ' boolRC = CheckWMISystemFilesPresence (objLOGFileHandle)

            ' boolRC = CheckWMIRepositoryFiles (objLOGFileHandle, "BEFORE")

            ' boolRC = CheckAdditionalBinaryInWBEMFolder (objLOGFileHandle)
  
            boolRC = CheckMOFFilesPresence (objLOGFileHandle)

            boolRC = LocateNoPragmaAutorecoverMOFFile (objLOGFileHandle)

            boolRC = CheckDCOMConfiguration (objLOGFileHandle)
  
            boolRC = CheckWMIDCOMComponentRegistrations (objLOGFileHandle)

            If boolADsSecurity = True Then
               boolRC = CheckWMIDCOMComponentSecurity (objLOGFileHandle)
            End If 

            boolRC = CheckWMIProgID (objLOGFileHandle)
   
            If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP2 Or _
               RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP164 Or _
               RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP3 Or _
               RunTimeEnvironmentInfo.OSIdentifier >= cWindows2003SP1 Then
               boolRC = CheckWindowsFWSettings (objLOGFileHandle)
            Else
               WriteToLogFile objLOGFileHandle, "FW/ICS service is NOT INSTALLED.", cLoggingLevel3, False
               TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWNOTINSTALLED")
            End If

            boolRC = CheckWMISettings (objLOGFileHandle) 
   
            boolRC = CheckWMIServiceSetup (objLOGFileHandle) 
      
            boolRC = CheckWMIServiceDependent (objLOGFileHandle)
   
            boolRC = StartService (objLOGFileHandle, "RPCSS")   
            boolRC = StartService (objLOGFileHandle, "WINMGMT")
   
            boolRC = CheckWMIRepositoryConsistency (objLOGFileHandle) 
   
            If boolWriteInRepository = True And boolWriteInExistingNS = False Then
               If intFreeSpace > 104857600 Then
                  WriteToLogFile objLOGFileHandle, "Enough disk space available to perform the 'WriteInRepository' operation (" & Round (intFreeSpace / (1024^2)) & " MB left)." , cLoggingLevel0, False
                  boolRC = WriteInRepository (objLOGFileHandle, strWriteInRepository, True)
               Else
                  boolWriteInRepository = False
                  ErrorHandler objLOGFileHandle, "Main", "Not enough disk space available to perform the 'WriteInRepository' operation (" & Round (intFreeSpace / (1024^2)) & " MB left).", True, Err
               End If
            End If

            boolRC = GetLoadedProviders (objLOGFileHandle, "BEFORE")

            boolRC = CheckWMIStaticData (objLOGFileHandle, strBaseNamespace, 1)

            If boolWriteInRepository = True And boolWriteOperationCompleted = True And boolWriteInExistingNS = False Then
               boolRC = WriteInRepository (objLOGFileHandle, strWriteInRepository, False)
            End If

            boolRC = GetADAPStatus (objLOGFileHandle)
   
            boolRC = CheckWMIFeatures (objLOGFileHandle, arrayWMITestList, "Verifying WMI features.")

            boolRC = CheckSMSWMISetup (objLOGFileHandle)

            boolRC = CheckWMIInventory (objLOGFileHandle)

            boolRC = GetLoadedProviders (objLOGFileHandle, "AFTER")

            boolRC = CheckWMIRepositoryFiles (objLOGFileHandle, "AFTER")

            WriteToLogFile objLOGFileHandle, "WMIDiag v" & cWMIDiagVersion & " completed.", cLoggingLevel0, False

            AnalyzeDiagnostic objLOGFileHandle, True
         End If
      End If
   End If
End If
   
TerminateWMIDiag objLOGFileHandle
   
Set objStdOut = Nothing
set objShell = Nothing
Set objWshNetwork = Nothing
Set objWshShell = Nothing
Set objFS = Nothing
Set objWMILocator = Nothing

ExitWMIDiag (intWMICriticalityLevel)

' --------------------------------------------------------------------------------------------------------
Function TerminateWMIDiag (ByVal objLOGFileHandle)

         Dim intExecutionTime, intCounter
         Dim objFolder, objFiles, objFile
         Dim strWMIStatusMessage, intWMIStatusPrompt, intWMIStatusID
         Dim boolEchoSavedState
         Dim strMessage, arrayFilenames
         Dim strLOGComputerName, strLOGFileNameForDeletion, intNumberOfDays

         On Error Resume Next

         Select Case intWMICriticalityLevel
                Case cLoggingLevel0
                     strWMIStatusMessage = "SUCCESS:@WMIDiag determined that WMI works CORRECTLY."
                     intWMIStatusPrompt = vbInformation
                     intWMIStatusID = intWMICriticalityLevel
                Case cLoggingLevel1
                     strWMIStatusMessage = "ERROR:@WMIDiag detected issues that could prevent WMI to work properly!.@@Check '" & strFilePath & strLOGFileName & "' for details."
                     intWMIStatusPrompt = vbCritical
                     intWMIStatusID = intWMICriticalityLevel
                Case cLoggingLevel2
                     strWMIStatusMessage = "WARNING:@WMIDiag determined that WMI works CORRECTLY.@@HOWEVER, some issues were detected.@@Check '" & strFilePath & strLOGFileName & "' for details."
                     intWMIStatusPrompt = vbExclamation
                     intWMIStatusID = intWMICriticalityLevel
                Case Else
                     strWMIStatusMessage = "ABORT:@WMIDiag execution aborted.@@Check '" & strFilePath & strLOGFileName & "' for details."
                     intWMIStatusPrompt = vbInformation
                     intWMIStatusID = 0
         End Select

         If boolLogWMIState = True Then objWshShell.LogEvent intWMIStatusID, ReplaceString (strWMIStatusMessage, "@", vbCRLF)

         WriteToLogFile objLOGFileHandle, ReplaceString (strWMIStatusMessage, "@", " "), cLoggingLevel0, False
         WriteToLogFile objLOGFileHandle, "", cLoggingLevel0, False

         DumpCSV Month (Date) & "/" & Day (Date) & "/" & Year (Date), "Date", 1, True
         DumpCSV Time, "Time", 1, True

         DumpCSV longInProcWMIProvider, "InProcWMIProvider", 1, True
         DumpCSV longOutOfProcWMIProvider, "OutOfProcWMIProvider", 1, True
         DumpCSV longDecoupledWMIProvider, "DecoupledWMIProvider", 1, True

         If intOldestWMIDIAGLogHistory > 0 And intWMICriticalityLevel < 3 Then 
            WriteToLogFile objLOGFileHandle, "Deleting WMIDiag files older than " & intOldestWMIDIAGLogHistory & " day(s).", cLoggingLevel0, False

            Set objFolder = objFS.GetFolder (strFilePath)
            If Err.Number Then
               ErrorHandler objLOGFileHandle, "TerminateWMIDiag", "", False, Err
            Else
               intCounter = 0
               Set objFiles = objFolder.Files
               For Each objFile In objFiles
                   strLOGFileNameForDeletion = Ucase (objFile.name)
                   If Left (strLOGFileNameForDeletion, 9) = "WMIDIAG-V" Then
                      WriteToLogFile objLOGFileHandle, "Verifying '" & strLOGFileNameForDeletion & "' for deletion ...", cLoggingDebug Or cLoggingLevel3, False

                      strLOGComputerName = UCase (Mid (strLOGFileNameForDeletion, 28 + Len (cWMIDiagVersion), Len (RunTimeEnvironmentInfo.LocalComputerName)))
                      WriteToLogFile objLOGFileHandle, "WMIDiag LOG computer name: '" & strLOGComputerName & "'.", cLoggingDebug Or cLoggingLevel4, False

                      If (strLOGComputerName = RunTimeEnvironmentInfo.LocalComputerName) Then
                         intNumberOfDays = DateDiff ("d", objFile.DateLastModified, Now())
                         WriteToLogFile objLOGFileHandle, "# of days since last modification: " & intNumberOfDays & " days.", cLoggingDebug Or cLoggingLevel4, False

                         If intNumberOfDays > intOldestWMIDIAGLogHistory Then
                            objFile.Delete 
                            If Err.Number Then
                               ErrorHandler objLOGFileHandle, "TerminateWMIDiag", "Unable to delete '" & strLOGFileNameForDeletion & "'.", False, Err
                            Else
                               intCounter = intCounter + 1
                               WriteToLogFile objLOGFileHandle, "'" & strLOGFileNameForDeletion & "' deleted.", cLoggingDebug Or cLoggingLevel4, False
                            End If
                         Else
                            WriteToLogFile objLOGFileHandle, "Skipping LOG file '" & strLOGFileNameForDeletion & "'.", cLoggingDebug Or cLoggingLevel4, False
                         End If 
                      Else
                         WriteToLogFile objLOGFileHandle, "Skipping computer '" & strLOGComputerName & "'.", cLoggingDebug Or cLoggingLevel4, False
                      End If 
                   End If
               Next
               Set objFiles = Nothing

               WriteToLogFile objLOGFileHandle, intCounter & " file(s) deleted.", cLoggingLevel0, False
               WriteToLogFile objLOGFileHandle, "", cLoggingLevel0, False
            End If 
         End If

         intExecutionTime = DateDiff ("s", strStartDateTime, Now())
         DumpCSV intExecutionTime, "ExecutionTime", 1, True

         If intExecutionTime > 300 Then 
            intExecutionTime = DateDiff ("n", strStartDateTime, Now()) & " minutes."
         Else
            intExecutionTime = intExecutionTime & " second(s)."
         End If

         If boolSMS = True Then
            CreateWMIDiagStatusMIF objLOGFileHandle, intWMICriticalityLevel, ReplaceString (strWMIStatusMessage, "@", " "), strStartDateTime, Now (), intExecutionTime
         End If 

         WriteToLogFile objLOGFileHandle, "WMIDiag executed in " & intExecutionTime, cLoggingLevel0, False

         DumpCSV longWarningCounter, "longWarningCounter", 1, True
         DumpCSV longErrorCounter, "longErrorCounter", 1, True
         DumpCSV intWMICriticalityLevel, "WMICriticalityLevel", 1, True
         DumpCSV strLOGFileName, "File://", 1, True
         DumpCSV strFilePath & strLOGFileName, "File://", 1, True

         WriteToFile objSTATFileHandle, strCSV
         WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, strCSV, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

         strEnd = "WMIDiag v" & cWMIDiagVersion & " ended on " & FormatDateTime (Date, vbLongDate) & " at " & FormatDateTime (Time, vbShortTime) & " (W:" & longWarningCounter &" E:" & longErrorCounter & " S:" & intWMICriticalityLevel & ")."
         WriteToLogFile objLOGFileHandle, strEnd , cLoggingLevel0, False

         If boolLogWMIState = True Then objWshShell.LogEvent 0, "WMIDIAG END: " & strEnd 

         boolEchoSavedState = boolNoEcho 
         boolNoEcho = True
         WriteToLogFile objDIAGFileHandle, strStart, cLoggingLevel0, False
         MSDisclaimer (objDIAGFileHandle)
         ReDim WBEMError (0)
         Set WBEMError (0) = new ClassWBEMError
         WBEMError (0).WBEMCounter = 0
         AnalyzeDiagnostic objDIAGFileHandle, False
         WriteToLogFile objDIAGFileHandle, ReplaceString (strWMIStatusMessage, "@", " "), cLoggingLevel0, False
         WriteToLogFile objDIAGFileHandle, "", cLoggingLevel0, False
         WriteToLogFile objDIAGFileHandle, strEnd , cLoggingLevel0, False
         boolNoEcho = boolEchoSavedState

         If boolWTTLogging = True then
            TraceWTT2 strLOGFileName, Err, strWMIStatusMessage, intWMIStatusID
            EndWTTTest strLOGFileName, intWMIStatusID
            CloseWTTLogDevice()   
         End If

         If boolCorrelateClassAndProvider = True Then
            WriteToLogFile objLOGFileHandle, "CSV file " & Chr(34) & strFilePath & strWMIProvFileName & Chr(34) & " closed.", cLoggingLevel0, False
            CloseTextFile (objWMIProvFileHandle)
         End If

         WriteToLogFile objLOGFileHandle, "TXT file " & Chr(34) & strFilePath & strDIAGFileName & Chr(34) & " closed.", cLoggingLevel0, False
         CloseTextFile (objDIAGFileHandle)

         WriteToLogFile objLOGFileHandle, "CSV file " & Chr(34) & strFilePath & strSTATFileName & Chr(34) & " closed.", cLoggingLevel0, False
         CloseTextFile (objSTATFileHandle)

         WriteToLogFile objLOGFileHandle, "LOG file " & Chr(34) & strFilePath & strLOGFileName & Chr(34) & " closed.", cLoggingLevel0, False
         CloseTextFile (objLOGFileHandle)

         If boolCorrelateClassAndProvider = False Then
            strMessage = "Find the WMI REPORT, the activity LOG and 1 CSV for " & strFilename & " as attachments"
            arrayFilenames = Array (chr (34) & strFilePath & strDIAGFileName & chr (34), chr (34) & strFilePath & strLOGFileName & chr (34), chr (34) & strFilePath & strSTATFileName & chr (34))
         Else
            strMessage = "Find the WMI REPORT, the activity LOG and 2 CSV for " & strFilename & " as attachments"
            arrayFilenames = Array (chr (34) & strFilePath & strDIAGFileName & chr (34), chr (34) & strFilePath & strLOGFileName & chr (34), chr (34) & strFilePath & strSTATFileName & chr (34), chr (34) & strFilePath & strWMIProvFileName & chr (34))
         End If

         If Len (RunTimeEnvironmentInfo.WinZIP) > 0 And boolNoWinZIP = False Then
            WriteToLogFile Null, "Zipping WMIDiag information to '" & strFilePath & strFilename & ".ZIP'.", cLoggingLevel0, False

            objWSHShell.Run RunTimeEnvironmentInfo.WinZIP & " -min -a " & chr (34) & strFilePath & strFilename & ".ZIP" & chr (34) & " " & ConvertArrayInString (arrayFilenames, " "),, True

            If objFS.FileExists (strFilePath & strFilename & ".ZIP") = True Then
               arrayFilenames = Array (strFilePath & strFilename & ".ZIP")
            Else
               WriteToLogFile Null, "Failed to create ZIP file '" & strFilePath & strFilename & ".ZIP'.", cLoggingLevel2, False
            End If 
         End If

         If boolSMTPWMIInvalidState = True Then
            If intWMICriticalityLevel <> 0 Then
               If Len (strSMTPServer) > 0 Then
                  SendMessage strSMTPTo, _
                              strSMTPFrom, _
                              strFilename, _
                              strMessage, _
                              "", _
                              arrayFilenames
               End If
            End If
         Else
            If Len (strSMTPServer) > 0 Then
               SendMessage strSMTPTo, _
                           strSMTPFrom, _
                           strFilename, _
                           strMessage, _
                           "", _
                           arrayFilenames
            End If
         End If

         If boolCheckAccess = False And RunTimeEnvironmentInfo.IsWow64 = False And intWMICriticalityLevel > 0 And intWMICriticalityLevel < 3 Then 
            If boolSilent = False Then
               objWSHShell.Run "NOTEPAD.EXE " & chr(34) & strFilePath & strDIAGFileName & chr(34)
            End If 
         End If 

         If boolCheckAccess = False And RunTimeEnvironmentInfo.IsWow64 = False Then 
            If boolSilent = False Then 
               objWSHShell.Popup ReplaceString (strWMIStatusMessage, "@", vbCRLF), cPopupTimeout, "(WMIDiag " & cWMIDiagVersion & ") Information", intWMIStatusPrompt or vbOkOnly
            End If
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function ExitWMIDiag (ByVal intExitCode)

         On Error Resume Next

         If boolSMS = True Then
            WScript.Quit (0)
         Else
            WScript.Quit (intExitCode)
         End If 

End Function

' --------------------------------------------------------------------------------------------------------
Function MSDisclaimer (ByVal objFileHandle)

         On Error Resume Next

         WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         WriteToLogFile objFileHandle, "Copyright (c) Microsoft Corporation. All rights reserved - " & cMonth & ".", cLoggingLevel0, False
         WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         WriteToLogFile objFileHandle, "This script is not supported under any Microsoft standard support program or service.", cLoggingLevel0, False
         WriteToLogFile objFileHandle, "The script is provided AS IS without warranty of any kind. Microsoft further disclaims all", cLoggingLevel0, False
         WriteToLogFile objFileHandle, "implied warranties including, without limitation, any implied warranties of merchantability", cLoggingLevel0, False
         WriteToLogFile objFileHandle, "or of fitness for a particular purpose. The entire risk arising out of the use or performance", cLoggingLevel0, False
         WriteToLogFile objFileHandle, "of the scripts and documentation remains with you. In no event shall Microsoft, its authors,", cLoggingLevel0, False
         WriteToLogFile objFileHandle, "or anyone else involved in the creation, production, or delivery of the script be liable for", cLoggingLevel0, False
         WriteToLogFile objFileHandle, "any damages whatsoever (including, without limitation, damages for loss of business profits,", cLoggingLevel0, False
         WriteToLogFile objFileHandle, "business interruption, loss of business information, or other pecuniary loss) arising out of", cLoggingLevel0, False
         WriteToLogFile objFileHandle, "the use of or inability to use the script or documentation, even if Microsoft has been advised", cLoggingLevel0, False
         WriteToLogFile objFileHandle, "of the possibility of such damages.", cLoggingLevel0, False
         WriteToLogFile objFileHandle, "", cLoggingLevel0, False

End Function

' --------------------------------------------------------------------------------------------------------
Function CreateWMIDiagStatusMIF (ByVal objLOGFileHandle, ByVal intWMICriticalityLevel, ByVal strWMIStatusMessage, _
                                 ByVal strStartDateTime, ByVal strEndTime, ByVal intExecutionTime)

         Dim objMIFFileHandle  

         On Error Resume Next

         ' WriteToLogFile objLOGFileHandle, "SMS is enabled. Reporting results in an SMS MIF file.", cLoggingLevel0, False

         ' Set objMIFFileHandle = CreateTextFile (strFilePath & strMIFFileName)
         ' If IsNull (objLOGFileHandle) = True Then 
         '    Err.Clear
         '    ErrorHandler objLOGFileHandle, "CreateWMIDiagStatusMIF", "MIF file " & Chr(34) & strFilePath & strLOGFileName & Chr(34) & " CANNOT be created.", True, Err
         '    CreateWMIDiagStatusMIF = True
         ' End If
         ' WriteToLogFile objLOGFileHandle, "MIF file " & Chr(34) & strFilePath & strLOGFileName & Chr(34) & " created.", cLoggingLevel0, False
 
         ' WriteToLogFile objLOGFileHandle, "MIF file " & Chr(34) & strFilePath & strMIFFileName & Chr(34) & " closed.", cLoggingLevel0, False
         ' CloseTextFile (objMIFFileHandle)

         ' CreateWMIDiagStatusMIF = False
	
End Function

' --------------------------------------------------------------------------------------------------------
Function Help ()

         On Error Resume Next

         If boolNoEcho = True Then
            objWSHShell.Popup "WMIDiag  [NoEcho] [NoWinZIP] [Silent] [RunOnce] [Force] [SMS] [OldestLogHistory=1-365] [Depth=1|2|3|4|...]" & vbCRLF & _
                              "                [OldestEVENTLogHistory] [RequestAllInstances[=Static|Dynamic|StaticAndDynamic]]" & vbCRLF & _
                              "                [WriteInRepository[=Root\XYZ]] [CheckConsistency] [ShowLoadedProviders]" & vbCRLF & _
                              "                [BaseNameSpace=Root\XYZ] [LoggingLevel=n] [ShowMOFErrors] [CorrelateClassAndProvider]" & vbCRLF & _ 
                              "                [LogFilePath=<FolderPath>] [LogNTEvents] [LogNTEventErrors] [LogWMIState] [ErrorPopup]" & vbCRLF & _ 
                              "                [SmtpServer] [SmtpPort] [SmtpAuthenticate] [SmtpSSL]" & vbCRLF & _ 
                              "                [SmtpUsername] [SmtpPassword] [SmtpFrom] [SmtpTo] [SmtpWMIInvalidState] [SmtpTest]" & vbCRLF & vbCRLF & _ 
                              "Where:" & vbCRLF & vbCRLF & _
                              "NoEcho: Disables local console echo of WMIDiag activities (default=" & cNoEcho & ")" & vbCRLF & _
                              "NoWinZIP: Disables automatic compression of the WMI generated files in a ZIP file (default=" & cNoWinZIP & ")" & vbCRLF & _
                              "Silent: Prevents any Window prompts to appear except help (default=" & cSilent & ")" & vbCRLF & _
                              "SMS: Turns off the ERRORLEVEL return code and active NoEcho and Silent (default=" & cSMS & ")" & vbCRLF & _
                              "RunOnce: Prevents WMIDiag to run more than once a day (default=" & cRunOnce & ")" & vbCRLF & _
                              "OldestLogHistory: Deletes WMIDiag files older than the specified # of days (default=False)" & vbCRLF & _
                              "OldestEVENTLogHistory: Retrieves Event Log events older than the specified # of days (default=" & cOldestEVENTLogHistory & ")" & vbCRLF & _
                              "Force: Forces WMIDiag to run even if you are not a FULL aministrator (default=" & cForce & ")" & vbCRLF & _
                              "Depth: Defines the class hierarchy depth to examine (default=" & cMaxSubClassExaminationDepth & ")" & vbCRLF & _
                              "RequestAllInstances: Requests WMIDiag to retrieve all instances from STATIC and/or DYNAMIC classes (default=False)" & vbCRLF & _
                              "WriteInRepository: Requests WMIDiag to write non-destructive information temporarly in the WMI repository for testing purposes (default=" & cWriteInRepository & ")" & vbCRLF & _
                              "CheckConsistency: Executes Windows XP SP2 RUNDLL32 command to validate the WMI repository consistency (default=" & cCheckConsistency & ")" & vbCRLF & _
                              "BaseNamespace: Defines the WMI namespace to start the test from (default=" & cBaseNS & ")" & vbCRLF & _
                              "LoggingLevel: Defines the verbose of the logging level (default=" & cLoggingLevel0 & ")" & vbCRLF & _
                              "ShowMOFErrors: Displays detected MOF errors (default=" & cShowMOFErrors & ")" & vbCRLF & _
                              "ShowLoadedProviders: Displays information about the WMI providers currently loaded by the system (default=" & cShowLoadedProviders & ")" & vbCRLF & _
                              "CorrelateClassAndProvider: Creates a CSV listing the data correlation between classes, WMI providers and MOF files (default=" & boolCorrelateClassAndProvider & ")" & vbCRLF & vbCRLF & _
                              "LogFilePath: Defines the path where the WMIDiag files must be created (default=" & RunTimeEnvironmentInfo.UserTemp & ")" & vbCRLF & _
                              "LogNTEvents: Enables logging of WMIDiag messages in the application event log (default=" & cEventLog & ")" & vbCRLF & _
                              "LogNTEventErrors: Enables logging of WMIDiag error messages in the application event log (default=" & cEventLogErrors & ")" & vbCRLF & _
                              "LogWMIState: Creates an event log entry in the NT Event Log (Success, Warning or Error) to reflect the current WMI status (default=" & cLogWMIState & ")" & vbCRLF & _
                              "ErrorPopup: Enables the display of all error messages as popups (default=" & cErrorPopup & ")" & vbCRLF & vbCRLF & _
                              "SmtpServer: Defines the SMTP relay server address. By specifying this address YOU CONSENT to send information externally (no default)" & vbCRLF & _
                              "                     WARNING: By specifying this address you consent to information externally!" & vbCRLF & _
                              "SmtpPort: Defines the SMTP port number (default=" & cSMTPPort & ")" & vbCRLF & _
                              "SmtpAuthenticate: Defines the authentication mechanism. It could be [Anonymous] [Basic] [Ntlm] (default=" & cSMTPAuthenticate & ")" & vbCRLF & _ 
                              "SmtpSSL: Enables SSL to communicate with the SMTP relay (default=" & cSMTPSSL & ")" & vbCRLF & _
                              "SmtpUsername: Specifies the username to connect to the SMTP relay (default=" & cSMTPusername & ")" & vbCRLF & _ 
                              "SmtpPassword: Specifies the password to connect to the SMTP relay (default=" & cSMTPPassword & ")" & vbCRLF & _
                              "SmtpFrom: Specifies the SMTP source address (mandatory if SMTP server is mentioned)" & vbCRLF & _
                              "SmtpTo: Specifies the SMTP target address (default=" & cSMTPTo & ")" & vbCRLF & _
                              "SmtpWMIInvalidState: Sends an email only when the WMI state is reported as WARNING or ERROR (default=" & cSMTPWMIInvalidState & ")" & vbCRLF & _
                              "SmtpTest: Enables the test of the SMTP parameters. No WMIDiag tests are executed with this parameter (default=" & cSMTPTest & ")", _
                              0, _
                              "(WMIDiag " & cWMIDiagVersion & ") Information", _
                              vbInformation Or vbOkOnly
         Else
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "(WMIDiag " & cWMIDiagVersion & ") Help", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "WMIDiag [NoEcho] [NoWinZIP] [Silent] [RunOnce] [Force] [SMS] [OldestLogHistory=1-365] [Depth=1|2|3|4|...]", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "        [OldestEVENTLogHistory] [RequestAllInstances[=Static|Dynamic|StaticAndDynamic]]", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "        [WriteInRepository[=Root\XYZ]] [CheckConsistency] [ShowLoadedProviders]", cLoggingLevel3, True 
            WriteToLogFile objLOGFileHandle, "        [BaseNameSpace=Root\XYZ] [LoggingLevel=n] [ShowMOFErrors] [CorrelateClassAndProvider]", cLoggingLevel3, True 
            WriteToLogFile objLOGFileHandle, "        [LogFilePath=<FolderPath>] [LogNTEvents] [LogNTEventErrors] [LogWMIState] [ErrorPopup]", cLoggingLevel3, True 
            WriteToLogFile objLOGFileHandle, "        [SmtpServer=x.y.z] [SmtpPort=nn] [SmtpAuthenticate=<AuthLevel>] [SmtpSSL]", cLoggingLevel3, True 
            WriteToLogFile objLOGFileHandle, "        [SmtpUsername=<UserName>] [SmtpPassword=<Password>]", cLoggingLevel3, True 
            WriteToLogFile objLOGFileHandle, "        [SmtpFrom=<source@domain.com>] [SmtpTo=<target@domain.com>] [SmtpWMIInvalidState] [SmtpTest]", cLoggingLevel3, True  
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "Where:", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  NoEcho                     Disables local console echo of WMIDiag activities (default=" & cNoEcho & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  NoWinZIP                   Disables automatic compression of the WMI generated files in a ZIP file (default=" & cNoWinZIP & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  Silent                     Prevents any Window prompts to appear except help (default=" & cSilent & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  RunOnce                    Prevents WMIDiag to run more than once a day (default=" & cRunOnce & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  SMS                        Turns off the ERRORLEVEL return code and active NoEcho and Silent (default=" & cSMS & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  OldestLogHistory           Deletes WMIDiag files older than the specified # of days (default=False)", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  OldestEventLogHistory      Retrieves Event Log events older than the specified # of days (default=" & cOldestEVENTLogHistory & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  Force                      Forces WMIDiag to run even if you are not a FULL aministrator (default=" & cForce & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  Depth                      Defines the class hierarchy depth to examine (default=" & cMaxSubClassExaminationDepth & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  RequestAllInstances        Requests WMIDiag to retrieve all instances from STATIC and/or DYNAMIC classes (default=False)", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  WriteInRepository          Requests WMIDiag to write non-destructive information temporarly in the WMI repository for testing purposes (default=" & cWriteInRepository & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  CheckConsistency           Executes Windows XP SP2 RUNDLL32 command to validate the WMI repository consistency (default=" & cCheckConsistency & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  BaseNamespace              Defines the WMI namespace to start the test from (default=" & cBaseNS & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  LoggingLevel               Defines the verbose of the logging level (default=" & cLoggingLevel0 & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  CorrelateClassAndProvider  Creates a CSV listing the data correlation between classes, WMI providers and MOF files (default=" & boolCorrelateClassAndProvider & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  ShowMOFErrors              Displays detected MOF errors (default=" & cShowMOFErrors & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  ShowLoadedProviders        Displays information about the WMI providers currently loaded by the system (default=" & cShowLoadedProviders & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  LogFilePath                Defines the path where the WMIDiag files must be created (default=" & RunTimeEnvironmentInfo.UserTemp & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  LogNTEvents                Enables logging of WMIDiag messages in the application event log (default=" & cEventLog & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  LogNTEventErrors           Enables logging of WMIDiag error messages in the application event log (default=" & cEventLogErrors & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  LogWMIState                Creates an event log entry in the NT Event Log (Success, Warning or Error) to reflect the current WMI status (default=" & cLogWMIState & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  ErrorPopup                 Enables the display of all error messages as popups (default=" & cErrorPopup & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  SmtpServer                 Defines the SMTP relay server address (no default)", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "                             WARNING: By specifying this address YOU CONSENT to send information externally!", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  SmtpPort                   Defines the SMTP port number (default=" & cSMTPPort & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  SmtpAuthenticate           Defines the authentication mechanism. It could be [Anonymous] [Basic] [Ntlm] (default=Ntlm)", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  SmtpSSL                    Enables SSL to communicate with the SMTP relay (default=" & cSMTPSSL & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  SmtpUsername               Specifies the username to connect to the SMTP relay (no default)", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  SmtpPassword               Specifies the password to connect to the SMTP relay (no default)", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  SmtpFrom                   Specifies the SMTP source address (mandatory if SMTP server is mentioned)", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  SmtpTo                     Specifies the SMTP target address (default=" & cSMTPTo & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  SmtpWMIInvalidState        Sends an email only when the WMI state is reported as WARNING or ERROR (default=" & cSMTPWMIInvalidState & ")", cLoggingLevel3, True
            WriteToLogFile objLOGFileHandle, "  SmtpTest                   Enables the test of the SMTP parameters. No WMIDiag tests are executed with this parameter (default=" & cSMTPTest & ")", cLoggingLevel3, True
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckAccess (ByVal objLOGFileHandle)

         Dim strTemp, arrayOutput, arrayMatchingOutput
         Dim arrayRegistryValue

         On Error Resume Next

         If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM Then
            CheckAccess = False
         Else
            arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Security", _
                                               "Security", _
                                               "REG_BINARY", _
                                               False)

            If Not IsArray (arrayRegistryValue) Then
               CheckAccess = True
            Else
               CheckAccess = False
            End If
         End If

         If RunTimeEnvironmentInfo.OSIdentifier >= cWindows2003RTM Then
            boolRC = ShellExecute (objLOGFileHandle, "WHOAMI.EXE /Priv", "", arrayOutput, arrayMatchingOutput)
            If boolRC = False And IsArray (arrayOutput) = True Then
               WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
               WriteToLogFile objLOGFileHandle, UBound (arrayOutput) & " privilege(s):", cLoggingLevel3, False
               For Each strTemp In arrayOutput 
                   If Len (strTemp) > 0 Then
                      WriteToLogFile objLOGFileHandle, CleanString (strTemp, 32, 255), cLoggingLevel3, False
                   End If 
               Next 
            End If
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckLastRun (ByVal objLOGFileHandle)

         Dim strLastRun, strNow

         On Error Resume Next

         WriteToLogFile objLOGFileHandle, "Verifying last run of WMIDiag.", cLoggingLevel0, False

         strNow = Month (Date) & "/" & Day (Date) & "/" & Year (Date) & " " & Time

         CheckLastRun = False

         strLastRun = ReadRegistry (objLOGFileHandle, "HKLM\Software\Microsoft\WMIDiag", _
                                                      "LastRun", _
                                                      "REG_SZ", _
                                                      False)
         If Not IsArray (strLastRun) Then
            WriteRegistry objLOGFileHandle, "HKLM\Software\Microsoft\WMIDiag", _
                                            "LastRun", "REG_SZ", _
                                            strNow, _
                                            True
            DumpCSV strNow, "LastRun", 1, True
         Else
            WriteToLogFile objLOGFileHandle, "WMIDiag last run is " & strLastRun (0) & ".", cLoggingLevel0, False
            DumpCSV strLastRun (0), "LastRun", 1, True

            If DateDiff ("d", strLastRun (0), Now()) = 0 Then
               If boolRunOnce = True Then
                  WriteToLogFile objLOGFileHandle, "WMIDiag already started today.", cLoggingLevel1, True
                  CheckLastRun = True
               Else
                  WriteToLogFile objLOGFileHandle, "WMIDiag already started today.", cLoggingLevel2, False

                  WriteRegistry objLOGFileHandle, "HKLM\Software\Microsoft\WMIDiag", _
                                                  "LastRun", "REG_SZ", _
                                                  strNow, _
                                                  True
                  CheckLastRun = False
               End If
            Else
               WriteRegistry objLOGFileHandle, "HKLM\Software\Microsoft\WMIDiag", _
                                               "LastRun", "REG_SZ", _
                                               strNow, _
                                               True
            End If
	End If

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWMIRepositoryFiles (ByVal objLOGFileHandle, ByVal strBeforeAfter)

         Dim intFileIndex, objFolder, objFile
         Dim strDrive, objDrive, strVolume
 
         On Error Resume Next
 
         WriteToLogFile objLOGFileHandle, "Verifying WMI Repository files presence.", cLoggingLevel0, False
 
         CheckWMIRepositoryFiles = False
 
         strDrive = objFS.GetDriveName (RunTimeEnvironmentInfo.WBem & arrayWMIRepositoryFiles (0))
         Set objDrive = objFS.GetDrive (strDrive)
         strVolume = objDrive.VolumeName
         intFreeSpace = objDrive.FreeSpace
 
         Set objFolder = objFS.GetFolder (RunTimeEnvironmentInfo.WBem & arrayWMIRepositoryFiles (0))
         If Err.Number Then
            CheckWMIRepositoryFiles = ErrorHandler (objLOGFileHandle, "CheckWMIRepositoryFiles", "Folder '" & RunTimeEnvironmentInfo.WBem & arrayWMIRepositoryFiles (0) & "' is missing or is access denied.", False, Err)
            TrackingData.RepositoryFileSizes = AddTrackingData (TrackingData.RepositoryFileSizes, "FOLDERSIZE" & strBeforeAfter & ";" & arrayWMIRepositoryFiles (0) & ";MISSING;DENIED;")
         Else
            WriteToLogFile objLOGFileHandle, "'" & RunTimeEnvironmentInfo.WBem & arrayWMIRepositoryFiles (0) & "' has a size of " & objFolder.Size & " bytes.", cLoggingLevel3, False
            TrackingData.RepositoryFileSizes = AddTrackingData (TrackingData.RepositoryFileSizes, "FOLDERSIZE" & strBeforeAfter & ";" & arrayWMIRepositoryFiles (0) & ";" & objFolder.Size & ";;")
         End If
 
         TrackingData.RepositoryFileSizes = AddTrackingData (TrackingData.RepositoryFileSizes, "FREESPACE" & strBeforeAfter & ";" & strDrive & ";" & strVolume & ";" & intFreeSpace & ";")
 
         For intFileIndex = 1 To UBound (arrayWMIRepositoryFiles)
             If Not CheckIfFileExists (objLOGFileHandle, RunTimeEnvironmentInfo.WBem & arrayWMIRepositoryFiles (0) & "\" & arrayWMIRepositoryFiles (intFileIndex)) Then
                WriteToLogFile objLOGFileHandle, "Unable to access or find file '" & UCase (arrayWMIRepositoryFiles (intFileIndex)) & "'.", cLoggingLevel1, False
                If Instr (TrackingData.MissingRepositoryFiles, arrayWMIRepositoryFiles (intFileIndex)) = 0 Then
                   TrackingData.MissingRepositoryFiles = AddTrackingData (TrackingData.MissingRepositoryFiles, arrayWMIRepositoryFiles (intFileIndex))
                End If
                CheckWMIRepositoryFiles = True
             Else
                Set objFile = objFS.GetFile (RunTimeEnvironmentInfo.WBem & arrayWMIRepositoryFiles (0) & "\" & arrayWMIRepositoryFiles (intFileIndex))
                WriteToLogFile objLOGFileHandle, "'" & objFile.Name & "' has a size of " & objFile.Size & " bytes (" & _
                                         "Created: " & objFile.DateCreated & _
                                         ", Last Accessed: " & objFile.DateLastAccessed & _
                                         ", Last Modified: " & objFile.DateLastModified & ").", _
                                         cLoggingLevel3, False
                TrackingData.RepositoryFileSizes = AddTrackingData (TrackingData.RepositoryFileSizes, UCase (objFile.Name) & ";" & objFile.Size & ";" & objFile.DateCreated & ";" & objFile.DateLastAccessed & ";" & objFile.DateLastModified)
                Set objFile = Nothing
	     End If
         Next

         Set objFolder = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckMOFFilesPresence (ByVal objLOGFileHandle)

         Dim arrayRegistryValue, intIndex
         Dim objFolder, objFiles, objFile
         Dim boolMOFFoundInAutoRecovery 
 
         On Error Resume Next
 
         ReDim arrayKnownMOFFiles(0)
 
         WriteToLogFile objLOGFileHandle, "Verifying Auto-Recovery MOF files presence.", cLoggingLevel0, False
 
         arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SOFTWARE\Microsoft\WBEM\CIMOM", _
                                            "Autorecover MOFs", _
                                            "REG_MULTI_SZ", _
                                            True)
 
         If Not IsArray (arrayRegistryValue) Then
            CheckMOFFilesPresence = ErrorHandler (objLOGFileHandle, "CheckMOFFilesPresence", "'Autorecover MOFs' registry key is missing or is access denied.", False, Err)
            TrackingData.AutoRecoveryMissingMOFFiles = AddTrackingData (TrackingData.AutoRecoveryMissingMOFFiles, "NOAUTORECOVERYKEY")
         Else 
            WriteToLogFile objLOGFileHandle, "Verifying MOF files in WBEM folder.", cLoggingLevel0, False
 
            Set objFolder = objFS.GetFolder (RunTimeEnvironmentInfo.WBem)
            If Err.Number Then 
               CheckMOFFilesPresence = ErrorHandler (objLOGFileHandle, "CheckMOFFilesPresence", "'" & RunTimeEnvironmentInfo.WBem & "' not found.", False, Err)
               TrackingData.AutoRecoveryMissingMOFFiles = AddTrackingData (TrackingData.AutoRecoveryMissingMOFFiles, strLastError & ";NOWBEMFOLDER")
               Exit Function
            End If
 
            Set objFiles = objFolder.Files
            If Err.Number Then 
               CheckMOFFilesPresence = ErrorHandler (objLOGFileHandle, "CheckMOFFilesPresence", "No file found in '" & RunTimeEnvironmentInfo.WBem & "'.", False, Err)
               TrackingData.AutoRecoveryMissingMOFFiles = AddTrackingData (TrackingData.AutoRecoveryMissingMOFFiles, strLastError & ";NOFILESINWBEMFOLDER")
               Exit Function
            End If
 
            If objFiles.Count = 0 Then 
               WriteToLogFile objLOGFileHandle, "No file found in '" & RunTimeEnvironmentInfo.WBem & "'.", cLoggingLevel1, False
               TrackingData.AutoRecoveryMissingMOFFiles = AddTrackingData (TrackingData.AutoRecoveryMissingMOFFiles, strLastError & ";NOFILESINWBEMFOLDER")
               CheckMOFFilesPresence = True
               Exit Function
            End If
 
            For Each objFile in objFiles
                If UCase (Right (objFile.Name, 4)) = ".MOF" Or UCase (Right (objFile.Name, 4)) = ".MFL" Then 
                   boolMOFFoundInAutoRecovery = False
                   For intIndex = 0 To UBound (arrayRegistryValue)
                       arrayRegistryValue (intIndex) = ReplaceString (arrayRegistryValue (intIndex), Chr(34), "")
                       If Ucase (objWshShell.ExpandEnvironmentStrings (RunTimeEnvironmentInfo.WBem & objFile.Name)) = Ucase (objWshShell.ExpandEnvironmentStrings (arrayRegistryValue(intIndex))) Then
                          boolMOFFoundInAutoRecovery = True
                       End If
                   Next
                   If boolMOFFoundInAutoRecovery = False Then 
                      arrayKnownMOFFiles (UBound(arrayKnownMOFFiles)) = Ucase (objWshShell.ExpandEnvironmentStrings (RunTimeEnvironmentInfo.WBem & objFile.Name))
  
                      If (ExceptionForNoAutoRecoveryWBEMMOFFiles (arrayKnownMOFFiles (UBound (arrayKnownMOFFiles))) = True) Then
                         WriteToLogFile objLOGFileHandle, "'" & arrayKnownMOFFiles (UBound(arrayKnownMOFFiles)) & "' does exist and is NOT LISTED BY DEFAULT in the 'Autorecover MOFs' registry key.", cLoggingLevel3, False
                         TrackingData.WBemFolderMOFFilesNotListedInAutoRecovery = AddTrackingData (TrackingData.WBemFolderMOFFilesNotListedInAutoRecovery, arrayKnownMOFFiles (UBound(arrayKnownMOFFiles)) & " (*)")
                      Else
                         WriteToLogFile objLOGFileHandle, "'" & arrayKnownMOFFiles (UBound(arrayKnownMOFFiles)) & "' does exist but it is NOT LISTED in the 'Autorecover MOFs' registry key.", cLoggingLevel2, False
                         TrackingData.WBemFolderMOFFilesNotListedInAutoRecovery = AddTrackingData (TrackingData.WBemFolderMOFFilesNotListedInAutoRecovery, arrayKnownMOFFiles (UBound(arrayKnownMOFFiles)))
                      End If
 
                      ReDim Preserve arrayKnownMOFFiles (UBound(arrayKnownMOFFiles) + 1) 
                   End If
                End If
            Next

            arrayKnownMOFFilesInAutoRecovery = arrayRegistryValue
 
            For intIndex = 0 To UBound (arrayRegistryValue)
                If Not CheckIfFileExists (objLOGFileHandle, arrayRegistryValue (intIndex)) Then
                   WriteToLogFile objLOGFileHandle, "Unable to access or find file '" & UCase (arrayRegistryValue (intIndex)) & "' listed in 'Autorecover MOFs'.", cLoggingLevel1, False
                   TrackingData.AutoRecoveryMissingMOFFiles = AddTrackingData (TrackingData.AutoRecoveryMissingMOFFiles, UCase (arrayRegistryValue (intIndex)))
                   CheckMOFFilesPresence = True
                Else
                   arrayKnownMOFFiles (UBound(arrayKnownMOFFiles)) = UCase (objWshShell.ExpandEnvironmentStrings (arrayRegistryValue (intIndex)))
 
                   WriteToLogFile objLOGFileHandle, "Found '" & UCase (arrayKnownMOFFiles (UBound(arrayKnownMOFFiles))) & "'.", cLoggingLevel3, False
 
                   ReDim Preserve arrayKnownMOFFiles (UBound(arrayKnownMOFFiles) + 1) 
                End If
            Next
         End If
 
End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWindowsFWSettings (ByVal objLOGFileHandle)

         Dim objFW, objFWCurrentProfile, intCurrentProfileType, objFWApp, objFWApps
         Dim objFWPolicy, objFWRule, objFWRules, strFWRuleNames, intIndex
         Dim strFWSvc, strFWName
         Dim boolUnSecapp
         Dim arrayRegistryValue
 
         On Error Resume Next
 
         WriteToLogFile objLOGFileHandle, "Verifying Windows Firewall setup.", cLoggingLevel0, False
 
         CheckWindowsFWSettings = False

         If RunTimeEnvironmentInfo.OSIdentifier > cWindows2003SP264 Then
            strFWSvc = "MpsSvc"
            strFWName = "Windows Firewall"
         Else
            strFWSvc = "SharedAccess"
            strFWName = "FW/ICS"
         End If

         arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SYSTEM\CurrentControlSet\Services\" & strFWSvc, _
                                            "DisplayName", _
                                            "REG_SZ", _
                                            False)
 
         If IsArray (arrayRegistryValue) = True Then
            If Len (arrayRegistryValue (0)) > 0 Then
               If objShell.IsServiceRunning(strFWSvc) = False  Then
                  WriteToLogFile objLOGFileHandle, strFWName & " service is NOT running.", cLoggingLevel3, False
                  TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWSVCSTOPPED")
               Else 
                  WriteToLogFile objLOGFileHandle, strFWName & " service is running.", cLoggingLevel3, False

                  If RunTimeEnvironmentInfo.OSIdentifier > cWindows2003SP264 Then
                     Set objFWPolicy = CreateObject ("HNetCfg.FwPolicy2")

                     intCurrentProfileType = objFWPolicy.CurrentProfileTypes

                     Select Case intCurrentProfileType
                            Case NET_FW_PROFILE2_DOMAIN 
                                 WriteToLogFile objLOGFileHandle, "Current firewall profile is DOMAIN.", cLoggingLevel3, False
                                 TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWPROFILE=DOMAIN")
                            Case NET_FW_PROFILE2_PRIVATE 

                                 WriteToLogFile objLOGFileHandle, "Current firewall profile is PRIVATE.", cLoggingLevel3, False
                                 TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWPROFILE=PRIVATE")
                            Case NET_FW_PROFILE2_PUBLIC 

                                 WriteToLogFile objLOGFileHandle, "Current firewall profile is PUBLIC.", cLoggingLevel3, False
                                 TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWPROFILE=PUBLIC")
                            Case Else
                                 WriteToLogFile objLOGFileHandle, "Current firewall profile is #" & objFWPolicy.CurrentProfileTypes, cLoggingLevel1, False
                                 TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWPROFILE=UNKNOWN (" & objFWPolicy.CurrentProfileTypes & ")")
                     End Select

                     If objFWPolicy.FirewallEnabled (objFWPolicy.CurrentProfileTypes) = False Then
                        WriteToLogFile objLOGFileHandle, strFWName & " status is DISABLED.", cLoggingLevel3, False
                        TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWDISABLED")
                     Else
                        If objFWPolicy.BlockAllInboundTraffic (objFWPolicy.CurrentProfileTypes) = False Then
                           If objFWPolicy.DefaultInboundAction (objFWPolicy.CurrentProfileTypes) = NET_FW_ACTION_BLOCK Then
                              WriteToLogFile objLOGFileHandle, "- Inbound connections that do not match a rule are BLOCKED.", cLoggingLevel3, False
                              TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWNOINBOUND")
                           Else 
                              WriteToLogFile objLOGFileHandle, "- Inbound connections that do not match a rule are ALLOWED.", cLoggingLevel3, False
                           End If
                        Else 
                           WriteToLogFile objLOGFileHandle, "- All inbound exception rules are BLOCKED.", cLoggingLevel3, False
                           TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWNOEXCEPTION")
                        End If

                        If objFWPolicy.DefaultOutboundAction (objFWPolicy.CurrentProfileTypes) = False Then
                           WriteToLogFile objLOGFileHandle, "- Outbound connections that do not match a rule are BLOCKED.", cLoggingLevel3, False
                           TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWNOOUTBOUND")
                        Else 
                           WriteToLogFile objLOGFileHandle, "- Outbound connections that do not match a rule are ALLOWED.", cLoggingLevel3, False
                        End If

                        WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

                        WriteToLogFile objLOGFileHandle, "Group rule name:      " & cWMIRuleGroup, cLoggingLevel3, False
                        If objFWPolicy.IsRuleGroupCurrentlyEnabled(cWMIRuleGroup) Then
                           WriteToLogFile objLOGFileHandle, "  Enabled:            True", cLoggingLevel3, False
                           TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWGROUPRULEENABLED")
                        Else
                           WriteToLogFile objLOGFileHandle, "  Enabled:            False", cLoggingLevel3, False
                           TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWGROUPRULEDISABLED")
                        End If 
   
                        Set objFWRules = objFWPolicy.Rules

                        strFWRuleNames = Array (cFWRuleDCOMIn, "DCOM-IN", _
                                                cFWRuleWMIIn, "WMI-IN", _
                                                cFWRuleAsyncIn, "ASYNC-IN", _
                                                cFWRuleWMIOut, "WMI-OUT")

                        For Each objFWRule In objFWRules
                            For intIndex=0 To UBound (strFWRuleNames) Step 2
                                WriteToLogFile objLOGFileHandle, "Verifying if '" & UCase (objFWRule.Name) & "' (Rule profile='" & objFWRule.Profiles & "') matches '" & UCase (strFWRuleNames (intIndex)) & "' (Current profile='" & intCurrentProfileType & "').", cLoggingDebug Or cLoggingLevel3, False

                                If UCase (objFWRule.Name) = UCase (strFWRuleNames (intIndex)) And intCurrentProfileType = (objFWRule.Profiles And intCurrentProfileType) Then
                                   WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
                                   DisplayFWRule objLOGFileHandle, objFWRule, strFWRuleNames (intIndex + 1)
                                End If
                            Next
                        Next

                        Select Case objFWPolicy.LocalPolicyModifyState
                               Case NET_FW_MODIFY_STATE_OK            
                                    WriteToLogFile objLOGFileHandle, "Changing or adding a firewall rule (or group) to the current profile will take effect.", cLoggingLevel3, False
                               Case NET_FW_MODIFY_STATE_GP_OVERRIDE   
                                    WriteToLogFile objLOGFileHandle, "Changing or adding a firewall rule (or group) to the current profile will not take effect because group policy overrides it.", cLoggingLevel2, False
                                    TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWGPOVERRIDES")
                               Case NET_FW_MODIFY_STATE_INBOUND_BLOCKED 
                                    WriteToLogFile objLOGFileHandle, "Changing or adding an inbound firewall rule (or group) to the current profile will not take effect because inbound exceptions are not allowed.", cLoggingLevel3, False
                               Case Else                              
                                    WriteToLogFile objLOGFileHandle, "Invalid MODIFY State returned by LocalPolicyModifyState.", cLoggingLevel1, False
                        End Select
                        WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
                                               
                        Set objFWRules = Nothing
                     End If

                     Set objFWPolicy = Nothing
                  Else
                     Set objFW = CreateObject("HNetCfg.FwMgr")
                     Set objFWCurrentProfile = objFW.LocalPolicy.CurrentProfile
          
                     Select Case objFWCurrentProfile.Type
                            Case cNetFWProfileStandard 
                                 WriteToLogFile objLOGFileHandle, strFWName & " STANDARD profile is the current active one.", cLoggingLevel3, False
                                 TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWPROFILE=STANDARD")
                            Case cNetFWProfileDomain
                                 WriteToLogFile objLOGFileHandle, strFWName & " DOMAIN profile is the current active one.", cLoggingLevel3, False
                                 TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWPROFILE=DOMAIN")
                            Case Else
                                 WriteToLogFile objLOGFileHandle, strFWName & " Firewall profile is #" & objFWCurrentProfile.Type, cLoggingLevel3, False
                                 TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWPROFILE=UNKNOWN (" & objFWCurrentProfile.Type & ")")
                     End Select
                    
                     If objFWCurrentProfile.FirewallEnabled = False Then
                        WriteToLogFile objLOGFileHandle, strFWName & " status is DISABLED.", cLoggingLevel3, False
                        TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWDISABLED")
                     Else
                        WriteToLogFile objLOGFileHandle, strFWName & " status is ENABLED.", cLoggingLevel3, False
          
                        If objFWCurrentProfile.RemoteAdminSettings.Enabled = True Then
                           WriteToLogFile objLOGFileHandle, strFWName & " 'RemoteAdmin' is ENABLED.", cLoggingLevel3, False
                        Else
                           TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "NOREMOTEADMIN")
                           WriteToLogFile objLOGFileHandle, strFWName & " 'RemoteAdmin' is DISABLED, preventing remote WMI connections to this machine.", cLoggingLevel2, False
                        End If
          
                        boolUnSecapp = False
                        Set objFWApps = objFWCurrentProfile.AuthorizedApplications
                        If objFWApps.Count Then
                           For Each objFWApp In objFWApps
                               If UCase(objFWApp.ProcessImageFileName) = UCase(RunTimeEnvironmentInfo.WBem & "UNSECAPP.EXE") And objFWApp.Enabled = True Then
                                  boolUnSecapp = True
                               End If 
                          Next
                        End If
             
                        If boolUnSecapp = False Then
                           TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "NOUNSECAPP")
                           WriteToLogFile objLOGFileHandle, "'UNSECAPP.EXE' is not authorized, preventing WMI asynchronous callbacks to this computer for scripts and MMC applications.", cLoggingLevel2, False
                        Else
                           WriteToLogFile objLOGFileHandle, "'UNSECAPP.EXE' is in the ACTIVE application exception list.", cLoggingLevel3, False
                        End If
          
                        Set objFWApps = Nothing
                     End If

                     Set objFWCurrentProfile = Nothing 
                     Set objFW = Nothing
                  End If
               End If
            Else
               WriteToLogFile objLOGFileHandle, strFWName & " service is NOT INSTALLED.", cLoggingLevel3, False
               TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWNOTINSTALLED")
            End If
         Else
            WriteToLogFile objLOGFileHandle, strFWName & " service is NOT INSTALLED.", cLoggingLevel3, False
            TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, "FWNOTINSTALLED")
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function DisplayFWRule (ByVal objLOGFileHandle, ByVal objFWRule, ByVal strFWRuleShortName) 

         Dim arrayInterfaces, intIndex, intFWCurrentProfile

         On Error Resume Next

         WriteToLogFile objLOGFileHandle, "Rule Name:            " & objFWRule.Name, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "  Description:        " & objFWRule.Description, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "  Enabled:            " & objFWRule.Enabled, cLoggingLevel3, False
         If objFWRule.Enabled = False Then
            TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, strFWRuleShortName & "_DISABLED")
         Else
            TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, strFWRuleShortName & "_ENABLED")
         End If
         WriteToLogFile objLOGFileHandle, "  Application Name:   " & UCase (objFWRule.ApplicationName), cLoggingLevel3, False

         Select Case objFWRule.Profiles
                Case NET_FW_PROFILE2_DOMAIN 
                     WriteToLogFile objLOGFileHandle, "  Rule profile:       DOMAIN", cLoggingLevel3, False
                Case NET_FW_PROFILE2_PRIVATE 

                     WriteToLogFile objLOGFileHandle, "  Rule profile:       PRIVATE", cLoggingLevel3, False
                Case NET_FW_PROFILE2_PUBLIC 

                     WriteToLogFile objLOGFileHandle, "  Rule profile:       PUBLIC", cLoggingLevel3, False
         End Select

         Select Case objFWRule.Protocol
                Case NET_FW_IP_PROTOCOL_TCP    
                     WriteToLogFile objLOGFileHandle, "  IP Protocol:        TCP", cLoggingLevel3, False
                Case NET_FW_IP_PROTOCOL_UDP     
                     WriteToLogFile objLOGFileHandle, "  IP Protocol:        UDP", cLoggingLevel3, False
                Case NET_FW_IP_PROTOCOL_ICMPv4 
                     WriteToLogFile objLOGFileHandle, "  IP Protocol:        UDP", cLoggingLevel3, False
                Case NET_FW_IP_PROTOCOL_ICMPv6 
                     WriteToLogFile objLOGFileHandle, "  IP Protocol:        UDP", cLoggingLevel3, False
                Case Else                      
                     WriteToLogFile objLOGFileHandle, "  IP Protocol:        " & objFWRule.Protocol, cLoggingLevel3, False
         End Select

         If objFWRule.Protocol = NET_FW_IP_PROTOCOL_TCP or objFWRule.Protocol = NET_FW_IP_PROTOCOL_UDP Then
            WriteToLogFile objLOGFileHandle, "  Local Ports:        " & objFWRule.LocalPorts, cLoggingLevel3, False
            WriteToLogFile objLOGFileHandle, "  Remote Ports:       " & objFWRule.RemotePorts, cLoggingLevel3, False
            WriteToLogFile objLOGFileHandle, "  LocalAddresses:     " & objFWRule.LocalAddresses, cLoggingLevel3, False
            WriteToLogFile objLOGFileHandle, "  RemoteAddresses:    " & objFWRule.RemoteAddresses, cLoggingLevel3, False
         End If 

         If objFWRule.Protocol = NET_FW_IP_PROTOCOL_ICMPv4 or objFWRule.Protocol = NET_FW_IP_PROTOCOL_ICMPv6 Then
            WriteToLogFile objLOGFileHandle, "  ICMP Type and Code:    " & objFWRule.IcmpTypesAndCodes, cLoggingLevel3, False
         End If 

         Select Case objFWRule.Direction
                Case NET_FW_RULE_DIR_IN  
                     WriteToLogFile objLOGFileHandle, "  Direction:          In", cLoggingLevel3, False
                Case NET_FW_RULE_DIR_OUT 
                     WriteToLogFile objLOGFileHandle, "  Direction:          Out", cLoggingLevel3, False
         End Select

         Select Case objFWRule.Action
                Case NET_FW_ACTION_ALLOW  
                     WriteToLogFile objLOGFileHandle, "  Action:             Allow", cLoggingLevel3, False
                Case NET_FW_ACTION_BLOCk  
                     WriteToLogFile objLOGFileHandle, "  Action:             Block", cLoggingLevel3, False
                     If objFWRule.Enabled = True Then
                        TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, strFWRuleShortName & "_BLOCKED")
                     Else
                        TrackingData.FirewallStatus = AddTrackingData (TrackingData.FirewallStatus, strFWRuleShortName & "_ALLOWED")
                     End If
         End Select

         WriteToLogFile objLOGFileHandle, "  Edge:               " & objFWRule.EdgeTraversal, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "  Interface Types:    " & objFWRule.InterfaceTypes, cLoggingLevel3, False

         arrayInterfaces = objFWRule.Interfaces

         If IsEmpty(arrayInterfaces) = True Then
            WriteToLogFile objLOGFileHandle, "  There are no excluded interfaces", cLoggingLevel3, False
         Else
            WriteToLogFile objLOGFileHandle, "Excluded interfaces: "
            For intIndex = 0 To UBound (arrayInterfaces)
                WriteToLogFile objLOGFileHandle, "    " & arrayInterfaces (intIndex), cLoggingLevel3, False
            Next
         End If 

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWMISettings (ByVal objLOGFileHandle)

         On Error Resume Next
 
         WriteToLogFile objLOGFileHandle, "Verifying WMI Core registry settings (WBEM).", cLoggingLevel0, False
 
         boolRC = CheckRegistrySetup (objLOGFileHandle, arrayWMIRegistrySettings, "WMIREGISTRYSETTINGS")

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWMIServiceSetup (ByVal objLOGFileHandle)
  
         Dim boolRC, arrayRegistryValue, strTemp, boolSharedHost, boolAloneHost 
 
         On Error Resume Next
 
         WriteToLogFile objLOGFileHandle, "Verifying WMI Service registry settings (SVCHOST, WINMGMT).", cLoggingLevel0, False
 
         arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SYSTEM\CurrentControlSet\Services\Winmgmt", _
                                            "Start", _
                                            "REG_DWORD", _
                                            True)
 
         If IsArray (arrayRegistryValue) = True Then
            If arrayRegistryValue (0) = 4 Then
               CheckWMIServiceSetup = ErrorHandler (objLOGFileHandle, "CheckWMIServiceSetup", "'Windows Management Instrumentation' service is DISABLED.", False, Err)
               TrackingData.InvalidWMIServiceSetup = AddTrackingData (TrackingData.InvalidWMIServiceSetup, "WMISERVICEDISABLED")
            End If

            If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsXPRTM Then
               boolSharedHost = False
               boolAloneHost = False
 
               arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\SvcHost", _
                                                  "netsvcs", _
                                                  "REG_MULTI_SZ", _
                                                  False)
 
               If IsArray (arrayRegistryValue) = True Then
                  strTemp = ConvertArrayInString (arrayRegistryValue, ";")
                  If Instr (Ucase (strTemp), "WINMGMT") > 0 Then
                     boolSharedHost = True
                  Else 
                     boolSharedHost = False
                  End If
               End If
 
               arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\SvcHost", _
                                                  "winmgmt", _
                                                  "REG_MULTI_SZ", _
                                                  False)
 
               If IsArray (arrayRegistryValue) = True Then
                  strTemp = ConvertArrayInString (arrayRegistryValue, ";")
                  If Instr (UCase (strTemp), "WINMGMT") > 0 Then
                     boolAloneHost = True
                  Else
                     boolAloneHost = False
                  End If
               End If

               If boolSharedHost = True Then
                  WriteToLogFile objLOGFileHandle, "'Windows Management Instrumentation' (WINMGMT) is running as a SHARED HOST SERVICE.", cLoggingLevel3, False
               End If 
               If boolSharedHost = False And boolAloneHost = True Then
                  WriteToLogFile objLOGFileHandle, "'Windows Management Instrumentation' (WINMGMT) is running as a STANDALONE HOST SERVICE.", cLoggingLevel2, False
                  TrackingData.InvalidWMIServiceSetup = AddTrackingData (TrackingData.InvalidWMIServiceSetup, "WMISERVICESTANDALONEHOST")
               End If
               If (boolSharedHost = True And boolAloneHost = True) Or _
                  (boolSharedHost = False And boolAloneHost = False) Then
                  CheckWMIServiceSetup = ErrorHandler (objLOGFileHandle, "CheckWMIServiceSetup", "'Windows Management Instrumentation' service has an invalid SHARED/STANDALONE service host configuration.", False, Err)
                  TrackingData.InvalidWMIServiceSetup = AddTrackingData (TrackingData.InvalidWMIServiceSetup, "WMISERVICEHOST")
               End If
            End If
         End If
 
         boolRC = CheckRegistrySetup (objLOGFileHandle, arrayWMIRegistryServiceSetup, "WMISERVICESETUP")
 
         If boolRC Then
            CheckWMIServiceSetup = ErrorHandler (objLOGFileHandle, "CheckWMIServiceSetup", "'Windows Management Instrumentation' service registry setup is incorrect or access denied.", False, Err)
            TrackingData.InvalidWMIServiceSetup = AddTrackingData (TrackingData.InvalidWMIServiceSetup, "WMISERVICESETUP")
         Else 
            WriteToLogFile objLOGFileHandle, "'Windows Management Instrumentation' service registered correctly (WINMGMT).", cLoggingLevel3, False
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWMIServiceDependent (ByVal objLOGFileHandle)

	 Dim intKeyIndex
         Dim strRegistryValue, arrayRegistryValue, strDisplayname, intStartMode, strStartMode, boolFound
 
         On Error Resume Next
 
         WriteToLogFile objLOGFileHandle, "Verifying WMI Service known dependents.", cLoggingLevel0, False
 
         CheckWMIServiceDependent = False
 
         For intKeyIndex = 0 To UBound (arrayWMIServiceKnownDependent) Step 2
             arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SYSTEM\CurrentControlSet\Services\" & arrayWMIServiceKnownDependent (intKeyIndex), _
                                                "DisplayName", _
                                                "REG_SZ", _
                                                False)
             If IsArray (arrayRegistryValue) = True Then
                strDisplayname = arrayWMIServiceKnownDependent (intKeyIndex + 1)
 
                arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SYSTEM\CurrentControlSet\Services\" & arrayWMIServiceKnownDependent (intKeyIndex), _
                                                   "DependOnService", _
                                                   "REG_MULTI_SZ", _
                                                   False)
                boolFound = False
                If IsArray (arrayRegistryValue) = True Then
                   For Each strRegistryValue in arrayRegistryValue
                       If UCase (strRegistryValue) = "WINMGMT" Then 
                          boolFound = True
                          Exit For
                       End If
                   Next
                End If
 
                intStartMode = CLng(ReadRegistry (objLOGFileHandle, "HKLM\SYSTEM\CurrentControlSet\Services\" & arrayWMIServiceKnownDependent (intKeyIndex), _
                                                  "Start", _
                                                  "REG_DWORD", True)(0))
                Select Case intStartMode
                       Case 0
                            strStartMode = "Boot"
                       Case 1
                            strStartMode = "System"
                       Case 2
                            strStartMode = "Automatic"
                       Case 3
                            strStartMode = "Manual"
                       Case 4 
                            strStartMode = "Disabled"
                       Case Else 
                            strStartMode = "Unknown"
                End Select
 
                If boolFound = False Then
                   WriteToLogFile objLOGFileHandle, "'" & strDisplayname & "' (" & Ucase (arrayWMIServiceKnownDependent (intKeyIndex)) & ", StartMode='" & strStartMode & "') is installed and should depends on WMI Service (No DependsOnService registry key).", cLoggingLevel2, False
                   TrackingData.WMIServiceDependents = AddTrackingData (TrackingData.WMIServiceDependents, strDisplayname & " (*);" & UCase (arrayWMIServiceKnownDependent (intKeyIndex)) & ";" & strStartMode)
                Else
                   WriteToLogFile objLOGFileHandle, "'" & strDisplayname & "' (" & Ucase (arrayWMIServiceKnownDependent (intKeyIndex)) & ", StartMode='" & strStartMode & "') is installed depends on WMI Service.", cLoggingLevel2, False
                   TrackingData.WMIServiceDependents = AddTrackingData (TrackingData.WMIServiceDependents, strDisplayname & ";" & UCase (arrayWMIServiceKnownDependent (intKeyIndex)) & ";" & strStartMode)
                End If
 
                CheckWMIServiceDependent = True
             End If
         Next

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckEnvironment (ByVal objLOGFileHandle)

         Dim arrayRegistryValue, strTemp, intPathPosition, intMaxPathLength

         On Error Resume Next

         CheckEnvironment = False

         WriteToLogFile objLOGFileHandle, "Verifying computer environment.", cLoggingLevel0, False

         If RunTimeEnvironmentInfo.OSIdentifier <= cWindowsXPRTM Then
            intMaxPathLength = 512
         End If
         If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP1 Then
            intMaxPathLength = 1023
         End If
         If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsXPSP164 Then
            intMaxPathLength = 2047 
         End If

	 WriteToLogFile objLOGFileHandle, "PATH = " & Left (RunTimeEnvironmentInfo.Path, Len (RunTimeEnvironmentInfo.Path) - 1) & ".", cLoggingLevel3, False

         strTemp = Left (RunTimeEnvironmentInfo.System32, Len (RunTimeEnvironmentInfo.System32) - 1)
         intPathPosition = Instr (UCase (objWshShell.ExpandEnvironmentStrings (RunTimeEnvironmentInfo.Path)), Ucase (strTemp) & ";")
         If intPathPosition = 0 Then
            WriteToLogFile objLOGFileHandle, "The SYSTEM32 folder is NOT in the PATH.", cLoggingLevel1, False
            TrackingData.Environment = AddTrackingData (TrackingData.Environment, "PATH;" & strTemp)
            CheckEnvironment = True
         Else
            If intPathPosition >= (intMaxPathLength - Len (RunTimeEnvironmentInfo.System32) + 1) Then
               WriteToLogFile objLOGFileHandle, "The SYSTEM32 folder IS in the PATH but on the edge or way after the maximum path length of " & intMaxPathLength & " characters (" & intPathPosition & ").", cLoggingLevel2, False
               TrackingData.Environment = AddTrackingData (TrackingData.Environment, "PATHEDGE;" & strTemp & ";" & intPathPosition & ";" & intMaxPathLength)
               CheckEnvironment = True
            Else
               WriteToLogFile objLOGFileHandle, "The SYSTEM32 folder IS in the PATH.", cLoggingLevel3, False
            End If
         End If

         strTemp = Left (RunTimeEnvironmentInfo.WBEM, Len (RunTimeEnvironmentInfo.WBEM) - 1)
         intPathPosition = Instr (UCase (objWshShell.ExpandEnvironmentStrings (RunTimeEnvironmentInfo.Path)), Ucase (strTemp))
         If intPathPosition = 0 Then
            WriteToLogFile objLOGFileHandle, "The WBEM folder is NOT in the PATH.", cLoggingLevel1, False
            TrackingData.Environment = AddTrackingData (TrackingData.Environment, "PATH;" & strTemp)
            CheckEnvironment = True
         Else
            If intPathPosition >= (intMaxPathLength - Len (RunTimeEnvironmentInfo.WBEM) + 1) Then
               WriteToLogFile objLOGFileHandle, "The WBEM folder IS in the PATH but on the edge or way after the maximum path length of " & intMaxPathLength & " characters (" & intPathPosition & ").", cLoggingLevel2, False
               TrackingData.Environment = AddTrackingData (TrackingData.Environment, "PATHEDGE;" & strTemp & ";" & intPathPosition & ";" & intMaxPathLength)
               CheckEnvironment = True
            Else
               WriteToLogFile objLOGFileHandle, "The WBEM folder IS in the PATH.", cLoggingLevel3, False
            End If
         End If

         If Len (RunTimeEnvironmentInfo.Path) >= intMaxPathLength Then
            WriteToLogFile objLOGFileHandle, "The PATH environment variable is equal or above the maximum length of " & intMaxPathLength & " characters (" & Len (RunTimeEnvironmentInfo.Path) & ").", cLoggingLevel2, False
            TrackingData.Environment = AddTrackingData (TrackingData.Environment, "PATHLEN;" & ReplaceString (RunTimeEnvironmentInfo.Path, ";", "#") & ";" & intMaxPathLength)
            CheckEnvironment = True
         Else
            WriteToLogFile objLOGFileHandle, "The PATH environment variable has a maximum length of " & intMaxPathLength & " characters. Current PATH length is " & Len (RunTimeEnvironmentInfo.Path) & " characters.", cLoggingLevel3, False
         End If

         arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKCU\Software\Microsoft\Windows Script Host\Settings", _
                                            "Timeout", _
                                            "REG_DWORD", _
                                            False)

         If IsArray (arrayRegistryValue) = True Then
            If arrayRegistryValue (0) > 0 Then
               WriteToLogFile objLOGFileHandle, "The user profile has a WSH script execution timeout of '" & arrayRegistryValue (0) & "'.", cLoggingLevel1, False
               TrackingData.Environment = AddTrackingData (TrackingData.Environment, "WSHTIMEOUT;USER;" & arrayRegistryValue (0))
               CheckEnvironment = True
            End If
         End If

         arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SOFTWARE\Microsoft\Windows Script Host\Settings", _
                                            "Timeout", _
                                            "REG_DWORD", _
                                            False)

         If IsArray (arrayRegistryValue) = True Then
            If arrayRegistryValue (0) > 0 Then
               WriteToLogFile objLOGFileHandle, "The computer profile has a WSH script execution timeout of '" & arrayRegistryValue (0) & "'.", cLoggingLevel1, False
               TrackingData.Environment = AddTrackingData (TrackingData.Environment, "WSHTIMEOUT;MACHINE;" & arrayRegistryValue (0))
               CheckEnvironment = True
            End If
         End If

         If RunTimeEnvironmentInfo.OSIdentifier > cWindows2003SP264 Then
            arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System", _
                                               "EnableLUA", _
                                               "REG_DWORD", _
                                               False)
            If IsArray (arrayRegistryValue) = True Then
               If arrayRegistryValue (0) > 0 Then 
                  WriteToLogFile objLOGFileHandle, "User Account Control (UAC) is ENABLED.", cLoggingLevel2, False
                  TrackingData.UAC = AddTrackingData (TrackingData.UAC, "UAC;ENABLED")
               Else
                  WriteToLogFile objLOGFileHandle, "User Account Control (UAC) is DISABLED.", cLoggingLevel2, False
                  TrackingData.UAC = AddTrackingData (TrackingData.UAC, "UAC;DISABLED")
               End If
            Else
               WriteToLogFile objLOGFileHandle, "User Account Control (UAC) is DISABLED.", cLoggingLevel2, False
               TrackingData.UAC = AddTrackingData (TrackingData.UAC, "UAC;DISABLED")
            End If

            arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System", _
                                               "LocalAccountTokenFilterPolicy", _
                                               "REG_DWORD", _
                                               False)
            If IsArray (arrayRegistryValue) = True Then
               If arrayRegistryValue (0) > 0 Then 
                  WriteToLogFile objLOGFileHandle, "Local account token filtering policy is DISABLED.", cLoggingLevel2, False
                  TrackingData.UAC = AddTrackingData (TrackingData.UAC, "LAF;DISABLED")
               Else
                  WriteToLogFile objLOGFileHandle, "Local account token filtering policy is ENABLED.", cLoggingLevel2, False
                  TrackingData.UAC = AddTrackingData (TrackingData.UAC, "LAF;ENABLED")
               End If
            Else
               WriteToLogFile objLOGFileHandle, "Local account token filtering policy is ENABLED.", cLoggingLevel2, False
               TrackingData.UAC = AddTrackingData (TrackingData.UAC, "LAF;ENABLED")
            End If
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckFilesPresence (ByVal objLOGFileHandle)

         Dim intFileIndex, strPathFilename

         On Error Resume Next
 
         WriteToLogFile objLOGFileHandle, "Verifying specific files presence.", cLoggingLevel0, False
 
         CheckFilesPresence = False
 
         For intFileIndex = 0 To UBound (arraySpecificFileList) Step 3
             strPathFilename = UCase (objWshShell.ExpandEnvironmentStrings (arraySpecificFileList (intFileIndex)))
 
             If CheckIfFileExists (objLOGFileHandle, strPathFilename) Then
                If arraySpecificFileList (intFileIndex + 1) = True Then
                   WriteToLogFile objLOGFileHandle, "File '" & strPathFilename & "' IS FOUND, which is AN ISSUE.", cLoggingLevel2, False
                   TrackingData.PresenceOfFiles = AddTrackingData (TrackingData.PresenceOfFiles, strPathFilename & ";True;" & arraySpecificFileList (intFileIndex + 2))
                Else
                   WriteToLogFile objLOGFileHandle, "File '" & strPathFilename & "' IS FOUND, which is FINE.", cLoggingLevel3, False
               End If
             Else
                If arraySpecificFileList (intFileIndex + 1) = True Then
                   WriteToLogFile objLOGFileHandle, "File '" & strPathFilename & "' is MISSING, which is FINE.", cLoggingLevel3, False
               Else
                   WriteToLogFile objLOGFileHandle, "File '" & strPathFilename & "' is MISSING, which is AN ISSUE.", cLoggingLevel2, False
                   TrackingData.PresenceOfFiles = AddTrackingData (TrackingData.PresenceOfFiles, strPathFilename & ";False;" & arraySpecificFileList (intFileIndex + 2))
                End If
             End If
         Next

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckAdditionalBinaryInWBEMFolder (ByVal objLOGFileHandle)

         Dim objFolder, objFiles, objFile
         Dim boolFoundAdditionalBinaryInWBEM, intFileIndex 

         On Error Resume Next
 
         WriteToLogFile objLOGFileHandle, "Verifying additional binaries in WBEM folder.", cLoggingLevel0, False
 
         Set objFolder = objFS.GetFolder (RunTimeEnvironmentInfo.WBem)
         If Err.Number Then 
            CheckAdditionalBinaryInWBEMFolder = ErrorHandler (objLOGFileHandle, "CheckAdditionalBinaryInWBEMFolder", "'" & RunTimeEnvironmentInfo.WBem & "' not found.", False, Err)
            TrackingData.AdditionalBinaryWBEMFolder = AddTrackingData (TrackingData.AdditionalBinaryWBEMFolder, strLastError & ";NOWBEMFOLDER;;;")
            Exit Function
         End If
 
         Set objFiles = objFolder.Files
         If Err.Number Then 
            CheckAdditionalBinaryInWBEMFolder = ErrorHandler (objLOGFileHandle, "CheckAdditionalBinaryInWBEMFolder", "No file found in '" & RunTimeEnvironmentInfo.WBem & "'.", False, Err)
            TrackingData.AdditionalBinaryWBEMFolder = AddTrackingData (TrackingData.AdditionalBinaryWBEMFolder, strLastError & ";NOFILESINWBEMFOLDER;;;")
            Exit Function
         End If

         If objFiles.Count = 0 Then 
           WriteToLogFile objLOGFileHandle, "No file found in '" & RunTimeEnvironmentInfo.WBem & "'.", cLoggingLevel1, False
            TrackingData.AdditionalBinaryWBEMFolder = AddTrackingData (TrackingData.AdditionalBinaryWBEMFolder, strLastError & ";NOFILESINWBEMFOLDER;;;")
            CheckAdditionalBinaryInWBEMFolder = True
            Exit Function
         End If
 
         For Each objFile in objFiles
             If UCase (Right (objFile.Name, 4)) = ".DLL" Or UCase (Right (objFile.Name, 4)) = ".EXE" Then 
                boolFoundAdditionalBinaryInWBEM = False
                For intFileIndex = 0 To UBound (arrayWMIDCOMDataList) Step 4
                    If Ucase (objFile.Name) = Ucase (arrayWMIDCOMDataList (intFileIndex + 1)) Then
                       boolFoundAdditionalBinaryInWBEM = True
                    End If
                Next
 
                If boolFoundAdditionalBinaryInWBEM = False Then
                   WriteToLogFile objLOGFileHandle, "'" & Ucase (objFile.Name) & "' is an unexpected binary file located in " & RunTimeEnvironmentInfo.WBem & ".", cLoggingLevel2, False
                   TrackingData.AdditionalBinaryWBEMFolder = AddTrackingData (TrackingData.AdditionalBinaryWBEMFolder , UCase (objFile.Name) & ";" & objFile.Size & ";" & objFile.DateCreated & ";" & objFile.DateLastAccessed & ";" & objFile.DateLastModified)
                End If
             End If
         Next

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWMISystemFilesPresence (ByVal objLOGFileHandle)

         Dim intFileIndex

         On Error Resume Next

         WriteToLogFile objLOGFileHandle, "Verifying WMI System files presence at '" & RunTimeEnvironmentInfo.WBem & "'.", cLoggingLevel0, False
 
         CheckWMISystemFilesPresence = False
 
         For intFileIndex = 0 To UBound (arrayWMIDCOMDataList) Step 4
             If Not CheckIfFileExists (objLOGFileHandle, objWshShell.ExpandEnvironmentStrings (arrayWMIDCOMDataList (intFileIndex)) & arrayWMIDCOMDataList (intFileIndex + 1)) Then
                If arrayWMIDCOMDataList (intFileIndex + 2) = True Then
                   WriteToLogFile objLOGFileHandle, "WMI System file '" & UCase (objWshShell.ExpandEnvironmentStrings (arrayWMIDCOMDataList (intFileIndex)) & arrayWMIDCOMDataList (intFileIndex + 1)) & "' is MISSING or is access DENIED but it is an OPTIONAL component.", cLoggingLevel2, False
                Else
                   WriteToLogFile objLOGFileHandle, "WMI System file '" & UCase (objWshShell.ExpandEnvironmentStrings (arrayWMIDCOMDataList (intFileIndex)) & arrayWMIDCOMDataList (intFileIndex + 1)) & "' is MISSING or is access DENIED.", cLoggingLevel1, False
                   TrackingData.MissingWMISystemFiles = AddTrackingData (TrackingData.MissingWMISystemFiles, objWshShell.ExpandEnvironmentStrings (arrayWMIDCOMDataList (intFileIndex)) & arrayWMIDCOMDataList (intFileIndex + 1))
                   CheckWMISystemFilesPresence = True
                End If
             Else
                If arrayWMIDCOMDataList (intFileIndex + 2) = True Then
                   arrayWMIDCOMDataList (intFileIndex + 2) = False
                   WriteToLogFile objLOGFileHandle, "Found '" & UCase (objWshShell.ExpandEnvironmentStrings (arrayWMIDCOMDataList (intFileIndex)) & arrayWMIDCOMDataList (intFileIndex + 1))  & "', is present but it is an OPTIONAL component.", cLoggingLevel3, False
                Else
                   WriteToLogFile objLOGFileHandle, "Found '" & UCase (objWshShell.ExpandEnvironmentStrings (arrayWMIDCOMDataList (intFileIndex)) & arrayWMIDCOMDataList (intFileIndex + 1))  & ".", cLoggingLevel3, False
                 End If
	     End If
         Next

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckDCOMConfiguration (ByVal objLOGFileHandle)

         Dim arrayRegistryValue

         On Error Resume Next

         WriteToLogFile objLOGFileHandle, "Verifying DCOM configuration.", cLoggingLevel0, False

         ' HKLM\SOFTWARE\Microsoft\Ole\EnableDCOM = Y
         arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SOFTWARE\Microsoft\Ole", _
                                            "EnableDCOM", _
                                            "REG_SZ", _
                                            False)
         If Not IsArray (arrayRegistryValue) Then
            WriteToLogFile objLOGFileHandle, "DCOM is DISABLED.", cLoggingLevel1, False
            TrackingData.InvalidDCOMSetup = AddTrackingData (TrackingData.InvalidDCOMSetup, "DCOMDISABLED")
         Else
            If Ucase (arrayRegistryValue (0)) <> "Y" Then
               WriteToLogFile objLOGFileHandle, "DCOM is DISABLED.", cLoggingLevel1, False   
               TrackingData.InvalidDCOMSetup = AddTrackingData (TrackingData.InvalidDCOMSetup, "DCOMDISABLED")
            Else
               WriteToLogFile objLOGFileHandle, "DCOM is ENABLED.", cLoggingLevel3, False   
            End If
         End If

         ' HKLM\SOFTWARE\Microsoft\Ole\LegacyAuthenticationLevel = 2
         arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SOFTWARE\Microsoft\Ole", _
                                            "LegacyAuthenticationLevel", _
                                            "REG_DWORD", _
                                            False)
         If IsArray (arrayRegistryValue) = True Then
            If arrayRegistryValue (0) <> 2 Then
               WriteToLogFile objLOGFileHandle, "DCOM is NOT set at the CONNECT authentication level.", cLoggingLevel2, False
               TrackingData.InvalidDCOMSetup = AddTrackingData (TrackingData.InvalidDCOMSetup, "DCOMNOCONNECT")
            Else
               WriteToLogFile objLOGFileHandle, "DCOM IS set at the CONNECT authentication level.", cLoggingLevel3, False
            End If
         Else
            WriteToLogFile objLOGFileHandle, "DCOM IS set at the CONNECT authentication level.", cLoggingLevel3, False
         End If

         ' HKLM\SOFTWARE\Microsoft\Ole\LegacyImpersonationLevel = 2
         arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SOFTWARE\Microsoft\Ole", _
                                            "LegacyImpersonationLevel", _
                                            "REG_DWORD", _
                                            False)
         If IsArray (arrayRegistryValue) = True Then
            If arrayRegistryValue (0) <> 2 Then
               WriteToLogFile objLOGFileHandle, "DCOM is NOT set at the IDENTIFY impersonation level.", cLoggingLevel2, False
               TrackingData.InvalidDCOMSetup = AddTrackingData (TrackingData.InvalidDCOMSetup, "DCOMNOIDENTIFY")
            Else
               WriteToLogFile objLOGFileHandle, "DCOM IS set at the IDENTIFY impersonation level.", cLoggingLevel3, False
            End If
         Else
            WriteToLogFile objLOGFileHandle, "DCOM IS set at the IDENTIFY impersonation level.", cLoggingLevel3, False
         End If

         CheckDCOMConfiguration = False

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWMIDCOMComponentRegistrations (ByVal objLOGFileHandle)

         Dim intFileIndex, intGUIDIndex, strGUIDHive, strGUID, arrayRegistryValue, boolRC
 
         On Error Resume Next
 
         WriteToLogFile objLOGFileHandle, "Verifying WMI DCOM component registrations.", cLoggingLevel0, False

         CheckWMIDCOMComponentRegistrations = False
 
         boolRC = CheckRegistrySetup (objLOGFileHandle, arrayWMIRegistryDCOMSetup, "WMIDCOMSETUP")
 
         If boolRC Then
            CheckWMIDCOMComponentRegistrations = ErrorHandler (objLOGFileHandle, "CheckWMIDCOMComponentRegistrations", "'Windows Management Instrumentation' DCOM application registration data is missing, incorrect or access denied.", False, Err)
            TrackingData.InvalidWMIServiceDCOMSetup = AddTrackingData (TrackingData.InvalidWMIServiceDCOMSetup, "WMIDCOMAPPLICATIONSETUPISSUE")
         Else 
            WriteToLogFile objLOGFileHandle, "'Windows Management Instrumentation' DCOM application registered correctly ({8BC3F05E-D86B-11D0-A075-00C04FB68820}).", cLoggingLevel3, False
         End If

         For intFileIndex = 0 To UBound (arrayWMIDCOMDataList) Step 4
             If arrayWMIDCOMDataList (intFileIndex + 2) = False Then
                If IsArray (arrayWMIDCOMDataList (intFileIndex + 3)) = True Then
                   For intGUIDIndex = 0 To UBound (arrayWMIDCOMDataList (intFileIndex + 3))
                       strGUIDHive = UCase (arrayWMIDCOMDataList (intFileIndex + 3)(intGUIDIndex))

                       If InStr (UCase (strGUIDHive), "\CLSID\") > 0 Then
                          If InStr (UCase (arrayWMIDCOMDataList (intFileIndex + 1)), ".EXE") > 0 Then
                             strGUIDHive = strGUIDHive & "\LocalServer32"
                          Else
                             strGUIDHive = strGUIDHive & "\InProcServer32"
                          End If
                       End If

                       arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKCR" & strGUIDHive, _
                                                          "", _
                                                          "REG_SZ", _
                                                          True)

                       If Not IsArray (arrayRegistryValue) Then
                          CheckWMIDCOMComponentRegistrations = ErrorHandler (objLOGFileHandle, "CheckWMIDCOMComponentRegistrations", "'" & UCase (objWshShell.ExpandEnvironmentStrings (arrayWMIDCOMDataList (intFileIndex)) & arrayWMIDCOMDataList (intFileIndex + 1)) & "' is not registered correctly, missing '" & strGUIDHive & "'.", False, Err)
                          TrackingData.WMIDCOMRegistrations = AddTrackingData (TrackingData.WMIDCOMRegistrations, UCase (objWshShell.ExpandEnvironmentStrings (arrayWMIDCOMDataList (intFileIndex)) & arrayWMIDCOMDataList (intFileIndex + 1)) & " (" & strGUIDHive & ")" )
                       Else 
                          WriteToLogFile objLOGFileHandle, "'" & UCase (objWshShell.ExpandEnvironmentStrings (arrayWMIDCOMDataList (intFileIndex)) & arrayWMIDCOMDataList (intFileIndex + 1)) & "' registered correctly (" & strGUIDHive & ").", cLoggingLevel3, False
                       End If
                   Next
                End If
             End If
         Next

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWMIDCOMComponentSecurity (ByVal objLOGFileHandle)

         On Error Resume Next
 
         WriteToLogFile objLOGFileHandle, "Verifying WMI DCOM component security.", cLoggingLevel0, False

         CheckWMIDCOMComponentSecurity = False

         If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP2 Or _
            RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP164 Or _
            RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP3 Or _
            RunTimeEnvironmentInfo.OSIdentifier >= cWindows2003SP1 Then
            boolRC = DecipherDCOMSD (objLOGFileHandle, "My Computer", "", "DefaultAccessPermission", "Access Permissions/Edit Default", arrayDCOMDefaultAccessPermission)
            boolRC = DecipherDCOMSD (objLOGFileHandle, "My Computer", "", "MachineAccessRestriction", "Access Permissions/Edit Limits", arrayDCOMMachineAccessRestriction)
            boolRC = DecipherDCOMSD (objLOGFileHandle, "My Computer", "", "DefaultLaunchPermission", "Launch & Activation Permissions/Edit Default", arrayDCOMDefaultLaunchPermission)
            boolRC = DecipherDCOMSD (objLOGFileHandle, "My Computer", "", "MachineLaunchRestriction", "Launch & Activation Permissions/Edit Limits", arrayDCOMMachineLaunchRestriction)
         Else
            boolRC = DecipherDCOMSD (objLOGFileHandle, "My Computer", "", "DefaultAccessPermission", "Access Permissions/Edit Default", arrayDCOMDefaultAccessPermission)
            boolRC = DecipherDCOMSD (objLOGFileHandle, "My Computer", "", "DefaultLaunchPermission", "Launch & Activation Permissions/Edit Default", arrayDCOMDefaultLaunchPermission)
         End If 


         boolRC = DecipherDCOMSD (objLOGFileHandle, "Windows Management Instrumentation", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}", "AccessPermission", "Access Permissions", arrayWMIDCOMAccessPermission)
         boolRC = DecipherDCOMSD (objLOGFileHandle, "Windows Management Instrumentation", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}", "LaunchPermission", "Launch & Activation Permissions", arrayWMIDCOMLaunchPermission)

         boolRC = DecipherDCOMSD (objLOGFileHandle, "Microsoft WMI Provider Subsystem Host", "{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}", "AccessPermission", "Access Permissions", arrayWMIPSSDCOMAccessPermission)
         boolRC = DecipherDCOMSD (objLOGFileHandle, "Microsoft WMI Provider Subsystem Host", "{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}", "LaunchPermission", "Launch & Activation Permissions", arrayWMIPSSDCOMLaunchPermission)

         boolRC = DecipherDCOMSD (objLOGFileHandle, "Microsoft WBEM UnSecured Apartment", "{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", "AccessPermission", "Access Permissions", arrayWMIUnsecureApptDCOMAccessPermission)
         boolRC = DecipherDCOMSD (objLOGFileHandle, "Microsoft WBEM UnSecured Apartment", "{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", "LaunchPermission", "Launch & Activation Permissions", arrayWMIUnsecureApptDCOMLaunchPermission)

         boolRC = DecipherDCOMSD (objLOGFileHandle, "Microsoft WBEM Active Scripting Event Consumer Provider", "{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", "AccessPermission", "Access Permissions", arrayWMIActiveScriptEventConsDCOMAccessPermission)
         boolRC = DecipherDCOMSD (objLOGFileHandle, "Microsoft WBEM Active Scripting Event Consumer Provider", "{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", "LaunchPermission", "Launch & Activation Permissions", arrayWMIActiveScriptEventConsDCOMLaunchPermission)

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWMIProgID (objLOGFileHandle)

         Dim intIndex 
         Dim objWMIObject

         On Error Resume Next

         WriteToLogFile objLOGFileHandle, "Verifying WMI ProgID registrations.", cLoggingLevel0, False

         CheckWMIProgID = False

         For intIndex = 0 To UBound (arrayWMIProgID) Step 2
             Set objWMIobject = CreateObject (arrayWMIProgID (intIndex))
             If Err.Number Then
                WriteToLogFile objLOGFileHandle, "WMI object ProgID '" & arrayWMIProgID (intIndex) & "' CANNOT be instantiated'.", cLoggingLevel2, False
                TrackingData.WMIObjectProgID = AddTrackingData (TrackingData.WMIObjectProgID, arrayWMIProgID (intIndex) & ";" & RunTimeEnvironmentInfo.WBem & UCase (arrayWMIProgID (intIndex + 1)))
                CheckWMIProgID = True
             Else
                WriteToLogFile objLOGFileHandle, "WMI object ProgID '" & arrayWMIProgID (intIndex) & "' instantiated'.", cLoggingLevel3, False
             End If
             Set objWMIObject = Nothing
         Next

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWMIRepositoryConsistency (ByVal objLOGFileHandle)

         Dim arrayOutput, arrayMatchingOutput
         Dim objFile
         Dim strCommand, strLOGFile, strMessageFilter, strInconsistencyMessage

         Dim boolRC

         On Error Resume Next

         Select Case RunTimeEnvironmentInfo.OSIdentifier
                Case cWindowsXPSP2, cWindowsXPSP3
                     If boolCheckConsistency = True Then
                        strCommand = "Rundll32.Exe WBemupgd,UpgradeRepository"
                        strLOGFile = "SETUP.LOG"
                        strMessageFilter = ""
                        strInconsistencyMessage = "Inconsistent repository detected"
                     Else
                        strCommand = ""
                     End If

                Case cWindowsXPSP164, cWindows2003SP1, cWindows2003SP164, cWindows2003SP2, cWindows2003SP264
                     strCommand = "Rundll32.Exe WBemupgd,CheckWMISetup"
                     strLOGFile = "REPLOG.LOG"
                     strMessageFilter = ""
                     strInconsistencyMessage = "Inconsistent repository detected"

                Case cWindowsVistaRTM, cWindowsVistaSP1, cWindowsLonghornRTM
                     strCommand = "Winmgmt.exe /VerifyRepository"
                     strLOGFile = ""
                     strMessageFilter = ""
                     strInconsistencyMessage = "WMI repository is INCONSISTENT"

                Case Else
                     strCommand = ""
         End Select

         If Len (strCommand) > 0 Then
            WriteToLogFile objLOGFileHandle, "Verifying WMI repository consistency.", cLoggingLevel0, False

            If Len (strLOGFile) > 0 Then
               If objFS.FileExists (RunTimeEnvironmentInfo.WBemLogs & strLOGFile) Then
                  Set objFile = objFS.GetFile (RunTimeEnvironmentInfo.WBemLogs & strLOGFile) 
                  objFile.Delete 
                  Set objFile = Nothing
               End If
            End If

            boolRC = ShellExecute (objLOGFileHandle, strCommand, strMessageFilter, arrayOutput, arrayMatchingOutput)
            If boolRc = False Then
               If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM Then
                  If UBound (arrayOutput) > 0 Then
                     WriteToLogFile objLOGFileHandle, "WMI Repository IS consistent.", cLoggingLevel3, False
                     TrackingData.WMIRepositoryConsistency = AddTrackingData (TrackingData.WMIRepositoryConsistency, "True")
                  Else
                     CheckWMIRepositoryConsistency = ErrorHandler (objLOGFileHandle, "CheckWMIRepositoryConsistency", "WMI repository is INCONSISTENT.", False, Err)
                     TrackingData.WMIRepositoryConsistency = AddTrackingData (TrackingData.WMIRepositoryConsistency, "False")
                  End If
               Else
                  If objFS.FileExists (RunTimeEnvironmentInfo.WBemLogs & strLOGFile) Then
                     boolRC = ParseFile (objLOGFileHandle, RunTimeEnvironmentInfo.WBemLogs & strLOGFile, Array (strInconsistencyMessage), arrayMatchingOutput, False, True) 
                     If boolRc Then
                         CheckWMIRepositoryConsistency = ErrorHandler (objLOGFileHandle, "CheckWMIRepositoryConsistency", "WMI repository is INCONSISTENT.", False, Err)
                         TrackingData.WMIRepositoryConsistency = AddTrackingData (TrackingData.WMIRepositoryConsistency, "False")
                     Else
                         WriteToLogFile objLOGFileHandle, "WMI Repository IS consistent.", cLoggingLevel3, False
                         TrackingData.WMIRepositoryConsistency = AddTrackingData (TrackingData.WMIRepositoryConsistency, "True")
                     End If
                  Else
                     WriteToLogFile objLOGFileHandle, "'" & RunTimeEnvironmentInfo.WBemLogs & strLOGFile & "' file NOT found.", cLoggingLevel3, False
                     WriteToLogFile objLOGFileHandle, "WMI Repository IS consistent.", cLoggingLevel3, False
                     TrackingData.WMIRepositoryConsistency = AddTrackingData (TrackingData.WMIRepositoryConsistency, "True")
                  End If
               End If
            End If
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function WriteInRepository (ByVal objLOGFileHandle, ByVal strWMINamespace, ByVal boolWrite)

         Dim intIndexNamespace, strIndexNamespace 
         Dim objWMINSInstance, objWMIClass

         On Error Resume Next

         If boolWrite = True Then
            ReDim objWMIServicesForWrite (cMaxNamespaces)

            WriteToLogFile objLOGFileHandle, "Writing test data in WMI repository.", cLoggingLevel0, False

            Set objWMIServicesToRoot = objWMILocator.ConnectServer("LocalHost", strWMINameSpace, "", "")
            If Err.Number Then 
               WriteInRepository = ErrorHandler (objLOGFileHandle, "WriteInRepository", "", False, Err)
               TrackingData.WriteInRepository = AddTrackingData (TrackingData.WriteInRepository, "NAMESPACE CONNECTION;" & strWMINameSpace & ";" & strLastError & ";")
               Exit Function
            End If
   
            For intIndexNamespace = 1 To cMaxNamespaces
                strIndexNamespace = Right ("0000" & intIndexNamespace, 5)
                Set objWMIClass = objWMIServicesToRoot.Get ("__NAMESPACE")
                If Err.Number Then 
                   WriteInRepository = ErrorHandler (objLOGFileHandle, "WriteInRepository", "", False, Err)
                   TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, strWMINameSpace & ";__NAMESPACE;" & strLastError)
                   Exit Function
                Else
                   Set objWMINSInstance = objWMIClass.SpawnInstance_
                   objWMINSInstance.Name = "WMIDiag" & strIndexNamespace
                   WriteToLogFile objLOGFileHandle, "Creating namespace '" & strWMINamespace & "\WMIDiag" & strIndexNamespace & "'.", cLoggingLevel3, False
                   objWMINSInstance.Put_ (wbemChangeFlagCreateOrUpdate Or wbemFlagReturnWhenComplete)
                   If Err.Number Then 
                      WriteInRepository = ErrorHandler (objLOGFileHandle, "WriteInRepository", "", False, Err)
                      TrackingData.WriteInRepository = AddTrackingData (TrackingData.WriteInRepository, "NAMESPACE CREATION;" & "WMIDiag" & strWMINamespace & "\WMIDiag" & strIndexNamespace & ";;" & strLastError)
                      TrackingData.WMIPutErrors = AddTrackingData (TrackingData.WMIPutErrors, strWMINamespace & "\WMIDiag" & strIndexNamespace & ";__NAMESPACE;WMIDiag" & strIndexNamespace & ";" & strLastError)
                      Exit Function
                   End If
                   Set objWMIClass = Nothing
                   Set objWMINSInstance = Nothing       
                End If
            Next
   
            For intIndexNamespace = 1 To cMaxNamespaces
                WriteToLogFile objLOGFileHandle, "Writing test data set #" & intIndexNamespace & ".", cLoggingLevel0, False
                strIndexNamespace = Right ("0000" & intIndexNamespace, 5)
                Set objWMIServicesForWrite (intIndexNamespace) = objWMILocator.ConnectServer("LocalHost", strWMINamespace & "\WMIDiag" & strIndexNamespace, "", "")
                If Err.Number Then 
                   WriteInRepository = ErrorHandler (objLOGFileHandle, "WriteInRepository", "", False, Err)
                   TrackingData.WriteInRepository = AddTrackingData (TrackingData.WriteInRepository, "NAMESPACE CONNECTION;" & strWMINamespace & "\WMIDiag" & strIndexNamespace & ";;" & strLastError)
                Else
                   If WriteClassesInRepository (objLOGFileHandle, objWMIServicesForWrite (intIndexNamespace), strWMINamespace & "\WMIDiag" & strIndexNamespace) = True Then
                      Exit For
                   End If

                   boolWriteOperationCompleted = True
                End If
            Next
         End If

         For intIndexNamespace = 1 To cMaxNamespaces
             strIndexNamespace = Right ("0000" & intIndexNamespace, 5)
             ReadClassesInRepository objLOGFileHandle, objWMIServicesForWrite (intIndexNamespace), strWMINamespace & "\WMIDiag" & strIndexNamespace
         Next     
  
         If boolWrite = False Then
            WriteToLogFile objLOGFileHandle, "Deleting test data from WMI repository.", cLoggingLevel0, False

            For intIndexNamespace = 1 To cMaxNamespaces
                WriteToLogFile objLOGFileHandle, "Deleting test data set #" & intIndexNamespace & ".", cLoggingLevel0, False
                strIndexNamespace = Right ("0000" & intIndexNamespace, 5)

                DeleteClassesInRepository objLOGFileHandle, objWMIServicesForWrite (intIndexNamespace), strWMINamespace & "\WMIDiag" & strIndexNamespace

            Next
   
            For intIndexNamespace = 1 To cMaxNamespaces
                strIndexNamespace = Right ("0000" & intIndexNamespace, 5)
                Set objWMIServicesForWrite (intIndexNamespace) = Nothing     
                Set objWMINSInstance = objWMIServicesToRoot.Get ("__NAMESPACE.Name='WMIDiag" & strIndexNamespace  & "'")
                If Err.Number Then 
                   WriteInRepository = ErrorHandler (objLOGFileHandle, "WriteInRepository", "", False, Err)
                   TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, strWMINameSpace & ";__NAMESPACE.Name='WMIDiag" & strIndexNamespace & "';" & strLastError)
                Else
                   WriteToLogFile objLOGFileHandle, "Deleting namespace '" & strWMINamespace & "\WMIDiag" & strIndexNamespace & "'.", cLoggingLevel3, False
                   objWMINSInstance.Delete_
                   If Err.Number Then 
                      WriteInRepository = ErrorHandler (objLOGFileHandle, "WriteInRepository", "", False, Err)
                      TrackingData.WriteInRepository = AddTrackingData (TrackingData.WriteInRepository, "NAMESPACE DELETION;" & strWMINamespace & "\WMIDiag" & strIndexNamespace & ";;" & strLastError)
                      TrackingData.WMIDeleteErrors = AddTrackingData (TrackingData.WMIDeleteErrors, strWMINamespace & "\WMIDiag" & strIndexNamespace & ";__NAMESPACE;" & strLastError)
                   End If
                End If
                Set objWMINSInstance = Nothing  
            Next
   
            Set objWMIServicesToRoot = Nothing
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function WriteClassesInRepository (ByVal objLOGFileHandle, ByVal objWMIServices, ByVal strWMINamespace)

         Dim intIndexInstance, strIndexInstance 
         Dim objWMIClass, objWMIInstance

         On Error Resume Next

         If boolWriteInExistingNS = True Then
            WriteToLogFile objLOGFileHandle, "Creating " & cMaxInstances & " instances of class '" & cWriteInRepositoryClass & "' in namespace '" & strWMINamespace & "'.", cLoggingLevel0, False
         End If

         If Not IsNull (objWMIServices) Then
            Set objWMIClass = objWMIServices.Get ()
            objWMIClass.Path_.Class = cWriteInRepositoryClass
            objWMIClass.Properties_.Add "WMIDiagPropertyKey", wbemCimtypeString
            objWMIClass.Properties_("WMIDiagPropertyKey").Qualifiers_.Add "key", True
            objWMIClass.Properties_.Add "WMIDiagPropertyIndex", wbemCimtypeUint32
            WriteToLogFile objLOGFileHandle, "  Creating class '" & objWMIClass.Path_.Class & "' in namespace '" & strWMINamespace & "'.", cLoggingLevel3, False
            objWMIClass.Put_ (wbemChangeFlagCreateOrUpdate Or wbemFlagReturnWhenComplete)
            If Err.Number Then 
               If Err.Number = WBEM_E_PROVIDER_LOAD_FAILURE Or Err.Number = WBEM_E_FAILED Then
                  WriteClassesInRepository = ErrorHandler (objLOGFileHandle, "WriteClassesInRepository", "", False, Err)
                  TrackingData.WMIPutErrors = AddTrackingData (TrackingData.WMIPutErrors, strWMINamespace & ";();" & cWriteInRepositoryClass & ";" & strLastError)
                  WriteClassesInRepository = True
                  Exit Function
               Else
                  WriteClassesInRepository = ErrorHandler (objLOGFileHandle, "WriteClassesInRepository", "", False, Err)
                  TrackingData.WriteInRepository = AddTrackingData (TrackingData.WriteInRepository, "CLASS CREATION;" & strWMINameSpace & ";" & strLastError & ";")
                  TrackingData.WMIPutErrors = AddTrackingData (TrackingData.WMIPutErrors, strWMINamespace & ";();" & cWriteInRepositoryClass & ";" & strLastError)
                  WriteClassesInRepository = True
                  Exit Function
               End If
            End If
            Set objWMIClass = Nothing
        
            For intIndexInstance = 1 to cMaxInstances
                strIndexInstance = Right ("0000" & intIndexInstance, 5)
                Set objWMIClass = objWMIServices.Get (cWriteInRepositoryClass)
                If Err.Number Then 
                   WriteInRepository = ErrorHandler (objLOGFileHandle, "WriteInRepository", "", False, Err)
                   TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, strWMINameSpace & ";" & cWriteInRepositoryClass & ";" & strLastError)
                Else
                   Set objWMIInstance = objWMIClass.SpawnInstance_
                   objWMIInstance.WMIDiagPropertyKey = "WMIDiagValue" & strIndexInstance
                   objWMIInstance.WMIDiagPropertyIndex = intIndexInstance
                   WriteToLogFile objLOGFileHandle, "    Creating static instance '" & cWriteInRepositoryClass & "." & objWMIInstance.WMIDiagPropertyKey & "' in namespace '" & strWMINamespace & "'.", cLoggingLevel3, False
                   objWMIInstance.Put_ (wbemChangeFlagCreateOrUpdate Or wbemFlagReturnWhenComplete)
                   If Err.Number Then 
                      WriteClassesInRepository = ErrorHandler (objLOGFileHandle, "WriteClassesInRepository", "", False, Err)
                      TrackingData.WriteInRepository = AddTrackingData (TrackingData.WriteInRepository, "STATIC INSTANCE CREATION;" & strWMINameSpace & ";" & strLastError & ";")
                      TrackingData.WMIPutErrors = AddTrackingData (TrackingData.WMIPutErrors, strWMINamespace & ";" & cWriteInRepositoryClass & ";" & cWriteInRepositoryClass & ".WMIDiagPropertyKey='WMIDiagValue" & strIndexInstance & "';" & strLastError)
                   End If
                End If
                Set objWMIInstance = Nothing
                Set objWMIClass = Nothing
            Next
         Else
            WriteClassesInRepository = ErrorHandler (objLOGFileHandle, "WriteClassesInRepository", "No WMI connection to namespace '" & strWMINamespace & "' available.", False, Err)
         End If 

End Function

' --------------------------------------------------------------------------------------------------------
Function ReadClassesInRepository (ByVal objLOGFileHandle, ByVal objWMIServices, ByVal strWMINamespace)

         Dim objWMIInstances
         Dim intCount

         On Error Resume Next

         If Not IsNull (objWMIServices) Then
            Set objWMIInstances = objWMIServices.InstancesOf (cWriteInRepositoryClass, wbemQueryFlagShallow)
            If Err.Number Then 
               ReadClassesInRepository = ErrorHandler (objLOGFileHandle, "ReadClassesInRepository", "", False, Err)
               TrackingData.WriteInRepository = AddTrackingData (TrackingData.WriteInRepository, "STATIC INSTANCE ENUMERATION;" & strWMINameSpace & ";" & strLastError & ";")
               Exit Function
            Else  
               IntCount = objWMIInstances.Count 
               If Err.Number Then 
                  ReadClassesInRepository = ErrorHandler (objLOGFileHandle, "ReadClassesInRepository", "", False, Err)
                  TrackingData.WriteInRepository = AddTrackingData (TrackingData.WriteInRepository, "STATIC INSTANCE ENUMERATION;" & strWMINameSpace & ";" & strLastError & ";")
                  Exit Function
               End If
        
               If intCount = cMaxInstances Then
                  WriteToLogFile objLOGFileHandle, "The " & cMaxInstances & " '" & cWriteInRepositoryClass & "' objects are available in '" & strWMINamespace & "', as expected.", cLoggingLevel0, False
               Else
                  WriteToLogFile objLOGFileHandle, intCount & " '" & cWriteInRepositoryClass & " objects counted instead of " & cMaxInstances & "!", cLoggingLevel1, False
                  TrackingData.WriteInRepository = AddTrackingData (TrackingData.WriteInRepository, "STATIC INSTANCE ENUMERATION;" & strWMINamespace & ";" & intCount & ";WRONGCOUNTEDOBJECTS")
               End If
               Set objWMIInstances = Nothing 
            End If
         Else
            ReadClassesInRepository = ErrorHandler (objLOGFileHandle, "ReadClassesInRepository", "No WMI connection to namespace '" & strWMINamespace & "' available.", False, Err)
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function DeleteClassesInRepository (ByVal objLOGFileHandle, ByVal objWMIServices, ByVal strWMINamespace)

         Dim intIndexInstance, strIndexInstance 
         Dim objWMINSInstance, objWMIClass, objWMIInstance

         On Error Resume Next

         If boolWriteInExistingNS = True Then
            WriteToLogFile objLOGFileHandle, "Deleting " & cMaxInstances & " instances of class '" & cWriteInRepositoryClass & "' in namespace '" & strWMINamespace & "'.", cLoggingLevel0, False
         End If

         If Not IsNull (objWMIServices) Then
            Set objWMIClass = objWMIServices.Get (cWriteInRepositoryClass)
            If Err.Number Then 
               DeleteClassesInRepository = ErrorHandler (objLOGFileHandle, "DeleteClassesInRepository", "", False, Err)
               TrackingData.WriteInRepository = AddTrackingData (TrackingData.WriteInRepository, "CLASS GET;" & strWMINameSpace & ";" & strLastError & ";")
               TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, strWMINameSpace & ";" & cWriteInRepositoryClass & ";" & strLastError)
               Exit Function
            End If

            For intIndexInstance = 1 to cMaxInstances
                strIndexInstance = Right ("0000" & intIndexInstance, 5)
                Set objWMIInstance = objWMIServices.Get (cWriteInRepositoryClass & ".WMIDiagPropertyKey='WMIDiagValue" & strIndexInstance & "'")
                If Err.Number Then 
                   DeleteClassesInRepository = ErrorHandler (objLOGFileHandle, "DeleteClassesInRepository", "", False, Err)
                   TrackingData.WriteInRepository = AddTrackingData (TrackingData.WriteInRepository, "STATIC INSTANCE GET;" & strWMINameSpace & ";" & strLastError & ";")
                   TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, strWMINameSpace & ";" & cWriteInRepositoryClass & ".WMIDiagPropertyKey='WMIDiagValue" & strIndexInstance & "'" & ";" & strLastError)
                Else
                   WriteToLogFile objLOGFileHandle, "    Deleting static instance '" & cWriteInRepositoryClass & "." & objWMIInstance.WMIDiagPropertyKey & "' in namespace '" & strWMINamespace & "'.", cLoggingLevel3, False
                   objWMIInstance.Delete_
                   If Err.Number Then 
                      DeleteClassesInRepository = ErrorHandler (objLOGFileHandle, "DeleteClassesInRepository", "", False, Err)
                      TrackingData.WriteInRepository = AddTrackingData (TrackingData.WriteInRepository, "STATIC INSTANCE DELETE;" & strWMINameSpace & ";" & strLastError & ";")
                      TrackingData.WMIDeleteErrors = AddTrackingData (TrackingData.WMIDeleteErrors, strWMINamespace & ";" & cWriteInRepositoryClass & ".WMIDiagPropertyKey='WMIDiagValue" & strIndexInstance & "'" & ";" & strLastError)
                   End If
                   Set objWMIInstance = Nothing     
                End If
            Next
   
            Set objWMIClass = objWMIServices.Get (cWriteInRepositoryClass)
            If Err.Number Then 
               DeleteClassesInRepository = ErrorHandler (objLOGFileHandle, "DeleteClassesInRepository", "", False, Err)
               TrackingData.WriteInRepository = AddTrackingData (TrackingData.WriteInRepository, "CLASS GET;" & strWMINameSpace & ";" & strLastError & ";")
               TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, strWMINameSpace & ";" & cWriteInRepositoryClass & ";" & strLastError)
            Else
               WriteToLogFile objLOGFileHandle, "  Deleting class '" & objWMIClass.Path_.Class & "' in namespace '" & strWMINamespace & "'.", cLoggingLevel3, False
               objWMIClass.Delete_
               If Err.Number Then 
                  DeleteClassesInRepository = ErrorHandler (objLOGFileHandle, "DeleteClassesInRepository", "", False, Err)
                  TrackingData.WriteInRepository = AddTrackingData (TrackingData.WriteInRepository, "CLASS DELETION;" & strWMINameSpace & ";" & strLastError & ";")
                  TrackingData.WMIDeleteErrors = AddTrackingData (TrackingData.WMIDeleteErrors, strWMINamespace & ";" & cWriteInRepositoryClass & ";" & strLastError)
               End If
               Set objWMIClass = Nothing
            End If
         Else
            DeleteClassesInRepository = ErrorHandler (objLOGFileHandle, "DeleteClassesInRepository", "No WMI connection to namespace '" & strWMINamespace & "' available.", False, Err)
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWMIStaticData (ByVal objLOGFileHandle, ByVal strWMINameSpace, ByVal L)

         Dim intIndex
         Dim objWMIServices
         Dim objWMIInstance, objWMIInstances
         Dim objWMINSInstance, objWMINSInstances
         Dim objWMISystemSecurity
         Dim objWMIClass, objWMIClasses 
         Dim strMOF 
         Dim intCount, intRC, arrayBinSD
         Dim strHexSD, strTemp
         Dim boolRequiresEncryption
         Dim boolWriteInLocalNSFailure 
 
         On Error Resume Next
 
         WriteToLogFile objLOGFileHandle, "Verifying WMI namespace '" & strWMINameSpace & "' (L=" & L & ").", cLoggingLevel0, False

         Set objWMIServices = GetObject ("winmgmts:/" & strWMINamespace)
         If Err.Number Then 
            CheckWMIStaticData = ErrorHandler (objLOGFileHandle, "CheckWMIStaticData", "", False, Err)
            TrackingData.WMIMonikerConnectionErrors = AddTrackingData (TrackingData.WMIMonikerConnectionErrors, strWMINameSpace & ";" & strLastError)
         End If
         Set objWMIServices = Nothing
 
         Set objWMIServices = objWMILocator.ConnectServer("LocalHost", strWMINameSpace, "", "")
         If Err.Number Then 
            CheckWMIStaticData = ErrorHandler (objLOGFileHandle, "CheckWMIStaticData", "", False, Err)
            TrackingData.WMIConnectionErrors = AddTrackingData (TrackingData.WMIConnectionErrors, strWMINameSpace & ";" & strLastError)
            Exit Function
         End If

         WriteToLogFile objLOGFileHandle, "Retrieving WMI system class(es) static information.", cLoggingLevel3, False
         intCount = 0
         For intIndex = 0 To UBound (arrayWMISystemClassList)   
             Set objWMIClass = objWMIServices.Get (arrayWMISystemClassList (intIndex))
             If Err.Number Then
                CheckWMIStaticData = ErrorHandler (objLOGFileHandle, "CheckWMIStaticData", "", False, Err)
                TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, strWMINamespace & ";" & arrayWMISystemClassList (intIndex) & ";" & strLastError)
             Else
                strMOF = objWMIClass.GetObjectText_
                If Err.Number Then
                   CheckWMIStaticData = ErrorHandler (objLOGFileHandle, "CheckWMIStaticData", "", False, Err)
                   TrackingData.FailingMOFRepresentation = AddTrackingData (TrackingData.FailingMOFRepresentation, strWMINamespace & ";" & arrayWMISystemClassList (intIndex) & ";" & strLastError)
                Else
                   intCount = intCount + 1
                   WriteToLogFile objLOGFileHandle, "'" & arrayWMISystemClassList (intIndex) & "' WMI system class static information found.", cLoggingDebug Or cLoggingLevel3, False
                End If 
             End If
             Set objWMIClass = Nothing
         Next
         WriteToLogFile objLOGFileHandle, intCount & "/" & (UBound (arrayWMISystemClassList) + 1) & " system class(es) found.", cLoggingLevel3, False

         CheckPermanentSubscriptions objLOGFileHandle, strWMINameSpace, objWMIServices
 
         If boolWriteInRepository = True And boolWriteInExistingNS = True And _
            Left (strWMINamespace, Len (strWriteInRepository)) = strWriteInRepository Then
            If IsThereAClassProvider (objLOGFileHandle, objWMIServices, strWMINameSpace) = False Then
               boolWriteInLocalNSFailure = WriteClassesInRepository (objLOGFileHandle, objWMIServices, strWMINamespace) 
               If boolWriteInLocalNSFailure = False Then
                  boolWriteOperationCompleted = True
                  ReadClassesInRepository objLOGFileHandle, objWMIServices, strWMINamespace
               End If
            End If
            WriteToLogFile objLOGFileHandle, "Analyzing WMI namespace '" & strWMINameSpace & "'.", cLoggingLevel0, False
         End If

         If Ucase(strWMINameSpace) = "ROOT" Then
            CheckWMIStaticData = GetWMISystemSettings (objLOGFileHandle, objWMIServices)
         End If  
 
         Set objWMISystemSecurity = objWMIServices.Get ("__SystemSecurity=@")
         If Err.Number Then
            CheckWMIStaticData = ErrorHandler (objLOGFileHandle, "CheckWMIStaticData", "", False, Err)
            TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, strWMINameSpace & ";__SystemSecurity;" & strLastError)
         Else
            boolRequiresEncryption = GetQualifier (objLOGFileHandle, objWMISystemSecurity, "RequiresEncryption", False, strWMINameSpace, "__SystemSecurity")
 
            If boolRequiresEncryption = True Then
               WriteToLogFile objLOGFileHandle, "Namespace '" & strWMINameSpace & "' requires PACKET PRIVACY authentication level for remote connections.", cLoggingLevel2, False
               TrackingData.RequiresEncryption = AddTrackingData (TrackingData.RequiresEncryption, strWMINameSpace)
            End If
 
            intRC = objWMISystemSecurity.GetSD (arrayBinSD)
            If Err.Number Then
               CheckWMIStaticData = ErrorHandler (objLOGFileHandle, "CheckWMIStaticData", "", False, Err)
               TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, strWMINameSpace & ";__SystemSecurity;" & strLastError)
            End If

            If boolADsSecurity = True Then
               'DecipherWMISD objLOGFileHandle, strWMINameSpace, arrayBinSD
            End If

            Set objWMISystemSecurity = Nothing
         End If
 
         Set objWMIInstances = objWMIServices.InstancesOf ("__Win32Provider", wbemFlagReturnImmediately Or wbemFlagUseAmendedQualifiers)
         If Err.Number Then
            CheckWMIStaticData = ErrorHandler (objLOGFileHandle, "CheckWMIStaticData", "", False, Err)
            TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;__Win32Provider;" & cCritical & ";" & strLastError)
            Exit Function
         End If
 
         intCount = objWMIInstances.Count
         If Err.Number Then
            CheckWMIStaticData = ErrorHandler (objLOGFileHandle, "CheckWMIStaticData", "", False, Err)
            TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;__Win32Provider;" & cCritical & ";" & strLastError)
            Exit Function
         End If

         longWMIProviderCounter = longWMIProviderCounter + objWMIInstances.Count
 
         WriteToLogFile objLOGFileHandle, intCount & " WMI Provider CIM registration(s) found.", cLoggingLevel3, False
         If intCount Then
            CheckWMIStaticData = CheckWMIProviderRegistration (objLOGFileHandle, objWMIServices, strWMINameSpace, objWMIInstances)
         End If

         If Not (UCase(strWMINameSpace) = "ROOT/DIRECTORY/LDAP") Then
            ' Check subclass structure
            Set objWMIClasses = objWMIServices.SubClassesOf("", wbemQueryFlagDeep Or wbemFlagReturnImmediately Or wbemFlagUseAmendedQualifiers)
            If Err.Number Then
               CheckWMIStaticData = ErrorHandler (objLOGFileHandle, "CheckWMIStaticData", "", False, Err)
               TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";SubClassesOf;*;" & cCritical & ";" & strLastError)
               Exit Function 
            End If
 
            intCount = objWMIClasses.Count
            If Err.Number Then
               CheckWMIStaticData = ErrorHandler (objLOGFileHandle, "CheckWMIStaticData", "", False, Err)
               TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";SubClassesOf;*;" & cCritical & ";" & strLastError)
               Exit Function 
            End If
 
            WriteToLogFile objLOGFileHandle, intCount & " class(es) found. (Inheritance level analysis=" & intMaxSubClassExaminationDepth & ").", cLoggingLevel3, False
            If intCount Then
               CheckWMIStaticData = CheckWMIClasses (objLOGFileHandle, objWMIServices, objWMIClasses, strWMINameSpace, 1)
            Else
               CheckWMIStaticData = ErrorHandler (objLOGFileHandle, "CheckWMIStaticData", "No subclass found in namespace'" & strWMINameSpace & "' while some are expected.", False, Err)
               TrackingData.NoSubclasses = AddTrackingData (TrackingData.NoSubClasses, "SUBCLASSESOF;NOSUBCLASSES;" & strWMINameSpace)
               Exit Function 
            End If
 
            Set objWMINSInstances = objWMIServices.InstancesOf ("__NAMESPACE", wbemQueryFlagShallow)
            If Err.Number Then
               CheckWMIStaticData = ErrorHandler (objLOGFileHandle, "CheckWMIStaticData", "", False, Err)
               TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;__NAMESPACE;" & cCritical & ";" & strLastError)
               Exit Function 
            End If
 
            intCount = objWMINSInstances.Count
            If Err.Number Then
               CheckWMIStaticData = ErrorHandler (objLOGFileHandle, "CheckWMIStaticData", "", False, Err)
               TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;__NAMESPACE;" & cCritical & ";" & strLastError)
               Exit Function 
            End If
 
            If intCount Then 
               For Each objWMINSInstance in objWMINSInstances
                   If Not UCase (Left (objWMINSInstance.Name, 3)) = "MS_" Then
                      CheckWMIStaticData objLOGFileHandle, UCase (strWMINameSpace & "/" & objWMINSInstance.Name), L + 1
                   End If
               Next
            End If
         End If

         If boolWriteInRepository = True And boolWriteInExistingNS = True And _
            Left (strWMINamespace, Len (strWriteInRepository)) = strWriteInRepository Then
            If IsThereAClassProvider (objLOGFileHandle, objWMIServices, strWMINameSpace) = False Then
               If boolWriteInLocalNSFailure = False Then
                  ReadClassesInRepository objLOGFileHandle, objWMIServices, strWMINamespace
                  DeleteClassesInRepository objLOGFileHandle, objWMIServices, strWMINamespace
               End If
            End If
         End If
 
         Set objWMINSInstances = Nothing
         Set objWMIClasses = Nothing
         Set objWMIInstances = Nothing
 
         Set objWMIServices = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckPermanentSubscriptions (ByVal objLOGFileHandle, ByVal strWMINameSpace, ByVal objWMIServices)

         Dim objWMIInstance, objWMIInstances
         Dim objWMIAssocInstance, objWMIAssocInstances
         Dim objWMIRefInstance, objWMIRefInstances
         Dim intCount, intAssocCount, intRefCount 
         Dim strCIMKey, varCIMKeyValue, strWMISubscriptionPath, strWQLQuery
         Dim strStartDate, strStartTime, strStartGMT

         On Error Resume Next

         WriteToLogFile objLOGFileHandle, "Verifying Permanent subscription(s) for '" & strWMINameSpace & "'.", cLoggingLevel3, False

         Set objWMIInstances = objWMIServices.ExecQuery ("Select * From __EventConsumer")
         If Err.Number Then
            CheckPermanentSubscriptions = ErrorHandler (objLOGFileHandle, "CheckPermanentSubscriptions", "", False, Err)
            TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, strWMINamespace & ";Select * From __EventConsumer;" & cWarning & ";" & strLastError)
            Exit Function
         End If

         intCount = objWMIInstances.Count
         If Err.Number Then
            CheckPermanentSubscriptions = ErrorHandler (objLOGFileHandle, "CheckPermanentSubscriptions", "", False, Err)
            TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, strWMINamespace & ";Select * From __EventConsumer;" & cWarning & ";" & strLastError)
            Exit Function
         End If

         WriteToLogFile objLOGFileHandle, intCount & " permanent subscription(s) in '" & strWMINameSpace & "' namespace.", cLoggingLevel3, False

         If intCount > 0 Then
            intCount = 0
            For Each objWMIInstance In objWMIInstances
                intCount = intCount + 1
                WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False

                strCIMKey = FindCIMKey (objWMIServices, objWMIInstance)
                If Len (strCIMKey) > 0 Then
                   varCIMKeyValue = objWMIInstance.Properties_.Item (strCIMKey)
                   strWMISubscriptionPath = objWMIInstance.Path_.Class & "." & strCIMKey & "=" & chr(34) & varCIMKeyValue & chr(34) 
                   WriteToLogFile objLOGFileHandle, "#" & intCount & " '" & strWMISubscriptionPath & "' permanent subscription.", cLoggingLevel4, False
                Else
                   strWMISubscriptionPath = objWMIInstance.Path_.Class
                   WriteToLogFile objLOGFileHandle, "#" & intCount & " '" & strWMISubscriptionPath & "' permanent subscription class.", cLoggingLevel4, False
                End If                
                DisplayFormattedWMIProperties objLOGFileHandle, objWMIInstance, intCount, 2, cLoggingLevel4

                Set objWMIAssocInstances = objWMIInstance.References_
                If Err.Number Then
                   CheckPermanentSubscriptions = ErrorHandler (objLOGFileHandle, "CheckPermanentSubscriptions", "", False, Err)
                   TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";References_;" & objWMIInstance.Path_.Class & ";" & cWarning & ";" & strLastError)
                Else
                   intAssocCount = objWMIAssocInstances.Count
                   If Err.Number Then
                      CheckPermanentSubscriptions = ErrorHandler (objLOGFileHandle, "CheckPermanentSubscriptions", "", False, Err)
                      TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";References_;" & objWMIInstance.Path_.Class & ";" & cWarning & ";" & strLastError)
                      intAssocCount = 0
                   End If

                   If intAssocCount > 0 Then
                      intAssocCount = 0
                      For Each objWMIAssocInstance In objWMIAssocInstances
                          intAssocCount = intAssocCount + 1
                          DisplayFormattedWMIProperties objLOGFileHandle, objWMIAssocInstance, intAssocCount, 4, cLoggingLevel4
                      Next
                   End If
                End If

                Set objWMIRefInstances = objWMIInstance.Associators_
                If Err.Number Then
                   CheckPermanentSubscriptions = ErrorHandler (objLOGFileHandle, "CheckPermanentSubscriptions", "", False, Err)
                   TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";Associators_;" & objWMIInstance.Path_.Class & ";" & cWarning & ";" & strLastError)
                Else
                   intRefCount = objWMIRefInstances.Count
                   If Err.Number Then
                      CheckPermanentSubscriptions = ErrorHandler (objLOGFileHandle, "CheckPermanentSubscriptions", "", False, Err)
                      TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";Associators_;" & objWMIInstance.Path_.Class & ";" & cWarning & ";" & strLastError)
                      intRefCount = 0
                   End If

                   If intRefCount > 0 Then
                      intRefCount = 0
                      For Each objWMIRefInstance In objWMIRefInstances
                          intRefCount = intRefCount + 1
                          DisplayFormattedWMIProperties objLOGFileHandle, objWMIRefInstance, intRefCount, 4, cLoggingLevel4

                          strWQLQuery = objWMIRefInstance.Query
                          If Len (strWQLQuery) > 0 Then 
                             TrackingData.PermanentSubscriptions = AddTrackingData (TrackingData.PermanentSubscriptions, strWMINameSpace & ";" & strWMISubscriptionPath & ";"& strWQLQuery)
                          End If
                      Next
                   End If
                End If
            Next

            WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False
         End If 

         Set objWMIInstances = objWMIServices.ExecQuery ("Select * From __TimerInstruction")
         If Err.Number Then
            CheckPermanentSubscriptions = ErrorHandler (objLOGFileHandle, "CheckPermanentSubscriptions", "", False, Err)
            TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, strWMINamespace & ";Select * From __TimerInstruction;" & cWarning & ";" & strLastError)
            Exit Function
         End If

         intCount = objWMIInstances.Count
         If Err.Number Then
            CheckPermanentSubscriptions = ErrorHandler (objLOGFileHandle, "CheckPermanentSubscriptions", "", False, Err)
            TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, strWMINamespace & ";Select * From __TimerInstruction;" & cWarning & ";" & strLastError)
            Exit Function
         End If

         WriteToLogFile objLOGFileHandle, intCount & " Timer instruction(s) in '" & strWMINameSpace & "' namespace.", cLoggingLevel3, False

         If intCount > 0 Then
            intCount = 0
            For Each objWMIInstance In objWMIInstances
                intCount = intCount + 1

                WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False

                WriteToLogFile objLOGFileHandle, "#" & intCount & " '" & objWMIInstance.TimerID & "' Timer instruction.", cLoggingLevel4, False
                DisplayFormattedWMIProperties objLOGFileHandle, objWMIInstance, intCount, 2, cLoggingLevel4

                If UCase (objWMIInstance.Path_.Class) = "__INTERVALTIMERINSTRUCTION" Then
                   TrackingData.TimerInstructions = AddTrackingData (TrackingData.TimerInstructions, "Interval;" & strWMINameSpace & ";" & objWMIInstance.TimerID & ";"& objWMIInstance.IntervalBetweenEvents)
                Else
                   TrackingData.TimerInstructions = AddTrackingData (TrackingData.TimerInstructions, "Absolute;" & strWMINameSpace & ";" & objWMIInstance.TimerID & ";"& ConvertDMTFDateTimeToLongDateTime (objLOGFileHandle, objWMIInstance.EventDateTime, strStartDate, strStartTime, strStartGMT, True))
                End If
            Next

            WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False
         End If 
    
         Set objWMIInstances = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function FindCIMKey (ByVal objWMIServices, ByVal objWMIInstance)

         Dim objWMIClass
         Dim objWMIProperty, objWMIProperties
         Dim boolCIMKey

         On Error Resume Next

         Set objWMIClass = objWMIServices.Get (objWMIInstance.Path_.Class)
         Set objWMIProperties = objWMIClass.Properties_
         For Each objWMIProperty In objWMIProperties
             boolCIMKey = False
             boolCIMKey = objWMIClass.Properties_.Item (objWMIProperty.Name).Qualifiers_.Item("key").Value 
             If boolCIMKey = True Then
                FindCIMKey = objWMIProperty.Name
                Exit Function
             End If
         Next

         FindCIMKey = ""

End Function

' --------------------------------------------------------------------------------------------------------
Function DecipherDCOMSD (ByVal objLOGFileHandle, ByVal strDCOMApplication, ByVal strCLSID, ByVal strKeyValueName, ByVal strKeyDisplayName, ByVal arrayDefaultSD)

         Dim strKeyName
         Dim objSD   
         Dim strHexSD, arraySD
         Dim arrayRegistryValue 
         Dim strSecuredObjectName
         Dim intDComSD

         On Error Resume Next

         If Instr (UCase(strKeyValueName), "ACCESS") Then
            intDComSD = cDComSDAccess
         Else
            intDComSD = cDComSDLaunch
         End If

         strSecuredObjectName = "DCOM security for '" & strDCOMApplication & "' (" & strKeyDisplayName & ")"
         WriteToLogFile objLOGFileHandle, "Deciphering " & strSecuredObjectName, cLoggingLevel3, False

         If Len (strCLSID) = 0 Then
            strKeyName = "HKLM\SOFTWARE\Microsoft\Ole"
         Else
            strKeyName = "HKLM\SOFTWARE\Classes\AppID" & "\" & strCLSID
         End If

         arrayRegistryValue = ReadRegistry (objLOGFileHandle, strKeyName, _
                                            strKeyValueName, _
                                            "REG_BINARY", _
                                            False)

         If IsArray (arrayRegistryValue) = True Then
            strHexSD = ConvertArrayInString (arrayRegistryValue, ",") 
            strHexSD = ReplaceString (strHexSD , ",", "")
            strHexSD = ReplaceString (strHexSD , "&h", "")
            If ConvertBinSDtoObjSD (objLOGFileHandle, strHexSD, objSD) = False Then
               arraySD = ConvertObjSDToArraySD (objSD)
               DisplayDecipheredArraySD objLOGFileHandle, arraySD, intDComSD, False
               CompareDecipheredArraySD objLOGFileHandle, arraySD, arrayDefaultSD, intDComSD, strSecuredObjectName, cSecuritySystem
            End If
         Else
            DisplayDecipheredArraySD objLOGFileHandle, arrayDefaultSD, intDComSD, True
            CompareDecipheredArraySD objLOGFileHandle, arrayDefaultSD, arrayDefaultSD, intDComSD, strSecuredObjectName, cSecuritySystem
         End If

         WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

End Function

' --------------------------------------------------------------------------------------------------------
Function DecipherWMISD (ByVal objLOGFileHandle, ByVal strWMINamespace, ByVal arrayBinSD)

         Dim objSD   
         Dim strHexSD
         Dim arraySD
         Dim strSecuredObjectName
         Dim arrayWMIActiveNameSpaceSecurity, intSecurityType

         On Error Resume Next

         strSecuredObjectName = "WMI namespace security for '" & strWMINameSpace & "'"
         WriteToLogFile objLOGFileHandle, "Deciphering " & strSecuredObjectName, cLoggingLevel3, False

         strHexSD = ConvertBinDataToHexString (arrayBinSD)
         If ConvertBinSDtoObjSD (objLOGFileHandle, strHexSD, objSD) = False Then
            arraySD = ConvertObjSDToArraySD (objSD)
            arraySD = CalculateEffectiveACEInArraySD (objLOGFileHandle, arraySD)
            DisplayDecipheredArraySD objLOGFileHandle, arraySD, cWMINameSpaceSD, False

            If Len (strSecuredObjectName) > 80 Then strSecuredObjectName = Mid (strSecuredObjectName, 1, 80) & ">...'"

            intSecurityType = LocateNameSpaceExpectedSecurity (objLOGFileHandle, strWMINamespace, arrayWMIActiveNameSpaceSecurity)
            CompareDecipheredArraySD objLOGFileHandle, arraySD, arrayWMIActiveNameSpaceSecurity, cWMINameSpaceSD, strSecuredObjectName, intSecurityType
         End If

         WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

End Function

' --------------------------------------------------------------------------------------------------------
Function LocateNameSpaceExpectedSecurity (ByVal objLOGFileHandle, ByVal strWMINamespace, ByRef arrayWMIActiveNameSpaceSecurity)

         Dim intIndex, boolNameSpaceNotFound

         On Error Resume Next

         WriteToLogFile objLOGFileHandle, "Searching if namespace '" & strWMINamespace & "' security analysis must be SKIPPED ...", cLoggingLevel3, False
         For intIndex = 0 To UBound (arrayWMINameSpaceSkippedSecurity)
             If EvaluateRegExp (objLOGFileHandle, strWMINamespace, arrayWMINameSpaceSkippedSecurity (intIndex)) = True Then
                WriteToLogFile objLOGFileHandle, "Namespace '" & strWMINamespace & "' security analysis SKIPPED.", cLoggingLevel3, False
                arrayWMIActiveNameSpaceSecurity = Null
                LocateNameSpaceExpectedSecurity = cSecurityException
                Exit Function
             End If 
         Next

         WriteToLogFile objLOGFileHandle, "Searching if namespace '" & strWMINamespace & "' security settings use a SYSTEM specific security ...", cLoggingLevel3, False
         For intIndex = 0 To UBound (arrayWMINameSpaceSecurity) Step 2
             If EvaluateRegExp (objLOGFileHandle, strWMINamespace, arrayWMINameSpaceSecurity (intIndex)) = True Then
                WriteToLogFile objLOGFileHandle, "Namespace '" & strWMINamespace & "' uses a SYSTEM specific namespace security.", cLoggingLevel3, False
                arrayWMIActiveNameSpaceSecurity = arrayWMINameSpaceSecurity (intIndex + 1)
                LocateNameSpaceExpectedSecurity = cSecuritySystem
                Exit Function
             End If 
         Next

         WriteToLogFile objLOGFileHandle, "Searching if namespace '" & strWMINamespace & "' security settings use an APPLICATION specific security ...", cLoggingLevel3, False
         For intIndex = 0 To UBound (arrayWMIAppsNameSpaceSecurity) Step 2
             If EvaluateRegExp (objLOGFileHandle, strWMINamespace, arrayWMIAppsNameSpaceSecurity (intIndex)) = True Then
                WriteToLogFile objLOGFileHandle, "Namespace '" & strWMINamespace & "' uses an APPLICATION specific namespace security.", cLoggingLevel3, False
                arrayWMIActiveNameSpaceSecurity = arrayWMIAppsNameSpaceSecurity (intIndex + 1)
                LocateNameSpaceExpectedSecurity = cSecurityApplication
                Exit Function
             End If 
         Next

         WriteToLogFile objLOGFileHandle, "Namespace '" & strWMINamespace & "' uses a DEFAULT WMI namespace security.", cLoggingLevel3, False
         arrayWMIActiveNameSpaceSecurity = arrayWMIDefaultNameSpaceSecurity
         LocateNameSpaceExpectedSecurity = cSecurityDefaulted

End Function

' --------------------------------------------------------------------------------------------------------
Function ConvertBinSDtoObjSD (ByVal objLOGFileHandle, ByVal strHexSD, ByRef objSD)

         On Error Resume Next

         objADsSecurity.SecurityMask = ADS_SECURITY_INFO_OWNER Or _
                                       ADS_SECURITY_INFO_GROUP Or _
                                       ADS_SECURITY_INFO_DACL Or _
                                       ADS_SECURITY_INFO_SACL

         Set objSD = objADSSecurity.ConvertSecurityDescriptor (strHexSD, ADS_SD_FORMAT_HEXSTRING, ADS_SD_FORMAT_IID)
         If Err.Number Then
            ConvertBinSDtoObjSD = ErrorHandler (objLOGFileHandle, "ConvertBinSDtoObjSD", "", False, Err)
         Else
            ConvertBinSDtoObjSD = False
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function ConvertBinDataToHexString (arrayBinData)

         Dim strbyte, intIndex

         On Error Resume Next

         For intIndex = 0 to UBound (arrayBinData)
             strbyte = Right ("0" & Hex (arrayBinData (intIndex)), 2)
             ConvertBinDataToHexString = ConvertBinDataToHexString & strbyte
         Next

End Function

' ----------------------------------------------------------------------------------------
Function ConvertObjSDToArraySD (ByVal objSD)

         Dim objACL
         Dim objACE
         Dim intACETotal, intACECounter, intIndex
         Dim arraySD, arrayACL

         On Error Resume Next

         ReDim arraySD (5)
         ReDim arrayACL (0)
        
         arraySD (0) = objSD.Owner
         arraySD (1) = objSD.Group
         ' objSD.Revision
         arraySD (2) = objSD.Control

         Set objACL = objSD.DiscretionaryAcl
         intACETotal = objACL.AceCount
         If intACETotal And Err.Number = 0 Then     
            ReDim arrayACL ((intACETotal * 4) - 1)
            intIndex = 0
            For Each objACE In objACL
                arrayACL (intIndex) = objACE.Trustee
                arrayACL (intIndex + 1) = objACE.AceType
                arrayACL (intIndex + 2) = objACE.AceFlags
                arrayACL (intIndex + 3) = objACE.AccessMask
                intIndex = intIndex + 4
            Next
            arraySD (3) = arrayACL
         Else
            Err.Clear
            arraySD (3) = Null
         End If

         Set objACL = objSD.SystemACL
         intACETotal = objACL.AceCount
         If intACETotal And Err.Number = 0 Then    
            ReDim arrayACL ((intACETotal * 4) - 1)
            intIndex = 0
            For Each objACE In objACL
                arrayACL (intIndex) = objACE.Trustee
                arrayACL (intIndex + 1) = objACE.AceType
                arrayACL (intIndex + 2) = objACE.AceFlags
                arrayACL (intIndex + 3) = objACE.AccessMask
                intIndex = intIndex + 4
            Next
            arraySD (4) = arrayACL
         Else
            Err.Clear
            arraySD (4) = Null
         End If

         ConvertObjSDToArraySD = arraySD

End Function

' ----------------------------------------------------------------------------------------
Function CalculateEffectiveACEInArraySD (ByVal objLOGFileHandle, ByVal arraySD)

         Dim intIndex1, arrayACL
         Dim intIndex2, intIndex3, intNewIndex, arrayNewSD, arrayNewACL
         Dim boolDuplicateACEFound, boolCombinedACEFound
         Const cDestroyedTrustee = "@#$1234!5678$#@"

         On Error Resume Next

         ReDim arrayNewSD (5)
         ReDim arrayNewACL (0)
         
         arrayNewSD (0) = UCase (arraySD (0)) ' Owner
         arrayNewSD (1) = UCase (arraySD (1)) ' Group
         arrayNewSD (2) = UCase (arraySD (2)) ' Control

         intNewIndex = 0
         arrayACL = arraySD (3)

         If IsNull (arrayACL) = False Then
            For intIndex1=0 To UBound (arrayACL) - 1 Step 4
                arrayACL (intIndex1) = UCase (objWshShell.ExpandEnvironmentStrings (arrayACL (intIndex1)))
                If arrayACL (intIndex1) <> cDestroyedTrustee Then
                   boolDuplicateACEFound = False

                   For intIndex2 = intIndex1 + 4 To UBound (arrayACL) - 1 Step 4
                       arrayACL (intIndex2) = UCase (objWshShell.ExpandEnvironmentStrings (arrayACL (intIndex2)))

                       If arrayACL (intIndex2) <> cDestroyedTrustee Then
                          WriteToLogFile objLOGFileHandle, "Evaluating ACE '" & arrayACL (intIndex1) & "' (ACE #" & (intIndex1 / 4) + 1 & ") and '" & arrayACL (intIndex2) & "' (ACE #" & (intIndex2 / 4) + 1 & ")", cLoggingDebug Or cLoggingLevel4, False
                          WriteToLogFile objLOGFileHandle, "               '" & arrayACL (intIndex1) & "' (ACEType=&h" & Hex (arrayACL (intIndex1 + 1)) & ") and '" & arrayACL (intIndex2) & "' (ACEType=&h" & Hex (arrayACL (intIndex2 + 1)) & ")", cLoggingDebug Or cLoggingLevel4, False
   
                          If EvaluateRegExp (objLOGFileHandle, arrayACL (intIndex1), arrayACL (intIndex2)) = True And _
                             arrayACL (intIndex1 + 1) = arrayACL (intIndex2 + 1) Then
                             boolDuplicateACEFound = True
              
                             boolCombinedACEFound = False
                             If UBound (arrayNewACL) > 0 Then 
   
                                For intIndex3=0 To UBound (arrayNewACL) - 1 Step 4
                                    WriteToLogFile objLOGFileHandle, "Evaluating against existing combined ACE '" & arrayACL (intIndex1) & "' (ACE #" & (intIndex1 / 4) + 1 & ") and '" & arrayNewACL (intIndex3) & "' (ACE #" & (intIndex3 / 4) + 1 & ")", cLoggingDebug Or cLoggingLevel4, False
                                    WriteToLogFile objLOGFileHandle, "                                         '" & arrayACL (intIndex1) & "' (ACEType=&h" & Hex (arrayACL (intIndex1 + 1)) & ") and '" & arrayNewACL (intIndex3) & "' (ACEType=&h" & Hex (arrayNewACL (intIndex3 + 1)) & ")", cLoggingDebug Or cLoggingLevel4, False
         
                                    If EvaluateRegExp (objLOGFileHandle, arrayACL (intIndex1), arrayNewACL (intIndex3)) = True And _
                                       arrayACL (intIndex1 + 1) = arrayNewACL (intIndex3 + 1) Then
                                       boolCombinedACEFound = True
      
                                       WriteToLogFile objLOGFileHandle, "Combining into existing combined ACE '" & arrayACL (intIndex1) & "' (ACE #" & (intIndex1 / 4) + 1 & ") and '" & arrayNewACL (intIndex3) & "' (ACE #" & (intIndex3 / 4) + 1 & ")", cLoggingDebug Or cLoggingLevel4, False
                                       WriteToLogFile objLOGFileHandle, "                                     '" & arrayACL (intIndex1) & "' (AccessMask=&h" & Hex (arrayACL (intIndex1 + 3)) & ") and '" & arrayNewACL (intIndex3) & "' (AccessMask=&h" & Hex (arrayNewACL (intIndex3 + 3)) & ")", cLoggingDebug Or cLoggingLevel4, False
      
                                       arrayNewACL (intIndex3) = arrayACL (intIndex1)                                         ' Trustee
                                       arrayNewACL (intIndex3 + 1) = arrayACL (intIndex1 + 1)                                 ' ACEType
                                       arrayNewACL (intIndex3 + 2) = arrayACL (intIndex1 + 2) Or arrayNewACL (intIndex3 + 2)  ' ACEFlags
                                       arrayNewACL (intIndex3 + 3) = arrayACL (intIndex1 + 3) Or arrayNewACL (intIndex3 + 3)  ' AccessMask
      
                                       WriteToLogFile objLOGFileHandle, "Assigned to existing combined ACE '" & arrayNewACL (intIndex3) & "' (ACE #" & (intIndex3 / 4) + 1 & ")", cLoggingDebug Or cLoggingLevel4, False
                                       WriteToLogFile objLOGFileHandle, "                                  '" & arrayNewACL (intIndex3) & "' (AccessMask=&h" & Hex (arrayNewACL (intIndex3 + 3)) & ")", cLoggingDebug Or cLoggingLevel4, False
        
                                       Exit For
                                    End If
                                Next
                             End If 
   
                             If boolCombinedACEFound = False Then 
                                WriteToLogFile objLOGFileHandle, "Combining into new combined ACE '" & arrayACL (intIndex1) & "' (ACE #" & (intIndex1 / 4) + 1 & ") and '" & arrayACL (intIndex2) & "' (ACE #" & (intIndex2 / 4) + 1 & ")", cLoggingDebug Or cLoggingLevel4, False
                                WriteToLogFile objLOGFileHandle, "                                '" & arrayACL (intIndex1) & "' (AccessMask=&h" & Hex (arrayACL (intIndex1 + 3)) & ") and '" & arrayACL (intIndex2) & "' (AccessMask=&h" & Hex (arrayACL (intIndex2 + 3)) & ")", cLoggingDebug Or cLoggingLevel4, False
      
                                ReDim Preserve arrayNewACL (intNewIndex + 4)
                                arrayNewACL (intNewIndex) = arrayACL (intIndex1)                                      ' Trustee
                                arrayNewACL (intNewIndex + 1) = arrayACL (intIndex1 + 1)                              ' ACEType
                                arrayNewACL (intNewIndex + 2) = arrayACL (intIndex1 + 2) Or arrayACL (intIndex2 + 2)  ' ACEFlags
                                arrayNewACL (intNewIndex + 3) = arrayACL (intIndex1 + 3) Or arrayACL (intIndex2 + 3)  ' AccessMask
      
                                WriteToLogFile objLOGFileHandle, "Assigned to new combined ACE '" & arrayNewACL (intNewIndex) & "' (ACE #" & (intNewIndex / 4) + 1 & ")", cLoggingDebug Or cLoggingLevel4, False
                                WriteToLogFile objLOGFileHandle, "                             '" & arrayNewACL (intNewIndex) & "' (AccessMask=&h" & Hex (arrayNewACL (intNewIndex + 3)) & ")", cLoggingDebug Or cLoggingLevel4, False
      
                                intNewIndex = intNewIndex + 4
                             End If
      
                             arrayACL (intIndex2) = cDestroyedTrustee ' Destroy ACE to prevent duplication in combined trustee
                             arrayACL (intIndex2 + 1) = 0             ' ACEType
                             arrayACL (intIndex2 + 2) = 0             ' ACEFlags
                             arrayACL (intIndex2 + 3) = 0             ' AccessMask
                          Else
                             WriteToLogFile objLOGFileHandle, "Skipped.", cLoggingDebug Or cLoggingLevel4, False
                          End If
                       End If
                   Next
   
                   If boolDuplicateACEFound = False Then
                      ReDim Preserve arrayNewACL (intNewIndex + 4)
                      arrayNewACL (intNewIndex) = arrayACL (intIndex1)            ' Trustee
                      arrayNewACL (intNewIndex + 1) = arrayACL (intIndex1 + 1)    ' ACEType
                      arrayNewACL (intNewIndex + 2) = arrayACL (intIndex1 + 2)    ' ACEFlags
                      arrayNewACL (intNewIndex + 3) = arrayACL (intIndex1 + 3)    ' AccessMask
   
                      WriteToLogFile objLOGFileHandle, "Assigned into new ACE '" & arrayNewACL (intNewIndex) & "' (ACE #" & (intNewIndex / 4) + 1 & ")", cLoggingDebug Or cLoggingLevel4, False
                      WriteToLogFile objLOGFileHandle, "                      '" & arrayNewACL (intNewIndex) & "' (AccessMask=&h" & Hex (arrayNewACL (intNewIndex + 3)) & ")", cLoggingDebug Or cLoggingLevel4, False
   
                      intNewIndex = intNewIndex + 4
                   End If 
                End If 
            Next
         End If 

         arrayNewSD (3) = arrayNewACL   ' New DACL
         arrayNewSD (4) = arraySD (4)   ' SACL

         CalculateEffectiveACEInArraySD = arrayNewSD

End Function

' ----------------------------------------------------------------------------------------
Function CompareDecipheredArraySD (ByVal objLOGFileHandle, ByVal arraySD, ByVal arrayDefaultSD, ByVal intSDType, ByVal strSecuredObjectName, ByVal intSecurityType)

         Dim arrayACL, arrayDefaultACL
         Dim intIndex, intDefaultIndex
         Dim boolSDNoMatch, boolTrusteeNotFound, boolTrusteeACENoMatch, boolDefaultTrusteeNotFound, boolDefaultTrusteeACENoMatch
         Dim boolTrusteeInvalidACE, boolDefaultTrusteeInvalidACE
         Dim strNonMatchingACE
         Dim intLoggingLevel

         On Error Resume Next

         If intSecurityType = cSecurityException Then
            TrackingData.SecurityDescriptor = AddTrackingData (TrackingData.SecurityDescriptor, "@SKIPPED;" & strSecuredObjectName & ";" & intSecurityType)
            Exit Function
         End If

         If IsNull (arraySD) = True Then
            Exit Function
         End If

         TrackingData.SecurityDescriptor = AddTrackingData (TrackingData.SecurityDescriptor, "@OK;" & strSecuredObjectName & ";" & intSecurityType)

         ' Skip testing of SD owner, group and ACE protection behavior
         ' Open Security Descriptor data ----------------------------------------------------------------------
         ' If UCase (arraySD (0)) <> UCase (arrayDefaultSD (0)) Or _
         '    UCase (arraySD (1)) <> UCase (arrayDefaultSD (1)) Or _
         '    UCase (arraySD (2)) <> UCase (arrayDefaultSD (2)) Then
         '    boolSDNoMatch = True
         ' End If

         ' If boolSDNoMatch = True Then
         '    WriteToLogFile objLOGFileHandle, "Owner" & "=" & arraySD (0) & "=" & arrayDefaultSD (0), cLoggingLevel3, False
         '    WriteToLogFile objLOGFileHandle, "Group" & "=" & arraySD (1) & "=" & arrayDefaultSD (1), cLoggingLevel3, False
         '    WriteToLogFile objLOGFileHandle, "Control" & "=" & DecipherSDControlFlags (arraySD (2), False) & "=" & DecipherSDControlFlags (arrayDefaultSD (2), False), cLoggingLevel3, False
         ' End If

         arrayACL = arraySD (3)
         arrayDefaultACL = arrayDefaultSD (3)

         If IsNull (arrayACL) = False And IsNull (arrayDefaultACL) = False Then
            ' Check if actual trustees are matching the default ones and detect added ones.
            WriteToLogFile objLOGFileHandle, "Verifying actual trustees in ACEs against the default trustees in ACEs to locate actual trustee additions.", cLoggingLevel3, False

            For intIndex=0 To UBound (arrayACL) - 1 Step 4
                arrayACL (intIndex) = UCase (objWshShell.ExpandEnvironmentStrings (arrayACL (intIndex)))

                boolTrusteeNotFound = True
                boolTrusteeACENoMatch = False
                boolTrusteeInvalidACE = False
                strNonMatchingACE = ""

                For intDefaultIndex=0 To UBound (arrayDefaultACL) - 1 Step 4
                    arrayDefaultACL (intDefaultIndex) = UCase (objWshShell.ExpandEnvironmentStrings (arrayDefaultACL (intDefaultIndex)))

                    If EvaluateRegExp (objLOGFileHandle, arrayACL (intIndex), arrayDefaultACL (intDefaultIndex)) = True And _
                       arrayACL (intIndex + 1) = arrayDefaultACL (intDefaultIndex + 1) Then
                       boolTrusteeNotFound = False

                       ' ACEType
                       ' If arrayACL (intIndex + 1) <> arrayDefaultACL (intDefaultIndex + 1) Then
                       '    boolTrusteeACENoMatch = True
                       ' End If


                       ' Skip ACE inheritance settings. Just check effective rights
                       ' ACEFlags
                       ' If arrayACL (intIndex + 2) <> arrayDefaultACL (intDefaultIndex + 2) Then
                       '    boolTrusteeACENoMatch = True
                       ' End If

                       ' ACEMask   
                       Select Case intSDType 
                              Case cDComSDAccess
                                   If (arrayACL (intIndex + 3) And DCOM_RIGHT_EXECUTE) = DCOM_RIGHT_EXECUTE Then
                                      If arrayACL (intIndex + 3) = DCOM_RIGHT_EXECUTE Then
                                         If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP2 Or _
				            RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP3 Or _
                                            RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP164 Or _
                                            RunTimeEnvironmentInfo.OSIdentifier >= cWindows2003SP1 Then
                                            arrayACL (intIndex + 3) = DCOM_RIGHT_EXECUTE Or DCOM_RIGHT_ACCESS_LOCAL Or DCOM_RIGHT_ACCESS_REMOTE
                                         End If
                                      End If

                                      If arrayACL (intIndex + 3) <> arrayDefaultACL (intDefaultIndex + 3) Then
                                         strNonMatchingACE = FindNonMatchingACE (intSDType, arrayACL (intIndex + 3), arrayDefaultACL (intDefaultIndex + 3))
                                         boolTrusteeACENoMatch = True
                                      End If

                                      Exit For
                                   Else
                                      boolTrusteeInvalidACE = True
                                   End If

                              Case cDComSDLaunch
                                   If (arrayACL (intIndex + 3) And DCOM_RIGHT_EXECUTE) = DCOM_RIGHT_EXECUTE Then
                                      If arrayACL (intIndex + 3) = DCOM_RIGHT_EXECUTE Then
                                         If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP2 Or _
            				    RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP3 Or _
                                            RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP164 Or _
                                            RunTimeEnvironmentInfo.OSIdentifier >= cWindows2003SP1 Then
                                            arrayACL (intIndex + 3) = DCOM_RIGHT_EXECUTE Or DCOM_RIGHT_LAUNCH_LOCAL Or DCOM_RIGHT_LAUNCH_REMOTE Or DCOM_RIGHT_ACTIVATE_LOCAL Or DCOM_RIGHT_ACTIVATE_REMOTE
                                         End If
                                      End If
 
                                      If arrayACL (intIndex + 3) <> arrayDefaultACL (intDefaultIndex + 3) Then
                                         strNonMatchingACE = FindNonMatchingACE (intSDType, arrayACL (intIndex + 3), arrayDefaultACL (intDefaultIndex + 3))
                                         boolTrusteeACENoMatch = True
                                      End If

                                      Exit For
                                   Else
                                      boolTrusteeInvalidACE = True
                                   End If

                              Case Else
                                   If arrayACL (intIndex + 3) <> arrayDefaultACL (intDefaultIndex + 3) Then
                                      strNonMatchingACE = FindNonMatchingACE (intSDType, arrayACL (intIndex + 3), arrayDefaultACL (intDefaultIndex + 3))
                                      boolTrusteeACENoMatch = True
                                   End If

                                   Exit For
                       End Select
                    End If
                Next

                intLoggingLevel = cLoggingLevel0

                If boolTrusteeNotFound = True Then
                   WriteToLogFile objLOGFileHandle, "Not found!", cLoggingDebug Or cLoggingLevel4, False
                   WriteToLogFile objLOGFileHandle, "Actual trustee '" & arrayACL (intIndex) & "' has been ADDED for ACE #" & (intIndex / 4) + 1 & ".", cLoggingLevel2, False

                   If arrayACL (intIndex + 1) = ACCESS_DENIED_ACE_TYPE Then
                      If intLoggingLevel <> cLoggingLevel1 Then intLoggingLevel = cLoggingLevel2
                   End If

                   TrackingData.SecurityDescriptor = AddTrackingData (TrackingData.SecurityDescriptor, "ADDED;" & _
                                                                                                       intSDType & ";" & _
                                                                                                       "Actual trustee '" & arrayACL (intIndex) & "' has been ADDED!;" & _
                                                                                                       DecipherACEType (intSDType, arrayACL (intIndex + 1), False) & ";" & _
                                                                                                       DecipherACEFlags (intSDType, arrayACL (intIndex + 2), False) & ";" & _
                                                                                                       DecipherACEMask (intSDType, arrayACL (intIndex + 3), False) & ";" & _
                                                                                                       "" & ";" & _
                                                                                                       intLoggingLevel)
                Else
                   WriteToLogFile objLOGFileHandle, "Found!", cLoggingDebug Or cLoggingLevel4, False
                End If

                If boolTrusteeACENoMatch = True Then
                   WriteToLogFile objLOGFileHandle, "Actual trustee '" & arrayACL (intIndex) & "' DOES NOT match corresponding expected trustee rights for ACE #" & (intIndex / 4 ) + 1 & ".", cLoggingLevel2, False
                   WriteToLogFile objLOGFileHandle, "The " & strNonMatchingACE, cLoggingLevel3, False

                   If Instr (strNonMatchingACE, "removed") > 0 Then
                      intLoggingLevel = cLoggingLevel1
                   End If
                   If Instr (strNonMatchingACE, "added") > 0 Then
                      If arrayACL (intIndex + 1) = ACCESS_DENIED_ACE_TYPE Then
                         If intLoggingLevel <> cLoggingLevel1 Then intLoggingLevel = cLoggingLevel2
                      End If
                   End If

                   TrackingData.SecurityDescriptor = AddTrackingData (TrackingData.SecurityDescriptor, "NOACTUALMATCH;" & _
                                                                                                       intSDType & ";" & _
                                                                                                       "Actual trustee '" & arrayACL (intIndex) & "' DOES NOT match corresponding expected trustee rights (Actual->Default);" & _
                                                                                                       DecipherACEType (intSDType, arrayACL (intIndex + 1), False) & "/" & DecipherACEType (intSDType, arrayDefaultACL (intDefaultIndex + 1), False) & ";" & _
                                                                                                       DecipherACEFlags (intSDType, arrayACL (intIndex + 2), False) & "/" & DecipherACEFlags (intSDType, arrayDefaultACL (intDefaultIndex + 2), False) & ";" & _
                                                                                                       DecipherACEMask (intSDType, arrayACL (intIndex + 3), False) & "/" & DecipherACEMask (intSDType, arrayDefaultACL (intDefaultIndex + 3), False) & ";" & _
                                                                                                       strNonMatchingACE & ";" & _
                                                                                                       intLoggingLevel)
                End If                   

                If boolTrusteeInvalidACE = True Then
                   WriteToLogFile objLOGFileHandle, "Actual trustee '" & arrayACL (intIndex) & "' has an INVALID ACE #" & (intIndex / 4 ) + 1 & "(&h" & Hex (arrayACL (intIndex + 3)) & ")", cLoggingLevel2, False

                   TrackingData.SecurityDescriptor = AddTrackingData (TrackingData.SecurityDescriptor, "INVALIDACE;" & _
                                                                                                       intSDType & ";" & _
                                                                                                       "Actual trustee '" & arrayACL (intIndex) & "' has an INVALID ACE (Actual->Default);" & _
                                                                                                       DecipherACEType (intSDType, arrayACL (intIndex + 1), False) & ";" & _
                                                                                                       DecipherACEFlags (intSDType, arrayACL (intIndex + 2), False) & ";" & _
                                                                                                       DecipherACEMask (intSDType, arrayACL (intIndex + 3), False) & ";" & _
                                                                                                       "" & ";" & _
                                                                                                       cLoggingLevel2)
                End If                   

                If boolTrusteeACENoMatch = True Or boolTrusteeNotFound = True Or boolTrusteeInvalidACE = True Then
                   TrackingData.SecurityDescriptor = ReplaceString (TrackingData.SecurityDescriptor, "@OK;" & strSecuredObjectName, "@MODIFIED;" & strSecuredObjectName)
                End If
            Next

            ' Check if expected default trustees are present and detect removed ones.
            WriteToLogFile objLOGFileHandle, "Verifying default trustee in ACEs against the actual trustees in ACEs to locate default trustee removals.", cLoggingLevel3, False

            For intDefaultIndex=0 To UBound (arrayDefaultACL) - 1 Step 4
                arrayDefaultACL (intDefaultIndex) = UCase (objWshShell.ExpandEnvironmentStrings (arrayDefaultACL (intDefaultIndex)))

                boolDefaultTrusteeNotFound = True
                boolDefaultTrusteeACENoMatch = False
                boolDefaultTrusteeInvalidACE = False
                strNonMatchingACE = ""

                For intIndex=0 To UBound (arrayACL) - 1 Step 4
                    arrayACL (intIndex) = UCase (objWshShell.ExpandEnvironmentStrings (arrayACL (intIndex)))

                    If EvaluateRegExp (objLOGFileHandle, arrayACL (intIndex), arrayDefaultACL (intDefaultIndex)) = True And _
                       arrayACL (intIndex + 1) = arrayDefaultACL (intDefaultIndex + 1) Then
                       boolDefaultTrusteeNotFound = False

                       ' ACEType
                       ' If arrayDefaultACL (intDefaultIndex + 1) <> arrayACL (intIndex + 1) Then
                       '    boolDefaultTrusteeACENoMatch = True
                       ' End If

                       ' Skip ACE inheritance settings. Just check effective rights
                       ' ACEFlags
                       ' If arrayDefaultACL (intDefaultIndex + 2) <> arrayACL (intIndex + 2) Then
                       '    boolDefaultTrusteeACENoMatch = True
                       ' End If

                       ' ACEMask      
                       Select Case intSDType 
                              Case cDComSDAccess
                                   If (arrayACL (intIndex + 3) And DCOM_RIGHT_EXECUTE) = DCOM_RIGHT_EXECUTE Then
                                      If arrayACL (intIndex + 3) = DCOM_RIGHT_EXECUTE Then
                                         If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP2 Or _
				            RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP3 Or _
                                            RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP164 Or _
                                            RunTimeEnvironmentInfo.OSIdentifier >= cWindows2003SP1 Then
                                            arrayDefaultACL (intDefaultIndex + 3) = DCOM_RIGHT_EXECUTE Or DCOM_RIGHT_ACCESS_LOCAL Or DCOM_RIGHT_ACCESS_REMOTE
                                         End If
                                      End If 
    
                                      If arrayDefaultACL (intDefaultIndex + 3) <> arrayACL (intIndex + 3) Then
                                         strNonMatchingACE = FindNonMatchingACE (intSDType, arrayDefaultACL (intDefaultIndex + 3), arrayACL (intIndex + 3))
                                         boolTrusteeACENoMatch = True
                                      End If

                                      Exit For
                                   Else
                                      boolDefaultTrusteeInvalidACE = True
                                   End If

                              Case cDComSDLaunch
                                   If (arrayACL (intIndex + 3) And DCOM_RIGHT_EXECUTE) = DCOM_RIGHT_EXECUTE Then
                                      If arrayACL (intIndex + 3) = DCOM_RIGHT_EXECUTE Then
                                         If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP2 Or _
				            RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP3 Or _
                                            RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP164 Or _
                                            RunTimeEnvironmentInfo.OSIdentifier >= cWindows2003SP1 Then
                                            arrayDefaultACL (intDefaultIndex + 3) = DCOM_RIGHT_EXECUTE Or DCOM_RIGHT_LAUNCH_LOCAL Or DCOM_RIGHT_LAUNCH_REMOTE Or DCOM_RIGHT_ACTIVATE_LOCAL Or DCOM_RIGHT_ACTIVATE_REMOTE
                                         End If
                                      End If
                                      If arrayDefaultACL (intDefaultIndex + 3) <> arrayACL (intIndex + 3) Then
                                         strNonMatchingACE = FindNonMatchingACE (intSDType, arrayDefaultACL (intDefaultIndex + 3), arrayACL (intIndex + 3))
                                         boolTrusteeACENoMatch = True
                                      End If

                                      Exit For
                                   Else
                                      boolDefaultTrusteeInvalidACE = True
                                   End If
                              Case Else
                                   If arrayDefaultACL (intDefaultIndex + 3) <> arrayACL (intIndex + 3) Then
                                      strNonMatchingACE = FindNonMatchingACE (intSDType, arrayDefaultACL (intDefaultIndex + 3), arrayACL (intIndex + 3))
                                      boolTrusteeACENoMatch = True
                                   End If

                                   Exit For
                       End Select
                    End If
                Next

                If boolDefaultTrusteeNotFound = True Then
                   WriteToLogFile objLOGFileHandle, "Not found!", cLoggingDebug Or cLoggingLevel4, False
                   WriteToLogFile objLOGFileHandle, "Default trustee '" & arrayDefaultACL (intDefaultIndex) & "' has been REMOVED!", cLoggingLevel2, False

                   TrackingData.SecurityDescriptor = AddTrackingData (TrackingData.SecurityDescriptor, "REMOVED;" & _
                                                                                                       intSDType & ";" & _
                                                                                                       "Default trustee '" & arrayDefaultACL (intDefaultIndex) & "' has been REMOVED!;" & _
                                                                                                       DecipherACEType (intSDType, arrayDefaultACL (intDefaultIndex + 1), False) & ";" & _
                                                                                                       DecipherACEFlags (intSDType, arrayDefaultACL (intDefaultIndex + 2), False) & ";" & _
                                                                                                       DecipherACEMask (intSDType, arrayDefaultACL (intDefaultIndex + 3), False) & ";" & _
                                                                                                       "" & ";" & _
                                                                                                       cLoggingLevel1)
                Else
                   WriteToLogFile objLOGFileHandle, "Found!", cLoggingDebug Or cLoggingLevel4, False
                End If

                If boolDefaultTrusteeACENoMatch = True Then
                   WriteToLogFile objLOGFileHandle, "Default trustee '" & arrayDefaultACL (intDefaultIndex) & "' does not match corresponding actual trustee rights for ACE #" & (intDefaultIndex / 4) + 1 & ".", cLoggingLevel2, False
                   WriteToLogFile objLOGFileHandle, "The " & strNonMatchingACE, cLoggingLevel3, False

                   TrackingData.SecurityDescriptor = AddTrackingData (TrackingData.SecurityDescriptor, "NODEFAULTMATCH;" & _
                                                                                                       intSDType & ";" & _
                                                                                                       "Default trustee '" & arrayDefaultACL (intDefaultIndex) & "' DOES NOT match corresponding actual trustee rights (Default->Actual);" & _
                                                                                                       DecipherACEType (intSDType, arrayDefaultACL (intDefaultIndex + 1), False) & "/" & DecipherACEType (intSDType, arrayACL (intIndex + 1), False) & ";" & _
                                                                                                       DecipherACEFlags (intSDType, arrayDefaultACL (intDefaultIndex + 2), False) & "/" & DecipherACEFlags (intSDType, arrayACL (intIndex + 2), False) & ";" & _
                                                                                                       DecipherACEMask (intSDType, arrayDefaultACL (intDefaultIndex + 3), False) & "/" & DecipherACEMask (intSDType, arrayACL (intIndex + 3), False) & ";" & _
                                                                                                       strNonMatchingACE & ";" & _
                                                                                                       cLoggingLevel0)
                End If

                If boolDefaultTrusteeInvalidACE = True Then
                   WriteToLogFile objLOGFileHandle, "Default trustee '" & arrayDefaultACL (intDefaultIndex) & "' has an INVALID ACE #" & (intDefaultIndex / 4 ) + 1 & "(&h" & Hex (arrayDefaultACL (intDefaultIndex + 3)) & ")", cLoggingLevel2, False

                   TrackingData.SecurityDescriptor = AddTrackingData (TrackingData.SecurityDescriptor, "INVALIDACE;" & _
                                                                                                       intSDType & ";" & _
                                                                                                       "Default trustee '" & arrayDefaultACL (intDefaultIndex) & "' has an INVALID ACE (Default->Actual);" & _
                                                                                                       DecipherACEType (intSDType, arrayDefaultACL (intDefaultIndex + 1), False) & ";" & _
                                                                                                       DecipherACEFlags (intSDType, arrayDefaultACL (intDefaultIndex + 2), False) & ";" & _
                                                                                                       DecipherACEMask (intSDType, arrayDefaultACL (intDefaultIndex + 3), False) & ";" & _
                                                                                                       "" & ";" & _
                                                                                                       cLoggingLevel2)
                End If

                If boolDefaultTrusteeACENoMatch = True Or boolDefaultTrusteeNotFound = True Or boolDefaultTrusteeInvalidACE = True Then
                   TrackingData.SecurityDescriptor = ReplaceString (TrackingData.SecurityDescriptor, "@OK;" & strSecuredObjectName, "@MODIFIED;" & strSecuredObjectName)
                End If
            Next
         Else
            Err.Clear
         End If

End Function

' ----------------------------------------------------------------------------------------
Function FindNonMatchingACE (ByVal intSDType, ByVal intACE1, ByVal intACE2)

         Dim intXOR, intNOT, intAdded, intRemoved

         On Error Resume Next

         intXOR = (intACE1 Xor intACE2) 
         intAdded = (intACE1 And intXOR)

         If intAdded <> 0 Then
            FindNonMatchingACE = "ACE has the right(s) '" & DecipherACEMask (intSDType, intAdded, False) & "' added!"
         End If

         intNOT = (NOT intACE1)
         intRemoved = (intACE2 And intNOT)

         If intRemoved <> 0 Then
            FindNonMatchingACE = "ACE has the right(s) '" & DecipherACEMask (intSDType, intRemoved, False) & "' removed!"
         End If

End Function

' ----------------------------------------------------------------------------------------
Function EvaluateRegExp (ByVal objLOGFileHandle, ByVal strString, ByVal strMatchPattern) 

         Dim objRegExp, objMatch, objMatches

         On Error Resume Next

         If Instr (strMatchPattern, "\") > 0 Then strMatchPattern = ReplaceChar (strMatchPattern, "\", "\\")
         If Mid (strMatchPattern, Len (strMatchPattern), 1) <> "*" Then strMatchPattern = strMatchPattern & "$"

         WriteToLogFile objLOGFileHandle, "Searching '" & strString & "' matching RegExp '" & strMatchPattern & "'.", cLoggingDebug Or cLoggingLevel4, False

         Set objRegExp = New RegExp 
         objRegExp.Global = True 
         objRegExp.IgnoreCase = True 
         objRegExp.Pattern = strMatchPattern 

         Set objMatches = objRegExp.Execute (strString) 

         EvaluateRegExp = False
         For Each objMatch in objMatches
             WriteToLogFile objLOGFileHandle, "RegExp matching at position " & objMatch.FirstIndex & " with value '" & objMatch.value & "'.", cLoggingDebug Or cLoggingLevel4, False
             EvaluateRegExp = True
         Next

         Set objRegExp = Nothing

End Function

' ----------------------------------------------------------------------------------------
Function DisplayDecipheredArraySD (ByVal objLOGFileHandle, ByVal arraySD, ByVal intSDType, ByVal boolDefault)

         Dim arrayACL
         Dim intACECounter, intIndex
         Dim strIndent

         On Error Resume Next

         If boolDefault = True Then
            WriteToLogFile objLOGFileHandle, strIndent & "+- Security Descriptor (DEFAULT) " & String (81 - Len (strIndent), "-"), cLoggingLevel4, False
         Else
            WriteToLogFile objLOGFileHandle, strIndent & "+- Security Descriptor " & String (90 - Len (strIndent), "-"), cLoggingLevel4, False
         End If

         ' Open Security Descriptor data ----------------------------------------------------------------------
         DisplayFormattedProperty objLOGFileHandle, strIndent & "| Owner", arraySD (0), Null, cLoggingLevel4
         DisplayFormattedProperty objLOGFileHandle, strIndent & "| Group", arraySD (1), Null, cLoggingLevel4
         DisplayFormattedProperty objLOGFileHandle, strIndent & "| Revision", "1", Null, cLoggingLevel4
         DisplayFormattedProperty objLOGFileHandle, strIndent & "| Control", DecipherSDControlFlags (arraySD (2), True), Null, cLoggingLevel4

         intACECounter = 0
         arrayACL = arraySD (3)
         If IsNull (arrayACL) = False Then
            ' Open Discretionary ACL data ------------------------------------------------------------------------
            strIndent = strIndent & "|"
            WriteToLogFile objLOGFileHandle, strIndent & "+- DiscretionaryAcl " & String (93 - Len (strIndent), "-"), cLoggingLevel4, False
     
            strIndent = strIndent & "|"

            For intIndex=0 To UBound (arrayACL) - 1 Step 4
                ' Open ACE Data ----------------------------------------------------------------------------------
                intACECounter = intACECounter + 1 
                WriteToLogFile objLOGFileHandle, strIndent & "+- ACE #" & Right ("0" & intACECounter, 2) & " " & String (102 - Len (strIndent), "-"), cLoggingLevel4, False

                DisplayFormattedProperty objLOGFileHandle, strIndent & "| Trustee", _
                                         objWshShell.ExpandEnvironmentStrings (arrayACL (intIndex)), _
                                         Null, _
                                         cLoggingLevel4

                DisplayFormattedProperty objLOGFileHandle, strIndent & "| AceType", _
                                         DecipherACEType (intSDType, arrayACL (intIndex + 1), True), _
                                         Null, _
                                         cLoggingLevel4

                DisplayFormattedProperty objLOGFileHandle, strIndent & "| AceFlags", _
                                         DecipherACEFlags (intSDType, arrayACL (intIndex + 2), True), _
                                         Null, _
                                         cLoggingLevel4

                DisplayFormattedProperty objLOGFileHandle, strIndent & "| AccessMask", _
                                         DecipherACEMask (intSDType, arrayACL (intIndex + 3), True), _
                                         Null, _
                                         cLoggingLevel4

                If intSDType = cDComSDAccess Or intSDType = cDComSDLaunch Then
                   If (arrayACL (intIndex + 3) And DCOM_RIGHT_EXECUTE) <> DCOM_RIGHT_EXECUTE Then
                      WriteToLogFile objLOGFileHandle, "==> Invalid ACE for '" & Ucase (arrayACL (intIndex)) & "' (&h" & Hex (arrayACL (intIndex + 3)) & ")", cLoggingLevel4, False
                   End If
                End If
          
                ' Close ACE Data ----------------------------------------------------------------------------------
                WriteToLogFile objLOGFileHandle, strIndent & "+-" & String (109 - Len (strIndent) + 2, "-"), cLoggingLevel4, False
            Next
     
            strIndent = Mid (strIndent, 1, Len (strIndent) - 1)
     
            ' Close Discretionary ACL data ------------------------------------------------------------------------
            WriteToLogFile objLOGFileHandle, strIndent & "+-" & String (109 - Len (strIndent) + 2, "-"), cLoggingLevel4, False
            strIndent = Mid (strIndent, 1, Len (strIndent) - 1)
         Else
            Err.Clear
         End If
     
         intACECounter = 0
         arrayACL = arraySD (4)
         If IsNull (arrayACL) = False Then
            ' Open System ACL data -------------------------------------------------------------------------------
            strIndent = strIndent & "|"
            WriteToLogFile objLOGFileHandle, strIndent & "+- SystemAcl " & String (96 - Len (strIndent), "-"), cLoggingLevel4, False
     
            strIndent = strIndent & "|"
     
            For intIndex=0 To UBound (arrayACL) - 1 Step 4
                ' Open ACE Data ----------------------------------------------------------------------------------
                intACECounter = intACECounter + 1 
                WriteToLogFile objLOGFileHandle, strIndent & "+- ACE #" & Right ("0" & intACECounter, 2) & " " & String (102 - Len (strIndent), "-"), cLoggingLevel4, False
     
                DisplayFormattedProperty objLOGFileHandle, strIndent & "| Trustee", _
                                         objWshShell.ExpandEnvironmentStrings (arrayACL (intIndex)), _
                                         Null, _
                                         cLoggingLevel4

                DisplayFormattedProperty objLOGFileHandle, strIndent & "| AceType", _
                                         DecipherACEType (intSDType, arrayACL (intIndex + 1), True), _
                                         Null, _
                                         cLoggingLevel4

                DisplayFormattedProperty objLOGFileHandle, strIndent & "| AceFlags", _
                                         DecipherACEFlags (intSDType, arrayACL (intIndex + 2), True), _
                                         Null, _
                                         cLoggingLevel4

                DisplayFormattedProperty objLOGFileHandle, strIndent & "| AccessMask", _
                                         DecipherACEMask (intSDType, arrayACL (intIndex + 3), True), _
                                         Null, _
                                         cLoggingLevel4
     
                ' Close ACE Data ----------------------------------------------------------------------------------
                WriteToLogFile objLOGFileHandle, strIndent & "+-" & String (110 - Len (strIndent) + 2, "-"), cLoggingLevel4, False
            Next
     
            strIndent = Mid (strIndent, 1, Len (strIndent) - 1)
     
            ' Close System ACL data -------------------------------------------------------------------------------
            WriteToLogFile objLOGFileHandle, strIndent & "+-" & String (110 - Len (strIndent) + 2, "-"), cLoggingLevel4, False
            strIndent = Mid (strIndent, 1, Len (strIndent) - 1)
         Else
            Err.Clear
         End If

         ' Close Security Descriptor data ----------------------------------------------------------------------
         WriteToLogFile objLOGFileHandle, strIndent & "+-" & String (110 - Len (strIndent) + 2, "-"), cLoggingLevel4, False

End Function

' ----------------------------------------------------------------------------------------
Function DecipherSDControlFlags (ByVal intControlFlags, ByVal boolReturnArray)

         Dim strTemp

         On Error Resume Next

         strTemp = "&h" & Hex (intControlFlags)

         If (intControlFlags And SE_OWNER_DEFAULTED) Then
            strTemp = strTemp & "," & "SE_OWNER_DEFAULTED"
         End If
         If (intControlFlags And SE_GROUP_DEFAULTED) Then
            strTemp = strTemp & "," & "SE_GROUP_DEFAULTED" 
         End If
         If (intControlFlags And SE_DACL_PRESENT) Then
            strTemp = strTemp & "," & "SE_DACL_PRESENT" 
         End If
         If (intControlFlags And SE_DACL_DEFAULTED) Then
            strTemp = strTemp & "," & "SE_DACL_DEFAULTED" 
         End If
         If (intControlFlags And SE_SACL_PRESENT) Then
            strTemp = strTemp & "," & "SE_SACL_PRESENT" 
         End If
         If (intControlFlags And SE_SACL_DEFAULTED) Then
            strTemp = strTemp & "," & "SE_SACL_DEFAULTED" 
         End If
         If (intControlFlags And SE_DACL_AUTO_INHERIT_REQ) Then
            strTemp = strTemp & "," & "SE_DACL_AUTO_INHERIT_REQ" 
         End If
         If (intControlFlags And SE_SACL_AUTO_INHERIT_REQ) Then
            strTemp = strTemp & "," & "SE_SACL_AUTO_INHERIT_REQ" 
         End If
         If (intControlFlags And SE_DACL_AUTO_INHERITED) Then
            strTemp = strTemp & "," & "SE_DACL_AUTO_INHERITED"
         End If
         If (intControlFlags And SE_SACL_AUTO_INHERITED) Then
            strTemp = strTemp & "," & "SE_SACL_AUTO_INHERITED"
         End If
         If (intControlFlags And SE_DACL_PROTECTED) Then
            strTemp = strTemp & "," & "SE_DACL_PROTECTED" 
         End If
         If (intControlFlags And SE_SACL_PROTECTED) Then
            strTemp = strTemp & "," & "SE_SACL_PROTECTED"
         End If
         If (intControlFlags And SE_SELF_RELATIVE) Then
            strTemp = strTemp & "," & "SE_SELF_RELATIVE" 
         End If
     
         If boolReturnArray = True Then
            DecipherSDControlFlags = ConvertStringInArray (strTemp, ",")
         Else
            DecipherSDControlFlags = strTemp
         End If
     
End Function

' -----------------------------------------------------------------------------------------------------------------
Function DecipherACEMask (ByVal intSDType, ByVal intACEMask, ByVal boolReturnArray)

         Dim strTemp

         On Error Resume Next

         strTemp = "&h" & Hex (intACEMask)

         Select Case intSDType
                Case cFileSD
                     If (intACEMask = FILE_ALL_ACCESS) Then
                        strTemp = strTemp & "," & "(FILE_ALL_ACCESS)"
                     End If
                     If (intACEMask = FILE_GENERIC_EXECUTE) Then
                        strTemp = strTemp & "," & "(FILE_GENERIC_EXECUTE)"
                     End If
                     If (intACEMask = FILE_GENERIC_READ) Then
                        strTemp = strTemp & "," & "(FILE_GENERIC_READ)"
                     End If
                     If (intACEMask = FILE_GENERIC_WRITE) Then
                        strTemp = strTemp & "," & "(FILE_GENERIC_WRITE)"
                     End If
                     If (intACEMask And FILE_READ_DATA) Then
                        strTemp = strTemp & "," & "FILE_READ_DATA " & _
                                                  "(FOLDER_LIST_DIRECTORY for a Folder)"
                     End If
                     If (intACEMask And FILE_WRITE_DATA) Then
                        strTemp = strTemp & "," & "FILE_WRITE_DATA " & _
                                                  "(FOLDER_ADD_FILE for a Folder)"
                     End If
                     If (intACEMask And FILE_APPEND_DATA) Then
                        strTemp = strTemp & "," & "FILE_APPEND_DATA " & _
                                                  "(FOLDER_ADD_SUBDIRECTORY for a Folder)"
                     End If
                     If (intACEMask And FILE_READ_EA) Then
                        strTemp = strTemp & "," & "FILE_READ_EA"
                     End If
                     If (intACEMask And FILE_WRITE_EA) Then
                        strTemp = strTemp & "," & "FILE_WRITE_EA"
                     End If
                     If (intACEMask And FILE_EXECUTE) Then
                        strTemp = strTemp & "," & "FILE_EXECUTE " & _
                                                  "(FOLDER_TRAVERSE for a Folder)"
                     End If
                     If (intACEMask And FILE_DELETE_CHILD) Then
                        strTemp = strTemp & "," & "FILE_DELETE_CHILD"
                     End If
                     If (intACEMask And FILE_READ_ATTRIBUTES) Then
                        strTemp = strTemp & "," & "FILE_READ_ATTRIBUTES"
                     End If
                     If (intACEMask And FILE_WRITE_ATTRIBUTES) Then
                        strTemp = strTemp & "," & "FILE_WRITE_ATTRIBUTES"
                     End If
                     If (intACEMask And FILE_DELETE) Then
                        strTemp = strTemp & "," & "FILE_DELETE"
                     End If
                     If (intACEMask And FILE_READ_CONTROL) Then
                        strTemp = strTemp & "," & "FILE_READ_CONTROL"
                     End If
                     If (intACEMask And FILE_WRITE_DAC) Then
                        strTemp = strTemp & "," & "FILE_WRITE_DAC"
                     End If
                     If (intACEMask And FILE_WRITE_OWNER) Then
                        strTemp = strTemp & "," & "FILE_WRITE_OWNER"
                     End If
                     If (intACEMask And FILE_SYNCHRONIZE) Then
                        strTemp = strTemp & "," & "FILE_SYNCHRONIZE"
                     End If
     
                Case cShareSD
                     If (intACEMask And FILE_SHARE_FULL_ACCESS) Then
                        strTemp = strTemp & "," & "FILE_SHARE_FULL_ACCESS"
                     End If
                     If (intACEMask And FILE_SHARE_CHANGE_ACCESS) Then
                        strTemp = strTemp & "," & "FILE_SHARE_CHANGE_ACCESS"
                     End If
                     If (intACEMask And FILE_SHARE_READ_ACCESS) Then
                        strTemp = strTemp & "," & "FILE_SHARE_READ_ACCESS"
                     End If
          
                Case cRegistrySD
                     If (intACEMask = REG_GENERIC_FULL_CONTROL) Then
                        strTemp = strTemp & "," & "(REG_GENERIC_FULL_CONTROL)"
                     End If                                             
                     If (intACEMask = REG_GENERIC_READ) Then
                        strTemp = strTemp & "," & "(REG_GENERIC_READ)"
                     End If
     
                     If (intACEMask And REG_QUERY_VALUE) Then
                        strTemp = strTemp & "," & "REG_QUERY_VALUE"
                     End If
                     If (intACEMask And REG_SET_VALUE) Then
                        strTemp = strTemp & "," & "REG_SET_VALUE"
                     End If                   
                     If (intACEMask And REG_CREATE_SUBKEYS) Then
                        strTemp = strTemp & "," & "REG_CREATE_SUBKEYS"
                     End If                                  
                     If (intACEMask And REG_ENUMERATE_SUBKEYS) Then
                        strTemp = strTemp & "," & "REG_ENUMERATE_SUBKEYS"
                     End If                                               
                     If (intACEMask And REG_NOTIFY) Then
                        strTemp = strTemp & "," & "REG_NOTIFY"
                     End If                                             
                     If (intACEMask And REG_CREATE_LINK) Then
                        strTemp = strTemp & "," & "REG_CREATE_LINK"
                     End If                                  
                     If (intACEMask And REG_DELETE) Then
                        strTemp = strTemp & "," & "REG_DELETE"
                     End If                                                             
                     If (intACEMask And REG_READ_CONTROL) Then
                        strTemp = strTemp & "," & "REG_READ_CONTROL"
                     End If                                                                  
                     If (intACEMask And REG_WRITE_DAC) Then
                        strTemp = strTemp & "," & "REG_WRITE_DAC"
                     End If                                                                  
                     If (intACEMask And REG_WRITE_OWNER) Then
                        strTemp = strTemp & "," & "REG_WRITE_OWNER"
                     End If                                                                        

                Case cWMINameSpaceSD
                     If (intACEMask And WBEM_ENABLE) Then
                        strTemp = strTemp & "," & "WBEM_ENABLE"
                     End If
                     If (intACEMask And WBEM_METHOD_EXECUTE) Then
                        strTemp = strTemp & "," & "WBEM_METHOD_EXECUTE"
                     End If
                     If (intACEMask And WBEM_FULL_WRITE_REP) Then
                        strTemp = strTemp & "," & "WBEM_FULL_WRITE_REP"
                     End If
                     If (intACEMask And WBEM_PARTIAL_WRITE_REP) Then
                        strTemp = strTemp & "," & "WBEM_PARTIAL_WRITE_REP"
                     End If
                     If (intACEMask And WBEM_WRITE_PROVIDER) Then
                        strTemp = strTemp & "," & "WBEM_WRITE_PROVIDER"
                     End If
                     If (intACEMask And WBEM_REMOTE_ACCESS) Then
                        strTemp = strTemp & "," & "WBEM_REMOTE_ACCESS"
                     End If
                     If (intACEMask And WBEM_WRITE_DAC) Then
                        strTemp = strTemp & "," & "WBEM_WRITE_DAC"
                     End If
                     If (intACEMask And WBEM_READ_CONTROL) Then
                        strTemp = strTemp & "," & "WBEM_READ_CONTROL"
                     End If

                Case cDComSDAccess
                     If (intACEMask And DCOM_RIGHT_EXECUTE) Then
                        strTemp = strTemp & "," & "DCOM_RIGHT_EXECUTE"
                     End If
                     If (intACEMask And DCOM_RIGHT_ACCESS_LOCAL) Then
                        strTemp = strTemp & "," & "DCOM_RIGHT_ACCESS_LOCAL"
                     End If
                     If (intACEMask And DCOM_RIGHT_ACCESS_REMOTE) Then
                        strTemp = strTemp & "," & "DCOM_RIGHT_ACCESS_REMOTE"
                     End If

                Case cDComSDLaunch
                     If (intACEMask And DCOM_RIGHT_EXECUTE) Then
                        strTemp = strTemp & "," & "DCOM_RIGHT_EXECUTE"
                     End If
                     If (intACEMask And DCOM_RIGHT_LAUNCH_LOCAL) Then
                        strTemp = strTemp & "," & "DCOM_RIGHT_LAUNCH_LOCAL"
                     End If
                     If (intACEMask And DCOM_RIGHT_LAUNCH_REMOTE) Then
                        strTemp = strTemp & "," & "DCOM_RIGHT_LAUNCH_REMOTE"
                     End If
                     If (intACEMask And DCOM_RIGHT_ACTIVATE_LOCAL) Then
                        strTemp = strTemp & "," & "DCOM_RIGHT_ACTIVATE_LOCAL"
                     End If
                     If (intACEMask And DCOM_RIGHT_ACTIVATE_REMOTE) Then
                        strTemp = strTemp & "," & "DCOM_RIGHT_ACTIVATE_REMOTE"
                     End If
     
                Case Else
     
         End Select
     
         If boolReturnArray = True Then
            DecipherACEMask = ConvertStringInArray (strTemp, ",")
         Else
            DecipherACEMask = strTemp 
         End If

End Function

' -----------------------------------------------------------------------------------------------------------------
Function DecipherACEFlags (ByVal intSDType, ByVal intACEFlags, ByVal boolReturnArray)

         Dim strTemp

         On Error Resume Next

         strTemp = "&h" & Hex (intACEFlags)

         Select Case intSDType
                Case cFileSD, _
                     cShareSD, _
                     cRegistrySD, _
                     cWMINameSpaceSD, _
                     cDComSDAccess, cDComSDLaunch
                     If (intACEFlags And OBJECT_INHERIT_ACE) Then
                        strTemp = strTemp & "," & "OBJECT_INHERIT_ACE"
                     End If
                     If (intACEFlags And CONTAINER_INHERIT_ACE) Then
                        strTemp = strTemp & "," & "CONTAINER_INHERIT_ACE"
                     End If
                     If (intACEFlags And NO_PROPAGATE_INHERIT_ACE) Then
                        strTemp = strTemp & "," & "NO_PROPAGATE_INHERIT_ACE"
                     End If
                     If (intACEFlags And INHERIT_ONLY_ACE) Then
                        strTemp = strTemp & "," & "INHERIT_ONLY_ACE"
                     End If
                     If (intACEFlags And INHERITED_ACE) Then
                        strTemp = strTemp & "," & "INHERITED_ACE"
                     End If
                     If (intACEFlags = VALID_INHERIT_FLAG) Then
                        strTemp = strTemp & "," & "VALID_INHERIT_FLAG"
                     End If
                     If (intACEFlags And SUCCESSFUL_ACCESS_ACE_FLAG) Then
                        strTemp = strTemp & "," & "SUCCESSFUL_ACCESS_ACE_FLAG"
                     End If
                     If (intACEFlags And FAILED_ACCESS_ACE_FLAG) Then
                        strTemp = strTemp & "," & "FAILED_ACCESS_ACE_FLAG"
                     End If
     
                Case Else
     
         End Select
     
         If boolReturnArray = True Then
            DecipherACEFlags = ConvertStringInArray (strTemp, ",")
         Else
            DecipherACEFlags = strTemp 
         End If

End Function

' -----------------------------------------------------------------------------------------------------------------
Function DecipherACEType (ByVal intSDType, ByVal intACEType, ByVal boolReturnArray)

         Dim strTemp

         On Error Resume Next

         strTemp = "&h" & Hex (intACEType)

         Select Case intSDType
                Case cFileSD, _
                     cShareSD, _
                     cRegistrySD, _
                     cWMINameSpaceSD, _
                     cDComSDAccess, cDComSDLaunch
                     Select Case intACEType
                            Case ACCESS_ALLOWED_ACE_TYPE
                                 strTemp = strTemp & "," & "ACCESS_ALLOWED_ACE_TYPE"
                            Case ACCESS_DENIED_ACE_TYPE
                                 strTemp = strTemp & "," & "ACCESS_DENIED_ACE_TYPE"
                            Case SYSTEM_AUDIT_ACE_TYPE
                                 strTemp = strTemp & "," & "SYSTEM_AUDIT_ACE_TYPE"
                            Case SYSTEM_ALARM_ACE_TYPE
                                 strTemp = strTemp & "," & "SYSTEM_ALARM_ACE_TYPE"
                            Case Else
     
                     End Select
     
                Case Else
     
         End Select
     
         If boolReturnArray = True Then
            DecipherACEType = ConvertStringInArray (strTemp, ",")
         Else
            DecipherACEType = strTemp
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function IsThereAClassProvider (ByVal objLOGFileHandle, ByVal objWMIServices, ByVal strWMINamespace)

         Dim objWMIInstances
         Dim intCount

         On Error Resume Next

         IsThereAClassProvider = False

         If boolStrict = False Then
            Set objWMIInstances = objWMIServices.ExecQuery ("Select * From __ClassProviderRegistration")
            If Err.Number Then
               IsThereAClassProvider = ErrorHandler (objLOGFileHandle, "IsThereAClassProvider", "", False, Err)
               TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, strWMINamespace & ";Select * From __ClassProviderRegistration;" & cCritical & ";" & strLastError)
               Exit Function
            End If

            intCount = objWMIInstances.Count
            If Err.Number Then
               IsThereAClassProvider = ErrorHandler (objLOGFileHandle, "IsThereAClassProvider", "", False, Err)
               TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, strWMINamespace & ";Select * From __ClassProviderRegistration;" & cCritical & ";" & strLastError)                
               Exit Function 
            End If

            If intCount > 0 Then 
               IsThereAClassProvider = True
               WriteToLogFile objLOGFileHandle, "At least one class provider is present in namespace '" & strWMINamespace & "' (" & intCount & "). Skipping write operations in that namespace!", cLoggingLevel3, False
            End If
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function GetLoadedProviders (ByVal objLOGFileHandle, ByVal strBeforeAfter)

         Dim objWMIServices, objWMIInstance, objWMIInstances
         Dim objWMIProcess, strExecutableName
         Dim intCount

         On Error Resume Next

         GetLoadedProviders = False

         If Len (strBeforeAfter) Then
            WriteToLogFile objLOGFileHandle, "Verifying WMI providers loaded " & strBeforeAfter & " WMIDiag execution.", cLoggingLevel0, False
         End If

         If RunTimeEnvironmentInfo.OSIdentifier > cWindows2000SP4 Then
            Set objWMIServices = objWMILocator.ConnectServer ("LocalHost", "Root/CIMv2", "", "")
            If Err.Number Then 
               GetLoadedProviders = ErrorHandler (objLOGFileHandle, "CheckWMIStaticData", "", False, Err)
               TrackingData.WMIConnectionErrors = AddTrackingData (TrackingData.WMIConnectionErrors, strWMINameSpace & ";" & strLastError)
              Exit Function
            End If

            Set objWMIInstances = objWMIServices.ExecQuery ("Select * From MSFT_Providers")
            If Err.Number Then
               GetLoadedProviders = ErrorHandler (objLOGFileHandle, "GetLoadedProviders", "", False, Err)
               TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, strWMINamespace & ";Select * From MSFT_Providers;" & cWarning & ";" & strLastError)
               Exit Function 
            End If

            intCount = objWMIInstances.Count
            If Err.Number Then
               GetLoadedProviders = ErrorHandler (objLOGFileHandle, "GetLoadedProviders", "", False, Err)
               TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, strWMINamespace & ";Select * From MSFT_Providers;" & cWarning & ";" & strLastError)
               Exit Function 
            End If

            If intCount > 0 Then 
               GetLoadedProviders = True
               WriteToLogFile objLOGFileHandle, intCount & " WMI providers are currently loaded:", cLoggingLevel3, False

               For Each objWMIInstance In objWMIInstances
                   Set objWMIProcess = objWMIServices.Get ("Win32_Process.Handle=" & objWMIInstance.HostProcessIdentifier)
                   If Err.Number Then 
                      ErrorHandler objLOGFileHandle, "GetLoadedProviders", "", False, Err
                      TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, "Root/CIMv2;Win32_Process.Handle=" & objWMIInstance.HostProcessIdentifier & ";" & strLastError)

                      WriteToLogFile objLOGFileHandle, "Provider: '" & UCase (objWMIInstance.Provider) & "' (PID: " & objWMIInstance.HostProcessIdentifier & ")", cLoggingLevel4, False
                   Else
                      If IsNull (objWMIProcess.ExecutablePath) = True Then
                         strExecutableName = objWMIProcess.Name
                      Else
                         strExecutableName = objWMIProcess.ExecutablePath
                      End If
                      WriteToLogFile objLOGFileHandle, "Provider: '" & UCase (objWMIInstance.Provider) & "' (PID: " & objWMIInstance.HostProcessIdentifier & ", " & Ucase (strExecutableName) & ")", cLoggingLevel4, False
                   End If
              
                   WriteToLogFile objLOGFileHandle, "  Provider Name:    '" & LocateWMIProviderData (objLOGFileHandle, objWMIInstance.Provider, cWMIProviderName, cWMIProviderDisplayName) & "'", cLoggingLevel4, False
                   WriteToLogFile objLOGFileHandle, "  Namespace:        '" & UCase (objWMIInstance.Namespace) & "' (i.e. '" & LocateWMIProviderData (objLOGFileHandle, objWMIInstance.Provider, cWMIProviderName, cWMIClassname) & "')", cLoggingLevel4, False
                   WriteToLogFile objLOGFileHandle, "  Hosting Model:    '" & LocateWMIProviderData (objLOGFileHandle, objWMIInstance.Provider, cWMIProviderName, cWMIProviderHostingModel) & "' (HostingSpecification=" & objWMIInstance.HostingSpecification & ")", cLoggingLevel4, False
                   WriteToLogFile objLOGFileHandle, "  Hosting Group:    '" & UCase (objWMIInstance.HostingGroup) & "'", cLoggingLevel4, False
                   WriteToLogFile objLOGFileHandle, "  User:             '" & UCase (objWMIInstance.User) & "'", cLoggingLevel4, False
                   WriteToLogFile objLOGFileHandle, "  Provider Binary:  '" & LocateWMIProviderData (objLOGFileHandle, objWMIInstance.Provider, cWMIProviderName, cWMIProviderBinary) & "'", cLoggingLevel4, False
                   WriteToLogFile objLOGFileHandle, "  MOF Registration: '" & LocateWMIProviderData (objLOGFileHandle, objWMIInstance.Provider, cWMIProviderName, cWMIProviderMOF) & "'", cLoggingLevel4, False
                   WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False

                   Set objWMIProcess =  Nothing
               Next
            End If
         End If 

End Function

' --------------------------------------------------------------------------------------------------------
Function QueryWMIDiagData (ByVal objLOGFileHandle, ByVal strWMIClass)

         Dim strWMIData, arrayWMIData

          On Error Resume Next

         strWMIData = LocateWMIProviderData (objLOGFileHandle, strWMIClass, cWMIClassName, cWMIProviderAllData)

         If strWMIData <> cMissingWMIInfo Then
            arrayWMIData = ConvertStringInArray (strWMIData, ",")

            WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "Class Name:             '" & arrayWMIData (cWMIClassname) & "'", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "Provider Namespace:     '" & arrayWMIData (cWMINamespace) & "'", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "Provider Name:          '" & arrayWMIData (cWMIProviderName) & "'", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "Provider Displayname:   '" & arrayWMIData (cWMIProviderDisplayName) & "'", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "Provider Model:         '" & arrayWMIData (cWMIProviderModel) & "'", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "Provider Type:          '" & arrayWMIData (cWMIprovidertype) & "'", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "Provider CLSID:         '" & arrayWMIData (cWMIProviderCLSID) & "'", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "Provider Hosting Model: '" & arrayWMIData (cWMIProviderHostingModel) & "'", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "Provider Binary:        '" & arrayWMIData (cWMIProviderBinary) & "'", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "Provider MOF:           '" & arrayWMIData (cWMIProviderMOF) & "'", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False
         Else
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, strWMIData, cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function LocateWMIProviderData (ByVal objLOGFileHandle, ByVal strInput, ByVal intInputSearchIndex, ByVal intOuputSearchIndex)

         Dim intIndex, intOSIdentifier, intPlatform, intLength, strInputToSearch

          On Error Resume Next  

         If RunTimeEnvironmentInfo.IsServerOS = True Then
            intPlatform = cServerOnly
         Else
            intPlatform = cClientOnly
         End If

         intOSIdentifier = RunTimeEnvironmentInfo.OSIdentifier

         ' cWindows2000RTM => cWindows2000SP1 => cWindows2000SP2 => cWindows2000SP3 => cWindows2000SP4
         ' cWindowsXPRTM => cWindowsXPSP2
         ' cWindowsXPSP164 => cWindowsXPSP2
         ' cWindows2003RTM => cWindows2003RTM64 => cWindows2003SP164 => cWindows2003SP1
         ' cWindowsVistaSP1 => cWindowsVistaRTM

         If RunTimeEnvironmentInfo.OSIdentifier < cWindows2000SP4 Then
            intOSIdentifier = cWindows2000SP4 
         End If

         If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPRTM Then
            intOSIdentifier = cWindowsXPSP2
         End If

         If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP164 Or _
            RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP3 Or _
	    	RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP2 Then
            intOSIdentifier = cWindowsXPSP2
         End If

         If RunTimeEnvironmentInfo.OSIdentifier = cWindows2003RTM Or _
            RunTimeEnvironmentInfo.OSIdentifier = cWindows2003RTM64 Or _
            RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP164 Or _
	    RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP2 Or _
	    RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP264 Then
            intOSIdentifier = cWindows2003SP1 
         End If

         For intIndex = 0 To UBound (arrayWMIProviderData)

             If (arrayWMIProviderData (intIndex)(cOSVersion) And intOSIdentifier) = intOSIdentifier Then

                WriteToLogFile objLOGFileHandle, "'" & (arrayWMIProviderData (intIndex)(cPlatform) And intPlatform) & "'='" & intPlatform & "'", cLoggingDebug Or cLoggingLevel4, False
                If (arrayWMIProviderData (intIndex)(cPlatform) And intPlatform) = intPlatform Then
                   intLength = Len (arrayWMIProviderData (intIndex)(intInputSearchIndex))
                   If intLength > 0 Then
                      strInputToSearch = Mid (strInput, 1, intLength)
                   Else
                      strInputToSearch = strInput
                   End If
                   If UCase (arrayWMIProviderData (intIndex)(intInputSearchIndex)) = UCase (strInputToSearch) Then   
                      WriteToLogFile objLOGFileHandle, "FOUND!", cLoggingDebug Or cLoggingLevel4, False
                      If intOuputSearchIndex = cWMIProviderAllData Then
                         LocateWMIProviderData = ConvertArrayInString (arrayWMIProviderData (intIndex), ",")
                         Exit Function
                      Else
                         If intOuputSearchIndex = cWMIProviderDisplayName Then
                            LocateWMIProviderData = arrayWMIProviderData (intIndex)(cWMIProviderDisplayName) & " " & arrayWMIProviderData (intIndex)(cWMIProviderType) & " WMI Provider"
                            Exit Function
                         Else
                            LocateWMIProviderData = objWshShell.ExpandEnvironmentStrings (arrayWMIProviderData (intIndex)(intOuputSearchIndex))
                            Exit Function
                         End If
                      End If
                   End If
                End If
             End If
         Next

         LocateWMIProviderData = cMissingWMIInfo

End Function

' --------------------------------------------------------------------------------------------------------
Function GetWMISystemSettings (ByVal objLOGFileHandle, ByVal objWMIServices)

         Dim objWMIInstance, objWMIInstances   
         Dim strWMISystemClass
         Dim intCount
 
         On Error Resume Next
 
         WriteToLogFile objLOGFileHandle, "Verifying WMI system settings.", cLoggingLevel0, False
 
         For Each strWMISystemClass In arrayWMISystemConfigurationClasses
 
             Set objWMIInstances = objWMIServices.InstancesOf (strWMISystemClass, wbemFlagReturnImmediately Or wbemFlagUseAmendedQualifiers)
             If Err.Number Then
                GetWMISystemSettings = ErrorHandler (objLOGFileHandle, "GetWMISystemSettings", "", False, Err)
                TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, "ROOT" & ";InstancesOf;" & strWMISystemClass & ";" & cCritical & ";" & strLastError)
                Exit Function
             End If
 
             intCount = objWMIInstances.Count
             If Err.Number Then
                GetWMISystemSettings = ErrorHandler (objLOGFileHandle, "GetWMISystemSettings", "", False, Err)
                TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, "ROOT" & ";InstancesOf;" & strWMISystemClass & ";" & cCritical & ";" & strLastError)
                Exit Function
             End If
 
             If intCount Then
                intCount = 0
                For Each objWMIInstance in objWMIInstances
                    intCount = intCount + 1
                    DisplayFormattedWMIProperties objLOGFileHandle, objWMIInstance, intCount, 0, cLoggingLevel3
                Next
             Else
                GetWMISystemSettings = ErrorHandler (objLOGFileHandle, "GetWMISystemSettings", "'" & strWMISystemClass & "' not found.", False, Err)
                TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, "ROOT" & ";InstancesOf;" & strWMISystemClass & ";" & cCritical & ";NOINSTANCE")
             End If
         Next

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWMIProviderRegistration (ByVal objLOGFileHandle, ByVal objWMIServices, ByVal strWMINameSpace, ByVal objWMIInstances)

         Dim arrayProviderPath, strWMIProviderCLSID, strWMIProviderRegistrationData, strWMIProviderType
         Dim objWMIInstance, objWMIReference 
         Dim strHostingModel, strWMIProviderRegistrationClass, boolUndefinedHostingModel, boolInstanceWMIProvider, strClassProviderType
         Dim intIndex
         Dim boolRC

         On Error Resume Next

         intIndex = 0

         For Each objWMIInstance in objWMIInstances
             intIndex = intIndex + 1

             WriteToLogFile objLOGFileHandle, "(#" & intIndex & ") Found WMI Provider '" & UCase (objWMIInstance.Name) & "' CIM registration.", cLoggingLevel3, False

             If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsXPRTM Then
                strHostingModel = UCase (objWMIInstance.HostingModel)
                If Len (strHostingModel) > 0 Then
                   WriteToLogFile objLOGFileHandle, "WMI Provider hosting model is '" & strHostingModel & "'.", cLoggingLevel3, False
                   boolUndefinedHostingModel = False
                   strWMIProviderRegistrationData = strHostingModel
                Else
                   If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM Then
                      WriteToLogFile objLOGFileHandle, "WMI Provider hosting model is undefined, which implies 'NetworkServiceHostOrSelfHost'.", cLoggingLevel2, False
                      strHostingModel = UCase ("NetworkServiceHostOrSelfHost")
                   Else
                      WriteToLogFile objLOGFileHandle, "WMI Provider hosting model is undefined, which implies 'LocalSystemHostOrSelfHost'.", cLoggingLevel2, False
                      strHostingModel = UCase ("LocalSystemHostOrSelfHost")
                   End If
                   boolUndefinedHostingModel = True
                   strWMIProviderRegistrationData = strHostingModel & " (*)"
                End If
             Else
                strWMIProviderRegistrationData = "No hosting model"
             End If

             strWMIProviderCLSID = UCase(objWMIInstance.CLSID)

             If Instr (strHostingModel, "LOCALSYSTEM") > 0 Or _
                Instr (strHostingModel, "WMICORE") > 0 Then
                If ExceptionForHighPrivWMIProvider (Ucase(objWMIInstance.Name & ";" & strWMIProviderCLSID)) = True Then
                   WriteToLogFile objLOGFileHandle, "WMI Provider is '" & Ucase (objWMIInstance.Name) & "' IS a trusted WMI providers.", cLoggingLevel3, False
                   strWMIProviderRegistrationData = strWMIProviderRegistrationData & ";Trusted"
                Else 
                   WriteToLogFile objLOGFileHandle, "WMI Provider is '" & Ucase (objWMIInstance.Name) & "' is NOT a trusted WMI providers.", cLoggingLevel2, False
                   TrackingData.HighPrivWMIProvider = AddTrackingData (TrackingData.HighPrivWMIProvider, UCase(strWMINameSpace & ";" & objWMIInstance.Name & ";" & strHostingModel & ";" & strWMIProviderCLSID) & ";" & boolUndefinedHostingModel)
                   strWMIProviderRegistrationData = strWMIProviderRegistrationData & ";Untrusted"
                End If
             Else 
                strWMIProviderRegistrationData = strWMIProviderRegistrationData & ";"
             End If

             strWMIProviderType = ""

             For Each objWMIReference in objWMIInstance.References_
                 strWMIProviderRegistrationClass = Ucase (objWMIReference.Path_.Class)
  
                 If strWMIProviderRegistrationClass = "__INSTANCEPROVIDERREGISTRATION" Then
                    boolInstanceWMIProvider = True
                    If objWMIReference.SupportsEnumeration = True Then
                       WriteToLogFile objLOGFileHandle, "WMI Provider '" & UCase (objWMIInstance.Name) & "' is an INSTANCE provider and supports instance enumeration.", cLoggingLevel3, False
                       TrackingData.WMIProviderSupportingEnumeration = AddTrackingData (TrackingData.WMIProviderSupportingEnumeration, UCase (strWMINamespace & ";" & objWMIInstance.Name))
                    Else
                       WriteToLogFile objLOGFileHandle, "WMI Provider '" & UCase (objWMIInstance.Name) & "' is an INSTANCE provider and DOES NOT support instance enumeration.", cLoggingLevel3, False
                    End If
                    strWMIProviderType = strWMIProviderType & "Instance "
                 Else
                    boolInstanceWMIProvider = False
                 End If

                 If strWMIProviderRegistrationClass = "__METHODPROVIDERREGISTRATION" Then
                    WriteToLogFile objLOGFileHandle, "WMI Provider '" & UCase (objWMIInstance.Name) & "' is a METHOD provider.", cLoggingLevel3, False
                    strWMIProviderType = strWMIProviderType & "Method "
                 End If

                 If strWMIProviderRegistrationClass = "__CLASSPROVIDERREGISTRATION" Then
                    Select Case (objWMIReference.InteractionType)
                           Case 0
                                strClassProviderType = "Pull"
                           Case 1 
                                strClassProviderType = "Push"
                           Case 2
                                strClassProviderType = "Push-Verify"
                           Case Else
                                strClassProviderType = "Pull"
                    End Select 
                    If objWMIReference.SupportsEnumeration = True Then
                       WriteToLogFile objLOGFileHandle, "WMI Provider '" & UCase (objWMIInstance.Name) & "' is a " & UCase (strClassProviderType) & " CLASS provider and support class enumeration.", cLoggingLevel3, False
                    Else
                       WriteToLogFile objLOGFileHandle, "WMI Provider '" & UCase (objWMIInstance.Name) & "' is a " & UCase (strClassProviderType) & " CLASS provider and DOES NOT support class enumeration.", cLoggingLevel3, False
                    End If
                    strWMIProviderType = strWMIProviderType & strClassProviderType & " Class "
                 End If

                 If strWMIProviderRegistrationClass = "__PROPERTYPROVIDERREGISTRATION" Then
                    WriteToLogFile objLOGFileHandle, "WMI Provider '" & UCase (objWMIInstance.Name) & "' is a PROPERTY provider.", cLoggingLevel3, False
                    strWMIProviderType = strWMIProviderType & "Property "
                 End If
  
                 If strWMIProviderRegistrationClass = "__EVENTPROVIDERREGISTRATION" Then
                    WriteToLogFile objLOGFileHandle, "WMI Provider '" & UCase (objWMIInstance.Name) & "' is an EVENT provider.", cLoggingLevel3, False
                    strWMIProviderType = strWMIProviderType & "Event "
  
                    RetrieveSupportedEventClasses objWMIReference.EventQueryList, strWMINamespace, UCase (objWMIInstance.Name)
                 End If

                 If strWMIProviderRegistrationClass = "__EVENTCONSUMERPROVIDERREGISTRATION" Then
                    WriteToLogFile objLOGFileHandle, "WMI Provider '" & UCase (objWMIInstance.Name) & "' is a PERMANENT EVENT CONSUMER provider.", cLoggingLevel3, False
                    strWMIProviderType = strWMIProviderType & "Event consumer "
  
                    RetrieveSupportedConsumerClasses objWMIReference.ConsumerClassNames, strWMINamespace, UCase (objWMIInstance.Name)
                 End If
             Next

             strWMIProviderRegistrationData = strWMIProviderRegistrationData & ";" & strWMIProviderType

             If Left (strHostingModel, 10) <> "DECOUPLED:" Then
                If Len (strWMIProviderCLSID) > 0 Then 
                   strWMIProviderRegistrationData = strWMIProviderRegistrationData & ";" & strWMIProviderCLSID

                   TrackingData.GoodProviderCIMRegistration = AddTrackingData (TrackingData.GoodProviderCIMRegistration, strWMINameSpace & ";" & objWMIInstance.Name)
 
                   WriteToLogFile objLOGFileHandle, "Verifying if WMI Provider '" & UCase (objWMIInstance.Name) & "' has an In-Proc registration.", cLoggingLevel3, False
                   arrayProviderPath = ReadRegistry (objLOGFileHandle, "HKCR\CLSID\" & strWMIProviderCLSID & "\InProcServer32", _
                                                     "", _
                                                     "REG_EXPAND_SZ", _
                                                     False)
                   If IsArray(arrayProviderPath) = True Then 
                      WriteToLogFile objLOGFileHandle, "Found WMI Provider In-Proc registration '" & UCase (objWMIInstance.Name) & "' (" & strWMIProviderCLSID & ").", cLoggingLevel3, False
                      longInProcWMIProvider = longInProcWMIProvider + 1
                      strWMIProviderRegistrationData = strWMIProviderRegistrationData & ";" & "In-proc"
                   Else
                      WriteToLogFile objLOGFileHandle, "Verifying if WMI Provider '" & UCase (objWMIInstance.Name) & "' has an Out-of-Proc registration.", cLoggingLevel3, False
                      arrayProviderPath = ReadRegistry (objLOGFileHandle, "HKCR\CLSID\" & strWMIProviderCLSID & "\LocalServer32", _
                                                        "", _
                                                        "REG_EXPAND_SZ", _
                                                        False)
                      If IsArray(arrayProviderPath) = True Then 
                         WriteToLogFile objLOGFileHandle, "Found WMI Provider Out-of-Proc registration '" & UCase (objWMIInstance.Name) & "' (" & strWMIProviderCLSID & ").", cLoggingLevel3, False
                         longOutOfProcWMIProvider = longOutOfProcWMIProvider + 1
                         strWMIProviderRegistrationData = strWMIProviderRegistrationData & ";" & "Out-of-proc"
                      Else
                         If RunTimeEnvironmentInfo.Is64 Then
                            WriteToLogFile objLOGFileHandle, "Verifying if WMI Provider '" & UCase (objWMIInstance.Name) & "' has an In-Proc registration (WOW64).", cLoggingLevel3, False
                            arrayProviderPath = ReadRegistry (objLOGFileHandle, "HKCR\Wow6432Node\CLSID\" & strWMIProviderCLSID & "\InProcServer32", _
                                                              "", _ 
                                                              "REG_EXPAND_SZ", _
                                                              False)
                            If IsArray(arrayProviderPath) = True Then 
                               WriteToLogFile objLOGFileHandle, "Found WMI Provider In-Proc registration (WOW64) '" & UCase (objWMIInstance.Name) & "' (" & strWMIProviderCLSID & ").", cLoggingLevel3, False
                               longInProcWMIProvider = longInProcWMIProvider + 1
                               strWMIProviderRegistrationData = strWMIProviderRegistrationData & ";" & "In-proc (Wow64)"
                            Else
                               WriteToLogFile objLOGFileHandle, "Verifying if WMI Provider '" & UCase (objWMIInstance.Name) & "' has an Out-of-Proc registration (WOW64).", cLoggingLevel3, False
                               arrayProviderPath = ReadRegistry (objLOGFileHandle, "HKCR\Wow6432Node\CLSID\" & strWMIProviderCLSID & "\LocalServer32", _
                                                                 "", _
                                                                 "REG_EXPAND_SZ", _
                                                                 False)
                               If IsArray(arrayProviderPath) = True Then 
                                  WriteToLogFile objLOGFileHandle, "Found WMI Provider Out-of-Proc registration (WOW64) '" & UCase (objWMIInstance.Name) & "' (" & strWMIProviderCLSID & ").", cLoggingLevel3, False
                                  longOutOfProcWMIProvider = longOutOfProcWMIProvider + 1
                                  strWMIProviderRegistrationData = strWMIProviderRegistrationData & ";" & "Out-of-proc (Wow64)"
                               End If 
                            End If
                         End If
                      End If 
                   End If

                   If IsArray(arrayProviderPath) = True Then 
                      If Not CheckIfFileExists (objLOGFileHandle, ReplaceString (arrayProviderPath(0), Chr(34), "")) Then
                         boolRC = ExceptionForMissingWMIProviderFile (UCase (strWMINameSpace & ";" & objWMIInstance.Name & ";" & strWMIProviderCLSID))
                         If boolRC = False Then
                            CheckWMIProviderRegistration = ErrorHandler (objLOGFileHandle, "CheckWMIProviderRegistration", "Unable to access or find WMI Provider EXE/DLL '" & UCase(arrayProviderPath(0)) & "' (" & UCase (objWMIInstance.Name) & ").", False, Err)
                            TrackingData.MissingWMIProviderFile = AddTrackingData (TrackingData.MissingWMIProviderFile, strWMINameSpace & ";" & objWMIInstance.Name & ";" & arrayProviderPath(0))
                         Else
                            WriteToLogFile objLOGFileHandle, "WMI Provider EXE/DLL '" & UCase (arrayProviderPath(0)) & "' (" & UCase (objWMIInstance.Name) & ") is missing, but this is expected.", cLoggingLevel1, False
                         End If
                         TrackingData.WMIProviderLocationData = AddTrackingData (TrackingData.WMIProviderLocationData, strWMINameSpace & ";" & objWMIInstance.Name & ";" & UCase(arrayProviderPath(0)))
                      Else
                         WriteToLogFile objLOGFileHandle, "WMI Provider DLL '" & UCase(arrayProviderPath(0)) & "' is available on the system (" & UCase (objWMIInstance.Name) & ").", cLoggingLevel3, False
                         TrackingData.WMIProviderLocationData = AddTrackingData (TrackingData.WMIProviderLocationData, strWMINameSpace & ";" & objWMIInstance.Name & ";" & UCase(arrayProviderPath(0)))
                      End If

                      TrackingData.WMIProviderRegistrationData = AddTrackingData (TrackingData.WMIProviderRegistrationData, strWMINameSpace & ";" & objWMIInstance.Name & ";" & strWMIProviderRegistrationData)
                   Else
                      boolRC = ExceptionForMissingDCOMProviderRegistration (UCase (strWMINameSpace & ";" & objWMIInstance.Name & ";" & strWMIProviderCLSID))
                      If boolRC = False Then
                         CheckWMIProviderRegistration = ErrorHandler (objLOGFileHandle, "CheckWMIProviderRegistration", "WMI Provider '" & UCase (objWMIInstance.Name) & "' DCOM registration data '" & strWMIProviderCLSID & "' is missing or is access denied.", False, Err)
                         If boolInstanceWMIProvider = True Then
                            TrackingData.WMIProviderDCOMRegistrations = AddTrackingData (TrackingData.WMIProviderDCOMRegistrations, "@W;" & strWMINameSpace & ";" & objWMIInstance.Name & ";" & strWMIProviderCLSID & ";")
                         Else
                            TrackingData.WMIProviderDCOMRegistrations = AddTrackingData (TrackingData.WMIProviderDCOMRegistrations, "@E;" & strWMINameSpace & ";" & objWMIInstance.Name & ";" & strWMIProviderCLSID & ";")
                         End If 
                         TrackingData.WMIProviderLocationData = AddTrackingData (TrackingData.WMIProviderLocationData, strWMINameSpace & ";" & objWMIInstance.Name & ";No DCOM registry registration")
                         TrackingData.WMIProviderRegistrationData = AddTrackingData (TrackingData.WMIProviderRegistrationData, strWMINameSpace & ";" & objWMIInstance.Name & ";" & strWMIProviderRegistrationData & ";No DCOM registry registration")
                         CheckWMIProviderRegistration = True
                      Else
                         WriteToLogFile objLOGFileHandle, "WMI Provider '" & UCase (objWMIInstance.Name) & "' DCOM registration data '" & strWMIProviderCLSID & "' is missing, but this is expected (i.e. implemented as a Windows Service).", cLoggingLevel2, False
                         TrackingData.WMIProviderLocationData = AddTrackingData (TrackingData.WMIProviderLocationData, strWMINameSpace & ";" & objWMIInstance.Name & ";No DCOM registry registration (Exception)")
                         TrackingData.WMIProviderRegistrationData = AddTrackingData (TrackingData.WMIProviderRegistrationData, strWMINameSpace & ";" & objWMIInstance.Name & ";" & strWMIProviderRegistrationData & ";No DCOM registry registration (Exception)")
                      End If
                   End If

                   LocateCorrespondingMOFFile objLOGFileHandle, strWMINamespace, strWMIProviderCLSID, UCase (objWMIInstance.Name), strHostingModel
                Else
                   CheckWMIProviderRegistration = ErrorHandler (objLOGFileHandle, "CheckWMIProviderRegistration", "WMI Provider '" & UCase (objWMIInstance.Name) & "' has a NULL CLSID.", False, Err)
                   TrackingData.WMIProviderEmptyCLSID = AddTrackingData (TrackingData.WMIProviderEmptyCLSID, strWMINameSpace & ";" & objWMIInstance.Name)
                   strWMIProviderRegistrationData = strWMIProviderRegistrationData & ";" & "No CLSID available" & ";" & "No located BIN file"
                   TrackingData.WMIProviderRegistrationData = AddTrackingData (TrackingData.WMIProviderRegistrationData, strWMINameSpace & ";" & objWMIInstance.Name & ";" & strWMIProviderRegistrationData)
                End If 
             Else
                WriteToLogFile objLOGFileHandle, "WMI Provider '" & UCase (objWMIInstance.Name) & "' is a DECOUPLED WMI provider.", cLoggingLevel3, False
                TrackingData.DecoupledWMIProvider = AddTrackingData (TrackingData.DecoupledWMIProvider, strWMINameSpace & ";" & objWMIInstance.Name & ";Decoupled;" )
                longDecoupledWMIProvider = longDecoupledWMIProvider + 1
  
                TrackingData.GoodProviderCIMRegistration = AddTrackingData (TrackingData.GoodProviderCIMRegistration, strWMINameSpace & ";" & objWMIInstance.Name)

                If Len (objWMIInstance.SecurityDescriptor) > 0 Then 
                   WriteToLogFile objLOGFileHandle, "WMI Decoupled provider SDDL security descriptor set to '" & UCase (objWMIInstance.SecurityDescriptor) & "'.", cLoggingLevel3, False
                End If 
  
                If Len (strWMIProviderCLSID) = 0 Then 
                   strWMIProviderCLSID = "No CLSID available"
                End If

                strWMIProviderRegistrationData = strWMIProviderRegistrationData & ";" & strWMIProviderCLSID & ";" & "Decoupled"
                TrackingData.WMIProviderRegistrationData = AddTrackingData (TrackingData.WMIProviderRegistrationData, strWMINameSpace & ";" & objWMIInstance.Name & ";" & strWMIProviderRegistrationData)

                LocateCorrespondingMOFFile objLOGFileHandle, strWMINamespace, strWMIProviderCLSID, UCase (objWMIInstance.Name), strHostingModel
             End If 
         Next
         Set objWMIInstances = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function RetrieveSupportedEventClasses (ByVal arrayEventQueryList, ByVal strWMINamespace, ByVal strWMIProvider)

         Dim strEventQuery
 
         On Error Resume Next
 
         For Each strEventQuery in arrayEventQueryList
             TrackingData.ClassSupportedByProvider = AddTrackingData (TrackingData.ClassSupportedByProvider, strWMINameSpace & ";" & strWMIProvider & ";" & Mid (strEventQuery, InStrRev (strEventQuery, " ", -1, vbTextCompare) + 1))
         Next

End Function

' --------------------------------------------------------------------------------------------------------
Function RetrieveSupportedConsumerClasses (ByVal arrayConsumerClassList, ByVal strWMINamespace, ByVal strWMIProvider)

         Dim strConsumerClass
 
         On Error Resume Next
 
         For Each strConsumerClass in arrayConsumerClassList
             TrackingData.ClassSupportedByProvider = AddTrackingData (TrackingData.ClassSupportedByProvider, strWMINameSpace & ";" & strWMIProvider & ";" & strConsumerClass)
         Next

End Function

' --------------------------------------------------------------------------------------------------------
Function LocateCorrespondingMOFFile (ByVal objLOGFileHandle, ByVal strWMINamespace, ByVal strWMIProviderCLSID, ByVal strWMIProviderName, ByVal strHostingModel)

         Dim boolRC, strExistingMOFFile, arrayMatchingOutput, strMOFFileList
 
         On Error Resume Next

         boolRC = False
 
         If Len (strWMIProviderCLSID) > 0 Then
            For Each strExistingMOFFile In arrayKnownMOFFiles
                If Len (strExistingMOFFile) > 0 Then 
                   boolRC = ParseFile (objLOGFileHandle, strExistingMOFFile, Array (strWMIProviderCLSID), arrayMatchingOutput, False, False) 
                   If boolRC = True Then 
                      If Len (strMOFFileList) = 0 Then
                         strMOFFileList = strExistingMOFFile
                      Else
                         strMOFFileList = strMOFFileList & " / " & strExistingMOFFile
                      End If
                   End If
                End If
            Next
         End If
 
         If Len (strMOFFileList) = 0 Then
            boolRC = ExceptionForMissingWMIProviderMOFFile (UCase(strWMINamespace & ";" & strWMIProviderName), UCase(strWMIProviderName & ";" & strHostingModel))
            If boolRC = False Then
               WriteToLogFile objLOGFileHandle, "MOF file of WMI Provider '" & UCase (strWMIProviderName) & "' (" & strWMIProviderCLSID & " / " & strHostingModel & ") of namespace '" & strWMINamespace & "' CANNOT be located.", cLoggingLevel2, False
               TrackingData.MissingWMIProviderMOFFile = AddTrackingData (TrackingData.MissingWMIProviderMOFFile, "@E;" & strWMINameSpace & ";" & strWMIProviderName & ";" & strWMIProviderCLSID & ";" & strHostingModel)
               LocateCorrespondingMOFFile = True
            Else
               WriteToLogFile objLOGFileHandle, "Provider '" & UCase (strWMIProviderName) & "' (" & strWMIProviderCLSID & " / " & strHostingModel & ") of namespace '" & strWMINamespace & "' has NO known located MOF file, but this is expected.", cLoggingLevel2, False
               TrackingData.MissingWMIProviderMOFFile = AddTrackingData (TrackingData.MissingWMIProviderMOFFile, "@W;" & strWMINameSpace & ";" & strWMIProviderName & ";" & strWMIProviderCLSID & ";" & strHostingModel)
               TrackingData.LocatedWMIProviderMOFFile = AddTrackingData (TrackingData.LocatedWMIProviderMOFFile , strWMINameSpace & ";" & strWMIProviderName & ";" & "No located MOF file (exception)")
            End If
         Else 
            WriteToLogFile objLOGFileHandle, "MOF file(s) '" & strMOFFileList & "' contain(s) registration data for WMI Provider '" & UCase (strWMIProviderName) & "' (" & strWMIProviderCLSID & ") of namespace '" & strWMINamespace & "'.", cLoggingLevel3, False
            TrackingData.LocatedWMIProviderMOFFile = AddTrackingData (TrackingData.LocatedWMIProviderMOFFile , strWMINameSpace & ";" & strWMIProviderName & ";" & strMOFFileList)
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function LocateNoPragmaAutorecoverMOFFile (ByVal objLOGFileHandle)

         Dim boolFoundPragma, strExistingMOFFile, strMOFFile, arrayMatchingOutput, boolFoundInAutorecoveryList, boolFoundPragmaDelete 
 
         On Error Resume Next
 
         boolFoundPragma = False

         WriteToLogFile objLOGFileHandle, "Verifying '#PRAGMA AUTORECOVER' statement in MOF files.", cLoggingLevel0, False
 
         For Each strExistingMOFFile In arrayKnownMOFFiles
                If Len (strExistingMOFFile) > 0 Then 
                   strExistingMOFFile = Ucase (objWshShell.ExpandEnvironmentStrings (strExistingMOFFile))
                   boolFoundPragma = ParseFile (objLOGFileHandle, strExistingMOFFile, Array ("#PRAGMA AUTORECOVER"), arrayMatchingOutput, True, False) 
                   If boolFoundPragma = True Then 
                      TrackingData.PragmaAutorecoverMOFFile = AddTrackingData (TrackingData.PragmaAutorecoverMOFFile, strExistingMOFFile)
                   Else
                      boolFoundInAutorecoveryList = False
                      For Each strMOFFile In arrayKnownMOFFilesInAutoRecovery
                          If UCase (objWshShell.ExpandEnvironmentStrings (strMOFFile)) = strExistingMOFFile Then
                             boolFoundInAutorecoveryList = True
                             Exit For
                          End If 
                      Next

                      boolFoundPragmaDelete = ParseFile (objLOGFileHandle, strExistingMOFFile, Array ("DELETECLASS", "DELETEINSTANCE"), arrayMatchingOutput, False, False) 

                      If boolFoundInAutorecoveryList = True Then 
                         If boolFoundPragmaDelete = True Then
                            WriteToLogFile objLOGFileHandle, "MOF file '" & strExistingMOFFile & "' does NOT contain the '#PRAGMA AUTORECOVER' statement but it contains DELETE MOF statements while included in the AUTORECOVERY LIST!", cLoggingLevel2, False
                            WriteToLogFile objLOGFileHandle, "=> Only the MOF statements and logic will determine if the MOF is a true UNINSTALL MOF.", cLoggingLevel3, False
                            WriteToLogFile objLOGFileHandle, "   A true UNINSTALL MOF should NOT contain the '#PRAGMA AUTORECOVER' statement and should NOT be included in the AUTORECOVER LIST.", cLoggingLevel3, False
                            TrackingData.NoPragmaAutorecoverMOFFile = AddTrackingData (TrackingData.NoPragmaAutorecoverMOFFile, strExistingMOFFile & " (DELETE) (*)")
                         Else
                            WriteToLogFile objLOGFileHandle, "MOF file '" & strExistingMOFFile & "' does NOT contain the '#PRAGMA AUTORECOVER' statement but it is included in the AUTORECOVERY LIST, which is FINE!", cLoggingLevel3, False
                            TrackingData.NoPragmaAutorecoverMOFFile = AddTrackingData (TrackingData.NoPragmaAutorecoverMOFFile, strExistingMOFFile & " (*)")
                         End If
                      Else
                         If boolFoundPragmaDelete = True Then
                            WriteToLogFile objLOGFileHandle, "MOF file '" & strExistingMOFFile & "' does NOT contain the '#PRAGMA AUTORECOVER' statement but it contains DELETE MOF statements while NOT included in the AUTORECOVERY LIST, which could be FINE!", cLoggingLevel2, False
                            WriteToLogFile objLOGFileHandle, "=> Only the MOF statements and logic will determine if the MOF is a true UNINSTALL MOF.", cLoggingLevel3, False
                            WriteToLogFile objLOGFileHandle, "   A true UNINSTALL MOF should NOT contain the '#PRAGMA AUTORECOVER' statement and should NOT be included in the AUTORECOVER LIST.", cLoggingLevel3, False
                            TrackingData.NoPragmaAutorecoverMOFFile = AddTrackingData (TrackingData.NoPragmaAutorecoverMOFFile, strExistingMOFFile & " (DELETE)")
                         Else
                            WriteToLogFile objLOGFileHandle, "MOF file '" & strExistingMOFFile & "' does NOT contain the '#PRAGMA AUTORECOVER' statement.", cLoggingLevel2, False
                            TrackingData.NoPragmaAutorecoverMOFFile = AddTrackingData (TrackingData.NoPragmaAutorecoverMOFFile, strExistingMOFFile)
                         End If
                      End If
                   End If
                End If
            Next

End Function

' --------------------------------------------------------------------------------------------------------
Function ExceptionForNoAutoRecoveryWBEMMOFFiles (ByVal strMOFFile)

         Dim intIndex
 
         On Error Resume Next

         ExceptionForNoAutoRecoveryWBEMMOFFiles = False
 
         If boolStrict = False Then
            For intIndex = 0 to UBound (arrayExceptionForNoAutoRecoveryWBEMMOFFiles)
                If Instr (Ucase (strMOFFile), Ucase (arrayExceptionForNoAutoRecoveryWBEMMOFFiles (intIndex))) > 0 Then
                   ExceptionForNoAutoRecoveryWBEMMOFFiles = True
                   Exit Function
                End If
            Next
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function ExceptionForMissingWMIProviderMOFFile (ByVal strNamespaceAndProvider, ByVal strWMIProviderAndHostingModel)

         Dim intIndex
 
         On Error Resume Next
 
         ExceptionForMissingWMIProviderMOFFile = False
  
         If boolStrict = False Then
            For intIndex = 0 to UBound (arrayExceptionForMissingWMIProviderMOFFile) Step 2
                If Instr (Ucase (arrayExceptionForMissingWMIProviderMOFFile (intIndex)), Ucase (strNamespaceAndProvider)) > 0 Then
                   ExceptionForMissingWMIProviderMOFFile = True
                   Exit Function
                End If
                If Instr (Ucase (arrayExceptionForMissingWMIProviderMOFFile (intIndex + 1)), Ucase (strWMIProviderAndHostingModel)) > 0 Then
                   ExceptionForMissingWMIProviderMOFFile = True
                   Exit Function
                End If
            Next
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function ExceptionForMissingWMIProviderFile (ByVal strNameSpaceProviderAndCLSID)

         Dim intIndex
 
         On Error Resume Next
 
         ExceptionForMissingWMIProviderFile = False
 
         If boolStrict = False Then
            For intIndex = 0 to UBound (arrayExceptionForMissingWMIProviderFile) Step 2
                If Instr (Ucase (arrayExceptionForMissingWMIProviderFile (intIndex)), Ucase (strNameSpaceProviderAndCLSID)) > 0 Then
                  If arrayExceptionForMissingWMIProviderFile (intIndex + 1) = cClientAndServer Then
                      ExceptionForMissingWMIProviderFile = True
                      Exit Function
                   End If
                   If (RunTimeEnvironmentInfo.IsServerOS = True) And arrayExceptionForMissingWMIProviderFile (intIndex + 1) = cServerOnly Then
                      ExceptionForMissingWMIProviderFile = True
                      Exit Function
                   End If
                   If (RunTimeEnvironmentInfo.IsServerOS = False) And arrayExceptionForMissingWMIProviderFile (intIndex + 1) = cClientOnly Then
                      ExceptionForMissingWMIProviderFile = True
                      Exit Function
                   End If
                End If
            Next
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function ExceptionForMissingDCOMProviderRegistration (ByVal strNameSpaceProviderAndCLSID)

         Dim intIndex
 
         On Error Resume Next
 
         ExceptionForMissingDCOMProviderRegistration = False
 
         If boolStrict = False Then
            For intIndex = 0 to UBound (arrayExceptionForMissingDCOMRegistration) Step 2
                If Instr (Ucase (arrayExceptionForMissingDCOMRegistration (intIndex)), Ucase (strNameSpaceProviderAndCLSID)) > 0 Then
                   If arrayExceptionForMissingDCOMRegistration (intIndex + 1) = cClientAndServer Then
                      ExceptionForMissingDCOMProviderRegistration = True
                      Exit Function
                   End If
                   If (RunTimeEnvironmentInfo.IsServerOS = True) And arrayExceptionForMissingDCOMRegistration (intIndex + 1) = cServerOnly Then
                      ExceptionForMissingDCOMProviderRegistration = True
                      Exit Function
                   End If
                   If (RunTimeEnvironmentInfo.IsServerOS = False) And arrayExceptionForMissingDCOMRegistration (intIndex + 1) = cClientOnly Then
                      ExceptionForMissingDCOMProviderRegistration = True
                      Exit Function
                   End If
                End If
            Next
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function ExceptionForHighPrivWMIProvider (ByVal strWMIProviderNameAndCLSID)

         Dim intIndex
 
         On Error Resume Next

         ExceptionForHighPrivWMIProvider = False
 
         If boolStrict = False Then
            For intIndex = 0 to UBound (arrayExceptionHighPrivWMIProvider)
                If Instr (Ucase (arrayExceptionHighPrivWMIProvider (intIndex)), Ucase (strWMIProviderNameAndCLSID)) > 0 Then
                   ExceptionForHighPrivWMIProvider = True
                   Exit Function
                End If
            Next
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWMIClasses (ByVal objLOGFileHandle, ByVal objWMIServices, ByVal objWMIClasses, ByVal strWMINamespace, ByVal I)

         Dim strWMIClass, objWMIClass, objWMISubClasses, objWMIInstances, objWMIProperty, objWMIMethod, objWMIParameter, objWMIParameters
         Dim strMOF, strWMIProvider, strWQL
         Dim intClassCounter, boolDynamic, strInstanceType, boolAssociation, boolRead, boolWrite, strDescription
         Dim strStartQuery, intQueryExecutionTime, intCount 
         Dim objWMISinkContext
 
         On Error Resume Next
 
         strExecutionDelta = Now()
 
         For Each objWMIClass In objWMIClasses
             strWMIClass = objWMIClass.Path_.RelPath
 
             WriteToLogFile objLOGFileHandle, "Retrieving static information (MOF) of '" & strWMIClass & "' (I=" & I & ").", cLoggingLevel3, False
             strMOF = objWMIClass.GetObjectText_
             If Err.Number Then
                CheckWMIClasses = ErrorHandler (objLOGFileHandle, "CheckWMIClasses", "", False, Err)
                TrackingData.FailingMOFRepresentation = AddTrackingData (TrackingData.FailingMOFRepresentation, strWMINameSpace & ";" & strWMIClass & ";" & strLastError)
             End If 
 
             strWMIProvider = GetQualifier (objLOGFileHandle, objWMIClass, "Provider", "@NULL@", strWMINameSpace, strWMIClass)
             boolAssociation = GetQualifier (objLOGFileHandle, objWMIClass, "Association", False, strWMINameSpace, strWMIClass)
             boolDynamic = GetQualifier (objLOGFileHandle, objWMIClass, "Dynamic", False, strWMINameSpace, strWMIClass)
             strDescription = GetQualifier (objLOGFileHandle, objWMIClass, "Description", "", strWMINameSpace, strWMIClass)

             WriteToLogFile objLOGFileHandle, "Qualifier information of '" & strWMIClass & "': Dynamic=" & boolDynamic & ", Provider='" & ReplaceString (strWMIProvider , "@NULL@", "<NOT DEFINED>") & "', Association=" & boolAssociation & ".", cLoggingLevel3, False

             If Left (strWMIClass, 2) <> "__" And boolStatistics = True Then
                If Left (strWMIClass, 4) = "CIM_" Then
                   longCIMClassCounter = longCIMClassCounter + 1
                   If Len (strDescription) > 0 Then longCIMClassDescriptionCounter = longCIMClassDescriptionCounter + 1

                   longCIMClassPropertyCounter = longCIMClassPropertyCounter + objWMIClass.Properties_.Count
                   For Each objWMIProperty In objWMIClass.Properties_
                       strDescription = GetQualifier (objLOGFileHandle, objWMIProperty, "Description", "", strWMINameSpace, strWMIClass & "/" & objWMIProperty.Name) 
                       boolRead = GetQualifier (objLOGFileHandle, objWMIProperty, "read", False, strWMINameSpace, strWMIClass & "/" & objWMIProperty.Name)
                       boolWrite = GetQualifier (objLOGFileHandle, objWMIProperty, "write", False, strWMINameSpace, strWMIClass & "/" & objWMIProperty.Name)

                       If boolRead = True And boolWrite = False Then
                          longCIMClassReadPropertyCounter = longCIMClassReadPropertyCounter + 1
                          If Len (strDescription) > 0 Then longCIMClassReadPropertyDescriptionCounter = longCIMClassReadPropertyDescriptionCounter + 1
                       End If
                       If boolRead = False And boolWrite = True Then
                          longCIMClassWritePropertyCounter = longCIMClassWritePropertyCounter + 1
                          If Len (strDescription) > 0 Then longCIMClassWritePropertyDescriptionCounter = longCIMClassWritePropertyDescriptionCounter + 1
                       End If
                       If boolRead = True And boolWrite = True Then
                          longCIMClassReadWritePropertyCounter = longCIMClassReadWritePropertyCounter + 1
                          If Len (strDescription) > 0 Then longCIMClassReadWritePropertyDescriptionCounter = longCIMClassReadWritePropertyDescriptionCounter + 1
                       End If
                       If boolRead = False And boolWrite = False Then 
                          If Len (strDescription) > 0 Then 
                             longCIMClassPropertyDescriptionCounter = longCIMClassPropertyDescriptionCounter + 1
                          Else
                             longCIMClassPropertyNoDescriptionCounter = longCIMClassPropertyNoDescriptionCounter + 1
                          End If
                       End If
                   Next

                   longCIMClassMethodCounter = longCIMClassMethodCounter + objWMIClass.Methods_.Count
                   If objWMIClass.Methods_.Count > 0 Then longCIMClassWithMethodCounter = longCIMClassWithMethodCounter + 1
                   For Each objWMIMethod In objWMIClass.Methods_
                       strDescription = GetQualifier (objLOGFileHandle, objWMIMethod, "Description", "", strWMINameSpace, strWMIClass & "/" & objWMIMethod.Name & "()") 
                       If Len (strDescription) > 0 Then longCIMClassMethodDescriptionCounter = longCIMClassMethodDescriptionCounter + 1
                       Set objWMIParameters = objWMIMethod.InParameters.Properties_
                       intCount = objWMIParameters.Count           
                       If intCount > 0 Then
                          longCIMClassMethodInParameterCounter = longCIMClassMethodInParameterCounter + intCount

                          For Each objWMIParameter In objWMIParameters
                              strDescription = GetQualifier (objLOGFileHandle, objWMIParameter, "Description", "", strWMINameSpace, strWMIClass & "/" & objWMIMethod.Name & "([In]" & objWMIParameter.Name & ")") 
                              If Len (strDescription) > 0 Then longCIMClassMethodInParamDescriptionCounter = longCIMClassMethodInParamDescriptionCounter + 1
                          Next
                       Else 
                          Err.Clear
                       End If
                       Set objWMIParameters = objWMIMethod.OutParameters.Properties_
                       intCount = objWMIParameters.Count           
                       If intCount > 0 Then
                          longCIMClassMethodOutParameterCounter = longCIMClassMethodOutParameterCounter + intCount
                          Err.Clear

                          For Each objWMIParameter In objWMIParameters
                              strDescription = GetQualifier (objLOGFileHandle, objWMIParameter, "Description", "", strWMINameSpace, strWMIClass & "/" & objWMIMethod.Name & "([Out]" & objWMIParameter.Name & ")") 
                              If Len (strDescription) > 0 Then longCIMClassMethodOutParamDescriptionCounter = longCIMClassMethodOutParamDescriptionCounter + 1
                          Next
                       Else
                          Err.Clear
                       End If
                   Next
                Else
                   longWMIClassCounter = longWMIClassCounter + 1
                   If Len (strDescription) > 0 Then longWMIClassDescriptionCounter = longWMIClassDescriptionCounter + 1

                   longWMIClassPropertyCounter = longWMIClassPropertyCounter + objWMIClass.Properties_.Count
                   For Each objWMIProperty In objWMIClass.Properties_
                       strDescription = GetQualifier (objLOGFileHandle, objWMIProperty, "Description", "", strWMINameSpace, strWMIClass & "/" & objWMIProperty.Name) 
                       boolRead = GetQualifier (objLOGFileHandle, objWMIProperty, "read", False, strWMINameSpace, strWMIClass & "/" & objWMIProperty.Name)
                       boolWrite = GetQualifier (objLOGFileHandle, objWMIProperty, "write", False, strWMINameSpace, strWMIClass & "/" & objWMIProperty.Name)

                       If boolRead = True And boolWrite = False Then
                          longWMIClassReadPropertyCounter = longWMIClassReadPropertyCounter + 1
                          If Len (strDescription) > 0 Then longWMIClassReadPropertyDescriptionCounter = longWMIClassReadPropertyDescriptionCounter + 1
                       End If
                       If boolRead = False And boolWrite = True Then
                          longWMIClassWritePropertyCounter = longWMIClassWritePropertyCounter + 1
                          If Len (strDescription) > 0 Then longWMIClassWritePropertyDescriptionCounter = longWMIClassWritePropertyDescriptionCounter + 1
                       End If
                       If boolRead = True And boolWrite = True Then
                          longWMIClassReadWritePropertyCounter = longWMIClassReadWritePropertyCounter + 1
                          If Len (strDescription) > 0 Then longWMIClassReadWritePropertyDescriptionCounter = longWMIClassReadWritePropertyDescriptionCounter + 1
                       End If
                       If boolRead = False And boolWrite = False Then 
                          If Len (strDescription) > 0 Then 
                             longWMIClassPropertyDescriptionCounter = longWMIClassPropertyDescriptionCounter + 1
                          Else
                             longWMIClassPropertyNoDescriptionCounter = longWMIClassPropertyNoDescriptionCounter + 1
                          End If
                       End If
                   Next

                   longWMIClassMethodCounter = longWMIClassMethodCounter + objWMIClass.Methods_.Count
                   If objWMIClass.Methods_.Count > 0 Then longWMIClassWithMethodCounter = longWMIClassWithMethodCounter + 1
                   For Each objWMIMethod In objWMIClass.Methods_
                       strDescription = GetQualifier (objLOGFileHandle, objWMIMethod, "Description", "", strWMINameSpace, strWMIClass & "/" & objWMIMethod.Name & "()") 
                       If Len (strDescription) > 0 Then longWMIClassMethodDescriptionCounter = longWMIClassMethodDescriptionCounter + 1
                       Set objWMIParameters = objWMIMethod.InParameters.Properties_
                       intCount = objWMIParameters.Count           
                       If intCount > 0 Then
                          longWMIClassMethodInParameterCounter = longWMIClassMethodInParameterCounter + intCount

                          For Each objWMIParameter In objWMIParameters
                              strDescription = GetQualifier (objLOGFileHandle, objWMIParameter, "Description", "", strWMINameSpace, strWMIClass & "/" & objWMIMethod.Name & "([In]" & objWMIParameter.Name & ")") 
                              If Len (strDescription) > 0 Then longWMIClassMethodInParamDescriptionCounter = longWMIClassMethodInParamDescriptionCounter + 1
                          Next
                       Else 
                          Err.Clear
                       End If
                       Set objWMIParameters = objWMIMethod.OutParameters.Properties_
                       intCount = objWMIParameters.Count  
                       If intCount > 0 Then
                          longWMIClassMethodOutParameterCounter = longWMIClassMethodOutParameterCounter + intCount
                          Err.Clear

                          For Each objWMIParameter In objWMIParameters
                              strDescription = GetQualifier (objLOGFileHandle, objWMIParameter, "Description", "", strWMINameSpace, strWMIClass & "/" & objWMIMethod.Name & "([Out]" & objWMIParameter.Name & ")") 
                              If Len (strDescription) > 0 Then longWMIClassMethodOutParamDescriptionCounter = longWMIClassMethodOutParamDescriptionCounter + 1
                          Next
                       Else
                          Err.Clear
                       End If
                   Next
                End If
             End If 
 
             If boolDynamic = False Then
                strInstanceType = " static "
                If strWMIProvider <> "@NULL@" Then
                   TrackingData.ClassSupportedByProvider = AddTrackingData (TrackingData.ClassSupportedByProvider, strWMINameSpace & ";" & strWMIProvider & ";" & strWMIClass)
                End If 

                If I < intMaxSubClassExaminationDepth Then
                   WriteToLogFile objLOGFileHandle, "Retrieving subclass(es) of '" & strWMIClass & "'.", cLoggingLevel4, False
 
                   Set objWMISubClasses = objWMIClass.SubClasses_ (wbemQueryFlagShallow)
                   If Err.Number Then
                      CheckWMIClasses = ErrorHandler (objLOGFileHandle, "CheckWMIClasses", "", False, Err)
                      TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";SubClassesOf;" & strWMIClass & ";" & cCritical & ";" & strLastError)
                   End If
  
                   intClassCounter = objWMISubClasses.Count
                   If Err.Number Then
                      CheckWMIClasses = ErrorHandler (objLOGFileHandle, "CheckWMIClasses", "", False, Err)
                      TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";SubClassesOf;" & strWMIClass & ";" & cCritical & ";" & strLastError)
                   End If
    
                   WriteToLogFile objLOGFileHandle, intClassCounter & " subclass(es) found (Inheritance level analysis=" & intMaxSubClassExaminationDepth & ").", cLoggingLevel4, False
                   If intClassCounter Then
                      CheckWMIClasses = CheckWMIClasses (objLOGFileHandle, objWMIServices, objWMISubClasses, strWMINamespace, I + 1)
                   End If
                   Set objWMISubClasses = Nothing
                End If
             Else 
                strInstanceType = " dynamic "
                If strWMIProvider <> "@NULL@" Then
                   WriteToLogFile objLOGFileHandle, "Dynamic '" & strWMIClass & "' class in '" & strWMINamespace & "' is supported by WMI provider '" & strWMIProvider & "'.", cLoggingLevel3, False
                   TrackingData.ClassSupportedByProvider = AddTrackingData (TrackingData.ClassSupportedByProvider, strWMINameSpace & ";" & strWMIProvider & ";" & strWMIClass)
 
                   If Len (TrackingData.WMIProviderDCOMRegistrations) > 0 Then
                      If Instr (UCase (TrackingData.WMIProviderDCOMRegistrations), UCase (strWMINameSpace & ";" & strWMIProvider)) > 0 Then 
                         CheckWMIClasses = ErrorHandler (objLOGFileHandle, "CheckWMIClasses", "WMI Class '" & strWMIClass & "' still references the WMI Provider '" & Ucase (strWMIProvider) & "' in namespace '" & UCase (strWMINamespace) & "', which has no DCOM registration data.", False, Err)
                         TrackingData.WMIProviderDCOMRegistrations = ReplaceString (TrackingData.WMIProviderDCOMRegistrations, _
                                                                                    "@W;" & strWMINameSpace & ";" & strWMIProvider & ";", _
                                                                                    "@E;" & strWMINameSpace & ";" & strWMIProvider & ";" & strWMIClass & ";")
                      End If 
                   End If 
                   If Instr (UCase (TrackingData.GoodProviderCIMRegistration), UCase (strWMINameSpace & ";" & strWMIProvider)) = 0 Then
                      CheckWMIClasses = ErrorHandler (objLOGFileHandle, "CheckWMIClasses", "WMI Class '" & strWMIClass & "' still references the WMI Provider '" & Ucase (strWMIProvider) & "' in namespace '" & UCase (strWMINamespace) & "', which has no WMI registration data.", False, Err)
                      TrackingData.WMIProviderCIMRegistrations = AddTrackingData (TrackingData.WMIProviderCIMRegistrations, strWMINameSpace & ";" & strWMIProvider & ";" & strWMIClass)
                   End If
                End If 
             End If
 
             If I = 1 and intRequestAllInstances > 0 Then
                If (_ 
                    Instr (UCase (TrackingData.WMIProviderSupportingEnumeration), UCase (strWMINameSpace & ";" & strWMIProvider)) > 0 And _
                    Instr (UCase (TrackingData.MissingWMIProviderFile), UCase (strWMINameSpace & ";" & strWMIProvider)) = 0 And _
                    Instr (UCase (TrackingData.WMIProviderDCOMRegistrations), UCase (strWMINameSpace & ";" & strWMIProvider)) = 0 And _
                    Instr (UCase (TrackingData.WMIProviderCIMRegistrations), UCase (strWMINameSpace & ";" & strWMIProvider)) = 0 And _
                    Instr (UCase (TrackingData.DecoupledWMIProvider), UCase (strWMINameSpace & ";" & strWMIProvider)) = 0 And _
                    boolDynamic = True And strWMIProvider <> "@NULL@" And _
                    ((intRequestAllInstances And cDynamic) = cDynamic) _
                   ) Or _
                   (boolAssociation = False And boolDynamic = False And strWMIProvider = "@NULL@" And ((intRequestAllInstances And cStatic) = cStatic) _
                   ) Then  
 
                   strStartQuery = Now()
                   WriteToLogFile objLOGFileHandle, "Requesting all" & strInstanceType & "instances of '" & strWMIClass & "' in '" & strWMINamespace & "' (" & Now () & ") ...", cLoggingLevel3, False
  
                   boolSinkCompleted = False
                   boolSinkCancelled = False
                   boolSinkError = False
  
                   Set objWMISinkContext = CreateObject ("WbemScripting.SWbemNamedValueSet")
                   If Err.Number Then
                      CheckWMIClasses = ErrorHandler (objLOGFileHandle, "CheckWMIClasses", "", False, Err)
                      Exit Function
                   End If

                   Set objWMISink = WScript.CreateObject ("WbemScripting.SWbemSink", "InstancesOfSink_")
                   If Err.Number Then
                      CheckWMIClasses = ErrorHandler (objLOGFileHandle, "CheckWMIClasses", "", False, Err)
                      Exit Function
                   End If

                   objWMISinkContext.Add "WMIClass", strWMINameSpace & ";InstancesOfAsync;" & strWMIClass
 
                   objWMIServices.InstancesOfAsync objWMISink, strWMIClass, wbemFlagSendStatus Or wbemQueryFlagShallow, , objWMISinkContext
                   If Err.Number Then
                      CheckWMIClasses = ErrorHandler (objLOGFileHandle, "CheckWMIClasses", "", False, Err)
                      TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOfAsync;" & strWMIClass & ";" & cCritical & ";" & strLastError)
                   Else
                      Do
                           WScript.Sleep (10)
                           If boolSinkCompleted Or boolSinkCancelled Then 
                              objWMISink.Cancel
                              Exit Do
                           End If
                      Loop While (longAsyncInstanceCounter < cAsyncMaxInstances)
  
                      intExecutionDelta = DateDiff ("s", strExecutionDelta, Now())
                      If intExecutionDelta > 10 And intDefaultLoggingLevel < cLoggingLevel3 Then
                         WriteToLogFile objLOGFileHandle, "Busy (" & Now () & ") ...", cLoggingLevel3, True
                         strExecutionDelta = Now ()
                      End If
  
                      If boolSinkError = False Then
                         intQueryExecutionTime = DateDiff ("s", strStartQuery, Now())   
 
                         If longAsyncInstanceCounter > 0 Then
                            If boolDynamic = True Then
                               longDynamicInstanceCounter = longDynamicInstanceCounter + longAsyncInstanceCounter
                            Else
                               longStaticInstanceCounter = longStaticInstanceCounter + longAsyncInstanceCounter
                            End if
    
                            If boolSinkCancelled Then
                               WriteToLogFile objLOGFileHandle, "More than " & cAsyncMaxInstances & strInstanceType & "instances counted (" & longAsyncInstanceCounter & ") for '" & strWMIClass & "' in '" & strWMINamespace & "' in " & intQueryExecutionTime & " second(s). Instance collection request cancelled.", cLoggingLevel2, False
                               longAsyncCancellationCounter = longAsyncCancellationCounter + 1
                            Else
                                WriteToLogFile objLOGFileHandle, longAsyncInstanceCounter & strInstanceType & "instance(s) found for '" & strWMIClass & "' in '" & strWMINamespace & "'in " & intQueryExecutionTime & " second(s).", cLoggingLevel3, False
                            End If
 
                            longAsyncInstanceCounter = 0
                         Else
                            WriteToLogFile objLOGFileHandle, "0" & strInstanceType & "instance(s) found for '" & strWMIClass & "' in '" & strWMINamespace & "'.", cLoggingLevel3, False
                         End If
                      End If
                   End If
 
                   Set objWMISink = Nothing
                  Set objWMISinkContext = Nothing
                Else
                   WriteToLogFile objLOGFileHandle, "Skipping request of" & strInstanceType & "instances of '" & strWMIClass & "' in '" & strWMINamespace & "' because:", cLoggingLevel3, False
 
                   If Not ((intRequestAllInstances And cDynamic) = cDynamic) And boolDynamic = True Then
                      WriteToLogFile objLOGFileHandle, "- Request all dynamic instances is set to FALSE.", cLoggingLevel3, False
                   End If
 
                   If Not ((intRequestAllInstances And cStatic) = cStatic) And boolDynamic = False Then
                      WriteToLogFile objLOGFileHandle, "- Request all static instances is set to FALSE.", cLoggingLevel3, False
                   End If
 
                   If strWMIProvider <> "@NULL@" Then
                      If Instr (UCase (TrackingData.WMIProviderSupportingEnumeration), UCase (strWMINameSpace & ";" & strWMIProvider)) = 0 Then
                         WriteToLogFile objLOGFileHandle, "- The WMI provider does not support enumeration.", cLoggingLevel3, False
                      End If
                   End If
 
                   If Instr (UCase (TrackingData.MissingWMIProviderFile), UCase (strWMINameSpace & ";" & strWMIProvider)) > 0 Then
                      WriteToLogFile objLOGFileHandle, "- The WMI provider EXE/DLL is missing.", cLoggingLevel3, False
                   End If
 
                   If Instr (UCase (TrackingData.WMIProviderDCOMRegistrations), UCase (strWMINameSpace & ";" & strWMIProvider)) > 0 Then
                      WriteToLogFile objLOGFileHandle, "- The WMI provider DCOM registration is missing.", cLoggingLevel3, False
                   End If
 
                   If Instr (UCase (TrackingData.DecoupledWMIProvider), UCase (strWMINameSpace & ";" & strWMIProvider)) > 0 Then
                      WriteToLogFile objLOGFileHandle, "- The WMI provider is a decoupled provider.", cLoggingLevel3, False
                   End If
 
                   If (boolDynamic = True And strWMIProvider = "@NULL@") Then
                      WriteToLogFile objLOGFileHandle, "- The WMI class is dynamic and does not have a provider specified.", cLoggingLevel3, False
                   End If
 
                   If (boolAssociation = True) Then
                      WriteToLogFile objLOGFileHandle, "- The WMI class is an association class.", cLoggingLevel3, False
                   End If
                End If
             End If
         Next

End Function

' --------------------------------------------------------------------------------------------------------
Function InstancesOfSink_OnCompleted (intRC, objWMILastError, objWMIContext)

         Dim strWBEMCode, strWBEMMessage
         Dim strLastHexError, strLastError, strErrorString, strDescription

         On Error Resume Next

         If intRC And intRC <> WBEM_E_CALL_CANCELLED Then
            If intRC <> WBEM_E_NOT_SUPPORTED And intRC <> WBEM_E_PROVIDER_NOT_CAPABLE Then
               strLastHexError = "0x" & Hex(intRC)
               If Left (strLastHexError, 7) = "0x80041" Then
                  GetWMIErrorMessage strLastHexError, strWBEMCode, strWBEMMessage
                  strLastError = strLastHexError & ";(" & strWBEMCode & ") " & strWBEMMessage
                  strErrorString = strLastHexError & " - (" & strWBEMCode & ") " & strWBEMMessage 
               Else
                  If Len (objWMILastError.Description) > 0 Then
                     strDescription = objWMILastError.Description
                  Else
                     strDescription = ""
                  End If
     
                  strLastError = strLastHexError & ";" & strDescription
                  If Len (strDescription) > 0 Then strDescription = " - " & strDescription
                  strErrorString = strLastHexError & strDescription
               End If

               ErrorHandler objLOGFileHandle, "InstancesOfSink_OnCompleted", strErrorString, False, Err
               TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, objWMIContext.Item ("WMIClass") & ";" & cCritical & ";" & strLastError)
            End If
            boolSinkError = True
         End If
  
         boolSinkCompleted = True

End Function

' --------------------------------------------------------------------------------------------------------
Function InstancesOfSink_OnObjectReady (objWMIInstance, objWMIContext)

         On Error Resume Next
 
         longAsyncInstanceCounter = longAsyncInstanceCounter + 1
 
         intExecutionDelta = DateDiff ("s", strExecutionDelta, Now())
 
         If intExecutionDelta > 10 Then
            WriteToLogFile objLOGFileHandle, "Busy (" & Now () & ") ...", cLoggingLevel3, True
            strExecutionDelta = Now ()
         End If
 
         If longAsyncInstanceCounter > cAsyncMaxInstances Then 
            boolSinkCancelled = True
            objWMISink.Cancel
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function GetADAPStatus (ByVal objLOGFileHandle)

         Dim objWMIServices
         Dim objWMIInstance, objWMIInstances
         Dim strADAPStateMessage
         Dim strStartDate, strStartTime, strStartGMT
         Dim strStopDate, strStopTime, strStopGMT
         Dim strADAPStartLongDateTime, strADAPStopLongDateTime

         On Error Resume Next

         If RunTimeEnvironmentInfo.OSIdentifier < cWindowsVistaRTM Then
            WriteToLogFile objLOGFileHandle, "Verifying WMI ADAP status.", cLoggingLevel0, False

            Set objWMIServices = objWMILocator.ConnectServer("LocalHost", "Root\Default", "", "")
            If Err.Number Then 
               GetADAPStatus = ErrorHandler (objLOGFileHandle, "GetADAPStatus", "", False, Err)
               TrackingData.WMIConnectionErrors = AddTrackingData (TrackingData.WMIConnectionErrors, strWMINameSpace & ";" & strLastError)
               Exit Function
            End If

            Set objWMIInstances = objWMIServices.InstancesOf ("__ADAPStatus", wbemQueryFlagShallow)
            If Err.Number Then
               GetADAPStatus = ErrorHandler (objLOGFileHandle, "GetADAPStatus", "", False, Err)
               TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;__NAMESPACE;" & cCritical & ";" & strLastError)
               Exit Function 
            End If

            Set objWMIInstance = objWMIServices.Get ("__ADAPStatus=@")
            If Err.Number Then 
               GetADAPStatus = ErrorHandler (objLOGFileHandle, "GetADAPStatus", "", False, Err)
               TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, "Root/Default;__ADAPStatus=@" & "';" & strLastError)
               Exit Function
            End If

            Select Case (objWMIInstance.Status)
                   Case 0
                        strADAPStateMessage = "The WMI ADAP process has never run on this computer (0)."
                   Case 1
                        strADAPStateMessage = "The WMI ADAP process is currently running (1)."
                   Case 2
                        strADAPStateMessage = "The WMI ADAP process is processing a performance library (2)."
                   Case 3
                        strADAPStateMessage = "The WMI ADAP process is updating and committing changes to WMI (3)."
                   Case 4
                        strADAPStateMessage = "The WMI ADAP process has finished (4)."
                   Case Else
                        strADAPStateMessage = "Invalid WMI ADAP process status."
            End Select

            strADAPStartLongDateTime = ConvertDMTFDateTimeToLongDateTime (objLOGFileHandle, objWMIInstance.LastStartTime, strStartDate, strStartTime, strStartGMT, True)
            strADAPStopLongDateTime = ConvertDMTFDateTimeToLongDateTime (objLOGFileHandle, objWMIInstance.LastStopTime, strStopDate, strStopTime, strStopGMT, True)

            WriteToLogFile objLOGFileHandle, "ADAP last start time is: '" & strADAPStartLongDateTime & "'", cLoggingLevel3, False
            WriteToLogFile objLOGFileHandle, "ADAP last stop time is: '" & strADAPStopLongDateTime & "'", cLoggingLevel3, False
            WriteToLogFile objLOGFileHandle, "ADAP last message is: '" & strADAPStateMessage & "'", cLoggingLevel3, False
            TrackingData.ADAPStatus = AddTrackingData (TrackingData.ADAPStatus, strADAPStartLongDateTime & ";" & strADAPStopLongDateTime & ";" & strADAPStateMessage & ";" & objWMIInstance.Status)
         End If
 
End Function

' --------------------------------------------------------------------------------------------------------
Function CheckSMSWMISetup (ByVal objLOGFileHandle)

         On Error Resume Next

         If Len (RunTimeEnvironmentInfo.SMSAgent) > 0 And cSMSTest = True Then
	    if Left (RunTimeEnvironmentInfo.SMSAgent,3) = "4.0" Then
                CheckWMIFeatures objLOGFileHandle, arraySCCMTestList, "Verifying SCCM Agent v" & RunTimeEnvironmentInfo.SMSAgent & " WMI features."
	    Else
                CheckWMIFeatures objLOGFileHandle, arraySMSTestList, "Verifying SMS Agent v" & RunTimeEnvironmentInfo.SMSAgent & " WMI features."
	    End If

            CheckWMIFeatures objLOGFileHandle, arraySMSAddedTestList, ""
         End If 

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWMIFeatures (ByVal objLOGFileHandle, ByVal arrayWMITestList, ByVal strOperationDescription)

	 Dim intIndex, intWMIItemIndex, intWMIPropertyIndex
	 Dim objWMIServices 
         Dim strWMIClass, objWMIClass
         Dim strWMIProvider, boolDynamic 
         Dim objWMIInstance, objWMIInstances
         Dim varValue
         Dim intCount, intLoggingLevel
         Dim strMOF 

         On Error Resume Next

         If Len (strOperationDescription) > 0 Then
            WriteToLogFile objLOGFileHandle, strOperationDescription, cLoggingLevel0, False
         End If

	 For intIndex = 0 To UBound (arrayWMITestList) Step 5
             WriteToLogFile objLOGFileHandle, "Opening WMI namespace '" & arrayWMITestList (intIndex) & "'.", cLoggingLevel3, False
             Set objWMIServices = objWMILocator.ConnectServer("LocalHost", arrayWMITestList (intIndex), "", "")
             If Err.Number Then
                If CBool (arrayWMITestList (intIndex + 1)) = True Then 
                   CheckWMIFeatures = ErrorHandler (objLOGFileHandle, "CheckWMIFeatures", "", False, Err)
                   TrackingData.WMIConnectionErrors = AddTrackingData (TrackingData.WMIConnectionErrors, arrayWMITestList (intIndex) & ";" & strLastError)
                Else
                   WriteToLogFile objLOGFileHandle, "WMI namespace '" & arrayWMITestList (intIndex) & "' not found, but it is not required to be present. Skipping.", cLoggingLevel2, False
                End If
             Else
                If IsArray (arrayWMITestList (intIndex + 2)) = True Then
                   WriteToLogFile objLOGFileHandle, "WMI GET operations for '" & arrayWMITestList (intIndex) & "'.", cLoggingLevel3, False 

                   For intWMIItemIndex = 0 To UBound (arrayWMITestList (intIndex + 2)) Step 2

                       If boolStrict = True Then arrayWMITestList (intIndex + 2)(intWMIItemIndex) = cCritical
                       If arrayWMITestList (intIndex + 2)(intWMIItemIndex) = cCritical Or arrayWMITestList (intIndex + 2)(intWMIItemIndex) = cPresence Then 
                          intLoggingLevel = cLoggingLevel1
                       Else
                          intLoggingLevel = cLoggingLevel2
                       End If 

                       WriteToLogFile objLOGFileHandle, "Retrieving '" & arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1) & "' WMI Class static information.", cLoggingLevel3, False
   
                       Set objWMIClass = objWMIServices.Get (arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1))
                       If Err.Number Then
                          CheckWMIFeatures = ErrorHandler (objLOGFileHandle, "CheckWMIFeatures", "", False, Err)
                          TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, arrayWMITestList (intIndex) & ";" & arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1) & ";" & strLastError)
                       Else
                          strMOF = objWMIClass.GetObjectText_
                          If Err.Number Then
                             CheckWMIFeatures = ErrorHandler (objLOGFileHandle, "CheckWMIFeatures", "", False, Err)
                             TrackingData.FailingMOFRepresentation = AddTrackingData (TrackingData.FailingMOFRepresentation, arrayWMITestList (intIndex) & ";" & (arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1)) & ";" & strLastError)
                          End If 

                          If arrayWMITestList (intIndex + 2)(intWMIItemIndex) = cPresence Then
                             WriteToLogFile objLOGFileHandle, "No WMI ENUMERATION operations requested from '" & arrayWMITestList (intIndex) & "' for WMI class '" & arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1) & "'.", cLoggingLevel3, False 
                          Else
                             WriteToLogFile objLOGFileHandle, "WMI ENUMERATION operations for '" & arrayWMITestList (intIndex) & "'.", cLoggingLevel3, False 
                             strWMIProvider = GetQualifier (objLOGFileHandle, objWMIClass, "Provider", "@NULL@", arrayWMITestList (intIndex), arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1))
                             boolDynamic = GetQualifier (objLOGFileHandle, objWMIClass, "Dynamic", False, arrayWMITestList (intIndex), arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1))

                             If (_
                                 Instr (UCase (TrackingData.MissingWMIProviderFile), UCase (arrayWMITestList (intIndex) & ";" & strWMIProvider)) = 0 And _
                                 Instr (UCase (TrackingData.WMIProviderDCOMRegistrations), UCase (arrayWMITestList (intIndex) & ";" & strWMIProvider)) = 0 And _
                                 Instr (UCase (TrackingData.WMIProviderCIMRegistrations), UCase (arrayWMITestList (intIndex) & ";" & strWMIProvider)) = 0 And _
                                 Instr (UCase (TrackingData.DecoupledWMIProvider), UCase (arrayWMITestList (intIndex) & ";" & strWMIProvider)) = 0 _
                                ) Then 
                                WriteToLogFile objLOGFileHandle, "Retrieving instance(s) of WMI class '" & (arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1)) & "'.", cLoggingLevel3, False

                                Set objWMIInstances = objWMIServices.InstancesOf (arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1), wbemQueryFlagShallow)
                                If Err.Number Then
                                   CheckWMIFeatures = ErrorHandler (objLOGFileHandle, "CheckWMIFeatures", "", False, Err)
                                   TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, arrayWMITestList (intIndex) & ";InstancesOf;" & arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1) & ";" & cCritical & ";" & strLastError)
                                Else
                                   intCount = objWMIInstances.Count 
                                   If Err.Number Then
                                      CheckWMIFeatures = ErrorHandler (objLOGFileHandle, "CheckWMIFeatures", "", False, Err)
                                      TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, arrayWMITestList (intIndex) & ";InstancesOf;" & arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1) & ";" & cCritical & ";" & strLastError)
                                   Else
                                      If intCount = 0 Then
                                         WriteToLogFile objLOGFileHandle, "No instance returned from WMI class '" & (arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1)) & "', while at least 1 instance is expected.", intLoggingLevel, False
                                         TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, arrayWMITestList (intIndex) & ";InstancesOf;" & arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1) & ";" & arrayWMITestList (intIndex + 2)(intWMIItemIndex) & ";NOINSTANCE")
                                         CheckWMIFeatures = True
                                      Else
                                         WriteToLogFile objLOGFileHandle, intCount & " instance(s) found.", cLoggingLevel3, False
                                      End If
                                   End If
                                End If

                                Set objWMIInstances = Nothing
                             Else
                                WriteToLogFile objLOGFileHandle, "Skipping WMI ENUMERATION operations from '" & arrayWMITestList (intIndex) & "' for WMI class '" & arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1) & "' because registration issues have been previously reported for the '" & strWMIProvider & "' WMI provider.", cLoggingLevel2, False 
                                TrackingData.WMIEnumerationSkipped = AddTrackingData (TrackingData.WMIEnumerationSkipped, arrayWMITestList (intIndex) & ";" & strWMIProvider & ";InstancesOf;" & arrayWMITestList (intIndex + 2)(intWMIItemIndex + 1))
                             End If
                          End If

                       End If

                       Set objWMIClass = Nothing
                   Next
                Else
                   WriteToLogFile objLOGFileHandle, "No WMI ENUMERATIONS operations available for '" & arrayWMITestList (intIndex) & "'.", cLoggingLevel3, False 
                End If 

                If IsArray (arrayWMITestList (intIndex + 3)) = True Then
                   WriteToLogFile objLOGFileHandle, "WMI EXECQUERY operations for '" & arrayWMITestList (intIndex) & "'.", cLoggingLevel3, False 

                   For intWMIItemIndex = 0 To UBound (arrayWMITestList (intIndex + 3)) Step 2

                       If boolStrict = True Then arrayWMITestList (intIndex + 3)(intWMIItemIndex) = cCritical
                       If arrayWMITestList (intIndex + 3)(intWMIItemIndex) = cCritical Then 
                          intLoggingLevel = cLoggingLevel1
                       Else
                          intLoggingLevel = cLoggingLevel2
                       End If 

                       strWMIClass = ExtractWMIClassFromWQL (objLOGFileHandle, arrayWMITestList (intIndex + 3)(intWMIItemIndex + 1))
                       If Not IsNull (strWMIClass) Then
                          Set objWMIClass = objWMIServices.Get (strWMIClass)
                          If Err.Number Then
                             CheckWMIFeatures = ErrorHandler (objLOGFileHandle, "CheckWMIFeatures", "", False, Err)
                             TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, arrayWMITestList (intIndex) & ";" & strWMIClass & ";" & strLastError)
                          Else
                             strWMIProvider = GetQualifier (objLOGFileHandle, objWMIClass, "Provider", "@NULL@", arrayWMITestList (intIndex), strWMIClass)
                             boolDynamic = GetQualifier (objLOGFileHandle, objWMIClass, "Dynamic", False, arrayWMITestList (intIndex), strWMIClass)

                             If (_
                                 Instr (UCase (TrackingData.MissingWMIProviderFile), UCase (arrayWMITestList (intIndex) & ";" & strWMIProvider)) = 0 And _
                                 Instr (UCase (TrackingData.WMIProviderDCOMRegistrations), UCase (arrayWMITestList (intIndex) & ";" & strWMIProvider)) = 0 And _
                                 Instr (UCase (TrackingData.WMIProviderCIMRegistrations), UCase (arrayWMITestList (intIndex) & ";" & strWMIProvider)) = 0 And _
                                 Instr (UCase (TrackingData.DecoupledWMIProvider), UCase (arrayWMITestList (intIndex) & ";" & strWMIProvider)) = 0 _
                                ) Then 
                                WriteToLogFile objLOGFileHandle, "Executing WQL query '" & (arrayWMITestList (intIndex + 3)(intWMIItemIndex + 1)) & "'.", cLoggingLevel3, False
   
                                Set objWMIInstances = objWMIServices.ExecQuery (arrayWMITestList (intIndex + 3)(intWMIItemIndex + 1))
                                If Err.Number Then
                                   CheckWMIFeatures = ErrorHandler (objLOGFileHandle, "CheckWMIFeatures", "", False, Err)
                                   TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, arrayWMITestList (intIndex) & ";" & arrayWMITestList (intIndex + 3)(intWMIItemIndex + 1) & ";" & cCritical & ";" & strLastError)
                                Else
                                   intCount = objWMIInstances.Count 
                                   If Err.Number Then
                                      CheckWMIFeatures = ErrorHandler (objLOGFileHandle, "CheckWMIFeatures", "", False, Err)
                                      TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, arrayWMITestList (intIndex) & ";" & arrayWMITestList (intIndex + 3)(intWMIItemIndex + 1) & ";" & cCritical & ";" & strLastError)
                                   Else
                                      If intCount = 0 Then
                                         If arrayWMITestList (intIndex + 3)(intWMIItemIndex) = cIWarning Then
                                            WriteToLogFile objLOGFileHandle, "0 instance(s) found, BUT this is expected.", cLoggingLevel3, False
                                         Else
                                            WriteToLogFile objLOGFileHandle, "No instance returned from the WQL query '" & arrayWMITestList (intIndex + 3)(intWMIItemIndex + 1) & "', while at least 1 instance is expected.", intLoggingLevel, False
                                            TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, arrayWMITestList (intIndex) & ";" & arrayWMITestList (intIndex + 3)(intWMIItemIndex + 1) & ";" & arrayWMITestList (intIndex + 3)(intWMIItemIndex) & ";NOINSTANCE")
                                            CheckWMIFeatures = True
                                         End If
                                      Else
                                         If arrayWMITestList (intIndex + 3)(intWMIItemIndex) = cIWarning Then
                                            WriteToLogFile objLOGFileHandle, intCount & " instance(s) returned from the WQL query '" & arrayWMITestList (intIndex + 3)(intWMIItemIndex + 1) & "', while NO instance is expected.", intLoggingLevel, False
                                            TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, arrayWMITestList (intIndex) & ";" & arrayWMITestList (intIndex + 3)(intWMIItemIndex + 1) & ";" & arrayWMITestList (intIndex + 3)(intWMIItemIndex) & ";INSTANCE")
                                            CheckWMIFeatures = True
                                         Else
                                            WriteToLogFile objLOGFileHandle, intCount & " instance(s) found, BUT this is expected.", cLoggingLevel3, False
                                         End If
                                      End If
                                      Set objWMIInstances = Nothing
                                   End If
                                End If
                             Else
                                WriteToLogFile objLOGFileHandle, "Skipping WMI EXECQUERY operations from '" & arrayWMITestList (intIndex) & "' for WMI class '" & strWMIClass & "' because registration issues have been previously reported for the '" & strWMIProvider & "' WMI provider.", cLoggingLevel2, False 
                                TrackingData.WMIExecQuerySkipped = AddTrackingData (TrackingData.WMIExecQuerySkipped, arrayWMITestList (intIndex) & ";" & strWMIProvider & ";" & arrayWMITestList (intIndex + 3)(intWMIItemIndex + 1) & ";" & strWMIClass)
                             End If
                          End If   

                          Set objWMIClass = Nothing
                       End If
                   Next
                Else
                   WriteToLogFile objLOGFileHandle, "No WMI EXECQUERY operations available for '" & arrayWMITestList (intIndex) & "'.", cLoggingLevel3, False 
                End If 

                If IsArray (arrayWMITestList (intIndex + 4)) = True Then
                   WriteToLogFile objLOGFileHandle, "WMI GET VALUE operations for '" & arrayWMITestList (intIndex) & "'.", cLoggingLevel3, False 

                   For intWMIItemIndex = 0 To UBound (arrayWMITestList (intIndex + 4)) Step 4

                       If boolStrict = True Then arrayWMITestList (intIndex + 4)(intWMIItemIndex) = cCritical
                       If arrayWMITestList (intIndex + 4)(intWMIItemIndex) = cCritical Then 
                          intLoggingLevel = cLoggingLevel1
                       Else
                          intLoggingLevel = cLoggingLevel2
                       End If 

                       Set objWMIClass = objWMIServices.Get (arrayWMITestList (intIndex + 4)(intWMIItemIndex + 1))
                       If Err.Number Then
                          CheckWMIFeatures = ErrorHandler (objLOGFileHandle, "CheckWMIFeatures", "", False, Err)
                          TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, arrayWMITestList (intIndex) & ";" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 1) & "=" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 2) & ";" & strLastError)
                       Else
                          strWMIProvider = GetQualifier (objLOGFileHandle, objWMIClass, "Provider", "@NULL@", arrayWMITestList (intIndex), arrayWMITestList (intIndex + 4)(intWMIItemIndex + 1))
                          boolDynamic = GetQualifier (objLOGFileHandle, objWMIClass, "Dynamic", False, arrayWMITestList (intIndex), arrayWMITestList (intIndex + 4)(intWMIItemIndex + 1))

                          If (_
                              Instr (UCase (TrackingData.MissingWMIProviderFile), UCase (arrayWMITestList (intIndex) & ";" & strWMIProvider)) = 0 And _
                              Instr (UCase (TrackingData.WMIProviderDCOMRegistrations), UCase (arrayWMITestList (intIndex) & ";" & strWMIProvider)) = 0 And _
                              Instr (UCase (TrackingData.WMIProviderCIMRegistrations), UCase (arrayWMITestList (intIndex) & ";" & strWMIProvider)) = 0 And _
                              Instr (UCase (TrackingData.DecoupledWMIProvider), UCase (arrayWMITestList (intIndex) & ";" & strWMIProvider)) = 0 _
                             ) Then 
                             WriteToLogFile objLOGFileHandle, "Retrieving instance '" & (arrayWMITestList (intIndex + 4)(intWMIItemIndex + 1)) & "=" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 2) & "'.", cLoggingLevel3, False
                             Set objWMIInstance = objWMIServices.Get (arrayWMITestList (intIndex + 4)(intWMIItemIndex + 1) & "=" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 2))
                             If Err.Number Then
                                CheckWMIFeatures = ErrorHandler (objLOGFileHandle, "CheckWMIFeatures", "", False, Err)
                                TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, arrayWMITestList (intIndex) & ";" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 1) & "=" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 2) & ";" & strLastError)
                             Else
                                For intWMIPropertyIndex = 0 To UBound (arrayWMITestList (intIndex + 4)(intWMIItemIndex + 3)) Step 2
                                    WriteToLogFile objLOGFileHandle, "Retrieving value '" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 3)(intWMIPropertyIndex) & "' property value.", cLoggingLevel3, False
                                    varValue = objWMIInstance.Properties_.Item (arrayWMITestList (intIndex + 4)(intWMIItemIndex + 3)(intWMIPropertyIndex))
                                    If arrayWMITestList (intIndex + 4)(intWMIItemIndex + 3)(intWMIPropertyIndex + 1) = varValue Then
                                       WriteToLogFile objLOGFileHandle, "'" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 3)(intWMIPropertyIndex) & "' property value is CORRECT. ('" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 3)(intWMIPropertyIndex + 1) & "')", cLoggingLevel3, False
                                    Else
                                       WriteToLogFile objLOGFileHandle, "'" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 3)(intWMIPropertyIndex) & "' property value of instance " & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 1) & "=" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 2) & " is INCORRECT.", intLoggingLevel, False
                                       WriteToLogFile objLOGFileHandle, "The current value is '" & varValue & "', while the default value is '" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 3)(intWMIPropertyIndex + 1) & "'", intLoggingLevel, False 
                                       TrackingData.WMIGetValuePropertyErrors = AddTrackingData (TrackingData.WMIGetValuePropertyErrors, arrayWMITestList (intIndex) & ";" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 1) & "=" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 2) & ";" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 3)(intWMIPropertyIndex) & ";" & varValue & ";" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 3)(intWMIPropertyIndex + 1) & ";" & arrayWMITestList (intIndex + 4)(intWMIItemIndex))
                                    End If 
                                Next
                             End If
                          Else
                             WriteToLogFile objLOGFileHandle, "Skipping WMI GET VALUE operations from '" & arrayWMITestList (intIndex) & "' for WMI class '" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 1) & "' because registration issues have been previously reported for the '" & strWMIProvider & "' WMI provider.", cLoggingLevel2, False 
                             TrackingData.WMIGetValuePropertySkipped = AddTrackingData (TrackingData.WMIGetValuePropertySkipped, arrayWMITestList (intIndex) & ";" & strWMIProvider & ";" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 1) & "=" & arrayWMITestList (intIndex + 4)(intWMIItemIndex + 2))
                          End If
                       End If

                       Set objWMIClass = Nothing
                   Next
                Else
                   WriteToLogFile objLOGFileHandle, "No WMI GET VALUE operations available for '" & arrayWMITestList (intIndex) & "'.", cLoggingLevel3, False 
                End If

                Set objWMIServices = Nothing       
             End If
         Next

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWMIInventory (ByVal objLOGFileHandle)

         Dim objWMIServices
         Dim strWMIClass, objWMIClass, strWMIProvider 
 
         On Error Resume Next
 
         WriteToLogFile objLOGFileHandle, "Collecting system information.", cLoggingLevel0, False
 
         Set objWMIServices = objWMILocator.ConnectServer("LocalHost", "Root\CIMv2", "", "")
         If Err.Number Then 
            CheckWMIInventory = ErrorHandler (objLOGFileHandle, "CheckWMIInventory", "", False, Err)
            TrackingData.WMIConnectionErrors = AddTrackingData (TrackingData.WMIConnectionErrors, strWMINameSpace & ";" & strLastError)
            Exit Function
         End If
 
         If (_
             Instr (UCase (TrackingData.MissingWMIProviderFile), "ROOT/CIMV2;CIMWIN32") = 0 And _
             Instr (UCase (TrackingData.WMIProviderDCOMRegistrations), "ROOT/CIMV2;CIMWIN32") = 0 And _
             Instr (UCase (TrackingData.WMIProviderCIMRegistrations), "ROOT/CIMV2;CIMWIN32") = 0 And _
             Instr (UCase (TrackingData.DecoupledWMIProvider), "ROOT/CIMV2;CIMWIN32") = 0 _
            ) Then
            CheckWMIInventory = CheckDiskInventory (objLOGFileHandle, objWMIServices)          
            If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsXPRTM Then
               CheckWMIInventory = CheckNetworkInventory (objLOGFileHandle, objWMIServices)
            End If
            CheckWMIInventory = CheckIRQInventory (objLOGFileHandle, objWMIServices)
            CheckWMIInventory = CheckDMAInventory (objLOGFileHandle, objWMIServices)
            CheckWMIInventory = CheckMemoryInventory (objLOGFileHandle, objWMIServices)
            CheckWMIInventory = CheckProcessorInventory (objLOGFileHandle, objWMIServices)
            CheckWMIInventory = CheckOSInventory (objLOGFileHandle, objWMIServices)
            CheckWMIInventory = CheckServicesInventory (objLOGFileHandle, objWMIServices)
            CheckWMIInventory = CheckWbemFilesInventory (objLOGFileHandle, objWMIServices)
         Else
            WriteToLogFile objLOGFileHandle, "Skipping WMI inventory from 'Root/CIMv2' because registration issues have been previously reported for the 'CIMWin32' WMI provider.", cLoggingLevel2, False 
            TrackingData.WMIDiskData = AddTrackingData (TrackingData.WMIDiskData, "CIMWIN32_SKIPPED;;;;")
         End If

         If (_
             Instr (UCase (TrackingData.MissingWMIProviderFile), "ROOT/CIMV2;MS_NT_EVENTLOG_PROVIDER") = 0 And _
             Instr (UCase (TrackingData.WMIProviderDCOMRegistrations), "ROOT/CIMV2;MS_NT_EVENTLOG_PROVIDER") = 0 And _
             Instr (UCase (TrackingData.WMIProviderCIMRegistrations), "ROOT/CIMV2;MS_NT_EVENTLOG_PROVIDER") = 0 And _
             Instr (UCase (TrackingData.DecoupledWMIProvider), "ROOT/CIMV2;MS_NT_EVENTLOG_PROVIDER") = 0 _
            ) Then
            CheckWMIInventory = CheckEventLogEVentsInventory (objLOGFileHandle, objWMIServices)
            CheckWMIInventory = CheckSuspiciousReboot (objLOGFileHandle, objWMIServices)
         Else
            WriteToLogFile objLOGFileHandle, "Skipping WMI inventory from 'Root/CIMv2' because registration issues have been previously reported for the 'MS_NT_EVENTLOG_PROVIDER' WMI provider.", cLoggingLevel2, False 
            TrackingData.WMIEventLogEventData = AddTrackingData (TrackingData.WMIEventLogEventData, "NTEVENTLOG_SKIPPED")
         End If
 
         Set objWMIServices = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckDiskInventory (ByVal objLOGFileHandle, ByVal objWMIServices)

        Dim objWMIInstance, objWMIInstances
        Dim objWMIAssoc1Instance, objWMIAssoc1Instances
        Dim objWMIAssoc2Instance, objWMIAssoc2Instances
        Dim intCount1, intCount2, intCount3

        On Error Resume Next

        ' --------------------------------------------------------------------------------------------------------
        WriteToLogFile objLOGFileHandle, "- Disk information ", cLoggingLevel0, False

        Set objWMIInstances = objWMIServices.InstancesOf ("Win32_DiskDrive")
        If Err.Number Then
           CheckDiskInventory = ErrorHandler (objLOGFileHandle, "CheckDiskInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_Processor;" & cCritical & ";" & strLastError)
           Exit Function
        End If

        intCount1 = objWMIInstances.Count
        If Err.Number Then
           CheckDiskInventory = ErrorHandler (objLOGFileHandle, "CheckDiskInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_Processor;" & cCritical & ";" & strLastError)
           Exit Function
        End If

        If intCount1 Then
           intCount1 = 0
           For Each objWMIInstance In objWMIInstances
               intCount1 = intCount1 + 1
               DisplayFormattedWMIProperties objLOGFileHandle, objWMIInstance, intCount1, 0, cLoggingLevel3
      
               Set objWMIAssoc1Instances = objWMIServices.ExecQuery ("Associators of {Win32_DiskDrive='" & _
                                                                    objWMIInstance.DeviceID & _
                                                                    "'} Where AssocClass=Win32_DiskDriveToDiskPartition")
               If Err.Number Then
                  CheckDiskInventory = ErrorHandler (objLOGFileHandle, "CheckDiskInventory", "", False, Err)
                  TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_DiskDriveToDiskPartition;" & cCritical & ";" & strLastError)
               End If
       
               intCount2 = objWMIAssoc1Instances.Count
               If Err.Number Then
                  CheckDiskInventory = ErrorHandler (objLOGFileHandle, "CheckDiskInventory", "", False, Err)
                  TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_DiskDriveToDiskPartition;" & cCritical & ";" & strLastError)
               End If
        
               If intCount2 Then
                  intCount2 = 0
                  For Each objWMIAssoc1Instance In objWMIAssoc1Instances
                      intCount2 = intCount2 + 1
                      DisplayFormattedWMIProperties objLOGFileHandle, objWMIAssoc1Instance, intCount2, 2, cLoggingLevel3

                      Set objWMIAssoc2Instances = objWMIServices.ExecQuery ("Associators of {Win32_DiskPartition='" & _
                                                                            objWMIAssoc1Instance.DeviceID & _
                                                                            "'} Where AssocClass=Win32_LogicalDiskToPartition")
                      If Err.Number Then
                         CheckDiskInventory = ErrorHandler (objLOGFileHandle, "CheckDiskInventory", "", False, Err)
                         TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_LogicalDiskToPartition;" & cCritical & ";" & strLastError)
                      End If
             
                      intCount3 = objWMIAssoc2Instances.Count
                      If Err.Number Then
                         CheckDiskInventory = ErrorHandler (objLOGFileHandle, "CheckDiskInventory", "", False, Err)
                         TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_LogicalDiskToPartition;" & cCritical & ";" & strLastError)
                      End If
         
                      If intCount3 Then
                         intCount3 = 0
                         For Each objWMIAssoc2Instance In objWMIAssoc2Instances
                             intCount3 = intCount3 + 1
                             DisplayFormattedWMIProperties objLOGFileHandle, objWMIAssoc2Instance, intCount3, 4, cLoggingLevel3

                             If UCase (objWMIAssoc2Instance.Name) = ReplaceString (RunTimeEnvironmentInfo.SystemDrive , "\", "") Then
                                TrackingData.WMIDiskData = AddTrackingData (TrackingData.WMIDiskData, ";" & objWMIInstance.InterfaceType & ";" & objWMIInstance.Model & ";" & objWMIAssoc1Instance.Name & ";" & objWMIAssoc2Instance.Name)
                             End If
                         Next
                      Else
                         WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
                         WriteToLogFile objLOGFileHandle, "No Win32_LogicalDisk information available.", cLoggingLevel1, False
                      End If  
                  Next
               Else
                  WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
                  WriteToLogFile objLOGFileHandle, "No Win32_DiskPartition information available.", cLoggingLevel1, False
               End If 

               WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
           Next
        Else
           WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
           WriteToLogFile objLOGFileHandle, "No Win32_DiskDrive information available.", cLoggingLevel1, False
           WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
        End If 

        Set objWMIAssoc2Instances = Nothing
        Set objWMIAssoc1Instances = Nothing
        Set objWMIInstances = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckProcessorInventory (ByVal objLOGFileHandle, ByVal objWMIServices)

        Dim objWMIInstance, objWMIInstances
        Dim intCount

        On Error Resume Next

        ' --------------------------------------------------------------------------------------------------------
        WriteToLogFile objLOGFileHandle, "- Processor information ", cLoggingLevel0, False

        Set objWMIInstances = objWMIServices.InstancesOf ("Win32_Processor")
        If Err.Number Then
           CheckProcessorInventory = ErrorHandler (objLOGFileHandle, "CheckProcessorInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_Processor;" & cCritical & ";" & strLastError)
           Exit Function
        End If

        intCount = objWMIInstances.Count
        If Err.Number Then
           CheckProcessorInventory = ErrorHandler (objLOGFileHandle, "CheckProcessorInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_Processor;" & cCritical & ";" & strLastError)
           Exit Function
        End If

        If intCount Then
           intCount = 0
           For Each objWMIInstance In objWMIInstances
               intCount = intCount + 1
               DisplayFormattedWMIProperties objLOGFileHandle, objWMIInstance, intCount, 0, cLoggingLevel3
           Next
        Else
           WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
           WriteToLogFile objLOGFileHandle, "No Win32_Processor information available.", cLoggingLevel1, False
        End If 

        WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

        Set objWMIInstances = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckMemoryInventory (ByVal objLOGFileHandle, ByVal objWMIServices)

        Dim objWMIInstance, objWMIInstances
        Dim intCount

        On Error Resume Next

        ' --------------------------------------------------------------------------------------------------------
        WriteToLogFile objLOGFileHandle, "- Memory information ", cLoggingLevel0, False

        Set objWMIInstances = objWMIServices.InstancesOf ("Win32_PhysicalMemory")
        If Err.Number Then
           CheckMemoryInventory = ErrorHandler (objLOGFileHandle, "CheckMemoryInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_PhysicalMemory;" & cCritical & ";" & strLastError)
           Exit Function
        End If

        intCount = objWMIInstances.Count
        If Err.Number Then
           CheckMemoryInventory = ErrorHandler (objLOGFileHandle, "CheckMemoryInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_PhysicalMemory;" & cCritical & ";" & strLastError)
           Exit Function
        End If

        If intCount Then
           For Each objWMIInstance In objWMIInstances
               If (objWMIInstance.Capacity - 1024^2) < 0 Then
                  WriteToLogFile objLOGFileHandle, _
                                 "'" & objWMIInstance.BankLabel & "' is " & _
                                 objWMIInstance.Capacity / (1024) & " KB chip size (" & _
                                 objWMIInstance.DeviceLocator & ").", cLoggingLevel3, False
               Else 
                  WriteToLogFile objLOGFileHandle, _
                                 "'" & objWMIInstance.BankLabel & "' is " & _
                                 objWMIInstance.Capacity / (1024^2) & " MB chip size (" & _
                                 objWMIInstance.DeviceLocator & ").", cLoggingLevel3, False
               End If 
           Next
        Else
           WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
           WriteToLogFile objLOGFileHandle, "No Win32_PhysicalMemory information available.", cLoggingLevel1, False
        End If 

        WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

        Set objWMIInstances = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckDMAInventory (ByVal objLOGFileHandle, ByVal objWMIServices)

        Dim objWMIInstance, objWMIInstances
        Dim objWMIAssoc1Instance, objWMIAssoc1Instances
        Dim objWMIAssoc2Instance, objWMIAssoc2Instances
        Dim intCount

        On Error Resume Next
    
        ' --------------------------------------------------------------------------------------------------------
        WriteToLogFile objLOGFileHandle, "- DMA resource usage ", cLoggingLevel0, False

        Set objWMIInstances = objWMIServices.InstancesOf ("Win32_DMAChannel")
        If Err.Number Then
           CheckDMAInventory = ErrorHandler (objLOGFileHandle, "CheckDMAInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_DMAChannel;" & cCritical & ";" & strLastError)
           Exit Function
        End If

        intCount = objWMIInstances.Count
        If Err.Number Then
           CheckDMAInventory = ErrorHandler (objLOGFileHandle, "CheckDMAInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_DMAChannel;" & cCritical & ";" & strLastError)
           Exit Function
        End If

        If intCount Then
           For Each objWMIInstance In objWMIInstances
               Set objWMIAssoc1Instances = objWMIServices.ExecQuery _
                                          ("Associators of {Win32_DMAChannel='" & _
                                          objWMIInstance.DMAChannel & _
                                          "'} Where AssocClass=Win32_PNPAllocatedResource")
    
               If objWMIAssoc1Instances.Count Then
                  WriteToLogFile objLOGFileHandle, objWMIInstance.Caption, cLoggingLevel3, False
                  For Each objWMIAssoc1Instance In objWMIAssoc1Instances
                      If Len (objWMIAssoc1Instance.Service) > 0 Then
                         WriteToLogFile objLOGFileHandle, "  " & Trim (objWMIAssoc1Instance.Name) & ".", cLoggingLevel3, False
                         WriteToLogFile objLOGFileHandle, "     Service name is '" & UCase (objWMIAssoc1Instance.Service) & _
                                                          "' and status is " & objWMIAssoc1Instance.Status & ".", cLoggingLevel3, False
    
                         Set objWMIAssoc2Instances = objWMIServices.ExecQuery _
                                          ("Associators of {Win32_PnPEntity='" & _
                                          objWMIAssoc1Instance.DeviceID & _
                                          "'} Where ResultClass=Win32_PortResource " & _
                                          "AssocClass=Win32_PNPAllocatedResource")
    
                         For Each objWMIAssoc2Instance In objWMIAssoc2Instances
                             WriteToLogFile objLOGFileHandle, "     Address range is " & objWMIAssoc2Instance.Name, cLoggingLevel3, False
                         Next
    
                      Else
                         WriteToLogFile objLOGFileHandle, "  " & objWMIAssoc1Instance.Name & ".", cLoggingLevel3, False
                      End If 
                  Next
               End If 
           Next
        Else
           WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
           WriteToLogFile objLOGFileHandle, "No Win32_DMAChannel information available.", cLoggingLevel1, False
        End If 

        WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

        Set objWMIAssoc2Instances = Nothing
        Set objWMIAssoc1Instances = Nothing
        Set objWMIInstances = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckIRQInventory (ByVal objLOGFileHandle, ByVal objWMIServices)

        Dim objWMIInstance, objWMIInstances
        Dim objWMIAssoc1Instance, objWMIAssoc1Instances
        Dim objWMIAssoc2Instance, objWMIAssoc2Instances
        Dim intCount

        On Error Resume Next

        ' --------------------------------------------------------------------------------------------------------
        WriteToLogFile objLOGFileHandle, "- IRQ resource usage ", cLoggingLevel0, False

        Set objWMIInstances = objWMIServices.InstancesOf ("Win32_IRQResource")
        If Err.Number Then
           CheckIRQInventory  = ErrorHandler (objLOGFileHandle, "CheckIRQInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_IRQResource;" & cCritical & ";" & strLastError)
           Exit Function
        End If

        intCount = objWMIInstances.Count
        If Err.Number Then
           CheckIRQInventory  = ErrorHandler (objLOGFileHandle, "CheckIRQInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_IRQResource;" & cCritical & ";" & strLastError)
           Exit Function
        End If

        If intCount Then
           For Each objWMIInstance In objWMIInstances
               Set objWMIAssoc1Instances = objWMIServices.ExecQuery _
                                          ("Associators of {Win32_IRQResource='" & _
                                          objWMIInstance.IRQNumber & _
                                          "'} Where AssocClass=Win32_PNPAllocatedResource")
               If objWMIAssoc1Instances.Count Then
                  WriteToLogFile objLOGFileHandle, objWMIInstance.Caption, cLoggingLevel3, False
                  For Each objWMIAssoc1Instance In objWMIAssoc1Instances
                      If Len (objWMIAssoc1Instance.Service) > 0 Then
                         WriteToLogFile objLOGFileHandle, "  " & Trim (objWMIAssoc1Instance.Name) & ".", cLoggingLevel3, False
                         WriteToLogFile objLOGFileHandle, "     Service name is '" & UCase (objWMIAssoc1Instance.Service) & _
                                      "' and status is " & objWMIAssoc1Instance.Status & ".", cLoggingLevel3, False
    
                         Set objWMIAssoc2Instances = objWMIServices.ExecQuery _
                                          ("Associators of {Win32_PnPEntity='" & _
                                          objWMIAssoc1Instance.DeviceID & _
                                          "'} Where ResultClass=Win32_PortResource " & _
                                          "AssocClass=Win32_PNPAllocatedResource")
    
                         For Each objWMIAssoc2Instance In objWMIAssoc2Instances
                             WriteToLogFile objLOGFileHandle, "     Address range is " & objWMIAssoc2Instance.Name, cLoggingLevel3, False
                         Next
    
                      Else
                         WriteToLogFile objLOGFileHandle, "  " & objWMIAssoc1Instance.Name & ".", cLoggingLevel3, False
                      End If 
                  Next
               End If 
           Next
        Else
           WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
           WriteToLogFile objLOGFileHandle, "No Win32_IRQResource information available.", cLoggingLevel1, False
        End If 

        WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

        Set objWMIAssoc2Instances = Nothing
        Set objWMIAssoc1Instances = Nothing
        Set objWMIInstances = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckNetworkInventory (ByVal objLOGFileHandle, ByVal objWMIServices)

        Dim objWMIInstance, objWMIInstances
        Dim intCount

        On Error Resume Next

        ' --------------------------------------------------------------------------------------------------------
        WriteToLogFile objLOGFileHandle, "- Network information", cLoggingLevel0, False
        Set objWMIInstances = objWMIServices.InstancesOf ("Win32_NetworkAdapter")
        If Err.Number Then
           CheckNetworkInventory = ErrorHandler (objLOGFileHandle, "CheckNetworkInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_NetworkAdapter;" & cCritical & ";" & strLastError)
           Exit Function
        End If

        intCount = objWMIInstances.Count
        If Err.Number Then
           CheckNetworkInventory = ErrorHandler (objLOGFileHandle, "CheckNetworkInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_NetworkAdapter;" & cCritical & ";" & strLastError)
           Exit Function
        End If

        If intCount Then
           intCount = 0
           For Each objWMIInstance in objWMIInstances
               intCount = intCount + 1
               WriteToLogFile objLOGFileHandle, "- " & objWMIInstance.Path_.Class & " #" & Left (intCount & " ---", 4) & _
                                                String (100 - Len (objWMIInstance.Path_.Class), "-"), cLoggingLevel3, False

               DisplayFormattedWMIProperty objLOGFileHandle, _
                                           objWMIInstance, _
                                           "Adapter name", _
                                           "Name", _
                                           Null, _
                                           cLoggingLevel3
               DisplayFormattedWMIProperty objLOGFileHandle, _
                                           objWMIInstance, _
                                           "Device availability", _
                                           "Availability", _
                                           Null, _
                                           cLoggingLevel3
               If objWMIInstance.NetConnectionStatus = 0 Then
                  DisplayFormattedWMIProperty objLOGFileHandle, _
                                              objWMIInstance, _
                                              "Adapter state", _
                                              "DISABLED", _
                                              Null, _
                                              cLoggingLevel3
               Else
                  DisplayFormattedWMIProperty objLOGFileHandle, _
                                              objWMIInstance, _
                                              "Adapter type", _
                                              "AdapterType", _
                                              Null, _
                                              cLoggingLevel3
                  DisplayFormattedWMIProperty objLOGFileHandle, _
                                              objWMIInstance, _
                                              "Adapter state", _
                                              "NetConnectionStatus", _
                                              Null, _
                                              cLoggingLevel3
                  DisplayFormattedWMIProperty objLOGFileHandle, _
                                              objWMIInstance, _
                                              "MAC address is ", _
                                              "MACAddress", _
                                              Null, _
                                              cLoggingLevel3
               End If

               DisplayFormattedWMIProperty objLOGFileHandle, _
                                           objWMIInstance, _
                                           "Adapter service name", _
                                           "ServiceName", _
                                           Null, _
                                           cLoggingLevel3
               DisplayFormattedWMIProperty objLOGFileHandle, _
                                           objWMIInstance, _
                                           "Last reset", _
                                           "TimeOfLastReset", _
                                           Null, _
                                           cLoggingLevel3

               Set objWMIInstance = objWMIServices.Get ("Win32_NetworkAdapterConfiguration=" & objWMIInstance.Index)
               If Err.Number Then
                  CheckNetworkInventory  = ErrorHandler (objLOGFileHandle, "CheckNetworkInventory", "", False, Err)
                  TrackingData.WMIGetErrors = AddTrackingData (TrackingData.WMIGetErrors, strWMINameSpace & ";Win32_NetworkAdapterConfiguration;" & strLastError)
               End If
       
               If objWMIInstance.IPEnabled Then
                  ' DHCP -----------------------------------------------------------------------
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "DHCP enabled", _
                                               "DHCPEnabled", _
                                               Null, _
                                            cLoggingLevel3
                   If objWMIInstance.DHCPEnabled Then
                      DisplayFormattedWMIProperty objLOGFileHandle, _
                                                  objWMIInstance, _
                                                  "DHCP expires", _
                                                  "DHCPLeaseExpires", _
                                                  Null, _
                                                  cLoggingLevel3
                      DisplayFormattedWMIProperty objLOGFileHandle, _
                                                  objWMIInstance, _
                                                  "DHCP obtained", _
                                                  "DHCPLeaseObtained", _
                                                  Null, _
                                                  cLoggingLevel3
                      DisplayFormattedWMIProperty objLOGFileHandle, _
                                                  objWMIInstance, _
                                                  "DHCP server", _
                                                  "DHCPServer", _
                                                  Null, _
                                                  cLoggingLevel3
                   End If

                   ' IP Addresses ---------------------------------------------------------------
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "IP address(es)", _
                                               "IPAddress", _
                                               "IPSubnet", _
                                               cLoggingLevel3
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "IP connection metric", _
                                               "IPConnectionMetric", _
                                               Null, _
                                               cLoggingLevel3
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "Default Gateway(s) and metric", _
                                               "DefaultIPGateway", _
                                               "GatewayCostMetric", _
                                               cLoggingLevel3
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "Dead gateway detection enabled", _
                                               "DeadGWDetectEnabled", _
                                               Null, _
                                               cLoggingLevel3

                   ' DNS -----------------------------------------------------------------------
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "DNS registration enabled", _
                                               "DomainDNSRegistrationEnabled", _
                                               Null, _
                                               cLoggingLevel3
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "DNS FULL registration enabled", _
                                               "FullDNSRegistrationEnabled", _
                                               Null, _
                                               cLoggingLevel3
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "DNS search order", _
                                               "DNSServerSearchOrder", _
                                               Null, _
                                               cLoggingLevel3
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "DNS domain", _
                                               "DNSDomain", _
                                               Null, _
                                               cLoggingLevel3
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "DNS domain suffix search order", _
                                               "DNSDomainSuffixSearchOrder", _
                                               Null, _
                                               cLoggingLevel3
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "DNS enabled for WINS resolution", _
                                               "DNSEnabledForWINSResolution", _
                                               Null, _
                                               cLoggingLevel3
   
                   ' WINS -----------------------------------------------------------------------
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "Primary WINS Server", _
                                               "WINSPrimaryServer", _
                                               Null, _
                                               cLoggingLevel3
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "Secondary WINS Server", _
                                               "WINSSecondaryServer", _
                                               Null, _
                                               cLoggingLevel3
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "WINS scope ID", _
                                               "WINSScopeID", _
                                               Null, _
                                               cLoggingLevel3
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "Enable LMHOSTS lookup", _
                                               "WINSEnableLMHostsLookup", _
                                               Null, _
                                               cLoggingLevel3

                   Select Case objWMIInstance.TcpipNetbiosOptions
                          Case 0
                               DisplayFormattedWMIProperty objLOGFileHandle, _
                                                           objWMIInstance, _
                                                           "NETBIOS over TCP/IP", _
                                                           "by DHCP", _
                                                           Null, _
                                                           cLoggingLevel3
                          Case 1
                               DisplayFormattedWMIProperty objLOGFileHandle, _
                                                           objWMIInstance, _
                                                           "NETBIOS over TCP/IP", _
                                                           "ENABLED", _
                                                           Null, _
                                                           cLoggingLevel3
                          Case 2
                               DisplayFormattedWMIProperty objLOGFileHandle, _
                                                           objWMIInstance, _
                                                           "NETBIOS over TCP/IP", _
                                                           "DISABLED", _
                                                           Null, _
                                                           cLoggingLevel3
                   End Select

                   ' IP Security ----------------------------------------------------------------
                   If objWMIInstance.IPFilterSecurityEnabled Then
                      DisplayFormattedWMIProperty objLOGFileHandle, _
                                                  objWMIInstance, _
                                                  "IP filtering security enabled", _
                                                  "ENABLED", _
                                                  Null, _
                                                  cLoggingLevel3
                      DisplayFormattedWMIProperty objLOGFileHandle, _
                                                  objWMIInstance, _
                                                  "IP port security enabled", _
                                                  "IPPortSecurityEnabled" , _
                                                  Null, _
                                                  cLoggingLevel3
                      DisplayFormattedWMIProperty objLOGFileHandle, _
                                                  objWMIInstance, _
                                                  "IP permitted protocols", _
                                                  "IPSecPermitIPProtocols", _
                                                  Null, _
                                                  cLoggingLevel3
                      DisplayFormattedWMIProperty objLOGFileHandle, _
                                                  objWMIInstance, _
                                                  "TCP ports allowed", _
                                                  "IPSecPermitTCPPorts", _
                                                  Null, _
                                                  cLoggingLevel3
                      DisplayFormattedWMIProperty objLOGFileHandle, _
                                                  objWMIInstance, _
                                                  "UDP ports allowed", _
                                                  "IPSecPermitUDPPorts", _
                                                  Null, _
                                                  cLoggingLevel3
                   End If
               Else
                   DisplayFormattedWMIProperty objLOGFileHandle, _
                                               objWMIInstance, _
                                               "IP status", _
                                               "DISABLED", _
                                               Null, _
                                               cLoggingLevel3
               End If
               Set objWMIInstance = Nothing
           Next
        Else
           WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
           WriteToLogFile objLOGFileHandle, "No Win32_NetworkAdapter information available.", cLoggingLevel1, False
        End If 

        WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

        Set objWMIInstances = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckOSInventory (ByVal objLOGFileHandle, ByVal objWMIServices)

        Dim objWMIInstance, objWMIInstances
        Dim objWMIProperty, objWMIProperties
        Dim intCount

        On Error Resume Next

        ' --------------------------------------------------------------------------------------------------------
        WriteToLogFile objLOGFileHandle, "- Operating System information ", cLoggingLevel0, False

        Set objWMIInstances = objWMIServices.InstancesOf ("Win32_ComputerSystem")
        If Err.Number Then
           CheckOSInventory = ErrorHandler (objLOGFileHandle, "CheckOSInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_ComputerSystem;" & cCritical & ";" & strLastError)
        End If

        intCount = objWMIInstances.Count
        If Err.Number Then
           CheckOSInventory = ErrorHandler (objLOGFileHandle, "CheckOSInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_ComputerSystem;" & cCritical & ";" & strLastError)
        End If

        If intCount Then
           For Each objWMIInstance in objWMIInstances
               Set objWMIProperties = objWMIInstance.Properties_
               For Each objWMIProperty In objWMIProperties
                   Select Case objWMIProperty.Name
                          Case "OEMLogoBitmap"

                          Case Else
                               DisplayFormattedWMIProperty objLOGFileHandle, _
                                                           objWMIInstance, _
                                                           objWMIProperty.Name, _
                                                           objWMIProperty.Name, _
                                                           Null, _
                                                           cLoggingLevel3
                   End Select
               Next
               Set objWMIProperties = Nothing
           Next
        Else
           WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
           WriteToLogFile objLOGFileHandle, "No Win32_ComputerSystem information available.", cLoggingLevel1, False
        End If 

        WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

        Set objWMIInstances = objWMIServices.InstancesOf ("Win32_OperatingSystem")
        If Err.Number Then
           CheckOSInventory = ErrorHandler (objLOGFileHandle, "CheckOSInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_OperatingSystem;" & cCritical & ";" & strLastError)
        End If

        intCount = objWMIInstances.Count
        If Err.Number Then
           CheckOSInventory = ErrorHandler (objLOGFileHandle, "CheckOSInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_OperatingSystem;" & cCritical & ";" & strLastError)
        End If

        If intCount Then
           intCount = 0
           For Each objWMIInstance in objWMIInstances
               intCount = intCount + 1
               DisplayFormattedWMIProperties objLOGFileHandle, objWMIInstance, intCount, 0, cLoggingLevel3
           Next
        Else
           WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
           WriteToLogFile objLOGFileHandle, "No Win32_OperatingSystem information available.", cLoggingLevel1, False
        End If 

        WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

        Set objWMIInstances = objWMIServices.InstancesOf ("Win32_OSRecoveryConfiguration")
        If Err.Number Then
           CheckOSInventory = ErrorHandler (objLOGFileHandle, "CheckOSInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_OSRecoveryConfiguration;" & cCritical & ";" & strLastError)
        End If

        intCount = objWMIInstances.Count
        If Err.Number Then
           CheckOSInventory = ErrorHandler (objLOGFileHandle, "CheckOSInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_OSRecoveryConfiguration;" & cCritical & ";" & strLastError)
        End If

        If intCount Then
           intCount = 0
           For Each objWMIInstance in objWMIInstances
               intCount = intCount + 1
               DisplayFormattedWMIProperties objLOGFileHandle, objWMIInstance, intCount, 0, cLoggingLevel3
           Next
        Else
           WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
           WriteToLogFile objLOGFileHandle, "No Win32_OSRecoveryConfiguration information available.", cLoggingLevel1, False
        End If 

        WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
    
        Set objWMIInstances = objWMIServices.InstancesOf ("Win32_QuickFixEngineering")
        If Err.Number Then
           CheckOSInventory = ErrorHandler (objLOGFileHandle, "CheckOSInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_QuickFixEngineering;" & cCritical & ";" & strLastError)
        End If

        intCount = objWMIInstances.Count
        If Err.Number Then
           CheckOSInventory = ErrorHandler (objLOGFileHandle, "CheckOSInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_QuickFixEngineering;" & cCritical & ";" & strLastError)
        End If

        If intCount Then
           intCount = 0
           For Each objWMIInstance in objWMIInstances
               intCount = intCount + 1
               DisplayFormattedWMIProperties objLOGFileHandle, objWMIInstance, intCount, 0, cLoggingLevel3
           Next
        Else
           WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
           WriteToLogFile objLOGFileHandle, "No Win32_QuickFixEngineering information available.", cLoggingLevel1, False
        End If 

        WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
 
        Set objWMIInstances = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckServicesInventory (ByVal objLOGFileHandle, ByVal objWMIServices)

        Dim objWMIInstance, objWMIInstances
        Dim objWMIProperty, objWMIProperties
        Dim intCount

        On Error Resume Next

        ' --------------------------------------------------------------------------------------------------------
        WriteToLogFile objLOGFileHandle, "- Services information ", cLoggingLevel0, False

        Set objWMIInstances = objWMIServices.InstancesOf ("Win32_Service")
        If Err.Number Then
           CheckServicesInventory = ErrorHandler (objLOGFileHandle, "CheckServicesInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_Service;" & cCritical & ";" & strLastError)
        End If

        intCount = objWMIInstances.Count
        If Err.Number Then
           CheckServicesInventory = ErrorHandler (objLOGFileHandle, "CheckServicesInventory", "", False, Err)
           TrackingData.WMIEnumerationErrors = AddTrackingData (TrackingData.WMIEnumerationErrors, strWMINameSpace & ";InstancesOf;Win32_Service;" & cCritical & ";" & strLastError)
        End If

        If intCount Then
           For Each objWMIInstance in objWMIInstances
               If Len (objWMIInstance.Description) <= 80 Then
                  WriteToLogFile objLOGFileHandle, Left (objWMIInstance.Name & Space (30), 30) & _
                                                   " " & Right (Space (7) & objWMIInstance.State, 7) & _
                                                   " " & Right (Space (8) & objWMIInstance.StartMode, 8) & _
                                                   " " & objWMIInstance.Description, _
                                                   cLoggingLevel3, False
               Else
                  WriteToLogFile objLOGFileHandle, Left (objWMIInstance.Name & Space (30), 30) & _
                                                   " " & Right (Space (7) & objWMIInstance.State, 7) & _
                                                   " " & Right (Space (8) & objWMIInstance.StartMode, 8) & _
                                                   " " & Left (objWMIInstance.Description, 80) & ">...", _
                                                   cLoggingLevel3, False
               End If
           Next
        Else
           WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
           WriteToLogFile objLOGFileHandle, "No Win32_Service information available.", cLoggingLevel1, False
        End If

        WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

        Set objWMIInstances = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckWBEMFilesInventory (ByVal objLOGFileHandle, ByVal objWMIServices)

         Dim objWMIInstance, objWMIInstances
         Dim objWMIProperty, objWMIProperties
         Dim intCount, strWQLQuery

         On Error Resume Next

         ' --------------------------------------------------------------------------------------------------------
         WriteToLogFile objLOGFileHandle, "- WMI Binary files information", cLoggingLevel0, False
 
         strWQLQuery = "Select * From CIM_DataFile Where Drive='" & ReplaceChar (RunTimeEnvironmentInfo.SystemDrive, "\", "") & "' And Path='" & ReplaceChar (Mid (RunTimeEnvironmentInfo.WBem, 3), "\", "\\") & "' And (Extension='DLL' Or Extension='EXE')"
 
         WriteToLogFile objLOGFileHandle, "  WQL Query: '" & strWQLQuery & "'", cLoggingDebug Or cLoggingLevel4, False
         WriteToLogFile objLOGFileHandle, "", cLoggingDebug Or cLoggingLevel4, False
 
         Set objWMIInstances = objWMIServices.ExecQuery (strWQLQuery)
         If Err.Number Then
            CheckWBEMFilesInventory = ErrorHandler (objLOGFileHandle, "CheckWBEMFilesInventory", "", False, Err)
            TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, strWMINamespace & ";" & strWQLQuery & ";" & cCritical & ";" & strLastError)
         End If

         intCount = objWMIInstances.Count
         If Err.Number Then
            CheckWBEMFilesInventory = ErrorHandler (objLOGFileHandle, "CheckWBEMFilesInventory", "", False, Err)
            TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, strWMINamespace & ";" & strWQLQuery & ";" & cCritical & ";" & strLastError)
         End If

         If intCount Then
            For Each objWMIInstance in objWMIInstances
                WriteToLogFile objLOGFileHandle, Left (UCase (objWMIInstance.FileName & "." & objWMIInstance.Extension) & Space (28), 28) & _
                                                 " " & Right (Space (10) & objWMIInstance.FileSize, 10) & _
                                                 " - " & Left (objWMIInstance.Manufacturer & Space (25), 25) & _
                                                 " - " & objWMIInstance.Version, _
                                                 cLoggingLevel3, False
            Next
         Else
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
            WriteToLogFile objLOGFileHandle, "No CIM_DataFile information available.", cLoggingLevel1, False
         End If

         WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
 
         Set objWMIInstances = Nothing

End Function

' ---------------------------------------------------------------------------------------------------------
Function CheckEventLogEVentsInventory (ByVal objLOGFileHandle, ByVal objWMIServices)

         Dim strDate, strDMTFDateTime, strDMTFStartDateTime, longLogLineCounter, longEventLogEventCounter
         Dim arrayEventLogQueries, intIndex

         On Error Resume Next

         ' --------------------------------------------------------------------------------------------------------
         WriteToLogFile objLOGFileHandle, "- NT Event Log information ", cLoggingLevel0, False

         strDate = strStartDate - intOldestEVENTLogHistory
         strDMTFDateTime = ConvertDateTimeToDMTFDateTime (objLOGFileHandle, strDate, strStartTime)
         strDMTFStartDateTime = ConvertDateTimeToDMTFDateTime (objLOGFileHandle, strStartDate, strStartTime)

         WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

         longLogLineCounter = WriteToLogFile (objLOGFileHandle, "Querying event log to locate events older than " & intOldestEVENTLogHistory & " day(s) since " & FormatDateTime (strDate, vbLongDate) & " at " & FormatDateTime (strStartTime, vbShortTime) & ".", cLoggingLevel3, False)
         WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

         arrayEventLogQueries = array ("SYSTEM", "DCOM", _
                                              "SELECT * FROM Win32_NTLogEvent Where SourceName=" & Chr(34) & "DCOM" & Chr(34) & " And LogFile=" & Chr(34) & "System" & Chr(34) & " And (EventType=1 Or EventType=2) And TimeGenerated>=" & Chr(34) & strDMTFDateTime & Chr(34) & " And TimeGenerated<" & Chr(34) & strDMTFStartDateTime & Chr(34), _
                                       "SYSTEM", "WINMGMT", _
                                              "SELECT * FROM Win32_NTLogEvent Where SourceName=" & Chr(34) & "WINMGMT" & Chr(34) & " And LogFile=" & Chr(34) & "Application" & Chr(34) & " And (EventType=1 Or EventType=2) And TimeGenerated>=" & Chr(34) & strDMTFDateTime & Chr(34) & " And TimeGenerated<" & Chr(34) & strDMTFStartDateTime & Chr(34), _
                                       "SYSTEM", "WMIADAPTER", _
                                              "SELECT * FROM Win32_NTLogEvent Where SourceName=" & Chr(34) & "WMIADAPTER" & Chr(34) & " And LogFile=" & Chr(34) & "Application" & Chr(34) & " And (EventType=1 Or EventType=2) And TimeGenerated>=" & Chr(34) & strDMTFDateTime & Chr(34) & " And TimeGenerated<" & Chr(34) & strDMTFStartDateTime & Chr(34) _
                                      )
                  
         For intIndex = 0 To UBound (arrayEventLogQueries) Step 3
             boolRC = WQLQuery (objLOGFileHandle, objWMIServices, arrayEventLogQueries (intIndex + 1), arrayEventLogQueries (intIndex + 2), longEventLogEventCounter)
             If boolRC = True Then
                TrackingData.WMIEventLogEventData = AddTrackingData (TrackingData.WMIEventLogEventData, "SYSTEMERROR;" & arrayEventLogQueries (intIndex + 1) & ";" & longLogLineCounter & ";" & longEventLogEventCounter)
             Else
                TrackingData.WMIEventLogEventData = AddTrackingData (TrackingData.WMIEventLogEventData, arrayEventLogQueries (intIndex) & ";" & arrayEventLogQueries (intIndex + 1) & ";" & longLogLineCounter & ";" & longEventLogEventCounter)
             End If
         Next

         longLogLineCounter = WriteToLogFile (objLOGFileHandle, "Querying event log to locate events created during the execution of WMIDiag since " & FormatDateTime (strStartDate, vbLongDate) & " at " & FormatDateTime (strStartTime, vbShortTime) & ".", cLoggingLevel3, False)
         WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

         arrayEventLogQueries = array ("WMIDIAG", "DCOM", _
                                              "SELECT * FROM Win32_NTLogEvent Where SourceName=" & Chr(34) & "DCOM" & Chr(34) & " And LogFile=" & Chr(34) & "System" & Chr(34) & " And (EventType=1 Or EventType=2) And TimeGenerated>=" & Chr(34) & strDMTFStartDateTime & Chr(34), _
                                       "WMIDIAG", "WINMGMT", _
                                              "SELECT * FROM Win32_NTLogEvent Where SourceName=" & Chr(34) & "WINMGMT" & Chr(34) & " And LogFile=" & Chr(34) & "Application" & Chr(34) & " And (EventType=1 Or EventType=2) And TimeGenerated>=" & Chr(34) & strDMTFStartDateTime & Chr(34), _
                                       "WMIDIAG", "WMIADAPTER", _
                                              "SELECT * FROM Win32_NTLogEvent Where SourceName=" & Chr(34) & "WMIADAPTER" & Chr(34) & " And LogFile=" & Chr(34) & "Application" & Chr(34) & " And (EventType=1 Or EventType=2) And TimeGenerated>=" & Chr(34) & strDMTFStartDateTime & Chr(34) _
                                      )
         
         For intIndex = 0 To UBound (arrayEventLogQueries) Step 3
             boolRC = WQLQuery (objLOGFileHandle, objWMIServices, arrayEventLogQueries (intIndex + 1), arrayEventLogQueries (intIndex + 2), longEventLogEventCounter)
             If boolRC = True Then
                TrackingData.WMIEventLogEventData = AddTrackingData (TrackingData.WMIEventLogEventData, "WMIDIAGERROR;" & arrayEventLogQueries (intIndex + 1) & ";" & longLogLineCounter & ";" & longEventLogEventCounter)
             Else
                TrackingData.WMIEventLogEventData = AddTrackingData (TrackingData.WMIEventLogEventData, arrayEventLogQueries (intIndex) & ";" & arrayEventLogQueries (intIndex + 1) & ";" & longLogLineCounter & ";" & longEventLogEventCounter)
             End If
         Next

End Function 

' ---------------------------------------------------------------------------------------------------------
Function WQLQuery (ByVal objLOGFileHandle, ByVal objWMIServices, ByVal strEventSource, ByVal strWQLQuery, ByRef longEventLogEventCounter)

         Dim objWMIInstance, objWMIInstances, intCount
         Dim strEventDate, strEventTime, strEventGMT

         On Error Resume Next

         Set objWMIInstances = objWMIServices.ExecQuery (strWQLQuery)
         If Err.Number Then
            WriteToLogFile objLOGFileHandle, "  WQL Query: '" & strWQLQuery & "'", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False

            WQLQuery = ErrorHandler (objLOGFileHandle, "WQLQuery ", "", False, Err)
            TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, strWMINamespace & ";" & strWQLQuery & ";" & cCritical & ";" & strLastError)
            Exit Function 
         End If

         intCount = objWMIInstances.Count
         If Err.Number Then
            WriteToLogFile objLOGFileHandle, "  WQL Query: '" & strWQLQuery & "'", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False

            WQLQuery = ErrorHandler (objLOGFileHandle, "WQLQuery", "", False, Err)
            TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, strWMINamespace & ";" & strWQLQuery & ";" & cCritical & ";" & strLastError)
            Exit Function 
         End If

         If intCount > 0 Then   
            WriteToLogFile objLOGFileHandle, "  " & Right ("000" & objWMIInstances.Count, 3) & " " & strEventSource & " event(s):", cLoggingLevel3, False
         Else
            WriteToLogFile objLOGFileHandle, "  ZERO " & strEventSource & " event.", cLoggingLevel3, False
         End If

         WriteToLogFile objLOGFileHandle, "  WQL Query: '" & strWQLQuery & "'", cLoggingDebug Or cLoggingLevel4, False
         WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False

         If intCount > 0 Then   
            For Each objWMIInstance In objWMIInstances 
                WriteToLogFile objLOGFileHandle, "    #" & Right ("000000" & objWMIInstance.RecordNumber, 6) & ": " & UCase (objWMIInstance.SourceName) & " (" & Right ("00000" & objWMIInstance.EventCode, 5) & ") - " & _
                               UCase (Mid (objWMIInstance.Type, 1, 1)) & LCase (Mid (objWMIInstance.Type, 2)) & " - " & _
                               ConvertDMTFDateTimeToLongDateTime (objLOGFileHandle, objWMIInstance.TimeGenerated, strEventDate, strEventTime, strEventGMT, False), _
                               cLoggingLevel3, False  
                arrayWriteToLogFile objLOGFileHandle, Space (13), SplitStringInArrayBySpace (CleanString (objWMIInstance.Message, 32, 255), 70), cLoggingLevel3, False
            Next 
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False
         End If

         longEventLogEventCounter = intCount

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckSuspiciousReboot (ByVal objLOGFileHandle, ByVal objWMIServices)

         Dim objWMIInstance, objWMIInstances, intCount, strWQLQuery
         Dim strDate, strDMTFDateTime, strEventDate, strEventTime, strEventGMT
         Dim arrayEventEntries, intIndex1, intIndex2, boolEventFound, intEventIDToCatch, intInvalidShutdownCounter

         On Error Resume Next

         ' --------------------------------------------------------------------------------------------------------

         WriteToLogFile objLOGFileHandle, "Querying event log to locate startup/shutdown event(s).", cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "", cLoggingLevel3, False

         strWQLQuery = cWQLStartStop

         WriteToLogFile objLOGFileHandle, "  WQL Query: '" & strWQLQuery & "'", cLoggingDebug Or cLoggingLevel4, False
         WriteToLogFile objLOGFileHandle, "", cLoggingDebug Or cLoggingLevel4, False

         Set objWMIInstances = objWMIServices.ExecQuery (strWQLQuery)
         If Err.Number Then
            WriteToLogFile objLOGFileHandle, "  WQL Query: '" & strWQLQuery & "'", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False

            WQLQuery = ErrorHandler (objLOGFileHandle, "WQLQuery ", "", False, Err)
            TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, strWMINamespace & ";" & strWQLQuery & ";" & cCritical & ";" & strLastError)
            Exit Function 
         End If

         intCount = objWMIInstances.Count
         If Err.Number Then
            WriteToLogFile objLOGFileHandle, "  WQL Query: '" & strWQLQuery & "'", cLoggingLevel4, False
            WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False

            WQLQuery = ErrorHandler (objLOGFileHandle, "WQLQuery", "", False, Err)
            TrackingData.WMIExecQueryErrors = AddTrackingData (TrackingData.WMIExecQueryErrors, strWMINamespace & ";" & strWQLQuery & ";" & cCritical & ";" & strLastError)
            Exit Function 
         End If

         If intCount > 0 Then   
            WriteToLogFile objLOGFileHandle, "  " & objWMIInstances.Count & " Startup/Shutdown event(s) found!", cLoggingLevel3, False
         Else
            WriteToLogFile objLOGFileHandle, "  ZERO Startup/Shutdown event(s) found!", cLoggingLevel3, False
         End If

         If intCount > 0 Then
            WriteToLogFile objLOGFileHandle, "", cLoggingDebug Or cLoggingLevel4, False

            intIndex1 = 0
            ReDim arrayEventEntries (intCount)

            For Each objWMIInstance In objWMIInstances
                Set arrayEventEntries(intIndex1) = new EventLogEntry 
                arrayEventEntries(intIndex1).RecordNumber = objWMIInstance.RecordNumber
                arrayEventEntries(intIndex1).EventCode = CInt (objWMIInstance.EventCode)
                arrayEventEntries(intIndex1).TimeGenerated = objWMIInstance.TimeGenerated 

                WriteToLogFile objLOGFileHandle, " " & FindEventName (arrayEventEntries(intIndex1).EventCode) & "on " & ConvertDMTFDateTimeToLongDateTime (objLOGFileHandle, arrayEventEntries(intIndex1).TimeGenerated, strEventDate, strEventTime, strEventGMT, False) & ".", cLoggingDebug Or cLoggingLevel4, False
                intIndex1 = intIndex1 + 1
            Next 
            WriteToLogFile objLOGFileHandle, "", cLoggingDebug Or cLoggingLevel4, False

            boolEventFound = False 
            intInvalidShutdownCounter = 0
            intEventIDToCatch = cSystemStart

            intIndex1 = UBound (arrayEventEntries) - 1
            intEventIDToCatch = GetNextEventToCatch (objLOGFileHandle, arrayEventEntries(intIndex1).EventCode)

            Do
                 If intIndex1 > 0 Then
                    intIndex2 = intIndex1 - 1
                    If arrayEventEntries(intIndex2).EventCode = intEventIDToCatch Then 
                       WriteToLogFile objLOGFileHandle, "Found" & FindEventName (arrayEventEntries(intIndex2).EventCode) & "event (" & ConvertDMTFDateTimeToLongDateTime (objLOGFileHandle, arrayEventEntries(intIndex2).TimeGenerated, strEventDate, strEventTime, strEventGMT, False) & ").", cLoggingDebug Or cLoggingLevel4, False
                       boolEventFound = True
                    Else
                       WriteToLogFile objLOGFileHandle, "Found" & FindEventName (arrayEventEntries(intIndex2).EventCode) & "event instead!", cLoggingDebug Or cLoggingLevel4, False
                       WriteToLogFile objLOGFileHandle, "Incorrect system" & FindEventName (intEventIDToCatch) & "on " & ConvertDMTFDateTimeToLongDateTime (objLOGFileHandle, arrayEventEntries(intIndex2).TimeGenerated, strEventDate, strEventTime, strEventGMT, False) & ".", cLoggingLevel2, False
                       TrackingData.InvalidShutdown = AddTrackingData (TrackingData.InvalidShutdown, FindEventName (intEventIDToCatch) & "on " & ConvertDMTFDateTimeToLongDateTime (objLOGFileHandle, arrayEventEntries(intIndex2).TimeGenerated, strEventDate, strEventTime, strEventGMT, False))
                       intInvalidShutdownCounter = intInvalidShutdownCounter + 1
                       boolEventFound = False
                    End If
            
                    intIndex1 = intIndex1 - 1 
                    intEventIDToCatch = GetNextEventToCatch (objLOGFileHandle, arrayEventEntries(intIndex1).EventCode) 
                 End If 
            Loop While intIndex1 >= 1
         End If

         If intEventIDToCatch = cSystemStart Then
            WriteToLogFile objLOGFileHandle, "Startup event missing!", cLoggingLevel1, False
         End If

         WriteToLogFile objLOGFileHandle, "", cLoggingLevel4, False

         If intInvalidShutdownCounter > 0 Then
            WriteToLogFile objLOGFileHandle, intInvalidShutdownCounter & " incorrect system shutdown(s) found!", cLoggingLevel2, False
            TrackingData.Environment = AddTrackingData (TrackingData.Environment, "SHUTDOWN;" & intInvalidShutdownCounter)
         Else
            WriteToLogFile objLOGFileHandle, "No incorrect system shutdown found.", cLoggingLevel3, False
         End If 

End Function

' --------------------------------------------------------------------------------------------------------
Function GetNextEventToCatch (ByVal objLOGFileHandle, ByVal intEventCode)

         On Error Resume Next

         If CInt (intEventCode) = cSystemStart Then 
            GetNextEventToCatch = cSystemStop
            WriteToLogFile objLOGFileHandle, "Searching for shutdown event ...", cLoggingDebug Or cLoggingLevel4, False
         End If 
         If CInt (intEventCode) = cSystemStop Then 
            GetNextEventToCatch = cSystemStart
            WriteToLogFile objLOGFileHandle, "Searching for startup event ...", cLoggingDebug Or cLoggingLevel4, False
         End If 

End Function 

' --------------------------------------------------------------------------------------------------------
Function FindEventName (ByVal intEventCode)

         On Error Resume Next

         If CInt (intEventCode) = cSystemStart Then 
            FindEventName = " Startup " 
         End If 

         If CInt (intEventCode) = cSystemStop Then 
            FindEventName = " Shutdown " 
         End If 

End Function 

' --------------------------------------------------------------------------------------------------------
Function GetQualifier (ByVal objLOGFileHandle, ByVal objWMIObject, ByVal strQualifierName, ByVal varQualifierDefaultValue, ByVal strWMINameSpace, ByVal strWMIObject)

         Dim varQualifierValue

         On Error Resume Next

         varQualifierValue = varQualifierDefaultValue
         varQualifierValue = objWMIObject.Qualifiers_.Item (strQualifierName)

         If Err.Number Then
            If Err.Number = WBEM_E_NOT_FOUND Then
               Err.Clear
            Else
               ErrorHandler objLOGFileHandle, "GetQualifier", "", False, Err
               TrackingData.QualifierAccessError = AddTrackingData (TrackingData.QualifierAccessError, strWMINameSpace & ";" & strWMIObject & ";" & strLastError)
            End If

            varQualifierValue = varQualifierDefaultValue
         End If
         GetQualifier = varQualifierValue

End Function

' --------------------------------------------------------------------------------------------------------
Function AddTrackingData (ByVal TrackingData, ByVal strText)

         On Error Resume Next

         strText = ReplaceString (strText, ",", " ")
         strText = CleanString (strText, 32, 255)

         If Len (TrackingData) = 0 Then
            TrackingData = strText
         Else
           TrackingData = TrackingData & "," & strText
         End If

         AddTrackingData = TrackingData 

End Function

' --------------------------------------------------------------------------------------------------------
Function AnalyzeDiagnostic (ByVal objFileHandle, ByVal boolDump)

         Dim boolRC

         On Error Resume Next

         boolWMISystemError = False 

         intDefaultLoggingLevel = cLoggingLevel2 ' Ensure warnings and errors are echoed.

         WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False
         WriteToLogFile objFileHandle, "----------------------------------------------------- WMI REPORT: BEGIN ----------------------------------------------------------", cLoggingLevel0, False
         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False
         WriteToLogFile objFileHandle, "", cLoggingLevel0, False

         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False
         WriteToLogFile objFileHandle, RunTimeEnvironmentInfo.ProductFullName & " (" & RunTimeEnvironmentInfo.NTBuild & ") - User '" & RunTimeEnvironmentInfo.DomainName & "\" & RunTimeEnvironmentInfo.UserName & "' on computer '" & RunTimeEnvironmentInfo.LocalComputerName & "'.", cLoggingLevel0, False

         If intWMICriticalityLevel < 4 Then
            AnalyzeEnvironment objFileHandle, boolDump
            AnalyzeWMIFiles objFileHandle, boolDump
            AnalyzeFirewallStatus objFileHandle, boolDump
            AnalyzeInvalidDCOMSetup objFileHandle, boolDump
            AnalyzeInvalidWMIServiceSetup objFileHandle, boolDump
            AnalyzeInvalidWMIDCOMAndWMISetup objFileHandle, boolDump
            AnalyzeSecurity objFileHandle, boolDump
            AnalyzeWMIOperationErrors objFileHandle, boolDump
            AnalyzeRegistrySetup objFileHandle, boolDump
            AnalyzeMissingMOFFiles objFileHandle, boolDump
            AnalyzeMissingWMIProviderMOFFile objFileHandle, boolDump
            AnalyzeMissingPragmaAutorecoverMOFFile objFileHandle, boolDump

            AnalyzeClassAndProviderCorrelation objFileHandle, boolDump
         End If 

         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False

         WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False
         WriteToLogFile objFileHandle, "------------------------------------------------------ WMI REPORT: END -----------------------------------------------------------", cLoggingLevel0, False
         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False
         WriteToLogFile objFileHandle, "", cLoggingLevel0, False

End Function

' --------------------------------------------------------------------------------------------------------
Function AnalyzeEnvironment (ByVal objFileHandle, ByVal boolDump)

         Dim strTemp1, strTemp2, arrayTemp1, arrayTemp2

         On Error Resume Next

         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False

         If Len (TrackingData.Environment) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.Environment, ",")
            If Instr (TrackingData.Environment, "PATH;") > 0 Then
               StatusWriteToLogFile objFileHandle, "Environment", UBound (arrayTemp1) + 1 & " ITEM(S)!", cLoggingLevel1, False
            Else
               If Instr (TrackingData.Environment, "PATHEDGE;") > 0 Or Instr (TrackingData.Environment, "PATHLEN;") > 0 Then
                  StatusWriteToLogFile objFileHandle, "Environment", UBound (arrayTemp1) + 1 & " ITEM(S)!", cLoggingLevel2, Fals
               Else
                  StatusWriteToLogFile objFileHandle, "INFO: Environment", UBound (arrayTemp1) + 1 & " ITEM(S)!", cLoggingLevel0, False
               End If
            End If

            DumpCSV UBound (arrayTemp1) + 1, "Environment", 1, boolDump

            If Instr (TrackingData.Environment, "PATH;") > 0 Then
               WriteToLogFile objFileHandle, "=> The following path(s) is/are missing from the PATH environment variable:", cLoggingLevel1, False
               For Each strTemp1 In arrayTemp1
                   arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                   If arrayTemp2 (0) = "PATH" Then
                      WriteToLogFile objFileHandle, "          - " & arrayTemp2 (1), cLoggingLevel0, False
                   End If
               Next
               WriteToLogFile objFileHandle, "          Failing to have the listed path(s) in the PATH environment variable", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "          could prevent the system to work properly.", cLoggingLevel0, False

               intWMICriticalityLevel = cLoggingLevel1
            End If 

            If Instr (TrackingData.Environment, "PATHEDGE;") > 0 Then
               WriteToLogFile objFileHandle, "=> The following path(s) is/are on the edge or further than the maximum PATH length:", cLoggingLevel2, False
               For Each strTemp1 In arrayTemp1
                   arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                   If arrayTemp2 (0) = "PATHEDGE" Then
                      WriteToLogFile objFileHandle, "          - " & arrayTemp2 (1) & " is at position " & arrayTemp2 (2) & ", while the maximum PATH length is " & arrayTemp2 (3) & ".", cLoggingLevel0, False
                   End If
               Next
               WriteToLogFile objFileHandle, "          Failing to have the listed path(s) at the beginning of the PATH environment variable", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "          could prevent the system to work properly.", cLoggingLevel0, False

               If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
            End If 

            If Instr (TrackingData.Environment, "PATHLEN;") > 0 Then
               WriteToLogFile objFileHandle, "=> The PATH is longer than the supported PATH length:", cLoggingLevel2, False
               For Each strTemp1 In arrayTemp1
                   arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                   If arrayTemp2 (0) = "PATHLEN" Then
                      WriteToLogFile objFileHandle, "          The maximum PATH length must be made of " & arrayTemp2 (2) & " positions.", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "          However, the current PATH length is be made of " & Len (arrayTemp2 (1)) & " positions.", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "          - " & ReplaceString (arrayTemp2 (1), "#", ";"), cLoggingLevel0, False
                   End If
               Next
               WriteToLogFile objFileHandle, "          When the PATH environment variable is too long the bottom part of the path is ignored, which", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "          could prevent the system to work properly.", cLoggingLevel0, False

               If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
            End If 

            If Instr (TrackingData.Environment, "WSHTIMEOUT;") > 0 Then
               WriteToLogFile objFileHandle, "INFO: => WSH is configured with a maximum time a script is permitted to run:", cLoggingLevel0, False
               For Each strTemp1 In arrayTemp1
                   arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                   If arrayTemp2 (0) = "WSHTIMEOUT" Then
                      WriteToLogFile objFileHandle, "         - WSH " & arrayTemp2 (1) & " settings has a timeout set to " & CInt (arrayTemp2 (2)) & " seconds. With REGEDIT,", cLoggingLevel0, False
                      If arrayTemp2 (1) = "USER" Then
                         WriteToLogFile objFileHandle, "           set the 'Timeout' registry key at 'HKCU\Software\Microsoft\Windows Script Host\Settings' to 0.", cLoggingLevel0, False
                      End If 
                      If arrayTemp2 (1) = "MACHINE" Then
                         WriteToLogFile objFileHandle, "           set the 'Timeout' registry key at 'HKLM\SOFTWARE\Microsoft\Windows Script Host\Settings' to 0.", cLoggingLevel0, False
                      End If 
                   End If
               Next
               WriteToLogFile objFileHandle, "      => You can also overwrite these settings with the command:", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         i.e. 'Cscript.Exe //T:5000 //S'", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         i.e. 'Cscript.Exe //T:0 //S'", cLoggingLevel0, False
            End If

            If Instr (TrackingData.Environment, "SHUTDOWN;") > 0 Then
               For Each strTemp1 In arrayTemp1
                   arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                   If arrayTemp2 (0) = "SHUTDOWN" Then
                      WriteToLogFile objFileHandle, "INFO: => " & CInt (arrayTemp2 (1)) & " possible incorrect shutdown(s) detected on:", cLoggingLevel0, False
                      arrayTemp2 = ConvertStringInArray (TrackingData.InvalidShutdown, ",")
                      For Each strTemp2 In arrayTemp2
                          WriteToLogFile objFileHandle, "         - " & strTemp2 & ".", cLoggingLevel0, False
                      Next
                   End If
               Next
            End If

            WriteToLogFile objFileHandle, "", cLoggingLevel0, False     
         Else
            StatusWriteToLogFile objFileHandle, "Environment", "OK", cLoggingLevel0, False
            DumpCSV 0, "Environment", 1, boolDump
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function AnalyzeWMIFiles (ByVal objFileHandle, ByVal boolDump)

         Dim strTemp1, arrayTemp1, arrayTemp2

         On Error Resume Next

         If Len (TrackingData.WMIDiskData) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIDiskData, ";")
            If arrayTemp1 (0) = "CIMWIN32_SKIPPED" Then
               StatusWriteToLogFile objFileHandle, "System drive", "SKIPPED.", cLoggingLevel0, False
               StatusWriteToLogFile objFileHandle, "Drive type", "SKIPPED.", cLoggingLevel0, False
               DumpCSV "SKIPPED", "SystemDriveType", 1, boolDump
               If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
            Else
               StatusWriteToLogFile objFileHandle, "System drive", arrayTemp1 (4) & " (" & arrayTemp1 (3) & ")", cLoggingLevel0, False
               StatusWriteToLogFile objFileHandle, "Drive type", arrayTemp1 (1) & " (" & arrayTemp1 (2) & ")", cLoggingLevel0, False
               DumpCSV arrayTemp1 (1), "SystemDriveType", 1, boolDump
            End If 
         Else
            DumpCSV " ", "SystemDriveType", 1, boolDump
         End If

         If Len (TrackingData.PresenceOfFiles) > 0 Then
            arrayTemp1 = ConvertStringInArray (TrackingData.PresenceOfFiles, ",")
            StatusWriteToLogFile objFileHandle, "The following issues have been found with the following files", UBound (arrayTemp1) + 1 & " FILE(S)!", cLoggingLevel2, False
            DumpCSV UBound (arrayTemp1) + 1, "PresenceOfFiles", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                If CBool (arrayTemp2 (1)) = True Then
                   WriteToLogFile objFileHandle, "=> At this location, '" & arrayTemp2 (0) & "' is a ROGUE file. It is NOT a WMI file. It MUST be deleted.", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   This is an issue because " & arrayTemp2 (2), cLoggingLevel0, False
                End If
            Next

            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                If CBool (arrayTemp2 (1)) = False Then
                   WriteToLogFile objFileHandle, "=> '" & arrayTemp2 (0) & "' is a MISSING file. Retrieve a copy from a working system.", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   This is an issue because " & arrayTemp2 (2), cLoggingLevel0, False
                End If
            Next

            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
         Else
            DumpCSV 0, "PresenceOfFiles", 1, boolDump
         End If

         If Len (TrackingData.AdditionalBinaryWBEMFolder) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.AdditionalBinaryWBEMFolder, ",")
            StatusWriteToLogFile objFileHandle, "INFO: The following UNEXPECTED binary files are/is found in the WBEM folder", UBound (arrayTemp1) + 1 & " FILE(S)!", cLoggingLevel0, False
            DumpCSV UBound (arrayTemp1) + 1, "AdditionalBinaryWBEMFolder", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "  - " & Left (arrayTemp2 (0) & "," & Space (40), 30) & " " & Left (arrayTemp2 (1) & " bytes, " & Space (20), 20) & arrayTemp2 (4), cLoggingLevel0, False
            Next

            WriteToLogFile objFileHandle, "=> This list is provided for information. Unexpected binary file(s) in '" & RunTimeEnvironmentInfo.WBem & "'", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   do not necessarily represent an error. For instance, the file(s) listed can be added by", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   any applications implementing WMI providers.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "=> NO ACTION is required.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         Else
            DumpCSV 0, "AdditionalBinaryWBEMFolder", 1, boolDump
         End If

         If Len (TrackingData.MissingWMISystemFiles) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.MissingWMISystemFiles, ",")
            StatusWriteToLogFile objFileHandle, "The following WMI system file(s) is/are missing", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False
            DumpCSV UBound (arrayTemp1) + 1, "MissingWMISystemFiles", 1, boolDump
            DisplayDiagnostic objFileHandle, arrayTemp1

            WriteToLogFile objFileHandle, "=> Recopy from a working system the missing WMI system files to '" & RunTimeEnvironmentInfo.WBem & "'", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            intWMICriticalityLevel = cLoggingLevel1
         Else
            DumpCSV 0, "MissingWMISystemFiles", 1, boolDump
            StatusWriteToLogFile objFileHandle, "There are no missing WMI system files", "OK", cLoggingLevel0, False
         End If

         If Len (TrackingData.MissingRepositoryFiles) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.MissingRepositoryFiles, ",")

            If Instr (TrackingData.RepositoryFileSizes, ";MISSING;DENIED;") > 0 Then
               StatusWriteToLogFile objFileHandle, "The WMI repository folder is missing or you do not have access to it at", RunTimeEnvironmentInfo.WBem & arrayWMIRepositoryFiles (0), cLoggingLevel1, False
               DumpCSV " ", "MissingRepositoryFiles", 1, boolDump
            Else
               DumpCSV UBound (arrayTemp1) + 1, "MissingRepositoryFiles", 1, boolDump
            End If

            StatusWriteToLogFile objFileHandle, "The following WMI repository file(s) is/are missing", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False

            DisplayDiagnostic objFileHandle, arrayTemp1

            WriteToLogFile objFileHandle, "=> To fix this issue:", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   - ENSURE you have all access rights to the WMI repository folder.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   - ENSURE you run WMIDiag as an Administrator.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "=> If the issue is not due to a lack of privileges, and folder/files are really missing, while", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   the WMI service successfully started, then WMI will rebuild the repository based on the", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   auto-recovery mechanism. In such a case, WMI repository files shoud be available after the execution", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   of WMIDiag. Check WMIDiag LOG.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "=> If the issue is NOT due to a lack of privileges, and folder/files are really missing, while", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   the WMI service does not start, then additional errors should be displayed (i.e. registry, DCOM, service hosts).", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   You must fix those issues first!", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "=> After fixing issues, if the files are still missing and if you do not want WMI to rebuild", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   the WMI repository, then you must restore the WMI repository from a previous backup.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   Note: The System State backup or the System Restore snapshot contain a backup of", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "         of the WMI repository.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "=> If no backup is available, you must rebuild the repository.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   Note: The WMI repository reconstruction requires to locate all MOF files needed to rebuild the repository,", cLoggingLevel0, False 
            WriteToLogFile objFileHandle, "         otherwise some applications may fail after the reconstruction.", cLoggingLevel0, False 
            WriteToLogFile objFileHandle, "         This can be achieved with the following command:", cLoggingLevel0, False 
            WriteToLogFile objFileHandle, "         i.e. 'WMIDiag ShowMOFErrors'", cLoggingLevel0, False 
            WriteToLogFile objFileHandle, "   Note: Any missing MOF files, or existing MOF files not listed in the Auto-recovery", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "         registry key will be excluded from the WMI repository reconstruction.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "         This may imply the lost of WMI registration information.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   Note: The repository reconstruction must be a LAST RESORT solution and ONLY after executing", cLoggingLevel0, False 
            WriteToLogFile objFileHandle, "         ALL fixes previously mentioned.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "Static information stored by external applications in the repository will be LOST! (i.e. SMS Inventory)", cLoggingLevel2, False
            WriteToLogFile objFileHandle, "=> To rebuild the WMI repository, you must:", cLoggingLevel0, False
            If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM Then
               WriteToLogFile objFileHandle, "   - Reset the WMI repository", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "     (The WMI repository rebuilt is based on auto-recovery)", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "     i.e. 'WINMGMT /ResetRepository'", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   OR", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   - Salvage the WMI repository if you want to attempt the retrieval of good data from the", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "     inconsistent repository", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "     (The repository rebuilt is based on auto-recovery + salvage)", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "     i.e. 'WINMGMT /SalvageRepository'", cLoggingLevel0, False
            Else
               WriteToLogFile objFileHandle, "   - Stop the WMI Service.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "     i.e. 'NET.EXE STOP WINMGMT'", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   - Move the existing WMI repository files to another location.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "     i.e. MOVE " & RunTimeEnvironmentInfo.WBem & arrayWMIRepositoryFiles (0) & "\*.* %TEMP%", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   - Start the WMI Service.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "     i.e. 'NET.EXE START WINMGMT'", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   WMI will rebuild the WMI repository based the auto-recovery mechanism.", cLoggingLevel0, False
            End If 
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            intWMICriticalityLevel = cLoggingLevel1
         Else
            DumpCSV 0, "MissingRepositoryFiles", 1, boolDump
            StatusWriteToLogFile objFileHandle, "There are no missing WMI repository files", "OK", cLoggingLevel0, False
         End If

         If Len (TrackingData.WMIRepositoryConsistency) > 0 Then 
            If CBool (TrackingData.WMIRepositoryConsistency) = True Then
               StatusWriteToLogFile objFileHandle, "WMI repository state", "CONSISTENT", cLoggingLevel0, False
               DumpCSV "CONSISTENT", "WMIRepositoryConsistency", 1, boolDump
            End If 
            
            If CBool (TrackingData.WMIRepositoryConsistency) = False Then
               StatusWriteToLogFile objFileHandle, "WMI repository state", "ERROR (INCONSISTENT)!", cLoggingLevel1, False
               DumpCSV "INCONSISTENT", "WMIRepositoryConsistency", 1, boolDump

               If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP2 Or _
		  RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP3 Then
                  WriteToLogFile objFileHandle, "   Note: Under Windows XP SP2 and SP3, when the repository is checked and detected INCONSISTENT,", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "         a new repository is automatically re-created based on Auto-Recovery mechanism.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "         Note that some information can be lost during this process (i.e. static data, CIM registration).", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "         However, the original repository is located at '" & RunTimeEnvironmentInfo.WBem & "Repository.001'.", cLoggingLevel0, False
               End If 

               WriteToLogFile objFileHandle, "=> To fix this issue and if you do not want WMI to rebuild", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   the WMI repository, then you must restore the WMI repository from a previous backup.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   Note: The System State backup or the System Restore snapshot contain a backup of", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         of the WMI repository.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "=> If no backup is available, you must rebuild the repository.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   Note: The WMI repository reconstruction requires to locate all MOF files needed to rebuild the repository,", cLoggingLevel0, False 
               WriteToLogFile objFileHandle, "         otherwise some applications may fail after the reconstruction.", cLoggingLevel0, False 
               WriteToLogFile objFileHandle, "         This can be achieved with the following command:", cLoggingLevel0, False 
               WriteToLogFile objFileHandle, "         i.e. 'WMIDiag ShowMOFErrors'", cLoggingLevel0, False 
               WriteToLogFile objFileHandle, "   Note: Any missing MOF files, or existing MOF files not listed in the Auto-recovery", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         registry key will be excluded from the WMI repository reconstruction.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         This may imply the lost of WMI registration information.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   Note: The repository reconstruction must be a LAST RESORT solution and ONLY after executing", cLoggingLevel0, False 
               WriteToLogFile objFileHandle, "         ALL fixes previously mentioned.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "Static information stored by external applications in the repository will be LOST! (i.e. SMS Inventory)", cLoggingLevel2, False
               WriteToLogFile objFileHandle, "=> To rebuild the WMI repository, you must:", cLoggingLevel0, False
               If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM Then
                  WriteToLogFile objFileHandle, "   - Reset the WMI repository", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "     (The WMI repository rebuilt is based on auto-recovery)", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "     i.e. 'WINMGMT /ResetRepository'", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   OR", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   - Salvage the WMI repository if you want to attempt the retrieval of good data from the", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "     inconsistent repository", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "     (The repository rebuilt is based on auto-recovery + salvage)", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "     i.e. 'WINMGMT /SalvageRepository'", cLoggingLevel0, False
               Else
                  WriteToLogFile objFileHandle, "   - Stop the WMI Service.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "     i.e. 'NET.EXE STOP WINMGMT'", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   - Move the existing WMI repository files to another location.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "     i.e. MOVE " & RunTimeEnvironmentInfo.WBem & arrayWMIRepositoryFiles (0) & "\*.* %TEMP%", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   - Start the WMI Service.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "     i.e. 'NET.EXE START WINMGMT'", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   WMI will rebuild the WMI repository based the auto-recovery mechanism.", cLoggingLevel0, False
               End If 
               WriteToLogFile objFileHandle, "", cLoggingLevel0, False

               boolWMISystemError = True
               intWMICriticalityLevel = cLoggingLevel1
            End If 
         Else
            If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP2 Or _ 
               RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP3 Then
               StatusWriteToLogFile objFileHandle, "WMI repository state", "NOT TESTED", cLoggingLevel0, False
            Else
               StatusWriteToLogFile objFileHandle, "WMI repository state", "N/A", cLoggingLevel0, False
            End If
            DumpCSV " ", "WMIRepositoryConsistency", 1, boolDump
         End If

         If Len (TrackingData.RepositoryFileSizes) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.RepositoryFileSizes, ",")
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")

                If Instr (arrayTemp2 (0), "FOLDERSIZEBEFORE") > 0 Then 
                   WriteToLogFile objFileHandle, "BEFORE running WMIDiag:", cLoggingLevel0, False
                End If 
                If Instr (arrayTemp2 (0), "FOLDERSIZEAFTER") > 0 Then 
                   WriteToLogFile objFileHandle, "AFTER running WMIDiag:", cLoggingLevel0, False
                End If 

                Select Case arrayTemp2 (0) 
                       Case "FOLDERSIZEBEFORE", "FOLDERSIZEAFTER"
                            StatusWriteToLogFile objFileHandle, "The WMI repository has a size of", Round (arrayTemp2 (2) / (1024^2)) & " MB", cLoggingLevel0, False
                            DumpCSV Round (arrayTemp2 (2) / (1024^2)), "RepositoryFolderSize", 1, boolDump
                       Case "FREESPACEBEFORE", "FREESPACEAFTER"
                            StatusWriteToLogFile objFileHandle, "- Disk free space on '" & arrayTemp2 (1) & "'", Round (arrayTemp2 (3) / (1024^2)) & " MB", cLoggingLevel0, False
                            DumpCSV Round (arrayTemp2 (3) / (1024^2)), "DiskFreeSpace", 1, boolDump
                       Case Else
                            WriteToLogFile objFileHandle, "  - " & Left (arrayTemp2 (0) & "," & Space (40), 30) & " " & Left (arrayTemp2 (1) & " bytes, " & Space (20), 20) & arrayTemp2 (4), cLoggingLevel0, False
                            If Instr (TrackingData.RepositoryFileSizes, ";MISSING;DENIED;") > 0 Then
                               DumpCSV 0, "RepositoryFileSizes", 1, boolDump
                            End If
                End Select
            Next
         Else
            StatusWriteToLogFile objFileHandle, "- The WMI repository has a size of", "NOT AVAILABLE", cLoggingLevel0, False
            DumpCSV " ", "RepositoryFileSizes", 1, boolDump
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function AnalyzeFirewallStatus (ByVal objFileHandle, ByVal boolDump)

         Dim strTemp, arrayTemp, strFWProfile
         Dim strWMIInbound, strWMIAsyncInbound

         On Error Resume Next

         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False

         If Instr (TrackingData.FirewallStatus, "FWNOTINSTALLED") > 0 Then 
            StatusWriteToLogFile objFileHandle, "Windows Firewall", "NOT INSTALLED", cLoggingLevel0, False
            DumpCSV " ", "FirewallStatus", 1, boolDump
            DumpCSV " ", "RemoteAdmin", 1, boolDump
            DumpCSV " ", "UnSecApp", 1, boolDump
         Else
            If Instr (TrackingData.FirewallStatus, "FWSVCSTOPPED") > 0 Then 
               StatusWriteToLogFile objFileHandle, "Windows Firewall Service", "STOPPED", cLoggingLevel2, False
               DumpCSV "False", "FirewallStatus", 1, boolDump
               DumpCSV " ", "RemoteAdmin", 1, boolDump
               DumpCSV " ", "UnSecApp", 1, boolDump
            Else
               If Instr (TrackingData.FirewallStatus, "FWDISABLED") > 0 Then 
                  StatusWriteToLogFile objFileHandle, "Windows Firewall", "DISABLED", cLoggingLevel2, False
                  DumpCSV "False", "FirewallStatus", 1, boolDump
                  DumpCSV " ", "RemoteAdmin", 1, boolDump
                  DumpCSV " ", "UnSecApp", 1, boolDump
               Else
                  StatusWriteToLogFile objFileHandle, "INFO: Windows Firewall status", "ENABLED", cLoggingLevel0, False
                  DumpCSV "True", "FirewallStatus", 1, boolDump
   
                  If Len (TrackingData.FirewallStatus) > 0 Then 
                     If RunTimeEnvironmentInfo.OSIdentifier > cWindows2003SP264 Then

                        strWMIInbound = "True"
                        strWMIAsyncInbound = "True"

                        arrayTemp = ConvertStringInArray (TrackingData.FirewallStatus, ",")
                        For Each strTemp In arrayTemp         
                            If Mid (strTemp, 1, 10) = "FWPROFILE=" Then
                               strFWProfile = Mid (strTemp, 11)
                               StatusWriteToLogFile objFileHandle, "Windows Firewall Profile", strFWProfile, cLoggingLevel0, False
                            End If
                            If strTemp = "FWNOEXCEPTION" Then
                               StatusWriteToLogFile objFileHandle, "Firewall inbound exception rules BLOCKED", "ENABLED", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "=> This will prevent any WMI remote connectivity to this computer despite the activation of any firewall inbound rules.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   Changing or adding an inbound firewall rule (or group) to the current profile will not take effect", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   because inbound exceptions are not allowed.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, " - You can adjust the configuration by executing the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, " i.e. 'NETSH.EXE ADVFIREWALL SET ALLPROFILES FIREWALLPOLICY BLOCKINBOUND,ALLOWOUTBOUND'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False

                               strWMIInbound = "False"
                            End If 
                            If strTemp = "FWNOINBOUND" Then
                               StatusWriteToLogFile objFileHandle, "Inbound connections that do not match a rule BLOCKED", "ENABLED", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "=> This will prevent any WMI remote connectivity to this computer except", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   if the following three inbound rules are ENABLED and non-BLOCKING:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - '" & cFWRuleDCOMIn & "'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - '" & cFWRuleWMIIn & "'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - '" & cFWRuleAsyncIn & "'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   Verify the reported status for each of these three inbound rules below.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                            End If 
                            If strTemp = "FWNOOUTBOUND" Then
                               StatusWriteToLogFile objFileHandle, "Outbound connections that do not match a rule BLOCKED", "ENABLED", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "=> This will prevent any WMI asynchronous connectivity from this computer except", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   if the following outbound rule is ENABLED and non-BLOCKING:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - '" & cFWRuleWMIOut & "'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   Verify the reported status for this outbound rule below.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                            End If 
                            If strTemp = "FWGROUPRULEDISABLED" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall '" & cWMIRuleGroup & "' group rule", "DISABLED", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "=> This will prevent any WMI remote connectivity to/from this machine.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - You can adjust the configuration by executing the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   i.e. 'NETSH.EXE ADVFIREWALL FIREWALL SET RULE GROUP=" & Chr(34) & cWMIRuleGroup & Chr(34) & " NEW ENABLE=YES'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "Note: With this command all inbound and outbound WMI rules are activated at once!", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "      You can also enable each individual rule instead of activating the group rule.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                            End If 
                            If strTemp = "FWGROUPRULEENABLED" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall '" & cWMIRuleGroup & "' GROUP rule", "ENABLED", cLoggingLevel0, False
                            End If 
                            If strTemp = "DCOM-IN_DISABLED" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall '" & cFWRuleDCOMIn & "' rule", "DISABLED", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "=> This will prevent any DCOM WMI inbound connectivity to this machine.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "Note: The rule '" & cFWRuleDCOMIn & "' rule must be ENABLED to allow incoming DCOM WMI connectivity.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - You can adjust the configuration of this rule by executing the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   i.e. 'NETSH.EXE ADVFIREWALL FIREWALL SET RULE NAME=" & Chr(34) & cFWRuleDCOMIn & Chr(34) & " NEW ENABLE=YES'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False

                               strWMIInbound = "False"
                            End If 
                            If strTemp = "DCOM-IN_ENABLED" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall '" & cFWRuleDCOMIn & "' rule", "ENABLED", cLoggingLevel0, False
                            End If 
                            If strTemp = "DCOM-IN_BLOCKED" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall '" & cFWRuleDCOMIn & "' rule", "BLOCKED", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "=> This will prevent any DCOM WMI inbound connectivity to this computer even if the rule is ENABLED.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - You can adjust the configuration of this rule by executing the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   i.e. 'NETSH.EXE ADVFIREWALL FIREWALL SET RULE NAME=" & Chr(34) & cFWRuleDCOMIn & Chr(34) & " NEW ACTION=ALLOW'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False

                               strWMIInbound = "False"
                            End If 
                            If strTemp = "WMI-IN_DISABLED" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall '" & cFWRuleWMIIn & "' rule", "DISABLED", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "=> This will prevent any WMI inbound connectivity to this machine.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "Note: The rule '" & cFWRuleWMIIn & "' rule must be ENABLED to allow incoming WMI connectivity.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - You can adjust the configuration of this rule by executing the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   i.e. 'NETSH.EXE ADVFIREWALL FIREWALL SET RULE NAME=" & Chr(34) & cFWRuleWMIIn & Chr(34) & " NEW ENABLE=YES'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False

                               strWMIInbound = "False"
                            End If 
                            If strTemp = "WMI-IN_ENABLED" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall '" & cFWRuleWMIIn & "' rule", "ENABLED", cLoggingLevel0, False
                            End If 
                            If strTemp = "WMI-IN_BLOCKED" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall '" & cFWRuleWMIIn & "' rule", "BLOCKED", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "=> This will prevent any WMI inbound connectivity to this computer even if the rule is ENABLED.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - You can adjust the configuration of this rule by executing the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   i.e. 'NETSH.EXE ADVFIREWALL FIREWALL SET RULE NAME=" & Chr(34) & cFWRuleWMIIn & Chr(34) & " NEW ACTION=ALLOW'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False

                               strWMIInbound = "False"
                            End If 
                            If strTemp = "ASYNC-IN_DISABLED" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall '" & cFWRuleAsyncIn & "' rule", "DISABLED", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "=> This will prevent any WMI asynchronous inbound connectivity to this machine.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - You can adjust the configuration of this rule by executing the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   i.e. 'NETSH.EXE ADVFIREWALL FIREWALL SET RULE NAME=" & Chr(34) & cFWRuleAsyncIn & Chr(34) & " NEW ENABLE=YES'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False

                               strWMIAsyncInbound = "False"
                            End If 
                            If strTemp = "ASYNC-IN_ENABLED" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall '" & cFWRuleAsyncIn & "' rule", "ENABLED", cLoggingLevel0, False
                            End If 
                            If strTemp = "ASYNC-IN_BLOCKED" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall '" & cFWRuleAsyncIn & "' rule", "BLOCKED", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "=> This will prevent any WMI asynchronous inbound connectivity to this computer even if the rule is ENABLED.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - You can adjust the configuration of this rule by executing the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   i.e. 'NETSH.EXE ADVFIREWALL FIREWALL SET RULE NAME=" & Chr(34) & cFWRuleAsyncIn & Chr(34) & " NEW ACTION=ALLOW'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False

                               strWMIAsyncInbound = "False"
                            End If 
                            If strTemp = "WMI-OUT_DISABLED" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall '" & cFWRuleWMIOut & "' rule", "DISABLED", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "=> This will prevent any WMI asynchronous outbound connectivity from this machine.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - You can adjust the configuration of this rule by executing the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   i.e. 'NETSH.EXE ADVFIREWALL FIREWALL SET RULE NAME=" & Chr(34) & cFWRuleWMIOut & Chr(34) & " NEW ENABLE=YES'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                            End If 
                            If strTemp = "WMI-OUT_ENABLED" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall '" & cFWRuleWMIOut & "' rule", "ENABLED", cLoggingLevel0, False
                            End If 
                            If strTemp = "WMI-OUT_BLOCKED" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall '" & cFWRuleWMIOut  & "' rule", "BLOCKED", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "=> This will prevent any WMI asynchronous outbound connectivity from this computer even if the rule is ENABLED.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - You can adjust the configuration of this rule by executing the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   i.e. 'NETSH.EXE ADVFIREWALL FIREWALL SET RULE NAME=" & Chr(34) & cFWRuleWMIOut & Chr(34) & " NEW ACTION=ALLOW'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                            End If 
                            If strTemp = "FWGPOVERRIDES" Then    
                               WriteToLogFile objLOGFileHandle, "INFO: Changing or adding a firewall rule (or group) to the current profile will not take effect because group policy overrides it.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                            End If 
                        Next
                        DumpCSV strWMIInbound, "RemoteAdmin", 1, boolDump
                        DumpCSV strWMIAsyncInbound, "UnSecApp", 1, boolDump
                     Else
                        arrayTemp = ConvertStringInArray (TrackingData.FirewallStatus, ",")
                        For Each strTemp In arrayTemp   
                            If Mid (strTemp, 1, 10) = "FWPROFILE=" Then
                               strFWProfile = Mid (strTemp, 11)
                               StatusWriteToLogFile objFileHandle, "Windows Firewall Profile", strFWProfile, cLoggingLevel0, False
                            End If
                            If strTemp = "NOREMOTEADMIN" And UBound (arrayTemp) = 1 Then
                               DumpCSV "False", "RemoteAdmin", 1, boolDump
                               DumpCSV "True", "UnSecApp", 1, boolDump
                            End If 
                            If strTemp = "NOUNSECAPP" And UBound (arrayTemp) = 1 Then
                               DumpCSV "True", "RemoteAdmin", 1, boolDump
                               DumpCSV "False", "UnSecApp", 1, boolDump
                            End If 
                            If (strTemp = "NOREMOTEADMIN" Or strTemp = "NOUNSECAPP") And UBound (arrayTemp) = 2 Then
                               DumpCSV "False", "RemoteAdmin/UnSecApp", 1, boolDump
                            End If

                            If strTemp = "NOREMOTEADMIN" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall 'RemoteAdmin' status", "DISABLED", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "=> This will prevent any WMI remote connectivity to this machine.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - You can adjust the configuration by executing the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   i.e. 'NETSH.EXE FIREWALL SET SERVICE REMOTEADMIN ENABLE SUBNET'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False   
                            End If 
                            If strTemp = "NOUNSECAPP" Then
                               StatusWriteToLogFile objFileHandle, "Windows Firewall application exception for 'UNSECAPP.EXE'", "MISSING", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "=> This will prevent any script and MMC application asynchronous callbacks to this machine.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - You can adjust the configuration by executing the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   i.e. 'NETSH.EXE FIREWALL SET ALLOWEDPROGRAM " & RunTimeEnvironmentInfo.WBem & "UNSECAPP.EXE WMICALLBACKS ENABLE'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "", cLoggingLevel0, False   
                            End If 
                        Next
                     End If 
                  Else
                     DumpCSV "True", "RemoteAdmin", 1, boolDump
                     DumpCSV "True", "UnSecApp", 1, boolDump
                  End If
               End If
            End If
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function AnalyzeInvalidDCOMSetup (ByVal objFileHandle, ByVal boolDump)

         Dim strTemp1, arrayTemp1, arrayTemp2, intIndex

         On Error Resume Next

         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False

         If Len (TrackingData.InvalidDCOMSetup) > 0 Then 
            If Instr (TrackingData.InvalidDCOMSetup, "DCOMDISABLED") > 0 Then 
               StatusWriteToLogFile objFileHandle, "DCOM Status", "ERROR!", cLoggingLevel1, False
            Else
               StatusWriteToLogFile objFileHandle, "DCOM Status", "WARNING!", cLoggingLevel2, False
            End If 

            arrayTemp1 = ConvertStringInArray (TrackingData.InvalidDCOMSetup, ",")
            For Each strTemp1 In arrayTemp1
                Select Case strTemp1
                       Case "DCOMDISABLED"
                            WriteToLogFile objFileHandle, "=> The DCOM configuration on this computer is DISABLED.", cLoggingLevel1, False 
                            WriteToLogFile objFileHandle, "   This prevents WMI to work correctly.", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "   You can fix the DCOM configuration by:", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "   - Executing the 'DCOMCNFG.EXE' command.", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "   - Expanding 'Component Services' and 'Computers' nodes.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - Editing properties of 'My Computer' node.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - Editing the 'Default properties' tab.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - Activate the 'Enable Distributed COM on this computer' checkbox.", cLoggingLevel0, False


                            If RunTimeEnvironmentInfo.OSIdentifier > cWindows2000SP4 Then
                               WriteToLogFile objFileHandle, "   From the command line, the DCOM configuration can be corrected with the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   i.e. 'REG.EXE Add HKLM\SOFTWARE\Microsoft\Ole /v EnableDCOM /t REG_SZ /d Y /f'", cLoggingLevel0, False
                            End If
                            intWMICriticalityLevel = cLoggingLevel1

                       Case "DCOMNOCONNECT"
                            WriteToLogFile objFileHandle, "=> The DCOM Default Authentication is NOT set to 'Connect'.", cLoggingLevel2, False
                            WriteToLogFile objFileHandle, "   This could prevent WMI to work correctly.", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "   You can fix the DCOM configuration by:", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "   - Executing the 'DCOMCNFG.EXE' command.", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "   - Expanding 'Component Services' and 'Computers' nodes.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - Editing properties of 'My Computer' node.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - Editing the 'Default properties' tab.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - Set the 'Default Authentication level' listbox to 'Connect'.", cLoggingLevel0, False
                            If RunTimeEnvironmentInfo.OSIdentifier > cWindows2000SP4 Then
                               WriteToLogFile objFileHandle, "   From the command line, the DCOM configuration can be corrected with the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   i.e. 'REG.EXE Add HKLM\SOFTWARE\Microsoft\Ole /v LegacyAuthenticationLevel /t REG_DWORD /d 2 /f'", cLoggingLevel0, False
                            End If

                            If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2

                       Case "DCOMNOIDENTIFY"
                            WriteToLogFile objFileHandle, "=> The DCOM Default Impersonation is NOT set to 'Identify'.", cLoggingLevel2, False
                            WriteToLogFile objFileHandle, "   This could prevent WMI to work correctly.", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "   You can fix the DCOM configuration by:", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "   - Executing the 'DCOMCNFG.EXE' command.", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "   - Expanding 'Component Services' and 'Computers' nodes.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - Editing properties of 'My Computer' node.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - Editing the 'Default properties' tab.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - Set the 'Default Impersonation level' listbox to 'Identify'.", cLoggingLevel0, False
                            If RunTimeEnvironmentInfo.OSIdentifier > cWindows2000SP4 Then
                               WriteToLogFile objFileHandle, "   From the command line, the DCOM configuration can be corrected with the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   i.e. 'REG.EXE Add HKLM\SOFTWARE\Microsoft\Ole /v LegacyImpersonationLevel /t REG_DWORD /d 2 /f'", cLoggingLevel0, False
                            End If

                            If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
                End Select
            Next

            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            DumpCSV 1, "InvalidDCOMSetup", 1, boolDump
         Else
            StatusWriteToLogFile objFileHandle, "DCOM Status", "OK", cLoggingLevel0, False
            DumpCSV 0, "InvalidDCOMSetup", 1, boolDump
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function AnalyzeInvalidWMIServiceSetup (ByVal objFileHandle, ByVal boolDump)

         Dim strTemp1, arrayTemp1, arrayTemp2, intIndex

         On Error Resume Next

         If Len (TrackingData.InvalidWMIServiceSetup) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.InvalidWMIServiceSetup, ",")
            For Each strTemp1 In arrayTemp1
                Select Case strTemp1
                       Case "WMISERVICESTANDALONEHOST"
                            StatusWriteToLogFile objFileHandle, "INFO: WMI registry setup", "STANDALONE", cLoggingLevel2, False
                            WriteToLogFile objFileHandle, "=> The WMI service is configured to run as a STANDALONE service host.", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "   - You should run the WMI service in a SHARED service host (recommended and default setup)", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "     by executing the following command:", cLoggingLevel0, False 
                            If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM Then 
                               WriteToLogFile objFileHandle, "   i.e. 'WINMGMT.EXE /SharedHost'", cLoggingLevel0, False
                            Else
                               WriteToLogFile objFileHandle, "   i.e. 'RUNDLL32.EXE " & RunTimeEnvironmentInfo.WBem & "WMISVC.DLL,MoveToShared'", cLoggingLevel0, False
                            End If
                            WriteToLogFile objFileHandle, "=> Reboot the system.", cLoggingLevel0, False

                       Case "WMISERVICEHOST"
                            StatusWriteToLogFile objFileHandle, "WMI registry setup", "INVALID HOSTING SETUP!", cLoggingLevel2, False
                            WriteToLogFile objFileHandle, "=> The WMI service must be configured to run as a STANDALONE service host or", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "   as a SHARED service host but the (SvcHost) configuration contains invalid information.", cLoggingLevel0, False 
                            If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM Then 
                               WriteToLogFile objFileHandle, "=> You can fix this issue by running ONE of the following commands:", cLoggingLevel0, False 
                               WriteToLogFile objFileHandle, "   - Shared service host (recommended):", cLoggingLevel0, False 
                               WriteToLogFile objFileHandle, "     i.e. 'WINMGMT.EXE /SharedHost'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - Standalone service host:", cLoggingLevel0, False 
                               WriteToLogFile objFileHandle, "     i.e. 'WINMGMT.EXE /StandaloneHost'", cLoggingLevel0, False
                            Else
                               WriteToLogFile objFileHandle, "=> You can fix this issue by running ONE of the following commands (case sensitive):", cLoggingLevel0, False 
                               WriteToLogFile objFileHandle, "   - Shared service host (recommended):", cLoggingLevel0, False 
                               WriteToLogFile objFileHandle, "     i.e. 'RUNDLL32.EXE " & RunTimeEnvironmentInfo.WBem & "WMISVC.DLL,MoveToShared'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - Standalone service host:", cLoggingLevel0, False 
                               WriteToLogFile objFileHandle, "     i.e. 'RUNDLL32.EXE " & RunTimeEnvironmentInfo.WBem & "WMISVC.DLL,MoveToAlone'", cLoggingLevel0, False
                            End If
                            WriteToLogFile objFileHandle, "=> Reboot the system.", cLoggingLevel0, False

                            If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2

                       Case "WMISERVICEDISABLED"
                            StatusWriteToLogFile objFileHandle, "WMI registry setup", "DISABLED!", cLoggingLevel1, False
                            WriteToLogFile objFileHandle, "=> The WMI service automatic startup is DISABLED!", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - It is a best practice for manageability purposes to start", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "     the WMI service at computer startup (automactic startup).", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "=> The service startup state can be changed with the SERVICES MMC snap-in.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   or with the the command:", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   i.e. 'SC.EXE CONFIG WINMGMT START= AUTO'", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   Note: The SC.EXE command is available in the Windows Resource Kit.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "=> You can also check the registry key setup further in this report.", cLoggingLevel0, False

                            intWMICriticalityLevel = cLoggingLevel1

                       Case "WMISERVICESETUP"
                            If Instr (TrackingData.InvalidWMIServiceSetup, "DISABLED") = 0 Then
                               StatusWriteToLogFile objFileHandle, "WMI registry setup", "SERVICE SETUP ISSUES!", cLoggingLevel2, False
                               WriteToLogFile objFileHandle, "=> If the WMI service is RUNNING and if registry settings are not correct,", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   you should check which registry key is subject to modifications (below in this report).", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   You can eventually repair the registry:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - manually with REGEDIT.EXE.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - by importing the missing registry keys from a working system (same Windows version, same SP level).", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - You can also repair the WMI Service registry setup by re-creating the WMI service", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     setup with the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     i.e. 'SC.EXE CREATE WINMGMT BINPATH= " & RunTimeEnvironmentInfo.WBem & "WINMGMT.EXE START= AUTO'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   Note: The SC.EXE command is available in the Windows Resource Kit.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     If the command fails because the WMI service name already exists,", cLoggingLevel0, False 
                               WriteToLogFile objFileHandle, "     you can delete the existing definition with the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     i.e. 'SC.EXE DELETE WINMGMT'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     If the SC.EXE command does not work, you can delete with REGEDIT.EXE the registry hive at:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     'HKLM\SYSTEM\CurrentControlSet\Services\Winmgmt'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     and re-execute the 'SC.EXE CREATE' command above.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   Note: It could be required to reboot the system to refresh the Service Control Manager configuration.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     - Once the WMI service is re-created:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     - Make sure there is no other registry keys missing or wrongly configured.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "       You can manually add the missing keys with REGEDIT.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     - After re-creating the registry, and fixing ALL missing entries, you must configure", cLoggingLevel0, False 
                               WriteToLogFile objFileHandle, "       the WMI service to run as a STANDALONE service host or as a SHARED service host (SvcHost)", cLoggingLevel0, False 
                               If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM Then 
                                  WriteToLogFile objFileHandle, "       You can achieve this by running the following commands:", cLoggingLevel0, False 
                                  WriteToLogFile objFileHandle, "       - to configure the service to run as a SHARED service host (recommended):", cLoggingLevel0, False 
                                  WriteToLogFile objFileHandle, "         i.e. 'WINMGMT.EXE /SharedHost'", cLoggingLevel0, False
                                  WriteToLogFile objFileHandle, "       - if you have issue to get the WMI service running as a SHARED service host, it", cLoggingLevel0, False 
                                  WriteToLogFile objFileHandle, "         can be configured to run as a STANDALONEservice host:", cLoggingLevel0, False 
                                  WriteToLogFile objFileHandle, "         i.e. 'WINMGMT.EXE /StandaloneHost'", cLoggingLevel0, False
                               Else
                                  WriteToLogFile objFileHandle, "       You can achieve this by running ONE of the following commands (case sensitive):", cLoggingLevel0, False 
                                  WriteToLogFile objFileHandle, "       - to configure the service to run as a SHARED service host (recommended):", cLoggingLevel0, False 
                                  WriteToLogFile objFileHandle, "         i.e. 'RUNDLL32.EXE " & RunTimeEnvironmentInfo.WBem & "WMISVC.DLL,MoveToShared'", cLoggingLevel0, False
                                  WriteToLogFile objFileHandle, "       - if you have issue to get the WMI service running as a SHARED service host, it", cLoggingLevel0, False 
                                  WriteToLogFile objFileHandle, "         can be configured to run as a STANDALONE service host:", cLoggingLevel0, False 
                                  WriteToLogFile objFileHandle, "         i.e. 'RUNDLL32.EXE " & RunTimeEnvironmentInfo.WBem & "WMISVC.DLL,MoveToAlone'", cLoggingLevel0, False
                               End If
                               WriteToLogFile objFileHandle, "=> Reboot the system.", cLoggingLevel0, False

                               If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
                            End If 
                End Select
            Next

            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            DumpCSV 1, "InvalidWMIServiceSetup", 1, boolDump
         Else
            StatusWriteToLogFile objFileHandle, "WMI registry setup", "OK", cLoggingLevel0, False
            DumpCSV 0, "InvalidWMIServiceSetup", 1, boolDump
         End If

         If Len (TrackingData.WMIServiceDependents) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIServiceDependents, ",")
            StatusWriteToLogFile objFileHandle, "INFO: WMI service has dependents", UBound (arrayTemp1) + 1 & " SERVICE(S)!", cLoggingLevel0, False
            DumpCSV UBound (arrayTemp1) + 1, "WMIServiceDependents", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2(0) & " (" & arrayTemp2(1) & ", StartMode='" & arrayTemp2(2) & "')", cLoggingLevel0, False                    
            Next

            WriteToLogFile objFileHandle, "=> If the WMI service is stopped, the listed service(s) will have to be stopped as well.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   Note: If the service is marked with (*), it means that the service/application uses WMI but", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "         there is no hard dependency on WMI. However, if the WMI service is stopped,", cLoggingLevel0, False 
            WriteToLogFile objFileHandle, "         this can prevent the service/application to work as expected.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         Else
            StatusWriteToLogFile objFileHandle, "WMI Service has no dependents", "OK", cLoggingLevel0, False
            DumpCSV 0, "WMIServiceDependents", 1, boolDump
         End If

         If Len (TrackingData.ServiceState) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.ServiceState, ",")
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                If arrayTemp2(2) = "0x0" Then
                   StatusWriteToLogFile objFileHandle, arrayTemp2(0) & " service", "OK (" & arrayTemp2(1) & ")", cLoggingLevel0, False
                Else
                   If Instr (TrackingData.InvalidWMIServiceSetup, "DISABLED") = 0 Then
                      StatusWriteToLogFile objFileHandle, arrayTemp2(0) & " service", arrayTemp2(1), cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "=> The " & arrayTemp2(0) & " service can't be started. This could be due to the following reasons:", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "   - The service is DISABLED. You can re-enable the service with the command:", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     i.e. 'SC.EXE CONFIG " & arrayTemp2(0) & " START= AUTO'", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "   Note: The SC.EXE command is available in the Windows Resource Kit.", cLoggingLevel0, False
                      If arrayTemp2(0) = "WINMGMT" Then
                         WriteToLogFile objFileHandle, "   - The " & arrayTemp2(0) & " service depends on RPCSS service which is DISABLED or unable to start.", cLoggingLevel0, False
                      End If
                      WriteToLogFile objFileHandle, "   - If the service is ENABLED but can't start, then the service registry may contains bad data.", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "   Note: Registry setup errors should be reported. Follow the steps related to registry issues.", cLoggingLevel0, False
                      If arrayTemp2(0) = "WINMGMT" Then
                         WriteToLogFile objFileHandle, "=> After verifying the registry, if the WMI service does not start yet, you can try to", cLoggingLevel0, False 
                         WriteToLogFile objFileHandle, "   to run the service as a STANDALONE service host or as a SHARED service host (SvcHost)", cLoggingLevel0, False 
                         If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM Then 
                            WriteToLogFile objFileHandle, "   You can achieve this by running ONE of the following commands:", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "   - to configure the service to run as a SHARED service host (recommended):", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "     i.e. 'WINMGMT.EXE /SharedHost'", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - if you have issue to get it running as a SHARED service host, the WMI service", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "     can be configured to run as a STANDALONE service host:", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "     i.e. 'WINMGMT.EXE /StandaloneHost'", cLoggingLevel0, False
                         Else
                            WriteToLogFile objFileHandle, "   You can achieve this by running ONE of the following commands (case sensitive):", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "   - to configure the service to run as a SHARED service host (recommended):", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "     i.e. 'RUNDLL32.EXE " & RunTimeEnvironmentInfo.WBem & "WMISVC.DLL,MoveToShared'", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - if you have issue to get it running as a SHARED service host, the WMI service", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "     can be configured to run as a STANDALONE service host:", cLoggingLevel0, False 
                            WriteToLogFile objFileHandle, "     i.e. 'RUNDLL32.EXE " & RunTimeEnvironmentInfo.WBem & "WMISVC.DLL,MoveToAlone'", cLoggingLevel0, False
                         End If
                         WriteToLogFile objFileHandle, "=> If the registry is correct and the WMI service does not start yet, the WMI repository could be inconsistent.", cLoggingLevel0, False
                         If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP2 Or _
			    RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP3 Then
                            WriteToLogFile objFileHandle, "   - Under Windows XP SP2 and SP3, you can validate the repository consistency by:", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "     executing the following command:", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "     i.e. 'WMIDiag CheckConsistency'", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   Note: Under Windows XP SP2 and SP3, when the repository is checked and detected INCONSISTENT,", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "         a new repository is automatically re-created based on Auto-Recovery mechanism.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "         Note that some information can be lost during this process (i.e. static data, CIM registration).", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "         However, the original repository is located at '" & RunTimeEnvironmentInfo.WBem & "Repository.001'.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "         The computer must be rebooted for the system to work with the re-created repository.", cLoggingLevel0, False
                         Else
                            If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP164 Or _
                               RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP1 Or _
			       RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP2 Or _
			       RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP264 Or _
                               RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP164 Then
                               WriteToLogFile objFileHandle, "   - Validating the repository consistency. Under Windows XP 64-bit SP1, Windows 2003 SP1 and Windows Vista, the", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     repository consistency is ALWAYS verified.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     Under Windows XP SP2, the repository consistency must be explicitly requested:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     i.e. 'WMIDiag CheckConsistency''", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     Check the state of the repository above in the WMIDiag report.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - If the repository is inconsistent, it must be reconstructed.", cLoggingLevel0, False
                            Else
                               WriteToLogFile objFileHandle, "   - Validating the repository consistency. In such a case, you must rerun WMIDiag with 'WriteInRepository' parameter", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     to validate the WMI repository operations.", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   Note: ENSURE you are an administrator with FULL access to WMI EVERY namespaces of the computer before", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "         executing the WriteInRepository command. To write temporary data from the Root namespace, use:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "         i.e. 'WMIDiag WriteInRepository=Root'", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "   - If the WriteInRepository command fails, while being an Administrator with ALL accesses to ALL namespaces", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "     the WMI repository must be reconstructed/recovered.", cLoggingLevel0, False
                            End If
                         End If
                         WriteToLogFile objFileHandle, "   - The repository can be recovered from a previous backup.", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "   Note: The System State backup or the System Restore snapshot contain a backup of", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "         of the WMI repository.", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "=> If no backup is available, you must rebuild the repository.", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "   - Re-run WMIDiag with the ShowMOFErrors, this will show any MOF file issues.", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "     i.e. 'WMIDiag ShowMOFErrors'", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "   Note: The WMI repository reconstruction requires to locate all MOF files needed to rebuild the repository,", cLoggingLevel0, False 
                         WriteToLogFile objFileHandle, "         otherwise some applications may fail after the reconstruction.", cLoggingLevel0, False 
                         WriteToLogFile objFileHandle, "         This can be achieved with the following command:", cLoggingLevel0, False 
                         WriteToLogFile objFileHandle, "         i.e. 'WMIDiag ShowMOFErrors'", cLoggingLevel0, False 
                         WriteToLogFile objFileHandle, "   Note: Any missing MOF files, or existing MOF files not listed in the Auto-recovery", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "         registry key will be excluded from the WMI repository reconstruction.", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "         This may imply the lost of WMI registration information.", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "   Note: The repository reconstruction must be a LAST RESORT solution and ONLY after executing", cLoggingLevel0, False 
                         WriteToLogFile objFileHandle, "         ALL fixes previously mentioned.", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "Static information stored by external applications in the repository will be LOST! (i.e. SMS Inventory)", cLoggingLevel2, False
                         WriteToLogFile objFileHandle, "   - To rebuild the WMI repository, you must:", cLoggingLevel0, False
                         If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM Then
                            WriteToLogFile objFileHandle, "   - Reset the WMI repository", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "     (The WMI repository rebuilt is based on auto-recovery)", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "     i.e. 'WINMGMT /ResetRepository'", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   OR", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - Salvage the WMI repository if you want to attempt the retrieval of good data from the", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "     inconsistent repository", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "     (The repository rebuilt is based on auto-recovery + salvage)", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "     i.e. 'WINMGMT /SalvageRepository'", cLoggingLevel0, False
                         Else
                            WriteToLogFile objFileHandle, "   - Stop the WMI Service.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "     i.e. 'NET.EXE STOP WINMGMT'", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - Move the existing WMI repository files to another location.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "     i.e. MOVE " & RunTimeEnvironmentInfo.WBem & arrayWMIRepositoryFiles (0) & "\*.* %TEMP%", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   - Start the WMI Service.", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "     i.e. 'NET.EXE START WINMGMT'", cLoggingLevel0, False
                            WriteToLogFile objFileHandle, "   WMI will rebuild the WMI repository based the auto-recovery mechanism.", cLoggingLevel0, False
                         End If 
                         WriteToLogFile objFileHandle, "", cLoggingLevel0, False
   
                         intWMICriticalityLevel = cLoggingLevel1
                      End If
                   End If
                End If
            Next
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function AnalyzeInvalidWMIDCOMAndWMISetup (ByVal objFileHandle, ByVal boolDump)

         Dim strTemp1, arrayTemp1, arrayTemp2, intCounter 

         On Error Resume Next

         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False

         If Len (TrackingData.InvalidWMIServiceDCOMSetup) > 0 Then 
            StatusWriteToLogFile objFileHandle, "WMI service DCOM setup", "ERROR!", cLoggingLevel1, False
            WriteToLogFile objFileHandle, "=> You can correct the WMI service DCOM configuration by executing the two following commands:", cLoggingLevel0, False
            If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM then
               WriteToLogFile objFileHandle, "   i.e. 'REGSVR32.EXE WMISVC.DLL'", cLoggingLevel0, False
            Else
               WriteToLogFile objFileHandle, "   i.e. 'WINMGMT.EXE /REGSERVER'", cLoggingLevel0, False
            End If
            WriteToLogFile objFileHandle, "   i.e. 'UNSECAPP.EXE /REGSERVER'", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   i.e. 'FOR %i IN (""" & RunTimeEnvironmentInfo.WBem & "WBEM*.DLL"") DO REGSVR32.EXE /S %i'", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   Once completed, stop and restart the WMI Service with the following commands:", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   i.e. 'NET STOP WINMGMT'", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   i.e. 'NET START WINMGMT'", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "=> Check any additional registry setup errors at the bottom of this report.", cLoggingLevel0, False

            WriteToLogFile objFileHandle, "", cLoggingLevel0, False
            DumpCSV 1, "InvalidWMIServiceDCOMSetup", 1, boolDump

            intWMICriticalityLevel = cLoggingLevel1
         Else
            StatusWriteToLogFile objFileHandle, "WMI service DCOM setup", "OK", cLoggingLevel0, False
            DumpCSV 0, "InvalidWMIServiceDCOMSetup", 1, boolDump
         End If

         If Len (TrackingData.WMIDCOMRegistrations) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIDCOMRegistrations, ",")
            StatusWriteToLogFile objFileHandle, "WMI DCOM components registration is missing for the following EXE/DLLs", UBound (arrayTemp1) + 1 & " WARNING(S)!", cLoggingLevel2, False
            DumpCSV UBound (arrayTemp1) + 1, "WMIDCOMRegistrations", 1, boolDump
            DisplayDiagnostic objFileHandle, arrayTemp1

            WriteToLogFile objFileHandle, "=> WMI System components are not properly registered as COM objects, which could make WMI to", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   fail depending on the operation requested.", cLoggingLevel0, False
            If Instr (UCase (TrackingData.WMIDCOMRegistrations), ".DLL") > 0 Then
               WriteToLogFile objFileHandle, "=> For a .DLL, you can correct the DCOM configuration by executing the 'REGSVR32.EXE <Filename.DLL>' command.", cLoggingLevel0, False
            End If
            If Instr (UCase (TrackingData.WMIDCOMRegistrations), ".EXE") > 0 Then
               WriteToLogFile objFileHandle, "=> For a .EXE, you can correct the DCOM configuration by executing the 'Filename.EXE /RegServer' command.", cLoggingLevel0, False
            End If
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
         Else 
            StatusWriteToLogFile objFileHandle, "WMI components DCOM registrations", "OK", cLoggingLevel0, False
            DumpCSV 0, "WMIDCOMRegistrations", 1, boolDump
         End If

         If Len (TrackingData.WMIObjectProgID) > 0 Then
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIObjectProgID, ",")
            DumpCSV UBound (arrayTemp1) + 1, "WMIObjectProgID", 1, boolDump
            StatusWriteToLogFile objFileHandle, "WMI ProgID registrations missing", UBound (arrayTemp1) + 1 & " ProgID(S)!", cLoggingLevel2, False
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & " -> " & arrayTemp2 (1), cLoggingLevel0, False
            Next

            WriteToLogFile objFileHandle, "=> Missing WMI ProgID(s) could prevent WMI applications to run properly!", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   To correct this problem, you must re-register the DLL(s) corresponding to the missing ProgID(s)", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   with the following command:", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   i.e. 'REGSVR32.EXE " & arrayTemp2 (1) & "'", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
         Else
            StatusWriteToLogFile objFileHandle, "WMI ProgID registrations", "OK", cLoggingLevel0, False
            DumpCSV 0, "WMIObjectProgID", 1, boolDump
         End If

         If Len (TrackingData.HighPrivWMIProvider) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.HighPrivWMIProvider, ",")
            DumpCSV UBound (arrayTemp1) + 1, "HighPrivWMIProvider", 1, boolDump
            If boolShowHighPrivProviders Then
               StatusWriteToLogFile objFileHandle, "INFO: WMI Providers running with high privileges", UBound (arrayTemp1) + 1 & " PROVIDERS(S)!", cLoggingLevel0, False
               For Each strTemp1 In arrayTemp1
                   arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                   If CBool (arrayTemp2 (4)) = True Then
                      WriteToLogFile objFileHandle, "! " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ", " & arrayTemp2 (2) & " (" & arrayTemp2 (3) & ").", cLoggingLevel0, False
                      If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM Then
                         WriteToLogFile objFileHandle, "  => The provider lacks a hosting model definition. It is defaulted to 'NetworkServiceHostOrSelfHost'.", cLoggingLevel0, False
                      Else
                         WriteToLogFile objFileHandle, "  => The provider lacks a hosting model definition. It is defaulted to 'LocalSystemHostOrSelfHost'.", cLoggingLevel0, False
                      End If
                   Else
                      WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ", " & arrayTemp2 (2) & " (" & arrayTemp2 (3) & ").", cLoggingLevel0, False
                   End If
               Next

               WriteToLogFile objFileHandle, "=> WMI providers are running in high privileges security context.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   - A provider should run under the lowest security context (i.e. NetworkServiceHost)", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "     and impersonates requests.", cLoggingLevel0, False
               If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM Then
                  WriteToLogFile objFileHandle, "=> The provider hosting model is missing (defaulted to 'NetworkServiceHostOrSelfHost') and tagged with '!',", cLoggingLevel0, False
               Else
                  WriteToLogFile objFileHandle, "=> The provider hosting model is missing (defaulted to 'LocalSystemHostOrSelfHost') and tagged with '!',", cLoggingLevel0, False
               End If
               WriteToLogFile objFileHandle, "   it must be added to the MOF file.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "=> The provider developer can adjust the hosting model by specifying the", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   NetworkServiceHost security context in the WMI provider registration data (MOF file)", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   and impersonates WMI client requests in the provider code.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   This issue generates Event ID:", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   - 63: A provider, (" & arrayTemp2 (1)  & "), has been registered in the WMI namespace (" & arrayTemp2 (0) & ")", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         to use the LocalSystem account.  This account is privileged and the provider may cause ", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         a security violation if it does not correctly impersonate user requests.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   - 5063: A provider (" & arrayTemp2 (1) & ") has been registered in the WMI namespace (" & arrayTemp2 (0) & ")", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "           but did not specify the HostingModel property. This provider will be run using the", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "           LocalSystem account. This account is privileged and the provider may cause a security ", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "           violation if it does not correctly impersonate user requests.  Ensure that provider has been ", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "           reviewed for security behavior and update the HostingModel property of the provider ", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "           registration to an account with the least privileges possible for the required functionality.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "=> A provider MUST have a hosting model defined and should NOT run as LocalSystem unless it is", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   an absolute requirement (subject to an exception).", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "=> Proceeding accordingly, Event ID 63 and 5063 will disappear from the NT Event Log.", cLoggingLevel0, False

               WriteToLogFile objFileHandle, "", cLoggingLevel0, False
            End If

         Else
            If boolShowHighPrivProviders Then
               StatusWriteToLogFile objFileHandle, "WMI Providers running with high privileges", "OK", cLoggingLevel0, False
            End If
            DumpCSV 0, "HighPrivWMIProvider", 1, boolDump
         End If

         If Len (TrackingData.WMIProviderDCOMRegistrations) > 0 Then 
            If Instr (Ucase (TrackingData.WMIProviderDCOMRegistrations), "@E;") > 0 Then 
               intCounter = 0
               arrayTemp1 = ConvertStringInArray (TrackingData.WMIProviderDCOMRegistrations, ",")
               For Each strTemp1 In arrayTemp1
                   arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                   If arrayTemp2 (0) = "@E" Then
                      intCounter = intCounter + 1
                   End If
               Next
               DumpCSV intCounter, "WMIProviderDCOMRegistrations", 1, boolDump

               StatusWriteToLogFile objFileHandle, "WMI provider DCOM registrations missing for the following provider(s)", intCounter & " WARNING(S)!", cLoggingLevel2, False
               For Each strTemp1 In arrayTemp1
                   arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                   If arrayTemp2 (0) = "@E" Then
                      If Len (arrayTemp2 (4)) = 0 Then
                         WriteToLogFile objFileHandle, "- " & arrayTemp2 (1) & ", " & arrayTemp2 (2) & " (" & arrayTemp2 (3) & ")", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "  Provider DLL: '" & LocateWMIProviderData (objLOGFileHandle, arrayTemp2 (3), cWMIProviderCLSID, cWMIProviderBinary) & "'", cLoggingLevel0, False
                      Else
                         WriteToLogFile objFileHandle, "- " & arrayTemp2 (1) & ", " & arrayTemp2 (2) & " (" & arrayTemp2 (4) & ") (i.e. WMI Class '" & arrayTemp2 (3) & "')", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "  Provider DLL: '" & LocateWMIProviderData (objLOGFileHandle, arrayTemp2 (4), cWMIProviderCLSID, cWMIProviderBinary) & "'", cLoggingLevel0, False
                      End If
                   End If
               Next

               WriteToLogFile objFileHandle, "=> This is an issue because there are still some WMI classes referencing this list of providers", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   while the DCOM registration is wrong or missing. This can be due to:", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   - a de-installation of the software.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   - a deletion of some registry key data.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   - a registry corruption.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "=> You can correct the DCOM configuration by:", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   - Executing the 'REGSVR32.EXE <Provider.DLL>' command.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   Note: You can build a list of classes in relation with their WMI provider and MOF file with WMIDiag.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         (This list can be built on a similar and working WMI Windows installation)", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         The following command line must be used:", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         i.e. 'WMIDiag CorrelateClassAndProvider'", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "Re-registering with REGSVR32.EXE all DLL from '" & RunTimeEnvironmentInfo.WBem & "'", cLoggingLevel2, False
               WriteToLogFile objFileHandle, "         may not solve the problem as the DLL supporting the WMI class(es)", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         can be located in a different folder.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         You must refer to the class name to determine the software delivering the related DLL.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "=> If the software has been de-installed intentionally, then this information must be", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   removed from the WMI repository. You can use the 'WMIC.EXE' command to remove", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   the provider registration data.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   i.e. 'WMIC.EXE /NAMESPACE:\\" & ReplaceString (arrayTemp2 (1), "/", "\") & " path __Win32Provider Where Name='" & arrayTemp2 (2) & "' DELETE'", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "=> If the namespace was ENTIRELY dedicated to the intentionally de-installed software,", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   the namespace and ALL its content can be ENTIRELY deleted.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   i.e. 'WMIC.EXE /NAMESPACE:\\" & SplitStringReverse (ReplaceString (arrayTemp2 (1), "/", "\"), -1, "\") & " path __NAMESPACE Where Name='" & SplitStringReverse (ReplaceString (arrayTemp2 (1), "/", "\"), 1, "\") & "' DELETE'", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   - Re-installing the software.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "", cLoggingLevel0, False

               If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
            Else
               StatusWriteToLogFile objFileHandle, "WMI provider DCOM registrations", "OK", cLoggingLevel0, False
               DumpCSV 0, "WMIProviderDCOMRegistrations", 1, boolDump
            End If
         Else
            StatusWriteToLogFile objFileHandle, "WMI provider DCOM registrations", "OK", cLoggingLevel0, False
            DumpCSV 0, "WMIProviderDCOMRegistrations", 1, boolDump
         End If

         If Len (TrackingData.WMIProviderCIMRegistrations) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIProviderCIMRegistrations, ",")
            StatusWriteToLogFile objFileHandle, "WMI provider CIM registrations missing for the following provider(s)", UBound (arrayTemp1) + 1 & " WARNING(S)!", cLoggingLevel2, False
            DumpCSV UBound (arrayTemp1) + 1, "WMIProviderCIMRegistrations", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & " (i.e. WMI Class '" & arrayTemp2 (2) & "')", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "  MOF Registration: '" & LocateWMIProviderData (objLOGFileHandle, arrayTemp2 (1), cWMIProviderName, cWMIProviderMOF) & "'", cLoggingLevel0, False
            Next

            WriteToLogFile objFileHandle, "=> This is an issue because there are still some WMI classes referencing this list of providers", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   while the CIM registration is wrong or missing. This can be due to:", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   - a de-installation of the software.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   - a deletion of some CIM registration information.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "=> You can correct the CIM configuration by:", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   - Manually recompiling the MOF file(s) with the 'MOFCOMP <FileName.MOF>' command.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   Note: You can build a list of classes in relation with their WMI provider and MOF file with WMIDiag.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "         (This list can be built on a similar and working WMI Windows installation)", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "         The following command line must be used:", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "         i.e. 'WMIDiag CorrelateClassAndProvider'", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   - Re-installing the software.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "=> If the software has been de-installed intentionally, then this information must be", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   removed from the WMI repository. You can use the 'WMIC.EXE' command to remove the provider", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   registration data and its set of associated classes.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   i.e. 'WMIC.EXE /NAMESPACE:\\" & ReplaceString (arrayTemp2 (0), "/", "\") & " path __Win32Provider Where Name='" & arrayTemp2 (1) & "' DELETE'", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   i.e. 'WMIC.EXE /NAMESPACE:\\" & ReplaceString (arrayTemp2 (0), "/", "\") & " Class " & arrayTemp2 (2) & " DELETE'", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "=> If the namespace was ENTIRELY dedicated to the intentionally de-installed software,", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   the namespace and ALL its content can be ENTIRELY deleted.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   i.e. 'WMIC.EXE /NAMESPACE:\\" & SplitStringReverse (ReplaceString (arrayTemp2 (0), "/", "\"), -1, "\") & " path __NAMESPACE Where Name='" & SplitStringReverse (ReplaceString (arrayTemp2 (0), "/", "\"), 1, "\") & "' DELETE'", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
         Else
            StatusWriteToLogFile objFileHandle, "WMI provider CIM registrations", "OK", cLoggingLevel0, False
            DumpCSV 0, "WMIProviderCIMRegistrations", 1, boolDump
         End If

         If Len (TrackingData.WMIProviderEmptyCLSID) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIProviderEmptyCLSID, ",")
            StatusWriteToLogFile objFileHandle, "WMI provider CIM registration is missing the CLSID for the following provider(s)", UBound (arrayTemp1) + 1 & " WARNING(S)!", cLoggingLevel2, False
            DumpCSV UBound (arrayTemp1) + 1, "WMIProviderEmptyCLSID", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1), cLoggingLevel0, False
                WriteToLogFile objFileHandle, "  MOF Registration: '" & LocateWMIProviderData (objLOGFileHandle, arrayTemp2 (1), cWMIProviderName, cWMIProviderMOF) & "'", cLoggingLevel0, False
            Next

            WriteToLogFile objFileHandle, "=> This will make any operations related to the WMI class supported by the provider(s) to fail.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   - Unless the provider is hosted by an application external to WMI, every WMI hosted providers", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "     must have a CLSID defined in the WMI registration data (MOF file).", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "=> You can manually recompile the MOF file(s) with the 'MOFCOMP.EXE <FileName.MOF>' command.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
         Else
            StatusWriteToLogFile objFileHandle, "WMI provider CLSIDs", "OK", cLoggingLevel0, False
            DumpCSV 0, "WMIProviderEmptyCLSID", 1, boolDump
         End If

         If Len (TrackingData.MissingWMIProviderFile) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.MissingWMIProviderFile, ",")
            StatusWriteToLogFile objFileHandle, "Some WMI providers EXE/DLL file(s) are missing", UBound (arrayTemp1) + 1 & " WARNING(S)!", cLoggingLevel2, False
            DumpCSV UBound (arrayTemp1) + 1, "MissingWMIProviderFile", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ", " & arrayTemp2 (2), cLoggingLevel0, False
            Next

            WriteToLogFile objFileHandle, "=> This will make any operations related to the WMI class supported by the provider(s) to fail.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   This can be due to:", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   - the de-installation of the software.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   - the deletion of some files.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "=> If the software has been de-installed intentionally, then this information must be", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   removed from the WMI repository. You can use the 'WMIC.EXE' command to remove", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   the provider registration data.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   i.e. 'WMIC.EXE /NAMESPACE:\\" & ReplaceString (arrayTemp2 (0), "/", "\") & " path __Win32Provider Where Name='" & arrayTemp2 (1) & "' DELETE'", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "=> If not, you must restore a copy of the missing provider EXE/DLL file(s) as indicated by the path.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   You can retrieve the missing file from:", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   - A backup.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   - The Windows CD.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   - Another Windows installation using the same version and service pack level of the examined system.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   - The original CD or software package installing this WMI provider.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
         Else
            StatusWriteToLogFile objFileHandle, "WMI providers EXE/DLL availability", "OK", cLoggingLevel0, False
            DumpCSV 0, "MissingWMIProviderFile", 1, boolDump
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function AnalyzeSecurity (ByVal objFileHandle, ByVal boolDump)

         Dim strTemp, arrayTemp1, arrayTemp2, arrayTemp3, arrayTemp4, arrayTemp5, intIndex1
         Dim strStatusMessage, strStatusValue
         Dim intDCOMSecurityWarnings, intDCOMSecurityErrors
         Dim intWMISecurityWarnings, intWMISecurityErrors
         Dim intSecurityType, strSecurityType

         On Error Resume Next

         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False

         If Len (TrackingData.UAC) > 0 Then 
            If Instr (TrackingData.UAC, "UAC;") > 0 Or Instr (TrackingData.UAC, "LAF;") > 0 Then
               arrayTemp1 = ConvertStringInArray (TrackingData.UAC, ",")
               For Each strTemp In arrayTemp1
                   arrayTemp2 = ConvertStringInArray (strTemp, ";")
                   If arrayTemp2 (0) = "UAC" Then
                      StatusWriteToLogFile objFileHandle, "INFO: User Account Control (UAC)", arrayTemp2 (1), cLoggingLevel0, False
                      If arrayTemp2 (1) = "ENABLED" Then
                         WriteToLogFile objFileHandle, "=> WMI tasks requiring Administrative privileges on this computer MUST run in an elevated context.", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "   i.e. You can start your scripts or WMIC commands from an elevated command", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "        prompt by right clicking on the 'Command Prompt' icon in the Start Menu and", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "        selecting 'Run as Administrator'.", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "   i.e. You can also execute the WMI scripts or WMIC commands as a task", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "        in the Task Scheduler within the right security context.", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                      End If 
                      DumpCSV arrayTemp2 (1), "UserAccountControl", 1, boolDump
                   End If 
                   If arrayTemp2 (0) = "LAF" Then
                      StatusWriteToLogFile objFileHandle, "INFO: Local Account Filtering", arrayTemp2 (1), cLoggingLevel0, False
                      If arrayTemp2 (1) = "ENABLED" Then
                         WriteToLogFile objFileHandle, "=> WMI tasks remotely accessing WMI information on this computer and requiring Administrative", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "   privileges MUST use a DOMAIN account part of the Local Administrators group of this computer", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "   to ensure that administrative privileges are granted. If a Local User account is used for remote", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "   accesses, it will be reduced to a plain user (filtered token), even if it is part of the Local Administrators group.", cLoggingLevel0, False
                         WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                      End If 
                      DumpCSV arrayTemp2 (1), "LocalAccountFiltering", 1, boolDump
                   End If 
               Next
            Else
               DumpCSV " ", "UserAccountControl", 1, boolDump
               DumpCSV " ", "LocalAccountFiltering", 1, boolDump
            End If
         Else
            DumpCSV " ", "UserAccountControl", 1, boolDump
            DumpCSV " ", "LocalAccountFiltering", 1, boolDump
         End If

         intDCOMSecurityWarnings = 0
         intDCOMSecurityErrors = 0
         intWMISecurityWarnings = 0
         intWMISecurityErrors = 0

         If boolADSSecurity = True Then
            If Len (TrackingData.SecurityDescriptor) > 0 Then 
               arrayTemp1 = ConvertStringInArray (TrackingData.SecurityDescriptor, ",")

               For intIndex1 = 0 To UBound (arrayTemp1)
                   If Left (arrayTemp1 (intIndex1), 1) = "@" Then
                      arrayTemp2 = ConvertStringInArray (arrayTemp1 (intIndex1), ";")

                      intSecurityType = Cint (arrayTemp2 (2))
                      If boolLoggingDebug = True Then
                         Select Case intSecurityType
                                Case cSecurityException
                                     strSecurityType = " (X)"
                                Case cSecuritySystem
                                     strSecurityType = " (S)"
                                Case cSecurityApplication
                                     strSecurityType = " (A)"
                                Case cSecurityDefaulted
                                     strSecurityType = " (D)"
                         End Select
                      End If

                      If arrayTemp2 (0) = "@MODIFIED" Then
                         strStatusMessage = arrayTemp2 (1) & strSecurityType
                         strStatusValue = Mid (arrayTemp2 (0), 2)
                         intIndex1 = intIndex1 + 1
                      Else
                         StatusWriteToLogFile objFileHandle, arrayTemp2 (1) & strSecurityType, Mid (arrayTemp2 (0), 2), cLoggingDebug Or cLoggingLevel0, False
                      End If 
                   End If 

                   If Left (arrayTemp1 (intIndex1), 1) <> "@" Then
                      arrayTemp2 = ConvertStringInArray (arrayTemp1 (intIndex1), ";")

                      Select Case CInt(arrayTemp2 (7)) 
                             Case cLoggingLevel0
                                  StatusWriteToLogFile objFileHandle, strStatusMessage, strStatusValue, cLoggingDebug Or cLoggingLevel0, False
                                  WriteToLogFile objFileHandle, "INFO: " & arrayTemp2 (2), cLoggingDebug Or cLoggingLevel0, False
                             Case cLoggingLevel1
                                  StatusWriteToLogFile objFileHandle, strStatusMessage, strStatusValue, cLoggingLevel0, False
                                  WriteToLogFile objFileHandle, arrayTemp2 (2), cLoggingLevel1, False
                                  If intSecurityType = cSecuritySystem Or _
                                     intSecurityType = cSecurityApplication Then
                                     intWMICriticalityLevel = cLoggingLevel1
                                  End If
   
                                  Select Case CInt (arrayTemp2 (1))
                                         Case cDComSDAccess, cDComSDLaunch
                                              intDCOMSecurityErrors = intDCOMSecurityErrors + 1
                                         Case cWMINameSpaceSD
                                              intWMISecurityErrors = intWMISecurityErrors + 1
                                  End Select
                             Case cLoggingLevel2
                                  StatusWriteToLogFile objFileHandle, strStatusMessage, strStatusValue, cLoggingLevel0, False
                                  WriteToLogFile objFileHandle, arrayTemp2 (2), cLoggingLevel2, False
                                  If intSecurityType = cSecuritySystem Or _
                                     intSecurityType = cSecurityApplication Then
                                     If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
                                  End If
      
                                  Select Case Cint (arrayTemp2 (1))
                                         Case cDComSDAccess, cDComSDLaunch
                                              intDCOMSecurityWarnings = intDCOMSecurityWarnings + 1
                                         Case cWMINameSpaceSD
                                              intWMISecurityWarnings = intWMISecurityWarnings + 1
                                  End Select
                      End Select 
   
                      Select Case Ucase (arrayTemp2 (0))
                             Case "NOACTUALMATCH", "NODEFAULTMATCH"
                                  arrayTemp3 = ConvertStringInArray (arrayTemp2 (3), "/")
                                  arrayTemp4 = ConvertStringInArray (arrayTemp2 (4), "/")
                                  arrayTemp5 = ConvertStringInArray (arrayTemp2 (5), "/")
   
                                  If CInt (arrayTemp2 (7)) > cLoggingLevel0 Or boolLoggingDebug = True Then
                                     If Ucase (arrayTemp2 (0)) = "NOACTUALMATCH" Then 
                                        WriteToLogFile objFileHandle, Space (5) & "  - ACTUAL ACE:", cLoggingLevel0, False
                                        DisplaySecurityData objFileHandle, "    ACEType:  ", arrayTemp3 (0), cLoggingLevel0
                                        DisplaySecurityData objFileHandle, "    ACEFlags: ", arrayTemp4 (0), cLoggingLevel0
                                        DisplaySecurityData objFileHandle, "    ACEMask:  ", arrayTemp5 (0), cLoggingLevel0
      
                                        WriteToLogFile objFileHandle, Space (5) & "  - EXPECTED ACE:", cLoggingLevel0, False            
                                        DisplaySecurityData objFileHandle, "    ACEType:  ", arrayTemp3 (1), cLoggingLevel0
                                        DisplaySecurityData objFileHandle, "    ACEFlags: ", arrayTemp4 (1), cLoggingLevel0
                                        DisplaySecurityData objFileHandle, "    ACEMask:  ", arrayTemp5 (1), cLoggingLevel0
                                     End If

                                     If Ucase (arrayTemp2 (0)) = "NODEFAULTMATCH" Then 
                                        WriteToLogFile objFileHandle, Space (5) & "  - EXPECTED ACE:", cLoggingLevel0, False            
                                        DisplaySecurityData objFileHandle, "    ACEType:  ", arrayTemp3 (0), cLoggingLevel0
                                        DisplaySecurityData objFileHandle, "    ACEFlags: ", arrayTemp4 (0), cLoggingLevel0
                                        DisplaySecurityData objFileHandle, "    ACEMask:  ", arrayTemp5 (0), cLoggingLevel0
   
                                        WriteToLogFile objFileHandle, Space (5) & "  - ACTUAL ACE:", cLoggingLevel0, False
                                        DisplaySecurityData objFileHandle, "    ACEType:  ", arrayTemp3 (1), cLoggingLevel0
                                        DisplaySecurityData objFileHandle, "    ACEFlags: ", arrayTemp4 (1), cLoggingLevel0
                                        DisplaySecurityData objFileHandle, "    ACEMask:  ", arrayTemp5 (1), cLoggingLevel0
                                     End If

                                     WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                                  End If

                                  If CInt (arrayTemp2 (7)) = cLoggingLevel0 And boolLoggingDebug = True Then
                                     WriteToLogFile objFileHandle, "=> The actual " & arrayTemp2 (6), cLoggingLevel0, False
                                     WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                                  End If 

                                  If CInt (arrayTemp2 (7)) = cLoggingLevel1 Then
                                     WriteToLogFile objFileHandle, "=> The actual " & arrayTemp2 (6), cLoggingLevel0, False
                                     WriteToLogFile objFileHandle, "   This will cause some operations to fail!", cLoggingLevel0, False
                                     WriteToLogFile objFileHandle, "   It is possible to fix this issue by editing the security descriptor and adding the removed right.", cLoggingLevel0, False
                                     If CInt (arrayTemp2 (1)) <> cWMINameSpaceSD Then
                                        WriteToLogFile objFileHandle, "   For DCOM objects, this can be done with 'DCOMCNFG.EXE'.", cLoggingLevel0, False
                                     Else
                                        WriteToLogFile objFileHandle, "   For WMI namespaces, this can be done with 'WMIMGMT.MSC'.", cLoggingLevel0, False
                                     End If
                                     If intSecurityType = cSecurityDefaulted Then
                                        WriteToLogFile objFileHandle, "Note: WMIDiag has no specific knowledge of this WMI namespace.", cLoggingLevel0, False
                                        WriteToLogFile objFileHandle, "      The security diagnostic is based on the WMI namespace expected defaults.", cLoggingLevel0, False
                                        WriteToLogFile objFileHandle, "      A specific WMI application can always require a security setup different", cLoggingLevel0, False 
                                        WriteToLogFile objFileHandle, "      than the WMI security defaults.", cLoggingLevel0, False
                                     End If 
                                     WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                                  End If 

                                  If CInt (arrayTemp2 (7)) = cLoggingLevel2 Then
                                     WriteToLogFile objFileHandle, "=> The actual " & arrayTemp2 (6), cLoggingLevel0, False
                                     WriteToLogFile objFileHandle, "   This may cause some operations to fail!", cLoggingLevel0, False
                                     WriteToLogFile objFileHandle, "   It is possible to fix this potential issue by editing the security descriptor and granting the modified right.", cLoggingLevel0, False
                                     If CInt (arrayTemp2 (1)) <> cWMINameSpaceSD Then
                                        WriteToLogFile objFileHandle, "   For DCOM objects, this can be done with 'DCOMCNFG.EXE'.", cLoggingLevel0, False
                                     Else
                                        WriteToLogFile objFileHandle, "   For WMI namespaces, this can be done with 'WMIMGMT.MSC'.", cLoggingLevel0, False
                                     End If
                                     If intSecurityType = cSecurityDefaulted Then
                                        WriteToLogFile objFileHandle, "Note: WMIDiag has no specific knowledge of this WMI namespace.", cLoggingLevel0, False
                                        WriteToLogFile objFileHandle, "      The security diagnostic is based on the WMI namespace expected defaults.", cLoggingLevel0, False
                                        WriteToLogFile objFileHandle, "      A specific WMI application can always require a security setup different", cLoggingLevel0, False 
                                        WriteToLogFile objFileHandle, "      than the WMI security defaults.", cLoggingLevel0, False
                                     End If 
                                     WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                                  End If

                             Case "INVALIDACE"
                                  WriteToLogFile objFileHandle, Space (5) & "  - ACE:", cLoggingLevel0, False            
                                  DisplaySecurityData objFileHandle, "    ACEType:  ", arrayTemp2 (3), cLoggingLevel0
                                  DisplaySecurityData objFileHandle, "    ACEFlags: ", arrayTemp2 (4), cLoggingLevel0
                                  DisplaySecurityData objFileHandle, "    ACEMask:  ", arrayTemp2 (5), cLoggingLevel0
                                  WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                                  WriteToLogFile objFileHandle, "=> This ACE is invalid. This may cause the Windows security validation to fail (AccessCheck)!", cLoggingLevel0, False
                                  WriteToLogFile objFileHandle, "   It is possible to fix this issue by removing the invalid ACE and recreating it.", cLoggingLevel0, False
                                  If CInt (arrayTemp2 (1)) <> cWMINameSpaceSD Then
                                     WriteToLogFile objFileHandle, "   For DCOM objects, this can be done with 'DCOMCNFG.EXE'.", cLoggingLevel0, False
                                  Else
                                     WriteToLogFile objFileHandle, "   For WMI namespaces, this can be done with 'WMIMGMT.MSC'.", cLoggingLevel0, False
                                  End If
                                  WriteToLogFile objFileHandle, "", cLoggingLevel0, False
   
                             Case "ADDED"
                                  If CInt (arrayTemp2 (7)) = cLoggingLevel2 Or boolLoggingDebug = True Then
                                     WriteToLogFile objFileHandle, Space (5) & "  - ADDED ACE:", cLoggingLevel0, False            
                                     DisplaySecurityData objFileHandle, "    ACEType:  ", arrayTemp2 (3), cLoggingLevel0
                                     DisplaySecurityData objFileHandle, "    ACEFlags: ", arrayTemp2 (4), cLoggingLevel0
                                     DisplaySecurityData objFileHandle, "    ACEMask:  ", arrayTemp2 (5), cLoggingLevel0
                                     WriteToLogFile objFileHandle, "", cLoggingLevel0, False

                                     If CInt (arrayTemp2 (7)) = cLoggingLevel2 Then
                                        WriteToLogFile objFileHandle, "=> The ADDED ACE is an access DENIED ACE for the trustee, which may cause operations to fail!", cLoggingLevel0, False
                                        WriteToLogFile objFileHandle, "   It is possible to fix this potential issue by editing the security descriptor and granting the modified right.", cLoggingLevel0, False
                                        If CInt (arrayTemp2 (1)) <> cWMINameSpaceSD Then
                                           WriteToLogFile objFileHandle, "   For DCOM objects, this can be done with 'DCOMCNFG.EXE'.", cLoggingLevel0, False
                                        Else
                                           WriteToLogFile objFileHandle, "   For WMI namespaces, this can be done with 'WMIMGMT.MSC'.", cLoggingLevel0, False
                                        End If
                                        If intSecurityType = cSecurityDefaulted Then
                                           WriteToLogFile objFileHandle, "Note: WMIDiag has no specific knowledge of this WMI namespace.", cLoggingLevel0, False
                                           WriteToLogFile objFileHandle, "      The security diagnostic is based on the WMI namespace expected defaults.", cLoggingLevel0, False
                                           WriteToLogFile objFileHandle, "      A specific WMI application can always require a security setup different", cLoggingLevel0, False 
                                           WriteToLogFile objFileHandle, "      than the WMI security defaults.", cLoggingLevel0, False
                                        End If 
                                        WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                                     End If
                                  End If
   
                             Case "REMOVED"
                                  WriteToLogFile objFileHandle, Space (5) & "  - REMOVED ACE:", cLoggingLevel0, False            
                                  DisplaySecurityData objFileHandle, "    ACEType:  ", arrayTemp2 (3), cLoggingLevel0
                                  DisplaySecurityData objFileHandle, "    ACEFlags: ", arrayTemp2 (4), cLoggingLevel0
                                  DisplaySecurityData objFileHandle, "    ACEMask:  ", arrayTemp2 (5), cLoggingLevel0
                                  WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                                  WriteToLogFile objFileHandle, "=> The REMOVED ACE was part of the DEFAULT setup for the trustee.", cLoggingLevel0, False
                                  WriteToLogFile objFileHandle, "   Removing default security will cause some operations to fail!", cLoggingLevel0, False
                                  WriteToLogFile objFileHandle, "   It is possible to fix this issue by editing the security descriptor and adding the ACE.", cLoggingLevel0, False
                                  If CInt (arrayTemp2 (1)) <> cWMINameSpaceSD Then
                                     WriteToLogFile objFileHandle, "   For DCOM objects, this can be done with 'DCOMCNFG.EXE'.", cLoggingLevel0, False
                                  Else
                                     WriteToLogFile objFileHandle, "   For WMI namespaces, this can be done with 'WMIMGMT.MSC'.", cLoggingLevel0, False
                                  End If
                                  If intSecurityType = cSecurityDefaulted Then
                                     WriteToLogFile objFileHandle, "Note: WMIDiag has no specific knowledge of this WMI namespace.", cLoggingLevel0, False
                                     WriteToLogFile objFileHandle, "      The security diagnostic is based on the WMI namespace expected defaults.", cLoggingLevel0, False
                                     WriteToLogFile objFileHandle, "      A specific WMI application can always require a security setup different", cLoggingLevel0, False 
                                     WriteToLogFile objFileHandle, "      than the WMI security defaults.", cLoggingLevel0, False
                                  End If 
                                  WriteToLogFile objFileHandle, "", cLoggingLevel0, False 
                      End Select
                   End If 
               Next
            End If

            DumpCSV intDCOMSecurityErrors, "DCOMSecurityErrors", 1, boolDump
            DumpCSV intDCOMSecurityWarnings, "DCOMSecurityWarnings", 1, boolDump
            DumpCSV intWMISecurityErrors, "WMISecurityErrors", 1, boolDump
            DumpCSV intWMISecurityWarnings, "WMISecurityWarnings", 1, boolDump

            If (intDCOMSecurityWarnings + intDCOMSecurityErrors + intWMISecurityWarnings + intWMISecurityErrors) > 0 Or _
               boolLoggingDebug = True Then 
               WriteToLogFile objFileHandle, "", cLoggingLevel0, False 
               StatusWriteToLogFile objFileHandle, "DCOM security warning(s) detected", intDCOMSecurityWarnings, cLoggingLevel0, False
               StatusWriteToLogFile objFileHandle, "DCOM security error(s) detected", intDCOMSecurityErrors, cLoggingLevel0, False
 
               StatusWriteToLogFile objFileHandle, "WMI security warning(s) detected", intWMISecurityWarnings, cLoggingLevel0, False
               StatusWriteToLogFile objFileHandle, "WMI security error(s) detected", intWMISecurityErrors, cLoggingLevel0, False
               WriteToLogFile objFileHandle, "", cLoggingLevel0, False
            End If 

            If intDCOMSecurityErrors > intDCOMSecurityWarnings Then
               StatusWriteToLogFile objFileHandle, "Overall DCOM security status", "ERROR!", cLoggingLevel1, False
            Else
               If intDCOMSecurityWarnings > 0 Then 
                  StatusWriteToLogFile objFileHandle, "Overall DCOM security status", "WARNING!", cLoggingLevel2, False
               Else
                  StatusWriteToLogFile objFileHandle, "Overall DCOM security status", "OK", cLoggingLevel0, False
               End If
            End If 

            If intWMISecurityErrors > intWMISecurityWarnings Then
               StatusWriteToLogFile objFileHandle, "Overall WMI security status", "ERROR!", cLoggingLevel1, False
            Else
               If intWMISecurityWarnings > 0 Then 
                  StatusWriteToLogFile objFileHandle, "Overall WMI security status", "WARNING!", cLoggingLevel2, False
               Else
                  StatusWriteToLogFile objFileHandle, "Overall WMI security status", "OK", cLoggingLevel0, False
               End If
            End If 
         Else
            DumpCSV " ", "DCOMSecurityErrors", 1, boolDump
            DumpCSV " ", "DCOMSecurityWarnings", 1, boolDump
            DumpCSV " ", "WMISecurityErrors", 1, boolDump
            DumpCSV " ", "WMISecurityWarnings", 1, boolDump

            StatusWriteToLogFile objFileHandle, "Overall security status", "NOT TESTED", cLoggingLevel0, False
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function DisplaySecurityData (ByVal objFileHandle, ByVal strLabel, ByVal arrayData, ByVal intLoggingLevel)

         Dim arrayTemp, intIndex

         On Error Resume Next         

         arrayTemp = ConvertStringInArray (arrayData, " ")
         WriteToLogFile objFileHandle, Space (5) & strLabel & arrayTemp (0), intLoggingLevel, False
         For intIndex = 1 To UBound (arrayTemp)
             WriteToLogFile objFileHandle, "                   " & arrayTemp (intIndex), intLoggingLevel, False
         Next

End Function

' --------------------------------------------------------------------------------------------------------
Function AnalyzeWMIOperationErrors (ByVal objFileHandle, ByVal boolDump)

         Dim strTemp1, arrayTemp1, arrayTemp2, intIndex, intCount
         Dim strPerformanceClass
         Dim boolEventLogEvents

         On Error Resume Next         

         WriteToLogFile objFileHandle, "- Started at '" & strBaseNamespace & "' " & String (130 - Len (strBaseNamespace) - 16, "-"), cLoggingLevel0, False

         AnalyzeWMIOperationErrors = False

         If Len (TrackingData.PermanentSubscriptions) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.PermanentSubscriptions, ",")
            StatusWriteToLogFile objFileHandle, "INFO: WMI permanent SUBSCRIPTION(S)", UBound (arrayTemp1) + 1, cLoggingLevel0, False
            DumpCSV UBound (arrayTemp1) + 1, "WMIPermanentSubscriptions", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ".", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "  '" & arrayTemp2 (2) & "'", cLoggingLevel0, False
            Next
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         Else 
            DumpCSV 0, "WMIPermanentSubscriptions", 1, boolDump
            StatusWriteToLogFile objFileHandle, "WMI permanent SUBSCRIPTION(S)", "NONE", cLoggingLevel0, False
         End If

         If Len (TrackingData.TimerInstructions) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.TimerInstructions, ",")
            StatusWriteToLogFile objFileHandle, "INFO: WMI TIMER instruction(s)", UBound (arrayTemp1) + 1, cLoggingLevel0, False
            DumpCSV UBound (arrayTemp1) + 1, "WMITimerInstructions", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ": " & arrayTemp2 (1) & ", '" & arrayTemp2 (2) & "', " & arrayTemp2 (3) & "'.", cLoggingLevel0, False
            Next
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         Else 
            DumpCSV 0, "WMITimerInstructions", 1, boolDump
            StatusWriteToLogFile objFileHandle, "WMI TIMER instruction(s)", "NONE", cLoggingLevel0, False
         End If

         If Len (TrackingData.ADAPStatus) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.ADAPStatus, ";")
            If arrayTemp1 (3) < 1 Then 
               StatusWriteToLogFile objFileHandle, "WMI ADAP status", arrayTemp1 (3), cLoggingLevel2, False
               WriteToLogFile objFileHandle, "=> " & arrayTemp1 (2), cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   You can start the WMI AutoDiscovery/AutoPurge (ADAP) process to resynchronize", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   the performance counters with the WMI performance classes with the following commands:", cLoggingLevel0, False

               WriteToLogFile objFileHandle, "   i.e. 'WINMGMT.EXE /CLEARADAP'", cLoggingLevel0, False
               If RunTimeEnvironmentInfo.OSIdentifier =< cWindows2000SP4 then
                  WriteToLogFile objFileHandle, "   i.e. 'WINMGMT.EXE /RESYNCPERF <PID_of_WINMGMT.EXE>'", cLoggingLevel0, False
               End If
               If RunTimeEnvironmentInfo.OSIdentifier > cWindows2000SP4 then
                  WriteToLogFile objFileHandle, "   i.e. 'WINMGMT.EXE /RESYNCPERF'", cLoggingLevel0, False
               End If
               WriteToLogFile objFileHandle, "   The ADAP process logs informative events in the Windows NT event log.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   More information can be found on MSDN at:", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   http://msdn.microsoft.com/library/default.asp?url=/library/en-us/wmisdk/wmi/wmi_adap_event_log_events.asp", cLoggingLevel0, False

               If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
            Else
               If arrayTemp1 (3) < 4 Then 
                  StatusWriteToLogFile objFileHandle, "INFO: WMI ADAP status", arrayTemp1 (3), cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "=> " & arrayTemp1 (2), cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   Some WMI performance classes could be missing at the time WMIDiag was executed.", cLoggingLevel0, False
               Else
                  StatusWriteToLogFile objFileHandle, "WMI ADAP status", "OK", cLoggingLevel0, False
               End If
            End If

            DumpCSV arrayTemp1 (3), "ADAPStatus", 1, boolDump
         Else 
            If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsVistaRTM Then
               DumpCSV " ", "ADAPStatus", 1, boolDump
            Else
               StatusWriteToLogFile objFileHandle, "WMI ADAP status", "NOT AVAILABLE", cLoggingLevel1, False
               If Instr (TrackingData.InvalidWMIServiceSetup, "DISABLED") = 0 Then
                  WriteToLogFile objFileHandle, "   You can start the WMI AutoDiscovery/AutoPurge (ADAP) process to resynchronize", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   the performance counters with the WMI performance classes with the following commands:", cLoggingLevel0, False
   
                  WriteToLogFile objFileHandle, "   i.e. 'WINMGMT.EXE /CLEARADAP'", cLoggingLevel0, False
                  If RunTimeEnvironmentInfo.OSIdentifier =< cWindows2000SP4 then
                     WriteToLogFile objFileHandle, "   i.e. 'WINMGMT.EXE /RESYNCPERF <PID_of_WINMGMT.EXE>'", cLoggingLevel0, False
                  End If
                  If RunTimeEnvironmentInfo.OSIdentifier > cWindows2000SP4 then
                     WriteToLogFile objFileHandle, "   i.e. 'WINMGMT.EXE /RESYNCPERF'", cLoggingLevel0, False
                  End If
                  WriteToLogFile objFileHandle, "   The ADAP process logs informative events in the Windows NT event log.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   More information can be found on MSDN at:", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   http://msdn.microsoft.com/library/default.asp?url=/library/en-us/wmisdk/wmi/wmi_adap_event_log_events.asp", cLoggingLevel0, False
               End If

               DumpCSV "N/A", "ADAPStatus", 1, boolDump

               intWMICriticalityLevel = cLoggingLevel1
            End If
         End If

         If Len (TrackingData.RequiresEncryption) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.RequiresEncryption, ",")
            StatusWriteToLogFile objFileHandle, "INFO: WMI namespace(s) requiring PACKET PRIVACY", UBound (arrayTemp1) + 1 & " NAMESPACE(S)!", cLoggingLevel0, False
            DumpCSV UBound (arrayTemp1) + 1, "RequiresEncryption", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ".", cLoggingLevel0, False
            Next

            WriteToLogFile objFileHandle, "=> When remotely connecting, the namespace(s) listed require(s) the WMI client to", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   use an encrypted connection by specifying the PACKET PRIVACY authentication level.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   (RPC_C_AUTHN_LEVEL_PKT_PRIVACY or PktPrivacy flags)", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   i.e. 'WMIC.EXE /NODE:" & Chr(34) & RunTimeEnvironmentInfo.LocalComputerName & Chr(34) & " /AUTHLEVEL:Pktprivacy /NAMESPACE:\\" & ReplaceString (arrayTemp2 (0), "/", "\") & " Class __SystemSecurity'", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         Else 
            DumpCSV 0, "RequiresEncryption", 1, boolDump
         End If

         If Len (TrackingData.WMIMonikerConnectionErrors) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIMonikerConnectionErrors, ",")
            StatusWriteToLogFile objFileHandle, "WMI MONIKER CONNECTION errors occured for the following namespaces", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False
            DumpCSV UBound (arrayTemp1) + 1, "WMIMonikerConnectionErrors", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & " - " & arrayTemp2 (2) & ".", cLoggingLevel0, False
                CountWMIErrorMessage arrayTemp2 (1)
            Next
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            intWMICriticalityLevel = cLoggingLevel1
         Else 
            DumpCSV 0, "WMIMonikerConnectionErrors", 1, boolDump
            StatusWriteToLogFile objFileHandle, "WMI MONIKER CONNECTIONS", "OK", cLoggingLevel0, False
         End If

         If Len (TrackingData.WMIConnectionErrors) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIConnectionErrors, ",")
            StatusWriteToLogFile objFileHandle, "WMI CONNECTION errors occured for the following namespaces", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False
            DumpCSV UBound (arrayTemp1) + 1, "WMIConnectionErrors", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & " - " & arrayTemp2 (2) & ".", cLoggingLevel0, False
                CountWMIErrorMessage arrayTemp2 (1)
            Next
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            intWMICriticalityLevel = cLoggingLevel1
         Else 
            DumpCSV 0, "WMIConnectionErrors", 1, boolDump
            StatusWriteToLogFile objFileHandle, "WMI CONNECTIONS", "OK", cLoggingLevel0, False
         End If

         If Len (TrackingData.WMIGetErrors) > 0 Then
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIGetErrors, ",")
            StatusWriteToLogFile objFileHandle, "WMI GET operation errors reported", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False
            DumpCSV UBound (arrayTemp1) + 1, "WMIGetErrors", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ", " & arrayTemp2 (2) & " - " & arrayTemp2 (3) & ".", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "  MOF Registration: '" & LocateWMIProviderData (objLOGFileHandle, arrayTemp2 (1), cWMIClassName, cWMIProviderMOF) & "'", cLoggingLevel0, False

                CountWMIErrorMessage arrayTemp2 (2)

                If Instr (Ucase (arrayTemp2 (1)), "WIN32_PERF") > 0 Then
                   strPerformanceClass = arrayTemp2 (1)
                End If
            Next

            If Len (strPerformanceClass) > 0 Then
               If RunTimeEnvironmentInfo.OSIdentifier < cWindowsVistaRTM Then 
                  WriteToLogFile objFileHandle, "=> When a WMI performance class is missing (i.e. '" & strPerformanceClass & "'), it is generally due to", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   a synchronization issue between the performance counters and WMI.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   The AutoDiscovery/AutoPurge (ADAP) process logs informative events in the Windows NT event log.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   More information can be found on MSDN at:", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   http://msdn.microsoft.com/library/default.asp?url=/library/en-us/wmisdk/wmi/wmi_adap_event_log_events.asp", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "", cLoggingLevel0, False

                  If Len (TrackingData.ADAPStatus) > 0 Then
                     arrayTemp1 = ConvertStringInArray (TrackingData.ADAPStatus, ";")
                     WriteToLogFile objFileHandle, "   - The last time the ADAP process was STARTED was the '" & arrayTemp1 (0) & "'.", cLoggingLevel0, False
                     WriteToLogFile objFileHandle, "   - The last time the ADAP process was STOPPED was the '" & arrayTemp1 (1) & "'.", cLoggingLevel0, False
                     WriteToLogFile objFileHandle, "   - The latest ADAP process status is '" & arrayTemp1 (2) & "'.", cLoggingLevel0, False
                     WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                  Else
                     WriteToLogFile objFileHandle, "   - WMIDiag was unable to find the latest WMI ADAP status.", cLoggingLevel0, False
                  End If
                  WriteToLogFile objFileHandle, "   You can attempt to resynchronize the WMI performance classes with the existing Windows", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   performance counters with the following commands:", cLoggingLevel0, False
   
                  WriteToLogFile objFileHandle, "   i.e. 'WINMGMT.EXE /CLEARADAP'", cLoggingLevel0, False
                  If RunTimeEnvironmentInfo.OSIdentifier =< cWindows2000SP4 then
                     WriteToLogFile objFileHandle, "   i.e. 'WINMGMT.EXE /RESYNCPERF <PID_of_WINMGMT.EXE>'", cLoggingLevel0, False
                  End If
                  If RunTimeEnvironmentInfo.OSIdentifier > cWindows2000SP4 And RunTimeEnvironmentInfo.OSIdentifier < cWindowsVistaRTM then
                     WriteToLogFile objFileHandle, "   i.e. 'WINMGMT.EXE /RESYNCPERF'", cLoggingLevel0, False
                  End If
               Else
                  WriteToLogFile objFileHandle, "=> When a WMI performance class is missing (i.e. '" & strPerformanceClass & "'), it is generally due to", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   a lack of buffer refresh of the WMI class provider exposing the WMI performance counters.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   You can refresh the WMI class provider buffer with the following command:", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   i.e. 'WINMGMT.EXE /SYNCPERF'", cLoggingLevel0, False
               End If
            End If
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            intWMICriticalityLevel = cLoggingLevel1
         Else 
            StatusWriteToLogFile objFileHandle, "WMI GET operations", "OK", cLoggingLevel0, False
            DumpCSV 0, "WMIGetErrors", 1, boolDump
         End If

         If Len (TrackingData.FailingMOFRepresentation) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.FailingMOFRepresentation, ",")
            StatusWriteToLogFile objFileHandle, "WMI MOF representation errors reported", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False
            DumpCSV UBound (arrayTemp1) + 1, "WMIMOFRepresentationErrors", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ".", cLoggingLevel0, False
            Next
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            intWMICriticalityLevel = cLoggingLevel1
         Else 
            StatusWriteToLogFile objFileHandle, "WMI MOF representations", "OK", cLoggingLevel0, False
            DumpCSV 0, "WMIMOFRepresentationErrors", 1, boolDump
         End If

         If Len (TrackingData.QualifierAccessError) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.QualifierAccessError, ",")
            StatusWriteToLogFile objFileHandle, "WMI QUALIFIERS access operation errors reported", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False
            DumpCSV UBound (arrayTemp1) + 1, "QualifierAccessError", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ", " & arrayTemp2 (2) & " - " & arrayTemp2 (3) & ".", cLoggingLevel0, False
                CountWMIErrorMessage arrayTemp2 (2)
            Next
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            intWMICriticalityLevel = cLoggingLevel1
         Else
            StatusWriteToLogFile objFileHandle, "WMI QUALIFIER access operations", "OK", cLoggingLevel0, False
            DumpCSV 0, "QualifierAccessError", 1, boolDump
         End If

         If Len (TrackingData.WMIEnumerationErrors) > 0 Then
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIEnumerationErrors, ",")
            If Instr (UCase (TrackingData.WMIEnumerationErrors), UCase (";" & cCritical)) > 0 Then
               StatusWriteToLogFile objFileHandle, "WMI ENUMERATION operation errors reported", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False
               intWMICriticalityLevel = cLoggingLevel1
            Else 
               StatusWriteToLogFile objFileHandle, "WMI ENUMERATION operation errors reported", UBound (arrayTemp1) + 1 & " WARNING(S)!", cLoggingLevel2, False
               If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
            End If 
            DumpCSV UBound (arrayTemp1) + 1, "WMIEnumerationErrors", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                Select Case arrayTemp2 (4) 
                       Case "NOINSTANCE"
                             WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ", '" & arrayTemp2 (2) & "' did not return any instance while AT LEAST 1 instance is expected.", cLoggingLevel0, False
                             WriteToLogFile objFileHandle, "  MOF Registration: '" & LocateWMIProviderData (objLOGFileHandle, arrayTemp2 (2), cWMIClassName, cWMIProviderMOF) & "'", cLoggingLevel0, False
                       Case Else
                             WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ", '" & arrayTemp2 (2) & "', " & arrayTemp2 (4) & " - " & arrayTemp2 (5) & ".", cLoggingLevel0, False
                             WriteToLogFile objFileHandle, "  MOF Registration: '" & LocateWMIProviderData (objLOGFileHandle, arrayTemp2 (2), cWMIClassName, cWMIProviderMOF) & "'", cLoggingLevel0, False
                             CountWMIErrorMessage arrayTemp2 (4)
                End Select
            Next
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         Else 
            DumpCSV 0, "WMIEnumerationErrors", 1, boolDump
         End If

         If Len (TrackingData.WMIEnumerationSkipped) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIEnumerationSkipped , ",")
            StatusWriteToLogFile objFileHandle, "WMI ENUMERATION operations SKIPPED", UBound (arrayTemp1) + 1 & " WARNING(S)!", cLoggingLevel2, False
            DumpCSV UBound (arrayTemp1) + 1, "WMIEnumerationSkipped", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ", " & arrayTemp2 (2) & ", " & arrayTemp2 (3) & ".", cLoggingLevel0, False
            Next

            WriteToLogFile objFileHandle, "=> ENUMERATION operations are skipped because the WMI provider (i.e. '" & arrayTemp2 (1) & "') supporting", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   the WMI class (i.e. '" & arrayTemp2 (3) & "') has registration issues.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   (as listed previously in this report)", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
         Else 
            DumpCSV 0, "WMIEnumerationSkipped", 1, boolDump
         End If

         If Len (TrackingData.WMIEnumerationErrors) = 0 And _
            Len (TrackingData.WMIEnumerationSkipped ) = 0 Then 
            StatusWriteToLogFile objFileHandle, "WMI ENUMERATION operations", "OK", cLoggingLevel0, False
         End If 

         If Len (TrackingData.WMIExecQueryErrors) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIExecQueryErrors, ",")
            If Instr (UCase (TrackingData.WMIExecQueryErrors), UCase (";" & cCritical)) > 0 Then
               StatusWriteToLogFile objFileHandle, "WMI EXECQUERY operation errors reported", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False
               intWMICriticalityLevel = cLoggingLevel1
            Else
               StatusWriteToLogFile objFileHandle, "WMI EXECQUERY operation errors reported", UBound (arrayTemp1) + 1 & " WARNING(S)!", cLoggingLevel2, False
               If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
            End If 
            DumpCSV UBound (arrayTemp1) + 1, "WMIExecQueryErrors", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                If CInt (arrayTemp2 (2)) = cIWarning Then
                   WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", '" & arrayTemp2 (1) & "' returned instances while NO instance is expected.", cLoggingLevel0, False                   
                Else
                   If arrayTemp2 (3) = "NOINSTANCE" Then
                      WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", '" & arrayTemp2 (1) & "' did not return any instance while AT LEAST 1 instance is expected.", cLoggingLevel0, False
                   Else
                      WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ", " & arrayTemp2 (3) & " - " & arrayTemp2 (4) & ".", cLoggingLevel0, False
                      CountWMIErrorMessage arrayTemp2 (3)
                   End If
                End If
            Next
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         Else
            DumpCSV 0, "WMIExecQueryErrors", 1, boolDump
         End If

         If Len (TrackingData.WMIExecQuerySkipped) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIExecQuerySkipped, ",")
            StatusWriteToLogFile objFileHandle, "WMI EXECQUERY operations SKIPPED", UBound (arrayTemp1) + 1 & " WARNING(S)!", cLoggingLevel2, False
            DumpCSV UBound (arrayTemp1) + 1, "WMIExecQuerySkipped", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ", " & arrayTemp2 (2) & ".", cLoggingLevel0, False
            Next

            WriteToLogFile objFileHandle, "=> EXECQUERY operations are skipped because the WMI provider (i.e. '" & arrayTemp2 (1) & "') supporting", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   the WMI class contained in the WQL query (i.e. '" & arrayTemp2 (3) & "') has registration issues.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   (as listed previously in this report)", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
         Else
            DumpCSV 0, "WMIExecQuerySkipped", 1, boolDump
         End If

         If Len (TrackingData.WMIExecQueryErrors) = 0 And _
            Len (TrackingData.WMIExecQuerySkipped) = 0 Then 
            StatusWriteToLogFile objFileHandle, "WMI EXECQUERY operations", "OK", cLoggingLevel0, False
         End If 

         If Len (TrackingData.WMIGetValuePropertyErrors) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIGetValuePropertyErrors, ",")
            If Instr (UCase (TrackingData.WMIGetValuePropertyErrors), UCase (";" & cCritical)) > 0 Then
               StatusWriteToLogFile objFileHandle, "WMI GET VALUE operation errors reported", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False
               intWMICriticalityLevel = cLoggingLevel1
            Else
               StatusWriteToLogFile objFileHandle, "WMI GET VALUE operation errors reported", UBound (arrayTemp1) + 1 & " WARNING(S)!", cLoggingLevel2, False
               If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
            End If

            DumpCSV UBound (arrayTemp1) + 1, "WMIGetValuePropertyErrors", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", Instance: " & arrayTemp2 (1) & ", Property: " & arrayTemp2 (2) & "='" & arrayTemp2 (3) & "' (Expected default='" & arrayTemp2 (4) & "').", cLoggingLevel0, False
            Next
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         Else
            DumpCSV 0, "WMIGetValuePropertyErrors", 1, boolDump
         End If

         If Len (TrackingData.WMIGetValuePropertySkipped) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIGetValuePropertySkipped, ",")
            StatusWriteToLogFile objFileHandle, "WMI GET VALUE operations SKIPPED", UBound (arrayTemp1) + 1 & " WARNING(S)!", cLoggingLevel2, False
            DumpCSV UBound (arrayTemp1) + 1, "WMIGetValuePropertySkipped", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ", " & arrayTemp2 (2) & ".", cLoggingLevel0, False
            Next

            WriteToLogFile objFileHandle, "=> GET VALUE operations are skipped because the WMI provider (i.e. '" & arrayTemp2 (1) & "') supporting", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   the WMI class instance (i.e. '" & arrayTemp2 (2) & "') has registration issues.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "   (as listed previously in this report)", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
         Else 
            DumpCSV 0, "WMIGetValuePropertySkipped", 1, boolDump
         End If

         If Len (TrackingData.WMIGetValuePropertyErrors) = 0 And _
            Len (TrackingData.WMIGetValuePropertySkipped) = 0 Then
            StatusWriteToLogFile objFileHandle, "WMI GET VALUE operations", "OK", cLoggingLevel0, False
         End If

         If boolWriteInRepository Then
            If Len (TrackingData.WriteInRepository) > 0 Then 
               arrayTemp1 = ConvertStringInArray (TrackingData.WriteInRepository, ",")
               StatusWriteToLogFile objFileHandle, "WMI WRITE operation errors reported", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False
               DumpCSV UBound (arrayTemp1) + 1, "WriteInRepository", 1, boolDump
               For Each strTemp1 In arrayTemp1
                   arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                   If arrayTemp2 (3) = "WRONGCOUNTEDOBJECTS" Then
                      WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ": " & arrayTemp2 (1) & ", " & arrayTemp2 (2) & " '" & cWriteInRepositoryClass & "' objects counted instead of " & cMaxInstances & "!", cLoggingLevel0, False
                   Else
                      WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ": " & arrayTemp2 (1) & ", " & arrayTemp2 (2) & " - " & arrayTemp2 (3) & ".", cLoggingLevel0, False
                      CountWMIErrorMessage arrayTemp2 (2)
                   End If 
               Next
               WriteToLogFile objFileHandle, "", cLoggingLevel0, False
   
               intWMICriticalityLevel = cLoggingLevel1
            Else 
               If boolWriteOperationCompleted = True Then
                  StatusWriteToLogFile objFileHandle, "WMI WRITE operations", "OK", cLoggingLevel0, False
               Else
                  StatusWriteToLogFile objFileHandle, "WMI WRITE operations", "SKIPPED", cLoggingLevel2, False
                  If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
               End If
               DumpCSV 0, "WriteInRepository", 1, boolDump
            End If
         Else
            StatusWriteToLogFile objFileHandle, "WMI WRITE operations", "NOT TESTED", cLoggingLevel0, False
            DumpCSV " ", "WriteInRepository", 1, boolDump
         End If

         If Len (TrackingData.WMIPutErrors) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIPutErrors, ",")
            StatusWriteToLogFile objFileHandle, "WMI PUT operation errors reported", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False
            DumpCSV UBound (arrayTemp1) + 1, "WMIPutErrors", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ", " & arrayTemp2 (2) & ", " & arrayTemp2 (3) & " - " & arrayTemp2 (4) & ".", cLoggingLevel0, False
                CountWMIErrorMessage arrayTemp2 (3)
            Next

            ' WBEM_E_PROVIDER_LOAD_FAILURE
            If arrayTemp2 (3) = "0x80041013" And arrayTemp2 (1) = "()" Then
               WriteToLogFile objFileHandle, "=> PUT operation failures returning 0x80041013 (WBEM_E_PROVIDER_LOAD_FAILURE) occur generally when", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   WMI client attempt the creation of a WMI class in a namespace where a WMI class provider is registered and", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   fails to load.", cLoggingLevel0, False
            End If 
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            intWMICriticalityLevel = cLoggingLevel1
         Else 
            If boolWriteInRepository = True Then 
               StatusWriteToLogFile objFileHandle, "WMI PUT operations", "OK", cLoggingLevel0, False
               DumpCSV 0, "WMIPutErrors", 1, boolDump
            Else
               StatusWriteToLogFile objFileHandle, "WMI PUT operations", "NOT TESTED", cLoggingLevel0, False
               DumpCSV " ", "WMIPutErrors", 1, boolDump
            End If
         End If

         If Len (TrackingData.WMIDeleteErrors) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIDeleteErrors, ",")
            StatusWriteToLogFile objFileHandle, "WMI DELETE operation errors reported", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False
            DumpCSV UBound (arrayTemp1) + 1, "WMIDeleteErrors", 1, boolDump
            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                WriteToLogFile objFileHandle, "- " & arrayTemp2 (0) & ", " & arrayTemp2 (1) & ", " & arrayTemp2 (2) & " - " & arrayTemp2 (3) & ".", cLoggingLevel0, False
                CountWMIErrorMessage arrayTemp2 (3)
            Next
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False

            intWMICriticalityLevel = cLoggingLevel1
         Else 
            If boolWriteInRepository = True Then 
               StatusWriteToLogFile objFileHandle, "WMI DELETE operations", "OK", cLoggingLevel0, False
               DumpCSV 0, "WMIDeleteErrors", 1, boolDump
            Else
               StatusWriteToLogFile objFileHandle, "WMI DELETE operations", "NOT TESTED", cLoggingLevel0, False
               DumpCSV " ", "WMIDeleteErrors", 1, boolDump
            End If
         End If

         If intRequestAllInstances > 0 Then
            StatusWriteToLogFile objFileHandle, "WMI static instances retrieved", longStaticInstanceCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "WMI dynamic instances retrieved", longDynamicInstanceCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "WMI instance request cancellations (to limit performance impact)", longAsyncCancellationCounter, cLoggingLevel0, False
            DumpCSV longDynamicInstanceCounter, "DynamicInstances", 1, boolDump
            DumpCSV longStaticInstanceCounter, "StaticInstances", 1, boolDump 
            DumpCSV longAsyncCancellationCounter, "CancelRequests", 1, boolDump
         Else
            DumpCSV " ", "DynamicInstances", 1, boolDump
            DumpCSV " ", "StaticInstances", 1, boolDump
            DumpCSV " ", "CancelRequests", 1, boolDump
         End If

         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False

         If Len (TrackingData.WMIEventLogEventData) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WMIEventLogEventData, ",")

            If arrayTemp1 (0) = "NTEVENTLOG_SKIPPED" Then
               StatusWriteToLogFile objFileHandle, "Event Log Events", "SKIPPED", cLoggingLevel0, False
               If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2

               DumpCSV " ", "COM_NTEventLog", 1, boolDump
               DumpCSV " ", "WMI_NTEventLog", 1, boolDump
               DumpCSV " ", "ADAP_NTEventLog", 1, boolDump

               DumpCSV " ", "COM_NTEventLog", 1, boolDump
               DumpCSV " ", "WMI_NTEventLog", 1, boolDump
               DumpCSV " ", "ADAP_NTEventLog", 1, boolDump
            Else
               WriteToLogFile objFileHandle, "# of Event Log events BEFORE WMIDiag execution since the last " & intOldestEVENTLogHistory & " day(s):", cLoggingLevel0, False
               boolEventLogEvents = False
               For Each strTemp1 In arrayTemp1
                   If InStr (strTemp1, "SYSTEM;") > 0 Then
                      arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                      StatusWriteToLogFile objFileHandle, "  " & arrayTemp2 (1), arrayTemp2 (3), cLoggingLevel0, False
                      If arrayTemp2 (3) > 0 Then boolEventLogEvents = True
                      DumpCSV arrayTemp2 (3), arrayTemp2 (1) & "_NTEventLog", 1, boolDump
                   End If 
                   If InStr (strTemp1, "SYSTEMERROR;") > 0 Then
                      arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                      StatusWriteToLogFile objFileHandle, "  " & arrayTemp2 (1), "ERROR!", cLoggingLevel0, False
                      intWMICriticalityLevel = cLoggingLevel1
                      DumpCSV "", arrayTemp2 (1) & "_NTEventLog", 1, boolDump
                   End If 
               Next
               If boolEventLogEvents = True Then 
                  WriteToLogFile objFileHandle, "=> Verify the WMIDiag LOG at line #" & arrayTemp2 (2) & " for more details.", cLoggingLevel0, False
               End If

               WriteToLogFile objFileHandle, "", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "# of additional Event Log events AFTER WMIDiag execution:", cLoggingLevel0, False
               boolEventLogEvents = False
               For Each strTemp1 In arrayTemp1
                   If InStr (strTemp1, "WMIDIAG;") > 0 Then
                      arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                      StatusWriteToLogFile objFileHandle, "  " & arrayTemp2 (1), arrayTemp2 (3), cLoggingLevel0, False
                      If arrayTemp2 (3) > 0 Then boolEventLogEvents = True
                      DumpCSV arrayTemp2 (3), arrayTemp2 (1) & "_NTEventLog", 1, boolDump
                   End If 
                   If InStr (strTemp1, "WMIDIAGERROR;") > 0 Then
                      arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                      StatusWriteToLogFile objFileHandle, "  " & arrayTemp2 (1), "ERROR!", cLoggingLevel0, False
                      DumpCSV "", arrayTemp2 (1) & "_NTEventLog", 1, boolDump
                   End If 
               Next
               If boolEventLogEvents = True Then 
                  WriteToLogFile objFileHandle, "=> Verify the WMIDiag LOG at line #" & arrayTemp2 (2) & " for more details.", cLoggingLevel2, False
                  If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
               End If
            End If
         Else
            DumpCSV " ", "COM_NTEventLog", 1, boolDump
            DumpCSV " ", "WMI_NTEventLog", 1, boolDump
            DumpCSV " ", "ADAP_NTEventLog", 1, boolDump

            DumpCSV " ", "COM_NTEventLog", 1, boolDump
            DumpCSV " ", "WMI_NTEventLog", 1, boolDump
            DumpCSV " ", "ADAP_NTEventLog", 1, boolDump
         End If

         For intIndex = 0 To Ubound (WBEMError) - 1
             WriteToLogFile objFileHandle, "", cLoggingLevel0, False

             WriteToLogFile objFileHandle, WBEMError (intIndex).WBEMCounter & " error(s) " & _
                                           WBEMError (intIndex).WBEMError & " - (" & _
                                           WBEMError (intIndex).WBEMCode & ") " & _
                                           WBEMError (intIndex).WBEMMessage, cLoggingLevel0, False

             ' Typical insuficient privileges errors
             ' WBEM_E_ACCESS_DENIED
             If WBEMError (intIndex).WBEMError = "0x80041003" Then
                WriteToLogFile objFileHandle, "=> This error is typically due to insufficient or restricted permissions in the examined system.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "=> ENSURE you are a Full Administrator of the examined system, if the WMI provider or the ", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   WMI system security do not enforce any restrictions.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             ' Typical WMI system errors
             ' WBEM_E_FAILED 
             If WBEMError (intIndex).WBEMError = "0x80041001" Then
                WriteToLogFile objFileHandle, "=> This error is typically a WMI system error. WMI system errors can find their origins in:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Failing WMI system components (see any missing WMI system files or DCOM registration", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     issues previously mentioned).", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Failing WMI providers (see any WMI provider DCOM registration", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     issues previously mentioned).", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Failing operation in WMI providers because the underlying component queried by the WMI", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     provider is not available (i.e. not installed, not running or not available).", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Corrupted WMI repository.", cLoggingLevel0, False
                If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP2 Or _ 
		   RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP3 Then
                   WriteToLogFile objFileHandle, "     - Under Windows XP SP2 and SP3, you can validate the repository consistency", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "       by executing the following command:", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "       i.e. 'WMIDiag CheckConsistency'", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "     Note: Under Windows XP SP2 and SP3, when the repository is checked and detected INCONSISTENT,", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "           a new repository is automatically re-created based on Auto-Recovery mechanism.", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "           Note that some information can be lost during this process (i.e. static data, CIM registration).", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "           However, the original repository is located at '" & RunTimeEnvironmentInfo.WBem & "Repository.001'.", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "           The computer must be rebooted for the system to work with the re-created repository.", cLoggingLevel0, False
                Else
                   If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP164 Or _
                      RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP1 Or _
                      RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP2 Or _
                      RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP264 Or _
                      RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP164 Then
                      WriteToLogFile objFileHandle, "     - Validating the repository consistency. Under Windows XP 64-bit SP1, Windows 2003 SP1 and Windows Vista, the", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "       repository consistency is ALWAYS verified.", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "       Under Windows XP SP2, the repository consistency must be explicitly requested:", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "       i.e. 'WMIDiag CheckConsistency''", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "       Check the state of the repository above in the WMIDiag report.", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     Note: If the repository is inconsistent, it must be reconstructed.", cLoggingLevel0, False
                   Else
                      WriteToLogFile objFileHandle, "     - Validating the repository consistency. In such a case, you must rerun WMIDiag with 'WriteInRepository' parameter", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "       to validate the WMI repository operations.", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     Note: ENSURE you are an administrator with FULL access to WMI EVERY namespaces of the computer before", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "           executing the WriteInRepository command. To write temporary data from the Root namespace, use:", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "           i.e. 'WMIDiag WriteInRepository=Root'", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     - If the WriteInRepository command fails, while being an Administrator with ALL accesses to ALL namespaces", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "       the WMI repository must be reconstructed.", cLoggingLevel0, False
                   End If
                End If
                WriteToLogFile objFileHandle, "   Note: The WMI repository reconstruction requires to locate all MOF files needed to rebuild the repository,", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "         otherwise some applications may fail after the reconstruction.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "         This can be achieved with the following command:", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "         i.e. 'WMIDiag ShowMOFErrors'", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   Note: The repository reconstruction must be a LAST RESORT solution and ONLY after executing", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "         ALL fixes previously mentioned.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "Static information stored by external applications in the repository will be LOST! (i.e. SMS Inventory)", cLoggingLevel2, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                boolWMISystemError = True
             End If

             ' Typical instance request errors
             ' WBEM_E_INVALID_METHOD
             If WBEMError (intIndex).WBEMError = "0x8004102E" Then
                WriteToLogFile objFileHandle, "=> This error is generally due to an invalid request to a WMI provider because", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   the provider expects some specific parameters to be specified before issuing", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   the request. This error is not actionable and can be perfectly normal depending on the", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   operation requested and the WMI provider returning the error", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   (i.e. SMS on a site server may return this error).", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             ' Typical instance request errors
             ' WBEM_E_CALL_CANCELLED
             If WBEMError (intIndex).WBEMError = "0x80041032" Then
                WriteToLogFile objFileHandle, "=> This error occurs when an asynchronous call is cancelled.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   WMIDiag cancels asynchornous with the RequestAllInstances parameter when", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   " & cAsyncMaxInstances & " instances or more are returned. NO ACTION is required.", cLoggingLevel0, False
             End If

             ' Typical missing class errors
             ' WBEM_E_INVALID_CLASS
             If WBEMError (intIndex).WBEMError = "0x80041010" Then 
                WriteToLogFile objFileHandle, "=> This error is typically due to missing or invalid WMI classes in the repository.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Verify any GET, ENUMERATION, EXECQUERY and GET VALUE operation failures.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "=> You can correct the missing class definitions by:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Manually recompiling the MOF file(s) with the 'MOFCOMP <FileName.MOF>' command.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   Note: You can build a list of classes in relation with their WMI provider and MOF file with WMIDiag.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "         (This list can be built on a similar and working WMI Windows installation)", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "         The following command line must be used:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "         i.e. 'WMIDiag CorrelateClassAndProvider'", cLoggingLevel0, False

                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             ' Typical missing classes or objects
             ' WBEM_E_NOT_FOUND 
             If WBEMError (intIndex).WBEMError = "0x80041002" Then 
                WriteToLogFile objFileHandle, "=> This error is typically a WMI error. This WMI error is due to:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - a missing WMI class definition or object.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     (See any GET, ENUMERATION, EXECQUERY and GET VALUE operation failures).", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     You can correct the missing class definitions by:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     - Manually recompiling the MOF file(s) with the 'MOFCOMP <FileName.MOF>' command.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     Note: You can build a list of classes in relation with their WMI provider and MOF file with WMIDiag.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "           (This list can be built on a similar and working WMI Windows installation)", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "           The following command line must be used:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "           i.e. 'WMIDiag CorrelateClassAndProvider'", cLoggingLevel0, False
                If Len (strPerformanceClass) > 0 Then 
                   WriteToLogFile objFileHandle, "     Note: When a WMI performance class is missing, you can manually resynchronize performance counters", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "           with WMI by starting the ADAP process.", cLoggingLevel0, False
                End If
                WriteToLogFile objFileHandle, "   - a WMI repository corruption.", cLoggingLevel0, False
                If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP2 Or _
		   RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP3 Then
                   WriteToLogFile objFileHandle, "     Under Windows XP SP2 and SP3, you can validate the repository consistency", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "     by executing the following command:", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "     i.e. 'WMIDiag CheckConsistency'", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   Note: Under Windows XP SP2 and SP3, when the repository is checked and detected INCONSISTENT,", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "         a new repository is automatically re-created based on Auto-Recovery mechanism.", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "         Note that some information can be lost during this process (i.e. static data, CIM registration).", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "         However, the original repository is located at '" & RunTimeEnvironmentInfo.WBem & "Repository.001'.", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "         The computer must be rebooted for the system to work with the re-created repository.", cLoggingLevel0, False
                Else
                   If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP164 Or _
                      RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP1 Or _
                      RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP2 Or _
                      RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP264 Or _
                      RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP164 Then
                      WriteToLogFile objFileHandle, "     Under Windows XP 64-bit SP1, Windows 2003 SP1 and Windows Vista, the", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     repository consistency is ALWAYS verified.", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     Under Windows XP SP2, the repository consistency must be explicitly requested:", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     i.e. 'WMIDiag CheckConsistency''", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     Check the state of the repository above in the WMIDiag report.", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     If the repository is inconsistent, it must be reconstructed.", cLoggingLevel0, False
                   Else
                      WriteToLogFile objFileHandle, "     In such a case, you must rerun WMIDiag with 'WriteInRepository' parameter", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     to validate the WMI repository operations.", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "   Note: ENSURE you are an administrator with FULL access to WMI EVERY namespaces of the computer before", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "         executing the WriteInRepository command. To write temporary data from the Root namespace, use:", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "         i.e. 'WMIDiag WriteInRepository=Root'", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "   - If the WriteInRepository command fails, while being an Administrator with ALL accesses to ALL namespaces", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     the WMI repository must be reconstructed.", cLoggingLevel0, False
                   End If
                End If
                WriteToLogFile objFileHandle, "   Note: The WMI repository reconstruction requires to locate all MOF files needed to rebuild the repository,", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "         otherwise some applications may fail after the reconstruction.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "         This can be achieved with the following command:", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "         i.e. 'WMIDiag ShowMOFErrors'", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   Note: The repository reconstruction must be a LAST RESORT solution and ONLY after executing", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "         ALL fixes previously mentioned.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "Static information stored by external applications in the repository will be LOST! (i.e. SMS Inventory)", cLoggingLevel2, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             ' Typical WMI system errors
             ' WBEM_E_INITIALIZATION_FAILURE    
             ' WBEM_E_CRITICAL_ERROR 
             ' WBEM_E_OUT_OF_MEMORY 
             If WBEMError (intIndex).WBEMError = "0x80041014" Or _
                WBEMError (intIndex).WBEMError = "0x8004100A" Or _
                WBEMError (intIndex).WBEMError = "0x80041006" Then 
                WriteToLogFile objFileHandle, "=> This error is typically a WMI system error. WMI system errors can find their origin in:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Failing WMI system components (see any missing WMI system files or DCOM registration", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     issues previously mentioned).", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Failing WMI providers (see any DCOM registration issues previously mentioned).", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - a WMI repository corruption.", cLoggingLevel0, False
                If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP2  Or _
		   RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP3 Then
                   WriteToLogFile objFileHandle, "     Under Windows XP SP2 and SP3, you can validate the repository consistency", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "     by executing the following command:", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "     i.e. 'WMIDiag CheckConsistency'", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   Note: Under Windows XP SP2 and SP3, when the repository is checked and detected INCONSISTENT,", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "         a new repository is automatically re-created based on Auto-Recovery mechanism.", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "         Note that some information can be lost during this process (i.e. static data, CIM registration).", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "         However, the original repository is located at '" & RunTimeEnvironmentInfo.WBem & "Repository.001'.", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "         The computer must be rebooted for the system to work with the re-created repository.", cLoggingLevel0, False
                Else
                   If RunTimeEnvironmentInfo.OSIdentifier = cWindowsXPSP164 Or _
                      RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP1 Or _
                      RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP2 Or _
                      RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP264 Or _
                      RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP164 Then
                      WriteToLogFile objFileHandle, "     Under Windows XP 64-bit SP1, Windows 2003 SP1 and Windows Vista, the", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     repository consistency is ALWAYS verified.", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     Under Windows XP SP2, the repository consistency must be explicitly requested:", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     i.e. 'WMIDiag CheckConsistency''", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     Check the state of the repository above in the WMIDiag report.", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     If the repository is inconsistent, it must be reconstructed.", cLoggingLevel0, False
                   Else
                      WriteToLogFile objFileHandle, "     In such a case, you must rerun WMIDiag with 'WriteInRepository' parameter", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     to validate the WMI repository operations.", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "   Note: ENSURE you are an administrator with FULL access to WMI EVERY namespaces of the computer before", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "         executing the WriteInRepository command. To write temporary data from the Root namespace, use:", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "         i.e. 'WMIDiag WriteInRepository=Root'", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "   - If the WriteInRepository command fails, while being an Administrator with ALL accesses to ALL namespaces", cLoggingLevel0, False
                      WriteToLogFile objFileHandle, "     the WMI repository must be reconstructed.", cLoggingLevel0, False
                   End If
                End If
                WriteToLogFile objFileHandle, "   Note: The WMI repository reconstruction requires to locate all MOF files needed to rebuild the repository,", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "         otherwise some applications may fail after the reconstruction.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "         This can be achieved with the following command:", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "         i.e. 'WMIDiag ShowMOFErrors'", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   Note: The repository reconstruction must be a LAST RESORT solution and ONLY after executing", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "         ALL fixes previously mentioned.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "Static information stored by external applications in the repository will be LOST! (i.e. SMS Inventory)", cLoggingLevel2, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                boolWMISystemError = True
             End If

             ' Typical DLL depency provider failures (or ACL on DLL dependencies)
             ' WBEM_E_PROVIDER_FAILURE
             If WBEMError (intIndex).WBEMError = "0x80041004" Then 
                WriteToLogFile objFileHandle, "=> When a WMI provider fails to execute requests after initialization, this can be due to some", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   DLL dependencies or ACL on those DLLs.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Dependencies can be found with the DEPENDS.EXE tool coming with the", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     Windows XP and Windows 2003 Support Tools. The command line is as follows:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     i.e. DEPENDS.EXE <PATH><Provider.DLL>", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   Note: You can build a list of classes in relation with their WMI provider and MOF file with WMIDiag.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "         (This list can be built on a similar and working WMI Windows installation)", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "         The following command line must be used:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "         i.e. 'WMIDiag CorrelateClassAndProvider'", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "=> It is also possible to trace the provider requests by", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   submitting, via WBEMTEST and asynchronously, the following WMI event query:", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   'Select * From MSFT_WmiSelfEvent'", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   Then you can trace the following WMI events:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Msft_WmiProvider_ComServerLoadOperationEvent", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Msft_WmiProvider_InitializationOperationEvent", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Msft_WmiProvider_LoadOperationEvent", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   and depending on the WMI operation executed, you can trace the following WMI events:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   i.e. for an enumeration:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Msft_WmiProvider_CreateInstanceEnumAsyncEvent_Pre and Msft_WmiProvider_CreateInstanceEnumAsyncEvent_Post", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   i.e. for a put operation:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Msft_WmiProvider_PutInstanceAsyncEvent_Pre and Msft_WmiProvider_PutInstanceAsyncEvent_Post", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             ' Typical provider registration errors
             ' WBEM_E_PROVIDER_LOAD_FAILURE
             ' WBEM_E_INVALID_PROVIDER_REGISTRATION
             ' WBEM_E_PROVIDER_NOT_FOUND
             ' WBEM_E_PROVIDER_NOT_REGISTERED
             If WBEMError (intIndex).WBEMError = "0x80041013" Or _
                WBEMError (intIndex).WBEMError = "0x80041012" Or _
                WBEMError (intIndex).WBEMError = "0x80041011" Or _
                WBEMError (intIndex).WBEMError = "0x80041085" Then 
                WriteToLogFile objFileHandle, "=> This error is typically due to the following major reasons:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - The application queried by the WMI provider is not installed, not available or not running", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "     at the time of the request was made. This error can also be generated because ", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     the application supporting the providers has been uninstalled.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Some WMI providers (i.e. RSOP Planning Mode, Exchange 2003) are implemented as a WMI service.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     Make sure the required services are successfully started.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - The WMI provider binary files are not accessible (i.e. access denied ACL).", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - A WMI provider registration problem at the CIM level (MOFCOMP.EXE) or at the COM level (REGSVR32.EXE).", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     You must re-register the WMI provider by recompiling its associated MOF file with MOFCOMP.EXE", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   Note: - If the WMI provider DLL CIM and COM registrations are correct, this error can", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "           be returned because the provider has a dependency on another DLL that cannot be", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "           loaded (missing or bad DLL)", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "         - Dependencies can be found with the DEPENDS.EXE tool coming with the", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "           Windows XP and Windows 2003 Support Tools. The command line is as follows:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "           i.e. DEPENDS.EXE <PATH><Provider.DLL>", cLoggingLevel0, False
                If WBEMError (intIndex).WBEMError = "0x80041013" Then 
                   WriteToLogFile objFileHandle, "=> When a WMI provider fails to load, it is possible to trace the provider load process by", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   submitting, via WBEMTEST and asynchronously, the following WMI event query:", cLoggingLevel0, False 
                   WriteToLogFile objFileHandle, "   'Select * From MSFT_WmiSelfEvent'", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   Then you can trace the following WMI events:", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   - Msft_WmiProvider_ComServerLoadOperationEvent", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   - Msft_WmiProvider_InitializationOperationEvent", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   - Msft_WmiProvider_LoadOperationEvent", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   and depending on the WMI operation executed, you can trace the following WMI events:", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   i.e. for an enumeration:", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   - Msft_WmiProvider_CreateInstanceEnumAsyncEvent_Pre and Msft_WmiProvider_CreateInstanceEnumAsyncEvent_Post", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   i.e. for a put operation:", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   - Msft_WmiProvider_PutInstanceAsyncEvent_Pre and Msft_WmiProvider_PutInstanceAsyncEvent_Post", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                End If
                WriteToLogFile objFileHandle, "=> If the software has been de-installed intentionally, then this information must be", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   removed from the WMI repository. You can use the 'WMIC.EXE' command to remove the provider", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   registration data and its set of associated classes.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "=> To correct this situation, you can:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Install or start the application supporting these providers.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   - Register the providers in CIM (MOFCOMP) or DCOM (REGSVR32).", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   Note: In this case the provider should also be listed in the 'missing WMI", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "         provider DCOM registrations' or in the 'missing WMI provider files' section.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "Re-registering with REGSVR32.EXE all DLL from '" & RunTimeEnvironmentInfo.WBem & "'", cLoggingLevel2, False
                WriteToLogFile objFileHandle, "         may not solve the problem as the DLL supporting the WMI class(es)", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "         can be located in a different folder.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "         You must refer to the class name to determine the software delivering the related DLL.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             ' Typical WMI errors when exceeding limits
             ' WBEM_E_QUOTA_VIOLATION
             If WBEMError (intIndex).WBEMError = "0x8004106C" Then
                WriteToLogFile objFileHandle, "=> This error is typically due to the following major reasons:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - The requested WMI operation is extremely costly in terms of resources and", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "     the WMI provider handling this operation has exceeded the authorized limits.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "=> You can either:", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   - Review the scope of the requested WMI operation.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Eventually review the WMI default quota limits defined at root:__ProviderHostQuotaConfiguration=@", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   Note: Not recommended.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             ' Typical WMI errors when exceeding limits or shuting down the machine
             ' WBEM_E_SHUTTING_DOWN
             If WBEMError (intIndex).WBEMError = "0x80041033" Then
                WriteToLogFile objFileHandle, "=> This error is typically due to the following major reasons:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - While the WMI operation is running, the computer has been requested to shutdown.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   - The requested WMI operation is extremely costly in terms of resources and WMI core requests.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "     the WMI provider handling this operation to shutdown.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "=> In case of resource limits, you can either:", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   - Review the scope of the requested WMI operation.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Eventually review the WMI default quota limits defined at root:__ProviderHostQuotaConfiguration=@", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   Note: Not recommended.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             ' WBEM_E_INVALID_OBJECT
             If WBEMError (intIndex).WBEMError = "0x8004100F" Then
                WriteToLogFile objFileHandle, "=> This error is typically due to malformed data returned to WMI core:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - by the WMI provider involved in the requested operation.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   or/and", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   - from the WMI repository if the data requested is contained in the repository itself.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "=> You must identify the provider or the WMI classes at the origin of the invalid information.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "=> You can test the WMI repository integrity with the 'WMIDiag WriteInRepository' command.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             ' WBEM_E_PROVIDER_DISABLED
             If WBEMError (intIndex).WBEMError = "0x8004108A" Then
                WriteToLogFile objFileHandle, "=> This error is due to a WMI provider explicitly UNLOADED.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   The provider must be explicitly RELOADED before it can be used again.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   It can be reloaded with the following command:", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   i.e. 'WMIC.EXE Path MSFT_Providers Call Load """", ""<WMINamespace>"", ""<ProviderName>"", """", """"'.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   Note: You can build a list of classes in relation with their WMI provider and MOF file with WMIDiag.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "         (This list can be built on a similar and working WMI Windows installation)", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "         The following command line must be used:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "         i.e. 'WMIDiag CorrelateClassAndProvider'", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             ' WMI External errors ...
             ' WBEM_UNKNOWN
             If WBEMError (intIndex).WBEMError = "0x80004002" Then
                WriteToLogFile objFileHandle, "=> This error is not a WMI error. It is a DCOM error due to the following reasons:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - An application has changed the COM/DCOM settings of OLE32.DLL and/or OLEAUT32.DLL.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   - The registry settings of COM/DCOM has been damage or wrongly modified.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "=> To correct this situation, you must re-register the original COM/DCOM DLLs with REGSVR32.EXE", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   i.e. 'REGSVR32.EXE OLE32.DLL'", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   i.e. 'REGSVR32.EXE OLEAUT32.DLL'", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             If WBEMError (intIndex).WBEMError = "0x800706BE" Or _
                WBEMError (intIndex).WBEMError = "0x800706BA" Then
                WriteToLogFile objFileHandle, "=> This error is not a WMI error. It is typically an RPC error due to the following reasons:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - The application queried by the WMI provider is not installed, not available or not running", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "     at the time of the request was made. This error can also be generated because ", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     the application supporting the providers has been uninstalled.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - The WMI operation was extremely intensive making the RPC communication to fail.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "=> To correct this situation, you can:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Install or start the application supporting these providers.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             If WBEMError (intIndex).WBEMError = "0x800706D9" Then
                WriteToLogFile objFileHandle, "=> This error is not a WMI error. It is typically due to the following reason:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - The application queried by the WMI provider is not installed, not available or not running", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "     at the time of the request was made. This error can also be generated because ", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     the application supporting the providers has been uninstalled.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "=> To correct this situation, you can:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Install or start the application supporting these providers.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "=> If the software has been de-installed intentionally, then this information must be", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   removed from the WMI repository. You can use the 'WMIC.EXE' command to remove the provider", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   registration data and its set of associated classes.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             If WBEMError (intIndex).WBEMError = "0x8007043B" Then
                WriteToLogFile objFileHandle, "=> This error is not a WMI error. It is typically due to one of the following WMI service", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   configuration issue:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - The WMI service was configured to run as a standalone service host and has being updated to", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "     to run as a shared service host but the configuration is incomplete or not refreshed.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   - The Windows Service Host (SvcHost) contains invalid information.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "=> You can fix this issue by running the following command (case sensitive):", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   'RUNDLL32.EXE " & RunTimeEnvironmentInfo.WBem & "WMISVC.DLL,MoveToShared'", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "=> Reboot the system.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             If WBEMError (intIndex).WBEMError = "0x80070005" Then
                WriteToLogFile objFileHandle, "=> This error is not a WMI error. It is typically due to:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - The DCOM security modifications.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     => Ensure that DCOM security configuration settings are not modified.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - The user running WMIDiag has not enough privileges or rights to issue requests", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     against software components exposing information through WMI.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     => Ensure that no third party applications installing additional WMI providers have", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "        specific security requirements (i.e. group membership, privileges, etc ...)", cLoggingLevel0, False
                If RunTimeEnvironmentInfo.OSIdentifier >= cWindowsXPSP164 Then
                   WriteToLogFile objFileHandle, "   - The 'Impersonate Client after authentication' Local Policy is disabled or the ", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "     'SERVICE' account has been removed from that Local Policy.", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "     => You must add the 'SERVICE' account to the 'Impersonate Client after authentication'", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "        Local Policy in the 'Local Policies/User Right Assignments' MMC snap-in (GPEDIT.MSC).", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "        By default, this Local Policy includes the 'SERVICE' account.", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "", cLoggingLevel0, False
                End If
             End If

             If Left (WBEMError (intIndex).WBEMError, 6) = "0x8007" Then          
                WriteToLogFile objFileHandle, "=> Errors starting with 0x8007 are Win32 errors, NOT WMI errors. More information can be found", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   with the 'NET.EXE HELPMSG <dddd>' command, where <dddd> is the last four hex digits (0x" & Right (WBEMError (intIndex).WBEMError, 4) & ") ", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   converted in decimal (" & Clng ("&h" & Right(WBEMError (intIndex).WBEMError, 4)) & ").", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - NET HELPMSG " & Clng ("&h" & Right(WBEMError (intIndex).WBEMError, 4)), cLoggingLevel0, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             If WBEMError (intIndex).WBEMError = "0x80040154" Then
                WriteToLogFile objFileHandle, "=> This error is not a WMI error. This error is a DCOM component registration error.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   The registry information for DCOM to initialize a DCOM object is missing or wrongly configured.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   - An application has changed the COM/DCOM settings of OLE32.DLL and/or OLEAUT32.DLL.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   - The registry settings of COM/DCOM has been damage or wrongly modified.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   - The registry security settings of COM/DCOM has been damage or wrongly modified.", cLoggingLevel0, False 

                If RunTimeEnvironmentInfo.OSIdentifier < cWindowsVistaRTM Then
                   WriteToLogFile objFileHandle, "=> To correct this situation, you must re-register the original COM/DCOM DLLs with REGSVR32.EXE", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   i.e. 'REGSVR32.EXE OLE32.DLL'", cLoggingLevel0, False
                   WriteToLogFile objFileHandle, "   i.e. 'REGSVR32.EXE OLEAUT32.DLL'", cLoggingLevel0, False
                End If

                WriteToLogFile objFileHandle, "=> Verify WMIDiag report if ERRORS or WARNINGS are reported about the DCOM security for", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   the following DCOM objects:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - 'My Computer'", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - 'Windows Management Instrumentation'", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - 'Microsoft WMI Provider Subsystem Host'", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - 'Microsoft WBEM UnSecured Apartment'", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "=> You must also verify with 'REGEDIT.EXE', if the 'Users' builtin group is granted read access for", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   the following registry hives:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - HKCR\APPID", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - HKCR\CLSID", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - HKCR\APPID\{1BE1F766-5536-11D1-B726-00C04FB926AF} (WinMgmt EventSystem APPID keys)", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - HKCR\CLSID\{1BE1F766-5536-11D1-B726-00C04FB926AF} (WinMgmt EventSystem CLSID keys)", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - HKCR\APPID\{8BC3F05E-D86B-11D0-A075-00C04FB68820} (WinMgmt APPID keys)", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - HKCR\CLSID\{8BC3F05E-D86B-11D0-A075-00C04FB68820} (WinMgmt CLSID keys)", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             If WBEMError (intIndex).WBEMError = "0x800A0046" Then
                WriteToLogFile objFileHandle, "=> This error is not a WMI error. This error is a typical DCOM configuration error.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   The DCOM Default Properties (Default Authentication Level and Default Impersonation Level)", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   are probably wrongly configured.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "=> You can verify and correct the DCOM configuration with the DCOMCNFG MMC snap-in.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Edit 'My Computer' properties.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Go to the 'Default properties' tab.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   - Make sure:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     - The Default Authentication Level is set to 'Connect'.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "     - The Default Impersonation Level is set to 'Impersonate'.", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

             If Left (WBEMError (intIndex).WBEMError, 7) = "0x80005" Then  
                WriteToLogFile objFileHandle, "=> Error starting with 0x80005 are ADSI errors. These errors can be returned by an Active", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   Directory WMI provider failing to access data sotred on an Active Directory Domain Controller.", cLoggingLevel0, False 
                WriteToLogFile objFileHandle, "   More information can be found on MSDN at:", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "   http://msdn.microsoft.com/library/en-us/adsi/adsi/generic_adsi_error_codes.asp", cLoggingLevel0, False
                WriteToLogFile objFileHandle, "", cLoggingLevel0, False
             End If

         Next

End Function

' --------------------------------------------------------------------------------------------------------
Function AnalyzeMissingMOFFiles (ByVal objFileHandle, ByVal boolDump)

         Dim arrayTemp1

         On Error Resume Next

         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False

         If Len (TrackingData.AutoRecoveryMissingMOFFiles) > 0 Then 
            If Instr (TrackingData.AutoRecoveryMissingMOFFiles, "NOAUTORECOVERYKEY") > 0 Then
               DumpCSV " ", "AutoRecoveryMissingMOFFiles", 1, boolDump
               If boolWMISystemError = True Or boolShowMOFErrors = True Then 
                  WriteToLogFile objFileHandle, "=> The Auto-Recovery key is missing! If the WMI repository is rebuilt,", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   none of the WMI definitions will be recreated. In such a case, two options are possible:", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   - You must restore a backup copy of the repository.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   Note: The System State backup or the System Restore snapshot contain a backup of", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "         of the WMI repository.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   - On Windows Vista, a fresh copy of the WMI repository can be manually reloaded from the CD.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "", cLoggingLevel0, False
               End If
            Else
               arrayTemp1 = ConvertStringInArray (TrackingData.AutoRecoveryMissingMOFFiles, ",")
               DumpCSV UBound (arrayTemp1) + 1, "AutoRecoveryMissingMOFFiles", 1, boolDump
               If boolWMISystemError = True Or boolShowMOFErrors = True Then 
                  StatusWriteToLogFile objFileHandle, "MOF file(s) referenced in the Auto-Recovery list can't be found on the disk", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False
                  DisplayDiagnostic objFileHandle, arrayTemp1
                  WriteToLogFile objFileHandle, "=> After fixing all other issues previously mentioned, if the WMI repository is rebuilt,", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   the listed MOF file(s) will not be recompiled, and therefore the definition they contain", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   will not be available in the WMI repository.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "=> You must retrieve a copy of the missing MOF file(s) unless these were uninstalled with", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   an application or were intentionally deleted.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "", cLoggingLevel0, False
               End If
            End If
         Else
            If boolShowMOFErrors = True Then
               StatusWriteToLogFile objFileHandle, "No MOF file referenced in the Auto-Recovery list is missing", "OK", cLoggingLevel0, False
            End If
            DumpCSV 0, "AutoRecoveryMissingMOFFiles", 1, boolDump
         End If

         If Len (TrackingData.WBemFolderMOFFilesNotListedInAutoRecovery) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.WBemFolderMOFFilesNotListedInAutoRecovery, ",")
            DumpCSV UBound (arrayTemp1) + 1, "WBemFolderMOFFilesNotListedInAutoRecovery", 1, boolDump
            If boolWMISystemError = True Or boolShowMOFErrors = True Then 
               StatusWriteToLogFile objFileHandle, "MOF file(s) present in the WBEM folder not referenced in the Auto-Recovery list", UBound (arrayTemp1) + 1 & " ERROR(S)!", cLoggingLevel1, False
               DisplayDiagnostic objFileHandle, arrayTemp1
               WriteToLogFile objFileHandle, "=> After fixing all other issues previously mentioned, if the WMI repository is rebuilt,", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   the listed MOF file(s) will not be recompiled, and therefore the definition they contain", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   will not be available in the WMI repository.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "=> You must manually recompile the MOF file(s) with the 'MOFCOMP.EXE <FileName.MOF>' command.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "=> If you want the MOF file(s) to be part of the Auto-Recovery list, make sure the", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   statement '#PRAGMA AUTORECOVER' is included.", cLoggingLevel0, False
               If boolStrict = False Then
                  WriteToLogFile objFileHandle, "   Note: MOF file(s) marked with (*) are NEVER included AT SETUP in the auto-recovery process.", cLoggingLevel0, False
               End If 
                  WriteToLogFile objFileHandle, "         MOF file(s) containing UNINSTALL statements (i.e. '#PRAGMA DELETECLASS') should NEVER be included in the auto-recovery process.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "         Refer to the list of MOF files below NOT containing the '#PRAGMA AUTORECOVER' statement' for more information.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "", cLoggingLevel0, False
            End If
         Else
            If boolShowMOFErrors = True Then
               StatusWriteToLogFile objFileHandle, "There is no MOF file from the WBEM folder missing in the Auto-Recovery list", "OK", cLoggingLevel0, False
            End If
            DumpCSV 0, "WBemFolderMOFFilesNotListedInAutoRecovery", 1, boolDump
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function AnalyzeMissingWMIProviderMOFFile (ByVal objFileHandle, ByVal boolDump)

         Dim strTemp1, arrayTemp1, arrayTemp2, intCounter

         On Error Resume Next

         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False

         If Len (TrackingData.MissingWMIProviderMOFFile) > 0 Then
            If Instr (Ucase (TrackingData.MissingWMIProviderMOFFile), "@E;") > 0 Then 

               intCounter = 0
               arrayTemp1 = ConvertStringInArray (TrackingData.MissingWMIProviderMOFFile, ",")
               For Each strTemp1 In arrayTemp1
                   arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                   If arrayTemp2 (0) = "@E" Then
                      intCounter = intCounter + 1
                   End If
               Next
               DumpCSV intCounter, "MissingWMIProviderMOFFile", 1, boolDump

               If boolWMISystemError = True Or boolShowMOFErrors = True Then 
                  WriteToLogFile objFileHandle, "Unable to locate MOF file(s) in the WBEM folder or in Auto-Recovery list for the", cLoggingLevel1, False
                  StatusWriteToLogFile objFileHandle, "following CIM registered WMI provider(s)", intCounter & " ERROR(S)!", cLoggingLevel1, False
                  For Each strTemp1 In arrayTemp1
                      arrayTemp2 = ConvertStringInArray (strTemp1, ";")
                      If arrayTemp2 (0) = "@E" Then
                         WriteToLogFile objFileHandle, "- " & arrayTemp2 (1) & ", " & arrayTemp2 (2) & " (" & arrayTemp2 (3) & ")", cLoggingLevel0, False
                      End If
                  Next

                  WriteToLogFile objFileHandle, "=> If the WMI repository is rebuilt, the listed provider(s) may not be available anymore", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   because the registration data is not located in the list of known MOF files. You can either:", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   - Locate the MOF file(s) and manually recompile the corresponding MOF file(s) with", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "     the 'MOFCOMP.EXE <FileName.MOF>' command.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   - Retrieve a copy of the missing MOF file(s) and make sure there are part of the Auto-Recovery.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "     registry key.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   Note: If you want the MOF file to be part of the Auto-Recovery, make sure the", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "         statement '#PRAGMA AUTORECOVER' is included.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   - If the corresponding MOF file can't be located, the MOF file can be recreated with", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "     WBEMTEST and/or CIM Studio available at", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "     http://www.microsoft.com/downloads/details.aspx?FamilyID=6430f853-1120-48db-8cc5-f2abdc3ed314&DisplayLang=en", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "   - It is also possible that the application implemented its own recovery mechanism.", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "     In that case, no action is required. ", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "     You must verify with the application vendor if the application has this capability (i.e. Microsoft SMS)", cLoggingLevel0, False
                  WriteToLogFile objFileHandle, "", cLoggingLevel0, False
               End If
            Else
               If boolShowMOFErrors = True Then
                  StatusWriteToLogFile objFileHandle, "WMI provider MOF files are available", "OK", cLoggingLevel0, False
               End If
               DumpCSV 0, "MissingWMIProviderMOFFile", 1, boolDump
            End If
         Else
            If boolShowMOFErrors = True Then
               StatusWriteToLogFile objFileHandle, "WMI provider MOF files are available", "OK", cLoggingLevel0, False
            End If
            DumpCSV 0, "MissingWMIProviderMOFFile", 1, boolDump
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function AnalyzeMissingPragmaAutorecoverMOFFile (ByVal objFileHandle, ByVal boolDump)

         Dim strTemp1, arrayTemp1

         On Error Resume Next

         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False

         If Len (TrackingData.NoPragmaAutorecoverMOFFile) > 0 Then
            arrayTemp1 = ConvertStringInArray (TrackingData.NoPragmaAutorecoverMOFFile, ",")
            DumpCSV UBound (arrayTemp1) + 1, "NoPragmaAutorecoverMOFFile", 1, boolDump

            If boolWMISystemError = True Or boolShowMOFErrors = True Then 
               StatusWriteToLogFile objFileHandle, "MOF file(s) not containing the '#PRAGMA AUTORECOVER' statement", UBound (arrayTemp1) + 1 & " FILE(S)!", cLoggingLevel1, False
               For Each strTemp1 In arrayTemp1
                   WriteToLogFile objFileHandle, "- " & strTemp1, cLoggingLevel0, False
               Next
 
               WriteToLogFile objFileHandle, "=> MOF file(s) marked with (*) are INCLUDED in the AUTO-RECOVERY LIST even if they do NOT contain the '#PRAGMA AUTORECOVER' statement.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   If the WMI repository is rebuilt, the listed MOF files not included in the AUTO-RECOVERY LIST and", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   missing the '#PRAGMA AUTORECOVERY' statement when they are compiled the first time will NOT", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   be recompiled during the repository reconstruction.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   Note: If you want the MOF file to be part of the AUTO-RECOVERY LIST, make sure the statement '#PRAGMA AUTORECOVER'", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         is included and recompile the MOF/MFL with the following command:", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         i.e. 'MOFCOMP.EXE <FileName.MOF>'", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "", cLoggingLevel0, False

               WriteToLogFile objFileHandle, "=> MOF file(s) marked with (DELETE) contains class and instance DELETE statements.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   Usually, MOF with DELETE statements are used to UNinstall components and they should NOT be listed in the AUTORECOVERY LIST", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   and therefore they should NOT specify the '#PRAGMA AUTORECOVER' statement.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "   Note: It happens that some MOF files do contain DELETE statements for installation purposes to delete", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         existing information before it is recreated.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "", cLoggingLevel0, False

               WriteToLogFile objFileHandle, "   Note: It is also possible that the application implemented its own recovery mechanism.", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         In that case, no action is required. You must verify with the application vendor", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "         if the application has this capability (i.e. Microsoft SMS)", cLoggingLevel0, False
               WriteToLogFile objFileHandle, "", cLoggingLevel0, False
            End If
         Else
            If boolShowMOFErrors = True Then 
               StatusWriteToLogFile objFileHandle, "MOF files contain the '#PRAGMA AUTORECOVER' statement", "OK", cLoggingLevel0, False 
            End If
            DumpCSV 0, "NoPragmaAutorecoverMOFFile", 1, boolDump
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function AnalyzeClassAndProviderCorrelation (ByVal objFileHandle, ByVal boolDump)

         Dim intIndex, strTemp1, strTemp2, arrayTemp1, arrayTemp2, arrayTemp3, arrayTemp4, arrayTemp5
         Dim strWMIProviderFile, strMOFProviderFile, strWMIClass, strProviderDisplayName, strWMIProviderData, intPosition, intCounter
         Dim arrayMatchingOutput
         Dim strBegin, strMid, strEnd

         On Error Resume Next

         If boolStatistics = True Then
            WriteToLogFile objFileHandle, "- Statistics " & String (107, "-"), cLoggingLevel0, False

            StatusWriteToLogFile objFileHandle, "CIM Class(es)", longCIMClassCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    CIM Class(es) with Description", longCIMClassDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "CIM Properties", longCIMClassPropertyCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    CIM Properties with NO Description (No READ/WRITE)", longCIMClassPropertyNoDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    CIM Properties with Description (No READ/WRITE)", longCIMClassPropertyDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    CIM Properties marked as READ", longCIMClassReadPropertyCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    CIM Properties marked as READ with Description", longCIMClassReadPropertyDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    CIM Properties marked as WRITE", longCIMClassWritePropertyCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    CIM Properties marked as WRITE with Description", longCIMClassWritePropertyDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    CIM Properties marked as READ/WRITE", longCIMClassReadWritePropertyCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    CIM Properties marked as READ/WRITE with Description", longCIMClassReadWritePropertyDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "CIM Method(s)", longCIMClassMethodCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    CIM Method(s) with Description", longCIMClassMethodDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    CIM Method(s) INPUT parameters", longCIMClassMethodInParameterCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    CIM Method(s) INPUT parameters with Description", longCIMClassMethodInParamDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    CIM Method(s) OUTPUT parameters", longCIMClassMethodOutParameterCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    CIM Method(s) OUTPUT parameters with Description", longCIMClassMethodOutParamDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "CIM Class(es) with Method(s)", longCIMClassWithMethodCounter, cLoggingLevel0, False

            WriteToLogFile objFileHandle, "", cLoggingLevel0, False
 
            StatusWriteToLogFile objFileHandle, "WMI Provider Registration(s)", longWMIProviderCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "WMI Class(es) (static and dynamic)", longWMIClassCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    WMI Class(es) with Description", longWMIClassDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "WMI Properties", longWMIClassPropertyCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    WMI Properties with NO Description (No READ/WRITE)", longWMIClassPropertyNoDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    WMI Properties with Description (No READ/WRITE)", longWMIClassPropertyDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    WMI Properties marked as READ", longWMIClassReadPropertyCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    WMI Properties marked as READ with Description", longWMIClassReadPropertyDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    WMI Properties marked as WRITE", longWMIClassWritePropertyCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    WMI Properties marked as WRITE with Description", longWMIClassWritePropertyDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    WMI Properties marked as READ/WRITE", longWMIClassReadWritePropertyCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    WMI Properties marked as READ/WRITE with Description", longWMIClassReadWritePropertyDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "WMI Method(s) (static and dynamic)", longWMIClassMethodCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    WMI Method(s) with Description", longWMIClassMethodDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    WMI Method(s) INPUT parameters", longWMIClassMethodInParameterCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    WMI Method(s) INPUT parameters with Description", longWMIClassMethodInParamDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    WMI Method(s) OUTPUT parameters", longWMIClassMethodOutParameterCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "    WMI Method(s) OUTPUT parameters with Description", longWMIClassMethodOutParamDescriptionCounter, cLoggingLevel0, False
            StatusWriteToLogFile objFileHandle, "WMI Class(es) with Method(s) (static and dynamic)", longWMIClassWithMethodCounter, cLoggingLevel0, False

            WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         End If 

         If boolCorrelateClassAndProvider = True And boolDump = True Then
            WriteToLogFile objFileHandle, "Creating content for '" & strWMIProvFileName & "'.", cLoggingLevel0, False
            If boolLoggingDebug = True Then
               WriteToFile objWMIProvFileHandle, "       OSVersion, Platform, WMI Namespace, WMI Class name, WMI provider name, WMI provider dislayname, WMI provider model, WMI provider type, WMI provider CLSID, WMI provider hosting model, WMI provider binary, WMI provider registration MOF file(s)"
            Else
               WriteToFile objWMIProvFileHandle, "WMI Namespace, WMI Class name, WMI provider name, WMI provider model, WMI provider type, WMI provider CLSID, WMI provider hosting model, WMI provider binary, WMI provider registration MOF file(s)"
            End If

            If Len (TrackingData.WMIProviderRegistrationData) > 0 Then 
               If Len (TrackingData.WMIProviderLocationData) > 0 Then
                  intCounter = 0
                  arrayTemp1 = ConvertStringInArray (TrackingData.WMIProviderRegistrationData, ",")
                  arrayTemp3 = ConvertStringInArray (TrackingData.WMIProviderLocationData, ",")
                  arrayTemp4 = ConvertStringInArray (TrackingData.LocatedWMIProviderMOFFile, ",")

                  StatusWriteToLogFile objFileHandle, "WMI provider registration data", UBound (arrayTemp1) + 1, cLoggingLevel0, False
                  If Len (TrackingData.ClassSupportedByProvider) > 0 Then
                     arrayTemp5 = ConvertStringInArray (TrackingData.ClassSupportedByProvider, ",")
                     StatusWriteToLogFile objFileHandle, "WMI class registration data", UBound (arrayTemp5) + 1, cLoggingLevel0, False
                  Else
                     StatusWriteToLogFile objFileHandle, "WMI class registration data", 0, cLoggingLevel0, False
                     arrayTemp5 = Null
                  End If

                  For Each strTemp1 In arrayTemp1
                      arrayTemp2 = ConvertStringInArray (strTemp1, ";")

                      For Each strTemp2 In arrayTemp3
                          intPosition = Instr (UCase (strTemp2), UCase (arrayTemp2 (0) & ";" & arrayTemp2 (1) & ";"))
                          If intPosition > 0 Then
                             strWMIProviderFile = Mid (strTemp2, Len (arrayTemp2 (0) & ";" & arrayTemp2 (1) & ";" ) + 1)
                             Exit For
                           Else
                             strWMIProviderFile = "No located BIN file"
                           End If
                      Next

                      For Each strTemp2 In arrayTemp4
                          intPosition = Instr (UCase (strTemp2), UCase (arrayTemp2 (0) & ";" & arrayTemp2 (1) & ";"))
                          If intPosition > 0 Then 
                             strMOFProviderFile = Mid (strTemp2, Len (arrayTemp2 (0) & ";" & arrayTemp2 (1) & ";" ) + 1)
                             Exit For
                          Else
                             strMOFProviderFile = "No located MOF file"
                          End If
                      Next

                      intCounter = intCounter + 1

                      If boolLoggingDebug = True Then
                         strBegin = "Array (" & RunTimeEnvironmentInfo.OSStringIdentifier & ", "
                         If RunTimeEnvironmentInfo.IsServerOS = True Then
                            strBegin = strBegin & "cServerOnly, "
                         Else
                            strBegin = strBegin & "cClientOnly, "
                         End If
                         strMid = Chr(34)
                         strEnd = "), _"
                      Else
                         strBegin = ""
                         strMid = ""
                         strEnd = ""
                      End If

                      If boolLoggingDebug = True Then
                         strProviderDisplayName = cMissingWMIInfo
                         For intIndex = 0 To UBound (arrayWMIProviderDisplayName) Step 2
                             If UCase (arrayWMIProviderDisplayName (intIndex)) = UCase (arrayTemp2 (1)) Then
                                strProviderDisplayName = arrayWMIProviderDisplayName (intIndex + 1)
                                Exit For
                             End If
                         Next
                         strWMIProviderData = strMid & arrayTemp2 (1) & strMid & ", " & strMid & strProviderDisplayName & strMid & ", " & strMid & arrayTemp2 (6) & strMid & ", " & strMid & arrayTemp2 (4) & strMid & ", " & strMid & arrayTemp2 (5) & strMid & ", " & strMid & arrayTemp2 (2) & strMid & ", " & strMid & strWMIProviderFile & strMid & ", " & strMid & strMOFProviderFile & strMid & strEnd
                      Else 
                         strWMIProviderData = strMid & arrayTemp2 (1) & strMid & ", " & strMid & arrayTemp2 (6) & strMid & ", " & strMid & arrayTemp2 (4) & strMid & ", " & strMid & arrayTemp2 (5) & strMid & ", " & strMid & arrayTemp2 (2) & strMid & ", " & strMid & arrayTemp2 (3) & strMid & ", " & strMid & strWMIProviderFile & strMid & ", " & strMid & strMOFProviderFile & strMid & strEnd
                      End If 

                      strWMIClass = "*"
                      If IsNull (arrayTemp5) = False Then 
                         For Each strTemp2 In arrayTemp5
                             intPosition = Instr (UCase (strTemp2), UCase (arrayTemp2 (0) & ";" & arrayTemp2 (1) & ";"))
                             If intPosition > 0 Then 
                                strWMIClass = Mid (strTemp2, Len (arrayTemp2 (0) & ";" & arrayTemp2 (1) & ";" ) + 1)
                                WriteToFile objWMIProvFileHandle, strBegin & strMid & arrayTemp2 (0) & strMid & ", " & strMid & strWMIClass & strMid & ", " & strWMIProviderData
                             End If
                         Next
                         If strWMIClass = "*" Then
                            WriteToFile objWMIProvFileHandle, strBegin & strMid & arrayTemp2 (0) & strMid & ", " & strMid & strWMIClass & strMid & ", " & strWMIProviderData
                         End If
                      Else
                         WriteToFile objWMIProvFileHandle, strBegin & strMid & arrayTemp2 (0) & strMid & ", " & strMid & strWMIClass & strMid & ", " & strWMIProviderData
                      End If                      
                  Next
               Else
                  StatusWriteToLogFile objFileHandle, "No WMI provider registered", "NONE", cLoggingLevel2, False
               End If
            Else
               StatusWriteToLogFile objFileHandle, "No WMI provider registered", "NONE", cLoggingLevel2, False
            End If

            WriteToLogFile objFileHandle, "Completed.", cLoggingLevel0, False
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         End If 

End Function

' --------------------------------------------------------------------------------------------------------
Function AnalyzeRegistrySetup (ByVal objFileHandle, ByVal boolDump)

         Dim strTemp1, arrayTemp1, arrayTemp2, intCounter, intLoggingLevel

         On Error Resume Next

         WriteToLogFile objFileHandle, String (130, "-"), cLoggingLevel0, False

         If Len (TrackingData.InvalidWMIRegistrySetup) > 0 Then 
            arrayTemp1 = ConvertStringInArray (TrackingData.InvalidWMIRegistrySetup, ",")

            StatusWriteToLogFile objFileHandle, "Unexpected, wrong or missing registry key values", UBound (arrayTemp1) + 1 & " KEY(S)!", cLoggingLevel0, False

            For Each strTemp1 In arrayTemp1
                arrayTemp2 = ConvertStringInArray (strTemp1, ";")

                Select Case Cint (arrayTemp2 (6))
                       Case cRegistryError
                            intLoggingLevel = cLoggingLevel1
                            intWMICriticalityLevel = cLoggingLevel1
                       Case cRegistryWarning, cRegistryWarningWhenPresent
                            intLoggingLevel = cLoggingLevel2
                            If intWMICriticalityLevel <> cLoggingLevel1 Then intWMICriticalityLevel = cLoggingLevel2
                       Case cRegistryInfo
                            intLoggingLevel = cLoggingLevel0
                End Select

                Select Case Ucase (arrayTemp2 (0))
                       Case "MISSINGREGISTRYKEY"
                            If intLoggingLevel = cLoggingLevel0 Then
                               WriteToLogFile objFileHandle, "INFO: Missing registry key value:" , intLoggingLevel, False
                            Else
                               WriteToLogFile objFileHandle, "Missing registry key value:" , intLoggingLevel, False
                            End If
                            If IsNull (arrayTemp2 (5)) = True Or Len (arrayTemp2 (5)) = 0 Then
                               WriteToLogFile objFileHandle, "  - " & arrayTemp2 (1) & "\" & arrayTemp2 (3) & " (" & arrayTemp2 (2) & ")", cLoggingLevel0, False   
                            Else 
                               WriteToLogFile objFileHandle, "  - " & arrayTemp2 (1) & "\" & arrayTemp2 (3) & " (" & arrayTemp2 (2) & ") -> " & arrayTemp2 (5), cLoggingLevel0, False  
                               If RunTimeEnvironmentInfo.OSIdentifier > cWindows2000SP4 Then
                                  WriteToLogFile objFileHandle, "    From the command line, the registry configuration can be corrected with the following command:", cLoggingLevel0, False
                                  WriteToLogFile objFileHandle, "    i.e. 'REG.EXE Add " & Chr (34) & arrayTemp2 (1) & Chr (34) & " /v " & Chr (34) & arrayTemp2 (3) & Chr (34) & " /t " & Chr (34) & arrayTemp2 (2) & Chr (34) & " /d " & Chr (34) & Cint (arrayTemp2 (5)) & Chr (34) & " /f'", cLoggingLevel0, False
                               End If
                            End If 
                       Case "EXTRAREGISTRYKEY"
                            If intLoggingLevel = cLoggingLevel0 Then
                               WriteToLogFile objFileHandle, "INFO: Unexpected existing registry key (the key should not exist):" , intLoggingLevel, False
                            Else
                               WriteToLogFile objFileHandle, "Unexpected existing registry key (the key should not exist):" , intLoggingLevel, False
                            End If
                            If IsNull (arrayTemp2 (5)) = True Or Len (arrayTemp2 (5)) = 0 Then
                               WriteToLogFile objFileHandle, "  - " & arrayTemp2 (1) & "\" & arrayTemp2 (3) & " (" & arrayTemp2 (2) & ")", cLoggingLevel0, False
                            Else 
                               WriteToLogFile objFileHandle, "  - " & arrayTemp2 (1) & "\" & arrayTemp2 (3) & " (" & arrayTemp2 (2) & ") -> " & arrayTemp2 (5), cLoggingLevel0, False  
                            End If
                            If RunTimeEnvironmentInfo.OSIdentifier > cWindows2000SP4 Then
                               WriteToLogFile objFileHandle, "    From the command line, the registry configuration can be corrected with the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "    i.e. 'REG.EXE Delete " & Chr (34) & arrayTemp2 (1) & Chr (34) & " /v " & Chr (34) & arrayTemp2 (3) & Chr (34) & " /f'", cLoggingLevel0, False
                            End If
                       Case Else
                            If intLoggingLevel = cLoggingLevel0 Then
                               WriteToLogFile objFileHandle, "INFO: Unexpected registry key value:", intLoggingLevel, False
                            Else
                               WriteToLogFile objFileHandle, "Unexpected registry key value:", intLoggingLevel, False
                            End If
                            WriteToLogFile objFileHandle, "  - Current:  " & arrayTemp2 (1) & "\" & arrayTemp2 (3) & " (" & arrayTemp2 (2) & ") -> " & arrayTemp2 (4), cLoggingLevel0, False  
                            WriteToLogFile objFileHandle, "  - Expected: " & arrayTemp2 (1) & "\" & arrayTemp2 (3) & " (" & arrayTemp2 (2) & ") -> " & arrayTemp2 (5), cLoggingLevel0, False  
                            If RunTimeEnvironmentInfo.OSIdentifier > cWindows2000SP4 Then
                               WriteToLogFile objFileHandle, "    From the command line, the registry configuration can be corrected with the following command:", cLoggingLevel0, False
                               WriteToLogFile objFileHandle, "    i.e. 'REG.EXE Add " & Chr (34) & arrayTemp2 (1) & Chr (34) & " /v " & Chr (34) & arrayTemp2 (3) & Chr (34) & " /t " & Chr (34) & arrayTemp2 (2) & Chr (34) & " /d " & Chr (34) & Cint (arrayTemp2 (5)) & Chr (34) & " /f'", cLoggingLevel0, False
                            End If
                End Select
            Next
            WriteToLogFile objFileHandle, "", cLoggingLevel0, False
         Else
            StatusWriteToLogFile objFileHandle, "WMI Registry key setup", "OK", cLoggingLevel0, False
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function DisplayDiagnostic (ByVal objFileHandle, ByVal arrayStrTemp)

         Dim strTemp
 
          On Error Resume Next
 
         For Each strTemp In arrayStrTemp
             WriteToLogFile objFileHandle, "- " & strTemp, cLoggingLevel0, False
         Next

End Function

' --------------------------------------------------------------------------------------------------------
Function ParseCommandLineArguments (ByVal objLOGFileHandle, ByRef varParameter, ByRef varParameterValue)

         Dim WshArguments
         Dim intIndex, intEqualPosition 
 
         On Error Resume Next
 
         WriteToLogFile objLOGFileHandle, "Parsing command line argument(s).", cLoggingLevel3, False
 
         Set WshArguments = Wscript.Arguments
 
         If WshArguments.Count = 0 Then
            WriteToLogFile objLOGFileHandle, "No command line arguments given", cLoggingLevel4, False
         Else
            ReDim varParameter (WshArguments.Count)
            ReDim varParameterValue (WshArguments.Count)
 
            For intIndex = 0 To WshArguments.Count - 1
                WriteToLogFile objLOGFileHandle, "Argument " & intIndex & "='" & WshArguments (intIndex) & "'", cLoggingLevel4, False
 
                varParameter (intIndex) = WshArguments (intIndex)
                RunTimeEnvironmentInfo.CommandLine = RunTimeEnvironmentInfo.CommandLine & varParameter (intIndex) & " "
 
                intEqualPosition = InStr (varParameter (intIndex), "=")
                If intEqualPosition Then
                   varParameterValue (intIndex) = Mid (varParameter (intIndex), intEqualPosition + 1)
                   varParameter (intIndex) = Mid (varParameter (intIndex), 1, intEqualPosition - 1)
                End If
            Next
         End If
 
         ParseCommandLineArguments = WshArguments.Count
 
         Set WshArguments = Nothing
 
         RunTimeEnvironmentInfo.CommandLine = Ucase (RunTimeEnvironmentInfo.ScriptFullName & " " & RunTimeEnvironmentInfo.CommandLine)

End Function

' --------------------------------------------------------------------------------------------------------
Function GetRunTimeEnvInfo (ByRef RunTimeEnvironmentInfo)

         Dim arrayTempValue, strTemp
 
         On Error Resume Next
 
         GetRunTimeEnvInfo = False

         WriteToLogFile Null, "Retrieving Run-time environment information.", cLoggingLevel0, False
 
         RunTimeEnvironmentInfo.StartMenu = UCase (objWshShell.SpecialFolders("StartMenu") & "\")
         RunTimeEnvironmentInfo.Desktop = UCase (objWshShell.SpecialFolders("Desktop") & "\")
         RunTimeEnvironmentInfo.Programs = UCase (objWshShell.SpecialFolders("Programs") & "\")
         RunTimeEnvironmentInfo.SystemDrive = UCase (ReadEnvironmentVariable (Null, "Process", "SystemDrive") & "\")
         RunTimeEnvironmentInfo.SystemRoot = UCase (ReadEnvironmentVariable (Null, "Process", "SystemRoot") & "\")
         RunTimeEnvironmentInfo.Path = UCase (ReadEnvironmentVariable (Null, "Process", "Path") & "\")
         RunTimeEnvironmentInfo.UserTemp = UCase (ReadEnvironmentVariable (Null, "User", "Temp") & "\")
         RunTimeEnvironmentInfo.SystemTemp = UCase (ReadEnvironmentVariable (Null, "System", "Temp") & "\")
         RunTimeEnvironmentInfo.System32 = UCase (RunTimeEnvironmentInfo.SystemRoot & "system32\")
         RunTimeEnvironmentInfo.System = UCase (RunTimeEnvironmentInfo.SystemRoot & "system\")
         RunTimeEnvironmentInfo.WBem = UCase (RunTimeEnvironmentInfo.System32 & "Wbem\")
         RunTimeEnvironmentInfo.WBemLogs = UCase (RunTimeEnvironmentInfo.WBem & "Logs\")
         RunTimeEnvironmentInfo.AllUsersStartMenu = UCase (objWshShell.SpecialFolders("AllUsersStartMenu") & "\")
         RunTimeEnvironmentInfo.AllUsersDesktop = UCase (objWshShell.SpecialFolders("AllUsersDesktop") & "\")
         RunTimeEnvironmentInfo.AllUsersPrograms = UCase (objWshShell.SpecialFolders("AllUsersPrograms") & "\")

         ' Information about Network -----------------------------------------------------------------------
         RunTimeEnvironmentInfo.DomainName = UCase (objWshNetwork.UserDomain)
         RunTimeEnvironmentInfo.UserName = UCase (objWshNetwork.UserName)
         RunTimeEnvironmentInfo.UserDNSDomain = UCase (ReadEnvironmentVariable (Null, "Process", "UserDNSDomain"))
         RunTimeEnvironmentInfo.LocalComputerName = UCase (objWshNetwork.ComputerName)
         RunTimeEnvironmentInfo.LogonServerName = UCase (Mid (ReadEnvironmentVariable (Null, "Process", "LogonServer"), 3))

         ' Information about script environment ------------------------------------------------------------
         RunTimeEnvironmentInfo.ScriptName = UCase (Wscript.ScriptName)
         RunTimeEnvironmentInfo.ScriptFullName = UCase (Wscript.ScriptFullName)
         RunTimeEnvironmentInfo.ScriptingName = UCase (Wscript.Name)
         RunTimeEnvironmentInfo.EngineFullName = UCase (Wscript.FullName)
         RunTimeEnvironmentInfo.EnginePath = UCase (Wscript.Path)
         RunTimeEnvironmentInfo.EngineVersion = UCase (Wscript.Version)

         If RunTimeEnvironmentInfo.EngineVersion >= 5.6 Then 
            
RunTimeEnvironmentInfo.CurrentDirectory = UCase (objWSHShell.CurrentDirectory)
         End If
 
         ' Information about the Windows version -----------------------------------------------------------
 
         arrayTempValue = ReadRegistry (Null, _
                                        "HKLM\SYSTEM\CurrentControlSet\Control\Nls\Locale", _
                                        "", _
                                        "REG_SZ", _
                                        True)
           
         If IsArray (arrayTempValue) = True Then
            RunTimeEnvironmentInfo.Locale = UCase (arrayTempValue (0))
         Else
            arrayTempValue = ReadRegistry (Null, _
                                           "HKLM\SYSTEM\CurrentControlSet\Control\Nls\Locale", _
                                           "(Default)", _
                                           "REG_SZ", _
                                           True)
  
            If IsArray (arrayTempValue) = True Then
               RunTimeEnvironmentInfo.Locale = UCase (arrayTempValue (0))
            Else
               RunTimeEnvironmentInfo.Locale = "?"
               GetRunTimeEnvInfo = True
            End If
         End If
 
         arrayTempValue = ReadRegistry (Null, _
                                        "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion", _
                                        "CurrentVersion", _
                                        "REG_SZ", _
                                        True)
 
         If IsArray (arrayTempValue) = True Then
            RunTimeEnvironmentInfo.NTVersion = UCase (arrayTempValue (0))
         Else
            GetRunTimeEnvInfo = True
         End If

         arrayTempValue = ReadRegistry (Null, _
                                        "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion", _
                                        "CurrentBuildNumber", _
                                        "REG_SZ", _
                                        True)
            
         If IsArray (arrayTempValue) = True Then
            RunTimeEnvironmentInfo.NTBuild = UCase (arrayTempValue (0))
         Else
            GetRunTimeEnvInfo = True
         End If
 
         arrayTempValue = ReadRegistry (Null, _
                                        "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion", _
                                        "CSDVersion", _
                                        "REG_SZ", _
                                        True)

         If IsArray (arrayTempValue) = True Then
            RunTimeEnvironmentInfo.NTServicePack = arrayTempValue (0)
         Else
            RunTimeEnvironmentInfo.NTServicePack = ""
            GetRunTimeEnvInfo = True
         End If

         If RunTimeEnvironmentInfo.NTBuild = "2195" Then
            arrayTempValue = ReadRegistry (Null, _
                                           "HKLM\SYSTEM\CurrentControlSet\Services\kdc", _
                                           "DisplayName", _
                                           "REG_SZ", _
                                           True)

            If IsArray (arrayTempValue) = True Then
               RunTimeEnvironmentInfo.ProductName = "Microsoft Windows 2000 Server"
            Else
               RunTimeEnvironmentInfo.ProductName = "Microsoft Windows 2000 Client"
            End If
         Else
            arrayTempValue = ReadRegistry (Null, _
                                           "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion", _
                                           "ProductName", _
                                           "REG_SZ", _
                                           True)
            If IsArray (arrayTempValue) = True Then
               RunTimeEnvironmentInfo.ProductName = arrayTempValue (0)
            Else
               RunTimeEnvironmentInfo.ProductName = ""
               GetRunTimeEnvInfo = True
            End If
         End If

         If Instr (Ucase (RunTimeEnvironmentInfo.ProductName), "SERVER") > 0 Then
            RunTimeEnvironmentInfo.IsServerOS = True
         Else
            RunTimeEnvironmentInfo.IsServerOS = False
         End If
 
         If Instr (ReadEnvironmentVariable (Null, "Process", "PROCESSOR_ARCHITEW6432"), "64") > 0 Then
            RunTimeEnvironmentInfo.IsWow64 = True
         Else
            RunTimeEnvironmentInfo.IsWow64 = False                      
         End If

         If Instr (ReadEnvironmentVariable (Null, "System", "PROCESSOR_ARCHITECTURE"), "64") > 0 Then
            RunTimeEnvironmentInfo.Is64 = True
            RunTimeEnvironmentInfo.ProcessorArchitecture = "64-bit"
         Else
            RunTimeEnvironmentInfo.Is64 = False
            RunTimeEnvironmentInfo.ProcessorArchitecture = "32-bit"
         End If
 
         RunTimeEnvironmentInfo.ProcessorIdentifier = ReadEnvironmentVariable (Null, "System", "PROCESSOR_IDENTIFIER")

         If RunTimeEnvironmentInfo.Is64 = True Then
            arrayTempValue = ReadRegistry (Null, _
                                           "HKLM\SOFTWARE\Wow6432Node\Microsoft\SMS\Mobile Client", _
                                           "ProductVersion", _
                                           "REG_SZ", _
                                           False)

            If Not IsArray (arrayTempValue) Then
               arrayTempValue = ReadRegistry (Null, _
                                              "HKLM\Software\Microsoft\SMS\Mobile Client", _
                                              "ProductVersion", _
                                              "REG_SZ", _
                                              False)
            End If
         Else
            arrayTempValue = ReadRegistry (Null, _
                                           "HKLM\Software\Microsoft\SMS\Mobile Client", _
                                           "ProductVersion", _
                                           "REG_SZ", _
                                           False)
         End If

         If IsArray (arrayTempValue) = True Then
           RunTimeEnvironmentInfo.SMSAgent = Left (arrayTempValue (0), 9)
         Else
            RunTimeEnvironmentInfo.SMSAgent = ""
            GetRunTimeEnvInfo = True
         End If

         If RunTimeEnvironmentInfo.Is64 = True Then
            arrayTempValue = ReadRegistry (Null, _
                                           "HKLM\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\App Paths\winzip.exe", _
                                           "", _
                                           "REG_SZ", _
                                           False)

            If Not IsArray (arrayTempValue) Then
               arrayTempValue = ReadRegistry (Null, _
                                              "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\winzip.exe", _
                                              "", _
                                              "REG_SZ", _
                                              False)
            End If
         Else
            arrayTempValue = ReadRegistry (Null, _
                                           "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\winzip.exe", _
                                           "", _
                                           "REG_SZ", _
                                           False)
         End If

         If IsArray (arrayTempValue) = True Then
            RunTimeEnvironmentInfo.WinZIP = arrayTempValue (0)
         End If 

         RunTimeEnvironmentInfo.OSIdentifier = GetOSVersion ()

         RunTimeEnvironmentInfo.SPUpgrade = GetOSUpgrade ()

End Function

' --------------------------------------------------------------------------------------------------------
Function LogRunTimeEnvInfo (ByVal objLOGFileHandle, ByVal RunTimeEnvironmentInfo)

         On Error Resume Next

         WriteToLogFile objLOGFileHandle, "Logging Run-time environment information.", cLoggingLevel0, False

         WriteToLogFile objLOGFileHandle, "StartMenu=" & RunTimeEnvironmentInfo.StartMenu, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "Desktop=" & RunTimeEnvironmentInfo.Desktop, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "Programs=" & RunTimeEnvironmentInfo.Programs, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "SystemDrive=" & RunTimeEnvironmentInfo.SystemDrive, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "SystemRoot=" & RunTimeEnvironmentInfo.SystemRoot, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "Path=" & RunTimeEnvironmentInfo.Path, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "UserTemp=" & RunTimeEnvironmentInfo.UserTemp, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "SystemTemp=" & RunTimeEnvironmentInfo.SystemTemp, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "System32=" & RunTimeEnvironmentInfo.System32, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "System=" & RunTimeEnvironmentInfo.System, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "Wbem=" & RunTimeEnvironmentInfo.WBem, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "WbemLogs=" & RunTimeEnvironmentInfo.WBemLogs, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "CurrentDirectory=" & RunTimeEnvironmentInfo.CurrentDirectory, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "AllUsersStartMenu=" & RunTimeEnvironmentInfo.AllUsersStartMenu, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "AllUsersDesktop=" & RunTimeEnvironmentInfo.AllUsersDesktop, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "AllUsersPrograms=" & RunTimeEnvironmentInfo.AllUsersPrograms, cLoggingLevel3, False

         WriteToLogFile objLOGFileHandle, "ScriptName=" & RunTimeEnvironmentInfo.ScriptName, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "ScriptFullName=" & RunTimeEnvironmentInfo.ScriptFullName, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "ScriptingName=" & RunTimeEnvironmentInfo.ScriptingName, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "EngineFullName=" & RunTimeEnvironmentInfo.EngineFullName, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "CommandLine=" & RunTimeEnvironmentInfo.CommandLine, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "EnginePath=" & RunTimeEnvironmentInfo.EnginePath, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "EngineVersion=" & RunTimeEnvironmentInfo.EngineVersion, cLoggingLevel3, False

         WriteToLogFile objLOGFileHandle, "DomainName=" & RunTimeEnvironmentInfo.DomainName, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "UserName=" & RunTimeEnvironmentInfo.UserName, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "UserDNSDomain=" & RunTimeEnvironmentInfo.UserDNSDomain, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "LogonServerName=" & RunTimeEnvironmentInfo.LogonServerName, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "LocalComputerName=" & RunTimeEnvironmentInfo.LocalComputerName, cLoggingLevel3, False

         WriteToLogFile objLOGFileHandle, "ProductName=" & RunTimeEnvironmentInfo.ProductName, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "Locale=" & RunTimeEnvironmentInfo.Locale, cLoggingLevel3, False

         WriteToLogFile objLOGFileHandle, "IsServerOS=" & RunTimeEnvironmentInfo.IsServerOS, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "Is64=" & RunTimeEnvironmentInfo.Is64, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "IsWow64=" & RunTimeEnvironmentInfo.IsWow64, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "ProcessorArchitecture=" & RunTimeEnvironmentInfo.ProcessorArchitecture, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "ProcessorIdentifier=" & RunTimeEnvironmentInfo.ProcessorIdentifier, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "NTVersion=" & RunTimeEnvironmentInfo.NTVersion, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "NTBuild=" & RunTimeEnvironmentInfo.NTBuild, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "NTServicePack=" & RunTimeEnvironmentInfo.NTServicePack, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "FullName=" & RunTimeEnvironmentInfo.ProductFullName, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "ShortName=" & RunTimeEnvironmentInfo.ProductShortName, cLoggingLevel3, False

         WriteToLogFile objLOGFileHandle, "SMSAgent=" & RunTimeEnvironmentInfo.SMSAgent, cLoggingLevel3, False
         WriteToLogFile objLOGFileHandle, "WinZIP=" & RunTimeEnvironmentInfo.WinZIP, cLoggingLevel3, False

End Function

' --------------------------------------------------------------------------------------------------------
Function GetOSVersion ()

         Dim strNTServicePack 

         On Error Resume Next

         strNTServicePack = LEFT (RunTimeEnvironmentInfo.NTServicePack, 14)

         Select Case UCase (RunTimeEnvironmentInfo.NTVersion)
                Case "5.0" ' Windows 2000 
                     RunTimeEnvironmentInfo.OSBrandVersion = "2000"
        
                     If RunTimeEnvironmentInfo.IsServerOS Then
                        RunTimeEnvironmentInfo.ProductFullName = "Windows 2000 Server"
                        RunTimeEnvironmentInfo.ProductShortName = "2000_.SRV"
                     Else
                        RunTimeEnvironmentInfo.ProductFullName = "Windows 2000 Client"                       
                        RunTimeEnvironmentInfo.ProductShortName = "2000_.CLI"
                     End If
 
                     Select Case Ucase (strNTServicePack)
                            Case "SERVICE PACK 1"
                                 GetOSVersion = cWindows2000SP1
                                 RunTimeEnvironmentInfo.ProductFullName = RunTimeEnvironmentInfo.ProductFullName & " - Service pack 1 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                 RunTimeEnvironmentInfo.ProductShortName = RunTimeEnvironmentInfo.ProductShortName & ".SP1"
 
                            Case "SERVICE PACK 2"
                                 GetOSVersion = cWindows2000SP2
                                 RunTimeEnvironmentInfo.ProductFullName = RunTimeEnvironmentInfo.ProductFullName & " - Service pack 2 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                 RunTimeEnvironmentInfo.ProductShortName = RunTimeEnvironmentInfo.ProductShortName & ".SP2"
 
                            Case "SERVICE PACK 3"
                                 GetOSVersion = cWindows2000SP3
                                 RunTimeEnvironmentInfo.ProductFullName = RunTimeEnvironmentInfo.ProductFullName & " - Service pack 3 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                 RunTimeEnvironmentInfo.ProductShortName = RunTimeEnvironmentInfo.ProductShortName & ".SP3"

                            Case "SERVICE PACK 4"
                                 GetOSVersion = cWindows2000SP4
                                 RunTimeEnvironmentInfo.ProductFullName = RunTimeEnvironmentInfo.ProductFullName & " - Service pack 4 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                 RunTimeEnvironmentInfo.ProductShortName = RunTimeEnvironmentInfo.ProductShortName & ".SP4"
 
                            Case Else
                                 GetOSVersion = cWindows2000RTM
                                 RunTimeEnvironmentInfo.ProductFullName = RunTimeEnvironmentInfo.ProductFullName & " - No service pack - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                 RunTimeEnvironmentInfo.ProductShortName = RunTimeEnvironmentInfo.ProductShortName & ".RTM"
                     End Select 
  
                     RunTimeEnvironmentInfo.ProductShortName = RunTimeEnvironmentInfo.ProductShortName & ".32"
                Case "5.1" ' Windows XP 
                     RunTimeEnvironmentInfo.OSBrandVersion = "XP"
 
                     Select Case Ucase (strNTServicePack)
                            Case "SERVICE PACK 1"
                                 GetOSVersion = cWindowsXPSP1
                                 RunTimeEnvironmentInfo.ProductShortName = "XP___.CLI.SP1"
                                 RunTimeEnvironmentInfo.ProductFullName = "Windows XP - Service pack 1 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                            Case "SERVICE PACK 2"
                                 GetOSVersion = cWindowsXPSP2
                                 RunTimeEnvironmentInfo.ProductFullName = "Windows XP - Service pack 2 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                 RunTimeEnvironmentInfo.ProductShortName = "XP___.CLI.SP2"
			    			Case "SERVICE PACK 3"
                                 GetOSVersion = cWindowsXPSP3
                                 RunTimeEnvironmentInfo.ProductFullName = "Windows XP - Service pack 3 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                 RunTimeEnvironmentInfo.ProductShortName = "XP___.CLI.SP3"
                            Case Else
                                 GetOSVersion = cWindowsXPRTM
                                 RunTimeEnvironmentInfo.ProductFullName = "Windows XP - No service pack - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                 RunTimeEnvironmentInfo.ProductShortName = "XP___.CLI.RTM"
                     End Select
                     RunTimeEnvironmentInfo.ProductShortName = RunTimeEnvironmentInfo.ProductShortName & ".32"
                Case "5.2"
                     If RunTimeEnvironmentInfo.IsServerOS = False Then
                        ' Windows XP 64 bits
                        RunTimeEnvironmentInfo.OSBrandVersion = "XP"
 
                        Select Case Ucase (strNTServicePack)
                               Case "SERVICE PACK 1"
                                    GetOSVersion = cWindowsXPSP164
                                    RunTimeEnvironmentInfo.ProductFullName = "Windows XP - Service Pack 1 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                    RunTimeEnvironmentInfo.ProductShortName = "XP___.CLI.SP1.64"
                               Case "SERVICE PACK 2"
                                    GetOSVersion = cWindowsXPSP264
                                    RunTimeEnvironmentInfo.ProductFullName = "Windows XP - Service Pack 2 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                    RunTimeEnvironmentInfo.ProductShortName = "XP___.CLI.SP2.64"
                               Case Else
                                    GetOSVersion = cWindowsUnknown
                                    RunTimeEnvironmentInfo.ProductFullName = "Unsupported Windows version - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                    RunTimeEnvironmentInfo.ProductShortName = "_____.___.___.__"
                        End Select
                     Else
                        ' Windows 2003
                       RunTimeEnvironmentInfo.OSBrandVersion = "2003"
 
                        If RunTimeEnvironmentInfo.Is64 = False Then
                           Select Case Ucase (strNTServicePack)
                                  Case "SERVICE PACK 1"
                                       GetOSVersion = cWindows2003SP1
                                       RunTimeEnvironmentInfo.ProductFullName = "Windows Server 2003 - Service pack 1 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                       RunTimeEnvironmentInfo.ProductShortName = "2003_.SRV.SP1.32"
				  				  Case "SERVICE PACK 2"
                                       GetOSVersion = cWindows2003SP2
                                       RunTimeEnvironmentInfo.ProductFullName = "Windows Server 2003 - Service pack 2 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                       RunTimeEnvironmentInfo.ProductShortName = "2003_.SRV.SP2.32"		
                                  Case Else
                                       GetOSVersion = cWindows2003RTM
                                       RunTimeEnvironmentInfo.ProductFullName = "Windows Server 2003 - No service pack - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                       RunTimeEnvironmentInfo.ProductShortName = "2003_.SRV.RTM.32"
                           End Select
                        Else
                           Select Case Ucase (strNTServicePack)
                                  Case "SERVICE PACK 1"
                                       GetOSVersion = cWindows2003SP164
                                       RunTimeEnvironmentInfo.ProductFullName = "Windows Server 2003 - Service pack 1 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                       RunTimeEnvironmentInfo.ProductShortName = "2003_.SRV.SP1.64"
                                  Case "SERVICE PACK 2"
                                       GetOSVersion = cWindows2003SP264
                                       RunTimeEnvironmentInfo.ProductFullName = "Windows Server 2003 - Service pack 2 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                       RunTimeEnvironmentInfo.ProductShortName = "2003_.SRV.SP2.64"
                                  Case Else
                                       GetOSVersion = cWindows2003RTM64
                                       RunTimeEnvironmentInfo.ProductFullName = "Windows Server 2003 - No service pack - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                                       RunTimeEnvironmentInfo.ProductShortName = "2003_.SRV.RTM.64"
                           End Select
                        End If
                     End If
                Case "6.0" ' Windows Vista and Server 2008 (non-R2)
                     If RunTimeEnvironmentInfo.IsServerOS Then

                        RunTimeEnvironmentInfo.OSBrandVersion = "Windows Server 2008"
                        RunTimeEnvironmentInfo.ProductShortName = RunTimeEnvironmentInfo.NTBuild & "_.SRV.RTM"
                        If RunTimeEnvironmentInfo.Is64 = False Then
	                       Select Case Ucase (strNTServicePack)
	                              Case "SERVICE PACK 1"
	                                   GetOSVersion = cWindows2008SP1
	                                   RunTimeEnvironmentInfo.ProductFullName = "Windows Server 2008 - Service pack 1 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                   RunTimeEnvironmentInfo.ProductShortName = "2008_.SRV.SP1.32"
	                              Case "SERVICE PACK 2"
	                                   GetOSVersion = cWindows2008SP2
	                                   RunTimeEnvironmentInfo.ProductFullName = "Windows Server 2008 - Service pack 2 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                   RunTimeEnvironmentInfo.ProductShortName = "2008_.SRV.SP2.32"
	                              Case Else
	                                    GetOSVersion = cWindowsUnknown
	                                    RunTimeEnvironmentInfo.ProductFullName = "Unsupported Windows version - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                    RunTimeEnvironmentInfo.ProductShortName = "_____.___.___.__"
	                       End Select
	                    Else
	                       Select Case Ucase (strNTServicePack)
	                              Case "SERVICE PACK 1"
	                                   GetOSVersion = cWindows2008SP164
	                                   RunTimeEnvironmentInfo.ProductFullName = "Windows Server 2008 - Service pack 1 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                   RunTimeEnvironmentInfo.ProductShortName = "2008_.SRV.SP1.64"
	                              Case "SERVICE PACK 2"
	                                   GetOSVersion = cWindows2008SP264
	                                   RunTimeEnvironmentInfo.ProductFullName = "Windows Server 2008 - Service pack 2 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                   RunTimeEnvironmentInfo.ProductShortName = "2008_.SRV.SP2.64"
	                              Case Else
	                                    GetOSVersion = cWindowsUnknown
	                                    RunTimeEnvironmentInfo.ProductFullName = "Unsupported Windows version - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                    RunTimeEnvironmentInfo.ProductShortName = "_____.___.___.__"
	                       End Select
	                    End if	                    	
                     Else
                        RunTimeEnvironmentInfo.OSBrandVersion = "Vista"
                        RunTimeEnvironmentInfo.ProductFullName = "Windows Vista" 
                        RunTimeEnvironmentInfo.ProductShortName = "VISTA.CLI"

                        If RunTimeEnvironmentInfo.Is64 = False Then
	                       Select Case Ucase (strNTServicePack)
	                              Case "SERVICE PACK 1"
	                                   GetOSVersion = cWindows2008SP1
	                                   RunTimeEnvironmentInfo.ProductFullName = "Windows Vista - Service pack 1 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                   RunTimeEnvironmentInfo.ProductShortName = "VISTA.CLI.SP1.32"
	                              Case "SERVICE PACK 2"
	                                   GetOSVersion = cWindows2008SP2
	                                   RunTimeEnvironmentInfo.ProductFullName = "Windows Vista - Service pack 2 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                   RunTimeEnvironmentInfo.ProductShortName = "VISTA.CLI.SP2.32"
	                              Case Else
	                                    GetOSVersion = cWindowsUnknown
	                                    RunTimeEnvironmentInfo.ProductFullName = "Windows Vista - No Service Pack - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                    RunTimeEnvironmentInfo.ProductShortName = "VISTA.CLI.RTM.32"
	                       End Select
	                    Else
	                       Select Case Ucase (strNTServicePack)
	                              Case "SERVICE PACK 1"
	                                   GetOSVersion = cWindows2008SP1
	                                   RunTimeEnvironmentInfo.ProductFullName = "Windows Vista - Service pack 1 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                   RunTimeEnvironmentInfo.ProductShortName = "VISTA.CLI.SP1.64"
	                              Case "SERVICE PACK 2"
	                                   GetOSVersion = cWindows2008SP2
	                                   RunTimeEnvironmentInfo.ProductFullName = "Windows Vista - Service pack 2 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                   RunTimeEnvironmentInfo.ProductShortName = "VISTA.CLI.SP2.64"
	                              Case Else
	                                    GetOSVersion = cWindowsUnknown
	                                    RunTimeEnvironmentInfo.ProductFullName = "Windows Vista - No Service Pack - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                    RunTimeEnvironmentInfo.ProductShortName = "VISTA.CLI.RTM.64"
	                       End Select
	                    End if	
                     End If
				Case "6.1" ' Windows 7 or Windows Server 2008 R2 
                     If RunTimeEnvironmentInfo.IsServerOS Then

                        RunTimeEnvironmentInfo.OSBrandVersion = "Windows Server 2008 R2"
                        RunTimeEnvironmentInfo.ProductShortName = RunTimeEnvironmentInfo.NTBuild & "_.SRV.RTM"
                        
                        If RunTimeEnvironmentInfo.Is64 = False Then
                            'There is no 2008 R2 32-bit
                            GetOSVersion = cWindowsUnknown
                            RunTimeEnvironmentInfo.ProductFullName = "Unsupported Windows version - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                            RunTimeEnvironmentInfo.ProductShortName = "_____.___.___.__"
	                    Else
	                       Select Case Ucase (strNTServicePack)
	                              Case "SERVICE PACK 1"
	                                   GetOSVersion = cWindows2008R2SP164
	                                   RunTimeEnvironmentInfo.ProductFullName = "Windows Server 2008 R2 - Service pack 1 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                   RunTimeEnvironmentInfo.ProductShortName = "2K8R2.SRV.SP1.64"
	                              Case Else
	                                   GetOSVersion = cWindows2008R2SP164
	                                   RunTimeEnvironmentInfo.ProductFullName = "Windows Server 2008 R2 - No Service Pack - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                   RunTimeEnvironmentInfo.ProductShortName = "2K8R2.SRV.RTM.64"
	                       End Select
	                    End if	                    	
                     Else
                        RunTimeEnvironmentInfo.OSBrandVersion = "Windows 7"
                        RunTimeEnvironmentInfo.ProductFullName = "Windows 7" 
                        RunTimeEnvironmentInfo.ProductShortName = "WIN7_.CLI"

                        If RunTimeEnvironmentInfo.Is64 = False Then
	                       Select Case Ucase (strNTServicePack)
	                              Case "SERVICE PACK 1"
	                                   GetOSVersion = cWindows7SP1
	                                   RunTimeEnvironmentInfo.ProductFullName = "Windows 7 - Service Pack 1 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                   RunTimeEnvironmentInfo.ProductShortName = "WIN7_.CLI.SP1.32"
	                              Case Else
	                                    GetOSVersion = cWindows7SP164
	                                    RunTimeEnvironmentInfo.ProductFullName = "Windows 7 - No Service Pack - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                    RunTimeEnvironmentInfo.ProductShortName = "WIN7_.CLI.RTM.32"
	                       End Select
	                    Else
	                       Select Case Ucase (strNTServicePack)
	                              Case "SERVICE PACK 1"
	                                   GetOSVersion = cWindows7RTM
	                                   RunTimeEnvironmentInfo.ProductFullName = "Windows 7 - Service Pack 1 - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                   RunTimeEnvironmentInfo.ProductShortName = "WIN7_.CLI.SP1.64"
	                              Case Else
	                                    GetOSVersion = cWindows7RTM
	                                    RunTimeEnvironmentInfo.ProductFullName = "Windows 7 - No Service Pack - " & RunTimeEnvironmentInfo.ProcessorArchitecture
	                                    RunTimeEnvironmentInfo.ProductShortName = "WIN7_.CLI.RTM.64"
	                       End Select
	                    End if	
                     End If                     
                Case Else
                     GetOSVersion = cWindowsUnknown
                     RunTimeEnvironmentInfo.ProductFullName = "Unsupported Windows version - " & RunTimeEnvironmentInfo.ProcessorArchitecture
                     RunTimeEnvironmentInfo.ProductShortName = "_____.___.___.__"
         End Select
 
         If RunTimeEnvironmentInfo.IsWow64 Then
            RunTimeEnvironmentInfo.ProductFullName = RunTimeEnvironmentInfo.ProductFullName & " (WOW64)"
            GetOSVersion = cWindowsWow64
         End If
 
         If RunTimeEnvironmentInfo.Is64 = True Then
            RunTimeEnvironmentInfo.OSStringIdentifier = "cWindows" & RunTimeEnvironmentInfo.OSBrandVersion & _
                                                        Mid (RunTimeEnvironmentInfo.ProductShortName, 10, 3) & _
                                                        "64"
         Else
            RunTimeEnvironmentInfo.OSStringIdentifier = "cWindows" & RunTimeEnvironmentInfo.OSBrandVersion & _
                                                        Mid (RunTimeEnvironmentInfo.ProductShortName, 10, 3)
         End If
 
         RunTimeEnvironmentInfo.OSStringIdentifier = ReplaceString (RunTimeEnvironmentInfo.OSStringIdentifier, "_", "")

End Function

' --------------------------------------------------------------------------------------------------------
Function GetOSUpgrade ()

         Dim arrayTempValue, strTemp, strRegistryHive

         On Error Resume Next

         Select Case RunTimeEnvironmentInfo.OSIdentifier
                Case cWindows2000SP1
                     strRegistryHive = "HKLM\SOFTWARE\Microsoft\Updates\Windows 2000\SP1\Q259524"
                Case cWindows2000SP2
                     strRegistryHive = "HKLM\SOFTWARE\Microsoft\Updates\Windows 2000\SP2\Q282522"
                Case cWindows2000SP3
                     strRegistryHive = "HKLM\SOFTWARE\Microsoft\Updates\Windows 2000\SP3\Q282522"
                Case cWindows2000SP4
                     strRegistryHive = "HKLM\SOFTWARE\Microsoft\Updates\Windows 2000\SP4\Q327194"
                Case cWindowsXPSP1
                     strRegistryHive = "HKLM\SOFTWARE\Microsoft\Updates\Windows XP\SP1\Q324720"
                Case cWindowsXPSP2
                     strRegistryHive = "HKLM\SOFTWARE\Microsoft\Updates\Windows XP\SP2\KB811113"
				Case cWindowsXPSP3
                     strRegistryHive = "HKLM\SOFTWARE\Microsoft\Updates\Windows XP\SP3\KB936929"
                Case cWindows2003SP1
                     strRegistryHive = "HKLM\SOFTWARE\Microsoft\Updates\Windows Server 2003\SP1\KB889101"
				Case cWindows2003SP2
                     strRegistryHive = "HKLM\SOFTWARE\Microsoft\Updates\Windows Server 2003\SP2\KB914961"
                Case cWindowsVistaRTM, cWindowsVistaSP1, cWindows2008SP1, cWindows2008SP164, cWindows2008SP2, cWindows2008SP264, cWindows7RTM, cWindows7RTM64, cWindows7SP1, cWindows7SP164, cWindows2008R2RTM64, cWindows2008R2SP164
                     strRegistryHive = "HKLM\System\Setup"
                Case Else
                     strRegistryHive = ""
         End Select
         If RunTimeEnvironmentInfo.OSIdentifier < cWindowsVistaRTM Then
            If Len (strRegistryHive) > 0 Then
               arrayTempValue = ReadRegistry (Null, _
                                              strRegistryHive, _
                                              "Description", _
                                              "REG_SZ", _
                                              False)

               If IsArray (arrayTempValue) = True Then
                  strTemp = "Windows system upgraded to " & arrayTempValue (0)
                          
                  arrayTempValue = ReadRegistry (Null, _
                                                 strRegistryHive, _
                                                 "InstalledDate", _
                                                 "REG_SZ", _
                                                 False)
                  If IsArray (arrayTempValue) = True Then
                     strTemp = StrTemp & " on " & FormatDateTime (arrayTempValue (0), vbLongDate) & "."
                  End If
               Else
                   StrTemp = ""
               End If
            End If 
         Else 
            arrayTempValue = ReadRegistry (Null, _
                                           strRegistryHive, _
                                           "Upgrade", _
                                           "REG_DWORD", _
                                           False)

            If IsArray (arrayTempValue) = True Then
               If Cint (arrayTempValue (0)) = 0 Then
                  strTemp = "Windows system upgraded to Windows Vista (" & RunTimeEnvironmentInfo.NTBuild & ")"
               Else
                  strTemp = "Windows Vista or newer - Clean installation detected (" & RunTimeEnvironmentInfo.NTBuild & ")"
               End If
            Else
               strTemp = "Windows Vista or newer - Clean installation detected (" & RunTimeEnvironmentInfo.NTBuild & ")"
            End If
         End If

         GetOSUpgrade = strTemp

End Function

' --------------------------------------------------------------------------------------------------------
Function ReadEnvironmentVariable (ByVal objLOGFileHandle, ByVal strEnvironmentType, ByVal strVarName)

         Dim objEnvironment
 
         On Error Resume Next
 
         WriteToLogFile objLOGFileHandle, "Reading environment variable (" & strEnvironmentType & ") '" & strVarName & "'.", cLoggingLevel3, False
 
         ' Create a new variable via environment object.
         Set objEnvironment = objWshShell.Environment (strEnvironmentType)
         If Err.Number Then
            ErrorHandler objLOGFileHandle, "ReadEnvironmentVariable", "", False, Err
            Exit Function
         End If
 
         ReadEnvironmentVariable = objWshShell.ExpandEnvironmentStrings (objEnvironment(strVarName))
         If Err.Number Then
            ErrorHandler objLOGFileHandle, "ReadEnvironmentVariable", "", False, Err
            Exit Function
         End If

         WriteToLogFile objLOGFileHandle, "(" & strEnvironmentType & ") '" & _
                                  strVarName & "' -> '" & ReadEnvironmentVariable & "'", cLoggingLevel4, False

         Set objEnvironment = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckRegistrySetup (ByVal objLOGFileHandle, ByVal arrayRegistryData, ByVal strRegQualifier)
 
         Dim intHiveIndex, intKeyIndex, intLoggingLevel
         Dim strRegistryValue, arrayRegistryValue
         Dim strRegistryExpectedValue, arrayRegistryExpectedValue
         Dim boolFoundRegKey, boolReadRegistryError

         On Error Resume Next
 
         CheckRegistrySetup = False
 
         For intHiveIndex = 0 To UBound (arrayRegistryData) Step 2
             If IsArray (arrayRegistryData (intHiveIndex + 1)) = True Then
                For intKeyIndex = 0 To UBound (arrayRegistryData (intHiveIndex + 1)) Step 4

                    If boolStrict = True Then arrayRegistryData (intHiveIndex + 1)(intKeyIndex) = cRegistryError

                    Select Case Cint (arrayRegistryData (intHiveIndex + 1)(intKeyIndex))
                           Case CRegistryError
                                intLoggingLevel = cLoggingLevel1
                                boolReadRegistryError = True
                           Case CRegistryWarning
                                intLoggingLevel = cLoggingLevel2
                                boolReadRegistryError = True
                           Case cRegistryWarningWhenPresent
                                intLoggingLevel = cLoggingLevel2
                                boolReadRegistryError = False
                           Case Else
                                intLoggingLevel = cLoggingLevel3
                                boolReadRegistryError = True
                    End Select 

                    Select Case arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2)
                           Case "REG_DWORD", "REG_BINARY", "REG_MULTI_SZ"
                                 arrayRegistryValue = ReadRegistry (objLOGFileHandle, arrayRegistryData (intHiveIndex), _
                                                                    arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1), _
                                                                    arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2), _
                                                                    boolReadRegistryError)
                           Case "REG_SZ", "REG_EXPAND_SZ"
                                 arrayRegistryValue = ReadRegistry (objLOGFileHandle, arrayRegistryData (intHiveIndex), _
                                                                    arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1), _
                                                                    "REG_SZ", _
                                                                    boolReadRegistryError)
                    End Select
 
                    If IsArray (arrayRegistryValue) = True Then
                       If Len (arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1)) = 0 Then arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) = "(Default)"

                       If Len (arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3)) > 0 And _
                          arrayRegistryData (intHiveIndex + 1)(intKeyIndex) <> cRegistryWarningWhenPresent Then 

                          Select Case arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2)
                                 Case "REG_MULTI_SZ"
                                      arrayRegistryExpectedValue = ConvertStringInArray (arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3), ",")
                                      strRegistryValue = ConvertArrayInString (arrayRegistryValue, ",")

                                      boolFoundRegKey = False
                                      For Each strRegistryExpectedValue In arrayRegistryExpectedValue
                                          If InStr (UCase (strRegistryValue), Ucase (strRegistryExpectedValue)) > 0 Then
                                             boolFoundRegKey = True
                                          Else
                                             boolFoundRegKey = False
                                             Exit For
                                          End If
                                      Next

                                      If boolFoundRegKey Then
                                         WriteToLogFile objLOGFileHandle, "WMI registry key (" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ") '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & "' is correct.", cLoggingLevel3, False
                                      Else
                                         WriteToLogFile objLOGFileHandle, "WMI registry key (" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ") '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & "' is incorrect.", intLoggingLevel, False
                                         TrackingData.InvalidWMIRegistrySetup = AddTrackingData (TrackingData.InvalidWMIRegistrySetup, strRegQualifier & ";" & arrayRegistryData (intHiveIndex) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & ";" & ReplaceString (Ucase (strRegistryValue) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3), ",", " ") & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex))
                                         WriteToLogFile objLOGFileHandle, "Expected in the registry: '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3) & "'", intLoggingLevel, False
                                         If intLoggingLevel = cLoggingLevel1 Then CheckRegistrySetup = True
                                      End If
                                 Case "REG_BINARY"
                                      strRegistryValue = ConvertArrayInString (arrayRegistryValue , ",")
                                      If Ucase (strRegistryValue) = UCase (arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3)) Then
                                         WriteToLogFile objLOGFileHandle, "WMI registry key (" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ") '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & "' is correct.", cLoggingLevel3, False
                                      Else
                                         WriteToLogFile objLOGFileHandle, "WMI registry key (" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ") '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & "' is incorrect.", intLoggingLevel, False
                                         TrackingData.InvalidWMIRegistrySetup = AddTrackingData (TrackingData.InvalidWMIRegistrySetup, strRegQualifier & ";" & arrayRegistryData (intHiveIndex) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & ";" & ReplaceString (Ucase (strRegistryValue) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3), ",", " ") & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex))
                                         WriteToLogFile objLOGFileHandle, "Expected in the registry: '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3) & "'", intLoggingLevel, False
                                         If intLoggingLevel = cLoggingLevel1 Then CheckRegistrySetup = True
                                      End If
                                 Case "REG_DWORD"
                                      If CLng(arrayRegistryValue(0)) = CLng(arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3)) Then
                                         WriteToLogFile objLOGFileHandle, "WMI registry key (" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ") '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & "' is correct.", cLoggingLevel3, False
                                      Else
                                         WriteToLogFile objLOGFileHandle, "WMI registry key (" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ") '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & "' is incorrect.", intLoggingLevel, False
                                         TrackingData.InvalidWMIRegistrySetup = AddTrackingData (TrackingData.InvalidWMIRegistrySetup, strRegQualifier & ";" & arrayRegistryData (intHiveIndex) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & ";" & arrayRegistryValue(0) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex))
                                         WriteToLogFile objLOGFileHandle, "Expected in the registry: '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3) & "'", intLoggingLevel, False
                                         If intLoggingLevel = cLoggingLevel1 Then CheckRegistrySetup = True
                                      End If 
                                 Case "REG_EXPAND_SZ"
                                      If UCase (objWshShell.ExpandEnvironmentStrings (arrayRegistryValue(0))) = UCase (objWshShell.ExpandEnvironmentStrings (arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3))) Then
                                         WriteToLogFile objLOGFileHandle, "WMI registry key (" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ") '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & "' is correct.", cLoggingLevel3, False
                                      Else
                                         WriteToLogFile objLOGFileHandle, "WMI registry key (" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ") '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & "' is incorrect.", intLoggingLevel, False
                                         TrackingData.InvalidWMIRegistrySetup = AddTrackingData (TrackingData.InvalidWMIRegistrySetup, strRegQualifier & ";" & arrayRegistryData (intHiveIndex) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & ";" & arrayRegistryValue(0) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex))
                                         WriteToLogFile objLOGFileHandle, "Expected in the registry: '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3) & "'", intLoggingLevel, False
                                         If intLoggingLevel = cLoggingLevel1 Then CheckRegistrySetup = True
                                      End If
                                 Case "REG_SZ"
                                      If UCase (arrayRegistryValue(0)) = UCase (arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3)) Then
                                         WriteToLogFile objLOGFileHandle, "WMI registry key (" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ") '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & "' is correct.", cLoggingLevel3, False
                                      Else
                                         WriteToLogFile objLOGFileHandle, "WMI registry key (" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ") '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & "' is incorrect.", intLoggingLevel, False
                                         TrackingData.InvalidWMIRegistrySetup = AddTrackingData (TrackingData.InvalidWMIRegistrySetup, strRegQualifier & ";" & arrayRegistryData (intHiveIndex) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & ";" & arrayRegistryValue(0) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex))
                                         WriteToLogFile objLOGFileHandle, "Expected in the registry: '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3) & "'", intLoggingLevel, False
                                         If intLoggingLevel = cLoggingLevel1 Then CheckRegistrySetup = True
                                      End If
                          End Select
                       Else
                          If arrayRegistryData (intHiveIndex + 1)(intKeyIndex) = cRegistryWarningWhenPresent Then
                             WriteToLogFile objLOGFileHandle, "WMI registry hive (" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ") '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & "' is present, while it should NOT be!", cLoggingLevel2, False
                             TrackingData.InvalidWMIRegistrySetup = AddTrackingData (TrackingData.InvalidWMIRegistrySetup, "EXTRAREGISTRYKEY;" & arrayRegistryData (intHiveIndex) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & ";;" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex))
                             CheckRegistrySetup = True
                          Else
                             WriteToLogFile objLOGFileHandle, "WMI registry hive (" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ") '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & "' is present.", cLoggingLevel3, False
                          End If
                       End If
                    Else
                       If arrayRegistryData (intHiveIndex + 1)(intKeyIndex) = cRegistryWarningWhenPresent Then
                          WriteToLogFile objLOGFileHandle, "WMI registry key (" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ") '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & "' is missing, which is FINE.", cLoggingLevel3, False
                       Else
                          WriteToLogFile objLOGFileHandle, "WMI registry key (" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ") '" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & "' is missing or is access denied.", cLoggingLevel1, False
                          TrackingData.InvalidWMIRegistrySetup = AddTrackingData (TrackingData.InvalidWMIRegistrySetup, "MISSINGREGISTRYKEY;" & arrayRegistryData (intHiveIndex) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 2) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 1) & ";;" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex + 3) & ";" & arrayRegistryData (intHiveIndex + 1)(intKeyIndex))
                          CheckRegistrySetup = True
                       End If
                    End If
                Next
             End If
 	Next

End Function

' --------------------------------------------------------------------------------------------------------
Function ParseFile (ByVal objLOGFileHandle, ByVal strFileName, ByVal arrayFilter, ByRef arrayMatchingOutput, ByVal boolNoSpace, ByVal boolLoggingDebug)

         Dim objParseFileHandle, strText, intLineCounter
         Dim intMatchingOutputIndex, intIndex
 
         On Error Resume Next

         WriteToLogFile objLOGFileHandle, "Parsing file '" & strFileName & "' for '" & ConvertArrayInString (arrayFilter, ", ") & "'.", cLoggingDebug Or cLoggingLevel4, False
 
         ReDim arrayOutput (0), arrayMatchingOutput (0)
         intMatchingOutputIndex = 0
         ParseFile = False

         If boolNoSpace = True Then
            For intIndex = 0 to UBound (arrayFilter)
                arrayFilter (intIndex) = ReplaceString (arrayFilter (intIndex), " ", "")
            Next
         End If

         intLineCounter = 0

         Set objParseFileHandle = OpenTextFile (strFileName) 
         If IsNull (objParseFileHandle) = False Then
            Do while (objParseFileHandle.AtEndOfStream = False)
                     ReadFromFile objParseFileHandle, strText

                     intLineCounter = intLineCounter + 1

                     If boolLoggingDebug = True Then
                        WriteToLogFile objLOGFileHandle, "-> '" & strText & "'", cLoggingDebug Or cLoggingLevel4, False
                     End If

                     If boolNoSpace = True Then
                        strText = ReplaceString (strText, " ", "")
                     End If
 
                     For intIndex = 0 to UBound (arrayFilter)
                         If Instr (Ucase (strText), Ucase (arrayFilter (intIndex))) > 0 Then
                            arrayMatchingOutput (intMatchingOutputIndex) = strText 
                            intMatchingOutputIndex = intMatchingOutputIndex + 1
                            ReDim Preserve arrayMatchingOutput (intMatchingOutputIndex)

                            WriteToLogFile objLOGFileHandle, "   Found at line " & intLineCounter & " an occurrence of '" & arrayFilter (intIndex) & ".", cLoggingDebug Or cLoggingLevel4, False
          
                            ParseFile = True
                         End If
                     Next
            Loop
         End If

         WriteToLogFile objLOGFileHandle, "Found " & intMatchingOutputIndex & " occurrence(s) in '" & strFileName & "'.", cLoggingDebug Or cLoggingLevel4, False
 
         CloseTextFile objParseFileHandle

End Function

' --------------------------------------------------------------------------------------------------------
Function ShellExecute (ByVal objLOGFileHandle, ByVal strCommandLine, ByVal strFilter, ByRef arrayOutput, ByRef arrayMatchingOutput)
      
         Dim objWshExec, strOutput, intTickCounter, intOutputIndex, intMatchingOutputIndex

         On Error Resume Next

         ReDim arrayOutput (0), arrayMatchingOutput (0)
         intMatchingOutputIndex = 0
         intOutputIndex = 0
         ShellExecute = False

         If RunTimeEnvironmentInfo.EngineVersion >= 5.6 Then
            WriteToLogFile objLOGFileHandle, "Shell executing '" & strCommandLine & "'.", cLoggingDebug Or cLoggingLevel4, False

            Set objWshExec = objWshShell.Exec (strCommandLine)

            If objWshExec.Status = 0 Then
               WriteToLogFile objLOGFileHandle, "Shell Execute command started (" & objWshExec.ProcessID & ").", cLoggingDebug Or cLoggingLevel4, False
            End If

            Do
               strOutput = objWshExec.StdOut.ReadLine()
   
               arrayOutput (intOutputIndex) = strOutput
               WriteToLogFile objLOGFileHandle, "-> '" & arrayOutput (intOutputIndex) & "'.", cLoggingDebug Or cLoggingLevel4, False

               intOutputIndex = intOutputIndex + 1
               ReDim Preserve arrayOutput (intOutputIndex)
   
               If Len (strFilter) > 0 Then
                  If Instr (UCase (strOutput), Ucase (strFilter)) > 0 Then
   
                     arrayMatchingOutput (intMatchingOutputIndex) = strOutput
                     intMatchingOutputIndex = intMatchingOutputIndex + 1
                     ReDim Preserve arrayMatchingOutput (intMatchingOutputIndex)
   
                     WriteToLogFile objLOGFileHandle, "   Found at line " & intOutputIndex & " an occurrence of '" & strFilter & ".", cLoggingDebug Or cLoggingLevel4, False
                  End If
               End If
            Loop While Not (objWshExec.StdOut.AtEndOfStream)

            Do 
               If intTickCounter > 20 Then
                  objWshExec.Terminate
                  ShellExecute = ErrorHandler (objLOGFileHandle, "ShellExecute", "Shell Execute command killed due to timeout.", True, Err)
                  Exit Do 
               End If

               WScript.Sleep (cSleepDelay)
               intTickCounter = intTickCounter + 1
   
               If objWshExec.Status = 0 Then
                  WriteToLogFile objLOGFileHandle, "Waiting for Shell Execute command to complete ..." & intTickCounter * cSleepDelay & " ms.", cLoggingDebug Or cLoggingLevel4, False
               Else
                  WriteToLogFile objLOGFileHandle, "Shell Execute command completed.", cLoggingDebug Or cLoggingLevel4, False
                  WriteToLogFile objLOGFileHandle, "Found " & intMatchingOutputIndex & " occurrence(s) of '" & strFilter & "'.", cLoggingDebug Or cLoggingLevel4, False
               End If

            Loop Until Not (objWshExec.Status = 0) 
         Else
            WriteToLogFile objLOGFileHandle, "Shell execution not supported for WSH " & RunTimeEnvironmentInfo.EngineVersion & ".", cLoggingDebug Or cLoggingLevel4, False
            ShellExecute = True
         End If 

End Function

' -----------------------------------------------------------------------------------------------------------------------
Function DisplayFormattedWMIProperties (ByVal objLOGFileHandle, ByVal objWMIInstance, ByVal intIndex, ByVal intIndent, ByVal intLoggingLevel)

         Dim objWMIProperty, objWMIProperties
         Dim varElement, intCount
 
         On Error Resume Next

         WriteToLogFile objLOGFileHandle, Space (intIndent) & "- " & objWMIInstance.Path_.Class & " #" & Left (intIndex & " ---", 4) & _
                        String (100 - Len (objWMIInstance.Path_.Class), "-"), intLoggingLevel, False
     
         Set objWMIProperties = objWMIInstance.Properties_
         For Each objWMIProperty In objWMIProperties
             If Not IsNull (objWMIProperty.Value) Then
                If objWMIProperty.CIMType = wbemCimtypeObject Then
                   If objWMIProperty.IsArray Then
                      intCount = 0
                      For Each varElement In objWMIProperty.Value
                          intCount = intCount + 1
                          DisplayFormattedWMIProperties objLOGFileHandle, varElement, intCount, intIndent + 2, intLoggingLevel + 2
                      Next
                   Else
                      DisplayFormattedWMIProperties objLOGFileHandle, objWMIProperty.Value, 1, intIndent + 2, intLoggingLevel + 2
                   End If
                Else
                   Select Case Ucase (objWMIProperty.Name) 
                          Case "SECURITY_DESCRIPTOR", "CREATORSID"
                               DisplayFormattedWMIProperty objLOGFileHandle, _
                                                           objWMIInstance, _
                                                           Space (intIndent) & objWMIProperty.Name, _
                                                           ConvertArrayInString (objWMIProperty.Value, ","), _
                                                           Null, _
                                                           intLoggingLevel
                          Case Else
                               DisplayFormattedWMIProperty objLOGFileHandle, _
                                                           objWMIInstance, _
                                                           Space (intIndent) & objWMIProperty.Name, _
                                                           objWMIProperty.Name, _
                                                           Null, _
                                                           intLoggingLevel
                   End Select
                End If
             End If
         Next
         Set objWMIProperties = Nothing
    
End Function

' -----------------------------------------------------------------------------------------------------------------------
Function DisplayFormattedWMIProperty (ByVal objLOGFileHandle, ByVal objWMIInstance, ByVal strText, ByVal strProperty1, ByVal strProperty2, ByVal intLoggingLevel)

         Dim intIndex
         Dim varValue1, varValue2
         Dim boolCIMKey, strCIMKey
         Dim intSpace
 
         On Error Resume Next
 
         If Not IsNull (strProperty1) Then 
            varValue1 = objWMIInstance.Properties_.Item (strProperty1)
            If Err.Number Then
               varValue1 = strProperty1
               Err.Clear
            Else
               Select Case objWMIInstance.Properties_.Item (strProperty1).CIMType
                      Case wbemCimtypeBoolean
                           varValue1 = Ucase (varValue1)
                      Case wbemCimtypeObject
                           varValue1 = "<OBJECT>"
               End Select
 
               boolCIMKey = objWMIInstance.Properties_.Item (strProperty1).Qualifiers_.Item("key").Value 
 
               If Err.Number Then 
                  Err.Clear
                  boolCIMKey = False
               End If
               If boolCIMKey Then
                  If Mid (strText, 1, 1) = Chr (32) Then
                     intSpace = Len (strText) - Len(LTrim(strText))
                     strText = Space(intSpace) & "*" & Ltrim(strText)
                  Else
                     strText = "*" & strText
                  End If
               End If
            End If
         Else 
            varValue1 = strProperty1
         End If
     
         If Not IsNull (strProperty2) Then 
            varValue2 = objWMIInstance.Properties_.Item (strProperty2)
            If Err.Number Then
               varValue2 = strProperty2
               Err.Clear
            Else
               Select Case objWMIInstance.Properties_.Item (strProperty2).CIMType
                      Case wbemCimtypeBoolean
                           varValue2 = Ucase (varValue2)
                      Case wbemCimtypeObject
                           varValue2 = "<OBJECT>"
               End Select  
            End If
         Else 
            varValue2 = strProperty2
         End If
     
         If Not IsNull (varValue1) Then
            If Not IsNull (varValue2) Then
               If IsArray (varValue1) = True Then
                  For intIndex=0 To UBound(varValue1)
                      If intIndex = 0 Then
                         WriteToLogFile objLOGFileHandle, StrText & ": " & string (40 - Len(strText), ".") & _
                                        " " & Trim (varValue1 (intIndex)) & _
                                        " " & Trim (varValue2 (intIndex)), _
                                        intLoggingLevel, False
                      Else
                         WriteToLogFile objLOGFileHandle, Space (42) & _
                                        " " & Trim (varValue1 (intIndex)) & _
                                        " " & Trim (varValue2 (intIndex)), _
                                        intLoggingLevel, False
                      End If
                  Next
              Else
                  WriteToLogFile objLOGFileHandle, StrText & ": " & string (40 - Len(strText), ".") & _
                                 " " & Trim (varValue1) & _
                                 " " & Trim (varValue2), _ 
                                 intLoggingLevel, False
              End If
            Else
               If IsArray (varValue1) = True Then
                  For intIndex=0 To UBound(varValue1)
                      If intIndex = 0 Then
                         WriteToLogFile objLOGFileHandle, StrText & ": " & string (40 - Len(strText), ".") & _
                                        " " & CleanString (varValue1 (intIndex), 32, 255), _
                                        intLoggingLevel, False
                      Else
                         WriteToLogFile objLOGFileHandle, Space (42) & _
                                        " " & CleanString (varValue1 (intIndex), 32, 255), _
                                        intLoggingLevel, False
                      End If
                  Next
               Else
                  WriteToLogFile objLOGFileHandle, StrText & ": " & string (40 - Len(strText), ".") & _
                                 " " & CleanString (varValue1, 32, 255), _
                                 intLoggingLevel, False
               End If
            End If
         End If
     
         Err.Clear
    
End Function

' -----------------------------------------------------------------------------------------------------------------------
Function DisplayFormattedProperty (ByVal objLOGFileHandle, ByVal strText, ByVal varValue1, ByVal varValue2, ByVal intLoggingLevel)

         Dim intIndex

         On Error Resume Next

         If Not IsNull (varValue1) Then
            If Not IsNull (varValue2) Then
               If IsArray (varValue1) = True Then
                  For intIndex = 0 To UBound(varValue1)
                      If intIndex = 0 Then
                         WriteToLogFile objLOGFileHandle, strText & ": " & string (40 - Len(strText), ".") & _
                                                          " " & varValue1 (intIndex) & _
                                                          " " & varValue2 (intIndex), _
                                        intLoggingLevel, False
                      Else
                         WriteToLogFile objLOGFileHandle, Space (42) & _
                                                          " " & varValue1 (intIndex) & _
                                                          " " & varValue2 (intIndex), _
                                        intLoggingLevel, False
                      End if
                  Next
              Else
                  If Len (varValue1) > 0 Then
                     WriteToLogFile objLOGFileHandle, strText & ": " & string (40 - Len(strText), ".") & _
                                                      " " & varValue1 & _
                                                      " " & varValue2, _
                                    intLoggingLevel, False
                  End If
               End IF
            Else
               If IsArray (varValue1) = True Then
                  For intIndex = 0 To UBound(varValue1)
                      If intIndex = 0 Then
                         WriteToLogFile objLOGFileHandle, strText & ": " & string (40 - Len(strText), ".") & _
                                                          " " & varValue1 (intIndex), _
                                        intLoggingLevel, False
                      Else
                         WriteToLogFile objLOGFileHandle, Space (42) & _
                                                          " " & varValue1 (intIndex), _
                                        intLoggingLevel, False
                      End If
                  Next
               Else
                  If Len (varValue1) > 0 Then
                     WriteToLogFile objLOGFileHandle, strText & ": " & string (40 - Len(strText), ".") & _
                                                      " " & varValue1, _
                                    intLoggingLevel, False
                  End If
               End If
            End If
         End If

End Function

' -----------------------------------------------------------------------------------------------------------------------
Function ExtractWMIClassFromWQL (ByVal objLOGFileHandle, ByVal strWQL)

         Dim intStringPosition, strTemp

         On Error Resume Next

         intStringPosition = Instr (UCase (strWQL), "FROM ") 
         If intStringPosition > 0 Then
            strTemp = Trim (Mid (strWQL, intStringPosition + 5))
            intStringPosition = Instr (Ucase (strTemp), " WHERE") 
            If intStringPosition > 0 Then
               ExtractWMIClassFromWQL = Trim (Mid (strTemp, 1, intStringPosition))
            Else
               ExtractWMIClassFromWQL = strTemp
            End If 
         Else
            WriteToLogFile objLOGFileHandle, "'" & strWQL &  "' is an invalid query.", cLoggingLevel2, False
            ExtractWMIClassFromWQL = Null
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function ConvertDMTFDateTimeToLongDateTime (ByVal objLOGFileHandle, ByVal strDMTFDateTime, ByRef strDate, ByRef strTime, ByRef strGMT, ByVal boolLongTime)

         Dim strMonth

         On Error Resume Next

         WriteToLogFile objLOGFileHandle, "Converting '" & strDMTFDateTime & "'.", cLoggingDebug Or cLoggingLevel4, False

         Select Case Cint (Mid (strDMTFDateTime, 5, 2))
                Case 1
                     strMonth = "January"
                Case 2
                     strMonth = "February"
                Case 3
                     strMonth = "March"
                Case 4
                     strMonth = "April"
                Case 5
                     strMonth = "May"
                Case 6
                     strMonth = "June"
                Case 7
                     strMonth = "July"
                Case 8
                     strMonth = "August"
                Case 9
                     strMonth = "September"
                Case 10
                     strMonth = "October"
                Case 11
                     strMonth = "November"
                Case 12
                     strMonth = "December"
         End Select

         strDate = Mid (strDMTFDateTime, 5, 2) & "/" & _
                   Mid (strDMTFDateTime, 7, 2) & "/" & _
                   Mid (strDMTFDateTime, 1, 4)

         If boolLongTime = True Then
            strTime = Mid (strDMTFDateTime, 9, 2) & ":" & _
                      Mid (strDMTFDateTime, 11, 2) & ":" & _
                      Mid (strDMTFDateTime, 13, 2) & ":" & _
                      Mid (strDMTFDateTime, 16, 6)
         Else
            strTime = Mid (strDMTFDateTime, 9, 2) & ":" & _
                      Mid (strDMTFDateTime, 11, 2) & ":" & _
                      Mid (strDMTFDateTime, 13, 2)
         End If

         If Cint (Mid (strDMTFDateTime, 23, 4) / 60) <= 0 Then
            strGMT = "GMT-" & Mid (strDMTFDateTime, 23, 3) / 60
         Else
            strGMT = "GMT+" & Mid (strDMTFDateTime, 23, 3) / 60
         End If

         ConvertDMTFDateTimeToLongDateTime = Mid (strDMTFDateTime, 7, 2) & " " & _
                               strMonth & " " & _
                               Mid (strDMTFDateTime, 1, 4) & _
                               " " & strTime & " (" & strGMT & ")"

End Function

' ---------------------------------------------------------------------------------------------------------
Function ConvertDateTimeToDMTFDateTime (ByVal objLOGFileHandle, ByVal strDate, ByVal strTime)

         Dim intBias, strSign, arrayRegistryValue

         On Error Resume Next

         arrayRegistryValue = ReadRegistry (objLOGFileHandle, "HKLM\SYSTEM\CurrentControlSet\Control\TimeZoneInformation", _
                                            "ActiveTimeBias", _
                                            "REG_DWORD", _
                                            False)

         If IsArray (arrayRegistryValue) = True Then
            intBias = Cint (arrayRegistryValue (0))
         Else
            intBias = 0
         End If

         If intBias >= 0 Then 
            strSign = "-" 
         Else 
            strSign = "+" 
         End If

         ConvertDateTimeToDMTFDateTime = Right ("00" & Year(strDate), 4) & Right ("0" & Month(strDate), 2) & Right ("0" & Day(strDate), 2) & _
                      Right ("0" & Hour(strTime), 2) & Right ("0" & Minute(strTime), 2) & Right ("0" & Second(strTime), 2) & _
                      ".000000" & strSign & Right ("000" & intBias, 3)

End Function 

' -----------------------------------------------------------------------------------------------------------------------
Function ConvertStringInArray (ByVal strTemp, ByVal strSeparator)

         Dim intArrayIndex
         Dim intSeparatorPosition
         Dim strTempItem()

         On Error Resume Next

         intArrayIndex = 0
         ReDim strTempItem(intArrayIndex) 
 
         strTemp = Trim (strTemp)
         Do
            intSeparatorPosition = InStr(strTemp, strSeparator)
            If intSeparatorPosition Then
               ReDim Preserve strTempItem(intArrayIndex)
               strTempItem(intArrayIndex) = Trim(Mid(strTemp, 1, intSeparatorPosition - 1))
               strTemp = Trim(Mid(strTemp, intSeparatorPosition + 1))
               intArrayIndex = intArrayIndex + 1
            Else
               ReDim Preserve strTempItem(intArrayIndex)
               strTempItem(intArrayIndex) = Trim(strTemp)
               Exit Do
            End If
         Loop 
 
         ConvertStringInArray = strTempItem

End Function

' --------------------------------------------------------------------------------------------------------
Function ConvertArrayInString (ByVal arrayData, ByVal strSeparator)
 
         Dim varElement
         Dim strTemp
 
         On Error Resume Next
 
         If IsArray (arrayData) = True Then
            For Each varElement In arrayData
               If Len(strTemp) = 0 Then
                   strTemp = varElement
                Else
                   strTemp = strTemp & strSeparator & varElement
                End If
            Next
            ConvertArrayInString = strTemp
         Else
            ConvertArrayInString = arrayData
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function ReplaceString (ByVal strSourceString, ByVal strStringToSearch, ByVal strStringToReplace)

         Dim intIndex
 
         On Error Resume Next
 
         If IsArray (strSourceString) = True Then
            For intIndex = 0 To UBound (strSourceString)
                ReplaceString = ReplaceString2 (strSourceString (intIndex), strStringToSearch, strStringToReplace)            
            Next
         Else
            ReplaceString = ReplaceString2 (strSourceString, strStringToSearch, strStringToReplace)            
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function ReplaceString2 (ByVal strSourceString, ByVal strStringToSearch, ByVal strStringToReplace)

         Dim intStringPosition
 
         On Error Resume Next
 
         Do
               intStringPosition = Instr (Ucase(strSourceString), Ucase(strStringToSearch))
               If intStringPosition > 0 Then
                  If intStringPosition = 1 Then
                     strSourceString = strStringToReplace & _
                                       Mid (strSourceString, _
                                            Len (strStringToSearch) + 1)
                  Else
                     strSourceString = Mid (strSourceString, _
                                            1, _
                                            intStringPosition - 1) & _
                                            strStringToReplace & _
                                            Mid (strSourceString, intStringPosition + Len (strStringToSearch))
                  End If
               End If
         Loop Until intStringPosition = 0
 
         ReplaceString2 = strSourceString
 
End Function

' --------------------------------------------------------------------------------------------------------
Function ReplaceChar (ByVal strString, ByVal strReplacedChar, ByVal strReplacingString)

         Dim intIndex
         Dim strTemp
         Dim strNewString

         On Error Resume Next
     
         For intIndex = 1 to Len(strString)
             strTemp = Mid(strString, intIndex, 1)
             If (strTemp = strReplacedChar) Then
                strNewString = strNewString & strReplacingString
             Else
                strNewString = strNewString & strTemp
             End If
         Next
     
         ReplaceChar = strNewString

End Function

' --------------------------------------------------------------------------------------------------------
Function SplitStringReverse (ByVal strSourceString, ByVal intSide, ByVal chrSeparator)

         Dim intPosition, strLeftString, strRightString
 
         On Error Resume Next
 
         intPosition = InStrRev (strSourceString, chrSeparator)
         If intPosition > 0 Then
            strLeftString = Left (strSourceString, intPosition - 1)
            strRightString = Mid (strSourceString, intPosition + 1)
         Else
            strLeftString = strSourceString
            strRightString = strSourceString
         End If
  
         Select Case intSide
                Case 1
                     SplitStringReverse = strRightString 
                Case -1
                     SplitStringReverse = strLeftString 
         End Select

End Function

' --------------------------------------------------------------------------------------------------------
Function CleanString (ByVal strSourceString, ByVal intAsciiLower, ByVal intAsciiUpper)

         Dim intStringPosition, strTargetString
 
         On Error Resume Next

         For intStringPosition = 1 To Len (strSourceString)
             If Asc (Mid (strSourceString, intStringPosition, 1)) < intAsciiLower Or _ 
                Asc (Mid (strSourceString, intStringPosition, 1)) > intAsciiUpper Then
                strTargetString = strTargetString & " "
             Else
                strTargetString = strTargetString & Mid (strSourceString, intStringPosition, 1)
             End If
         Next
 
         CleanString = Trim (ReplaceString (strTargetString, "  ", " "))

End Function

' --------------------------------------------------------------------------------------------------------
Function SplitStringInArrayBySpace (ByVal strSourceString, ByVal intSplitter)

         Dim intIndex, intStringPosition1, intStringPosition2, intStringLastPosition, arrayString 
 
         On Error Resume Next

         intIndex = 0
         ReDim arrayString (0)
         intStringLastPosition = 1

         strSourceString = Trim (strSourceString)

         For intStringPosition1 = intSplitter To Len (strSourceString) Step intSplitter

             intStringPosition2 = intStringPosition1

             Do 
                  If (Mid (strSourceString, intStringPosition2, 1) = " ") Then
                     arrayString (intIndex) = Trim (Mid (strSourceString, intStringLastPosition, intSplitter + intStringPosition2 - intStringPosition1))
                     intStringLastPosition = intStringPosition2

                     intIndex = intIndex + 1
                     ReDim Preserve arrayString (intIndex)

                     Exit Do
                  End If
 
                  intStringPosition2 = intStringPosition2 + 1
        
             Loop While intStringPosition2 < Len (strSourceString)
    
             intStringPosition1 = intStringPosition2

         Next 

         arrayString (intIndex) = Trim (Mid (strSourceString, intStringLastPosition))

         SplitStringInArrayBySpace = arrayString

End Function

' --------------------------------------------------------------------------------------------------------
Function CheckServiceStartedState (ByVal objLOGFileHandle, ByVal strService)

         Dim arrayOutput (), arrayMatchingOutput ()
 
         On Error Resume Next

         WriteToLogFile objLOGFileHandle, "Verifying '" & UCase(strService) & "' service started state.", cLoggingLevel3, False
 
         CheckServiceStartedState = objShell.IsServiceRunning (strService)
 
         If CheckServiceStartedState Then 
            WriteToLogFile objLOGFileHandle, "'" & UCase(strService) & "' service IS started.", cLoggingLevel3, False
         Else
            WriteToLogFile objLOGFileHandle, "'" & UCase(strService) & "' service is NOT started.", cLoggingLevel3, False
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function StartService (ByVal objLOGFileHandle, ByVal strService)

         Dim arrayOutput (), arrayMatchingOutput ()
         Dim intTickCounter
 
         On Error Resume Next
 
         StartService = True
 
         WriteToLogFile objLOGFileHandle, "Verifying '" & strService & "' service status.", cLoggingLevel0, False
 
         If CheckServiceStartedState (objLOGFileHandle, strService) = True Then 
            TrackingData.ServiceState = AddTrackingData (TrackingData.ServiceState, strService & ";Already started;0x0")
            Exit Function
         End If
 
         objShell.ServiceStart strService, False
 
         intTickCounter = 0
         Do 
              If intTickCounter > 20 Then
                  StartService = ErrorHandler (objLOGFileHandle, "StartService", "Start service '" & UCase(strService) & "' command timeout.", False, Err)
                  TrackingData.ServiceState = AddTrackingData (TrackingData.ServiceState, strService & ";Failed to start;TIMEOUT")
                  Exit Function
              End If
 
              WScript.Sleep (cSleepDelay)
              intTickCounter = intTickCounter + 1
         Loop While (CheckServiceStartedState (objLOGFileHandle, strService) = False)

         WriteToLogFile objLOGFileHandle, "'" & UCase(strService) & "' service is successfully started.", cLoggingLevel3, True
         TrackingData.ServiceState = AddTrackingData (TrackingData.ServiceState, strService & ";Successfully started;0x0")
 
         StartService = False

End Function

' --------------------------------------------------------------------------------------------------------
Function WriteRegistry (ByVal objLOGFileHandle, ByVal strKeyName, ByVal strKeyValueName, ByVal strRegType, ByVal varRegKeyValue, ByVal boolWriteRegistryError)

         Dim strRegKey
 
         On Error Resume Next
 
         strRegKey = strKeyName & "\" & strKeyValueName
         Select Case strRegType
                Case "REG_BINARY"
                     WriteToLogFile objLOGFileHandle, "Writing registry (" & UCase(strRegType) & ") '" & _
                                 strRegKey & "' -> '&h" & Hex(varRegKeyValue) & "'", cLoggingDebug Or cLoggingLevel4, False
                Case "REG_DWORD"
                     WriteToLogFile objLOGFileHandle, "Writing registry (" & UCase(strRegType) & ") '" & _
                                 strRegKey & "' -> '&h" & Hex(varRegKeyValue) & "'", cLoggingDebug Or cLoggingLevel4, False
                Case "REG_MULTI_SZ"
                     ' RegWrite from WSH does not support REG_MULTI_SZ
                     Exit Function	
 
                Case Else
                     WriteToLogFile objLOGFileHandle, "Writing registry (" & UCase(strRegType) & ") '" & _
                                    strRegKey & "' -> '" & varRegKeyValue & "'", cLoggingDebug Or cLoggingLevel4, False
         End Select

         objWshShell.RegWrite strRegKey, varRegKeyValue, strRegType
         If Err.Number Then
            If boolWriteRegistryError Then
               WriteRegistry = ErrorHandler (objLOGFileHandle, "WriteRegistry", "", False, Err)
            Else
               Err.Clear
            End If
            Exit Function
         End If
 
End Function

' --------------------------------------------------------------------------------------------------------
Function ReadRegistry (ByVal objLOGFileHandle, ByVal strKeyName, ByVal strKeyValueName, ByVal strRegType, ByVal boolReadRegistryError)

         Dim strRegKey
         Dim varRegKeyValue()

         Dim intIndex
         Dim strTempValue
 
         On Error Resume Next
 
         strRegKey = strKeyName & "\" & strKeyValueName
         WriteToLogFile objLOGFileHandle, "Reading registry (" & strRegType & ") '" & strRegKey & "'.", cLoggingLevel4, False
 
         strTempValue = objWshShell.RegRead (strRegKey)
         If Err.Number Then
            If boolReadRegistryError Then 
               ErrorHandler objLOGFileHandle, "ReadRegistry", "", False, Err
            Else
               Err.Clear
            End If
            Exit Function
         End If
         Select Case strRegType
                Case "REG_BINARY"
                     ReDim varRegKeyValue(Ubound(strTempValue))
                     For intIndex = 0 to Ubound(strTempValue)
                         varRegKeyValue (intIndex) = "&h" & Right("0" & Hex(strTempValue(intIndex)),2)
                     Next
                     WriteToLogFile objLOGFileHandle, "(" & UCase(strRegType) & ") '" & strRegKey & "' -> '" & ConvertArrayInString (varRegKeyValue, ",") & "'", cLoggingDebug Or cLoggingLevel4, False
                Case "REG_DWORD"
                     ReDim varRegKeyValue(0)
                     varRegKeyValue(0) = "&h" & Hex (strTempValue)
                     WriteToLogFile objLOGFileHandle, "(" & UCase(strRegType) & ") '" & strRegKey & "' -> '" & varRegKeyValue (0) & "'", cLoggingDebug Or cLoggingLevel4, False
                Case "REG_MULTI_SZ"
                     ReDim varRegKeyValue(Ubound(strTempValue))
		     For intIndex = 0 to Ubound(strTempValue)
                        varRegKeyValue (intIndex) = Trim (strTempValue(intIndex))
                          WriteToLogFile objLOGFileHandle, "(" & UCase(strRegType) & ") '" & strRegKey & "' -> '" & varRegKeyValue (intIndex) & "'", cLoggingDebug Or cLoggingLevel4, False
                     Next
                Case "REG_EXPAND_SZ"
                     ReDim varRegKeyValue(0)
                     varRegKeyValue(0) = Trim (objWshShell.ExpandEnvironmentStrings (strTempValue))
                     WriteToLogFile objLOGFileHandle, "(" & UCase(strRegType) & ") '" & strRegKey & "' -> '" & varRegKeyValue (0) & "'", cLoggingDebug Or cLoggingLevel4, False
                Case Else
                     ReDim varRegKeyValue(0)
                     varRegKeyValue(0) = Trim (strTempValue)
                     WriteToLogFile objLOGFileHandle, "(" & UCase(strRegType) & ") '" & strRegKey & "' -> '" & varRegKeyValue (0) & "'", cLoggingDebug Or cLoggingLevel4, False 
         End Select

         ReadRegistry = varRegKeyValue

End Function

' --------------------------------------------------------------------------------------------------------
Function IncludeAndExecuteVBS (ByVal objLOGFileHandle, ByVal strScriptPathFilename)

         Dim objFile

         On Error Resume Next

         IncludeAndExecuteVBS = True

         If CheckIfFileExists (objLOGFileHandle, strScriptPathFilename) = True Then
            Set objFile = objFS.OpenTextFile (strScriptPathFilename, cForReading, False, cTristateUseDefault)
            If Err.Number Then
               ErrorHandler objLOGFileHandle, "IncludeAndExecuteVBS", "", False, Err
            Else
               ExecuteGlobal objFile.ReadAll()
               objFile.Close
               IncludeAndExecuteVBS = False
            End If

            Set objFile = Nothing
         End If
 
End Function

' -----------------------------------------------------------------------------------------------------------------------
Function CheckIfFileExists (ByVal objLOGFileHandle, ByVal strFileName)

         Dim objOpenFileHandle
 
         On Error Resume Next
 
         Set objOpenFileHandle = objFS.OpenTextFile (objWshShell.ExpandEnvironmentStrings (strFileName), cForReading, False, cTristateUseDefault)
         If Err.Number Then
            Err.Clear
 
            objOpenFileHandle.Close
            Set objOpenFileHandle = Nothing
            CheckIfFileExists = False
            Exit Function
         End If

         objOpenFileHandle.Close
         Set objOpenFileHandle = Nothing
 
         CheckIfFileExists = True

End Function

' -----------------------------------------------------------------------------------------------------------------------
Function OpenTextFile (ByVal strFileName)

         Dim objOpenFileHandle
 
         On Error Resume Next

         Set objOpenFileHandle = objFS.OpenTextFile (objWshShell.ExpandEnvironmentStrings (strFileName), cForReading, False, cTristateUseDefault)
         If Err.Number Then
            ErrorHandler "", "OpenTextFile", "", False, Err
            objOpenFileHandle = Null
            Exit Function
         End If
 
         Set OpenTextFile = objOpenFileHandle

End Function

' -----------------------------------------------------------------------------------------------------------------------
Function CreateTextFile (ByVal strFileName)

         Dim objCreateFileHandle
 
         On Error Resume Next
 
         Set objCreateFileHandle = objFS.CreateTextFile (objWshShell.ExpandEnvironmentStrings (strFileName), True)
         If Err.Number Then
            ErrorHandler "", "CreateTextFile", "", True, Err
            objCreateFileHandle = Null
            Exit Function
         End If
 
         Set CreateTextFile = objCreateFileHandle

End Function

' -----------------------------------------------------------------------------------------------------------------------
Function WriteToFile (ByVal objWriteFileHandle, ByVal strText)

         On Error Resume Next
 
         If Not IsNull(objWriteFileHandle) Then
            objWriteFileHandle.WriteLine strText
            If Err.Number Then
               WriteToFile = ErrorHandler (objWriteFileHandle, "WriteToFile", "", False, Err)
            End If
         End If

End Function

' -----------------------------------------------------------------------------------------------------------------------
Function ReadFromFile (ByVal objReadFileHandle, ByRef strText)

         On Error Resume Next

         If Not IsNull(objReadFileHandle) Then
            strText = objReadFileHandle.ReadLine
            If Err.Number Then
               ReadFromFile  = ErrorHandler (objReadFileHandle, "ReadFromFile", "", False, Err)
            End If
         End If

End Function

' -----------------------------------------------------------------------------------------------------------------------
Function CloseTextFile (ByVal objCloseFileHandle)

         On Error Resume Next
 
         objCloseFileHandle.Close
 
         Set objCloseFileHandle = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function DumpCSV (ByVal strText, ByVal strTemp, ByVal intCopies, ByVal boolDump)

         Dim intCounter
 
         On Error Resume Next

         If boolDump = True Then
            ' strText = strTemp

            strText = ReplaceString (strText, ",", "")
  
            For intCounter = 1 to intCopies
                If Len (strCSV) = 0 Then
                   strCSV = strText
                Else
                   strCSV = strCSV & "," & strText
                End If
            Next 
         End If 

End Function

' --------------------------------------------------------------------------------------------------------
Function SendMessage (ByVal strTO, ByVal strFROM, ByVal strSubject, ByVal strBodyText, ByVal strHTMLBodyText, ByVal arrayAttachment)

         Dim objMessage 
         Dim objConfiguration
         Dim strAttachment
 
         On Error Resume Next
 
         strTO = Trim (strTO)
         strFrom = Trim (strFrom)
         strSubject = Trim (strSubject)
         strBodyText = Trim (strBodyText)
         strHTMLBodyText = Trim (strHTMLBodyText)

         If Not (CBool(Len (strTO)) And _
                 CBool(Len(strFrom)) And _
                 CBool(Len(strSubject)) And _
                (CBool(Len(strBodyText)) Or CBool(Len(strHTMLBodyText))) _
                ) Then 
            SendMessage = True
            Exit Function
         End If

         Set objMessage = CreateObject("CDO.Message")
         Set objConfiguration = CreateObject ("CDO.Configuration")

         objConfiguration.Fields ("http://schemas.microsoft.com/cdo/configuration/smtpserver") = strSMTPServer 
         objConfiguration.Fields ("http://schemas.microsoft.com/cdo/configuration/smtpserverport") = intSMTPPort  
         objConfiguration.Fields ("http://schemas.microsoft.com/cdo/configuration/smtpauthenticate") = intSMTPAuthenticate 
         objConfiguration.Fields ("http://schemas.microsoft.com/cdo/configuration/sendusername") = strSMTPUserName 
         objConfiguration.Fields ("http://schemas.microsoft.com/cdo/configuration/sendpassword") = strSMTPPassword 
         objConfiguration.Fields ("http://schemas.microsoft.com/cdo/configuration/smtpusessl") = boolSMTPSSL 
         objConfiguration.Fields ("http://schemas.microsoft.com/cdo/configuration/sendusing") = 2
         objConfiguration.Fields ("http://schemas.microsoft.com/cdo/configuration/smtpconnectiontimeout") = 60
         objConfiguration.Fields.Update

         objMessage.Configuration = objConfiguration
         objMessage.To = strTO
         objMessage.From = strFrom
         objMessage.CC = strFrom
         objMessage.Subject = strSubject
         objMessage.TEXTBody = strBodyText
         objMessage.HTMLBody = strHTMLBodyText

         If IsNull (arrayAttachment) = False Then 
            For Each strAttachment In arrayAttachment
                strAttachment = ReplaceString (strAttachment, Chr (34), "")
                objMessage.AddAttachment strAttachment
            Next
         End If

         WriteToLogFile Null, "Sending WMIDiag information to '" & strTO & "'.", cLoggingLevel0, False

         objMessage.Send

         If Err.Number Then
            SendMessage = ErrorHandler (Null, "SendMessage", "", True, Err)
         Else
            WriteToLogFile Null, "WMIDiag information successfully sent.", cLoggingLevel0, False
         End If

         Set objConfiguration = Nothing
         Set objMessage = Nothing

End Function

' --------------------------------------------------------------------------------------------------------
Function ErrorHandler (ByVal objLOGFileHandle, ByVal strFunctionName, ByVal strErrorMessage, ByVal boolCriticalError, ByVal Err)

         Dim strErrorString, intPopupTimeout
         Dim strWBEMCode, strWBEMMessage
         Dim strLastHexError, strDescription

         If Err.Number Then
            strLastHexError = "0x" & Hex(Err.Number)
            If Left (strLastHexError, 7) = "0x80041" Then
               GetWMIErrorMessage strLastHexError, strWBEMCode, strWBEMMessage
               strLastError = strLastHexError & ";(" & strWBEMCode & ") " & strWBEMMessage
               strErrorString = "("& strFunctionName &") : " & strLastHexError & " - (" & strWBEMCode & ") " & strWBEMMessage  & "."
            Else
               If Len (Err.Description) = 0 Then
                  If Len (objWMILastError.Description) > 0 Then
                     strDescription = objWMILastError.Description
                  Else
                     strDescription = ""
                  End If
               Else  
                  strDescription = Err.Description
               End If
 
               strDescription = CleanString (strDescription, 32, 255)
 
               strLastError = strLastHexError & ";" & strDescription
               If Len (strDescription) > 0 Then strDescription = " - " & strDescription
               strErrorString = "("& strFunctionName &") : " & strLastHexError & strDescription
            End If
 
            Err.Clear
 
            If Len (strErrorMessage) Then strErrorString = strErrorString & ". " & strErrorMessage
         Else
            strLastError = "0x0;"
            strErrorString = "("& strFunctionName &") : " & _
                             strErrorMessage
            strErrorString = CleanString (strErrorString, 32, 255)
         End If

         WriteToLogFile objLOGFileHandle, strErrorString, cLoggingLevel1, boolCriticalError
 
         If boolEventLogErrors = True Or boolEventLog = True Then objWshShell.LogEvent 1, strErrorString
 
         If boolErrorPopup = True Or (boolNoEcho = True And boolCriticalError = True And boolSilent = False) Then
            objWshShell.Popup strErrorString, _
                           0, _
                           "(WMIDiag " & cWMIDiagVersion & ") ERROR!", _
                           vbCritical Or vbOkOnly
         End If
 
         ErrorHandler = True

End Function

' -----------------------------------------------------------------------------------------------------------------------
Function StatusWriteToLogFile (ByVal objWriteFileHandle, ByVal strTextMessage, ByVal strStatus, ByVal intLoggingLevel, ByVal boolCriticalError)

         Dim intTextMessageLength

         On Error Resume Next

         Select Case intLoggingLevel
                Case cLoggingLevel1
                     intTextMessageLength = Len (strTextMessage) + Len ("ERROR: ")
                Case cLoggingLevel2
                     intTextMessageLength = Len (strTextMessage) + Len ("WARNING: ")
                Case Else
                     intTextMessageLength = Len (strTextMessage)
         End Select 

         If intTextMessageLength > 100 Then strTextMessage = Left (strTextMessage, 100) & ">..."

         strTextMessage = strTextMessage & ": " 

         If Right (strStatus, 1) = "!" Then 
            strTextMessage = strTextMessage & String (115 - intTextMessageLength, ".") & " " & strStatus
         Else
            strTextMessage = strTextMessage & String (115 - intTextMessageLength, ".") & " " & strStatus & "."
         End If

         WriteToLogFile objWriteFileHandle, strTextMessage, intLoggingLevel, boolCriticalError

End Function

' -----------------------------------------------------------------------------------------------------------------------
Function arrayWriteToLogFile (ByVal objWriteFileHandle, ByVal strTab, ByVal arrayTextMessage, ByVal intLoggingLevel, ByVal boolCriticalError)

         Dim strTextMessage

         On Error Resume Next

         For Each strTextMessage In arrayTextMessage
             arrayWriteToLogFile = WriteToLogFile (objWriteFileHandle, strTab & strTextMessage, intLoggingLevel, boolCriticalError)
         Next

End Function

' -----------------------------------------------------------------------------------------------------------------------
Function WriteToLogFile (ByVal objWriteFileHandle, ByVal strTextMessage, ByVal intLoggingLevel, ByVal boolCriticalError)
 
         On Error Resume Next

         If boolLoggingDebug = True Then 
            If (intLoggingLevel And cLoggingDebug) = cLoggingDebug Then
               intLoggingLevel = (Not cLoggingDebug) And intLoggingLevel
            End If
         Else
            If (intLoggingLevel And cLoggingDebug) = cLoggingDebug Then
               intLoggingLevel = cLoggingDisabled
            End If
         End If

         If intLoggingLevel <> cLoggingDisabled Then
            Select Case (intLoggingLevel)
                   Case 0
                        strTextMessage = "** " & strTextMessage
                   Case 1
                        strTextMessage = "!! " & "ERROR: " & strTextMessage
                        longErrorCounter = longErrorCounter + 1
                   Case 2
                        strTextMessage = "!! " & "WARNING: " & strTextMessage
                        longWarningCounter = longWarningCounter + 1
                   Case Else
                        strTextMessage = Space ((intLoggingLevel - 1 )* 2 - 1) & strTextMessage
            End Select
   
            If Not IsNull(objWriteFileHandle) Then
               longLogLineCounter = longLogLineCounter + 1
    
               objWriteFileHandle.WriteLine Right ("....." & longLogLineCounter, 5) & " " & _
                                            Right ("00" & Hour (Time), 2) & ":" & _
                                            Right ("00" & Minute (Time), 2) & ":" & _
                                            Right ("00" & Second (Time), 2) & _
                                            " (" & intLoggingLevel & ") " & strTextMessage

               If (boolWTTLogging = True) And (intLoggingLevel = 1 Or intLoggingLevel = 2) Then
                  TraceWTTMessage (Right ("....." & longLogLineCounter, 5) & " " & _
                                         Right ("00" & Hour (Time), 2) & ":" & _
                                         Right ("00" & Minute (Time), 2) & ":" & _
                                         Right ("00" & Second (Time), 2) & _
                                         " (" & intLoggingLevel & ") " & strTextMessage)                                       
               End If              

               If Err.Number Then Err.Clear

               WriteToLogFile = longLogLineCounter
            End If
    
            If intLoggingLevel =< intDefaultLoggingLevel Or boolCriticalError Then
               If boolNoEcho = False Or boolCriticalError = True Then  
                  objStdOut.WriteLine "(" & intLoggingLevel & ") " & strTextMessage
               End If
    
               If boolEventLog Then 
                  If intLoggingLevel > 2 Then 
                     objWshShell.LogEvent 4, "(" & intLoggingLevel & ") " & Trim (strTextMessage)
                  Else
                     objWshShell.LogEvent intLoggingLevel, Trim (strTextMessage)
                  End If
               End If
            End If
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function CountWMIErrorMessage (ByVal strWMIError)

         Dim intIndex, boolFound
         Dim strWBEMCode, strWBEMMessage

         On Error Resume Next

         boolFound = False

         For intIndex = 0 To UBound (WBEMError)
             If WBEMError (intIndex).WBEMError = strWMIError Then
                boolFound = True
                Exit For
             End If
         Next 

         If boolFound = True Then
            WBEMError (intIndex).WBEMCounter = WBEMError (intIndex).WBEMCounter + 1
         Else
            intIndex = UBound (WBEMError) 
            WBEMError (intIndex).WBEMCounter = 1
            WBEMError (intIndex).WBEMError = strWMIError

            GetWMIErrorMessage strWMIError, strWBEMCode, strWBEMMessage

            WBEMError (intIndex).WBEMCode = strWBEMCode
            WBEMError (intIndex).WBEMMessage = strWBEMMessage

            ReDim Preserve WBEMError (intIndex + 1)
            Set WBEMError (intIndex + 1) = new ClassWBEMError
         End If

End Function

' --------------------------------------------------------------------------------------------------------
Function GetWMIErrorMessage (ByVal strWMIError, ByRef WBEMCode, ByRef WBEMMessage)

         On Error Resume Next

         Select Case strWMIError
                Case "0x80041001"
                     WBEMCode = "WBEM_E_FAILED"
                     WBEMMessage = "Call failed"
                Case "0x80041002"
                     WBEMCode = "WBEM_E_NOT_FOUND"
                     WBEMMessage = "Object cannot be found"
                Case "0x80041003"
                     WBEMCode = "WBEM_E_ACCESS_DENIED"
                     WBEMMessage = "Current user does not have permission to perform the action"
                Case "0x80041004"
                     WBEMCode = "WBEM_E_PROVIDER_FAILURE"
                     WBEMMessage = "Provider has failed at some time other than during initialization"
                Case "0x80041005"
                     WBEMCode = "WBEM_E_TYPE_MISMATCH"
                     WBEMMessage = "Type mismatch occurred"
                Case "0x80041006"
                     WBEMCode = "WBEM_E_OUT_OF_MEMORY"
                     WBEMMessage = "Not enough memory for the operation"
                Case "0x80041007"
                     WBEMCode = "WBEM_E_INVALID_CONTEXT"
                     WBEMMessage = "The IWbemContext object is not valid"
                Case "0x80041008"
                     WBEMCode = "WBEM_E_INVALID_PARAMETER"
                     WBEMMessage = "One of the parameters to the call is not correct"
                Case "0x80041009"
                     WBEMCode = "WBEM_E_NOT_AVAILABLE"
                     WBEMMessage = "Resource typically a remote server is not currently available" 
                Case "0x8004100A"
                     WBEMCode = "WBEM_E_CRITICAL_ERROR"
                     WBEMMessage = "Internal critical and unexpected error occurred." 
                Case "0x8004100B"
                     WBEMCode = "WBEM_E_INVALID_STREAM"
                     WBEMMessage = "One or more network packets were corrupted during a remote session"
                Case "0x8004100C"
                     WBEMCode = "WBEM_E_NOT_SUPPORTED"
                     WBEMMessage = "Feature or operation is not supported"
                Case "0x8004100D"
                     WBEMCode = "WBEM_E_INVALID_SUPERCLASS"
                     WBEMMessage = "Parent class specified is not valid"
                Case "0x8004100E"
                     WBEMCode = "WBEM_E_INVALID_NAMESPACE"
                     WBEMMessage = "Namespace specified cannot be found"
                Case "0x8004100F"
                     WBEMCode = "WBEM_E_INVALID_OBJECT"
                     WBEMMessage = "Specified instance is not valid"
                Case "0x80041010"
                     WBEMCode = "WBEM_E_INVALID_CLASS"
                     WBEMMessage = "Specified class is not valid"
                Case "0x80041011"
                     WBEMCode = "WBEM_E_PROVIDER_NOT_FOUND"
                     WBEMMessage = "Provider referenced in the schema does not have a corresponding registration"
                Case "0x80041012"
                     WBEMCode = "WBEM_E_INVALID_PROVIDER_REGISTRATION"
                     WBEMMessage = "Provider referenced in the schema has an incorrect or incomplete registration"
                Case "0x80041013"
                     WBEMCode = "WBEM_E_PROVIDER_LOAD_FAILURE"
                     WBEMMessage = "COM cannot locate a provider referenced in the schema"
                Case "0x80041014"
                     WBEMCode = "WBEM_E_INITIALIZATION_FAILURE"
                     WBEMMessage = "Component such as a provider failed to initialize for internal reasons" 
                Case "0x80041015"
                     WBEMCode = "WBEM_E_TRANSPORT_FAILURE"
                     WBEMMessage = "Networking error that prevents normal operation has occurred"
                Case "0x80041016"
                     WBEMCode = "WBEM_E_INVALID_OPERATION"
                     WBEMMessage = "Requested operation is not valid. This error usually applies to invalid attempts to delete classes or properties"
                Case "0x80041017"
                     WBEMCode = "WBEM_E_INVALID_QUERY"
                     WBEMMessage = "Query was not syntactically valid"
                Case "0x80041018"
                     WBEMCode = "WBEM_E_INVALID_QUERY_TYPE"
                     WBEMMessage = "Requested query language is not supported"
                Case "0x80041019"
                     WBEMCode = "WBEM_E_ALREADY_EXISTS"
                     WBEMMessage = "In a put operation the wbemChangeFlagCreateOnly flag was specified but the instance already exists" 
                Case "0x8004101A"
                     WBEMCode = "WBEM_E_OVERRIDE_NOT_ALLOWED"
                     WBEMMessage = "Not possible to perform the add operation on this qualifier because the owning object does not permit overrides"
                Case "0x8004101B"
                     WBEMCode = "WBEM_E_PROPAGATED_QUALIFIER"
                     WBEMMessage = "User attempted to delete a qualifier that was not owned. The qualifier was inherited from a parent class"
                Case "0x8004101C"
                     WBEMCode = "WBEM_E_PROPAGATED_PROPERTY"
                     WBEMMessage = "User attempted to delete a property that was not owned. The property was inherited from a parent class"
                Case "0x8004101D"
                     WBEMCode = "WBEM_E_UNEXPECTED"
                     WBEMMessage = "Client made an unexpected and illegal sequence of calls such as calling EndEnumeration before calling BeginEnumeration"
                Case "0x8004101E"
                     WBEMCode = "WBEM_E_ILLEGAL_OPERATION"
                     WBEMMessage = "User requested an illegal operation such as spawning a class from an instance"
                Case "0x8004101F"
                     WBEMCode = "WBEM_E_CANNOT_BE_KEY"
                     WBEMMessage = "Illegal attempt to specify a key qualifier on a property that cannot be a key"
                Case "0x80041020"
                     WBEMCode = "WBEM_E_INCOMPLETE_CLASS"
                     WBEMMessage = "Current object is not a valid class definition. Either it is incomplete or it has not been registered"
                Case "0x80041021"
                     WBEMCode = "WBEM_E_INVALID_SYNTAX"
                     WBEMMessage = "Query is syntactically invalid"
                Case "0x80041022"
                     WBEMCode = "WBEM_E_NONDECORATED_OBJECT"
                     WBEMMessage = "Reserved for future use"
                Case "0x80041023"
                     WBEMCode = "WBEM_E_READ_ONLY"
                     WBEMMessage = "An attempt was made to modify a read-only property"
                Case "0x80041024"
                     WBEMCode = "WBEM_E_PROVIDER_NOT_CAPABLE"
                     WBEMMessage = "Provider cannot perform the requested operation"
                Case "0x80041025"
                     WBEMCode = "WBEM_E_CLASS_HAS_CHILDREN"
                     WBEMMessage = "Attempt was made to make a change that invalidates a subclass"
                Case "0x80041026"
                     WBEMCode = "WBEM_E_CLASS_HAS_INSTANCES"
                     WBEMMessage = "Attempt was made to delete or modify a class that has instances"
                Case "0x80041027"
                     WBEMCode = "WBEM_E_QUERY_NOT_IMPLEMENTED"
                     WBEMMessage = "Reserved for future use"
                Case "0x80041028"
                     WBEMCode = "WBEM_E_ILLEGAL_NULL"
                     WBEMMessage = "Value of Nothing/NULL was specified for a property that must have a value"
                Case "0x80041029"
                     WBEMCode = "WBEM_E_INVALID_QUALIFIER_TYPE"
                     WBEMMessage = "Variant value for a qualifier was provided that is not a legal qualifier type"
                Case "0x8004102A"
                     WBEMCode = "WBEM_E_INVALID_PROPERTY_TYPE"
                     WBEMMessage = "CIM type specified for a property is not valid"
                Case "0x8004102B"
                     WBEMCode = "WBEM_E_VALUE_OUT_OF_RANGE"
                     WBEMMessage = "Request was made with an out-of-range value or it is incompatible with the type"
                Case "0x8004102C"
                     WBEMCode = "WBEM_E_CANNOT_BE_SINGLETON"
                     WBEMMessage = "Illegal attempt was made to make a class singleton such as when the class is derived from a non-singleton class" 
                Case "0x8004102D"
                     WBEMCode = "WBEM_E_INVALID_CIM_TYPE"
                     WBEMMessage = "CIM type specified is invalid"
                Case "0x8004102E"
                     WBEMCode = "WBEM_E_INVALID_METHOD"
                     WBEMMessage = "Requested method is not available"
                Case "0x8004102F"
                     WBEMCode = "WBEM_E_INVALID_METHOD_PARAMETERS"
                     WBEMMessage = "Parameters provided for the method are invalid"
                Case "0x80041030"
                     WBEMCode = "WBEM_E_SYSTEM_PROPERTY"
                     WBEMMessage = "There was an attempt to get qualifiers on a system property"
                Case "0x80041031"
                     WBEMCode = "WBEM_E_INVALID_PROPERTY"
                     WBEMMessage = "Property type is not recognized"
                Case "0x80041032"
                     WBEMCode = "WBEM_E_CALL_CANCELLED"
                     WBEMMessage = "Asynchronous process has been canceled"
                Case "0x80041033"
                     WBEMCode = "WBEM_E_SHUTTING_DOWN"
                     WBEMMessage = "User has requested an operation while WMI is in the process of shutting down"
                Case "0x80041034"
                     WBEMCode = "WBEM_E_PROPAGATED_METHOD"
                     WBEMMessage = "Attempt was made to reuse an existing method name from a parent class and the signatures do not match"
                Case "0x80041035"
                     WBEMCode = "WBEM_E_UNSUPPORTED_PARAMETER"
                     WBEMMessage = "One or more parameter values such as a query text is too complex or unsupported"
                Case "0x80041036"
                     WBEMCode = "WBEM_E_MISSING_PARAMETER_ID"
                     WBEMMessage = "Parameter was missing from the method call"
                Case "0x80041037"
                     WBEMCode = "WBEM_E_INVALID_PARAMETER_ID"
                     WBEMMessage = "Method parameter has an invalid ID qualifier"
                Case "0x80041038"
                     WBEMCode = "WBEM_E_NONCONSECUTIVE_PARAMETER_IDS"
                     WBEMMessage = "One or more of the method parameters have ID qualifiers that are out of sequence"
                Case "0x80041039"
                     WBEMCode = "WBEM_E_PARAMETER_ID_ON_RETVAL"
                     WBEMMessage = "Return value for a method has an ID qualifier"
                Case "0x8004103A"
                     WBEMCode = "WBEM_E_INVALID_OBJECT_PATH"
                     WBEMMessage = "Specified object path was invalid"
                Case "0x8004103B"
                     WBEMCode = "WBEM_E_OUT_OF_DISK_SPACE"
                     WBEMMessage = "Disk is out of space or the 4 GB limit on WMI repository (WMI repository) size is reached"
                Case "0x8004103C"
                     WBEMCode = "WBEM_E_BUFFER_TOO_SMALL"
                     WBEMMessage = "Supplied buffer was too small to hold all of the objects in the enumerator or to read a string property"
                Case "0x8004103D"
                     WBEMCode = "WBEM_E_UNSUPPORTED_PUT_EXTENSION"
                     WBEMMessage = "Provider does not support the requested put operation"
                Case "0x8004103E"
                     WBEMCode = "WBEM_E_UNKNOWN_OBJECT_TYPE"
                     WBEMMessage = "Object with an incorrect type or version was encountered during marshaling"
                Case "0x8004103F"
                     WBEMCode = "WBEM_E_UNKNOWN_PACKET_TYPE"
                     WBEMMessage = "Packet with an incorrect type or version was encountered during marshaling"
                Case "0x80041040"
                     WBEMCode = "WBEM_E_MARSHAL_VERSION_MISMATCH"
                     WBEMMessage = "Packet has an unsupported version"
                Case "0x80041041"
                     WBEMCode = "WBEM_E_MARSHAL_INVALID_SIGNATURE"
                     WBEMMessage = "Packet appears to be corrupt"
                Case "0x80041042"
                     WBEMCode = "WBEM_E_INVALID_QUALIFIER"
                     WBEMMessage = "Attempt was made to mismatch qualifiers such as putting [key] on an object instead of a property" 
                Case "0x80041043"
                     WBEMCode = "WBEM_E_INVALID_DUPLICATE_PARAMETER"
                     WBEMMessage = "Duplicate parameter was declared in a CIM method"
                Case "0x80041044"
                     WBEMCode = "WBEM_E_TOO_MUCH_DATA"
                     WBEMMessage = "Reserved for future use"
                Case "0x80041045"
                     WBEMCode = "WBEM_E_SERVER_TOO_BUSY"
                     WBEMMessage = "Call to IWbemObjectSink::Indicate has failed. The provider can refire the event"
                Case "0x80041046"
                     WBEMCode = "WBEM_E_INVALID_FLAVOR"
                     WBEMMessage = "Specified qualifier flavor was invalid"
                Case "0x80041047"
                     WBEMCode = "WBEM_E_CIRCULAR_REFERENCE"
                     WBEMMessage = "Attempt was made to create a reference that is circular (for example deriving a class from itself)" 
                Case "0x80041048"
                     WBEMCode = "WBEM_E_UNSUPPORTED_CLASS_UPDATE"
                     WBEMMessage = "Specified class is not supported"
                Case "0x80041049"
                     WBEMCode = "WBEM_E_CANNOT_CHANGE_KEY_INHERITANCE"
                     WBEMMessage = "Attempt was made to change a key when instances or subclasses are already using the key"
                Case "0x80041050"
                     WBEMCode = "WBEM_E_CANNOT_CHANGE_INDEX_INHERITANCE"
                     WBEMMessage = "An attempt was made to change an index when instances or subclasses are already using the index"
                Case "0x80041051"
                     WBEMCode = "WBEM_E_TOO_MANY_PROPERTIES"
                     WBEMMessage = "Attempt was made to create more properties than the current version of the class supports"
                Case "0x80041052"
                     WBEMCode = "WBEM_E_UPDATE_TYPE_MISMATCH"
                     WBEMMessage = "Property was redefined with a conflicting type in a derived class"
                Case "0x80041053"
                     WBEMCode = "WBEM_E_UPDATE_OVERRIDE_NOT_ALLOWED"
                     WBEMMessage = "Attempt was made in a derived class to override a qualifier that cannot be overridden"
                Case "0x80041054"
                     WBEMCode = "WBEM_E_UPDATE_PROPAGATED_METHOD"
                     WBEMMessage = "Method was re-declared with a conflicting signature in a derived class"
                Case "0x80041055"
                     WBEMCode = "WBEM_E_METHOD_NOT_IMPLEMENTED"
                     WBEMMessage = "Attempt was made to execute a method not marked with [implemented] in any relevant class"
                Case "0x80041056"
                     WBEMCode = "WBEM_E_METHOD_DISABLED"
                     WBEMMessage = "Attempt was made to execute a method marked with [disabled]"
                Case "0x80041057"
                     WBEMCode = "WBEM_E_REFRESHER_BUSY"
                     WBEMMessage = "Refresher is busy with another operation"
                Case "0x80041058"
                     WBEMCode = "WBEM_E_UNPARSABLE_QUERY"
                     WBEMMessage = "Filtering query is syntactically invalid"
                Case "0x80041059"
                     WBEMCode = "WBEM_E_NOT_EVENT_CLASS"
                     WBEMMessage = "The FROM clause of a filtering query references a class that is not an event class (not derived from __Event)"
                Case "0x8004105A"
                     WBEMCode = "WBEM_E_MISSING_GROUP_WITHIN"
                     WBEMMessage = "A GROUP BY clause was used without the corresponding GROUP WITHIN clause"
                Case "0x8004105B"
                     WBEMCode = "WBEM_E_MISSING_AGGREGATION_LIST"
                     WBEMMessage = "A GROUP BY clause was used. Aggregation on all properties is not supported"
                Case "0x8004105C"
                     WBEMCode = "WBEM_E_PROPERTY_NOT_AN_OBJECT"
                     WBEMMessage = "Dot notation was used on a property that is not an embedded object"
                Case "0x8004105D"
                     WBEMCode = "WBEM_E_AGGREGATING_BY_OBJECT"
                     WBEMMessage = "A GROUP BY clause references a property that is an embedded object without using dot notation"
                Case "0x8004105F"
                     WBEMCode = "WBEM_E_UNINTERPRETABLE_PROVIDER_QUERY"
                     WBEMMessage = "Event provider registration query (__EventProviderRegistration) did not specify the classes for which events were provided"
                Case "0x80041060"
                     WBEMCode = "WBEM_E_BACKUP_RESTORE_WINMGMT_RUNNING"
                     WBEMMessage = "Request was made to back up or restore the WMI repository while it was in use by WinMgmt.exe or in Windows XP or later the SVCHOST process that contains the Windows Management service" 
                Case "0x80041061"
                     WBEMCode = "WBEM_E_QUEUE_OVERFLOW"
                     WBEMMessage = "Asynchronous delivery queue overflowed from the event consumer being too slow"
                Case "0x80041062"
                     WBEMCode = "WBEM_E_PRIVILEGE_NOT_HELD"
                     WBEMMessage = "Operation failed because the client did not have the necessary security privilege"
                Case "0x80041063"
                     WBEMCode = "WBEM_E_INVALID_OPERATOR"
                     WBEMMessage = "Operator is invalid for this property type"
                Case "0x80041064"
                     WBEMCode = "WBEM_E_LOCAL_CREDENTIALS"
                     WBEMMessage = "User specified a username/password/authority on a local connection. The user must use a blank username/password and rely on default security"
                Case "0x80041065"
                     WBEMCode = "WBEM_E_CANNOT_BE_ABSTRACT"
                     WBEMMessage = "Class was made abstract when its parent class is not abstract"
                Case "0x80041066"
                     WBEMCode = "WBEM_E_AMENDED_OBJECT"
                     WBEMMessage = "Amended object was written without the WBEM_FLAG_USE_AMENDED_QUALIFIERS flag being specified"
                Case "0x80041067"
                     WBEMCode = "WBEM_E_CLIENT_TOO_SLOW"
                     WBEMMessage = "Client did not retrieve objects quickly enough from an enumeration"
                Case "0x80041068"
                     WBEMCode = "WBEM_E_NULL_SECURITY_DESCRIPTOR"
                     WBEMMessage = "Null security descriptor was used"
                Case "0x80041069"
                     WBEMCode = "WBEM_E_TIMED_OUT"
                     WBEMMessage = "Operation timed out"
                Case "0x8004106A"
                     WBEMCode = "WBEM_E_INVALID_ASSOCIATION"
                     WBEMMessage = "Association is invalid"
                Case "0x8004106B"
                     WBEMCode = "WBEM_E_AMBIGUOUS_OPERATION"
                     WBEMMessage = "Operation was ambiguous"
                Case "0x8004106C"
                     WBEMCode = "WBEM_E_QUOTA_VIOLATION"
                     WBEMMessage = "WMI is taking up too much memory" 
                Case "0x8004106D"
                     WBEMCode = "WBEM_E_TRANSACTION_CONFLICT"
                     WBEMMessage = "Operation resulted in a transaction conflict"
                Case "0x8004106E"
                     WBEMCode = "WBEM_E_FORCED_ROLLBACK"
                     WBEMMessage = "Transaction forced a rollback"
                Case "0x8004106F"
                     WBEMCode = "WBEM_E_UNSUPPORTED_LOCALE"
                     WBEMMessage = "Locale used in the call is not supported"
                Case "0x80041070"
                     WBEMCode = "WBEM_E_HANDLE_OUT_OF_DATE"
                     WBEMMessage = "Object handle is out-of-date"
                Case "0x80041071"
                     WBEMCode = "WBEM_E_CONNECTION_FAILED"
                     WBEMMessage = "Connection to the SQL database failed"
                Case "0x80041072"
                     WBEMCode = "WBEM_E_INVALID_HANDLE_REQUEST"
                     WBEMMessage = "Handle request was invalid"
                Case "0x80041073"
                     WBEMCode = "WBEM_E_PROPERTY_NAME_TOO_WIDE"
                     WBEMMessage = "Property name contains more than 255 characters"
                Case "0x80041074"
                     WBEMCode = "WBEM_E_CLASS_NAME_TOO_WIDE"
                     WBEMMessage = "Class name contains more than 255 characters"
                Case "0x80041075"
                     WBEMCode = "WBEM_E_METHOD_NAME_TOO_WIDE"
                     WBEMMessage = "Method name contains more than 255 characters"
                Case "0x80041076"
                     WBEMCode = "WBEM_E_QUALIFIER_NAME_TOO_WIDE"
                     WBEMMessage = "Qualifier name contains more than 255 characters"
                Case "0x80041077"
                     WBEMCode = "WBEM_E_RERUN_COMMAND"
                     WBEMMessage = "The SQL command must be rerun because there is a deadlock in SQL"
                Case "0x80041078"
                     WBEMCode = "WBEM_E_DATABASE_VER_MISMATCH"
                     WBEMMessage = "Database version does not match the version that the WMI repository driver understands"
                Case "0x80041079"
                     WBEMCode = "WBEM_E_VETO_DELETE"
                     WBEMMessage = "WMI cannot execute the delete operation because the provider does not allow it"
                Case "0x8004107A"
                     WBEMCode = "WBEM_E_VETO_PUT"
                     WBEMMessage = "WMI cannot execute the put operation because the provider does not allow it"
                Case "0x80041080"
                     WBEMCode = "WBEM_E_INVALID_LOCALE"
                     WBEMMessage = "Specified locale identifier was invalid for the operation"
                Case "0x80041081"
                     WBEMCode = "WBEM_E_PROVIDER_SUSPENDED"
                     WBEMMessage = "Provider is suspended"
                Case "0x80041082"
                     WBEMCode = "WBEM_E_SYNCHRONIZATION_REQUIRED"
                     WBEMMessage = "Object must be written to the WMI repository and retrieved again before the requested operation can succeed"
                Case "0x80041083"
                     WBEMCode = "WBEM_E_NO_SCHEMA"
                     WBEMMessage = "Operation cannot be completed; no schema is available"
                Case "0x80041084"
                     WBEMCode = "WBEM_E_PROVIDER_ALREADY_REGISTERED"
                     WBEMMessage = "Provider cannot be registered because it is already registered"
                Case "0x80041085"
                     WBEMCode = "WBEM_E_PROVIDER_NOT_REGISTERED"
                     WBEMMessage = "Provider was not registered"
                Case "0x80041086"
                     WBEMCode = "WBEM_E_FATAL_TRANSPORT_ERROR"
                     WBEMMessage = "Fatal transport error occurred"
                Case "0x80041087"
                     WBEMCode = "WBEM_E_ENCRYPTED_CONNECTION_REQUIRED"
                     WBEMMessage = "User attempted to set a computer name or domain without an encrypted connection"
                Case "0x80041088"
                     WBEMCode = "WBEM_E_PROVIDER_TIMED_OUT"
                     WBEMMessage = "A provider failed to report results within the specified timeout"
                Case "0x80041089"
                     WBEMCode = "WBEM_E_NO_KEY"
                     WBEMMessage = "User attempted to put an instance with no defined key"
                Case "0x8004108A"
                     WBEMCode = "WBEM_E_PROVIDER_DISABLED"
                     WBEMMessage = "User attempted to register a provider instance but the COM server for the provider instance was unloaded"
                Case "0x80042003"
                     WBEMCode = "WBEMESS_E_AUTHZ_NOT_PRIVILEGED"
                     WBEMMessage = "This computer does not have the necessary domain permissions to support the security functions that relate to the created subscription instance. Contact the Domain Administrator to get this computer added to the Windows Authorization Access Group" 
                Case "0x80042001"
                     WBEMCode = "WBEMESS_E_REGISTRATION_TOO_BROAD"
                     WBEMMessage = "Provider registration overlaps with the system event domain"
                Case "0x80042002"
                     WBEMCode = "WBEMESS_E_REGISTRATION_TOO_PRECISE"
                     WBEMMessage = "A WITHIN clause was not used in this query" 
                Case "0x80043001"
                     WBEMCode = "WBEM_E_RETRY_LATER"
                     WBEMMessage = "Reserved for future use" 
                Case "0x80043002"
                     WBEMCode = "WBEM_E_RESOURCE_CONTENTION"
                     WBEMMessage = "Reserved for future use" 
                Case Else
                     WBEMCode = "WBEM_UNKNOWN"
                     WBEMMessage = "This error code is external to WMI." 
            End Select

End Function

' --------------------------------------------------------------------------------------------------------
Function InitializeWMISystemInformation (ByVal objLOGFileHandle)

        On Error Resume Next

        WriteToLogFile objLOGFileHandle, "Initializing WMI System Information.", cLoggingLevel0, False

     	Select Case RunTimeEnvironmentInfo.OSIdentifier
               Case cWindows2000RTM, cWindows2000SP1, cWindows2000SP2, cWindows2000SP3, cWindows2000SP4
                    If RunTimeEnvironmentInfo.IsServerOS Then 

                       arrayWMIDCOMDataList = Array (_
                                                     "%SystemRoot%\System32\WBEM\", "smi2smir.exe", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "mofcomp.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "scrcons.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "unsecapp.exe", False, Array ("\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}"),_
                                                     "%SystemRoot%\System32\WBEM\", "wbemtest.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "winmgmt.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "cimw32ex.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "cimwin32.dll", False, Array ("\CLSID\{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", _
                                                                                                                  "\CLSID\{D63A5850-8F16-11CF-9F47-00AA00BF345C}"), _
                                                     "%SystemRoot%\System32\WBEM\", "dsprov.dll", False, Array ("\CLSID\{1EF94880-01A8-11D2-A90B-00AA00BF3363}", _
                                                                                                                "\CLSID\{33831ED4-42B8-11D2-93AD-00805F853771}", _
                                                                                                                "\CLSID\{AA527A40-4D9A-11D2-93AD-00805F853771}"), _
                                                     "%SystemRoot%\System32\WBEM\", "fastprox.dll", False, Array ("\CLSID\{1B1CAD8C-2DAB-11D2-B604-00104B703EFD}", _
                                                                                                                  "\CLSID\{29B5828C-CAB9-11D2-B35C-00105A1F8177}", _
                                                                                                                  "\CLSID\{4590F812-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                                  "\CLSID\{674B6698-EE92-11D0-AD71-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{6C19BE35-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{7016F8FA-CCDA-11D2-B35C-00105A1F8177}", _
                                                                                                                  "\CLSID\{71285C44-1DC0-11D2-B5FB-00104B703EFD}", _
                                                                                                                  "\CLSID\{7A0227F6-7108-11D1-AD90-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{C71566F2-561E-11D1-AD87-00C04FD8FDFF}"), _
                                                     "%SystemRoot%\System32\WBEM\", "framedyn.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "mofd.dll", False, Array ("\CLSID\{6DAF9757-2E37-11D2-AEC9-00C04FB68820}", _
                                                                                                              "\CLSID\{C10B4771-4DA0-11D2-A2F5-00C04F86FB7D}"), _
                                                     "%SystemRoot%\System32\WBEM\", "ntevt.dll", False, Array ("\CLSID\{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", _
                                                                                                               "\CLSID\{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "provthrd.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "secrcw32.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "smtpcons.dll", False, Array ("\CLSID\{C7A3A54B-0250-11D3-9CD1-00105A1F4801}"), _
                                                     "%SystemRoot%\System32\WBEM\", "stdprov.dll", False, Array ("\CLSID\{72967901-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                                 "\CLSID\{72967903-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                                 "\CLSID\{F00B4404-F8F1-11CE-A5B6-00AA00680C3F}", _
                                                                                                                 "\CLSID\{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", _
                                                                                                                 "\CLSID\{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}"), _
                                                     "%SystemRoot%\System32\WBEM\", "viewprov.dll", False, Array ("\CLSID\{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemads.dll", False, Array ("\CLSID\{F0975AFE-5C7F-11D2-8B74-00104B2AFB41}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemads.tlb", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wbemcntl.dll", False, Array ("\CLSID\{5C659257-E236-11D2-8899-00104B2AFB46}", _
                                                                                                                  "\CLSID\{5C659258-E236-11D2-8899-00104B2AFB46}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemcomn.dll", False, Array ("\CLSID\{9A653086-174F-11D2-B5F9-00104B703EFD}", _
                                                                                                                  "\CLSID\{EB87E1BD-3233-11D2-AEC9-00C04FB68820}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemcore.dll", False, Array ("\CLSID\{443E7B79-DE31-11D2-B340-00104BCC4B4A}", _
                                                                                                                  "\CLSID\{4FA18276-912A-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", _
                                                                                                                  "\CLSID\{CB8555CC-9128-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{CD184336-9128-11D1-AD9B-00C04FD8FDFF}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemdisp.dll", False, Array ("\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}", _
                                                                                                                  "\CLSID\{5791BC26-CE9C-11D1-97BF-0000F81E849C}", _
                                                                                                                  "\CLSID\{75718C9A-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                                  "\CLSID\{76A64158-CB41-11D1-8B02-00600806D9B6}", _
                                                                                                                  "\CLSID\{9AED384E-CE8B-11D1-8B05-00600806D9B6}", _
                                                                                                                  "\CLSID\{C2FEEEAC-CFCD-11D1-8B05-00600806D9B6}", _
                                                                                                                  "\Interface\{75718C9F-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                                  "\Interface\{75718CA0-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                                  "\Interface\{D962DB84-D4BB-11D1-8B09-00600806D9B6}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemdisp.tlb", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wbemess.dll", False, Array ("\CLSID\{5D08B586-343A-11D0-AD46-00C04FD8FDFF}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemperf.dll", False, Array ("\CLSID\{FF37A93C-C28E-11D1-AEB6-00C04FB68820}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemprox.dll", False, Array ("\CLSID\{4590F811-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                                  "\CLSID\{A1044801-8F7E-11D1-9E7C-00C04FC324A8}", _
                                                                                                                  "\CLSID\{F7CE2E13-8C90-11D1-9E7B-00C04FC324A8}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemsvc.dll", False, Array ("\CLSID\{7C857801-7381-11CF-884D-00AA004B2E24}", _
                                                                                                                 "\Interface\{1BE41571-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                                 "\Interface\{1BE41572-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                                 "\Interface\{1C1C45EE-4395-11D2-B60B-00104B703EFD}", _
                                                                                                                 "\Interface\{1CFABA8C-1523-11D1-AD79-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{2C9273E0-1DC3-11D3-B364-00105A1F8177}", _
                                                                                                                 "\Interface\{37196B38-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                                 "\Interface\{37196B39-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                                 "\Interface\{423EC01E-2E35-11D2-B604-00104B703EFD}", _
                                                                                                                 "\Interface\{44ACA675-E8FC-11D0-A07C-00C04FB68820}", _
                                                                                                                 "\Interface\{580ACAF8-FA1C-11D0-AD72-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{60E512D4-C47B-11D2-B338-00105A1F4AAF}", _
                                                                                                                 "\Interface\{631F7D96-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                                 "\Interface\{631F7D97-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                                 "\Interface\{6C19BE32-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{6C19BE34-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{755F9DA7-7508-11D1-AD94-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{C49E32C7-BC8B-11D2-85D4-00105A1F8304}", _
                                                                                                                 "\Interface\{E245105B-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{E246107A-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{F1E9C5B2-F59B-11D2-B362-00105A1F8177}", _
                                                                                                                 "\Interface\{F309AD18-D86A-11D0-A075-00C04FB68820}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemupgd.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "winmgmtr.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wlbsprov.dll", False, Array ("\CLSID\{FB223274-D72E-11D2-A420-00C04F68FE28}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmiprov.dll", False, Array ("\CLSID\{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", _
                                                                                                                 "\CLSID\{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}"), _
                                                     "%SystemRoot%\System32\WBEM\", "msiprov.dll", False, Array ("\CLSID\{BE0A9830-2B8B-11D1-A949-0060181EBBAD}"), _
                                                     "%SystemRoot%\System32\WBEM\", "snmpcl.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "snmpincl.dll", True, Array ("\CLSID\{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", _
                                                                                                                 "\CLSID\{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", _
                                                                                                                 "\CLSID\{70426720-F78F-11CF-9151-00AA00A4086C}", _
                                                                                                                 "\CLSID\{9D5BED16-0765-11D1-AB2C-00C04FD9159E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "snmpsmir.dll", True, Array ("\CLSID\{5009AB90-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                 "\CLSID\{5009AB92-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                 "\CLSID\{5009AB94-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                 "\CLSID\{5009AB9B-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                 "\CLSID\{B11B26AC-A791-11D0-AAEA-00A024E8AD1C}", _
                                                                                                                 "\CLSID\{B11B26AE-A791-11D0-AAEA-00A024E8AD1C}"), _
                                                     "%SystemRoot%\System32\WBEM\", "snmpthrd.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmiutils.dll", True, Array ("\CLSID\{CF4CC405-E2C5-4DDD-B3CE-5E7582D8C9FA}", _
                                                                                                                 "\CLSID\{EAC8A024-21E2-4523-AD73-A71A0AA2F56A}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemdc.dll", True, Array ("\CLSID\{6919DD07-1637-4611-A8A7-C16FAC5B2D53}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmidcad.dll", True, Array ("\CLSID\{4cfc7932-0f9d-4bef-9c32-8ea2a6b56fcb}", _
                                                                                                                "\CLSID\{54D8502C-527D-43f7-A506-A9DA075E229C}", _
                                                                                                                "\CLSID\{f5f75737-2843-4f22-933d-c76a97cda62f}") _
                                                    )

                           arrayWMITestList = Array (_
                                                     "Root", _
                                                           True, _
                                                           Null, _
                                                           Null, _
                                                           Array (cWarning, "__ObjectProviderCacheControl", "@",        Array ("ClearAfter", "00000000000200.000000:000"), _
                                                                  cWarning, "__PropertyProviderCacheControl", "@",      Array ("ClearAfter", "00000000000200.000000:000"), _
                                                                  cWarning, "__EventProviderCacheControl", "@",         Array ("ClearAfter", "00000000000010.000000:000"), _
                                                                  cWarning, "__EventConsumerProviderCacheControl", "@", Array ("ClearAfter", "00000000000010.000000:000"), _
                                                                  cWarning, "__EventSinkCacheControl", "@",             Array ("ClearAfter", "00000000000010.000000:000") _
                                                                 ), _
                                                     "Root/Default", _
                                                           True, _
                                                           Null, _
                                                           Null, _
                                                           Null, _
                                                     "Root/CIMv2", _
                                                           True, _
                                                           Array (cCritical, "Win32_Process", _
                                                                  cCritical, "Win32_OperatingSystem", _
                                                                  cCritical, "Win32_ComputerSystem", _
                                                                  cCritical, "Win32_Service", _
                                                                  cCritical, "Win32_Bios", _
                                                                  cPresence, "Win32_Perf", _
                                                                  cPresence, "Win32_PerfRawData", _
                                                                  cCritical, "Win32_PerfRawData_Tcpip_IP", _
                                                                  cCritical, "Win32_PerfRawData_Tcpip_TCP", _
                                                                  cCritical, "Win32_PerfRawData_Tcpip_UDP", _
                                                                  cCritical, "Win32_PerfRawData_Tcpip_ICMP", _
                                                                  cCritical, "Win32_PerfRawData_PerfOS_Cache", _
                                                                  cCritical, "Win32_PerfRawData_PerfOS_Memory", _
                                                                  cCritical, "Win32_PerfRawData_PerfOS_Objects", _
                                                                  cCritical, "Win32_PerfRawData_PerfOS_PagingFile", _
                                                                  cCritical, "Win32_PerfRawData_PerfOS_Processor", _
                                                                  cCritical, "Win32_PerfRawData_PerfOS_System", _
                                                                  cCritical, "Win32_PerfRawData_PerfProc_Process", _
                                                                  cCritical, "Win32_PerfRawData_PerfProc_Thread"), _
                                                           Array (cCritical, "Select * From Win32_LogicalDisk WHERE FreeSpace > 10000000 AND DriveType = 3", _
                                                                  cCritical, "Select DriveType From Win32_LogicalDisk WHERE Name='C:'", _
                                                                  cCritical, "Select * From Win32_Service", _
                                                                  cCritical, "Select * From Win32_PageFileUsage", _
                                                                  cCritical, "Select * From Win32_BIOS WHERE Version IS NOT NULL", _
                                                                  cCritical, "Select * From Win32_NetworkAdapter WHERE AdapterType IS NOT NULL AND AdapterType != ""Wide Area Network (WAN)"" AND Description != ""Packet Scheduler Miniport"" ", _
                                                                  cCritical, "Select * From Win32_Processor WHERE Name IS NOT NULL", _
                                                                  cCritical, "Select * From Win32_DiskDrive", _
                                                                  cCritical, "Select * From Win32_ComputerSystem", _
                                                                  cCritical, "Select * From Win32_DiskPartition", _
                                                                  cCritical, "Select * From Win32_LogicalDisk WHERE Description != ""Network Connection""", _
                                                                  cWarning,  "Select * From Win32_VideoController", _
                                                                  cWarning,  "Select * From Win32_USBController", _
                                                                  cWarning,  "Select * From Win32_DesktopMonitor", _
                                                                  cWarning,  "Select * From Win32_PointingDevice WHERE Status = ""OK""", _
                                                                  cWarning,  "Select * From Win32_Keyboard", _
                                                                  cCritical, "Select * From Win32_SystemDriver WHERE StartMode != ""Disabled"""), _
                                                           Null, _
                                                     "Root/WMI", _
                                                           True, _
                                                           Null, _
                                                           Array (cCritical, "Select * From MSNdis_MediaConnectStatus"), _
                                                           Null _
                                                    )
                    Else
                       arrayWMIDCOMDataList = Array (_
                                                     "%SystemRoot%\System32\WBEM\", "smi2smir.exe", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "mofcomp.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "scrcons.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "unsecapp.exe", False, Array ("\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}"),_
                                                     "%SystemRoot%\System32\WBEM\", "wbemtest.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "winmgmt.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "cimw32ex.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "cimwin32.dll", False, Array ("\CLSID\{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", _
                                                                                                                  "\CLSID\{D63A5850-8F16-11CF-9F47-00AA00BF345C}"), _
                                                     "%SystemRoot%\System32\WBEM\", "dsprov.dll", False, Array ("\CLSID\{1EF94880-01A8-11D2-A90B-00AA00BF3363}", _
                                                                                                                "\CLSID\{33831ED4-42B8-11D2-93AD-00805F853771}", _
                                                                                                                "\CLSID\{AA527A40-4D9A-11D2-93AD-00805F853771}"), _
                                                     "%SystemRoot%\System32\WBEM\", "fastprox.dll", False, Array ("\CLSID\{1B1CAD8C-2DAB-11D2-B604-00104B703EFD}", _
                                                                                                                  "\CLSID\{29B5828C-CAB9-11D2-B35C-00105A1F8177}", _
                                                                                                                  "\CLSID\{4590F812-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                                  "\CLSID\{674B6698-EE92-11D0-AD71-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{6C19BE35-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{7016F8FA-CCDA-11D2-B35C-00105A1F8177}", _
                                                                                                                  "\CLSID\{71285C44-1DC0-11D2-B5FB-00104B703EFD}", _
                                                                                                                  "\CLSID\{7A0227F6-7108-11D1-AD90-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{C71566F2-561E-11D1-AD87-00C04FD8FDFF}"), _
                                                     "%SystemRoot%\System32\WBEM\", "framedyn.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "mofd.dll", False, Array ("\CLSID\{6DAF9757-2E37-11D2-AEC9-00C04FB68820}", _
                                                                                                              "\CLSID\{C10B4771-4DA0-11D2-A2F5-00C04F86FB7D}"), _
                                                     "%SystemRoot%\System32\WBEM\", "ntevt.dll", False, Array ("\CLSID\{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", _
                                                                                                               "\CLSID\{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "provthrd.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "secrcw32.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "smtpcons.dll", False, Array ("\CLSID\{C7A3A54B-0250-11D3-9CD1-00105A1F4801}"), _
                                                     "%SystemRoot%\System32\WBEM\", "stdprov.dll", False, Array ("\CLSID\{72967901-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                                 "\CLSID\{72967903-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                                 "\CLSID\{F00B4404-F8F1-11CE-A5B6-00AA00680C3F}", _
                                                                                                                 "\CLSID\{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", _
                                                                                                                 "\CLSID\{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}"), _
                                                     "%SystemRoot%\System32\WBEM\", "viewprov.dll", False, Array ("\CLSID\{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemads.dll", False, Array ("\CLSID\{F0975AFE-5C7F-11D2-8B74-00104B2AFB41}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemads.tlb", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wbemcntl.dll", False, Array ("\CLSID\{5C659257-E236-11D2-8899-00104B2AFB46}", _
                                                                                                                  "\CLSID\{5C659258-E236-11D2-8899-00104B2AFB46}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemcomn.dll", False, Array ("\CLSID\{9A653086-174F-11D2-B5F9-00104B703EFD}", _
                                                                                                                  "\CLSID\{EB87E1BD-3233-11D2-AEC9-00C04FB68820}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemcore.dll", False, Array ("\CLSID\{443E7B79-DE31-11D2-B340-00104BCC4B4A}", _
                                                                                                                  "\CLSID\{4FA18276-912A-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", _
                                                                                                                  "\CLSID\{CB8555CC-9128-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{CD184336-9128-11D1-AD9B-00C04FD8FDFF}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemdisp.dll", False, Array ("\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}", _
                                                                                                                  "\CLSID\{5791BC26-CE9C-11D1-97BF-0000F81E849C}", _
                                                                                                                  "\CLSID\{75718C9A-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                                  "\CLSID\{76A64158-CB41-11D1-8B02-00600806D9B6}", _
                                                                                                                  "\CLSID\{9AED384E-CE8B-11D1-8B05-00600806D9B6}", _
                                                                                                                  "\CLSID\{C2FEEEAC-CFCD-11D1-8B05-00600806D9B6}", _
                                                                                                                  "\Interface\{75718C9F-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                                  "\Interface\{75718CA0-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                                  "\Interface\{D962DB84-D4BB-11D1-8B09-00600806D9B6}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemdisp.tlb", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wbemess.dll", False, Array ("\CLSID\{5D08B586-343A-11D0-AD46-00C04FD8FDFF}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemperf.dll", False, Array ("\CLSID\{FF37A93C-C28E-11D1-AEB6-00C04FB68820}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemprox.dll", False, Array ("\CLSID\{4590F811-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                                  "\CLSID\{A1044801-8F7E-11D1-9E7C-00C04FC324A8}", _
                                                                                                                  "\CLSID\{F7CE2E13-8C90-11D1-9E7B-00C04FC324A8}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemsvc.dll", False, Array ("\CLSID\{7C857801-7381-11CF-884D-00AA004B2E24}", _
                                                                                                                 "\Interface\{1BE41571-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                                 "\Interface\{1BE41572-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                                 "\Interface\{1C1C45EE-4395-11D2-B60B-00104B703EFD}", _
                                                                                                                 "\Interface\{1CFABA8C-1523-11D1-AD79-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{2C9273E0-1DC3-11D3-B364-00105A1F8177}", _
                                                                                                                 "\Interface\{37196B38-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                                 "\Interface\{37196B39-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                                 "\Interface\{423EC01E-2E35-11D2-B604-00104B703EFD}", _
                                                                                                                 "\Interface\{44ACA675-E8FC-11D0-A07C-00C04FB68820}", _
                                                                                                                 "\Interface\{580ACAF8-FA1C-11D0-AD72-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{60E512D4-C47B-11D2-B338-00105A1F4AAF}", _
                                                                                                                 "\Interface\{631F7D96-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                                 "\Interface\{631F7D97-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                                 "\Interface\{6C19BE32-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{6C19BE34-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{755F9DA7-7508-11D1-AD94-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{C49E32C7-BC8B-11D2-85D4-00105A1F8304}", _
                                                                                                                 "\Interface\{E245105B-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{E246107A-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{F1E9C5B2-F59B-11D2-B362-00105A1F8177}", _
                                                                                                                 "\Interface\{F309AD18-D86A-11D0-A075-00C04FB68820}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemupgd.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "winmgmtr.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmiprov.dll", False, Array ("\CLSID\{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", _
                                                                                                                 "\CLSID\{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}"), _
                                                     "%SystemRoot%\System32\WBEM\", "msiprov.dll", False, Array ("\CLSID\{BE0A9830-2B8B-11D1-A949-0060181EBBAD}"), _
                                                     "%SystemRoot%\System32\WBEM\", "snmpcl.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "snmpincl.dll", True, Array ("\CLSID\{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", _
                                                                                                                 "\CLSID\{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", _
                                                                                                                 "\CLSID\{70426720-F78F-11CF-9151-00AA00A4086C}", _
                                                                                                                 "\CLSID\{9D5BED16-0765-11D1-AB2C-00C04FD9159E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "snmpsmir.dll", True, Array ("\CLSID\{5009AB90-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                 "\CLSID\{5009AB92-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                 "\CLSID\{5009AB94-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                 "\CLSID\{5009AB9B-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                 "\CLSID\{B11B26AC-A791-11D0-AAEA-00A024E8AD1C}", _
                                                                                                                 "\CLSID\{B11B26AE-A791-11D0-AAEA-00A024E8AD1C}"), _
                                                     "%SystemRoot%\System32\WBEM\", "snmpthrd.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmiutils.dll", True, Array ("\CLSID\{CF4CC405-E2C5-4DDD-B3CE-5E7582D8C9FA}", _
                                                                                                                 "\CLSID\{EAC8A024-21E2-4523-AD73-A71A0AA2F56A}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemdc.dll", True, Array ("\CLSID\{6919DD07-1637-4611-A8A7-C16FAC5B2D53}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmidcad.dll", True, Array ("\CLSID\{4cfc7932-0f9d-4bef-9c32-8ea2a6b56fcb}", _
                                                                                                                "\CLSID\{54D8502C-527D-43f7-A506-A9DA075E229C}", _
                                                                                                                "\CLSID\{f5f75737-2843-4f22-933d-c76a97cda62f}") _
                                                    )

                           arrayWMITestList = Array (_
                                                     "Root", _
                                                           True, _
                                                           Null, _
                                                           Null, _
                                                           Array (cWarning, "__ObjectProviderCacheControl", "@",        Array ("ClearAfter", "00000000000200.000000:000"), _
                                                                  cWarning, "__PropertyProviderCacheControl", "@",      Array ("ClearAfter", "00000000000200.000000:000"), _
                                                                  cWarning, "__EventProviderCacheControl", "@",         Array ("ClearAfter", "00000000000010.000000:000"), _
                                                                  cWarning, "__EventConsumerProviderCacheControl", "@", Array ("ClearAfter", "00000000000010.000000:000"), _
                                                                  cWarning, "__EventSinkCacheControl", "@",             Array ("ClearAfter", "00000000000010.000000:000") _
                                                                 ), _
                                                     "Root/Default", _
                                                           True, _
                                                           Null, _
                                                           Null, _
                                                           Null, _
                                                     "Root/CIMv2", _
                                                           True, _
                                                           Array (cCritical, "Win32_Process", _
                                                                  cCritical, "Win32_OperatingSystem", _
                                                                  cCritical, "Win32_ComputerSystem", _
                                                                  cCritical, "Win32_Service", _
                                                                  cCritical, "Win32_Bios", _
                                                                  cPresence, "Win32_Perf", _
                                                                  cPresence, "Win32_PerfRawData", _
                                                                  cCritical, "Win32_PerfRawData_Tcpip_IP", _
                                                                  cCritical, "Win32_PerfRawData_Tcpip_TCP", _
                                                                  cCritical, "Win32_PerfRawData_Tcpip_UDP", _
                                                                  cCritical, "Win32_PerfRawData_Tcpip_ICMP", _
                                                                  cCritical, "Win32_PerfRawData_PerfOS_Cache", _
                                                                  cCritical, "Win32_PerfRawData_PerfOS_Memory", _
                                                                  cCritical, "Win32_PerfRawData_PerfOS_Objects", _
                                                                  cCritical, "Win32_PerfRawData_PerfOS_PagingFile", _
                                                                  cCritical, "Win32_PerfRawData_PerfOS_Processor", _
                                                                  cCritical, "Win32_PerfRawData_PerfOS_System", _
                                                                  cCritical, "Win32_PerfRawData_PerfProc_Process", _
                                                                  cCritical, "Win32_PerfRawData_PerfProc_Thread"), _
                                                           Array (cCritical, "Select * From Win32_LogicalDisk WHERE FreeSpace > 10000000 AND DriveType = 3", _
                                                                  cCritical, "Select DriveType From Win32_LogicalDisk WHERE Name='C:'", _
                                                                  cCritical, "Select * From Win32_Service", _
                                                                  cCritical, "Select * From Win32_PageFileUsage", _
                                                                  cCritical, "Select * From Win32_BIOS WHERE Version IS NOT NULL", _
                                                                  cCritical, "Select * From Win32_NetworkAdapter WHERE AdapterType IS NOT NULL AND AdapterType != ""Wide Area Network (WAN)"" AND Description != ""Packet Scheduler Miniport"" ", _
                                                                  cCritical, "Select * From Win32_Processor WHERE Name IS NOT NULL", _
                                                                  cCritical, "Select * From Win32_DiskDrive", _
                                                                  cCritical, "Select * From Win32_ComputerSystem", _
                                                                  cCritical, "Select * From Win32_DiskPartition", _
                                                                  cCritical, "Select * From Win32_LogicalDisk WHERE Description != ""Network Connection""", _
                                                                  cWarning,  "Select * From Win32_VideoController", _
                                                                  cWarning,  "Select * From Win32_USBController", _
                                                                  cWarning,  "Select * From Win32_DesktopMonitor", _
                                                                  cWarning,  "Select * From Win32_PointingDevice WHERE Status = ""OK""", _
                                                                  cWarning,  "Select * From Win32_Keyboard", _
                                                                  cCritical, "Select * From Win32_SystemDriver WHERE StartMode != ""Disabled"""), _
                                                           Null, _
                                                     "Root/WMI", _
                                                           True, _
                                                           Null, _
                                                           Array (cCritical, "Select * From MSNdis_MediaConnectStatus"), _
                                                           Null _
                                                    )
                    End If

                    arrayWMISystemClassList = Array ("__SystemClass", _
                                                     "__Provider", _
                                                     "__Win32Provider", _
                                                     "__ProviderRegistration", _
                                                     "__EventProviderRegistration", _
                                                     "__EventConsumerProviderRegistration", _
                                                     "__PropertyProviderRegistration", _
                                                     "__ObjectProviderRegistration", _
                                                     "__ClassProviderRegistration", _
                                                     "__InstanceProviderRegistration", _
                                                     "__MethodProviderRegistration", _
                                                     "__IndicationRelated", _
                                                     "__EventFilter", _
                                                     "__EventConsumer", _
                                                     "__FilterToConsumerBinding", _
                                                     "__EventGenerator", _
                                                     "__TimerInstruction", _
                                                     "__IntervalTimerInstruction", _
                                                     "__AbsoluteTimerInstruction", _
                                                     "__Event", _
                                                     "__ExtrinsicEvent", _
                                                     "__SystemEvent", _
                                                     "__EventDroppedEvent", _
                                                     "__ConsumerFailureEvent", _
                                                     "__EventQueueOverflowEvent", _
                                                     "__InstanceOperationEvent", _
                                                     "__InstanceCreationEvent", _
                                                     "__InstanceModificationEvent", _
                                                     "__InstanceDeletionEvent", _
                                                     "__ClassOperationEvent", _
                                                     "__ClassModificationEvent", _
                                                     "__ClassCreationEvent", _
                                                     "__ClassDeletionEvent", _
                                                     "__NamespaceOperationEvent", _
                                                     "__NamespaceDeletionEvent", _
                                                     "__NamespaceCreationEvent", _
                                                     "__NamespaceModificationEvent", _
                                                     "__TimerEvent", _
                                                     "__AggregateEvent", _
                                                     "__TimerNextFiring", _
                                                     "__SystemSecurity", _
                                                     "__NAMESPACE" _
                                                    )
            
                    arrayWMIProgID = Array ("WBemscripting.SWBemlocator", "wbemdisp.dll", _
                                            "WbemScripting.SWbemObjectPath", "wbemdisp.dll", _
                                            "WbemScripting.SWbemSink", "wbemdisp.dll", _
                                            "WbemScripting.SWbemLocator", "wbemdisp.dll", _
                                            "WbemScripting.SWbemNamedValueSet", "wbemdisp.dll" _
                                           )

                    arrayWMIRegistryServiceSetup = Array ("HKLM\SYSTEM\CurrentControlSet\Services\winmgmt", _
                                                          Array (_
                                                                 cRegistryError, "Type", "REG_DWORD", "&h10", _
                                                                 cRegistryError, "Start", "REG_DWORD", "&h2", _
                                                                 cRegistryWarning, "ErrorControl", "REG_DWORD", "&h0", _
                                                                 cRegistryError, "ImagePath", "REG_EXPAND_SZ", "%SystemRoot%\System32\WBEM\WinMgmt.exe", _
                                                                 cRegistryInfo, "DisplayName", "REG_SZ", Null, _
                                                                 cRegistryWarning, "DependOnService", "REG_MULTI_SZ", "RPCSS", _
                                                                 cRegistryInfo, "DependOnGroup", "REG_MULTI_SZ", Null, _
                                                                 cRegistryError, "ObjectName", "REG_SZ", "LocalSystem", _
                                                                 cRegistryInfo, "Description", "REG_SZ", Null _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Security", _
                                                          Array (_
                                                                 cRegistryWarning, "Security", "REG_BINARY", "" _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Enum", _
                                                          Array (_
                                                                 cRegistryWarning, "0", "REG_SZ", "Root\LEGACY_WINMGMT\0000", _
                                                                 cRegistryWarning, "Count", "REG_DWORD", "&h1", _
                                                                 cRegistryWarning, "NextInstance", "REG_DWORD", "&h1" _
                                                                ) _
                                                          )

                    arrayWMIRegistrySettings = Array ("HKLM\SOFTWARE\Microsoft\WBEM\Scripting", _
                                                      Array (_
                                                             cRegistryWarning, "Default Namespace", "REG_SZ", "root\cimv2", _
                                                             cRegistryWarning, "Default Impersonation Level", "REG_DWORD", "3" _
                                                            ), _
                                                     "HKLM\SOFTWARE\Microsoft\WBEM\CIMOM", _
                                                      Array (_
                                                             cRegistryError, "EnableEvents", "REG_SZ", "1", _
                                                             cRegistryInfo, "Logging", "REG_SZ", "1", _
                                                             cRegistryWarning, "Logging Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM\Logs", _
                                                             cRegistryError, "Repository Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM\Repository", _
                                                             cRegistryWarning, "TimeOutMs", "REG_SZ", "20000", _
                                                             cRegistryError, "WMISetup", "REG_SZ", "0", _
                                                             cRegistryWarning, "Autorecover MOFs", "REG_SZ", Null, _
                                                             cRegistryError, "Working Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM" _
                                                            ) _
                                                     )

                    arrayWMIRegistryDCOMSetup = Array ("HKLM\SOFTWARE\Classes\AppID\{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management Instrumentation", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null, _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management Instrumentation", _
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\winmgmt", _
                                                       Array (_
                                                              cRegistryError, "AppID", "REG_SZ", "{74864DA1-0630-11D0-A5B6-00AA00680C3F}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM UnSecured Apartment" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM Active Scripting Event Consumer Provider" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{C49E32C6-BC8B-11D2-85D4-00105A1F8304}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management Instrumentation Backup and Recovery", _
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Wbem Scripting Object Path" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS\CLSID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "{172BDDF8-CEEA-11D1-8B05-00600806D9B6}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS\CurVer", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS.1" _
                                                             ), _
                                                       "HKCR\WINMGMTS.1", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Wbem Object Path 1.0" _
                                                             ), _
                                                       "HKCR\WINMGMTS.1\CLSID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "{172BDDF8-CEEA-11D1-8B05-00600806D9B6}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}\ProgID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS.1" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}\VersionIndependentProgID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS" _
                                                             ) _
                                                      )

                    arrayWMISystemConfigurationClasses = Array ("__CIMOMIdentification", "__CacheControl")

                    arrayWMIRepositoryFiles = Array(_
                                                    "Repository", _
                                                    "$WinMgmt.CFG", _
                                                    "CIM.REP" _
                                                   )

                    arrayWMIServiceKnownDependent = Array (_
                                                           "CcmExec", "SMS Agent Host", _
                                                           "6to4", "IPv6 Helper Service", _
                                                           "MSExchangeMGMT", "Exchange Management Service", _
                                                           "IIMFilter", "Live Communication Server Filter Service", _
                                                           "RtcSrv", "Live Communication Server User Service", _
                                                           "MngAgent", "SNA Mngagent Service", _
                                                           "ADSBuilder", "Automated Deployment Services (ADS) Deployment Agent", _
                                                           "ADSPXE", "Automated Deployment Services (ADS) PXE Service" _
                                                          )

                    arrayDCOMDefaultAccessPermission = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("NT AUTHORITY\SELF", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                         DCOM_RIGHT_ACCESS_REMOTE, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_ACCESS_LOCAL), _
                                                              Null _
                                                             )
           
                    arrayDCOMDefaultLaunchPermission = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE Or _
                                                                          DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                          DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                          DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                          DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                     "NT AUTHORITY\INTERACTIVE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE Or _
                                                                          DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                          DCOM_RIGHT_ACTIVATE_LOCAL, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE Or _
                                                                          DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                          DCOM_RIGHT_ACTIVATE_LOCAL), _
                                                              Null _
                                                             )
           
                    arrayDCOMMachineAccessRestriction = Array ("BUILTIN\Administrators", _
                                                               "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("NT AUTHORITY\ANONYMOUS LOGON", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                           DCOM_RIGHT_ACCESS_REMOTE), _
                                                               Null _ 
                                                              )
           
                    arrayDCOMMachineLaunchRestriction = Array ("BUILTIN\Administrators", _
                                                               "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                           DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                           DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                           DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                           DCOM_RIGHT_ACTIVATE_LOCAL), _
                                                               Null _
                                                              )
           
                    arrayWMIDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                          "BUILTIN\Administrators", _
                                                          SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                          Array ("Everyone", _
                                                                    ACCESS_ALLOWED_ACE_TYPE, _
                                                                    0, _
                                                                    DCOM_RIGHT_EXECUTE Or _
                                                                      DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                      DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                      DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                      DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                          Null _
                                                         ) 
           
                    arrayWMIPSSDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIPSSDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                             "BUILTIN\Administrators", _
                                                             SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                             Array ("BUILTIN\Administrators", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\INTERACTIVE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\SYSTEM", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\NETWORK SERVICE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\LOCAL SERVICE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                             Null _
                                                            ) 

                    arrayWMIUnsecureApptDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIUnsecureApptDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 

                    arrayWMIActiveScriptEventConsDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIActiveScriptEventConsDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 

                    arrayWMIDefaultNameSpaceSecurity = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\LOCAL SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER), _
                                                               Null _
                                                              )
           
                    arrayWMINameSpaceSecurity = Array ("ROOT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/SECURITY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CLI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/ASPNET", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP/LOCALHOST", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SECURITYCENTER", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/WMI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/POLICY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT/HOMENET", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DEFAULT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY/LDAP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SUBSCRIPTION", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "Root/RSOP", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/Computer", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/User", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                                          Null _
                                                              ) _
                                                      )

               Case cWindowsXPRTM, cWindowsXPSP1

                    arrayWMIDCOMDataList = Array (_
                                                  "%SystemRoot%\System32\WBEM\", "smi2smir.exe", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprvse.exe", False, Array ("\CLSID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}"), _
                                                  "%SystemRoot%\System32\WBEM\", "mofcomp.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "scrcons.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "unsecapp.exe", False, Array ("\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}"),_
                                                  "%SystemRoot%\System32\WBEM\", "wbemtest.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "winmgmt.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiadap.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiapsrv.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "cimwin32.dll", False, Array ("\CLSID\{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", _
                                                                                                               "\CLSID\{D31B6A3F-9350-40DE-A3FC-A7EDEB9B7C63}", _
                                                                                                               "\CLSID\{D63A5850-8F16-11CF-9F47-00AA00BF345C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "CmdEvTgProv.dll", True, Array ("\CLSID\{797EF3B3-127B-4283-8096-1E8084BF67A6}"), _
                                                  "%SystemRoot%\System32\WBEM\", "dsprov.dll", False, Array ("\CLSID\{1EF94880-01A8-11D2-A90B-00AA00BF3363}", _
                                                                                                             "\CLSID\{33831ED4-42B8-11D2-93AD-00805F853771}", _
                                                                                                             "\CLSID\{AA527A40-4D9A-11D2-93AD-00805F853771}"), _
                                                  "%SystemRoot%\System32\WBEM\", "esscli.dll", False, Array ("\CLSID\{6C19BE35-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                             "\CLSID\{DC923725-0FDD-45E1-AE74-EA09182E739B}"), _
                                                  "%SystemRoot%\System32\WBEM\", "evntrprv.dll", False, Array ("\CLSID\{9a5dd473-d410-11d1-b829-00c04f94c7c3}", _
                                                                                                               "\CLSID\{f95e1664-7979-44f2-a040-496e7f500043}"), _
                                                  "%SystemRoot%\System32\WBEM\", "fastprox.dll", False, Array ("\CLSID\{1108BE51-F58A-4CDA-BB99-7A0227D11D5E}", _
                                                                                                               "\CLSID\{1B1CAD8C-2DAB-11D2-B604-00104B703EFD}", _
                                                                                                               "\CLSID\{29B5828C-CAB9-11D2-B35C-00105A1F8177}", _
                                                                                                               "\CLSID\{4590F812-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                               "\CLSID\{5839FCA9-774D-42A1-ACDA-D6A79037F57F}", _
                                                                                                               "\CLSID\{674B6698-EE92-11D0-AD71-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{7016F8FA-CCDA-11D2-B35C-00105A1F8177}", _
                                                                                                               "\CLSID\{71285C44-1DC0-11D2-B5FB-00104B703EFD}", _
                                                                                                               "\CLSID\{78103FB7-AED7-4066-8BCD-30BB27B02331}", _
                                                                                                               "\CLSID\{7A0227F6-7108-11D1-AD90-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{8D1C559D-84F0-4BB3-A7D5-56A7435A9BA6}", _
                                                                                                               "\CLSID\{9A653086-174F-11D2-B5F9-00104B703EFD}", _
                                                                                                               "\CLSID\{C71566F2-561E-11D1-AD87-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{CC9072AB-C000-49D8-A5AA-00266C8DBB9B}", _
                                                                                                               "\CLSID\{CD1ABFC8-6C5E-4A8D-B90B-2A3B153B886D}", _
                                                                                                               "\CLSID\{D68AF00A-29CB-43FA-8504-CE99A996D9EA}", _
                                                                                                               "\CLSID\{D71EE747-F455-4804-9DF6-2ED81025F2C1}", _
                                                                                                               "\CLSID\{DCF33DF4-B510-439F-832A-16B6B514F2A7}", _
                                                                                                               "\CLSID\{ED51D12E-511F-4999-8DCD-C2BAC91BE86E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "framedyn.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "fwdprov.dll", False, Array ("\CLSID\{7879E40D-9FB5-450A-8A6D-00C89F349FCE}", _
                                                                                                              "\CLSID\{AD1B46E8-0AAC-401B-A3B8-FCDCF8186F55}"), _
                                                  "%SystemRoot%\System32\WBEM\", "krnlprov.dll", False, Array ("\CLSID\{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", _
                                                                                                               "\TypeLib\{6B100E1A-1385-4D1F-A02E-6E705A76BB6C}\1.0"), _
                                                  "%SystemRoot%\System32\WBEM\", "mofd.dll", False, Array ("\CLSID\{6DAF9757-2E37-11D2-AEC9-00C04FB68820}", _
                                                                                                           "\CLSID\{C10B4771-4DA0-11D2-A2F5-00C04F86FB7D}"), _
                                                  "%SystemRoot%\System32\WBEM\", "ncprov.dll", False, Array ("\CLSID\{29F06F0C-FB7F-44A5-83CD-D41705D5C525}", _
                                                                                                             "\TypeLib\{5F099F16-6A6E-4BBC-8BD8-98F3221D58C4}\1.0"), _
                                                  "%SystemRoot%\System32\WBEM\", "ntevt.dll", False, Array ("\CLSID\{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", _
                                                                                                            "\CLSID\{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "policman.dll", True, Array ("\CLSID\{69D76D1B-B12E-4913-8F48-671B90195A2B}", _
                                                                                                              "\CLSID\{AAEAE72F-0328-4763-8ECB-23422EDE2DB5}"), _
                                                  "%SystemRoot%\System32\WBEM\", "provthrd.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "repdrvfs.dll", False, Array ("\CLSID\{7998DC37-D3FE-487C-A60A-7701FCC70CC6}"), _
                                                  "%SystemRoot%\System32\WBEM\", "smtpcons.dll", False, Array ("\CLSID\{C7A3A54B-0250-11D3-9CD1-00105A1F4801}"), _
                                                  "%SystemRoot%\System32\WBEM\", "stdprov.dll", False, Array ("\CLSID\{72967901-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                              "\CLSID\{72967903-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                              "\CLSID\{F00B4404-F8F1-11CE-A5B6-00AA00680C3F}", _
                                                                                                              "\CLSID\{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", _
                                                                                                              "\CLSID\{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}"), _
                                                  "%SystemRoot%\System32\WBEM\", "tmplprov.dll", False, Array ("\CLSID\{C486ABD2-27F6-11D3-865E-00C04F63049B}"), _
                                                  "%SystemRoot%\System32\WBEM\", "trnsprov.dll", False, Array ("\CLSID\{405595AA-1E14-11D3-B33D-00105A1F4AAF}", _
                                                                                                               "\CLSID\{405595AB-1E14-11D3-B33D-00105A1F4AAF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "updprov.dll", False, Array ("\CLSID\{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", _
                                                                                                              "\CLSID\{A3A16907-227B-11D3-865D-00C04F63049B}"), _
                                                  "%SystemRoot%\System32\WBEM\", "viewprov.dll", False, Array ("\CLSID\{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemads.dll", False, Array ("\CLSID\{F0975AFE-5C7F-11D2-8B74-00104B2AFB41}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemads.tlb", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcntl.dll", False, Array ("\CLSID\{5C659257-E236-11D2-8899-00104B2AFB46}", _
                                                                                                               "\CLSID\{5C659258-E236-11D2-8899-00104B2AFB46}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcomn.dll", False, Array ("\CLSID\{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcons.dll", False, Array ("\CLSID\{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcore.dll", False, Array ("\CLSID\{1860E246-E924-4F73-B2C5-93E0577E3AA1}", _
                                                                                                               "\CLSID\{1F0BC6AD-46D4-488B-BE1F-047FC7505E60}", _
                                                                                                               "\CLSID\{4FA18276-912A-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{6543D242-A80B-44A3-B828-95C1EC452423}", _
                                                                                                               "\CLSID\{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", _
                                                                                                               "\CLSID\{ED999FF5-223A-4052-8ECE-0B10C8DBAA39}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemdisp.dll", False, Array ("\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{47DFBE54-CF76-11D3-B38F-00105A1F473A}", _
                                                                                                               "\CLSID\{5791BC26-CE9C-11D1-97BF-0000F81E849C}", _
                                                                                                               "\CLSID\{75718C9A-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\CLSID\{76A64158-CB41-11D1-8B02-00600806D9B6}", _
                                                                                                               "\CLSID\{9AED384E-CE8B-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{C2FEEEAC-CFCD-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{D269BF5C-D9C1-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{14D8250E-D9C2-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{269AD56A-8A67-4129-BC8C-0506DCFE9880}", _
                                                                                                               "\Interface\{5AD4BF92-DAAB-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{5E97458A-CF77-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{75718C9F-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\Interface\{75718CA0-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\Interface\{D2F68443-85DC-427E-91D8-366554CC754C}", _
                                                                                                               "\Interface\{D962DB84-D4BB-11D1-8B09-00600806D9B6}", _
                                                                                                               "\TypeLib\{565783C6-CB41-11D1-8B02-00600806D9B6}\1.2"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemdisp.tlb", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wbemess.dll", False, Array ("\CLSID\{5D08B586-343A-11D0-AD46-00C04FD8FDFF}", _
                                                                                                              "\CLSID\{F3130CDB-AA52-4C3A-AB32-85FFC23AF9C1}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemperf.dll", False, Array ("\CLSID\{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", _
                                                                                                               "\CLSID\{FF37A93C-C28E-11D1-AEB6-00C04FB68820}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemprox.dll", False, Array ("\CLSID\{443E7B79-DE31-11D2-B340-00104BCC4B4A}", _
                                                                                                               "\CLSID\{4590F811-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                               "\CLSID\{4C6055D8-84B9-4111-A7D3-6623894EEDB3}", _
                                                                                                               "\CLSID\{A1044801-8F7E-11D1-9E7C-00C04FC324A8}", _
                                                                                                               "\CLSID\{CB8555CC-9128-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{CD184336-9128-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{F7CE2E13-8C90-11D1-9E7B-00C04FC324A8}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemsvc.dll", False, Array ("\CLSID\{7C857801-7381-11CF-884D-00AA004B2E24}", _
                                                                                                              "\Interface\{06413D98-405C-4A5A-8D6F-19B8B7C6ACF7}", _
                                                                                                              "\Interface\{07435309-D440-41B7-83F3-EB82DB6C622F}", _
                                                                                                              "\Interface\{0FC8C622-1728-4149-A57F-AD19D0970710}", _
                                                                                                              "\Interface\{11CAA957-4E80-474E-A819-7FD72148ADA9}", _
                                                                                                              "\Interface\{1BE41571-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                              "\Interface\{1BE41572-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                              "\Interface\{1C1C45EE-4395-11D2-B60B-00104B703EFD}", _
                                                                                                              "\Interface\{1CFABA8C-1523-11D1-AD79-00C04FD8FDFF}", _
                                                                                                              "\Interface\{21CD80A2-B305-4F37-9D4C-4534A8D9B568}", _
                                                                                                              "\Interface\{25411283-46FC-4326-8DF2-FF5D34B2DFEF}", _
                                                                                                              "\Interface\{2A504CA2-CA90-4731-87BC-6E99CA2019AF}", _
                                                                                                              "\Interface\{2B322B6E-A9DF-44E3-97BF-259E3583FDA4}", _
                                                                                                              "\Interface\{2C9273E0-1DC3-11D3-B364-00105A1F8177}", _
                                                                                                              "\Interface\{2DB9FA90-9973-46CF-B310-9865B644699D}", _
                                                                                                              "\Interface\{37196B38-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                              "\Interface\{37196B39-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                              "\Interface\{3AE0080A-7E3A-4366-BF89-0FEEDC931659}", _
                                                                                                              "\Interface\{41AA40E6-2FBA-4E80-ADE9-34306567206D}", _
                                                                                                              "\Interface\{423EC01E-2E35-11D2-B604-00104B703EFD}", _
                                                                                                              "\Interface\{44ACA675-E8FC-11D0-A07C-00C04FB68820}", _
                                                                                                              "\Interface\{484E3ECE-1F81-4591-B9D4-943BA13B609D}", _
                                                                                                              "\Interface\{48FF3109-A366-4B56-B340-01FAE758BA64}", _
                                                                                                              "\Interface\{580ACAF8-FA1C-11D0-AD72-00C04FD8FDFF}", _
                                                                                                              "\Interface\{5FBA5051-3124-4112-B723-46BFBAF1D622}", _
                                                                                                              "\Interface\{60E512D4-C47B-11D2-B338-00105A1F4AAF}", _
                                                                                                              "\Interface\{631F7D96-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                              "\Interface\{631F7D97-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                              "\Interface\{6919DD07-1637-4611-A8A7-C16FAC5B2D53}", _
                                                                                                              "\Interface\{6963B029-B969-40AA-9180-2B2F84075973}", _
                                                                                                              "\Interface\{6B3FC272-BF37-4968-933A-6DF9222A2607}", _
                                                                                                              "\Interface\{6C19BE32-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{6C19BE34-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{755F9DA7-7508-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{854D745C-6742-42C0-8BB9-01EC466B6E87}", _
                                                                                                              "\Interface\{88F3781C-6902-4647-9A6B-A74F450AF861}", _
                                                                                                              "\Interface\{8A0DC377-A9D3-41CB-BD69-AE1FDAF2DC68}", _
                                                                                                              "\Interface\{A210BFE9-C9F7-4919-B114-0D98B3D5341E}", _
                                                                                                              "\Interface\{A359DEC5-E813-4834-8A2A-BA7F1D777D76}", _
                                                                                                              "\Interface\{AC9EA02A-2C8A-4ACD-B562-D7E8EBEE8E8E}", _
                                                                                                              "\Interface\{B1B55910-8BA0-47A5-A16E-2B733B1D987C}", _
                                                                                                              "\Interface\{B60EF4F1-A411-462B-B51E-477CBDBB90B4}", _
                                                                                                              "\Interface\{B7B31DF9-D515-11D3-A11C-00105A1F515A}", _
                                                                                                              "\Interface\{BAC6B661-167E-4957-AD77-286AB256585E}", _
                                                                                                              "\Interface\{C49E32C7-BC8B-11D2-85D4-00105A1F8304}", _
                                                                                                              "\Interface\{CE61E841-65BC-11D0-B6BD-00AA003240C7}", _
                                                                                                              "\Interface\{D4781CD6-E5D3-44DF-AD94-930EFE48A887}", _
                                                                                                              "\Interface\{D8EC9CB1-B135-4F10-8B1B-C7188BB0D186}", _
                                                                                                              "\Interface\{DF2373F5-EFB2-475C-AD58-3102D61967D4}", _
                                                                                                              "\Interface\{E245105B-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                              "\Interface\{E246107A-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                              "\Interface\{E8107BDF-BAAF-4C7C-BB5F-9D732E8D8F07}", _
                                                                                                              "\Interface\{EB658B8A-7A64-4DDC-9B8D-A92610DB0206}", _
                                                                                                              "\Interface\{F0E4EDDE-475A-498A-93D7-D4347F68A8F3}", _
                                                                                                              "\Interface\{F1E9C5B2-F59B-11D2-B362-00105A1F8177}", _
                                                                                                              "\Interface\{F309AD18-D86A-11D0-A075-00C04FB68820}", _
                                                                                                              "\Interface\{F50A28CF-5C9C-4F7E-9D80-E25E16E18C59}", _
                                                                                                              "\Interface\{FD450835-CF1B-4C87-9FD2-5E0D42FDE081}", _
                                                                                                              "\Interface\{FEC1B0AC-5808-4033-A915-C0185934581E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemupgd.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "winmgmtr.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiapres.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiaprpl.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmicookr.dll", False, Array ("\CLSID\{B0A2AB46-F612-4469-BEC4-7AB038BC476C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmidcprv.dll", False, Array ("\CLSID\{4CFC7932-0F9D-4BEF-9C32-8EA2A6B56FCB}", _
                                                                                                               "\CLSID\{F5F75737-2843-4F22-933D-C76A97CDA62F}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmimsg.dll", False, Array ("\CLSID\{622D47B6-CEEC-4DE1-8056-B6D16F29BC97}", _
                                                                                                             "\CLSID\{89F9F7B0-8DE3-4AE0-8B41-109ABAB32151}", _
                                                                                                             "\CLSID\{958C59A0-3670-4FE0-B893-6998BB494402}", _
                                                                                                             "\CLSID\{9F007F18-9C24-4630-8B3E-61F96280C593}", _
                                                                                                             "\CLSID\{C1692211-1EC1-4847-9C0D-D2F2D80D07CF}", _
                                                                                                             "\CLSID\{C169CC11-1EC1-4847-9C0D-D2F2D80D07CF}", _
                                                                                                             "\CLSID\{CE69CC1E-1EC0-4847-9C0D-D2F2D80D07CF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipcima.dll", False, Array ("\CLSID\{04788120-12C2-498D-83C1-A7D92E677AC6}", _
                                                                                                               "\CLSID\{A3E41207-BE04-492A-AFF0-19E880FF7545}", _
                                                                                                               "\CLSID\{E2CBCB87-9C07-4523-A78F-061499C83987}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipdskq.dll", False, Array ("\CLSID\{4AF3F4A4-06C8-4B79-A523-633CC65CE297}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipicmp.dll", False, Array ("\CLSID\{734AC5AE-68E1-4FB5-B8DA-1D92F7FC6661}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipiprt.dll", False, Array ("\CLSID\{23B77E99-5C2D-482D-A795-62CA3AE5B673}", _
                                                                                                               "\CLSID\{6D7A4B0E-66D5-4AC3-A7ED-0189E8CF5E77}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipjobj.dll", False, Array ("\CLSID\{6515834D-6125-4878-A3A3-6B0A73B809A2}", _
                                                                                                               "\CLSID\{7FB1D98A-F895-4761-8DC2-774969C84D10}", _
                                                                                                               "\CLSID\{AB40A5C1-804B-40BD-9DFE-A640691C6956}", _
                                                                                                               "\CLSID\{C0AA9D93-2EF5-47FB-960C-F90FC644B48E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprov.dll", False, Array ("\CLSID\{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", _
                                                                                                              "\CLSID\{35B78F79-B973-48C8-A045-CAEC732A35D5}", _
                                                                                                              "\CLSID\{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprvsd.dll", False, Array ("\CLSID\{4DE225BF-CF59-4CFC-85F7-68B90F185355}", _
                                                                                                               "\CLSID\{7F598975-37E0-4A67-A992-116680F0CEDA}", _
                                                                                                               "\CLSID\{8BEBCE8B-1AF0-4323-8B4D-36994567CAE1}", _
                                                                                                               "\CLSID\{F5A55D36-8750-432C-AB52-AD49A016EABC}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipsess.dll", False, Array ("\CLSID\{6E78DAD9-E187-4D6E-BA63-760256D6F405}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmisvc.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmitimep.dll", False, Array ("\CLSID\{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiutils.dll", False, Array ("\CLSID\{CF4CC405-E2C5-4DDD-B3CE-5E7582D8C9FA}", _
                                                                                                               "\CLSID\{EAC8A024-21E2-4523-AD73-A71A0AA2F56A}", _
                                                                                                               "\CLSID\{EB87E1BD-3233-11D2-AEC9-00C04FB68820}"), _
                                                  "%SystemRoot%\System32\WBEM\", "msiprov.dll", False, Array ("\CLSID\{BE0A9830-2B8B-11D1-A949-0060181EBBAD}"), _
                                                  "%SystemRoot%\System32\WBEM\xml\", "wmi2xml.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\xml\", "cim20.dtd", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\xml\", "wmi20.dtd", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "xsl-mappings.xml", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "csv.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "hform.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "htable-sortby.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "htable.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "mof.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "rawxml.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "texttable.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "texttablewsys.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "textvaluelist.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiclimofformat.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiclitableformat.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiclitableformatnosys.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiclivalueformat.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "xml.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmic.exe", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "snmpcl.dll", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "snmpincl.dll", True, Array ("\CLSID\{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", _
                                                                                                              "\CLSID\{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", _
                                                                                                              "\CLSID\{70426720-F78F-11CF-9151-00AA00A4086C}", _
                                                                                                              "\CLSID\{9D5BED16-0765-11D1-AB2C-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "snmpsmir.dll", True, Array ("\CLSID\{5009AB90-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB92-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB94-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB9B-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{B11B26AC-A791-11D0-AAEA-00A024E8AD1C}", _
                                                                                                              "\CLSID\{B11B26AE-A791-11D0-AAEA-00A024E8AD1C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "snmpstup.dll", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "snmpthrd.dll", True, Null _
                                                 )

                    arrayWMISystemClassList = Array ("__SystemClass", _
                                                     "__thisNAMESPACE", _
                                                     "__Provider", _
                                                     "__Win32Provider", _
                                                     "__ProviderRegistration", _
                                                     "__EventProviderRegistration", _
                                                     "__EventConsumerProviderRegistration", _
                                                     "__PropertyProviderRegistration", _
                                                     "__ObjectProviderRegistration", _
                                                     "__ClassProviderRegistration", _
                                                     "__InstanceProviderRegistration", _
                                                     "__MethodProviderRegistration", _
                                                     "__IndicationRelated", _
                                                     "__EventFilter", _
                                                     "__EventConsumer", _
                                                     "__FilterToConsumerBinding", _
                                                     "__EventGenerator", _
                                                     "__TimerInstruction", _
                                                     "__IntervalTimerInstruction", _
                                                     "__AbsoluteTimerInstruction", _
                                                     "__Event", _
                                                     "__ExtrinsicEvent", _
                                                     "__SystemEvent", _
                                                     "__EventDroppedEvent", _
                                                     "__ConsumerFailureEvent", _
                                                     "__QOSFailureEvent", _
                                                     "__EventQueueOverflowEvent", _
                                                     "__InstanceOperationEvent", _
                                                     "__InstanceCreationEvent", _
                                                     "__InstanceModificationEvent", _
                                                     "__MethodInvocationEvent", _
                                                     "__InstanceDeletionEvent", _
                                                     "__ClassOperationEvent", _
                                                     "__ClassModificationEvent", _
                                                     "__ClassCreationEvent", _
                                                     "__ClassDeletionEvent", _
                                                     "__NamespaceOperationEvent", _
                                                     "__NamespaceDeletionEvent", _
                                                     "__NamespaceCreationEvent", _
                                                     "__NamespaceModificationEvent", _
                                                     "__TimerEvent", _
                                                     "__AggregateEvent", _
                                                     "__TimerNextFiring", _
                                                     "__SystemSecurity", _
                                                     "__NAMESPACE" _
                                                    )

                    arrayWMIProgID = Array ("WBemscripting.SWBemlocator", "wbemdisp.dll", _
                                            "WbemScripting.SWbemDateTime", "wbemdisp.dll", _
                                            "WbemScripting.SWbemObjectPath", "wbemdisp.dll", _
                                            "WbemScripting.SWbemSink", "wbemdisp.dll", _
                                            "WbemScripting.SWbemLocator", "wbemdisp.dll", _
                                            "WbemScripting.SWbemNamedValueSet", "wbemdisp.dll", _
                                            "WbemScripting.SWbemRefresher", "wbemdisp.dll" _
                                           )

                    arrayWMITestList = Array (_
                                              "Root", _
                                                    True, _
                                                    Null, _
                                                    Null, _
                                                    Array (cWarning, "__ArbitratorConfiguration", "@", Array ("OutstandingTasksPerUser", 30, _
                                                                                                              "OutstandingTasksTotal", 3000, _
                                                                                                              "PermanentSubscriptionsPerUser", 1000, _
                                                                                                              "PermanentSubscriptionsTotal", 10000, _
                                                                                                              "PollingInstructionsPerUser", 1000, _
                                                                                                              "PollingInstructionsTotal", 10000, _
                                                                                                              "PollingMemoryPerUser", 5000000, _
                                                                                                              "PollingMemoryTotal", 10000000, _
                                                                                                              "QuotaRetryCount", 10, _
                                                                                                              "QuotaRetryWaitInterval", 15000, _
                                                                                                              "TaskThreadsPerUser", 3, _
                                                                                                              "TaskThreadsTotal", 30, _
                                                                                                              "TemporarySubscriptionsPerUser", 1000, _
                                                                                                              "TemporarySubscriptionsTotal", 10000, _
                                                                                                              "TotalCacheDisk", 1048576, _
                                                                                                              "TotalCacheDiskPerTask", 51250, _
                                                                                                              "TotalCacheDiskPerUser", 102500, _
                                                                                                              "TotalCacheMemory", 10240, _
                                                                                                              "TotalCacheMemoryPerTask", 1024, _
                                                                                                              "TotalCacheMemoryPerUser", 2048, _
                                                                                                              "TotalUsers", 50), _
                                                           cWarning, "__ProviderHostQuotaConfiguration", "@", Array ("HandlesPerHost", 4096, _
                                                                                                                     "MemoryAllHosts", "1073741824", _
                                                                                                                     "MemoryPerHost", "134217728", _
                                                                                                                     "ProcessLimitAllHosts", 32, _
                                                                                                                     "ThreadsPerHost", 256), _
                                                           cWarning, "__EventProviderCacheControl", "@",         Array ("ClearAfter", "00000000000030.000000:000"), _
                                                           cWarning, "__ObjectProviderCacheControl", "@",        Array ("ClearAfter", "00000000000030.000000:000"), _
                                                           cWarning, "__EventSinkCacheControl", "@",             Array ("ClearAfter", "00000000000015.000000:000"), _
                                                           cWarning, "__EventConsumerProviderCacheControl", "@", Array ("ClearAfter", "00000000000030.000000:000"), _
                                                           cWarning, "__PropertyProviderCacheControl", "@",      Array ("ClearAfter", "00000000000030.000000:000") ), _
                                              "Root/Default", _
                                                    True, _
                                                    Array (cWarning, "SystemRestore", _
                                                           cWarning, "SystemRestoreConfig"), _
                                                    Array (cWarning,  "Select * From SystemRestore", _
                                                           cWarning,  "Select * From SystemRestoreConfig"), _
                                                    Null, _
                                              "Root/CIMv2", _
                                                    True, _
                                                    Array (cCritical, "Win32_Process", _
                                                           cCritical, "Win32_OperatingSystem", _
                                                           cCritical, "Win32_ComputerSystem", _
                                                           cCritical, "Win32_Service", _
                                                           cCritical, "Win32_Bios", _
                                                           cPresence, "Win32_Perf", _
                                                           cPresence, "Win32_PerfRawData", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_IP", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_TCP", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_UDP", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_ICMP", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Cache", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Memory", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Objects", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_PagingFile", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Processor", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_System", _
                                                           cCritical, "Win32_PerfRawData_PerfProc_Process", _
                                                           cCritical, "Win32_PerfRawData_PerfProc_Thread", _
                                                           cPresence, "Win32_PerfFormattedData", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_IP", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_TCP", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_UDP", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_ICMP", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Cache", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Memory", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Objects", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_PagingFile", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Processor", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_System", _
                                                           cCritical, "Win32_PerfFormattedData_PerfProc_Process", _
                                                           cCritical, "Win32_PerfFormattedData_PerfProc_Thread"), _
                                                    Array (cCritical, "Select * From Win32_LogicalDisk WHERE FreeSpace > 10000000 AND DriveType = 3", _
                                                           cCritical, "Select DriveType From Win32_LogicalDisk WHERE Name='C:'", _
                                                           cCritical, "Select * From Win32_Service", _
                                                           cCritical, "Select * From Win32_PageFileUsage", _
                                                           cCritical, "Select * From Win32_BIOS WHERE Version IS NOT NULL", _
                                                           cCritical, "Select * From Win32_NetworkAdapter WHERE AdapterType IS NOT NULL AND AdapterType != ""Wide Area Network (WAN)"" AND Description != ""Packet Scheduler Miniport"" ", _
                                                           cCritical, "Select * From Win32_Processor WHERE Name IS NOT NULL", _
                                                           cCritical, "Select * From Win32_DiskDrive", _
                                                           cCritical, "Select * From Win32_ComputerSystem", _
                                                           cCritical, "Select * From Win32_DiskPartition", _
                                                           cCritical, "Select * From Win32_LogicalDisk WHERE Description != ""Network Connection""", _
                                                           cWarning,  "Select * From Win32_SoundDevice", _
                                                           cWarning,  "Select * From Win32_VideoController", _
                                                           cWarning,  "Select * From Win32_USBController", _
                                                           cWarning,  "Select * From Win32_DesktopMonitor", _
                                                           cWarning,  "Select * From Win32_PointingDevice WHERE Status = ""OK""", _
                                                           cWarning,  "Select * From Win32_Keyboard", _
                                                           cCritical, "Select * From Win32_SystemDriver WHERE StartMode != ""Disabled"""), _
                                                    Null, _
                                              "Root/WMI", _
                                                    True, _
                                                    Null, _
                                                    Array (cCritical, "Select * From MSNdis_MediaConnectStatus"), _
                                                    Null _
                                             )

                    arrayWMIRegistryServiceSetup = Array ("HKLM\SYSTEM\CurrentControlSet\Services\winmgmt", _
                                                          Array (_
                                                                 cRegistryError, "Type", "REG_DWORD", "&h20", _
                                                                 cRegistryError, "Start", "REG_DWORD", "&h2", _
                                                                 cRegistryWarning, "ErrorControl", "REG_DWORD", "&h0", _
                                                                 cRegistryWarning, "ImagePath", "REG_EXPAND_SZ", "%systemroot%\system32\svchost.exe -k netsvcs", _
                                                                 cRegistryInfo, "DisplayName", "REG_SZ", Null, _
                                                                 cRegistryWarning, "DependOnService", "REG_MULTI_SZ", "RPCSS", _
                                                                 cRegistryInfo, "DependOnGroup", "REG_MULTI_SZ", Null, _
                                                                 cRegistryError, "ObjectName", "REG_SZ", "LocalSystem", _
                                                                 cRegistryWarning, "FailureActions", "REG_BINARY", Null, _
                                                                 cRegistryInfo, "Description", "REG_SZ", Null _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Parameters", _
                                                          Array (_
                                                                 cRegistryError, "ServiceDll", "REG_EXPAND_SZ", "%SystemRoot%\system32\wbem\WMIsvc.dll", _
                                                                 cRegistryError, "ServiceMain", "REG_SZ", "ServiceMain" _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Security", _
                                                          Array (_
                                                                 cRegistryWarning, "Security", "REG_BINARY", "" _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Enum", _
                                                          Array (_
                                                                 cRegistryWarning, "0", "REG_SZ", "Root\LEGACY_WINMGMT\0000", _
                                                                 cRegistryWarning, "Count", "REG_DWORD", "&h1", _
                                                                 cRegistryWarning, "NextInstance", "REG_DWORD", "&h1" _
                                                                ) _
                                                         )

                    arrayWMIRegistrySettings = Array ("HKLM\SOFTWARE\Microsoft\WBEM\Scripting", _
                                                      Array (_
                                                             cRegistryWarning, "Default Namespace", "REG_SZ", "root\cimv2", _
                                                             cRegistryWarning, "Default Impersonation Level", "REG_DWORD", "3" _
                                                            ), _
                                                      "HKLM\SOFTWARE\Microsoft\WBEM\CIMOM", _
                                                      Array (_
                                                             cRegistryWarning, "ADAPDelay", "REG_DWORD", "&hf0", _
                                                             cRegistryError, "Default Repository Driver", "REG_SZ", "{7998dc37-d3fe-487c-a60a-7701fcc70cc6}", _
                                                             cRegistryError, "EnableEvents", "REG_SZ", "1", _
                                                             cRegistryInfo, "Logging", "REG_SZ", "1", _
                                                             cRegistryWarning, "Logging Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM\Logs\", _
                                                             cRegistryError, "Repository Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM\Repository", _
                                                             cRegistryWarning, "TimeOutMs", "REG_SZ", "20000", _
                                                             cRegistryError, "WMISetup", "REG_SZ", "0", _
                                                             cRegistryWarning, "Autorecover MOFs", "REG_SZ", Null, _
                                                             cRegistryError, "Working Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM" _
                                                            ) _
                                                     )

                    arrayWMIRegistryDCOMSetup = Array ("HKLM\SOFTWARE\Classes\AppID\{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management and Instrumentation", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null, _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management and Instrumentation", _
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\winmgmt", _
                                                       Array (_
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WMI Provider Subsystem Host", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WMI Provider Subsystem Host", _
                                                              cRegistryError, "AppID", "REG_SZ", "{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}" _
                                                             ), _ 
                                                       "HKLM\SOFTWARE\Classes\AppID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM UnSecured Apartment" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM Active Scripting Event Consumer Provider" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{C49E32C6-BC8B-11D2-85D4-00105A1F8304}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management Instrumentation Backup and Recovery", _
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Wbem Scripting Object Path" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS\CLSID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "{172BDDF8-CEEA-11D1-8B05-00600806D9B6}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS\CurVer", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS.1" _
                                                             ), _
                                                       "HKCR\WINMGMTS.1", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Wbem Object Path 1.0" _
                                                             ), _
                                                       "HKCR\WINMGMTS.1\CLSID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "{172BDDF8-CEEA-11D1-8B05-00600806D9B6}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}\ProgID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS.1" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}\VersionIndependentProgID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS" _
                                                             ) _
                                                      )

                    arrayWMISystemConfigurationClasses = Array ("__CIMOMIdentification", "__ArbitratorConfiguration", " __ProviderHostQuotaConfiguration", "__CacheControl")

                    arrayWMIRepositoryFiles = Array(_
                                                    "Repository\FS", _
                                                    "INDEX.BTR", _
                                                    "INDEX.MAP", _
                                                    "OBJECTS.DATA", _
                                                    "OBJECTS.MAP" _
                                                   )

                    arrayWMIServiceKnownDependent = Array (_
                                                           "CcmExec", "SMS Agent Host", _
                                                           "6to4", "IPv6 Helper Service", _
                                                           "MSExchangeMGMT", "Exchange Management Service", _
                                                           "IIMFilter", "Live Communication Server Filter Service", _
                                                           "RtcSrv", "Live Communication Server User Service", _
                                                           "MngAgent", "SNA Mngagent Service", _
                                                           "ADSBuilder", "Automated Deployment Services (ADS) Deployment Agent", _
                                                           "ADSPXE", "Automated Deployment Services (ADS) PXE Service" _
                                                          )

                    arrayDCOMDefaultAccessPermission = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("NT AUTHORITY\SELF", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE), _
                                                              Null _
                                                             )
           
                    arrayDCOMDefaultLaunchPermission = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE, _
                                                                     "NT AUTHORITY\INTERACTIVE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE), _
                                                              Null _
                                                             )
           
                    arrayDCOMMachineAccessRestriction = Null
           
                    arrayDCOMMachineLaunchRestriction = Null
           
                    arrayWMIDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                          "BUILTIN\Administrators", _
                                                          SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                          Array ("Everyone", _
                                                                    ACCESS_ALLOWED_ACE_TYPE, _
                                                                    0, _
                                                                    DCOM_RIGHT_EXECUTE), _
                                                          Null _
                                                         ) 
           
                    arrayWMIPSSDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIPSSDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                             "BUILTIN\Administrators", _
                                                             SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                             Array ("BUILTIN\Administrators", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE, _
                                                                    "NT AUTHORITY\INTERACTIVE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE, _
                                                                    "NT AUTHORITY\SYSTEM", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE, _
                                                                    "NT AUTHORITY\NETWORK SERVICE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE, _
                                                                    "NT AUTHORITY\LOCAL SERVICE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE), _
                                                             Null _
                                                            ) 

                    arrayWMIUnsecureApptDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIUnsecureApptDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 

                    arrayWMIActiveScriptEventConsDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIActiveScriptEventConsDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 

                    arrayWMIDefaultNameSpaceSecurity = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\LOCAL SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER), _
                                                               Null _
                                                              )
           
                    arrayWMINameSpaceSecurity = Array ("ROOT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/SECURITY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CLI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/ASPNET", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP/LOCALHOST", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SECURITYCENTER", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/WMI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/POLICY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT/HOMENET", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DEFAULT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY/LDAP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SUBSCRIPTION", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "Root/RSOP", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/Computer", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/User", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                                          Null _
                                                              ) _
                                                      )

               Case cWindowsXPSP2

                    arrayWMIDCOMDataList = Array (_
                                                  "%SystemRoot%\System32\WBEM\", "smi2smir.exe", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprvse.exe", False, Array ("\CLSID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}"), _
                                                  "%SystemRoot%\System32\WBEM\", "mofcomp.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "scrcons.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "unsecapp.exe", False, Array ("\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}"),_
                                                  "%SystemRoot%\System32\WBEM\", "wbemtest.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "winmgmt.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiadap.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiapsrv.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "cimwin32.dll", False, Array ("\CLSID\{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", _
                                                                                                               "\CLSID\{D31B6A3F-9350-40DE-A3FC-A7EDEB9B7C63}", _
                                                                                                               "\CLSID\{D63A5850-8F16-11CF-9F47-00AA00BF345C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "CmdEvTgProv.dll", True, Array ("\CLSID\{797EF3B3-127B-4283-8096-1E8084BF67A6}"), _
                                                  "%SystemRoot%\System32\WBEM\", "dsprov.dll", False, Array ("\CLSID\{1EF94880-01A8-11D2-A90B-00AA00BF3363}", _
                                                                                                             "\CLSID\{33831ED4-42B8-11D2-93AD-00805F853771}", _
                                                                                                             "\CLSID\{AA527A40-4D9A-11D2-93AD-00805F853771}"), _
                                                  "%SystemRoot%\System32\WBEM\", "esscli.dll", False, Array ("\CLSID\{6C19BE35-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                             "\CLSID\{DC923725-0FDD-45E1-AE74-EA09182E739B}"), _
                                                  "%SystemRoot%\System32\WBEM\", "evntrprv.dll", False, Array ("\CLSID\{9a5dd473-d410-11d1-b829-00c04f94c7c3}", _
                                                                                                               "\CLSID\{f95e1664-7979-44f2-a040-496e7f500043}"), _
                                                  "%SystemRoot%\System32\WBEM\", "fastprox.dll", False, Array ("\CLSID\{1108BE51-F58A-4CDA-BB99-7A0227D11D5E}", _
                                                                                                               "\CLSID\{1B1CAD8C-2DAB-11D2-B604-00104B703EFD}", _
                                                                                                               "\CLSID\{29B5828C-CAB9-11D2-B35C-00105A1F8177}", _
                                                                                                               "\CLSID\{4590F812-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                               "\CLSID\{5839FCA9-774D-42A1-ACDA-D6A79037F57F}", _
                                                                                                               "\CLSID\{674B6698-EE92-11D0-AD71-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{7016F8FA-CCDA-11D2-B35C-00105A1F8177}", _
                                                                                                               "\CLSID\{71285C44-1DC0-11D2-B5FB-00104B703EFD}", _
                                                                                                               "\CLSID\{78103FB7-AED7-4066-8BCD-30BB27B02331}", _
                                                                                                               "\CLSID\{8D1C559D-84F0-4BB3-A7D5-56A7435A9BA6}", _
                                                                                                               "\CLSID\{9A653086-174F-11D2-B5F9-00104B703EFD}", _
                                                                                                               "\CLSID\{C71566F2-561E-11D1-AD87-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{CC9072AB-C000-49D8-A5AA-00266C8DBB9B}", _
                                                                                                               "\CLSID\{CD1ABFC8-6C5E-4A8D-B90B-2A3B153B886D}", _
                                                                                                               "\CLSID\{D68AF00A-29CB-43FA-8504-CE99A996D9EA}", _
                                                                                                               "\CLSID\{DCF33DF4-B510-439F-832A-16B6B514F2A7}"), _
                                                  "%SystemRoot%\System32\WBEM\", "framedyn.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "fwdprov.dll", False, Array ("\CLSID\{7879E40D-9FB5-450A-8A6D-00C89F349FCE}", _
                                                                                                              "\CLSID\{AD1B46E8-0AAC-401B-A3B8-FCDCF8186F55}"), _
                                                  "%SystemRoot%\System32\WBEM\", "krnlprov.dll", False, Array ("\CLSID\{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", _
                                                                                                               "\TypeLib\{6B100E1A-1385-4D1F-A02E-6E705A76BB6C}\1.0"), _
                                                  "%SystemRoot%\System32\WBEM\", "mofd.dll", False, Array ("\CLSID\{6DAF9757-2E37-11D2-AEC9-00C04FB68820}", _
                                                                                                           "\CLSID\{C10B4771-4DA0-11D2-A2F5-00C04F86FB7D}"), _
                                                  "%SystemRoot%\System32\WBEM\", "ncprov.dll", False, Array ("\CLSID\{29F06F0C-FB7F-44A5-83CD-D41705D5C525}", _
                                                                                                             "\TypeLib\{5F099F16-6A6E-4BBC-8BD8-98F3221D58C4}\1.0"), _
                                                  "%SystemRoot%\System32\WBEM\", "ntevt.dll", False, Array ("\CLSID\{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", _
                                                                                                            "\CLSID\{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "policman.dll", True, Array ("\CLSID\{69D76D1B-B12E-4913-8F48-671B90195A2B}", _
                                                                                                              "\CLSID\{AAEAE72F-0328-4763-8ECB-23422EDE2DB5}"), _
                                                  "%SystemRoot%\System32\WBEM\", "provthrd.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "repdrvfs.dll", False, Array ("\CLSID\{7998DC37-D3FE-487C-A60A-7701FCC70CC6}"), _
                                                  "%SystemRoot%\System32\WBEM\", "smtpcons.dll", False, Array ("\CLSID\{C7A3A54B-0250-11D3-9CD1-00105A1F4801}"), _
                                                  "%SystemRoot%\System32\WBEM\", "stdprov.dll", False, Array ("\CLSID\{72967901-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                              "\CLSID\{72967903-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                              "\CLSID\{F00B4404-F8F1-11CE-A5B6-00AA00680C3F}", _
                                                                                                              "\CLSID\{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", _
                                                                                                              "\CLSID\{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}"), _
                                                  "%SystemRoot%\System32\WBEM\", "tmplprov.dll", False, Array ("\CLSID\{C486ABD2-27F6-11D3-865E-00C04F63049B}"), _
                                                  "%SystemRoot%\System32\WBEM\", "trnsprov.dll", False, Array ("\CLSID\{405595AA-1E14-11D3-B33D-00105A1F4AAF}", _
                                                                                                               "\CLSID\{405595AB-1E14-11D3-B33D-00105A1F4AAF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "updprov.dll", False, Array ("\CLSID\{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", _
                                                                                                              "\CLSID\{A3A16907-227B-11D3-865D-00C04F63049B}"), _
                                                  "%SystemRoot%\System32\WBEM\", "viewprov.dll", False, Array ("\CLSID\{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemads.dll", False, Array ("\CLSID\{F0975AFE-5C7F-11D2-8B74-00104B2AFB41}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemads.tlb", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcntl.dll", False, Array ("\CLSID\{5C659257-E236-11D2-8899-00104B2AFB46}", _
                                                                                                               "\CLSID\{5C659258-E236-11D2-8899-00104B2AFB46}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcomn.dll", False, Array ("\CLSID\{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcons.dll", False, Array ("\CLSID\{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcore.dll", False, Array ("\CLSID\{1860E246-E924-4F73-B2C5-93E0577E3AA1}", _
                                                                                                               "\CLSID\{1F0BC6AD-46D4-488B-BE1F-047FC7505E60}", _
                                                                                                               "\CLSID\{4FA18276-912A-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{6543D242-A80B-44A3-B828-95C1EC452423}", _
                                                                                                               "\CLSID\{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", _
                                                                                                               "\CLSID\{ED999FF5-223A-4052-8ECE-0B10C8DBAA39}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemdisp.dll", False, Array ("\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{47DFBE54-CF76-11D3-B38F-00105A1F473A}", _
                                                                                                               "\CLSID\{5791BC26-CE9C-11D1-97BF-0000F81E849C}", _
                                                                                                               "\CLSID\{75718C9A-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\CLSID\{76A64158-CB41-11D1-8B02-00600806D9B6}", _
                                                                                                               "\CLSID\{9AED384E-CE8B-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{C2FEEEAC-CFCD-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{D269BF5C-D9C1-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{14D8250E-D9C2-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{269AD56A-8A67-4129-BC8C-0506DCFE9880}", _
                                                                                                               "\Interface\{5AD4BF92-DAAB-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{5E97458A-CF77-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{75718C9F-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\Interface\{75718CA0-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\Interface\{D2F68443-85DC-427E-91D8-366554CC754C}", _
                                                                                                               "\Interface\{D962DB84-D4BB-11D1-8B09-00600806D9B6}", _
                                                                                                               "\TypeLib\{565783C6-CB41-11D1-8B02-00600806D9B6}\1.2"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemdisp.tlb", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wbemess.dll", False, Array ("\CLSID\{5D08B586-343A-11D0-AD46-00C04FD8FDFF}", _
                                                                                                              "\CLSID\{F3130CDB-AA52-4C3A-AB32-85FFC23AF9C1}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemperf.dll", False, Array ("\CLSID\{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", _
                                                                                                               "\CLSID\{FF37A93C-C28E-11D1-AEB6-00C04FB68820}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemprox.dll", False, Array ("\CLSID\{443E7B79-DE31-11D2-B340-00104BCC4B4A}", _
                                                                                                               "\CLSID\{4590F811-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                               "\CLSID\{CB8555CC-9128-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{CD184336-9128-11D1-AD9B-00C04FD8FDFF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemsvc.dll", False, Array ("\CLSID\{7C857801-7381-11CF-884D-00AA004B2E24}", _
                                                                                                              "\Interface\{06413D98-405C-4A5A-8D6F-19B8B7C6ACF7}", _
                                                                                                              "\Interface\{07435309-D440-41B7-83F3-EB82DB6C622F}", _
                                                                                                              "\Interface\{0FC8C622-1728-4149-A57F-AD19D0970710}", _
                                                                                                              "\Interface\{11CAA957-4E80-474E-A819-7FD72148ADA9}", _
                                                                                                              "\Interface\{1BE41571-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                              "\Interface\{1BE41572-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                              "\Interface\{1C1C45EE-4395-11D2-B60B-00104B703EFD}", _
                                                                                                              "\Interface\{1CFABA8C-1523-11D1-AD79-00C04FD8FDFF}", _
                                                                                                              "\Interface\{21CD80A2-B305-4F37-9D4C-4534A8D9B568}", _
                                                                                                              "\Interface\{25411283-46FC-4326-8DF2-FF5D34B2DFEF}", _
                                                                                                              "\Interface\{2A504CA2-CA90-4731-87BC-6E99CA2019AF}", _
                                                                                                              "\Interface\{2B322B6E-A9DF-44E3-97BF-259E3583FDA4}", _
                                                                                                              "\Interface\{2C9273E0-1DC3-11D3-B364-00105A1F8177}", _
                                                                                                              "\Interface\{2DB9FA90-9973-46CF-B310-9865B644699D}", _
                                                                                                              "\Interface\{37196B38-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                              "\Interface\{37196B39-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                              "\Interface\{3AE0080A-7E3A-4366-BF89-0FEEDC931659}", _
                                                                                                              "\Interface\{41AA40E6-2FBA-4E80-ADE9-34306567206D}", _
                                                                                                              "\Interface\{423EC01E-2E35-11D2-B604-00104B703EFD}", _
                                                                                                              "\Interface\{44ACA675-E8FC-11D0-A07C-00C04FB68820}", _
                                                                                                              "\Interface\{484E3ECE-1F81-4591-B9D4-943BA13B609D}", _
                                                                                                              "\Interface\{48FF3109-A366-4B56-B340-01FAE758BA64}", _
                                                                                                              "\Interface\{580ACAF8-FA1C-11D0-AD72-00C04FD8FDFF}", _
                                                                                                              "\Interface\{5FBA5051-3124-4112-B723-46BFBAF1D622}", _
                                                                                                              "\Interface\{60E512D4-C47B-11D2-B338-00105A1F4AAF}", _
                                                                                                              "\Interface\{631F7D96-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                              "\Interface\{631F7D97-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                              "\Interface\{6919DD07-1637-4611-A8A7-C16FAC5B2D53}", _
                                                                                                              "\Interface\{6963B029-B969-40AA-9180-2B2F84075973}", _
                                                                                                              "\Interface\{6B3FC272-BF37-4968-933A-6DF9222A2607}", _
                                                                                                              "\Interface\{6C19BE32-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{6C19BE34-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{755F9DA7-7508-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{854D745C-6742-42C0-8BB9-01EC466B6E87}", _
                                                                                                              "\Interface\{88F3781C-6902-4647-9A6B-A74F450AF861}", _
                                                                                                              "\Interface\{8A0DC377-A9D3-41CB-BD69-AE1FDAF2DC68}", _
                                                                                                              "\Interface\{A210BFE9-C9F7-4919-B114-0D98B3D5341E}", _
                                                                                                              "\Interface\{A359DEC5-E813-4834-8A2A-BA7F1D777D76}", _
                                                                                                              "\Interface\{AC9EA02A-2C8A-4ACD-B562-D7E8EBEE8E8E}", _
                                                                                                              "\Interface\{B1B55910-8BA0-47A5-A16E-2B733B1D987C}", _
                                                                                                              "\Interface\{B60EF4F1-A411-462B-B51E-477CBDBB90B4}", _
                                                                                                              "\Interface\{B7B31DF9-D515-11D3-A11C-00105A1F515A}", _
                                                                                                              "\Interface\{BAC6B661-167E-4957-AD77-286AB256585E}", _
                                                                                                              "\Interface\{C49E32C7-BC8B-11D2-85D4-00105A1F8304}", _
                                                                                                              "\Interface\{CE61E841-65BC-11D0-B6BD-00AA003240C7}", _
                                                                                                              "\Interface\{D4781CD6-E5D3-44DF-AD94-930EFE48A887}", _
                                                                                                              "\Interface\{D8EC9CB1-B135-4F10-8B1B-C7188BB0D186}", _
                                                                                                              "\Interface\{DF2373F5-EFB2-475C-AD58-3102D61967D4}", _
                                                                                                              "\Interface\{E245105B-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                              "\Interface\{E246107A-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                              "\Interface\{E8107BDF-BAAF-4C7C-BB5F-9D732E8D8F07}", _
                                                                                                              "\Interface\{EB658B8A-7A64-4DDC-9B8D-A92610DB0206}", _
                                                                                                              "\Interface\{F0E4EDDE-475A-498A-93D7-D4347F68A8F3}", _
                                                                                                              "\Interface\{F1E9C5B2-F59B-11D2-B362-00105A1F8177}", _
                                                                                                              "\Interface\{F309AD18-D86A-11D0-A075-00C04FB68820}", _
                                                                                                              "\Interface\{F50A28CF-5C9C-4F7E-9D80-E25E16E18C59}", _
                                                                                                              "\Interface\{FD450835-CF1B-4C87-9FD2-5E0D42FDE081}", _
                                                                                                              "\Interface\{FEC1B0AC-5808-4033-A915-C0185934581E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemupgd.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "winmgmtr.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiapres.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiaprpl.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmicookr.dll", False, Array ("\CLSID\{B0A2AB46-F612-4469-BEC4-7AB038BC476C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmidcprv.dll", False, Array ("\CLSID\{4CFC7932-0F9D-4BEF-9C32-8EA2A6B56FCB}", _
                                                                                                               "\CLSID\{F5F75737-2843-4F22-933D-C76A97CDA62F}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmimsg.dll", False, Array ("\CLSID\{622D47B6-CEEC-4DE1-8056-B6D16F29BC97}", _
                                                                                                             "\CLSID\{89F9F7B0-8DE3-4AE0-8B41-109ABAB32151}", _
                                                                                                             "\CLSID\{958C59A0-3670-4FE0-B893-6998BB494402}", _
                                                                                                             "\CLSID\{9F007F18-9C24-4630-8B3E-61F96280C593}", _
                                                                                                             "\CLSID\{C1692211-1EC1-4847-9C0D-D2F2D80D07CF}", _
                                                                                                             "\CLSID\{C169CC11-1EC1-4847-9C0D-D2F2D80D07CF}", _
                                                                                                             "\CLSID\{CE69CC1E-1EC0-4847-9C0D-D2F2D80D07CF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipcima.dll", False, Array ("\CLSID\{04788120-12C2-498D-83C1-A7D92E677AC6}", _
                                                                                                               "\CLSID\{A3E41207-BE04-492A-AFF0-19E880FF7545}", _
                                                                                                               "\CLSID\{E2CBCB87-9C07-4523-A78F-061499C83987}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipdskq.dll", False, Array ("\CLSID\{4AF3F4A4-06C8-4B79-A523-633CC65CE297}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipicmp.dll", False, Array ("\CLSID\{734AC5AE-68E1-4FB5-B8DA-1D92F7FC6661}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipiprt.dll", False, Array ("\CLSID\{23B77E99-5C2D-482D-A795-62CA3AE5B673}", _
                                                                                                               "\CLSID\{6D7A4B0E-66D5-4AC3-A7ED-0189E8CF5E77}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipjobj.dll", False, Array ("\CLSID\{6515834D-6125-4878-A3A3-6B0A73B809A2}", _
                                                                                                               "\CLSID\{7FB1D98A-F895-4761-8DC2-774969C84D10}", _
                                                                                                               "\CLSID\{AB40A5C1-804B-40BD-9DFE-A640691C6956}", _
                                                                                                               "\CLSID\{C0AA9D93-2EF5-47FB-960C-F90FC644B48E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprov.dll", False, Array ("\CLSID\{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", _
                                                                                                              "\CLSID\{35B78F79-B973-48C8-A045-CAEC732A35D5}", _
                                                                                                              "\CLSID\{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprvsd.dll", False, Array ("\CLSID\{4DE225BF-CF59-4CFC-85F7-68B90F185355}", _
                                                                                                               "\CLSID\{7F598975-37E0-4A67-A992-116680F0CEDA}", _
                                                                                                               "\CLSID\{8BEBCE8B-1AF0-4323-8B4D-36994567CAE1}", _
                                                                                                               "\CLSID\{F5A55D36-8750-432C-AB52-AD49A016EABC}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipsess.dll", False, Array ("\CLSID\{6E78DAD9-E187-4D6E-BA63-760256D6F405}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmisvc.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmitimep.dll", False, Array ("\CLSID\{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiutils.dll", False, Array ("\CLSID\{CF4CC405-E2C5-4DDD-B3CE-5E7582D8C9FA}", _
                                                                                                               "\CLSID\{EAC8A024-21E2-4523-AD73-A71A0AA2F56A}", _
                                                                                                               "\CLSID\{EB87E1BD-3233-11D2-AEC9-00C04FB68820}"), _
                                                  "%SystemRoot%\System32\WBEM\", "msiprov.dll", False, Array ("\CLSID\{BE0A9830-2B8B-11D1-A949-0060181EBBAD}"), _
                                                  "%SystemRoot%\System32\WBEM\xml\", "wmi2xml.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\xml\", "cim20.dtd", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\xml\", "wmi20.dtd", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "xsl-mappings.xml", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "csv.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "hform.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "htable-sortby.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "htable.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "mof.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "rawxml.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "texttable.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "texttablewsys.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "textvaluelist.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiclimofformat.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiclitableformat.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiclitableformatnosys.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiclivalueformat.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "xml.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmic.exe", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "snmpcl.dll", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "snmpincl.dll", True, Array ("\CLSID\{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", _
                                                                                                              "\CLSID\{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", _
                                                                                                              "\CLSID\{70426720-F78F-11CF-9151-00AA00A4086C}", _
                                                                                                              "\CLSID\{9D5BED16-0765-11D1-AB2C-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "snmpsmir.dll", True, Array ("\CLSID\{5009AB90-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB92-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB94-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB9B-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{B11B26AC-A791-11D0-AAEA-00A024E8AD1C}", _
                                                                                                              "\CLSID\{B11B26AE-A791-11D0-AAEA-00A024E8AD1C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "snmpstup.dll", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "snmpthrd.dll", True, Null _
                                                 )

                    arrayWMISystemClassList = Array ("__SystemClass", _
                                                     "__thisNAMESPACE", _
                                                     "__Provider", _
                                                     "__Win32Provider", _
                                                     "__ProviderRegistration", _
                                                     "__EventProviderRegistration", _
                                                     "__EventConsumerProviderRegistration", _
                                                     "__PropertyProviderRegistration", _
                                                     "__ObjectProviderRegistration", _
                                                     "__ClassProviderRegistration", _
                                                     "__InstanceProviderRegistration", _
                                                     "__MethodProviderRegistration", _
                                                     "__IndicationRelated", _
                                                     "__EventFilter", _
                                                     "__EventConsumer", _
                                                     "__FilterToConsumerBinding", _
                                                     "__EventGenerator", _
                                                     "__TimerInstruction", _
                                                     "__IntervalTimerInstruction", _
                                                     "__AbsoluteTimerInstruction", _
                                                     "__Event", _
                                                     "__ExtrinsicEvent", _
                                                     "__SystemEvent", _
                                                     "__EventDroppedEvent", _
                                                     "__ConsumerFailureEvent", _
                                                     "__QOSFailureEvent", _
                                                     "__EventQueueOverflowEvent", _
                                                     "__InstanceOperationEvent", _
                                                     "__InstanceCreationEvent", _
                                                     "__InstanceModificationEvent", _
                                                     "__MethodInvocationEvent", _
                                                     "__InstanceDeletionEvent", _
                                                     "__ClassOperationEvent", _
                                                     "__ClassModificationEvent", _
                                                     "__ClassCreationEvent", _
                                                     "__ClassDeletionEvent", _
                                                     "__NamespaceOperationEvent", _
                                                     "__NamespaceDeletionEvent", _
                                                     "__NamespaceCreationEvent", _
                                                     "__NamespaceModificationEvent", _
                                                     "__TimerEvent", _
                                                     "__AggregateEvent", _
                                                     "__TimerNextFiring", _
                                                     "__SystemSecurity", _
                                                     "__NAMESPACE" _
                                                    )

                    arrayWMIProgID = Array ("WBemscripting.SWBemlocator", "wbemdisp.dll", _
                                            "WbemScripting.SWbemDateTime", "wbemdisp.dll", _
                                            "WbemScripting.SWbemObjectPath", "wbemdisp.dll", _
                                            "WbemScripting.SWbemSink", "wbemdisp.dll", _
                                            "WbemScripting.SWbemLocator", "wbemdisp.dll", _
                                            "WbemScripting.SWbemNamedValueSet", "wbemdisp.dll", _
                                            "WbemScripting.SWbemRefresher", "wbemdisp.dll" _
                                           )

                    arrayWMITestList = Array (_
                                              "Root", _
                                                    True, _
                                                    Null, _
                                                    Null, _
                                                    Array (cWarning, "__ArbitratorConfiguration", "@", Array ("OutstandingTasksPerUser", 30, _
                                                                                                              "OutstandingTasksTotal", 3000, _
                                                                                                              "PermanentSubscriptionsPerUser", 1000, _
                                                                                                              "PermanentSubscriptionsTotal", 10000, _
                                                                                                              "PollingInstructionsPerUser", 1000, _
                                                                                                              "PollingInstructionsTotal", 10000, _
                                                                                                              "PollingMemoryPerUser", 5000000, _
                                                                                                              "PollingMemoryTotal", 10000000, _
                                                                                                              "QuotaRetryCount", 10, _
                                                                                                              "QuotaRetryWaitInterval", 15000, _
                                                                                                              "TaskThreadsPerUser", 3, _
                                                                                                              "TaskThreadsTotal", 30, _
                                                                                                              "TemporarySubscriptionsPerUser", 1000, _
                                                                                                              "TemporarySubscriptionsTotal", 10000, _
                                                                                                              "TotalCacheDisk", 1048576, _
                                                                                                              "TotalCacheDiskPerTask", 51250, _
                                                                                                              "TotalCacheDiskPerUser", 102500, _
                                                                                                              "TotalCacheMemory", 10240, _
                                                                                                              "TotalCacheMemoryPerTask", 1024, _
                                                                                                              "TotalCacheMemoryPerUser", 2048, _
                                                                                                              "TotalUsers", 50), _
                                                           cWarning, "__ProviderHostQuotaConfiguration", "@", Array ("HandlesPerHost", 4096, _
                                                                                                                     "MemoryAllHosts", "1073741824", _
                                                                                                                     "MemoryPerHost", "134217728", _
                                                                                                                     "ProcessLimitAllHosts", 32, _
                                                                                                                     "ThreadsPerHost", 256), _
                                                           cWarning, "__EventProviderCacheControl", "@",         Array ("ClearAfter", "00000000000030.000000:000"), _
                                                           cWarning, "__ObjectProviderCacheControl", "@",        Array ("ClearAfter", "00000000000030.000000:000"), _
                                                           cWarning, "__EventSinkCacheControl", "@",             Array ("ClearAfter", "00000000000015.000000:000"), _
                                                           cWarning, "__EventConsumerProviderCacheControl", "@", Array ("ClearAfter", "00000000000030.000000:000"), _
                                                           cWarning, "__PropertyProviderCacheControl", "@",      Array ("ClearAfter", "00000000000030.000000:000") ), _
                                              "Root/Default", _
                                                    True, _
                                                    Array (cWarning, "SystemRestore", _
                                                           cWarning, "SystemRestoreConfig"), _
                                                    Array (cWarning,  "SELECT * FROM SystemRestore", _
                                                           cWarning,  "SELECT * FROM SystemRestoreConfig"), _
                                                    Null, _
                                              "Root/CIMv2", _
                                                    True, _
                                                    Array (cCritical, "Win32_Process", _
                                                           cCritical, "Win32_OperatingSystem", _
                                                           cCritical, "Win32_ComputerSystem", _
                                                           cCritical, "Win32_Service", _
                                                           cCritical, "Win32_Bios", _
                                                           cPresence, "Win32_Perf", _
                                                           cPresence, "Win32_PerfRawData", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_IP", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_TCP", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_UDP", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_ICMP", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Cache", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Memory", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Objects", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_PagingFile", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Processor", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_System", _
                                                           cCritical, "Win32_PerfRawData_PerfProc_Process", _
                                                           cCritical, "Win32_PerfRawData_PerfProc_Thread", _
                                                           cPresence, "Win32_PerfFormattedData", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_IP", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_TCP", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_UDP", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_ICMP", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Cache", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Memory", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Objects", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_PagingFile", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Processor", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_System", _
                                                           cCritical, "Win32_PerfFormattedData_PerfProc_Process", _
                                                           cCritical, "Win32_PerfFormattedData_PerfProc_Thread"), _
                                                    Array (cCritical, "SELECT * FROM Win32_LogicalDisk WHERE FreeSpace > 10000000 AND DriveType = 3", _
                                                           cCritical, "SELECT * FROM Win32_PageFileUsage", _
                                                           cCritical, "SELECT * FROM Win32_BIOS WHERE Version IS NOT NULL", _
                                                           cCritical, "SELECT * FROM Win32_NetworkAdapter WHERE AdapterType IS NOT NULL AND AdapterType != ""Wide Area Network (WAN)"" AND Description != ""Packet Scheduler Miniport"" ", _
                                                           cCritical, "SELECT * FROM Win32_Processor WHERE Name IS NOT NULL", _
                                                           cCritical, "SELECT * FROM Win32_DiskDrive", _
                                                           cCritical, "SELECT * FROM Win32_ComputerSystem", _
                                                           cCritical, "SELECT * FROM Win32_DiskPartition", _
                                                           cCritical, "SELECT * FROM Win32_LogicalDisk WHERE Description != ""Network Connection""", _
                                                           cWarning,  "SELECT * FROM Win32_SoundDevice", _
                                                           cWarning,  "SELECT * FROM Win32_VideoController", _
                                                           cWarning,  "SELECT * FROM Win32_USBController", _
                                                           cWarning,  "SELECT * FROM Win32_DesktopMonitor", _
                                                           cWarning,  "SELECT * FROM Win32_PointingDevice WHERE Status = ""OK""", _
                                                           cWarning,  "SELECT * FROM Win32_Keyboard", _
                                                           cCritical, "SELECT * FROM Win32_SystemDriver WHERE StartMode != ""Disabled"""), _
                                                    Null, _
                                              "Root/WMI", _
                                                    True, _
                                                    Null, _
                                                    Array (cCritical, "SELECT * FROM MSNdis_MediaConnectStatus"), _
                                                    Null _
                                             )

                    arrayWMIRegistryServiceSetup = Array ("HKLM\SYSTEM\CurrentControlSet\Services\winmgmt", _
                                                          Array (_
                                                                 cRegistryError, "Type", "REG_DWORD", "&h20", _
                                                                 cRegistryError, "Start", "REG_DWORD", "&h2", _
                                                                 cRegistryWarning, "ErrorControl", "REG_DWORD", "&h0", _
                                                                 cRegistryWarning, "ImagePath", "REG_EXPAND_SZ", "%systemroot%\system32\svchost.exe -k netsvcs", _
                                                                 cRegistryInfo, "DisplayName", "REG_SZ", Null, _
                                                                 cRegistryWarning, "DependOnService", "REG_MULTI_SZ", "RPCSS", _
                                                                 cRegistryInfo, "DependOnGroup", "REG_MULTI_SZ", Null, _
                                                                 cRegistryError, "ObjectName", "REG_SZ", "LocalSystem", _
                                                                 cRegistryWarning, "FailureActions", "REG_BINARY", Null, _
                                                                 cRegistryInfo, "Description", "REG_SZ", Null _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Parameters", _
                                                          Array (_
                                                                 cRegistryError, "ServiceDll", "REG_EXPAND_SZ", "%SystemRoot%\system32\wbem\WMIsvc.dll", _
                                                                 cRegistryError, "ServiceMain", "REG_SZ", "ServiceMain" _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Security", _
                                                          Array (_
                                                                 cRegistryWarning, "Security", "REG_BINARY", "" _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Enum", _
                                                          Array (_
                                                                 cRegistryWarning, "0", "REG_SZ", "Root\LEGACY_WINMGMT\0000", _
                                                                 cRegistryWarning, "Count", "REG_DWORD", "&h1", _
                                                                 cRegistryWarning, "NextInstance", "REG_DWORD", "&h1" _
                                                                ) _
                                                         )

                    arrayWMIRegistrySettings = Array ("HKLM\SOFTWARE\Microsoft\WBEM\Scripting", _
                                                      Array (_
                                                             cRegistryWarning, "Default Namespace", "REG_SZ", "root\cimv2", _
                                                             cRegistryWarning, "Default Impersonation Level", "REG_DWORD", "3" _
                                                            ), _
                                                      "HKLM\SOFTWARE\Microsoft\WBEM\CIMOM", _
                                                      Array (_
                                                             cRegistryWarning, "ADAPdelay", "REG_DWORD", "&hf0", _
                                                             cRegistryError, "Default Repository Driver", "REG_SZ", "{7998dc37-d3fe-487c-a60a-7701fcc70cc6}", _
                                                             cRegistryError, "EnableEvents", "REG_SZ", "1", _
                                                             cRegistryInfo, "Logging", "REG_SZ", "1", _
                                                             cRegistryWarning, "Logging Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM\Logs\", _
                                                             cRegistryError, "Repository Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM\Repository", _
                                                             cRegistryWarning, "TimeOutMs", "REG_SZ", "20000", _
                                                             cRegistryError, "WMISetup", "REG_SZ", "0", _
                                                             cRegistryError, "Working Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM", _
                                                             cRegistryWarning, "Autorecover MOFs", "REG_SZ", Null, _
                                                             cRegistryWarning, "Log File Max Size", "REG_SZ", "65536" _
                                                            ) _
                                                     )


                    arrayWMIRegistryDCOMSetup = Array ("HKLM\SOFTWARE\Classes\AppID\{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management and Instrumentation", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null, _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management and Instrumentation", _
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\winmgmt", _
                                                       Array (_
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WMI Provider Subsystem Host", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WMI Provider Subsystem Host", _
                                                              cRegistryError, "AppID", "REG_SZ", "{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM UnSecured Apartment" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM Active Scripting Event Consumer Provider" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{C49E32C6-BC8B-11D2-85D4-00105A1F8304}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management Instrumentation Backup and Recovery", _
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Wbem Scripting Object Path" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS\CLSID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "{172BDDF8-CEEA-11D1-8B05-00600806D9B6}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS\CurVer", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS.1" _
                                                             ), _
                                                       "HKCR\WINMGMTS.1", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Wbem Object Path 1.0" _
                                                             ), _
                                                       "HKCR\WINMGMTS.1\CLSID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "{172BDDF8-CEEA-11D1-8B05-00600806D9B6}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}\ProgID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS.1" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}\VersionIndependentProgID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS" _
                                                             ) _
                                                      )

                    arrayWMISystemConfigurationClasses = Array ("__CIMOMIdentification", "__ArbitratorConfiguration", " __ProviderHostQuotaConfiguration", "__CacheControl")

                    arrayWMIRepositoryFiles = Array(_
                                                    "Repository\FS", _
                                                    "INDEX.BTR", _
                                                    "INDEX.MAP", _
                                                    "MAPPING.VER", _
                                                    "MAPPING1.MAP", _
                                                    "MAPPING2.MAP", _
                                                    "OBJECTS.DATA", _
                                                    "OBJECTS.MAP" _
                                                   )

                    arrayWMIServiceKnownDependent = Array (_
                                                           "wscsvc", "Security Center", _
                                                           "SharedAccess", "Windows Firewall/Internet Connection Sharing (ICS)", _
                                                           "CcmExec", "SMS Agent Host", _
                                                           "6to4", "IPv6 Helper Service", _
                                                           "MSExchangeMGMT", "Exchange Management Service", _
                                                           "IIMFilter", "Live Communication Server Filter Service", _
                                                           "RtcSrv", "Live Communication Server User Service", _
                                                           "MngAgent", "SNA Mngagent Service", _
                                                           "ADSBuilder", "Automated Deployment Services (ADS) Deployment Agent", _
                                                           "ADSPXE", "Automated Deployment Services (ADS) PXE Service" _
                                                          )

                    arrayDCOMDefaultAccessPermission = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("NT AUTHORITY\SELF", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                         DCOM_RIGHT_ACCESS_REMOTE, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_ACCESS_LOCAL), _
                                                              Null _
                                                             )
           
                    If Len (RunTimeEnvironmentInfo.SPUpgrade) > 0 Then
                       arrayDCOMDefaultLaunchPermission = Array ("BUILTIN\Administrators", _
                                                                 "BUILTIN\Administrators", _
                                                                 SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                 Array ("BUILTIN\Administrators", _
                                                                           ACCESS_ALLOWED_ACE_TYPE, _
                                                                           0, _
                                                                           DCOM_RIGHT_EXECUTE Or _
                                                                             DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                             DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                             DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                             DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                        "NT AUTHORITY\INTERACTIVE", _
                                                                           ACCESS_ALLOWED_ACE_TYPE, _
                                                                           0, _
                                                                           DCOM_RIGHT_EXECUTE Or _
                                                                             DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                             DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                             DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                             DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                        "NT AUTHORITY\SYSTEM", _
                                                                           ACCESS_ALLOWED_ACE_TYPE, _
                                                                           0, _
                                                                           DCOM_RIGHT_EXECUTE Or _
                                                                             DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                             DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                             DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                             DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                                 Null _
                                                                )
                    Else
                       arrayDCOMDefaultLaunchPermission = Array ("BUILTIN\Administrators", _
                                                                 "BUILTIN\Administrators", _
                                                                 SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                 Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE Or _
                                                                          DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                          DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                          DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                          DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                        "NT AUTHORITY\INTERACTIVE", _
                                                                           ACCESS_ALLOWED_ACE_TYPE, _
                                                                           0, _
                                                                           DCOM_RIGHT_EXECUTE Or _
                                                                             DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                             DCOM_RIGHT_ACTIVATE_LOCAL, _
                                                                        "NT AUTHORITY\SYSTEM", _
                                                                           ACCESS_ALLOWED_ACE_TYPE, _
                                                                           0, _
                                                                           DCOM_RIGHT_EXECUTE Or _
                                                                             DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                             DCOM_RIGHT_ACTIVATE_LOCAL), _
                                                                 Null _
                                                                )
                    End If 
           
                    arrayDCOMMachineAccessRestriction = Array ("BUILTIN\Administrators", _
                                                               "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("NT AUTHORITY\ANONYMOUS LOGON", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                           DCOM_RIGHT_ACCESS_REMOTE), _
                                                               Null _ 
                                                              )
           
                    arrayDCOMMachineLaunchRestriction = Array ("BUILTIN\Administrators", _
                                                               "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                           DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                           DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                           DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                           DCOM_RIGHT_ACTIVATE_LOCAL), _
                                                               Null _
                                                              )
           
                    arrayWMIDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                          "BUILTIN\Administrators", _
                                                          SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                          Array ("Everyone", _
                                                                    ACCESS_ALLOWED_ACE_TYPE, _
                                                                    0, _
                                                                    DCOM_RIGHT_EXECUTE Or _
                                                                      DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                      DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                      DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                      DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                          Null _
                                                         ) 
           
                    arrayWMIPSSDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIPSSDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                             "BUILTIN\Administrators", _
                                                             SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                             Array ("BUILTIN\Administrators", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\INTERACTIVE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\SYSTEM", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\NETWORK SERVICE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\LOCAL SERVICE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                             Null _
                                                            ) 

                    arrayWMIUnsecureApptDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    If Len (RunTimeEnvironmentInfo.SPUpgrade) > 0 Then
                       arrayWMIUnsecureApptDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                                         "BUILTIN\Administrators", _
                                                                         SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                         Array ("Everyone", _
                                                                                   ACCESS_ALLOWED_ACE_TYPE, _
                                                                                   0, _
                                                                                   DCOM_RIGHT_EXECUTE Or _
                                                                                     DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                                     DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                                     DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                                     DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                                 Null _
                                                                )
                    Else
                       arrayWMIUnsecureApptDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 
                    End If

                    arrayWMIActiveScriptEventConsDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIActiveScriptEventConsDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 

                    arrayWMIDefaultNameSpaceSecurity = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\LOCAL SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER), _
                                                               Null _
                                                              )
           
                    arrayWMINameSpaceSecurity = Array ("ROOT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/SECURITY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CLI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/ASPNET", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP/LOCALHOST", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SECURITYCENTER", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/WMI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/POLICY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT/HOMENET", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DEFAULT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY/LDAP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SUBSCRIPTION", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "Root/RSOP", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/Computer", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/User", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                                          Null _
                                                              ) _
                                                      )

               Case cWindowsXPSP3

                    arrayWMIDCOMDataList = Array (_
                                                  "%SystemRoot%\System32\WBEM\", "smi2smir.exe", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprvse.exe", False, Array ("\CLSID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}"), _
                                                  "%SystemRoot%\System32\WBEM\", "mofcomp.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "scrcons.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "unsecapp.exe", False, Array ("\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}"),_
                                                  "%SystemRoot%\System32\WBEM\", "wbemtest.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "winmgmt.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiadap.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiapsrv.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "cimwin32.dll", False, Array ("\CLSID\{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", _
                                                                                                               "\CLSID\{D31B6A3F-9350-40DE-A3FC-A7EDEB9B7C63}", _
                                                                                                               "\CLSID\{D63A5850-8F16-11CF-9F47-00AA00BF345C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "CmdEvTgProv.dll", True, Array ("\CLSID\{797EF3B3-127B-4283-8096-1E8084BF67A6}"), _
                                                  "%SystemRoot%\System32\WBEM\", "dsprov.dll", False, Array ("\CLSID\{1EF94880-01A8-11D2-A90B-00AA00BF3363}", _
                                                                                                             "\CLSID\{33831ED4-42B8-11D2-93AD-00805F853771}", _
                                                                                                             "\CLSID\{AA527A40-4D9A-11D2-93AD-00805F853771}"), _
                                                  "%SystemRoot%\System32\WBEM\", "esscli.dll", False, Array ("\CLSID\{6C19BE35-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                             "\CLSID\{DC923725-0FDD-45E1-AE74-EA09182E739B}"), _
                                                  "%SystemRoot%\System32\WBEM\", "evntrprv.dll", False, Array ("\CLSID\{9a5dd473-d410-11d1-b829-00c04f94c7c3}", _
                                                                                                               "\CLSID\{f95e1664-7979-44f2-a040-496e7f500043}"), _
                                                  "%SystemRoot%\System32\WBEM\", "fastprox.dll", False, Array ("\CLSID\{1108BE51-F58A-4CDA-BB99-7A0227D11D5E}", _
                                                                                                               "\CLSID\{1B1CAD8C-2DAB-11D2-B604-00104B703EFD}", _
                                                                                                               "\CLSID\{29B5828C-CAB9-11D2-B35C-00105A1F8177}", _
                                                                                                               "\CLSID\{4590F812-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                               "\CLSID\{5839FCA9-774D-42A1-ACDA-D6A79037F57F}", _
                                                                                                               "\CLSID\{674B6698-EE92-11D0-AD71-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{7016F8FA-CCDA-11D2-B35C-00105A1F8177}", _
                                                                                                               "\CLSID\{71285C44-1DC0-11D2-B5FB-00104B703EFD}", _
                                                                                                               "\CLSID\{78103FB7-AED7-4066-8BCD-30BB27B02331}", _
                                                                                                               "\CLSID\{8D1C559D-84F0-4BB3-A7D5-56A7435A9BA6}", _
                                                                                                               "\CLSID\{9A653086-174F-11D2-B5F9-00104B703EFD}", _
                                                                                                               "\CLSID\{C71566F2-561E-11D1-AD87-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{CC9072AB-C000-49D8-A5AA-00266C8DBB9B}", _
                                                                                                               "\CLSID\{CD1ABFC8-6C5E-4A8D-B90B-2A3B153B886D}", _
                                                                                                               "\CLSID\{D68AF00A-29CB-43FA-8504-CE99A996D9EA}", _
                                                                                                               "\CLSID\{DCF33DF4-B510-439F-832A-16B6B514F2A7}"), _
                                                  "%SystemRoot%\System32\WBEM\", "framedyn.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "fwdprov.dll", False, Array ("\CLSID\{7879E40D-9FB5-450A-8A6D-00C89F349FCE}", _
                                                                                                              "\CLSID\{AD1B46E8-0AAC-401B-A3B8-FCDCF8186F55}"), _
                                                  "%SystemRoot%\System32\WBEM\", "krnlprov.dll", False, Array ("\CLSID\{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", _
                                                                                                               "\TypeLib\{6B100E1A-1385-4D1F-A02E-6E705A76BB6C}\1.0"), _
                                                  "%SystemRoot%\System32\WBEM\", "mofd.dll", False, Array ("\CLSID\{6DAF9757-2E37-11D2-AEC9-00C04FB68820}", _
                                                                                                           "\CLSID\{C10B4771-4DA0-11D2-A2F5-00C04F86FB7D}"), _
                                                  "%SystemRoot%\System32\WBEM\", "ncprov.dll", False, Array ("\CLSID\{29F06F0C-FB7F-44A5-83CD-D41705D5C525}", _
                                                                                                             "\TypeLib\{5F099F16-6A6E-4BBC-8BD8-98F3221D58C4}\1.0"), _
                                                  "%SystemRoot%\System32\WBEM\", "ntevt.dll", False, Array ("\CLSID\{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", _
                                                                                                            "\CLSID\{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "policman.dll", True, Array ("\CLSID\{69D76D1B-B12E-4913-8F48-671B90195A2B}", _
                                                                                                              "\CLSID\{AAEAE72F-0328-4763-8ECB-23422EDE2DB5}"), _
                                                  "%SystemRoot%\System32\WBEM\", "provthrd.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "repdrvfs.dll", False, Array ("\CLSID\{7998DC37-D3FE-487C-A60A-7701FCC70CC6}"), _
                                                  "%SystemRoot%\System32\WBEM\", "smtpcons.dll", False, Array ("\CLSID\{C7A3A54B-0250-11D3-9CD1-00105A1F4801}"), _
                                                  "%SystemRoot%\System32\WBEM\", "stdprov.dll", False, Array ("\CLSID\{72967901-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                              "\CLSID\{72967903-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                              "\CLSID\{F00B4404-F8F1-11CE-A5B6-00AA00680C3F}", _
                                                                                                              "\CLSID\{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", _
                                                                                                              "\CLSID\{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}"), _
                                                  "%SystemRoot%\System32\WBEM\", "tmplprov.dll", False, Array ("\CLSID\{C486ABD2-27F6-11D3-865E-00C04F63049B}"), _
                                                  "%SystemRoot%\System32\WBEM\", "trnsprov.dll", False, Array ("\CLSID\{405595AA-1E14-11D3-B33D-00105A1F4AAF}", _
                                                                                                               "\CLSID\{405595AB-1E14-11D3-B33D-00105A1F4AAF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "updprov.dll", False, Array ("\CLSID\{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", _
                                                                                                              "\CLSID\{A3A16907-227B-11D3-865D-00C04F63049B}"), _
                                                  "%SystemRoot%\System32\WBEM\", "viewprov.dll", False, Array ("\CLSID\{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemads.dll", False, Array ("\CLSID\{F0975AFE-5C7F-11D2-8B74-00104B2AFB41}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemads.tlb", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcntl.dll", False, Array ("\CLSID\{5C659257-E236-11D2-8899-00104B2AFB46}", _
                                                                                                               "\CLSID\{5C659258-E236-11D2-8899-00104B2AFB46}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcomn.dll", False, Array ("\CLSID\{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcons.dll", False, Array ("\CLSID\{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcore.dll", False, Array ("\CLSID\{1860E246-E924-4F73-B2C5-93E0577E3AA1}", _
                                                                                                               "\CLSID\{1F0BC6AD-46D4-488B-BE1F-047FC7505E60}", _
                                                                                                               "\CLSID\{4FA18276-912A-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{6543D242-A80B-44A3-B828-95C1EC452423}", _
                                                                                                               "\CLSID\{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", _
                                                                                                               "\CLSID\{ED999FF5-223A-4052-8ECE-0B10C8DBAA39}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemdisp.dll", False, Array ("\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{47DFBE54-CF76-11D3-B38F-00105A1F473A}", _
                                                                                                               "\CLSID\{5791BC26-CE9C-11D1-97BF-0000F81E849C}", _
                                                                                                               "\CLSID\{75718C9A-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\CLSID\{76A64158-CB41-11D1-8B02-00600806D9B6}", _
                                                                                                               "\CLSID\{9AED384E-CE8B-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{C2FEEEAC-CFCD-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{D269BF5C-D9C1-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{14D8250E-D9C2-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{269AD56A-8A67-4129-BC8C-0506DCFE9880}", _
                                                                                                               "\Interface\{5AD4BF92-DAAB-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{5E97458A-CF77-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{75718C9F-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\Interface\{75718CA0-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\Interface\{D2F68443-85DC-427E-91D8-366554CC754C}", _
                                                                                                               "\Interface\{D962DB84-D4BB-11D1-8B09-00600806D9B6}", _
                                                                                                               "\TypeLib\{565783C6-CB41-11D1-8B02-00600806D9B6}\1.2"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemdisp.tlb", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wbemess.dll", False, Array ("\CLSID\{5D08B586-343A-11D0-AD46-00C04FD8FDFF}", _
                                                                                                              "\CLSID\{F3130CDB-AA52-4C3A-AB32-85FFC23AF9C1}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemperf.dll", False, Array ("\CLSID\{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", _
                                                                                                               "\CLSID\{FF37A93C-C28E-11D1-AEB6-00C04FB68820}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemprox.dll", False, Array ("\CLSID\{443E7B79-DE31-11D2-B340-00104BCC4B4A}", _
                                                                                                               "\CLSID\{4590F811-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                               "\CLSID\{CB8555CC-9128-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{CD184336-9128-11D1-AD9B-00C04FD8FDFF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemsvc.dll", False, Array ("\CLSID\{7C857801-7381-11CF-884D-00AA004B2E24}", _
                                                                                                              "\Interface\{06413D98-405C-4A5A-8D6F-19B8B7C6ACF7}", _
                                                                                                              "\Interface\{07435309-D440-41B7-83F3-EB82DB6C622F}", _
                                                                                                              "\Interface\{0FC8C622-1728-4149-A57F-AD19D0970710}", _
                                                                                                              "\Interface\{11CAA957-4E80-474E-A819-7FD72148ADA9}", _
                                                                                                              "\Interface\{1BE41571-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                              "\Interface\{1BE41572-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                              "\Interface\{1C1C45EE-4395-11D2-B60B-00104B703EFD}", _
                                                                                                              "\Interface\{1CFABA8C-1523-11D1-AD79-00C04FD8FDFF}", _
                                                                                                              "\Interface\{21CD80A2-B305-4F37-9D4C-4534A8D9B568}", _
                                                                                                              "\Interface\{25411283-46FC-4326-8DF2-FF5D34B2DFEF}", _
                                                                                                              "\Interface\{2A504CA2-CA90-4731-87BC-6E99CA2019AF}", _
                                                                                                              "\Interface\{2B322B6E-A9DF-44E3-97BF-259E3583FDA4}", _
                                                                                                              "\Interface\{2C9273E0-1DC3-11D3-B364-00105A1F8177}", _
                                                                                                              "\Interface\{2DB9FA90-9973-46CF-B310-9865B644699D}", _
                                                                                                              "\Interface\{37196B38-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                              "\Interface\{37196B39-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                              "\Interface\{3AE0080A-7E3A-4366-BF89-0FEEDC931659}", _
                                                                                                              "\Interface\{41AA40E6-2FBA-4E80-ADE9-34306567206D}", _
                                                                                                              "\Interface\{423EC01E-2E35-11D2-B604-00104B703EFD}", _
                                                                                                              "\Interface\{44ACA675-E8FC-11D0-A07C-00C04FB68820}", _
                                                                                                              "\Interface\{484E3ECE-1F81-4591-B9D4-943BA13B609D}", _
                                                                                                              "\Interface\{48FF3109-A366-4B56-B340-01FAE758BA64}", _
                                                                                                              "\Interface\{580ACAF8-FA1C-11D0-AD72-00C04FD8FDFF}", _
                                                                                                              "\Interface\{5FBA5051-3124-4112-B723-46BFBAF1D622}", _
                                                                                                              "\Interface\{60E512D4-C47B-11D2-B338-00105A1F4AAF}", _
                                                                                                              "\Interface\{631F7D96-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                              "\Interface\{631F7D97-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                              "\Interface\{6919DD07-1637-4611-A8A7-C16FAC5B2D53}", _
                                                                                                              "\Interface\{6963B029-B969-40AA-9180-2B2F84075973}", _
                                                                                                              "\Interface\{6B3FC272-BF37-4968-933A-6DF9222A2607}", _
                                                                                                              "\Interface\{6C19BE32-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{6C19BE34-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{755F9DA7-7508-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{854D745C-6742-42C0-8BB9-01EC466B6E87}", _
                                                                                                              "\Interface\{88F3781C-6902-4647-9A6B-A74F450AF861}", _
                                                                                                              "\Interface\{8A0DC377-A9D3-41CB-BD69-AE1FDAF2DC68}", _
                                                                                                              "\Interface\{A210BFE9-C9F7-4919-B114-0D98B3D5341E}", _
                                                                                                              "\Interface\{A359DEC5-E813-4834-8A2A-BA7F1D777D76}", _
                                                                                                              "\Interface\{AC9EA02A-2C8A-4ACD-B562-D7E8EBEE8E8E}", _
                                                                                                              "\Interface\{B1B55910-8BA0-47A5-A16E-2B733B1D987C}", _
                                                                                                              "\Interface\{B60EF4F1-A411-462B-B51E-477CBDBB90B4}", _
                                                                                                              "\Interface\{B7B31DF9-D515-11D3-A11C-00105A1F515A}", _
                                                                                                              "\Interface\{BAC6B661-167E-4957-AD77-286AB256585E}", _
                                                                                                              "\Interface\{C49E32C7-BC8B-11D2-85D4-00105A1F8304}", _
                                                                                                              "\Interface\{CE61E841-65BC-11D0-B6BD-00AA003240C7}", _
                                                                                                              "\Interface\{D4781CD6-E5D3-44DF-AD94-930EFE48A887}", _
                                                                                                              "\Interface\{D8EC9CB1-B135-4F10-8B1B-C7188BB0D186}", _
                                                                                                              "\Interface\{DF2373F5-EFB2-475C-AD58-3102D61967D4}", _
                                                                                                              "\Interface\{E245105B-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                              "\Interface\{E246107A-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                              "\Interface\{E8107BDF-BAAF-4C7C-BB5F-9D732E8D8F07}", _
                                                                                                              "\Interface\{EB658B8A-7A64-4DDC-9B8D-A92610DB0206}", _
                                                                                                              "\Interface\{F0E4EDDE-475A-498A-93D7-D4347F68A8F3}", _
                                                                                                              "\Interface\{F1E9C5B2-F59B-11D2-B362-00105A1F8177}", _
                                                                                                              "\Interface\{F309AD18-D86A-11D0-A075-00C04FB68820}", _
                                                                                                              "\Interface\{F50A28CF-5C9C-4F7E-9D80-E25E16E18C59}", _
                                                                                                              "\Interface\{FD450835-CF1B-4C87-9FD2-5E0D42FDE081}", _
                                                                                                              "\Interface\{FEC1B0AC-5808-4033-A915-C0185934581E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemupgd.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "winmgmtr.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiapres.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiaprpl.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmicookr.dll", False, Array ("\CLSID\{B0A2AB46-F612-4469-BEC4-7AB038BC476C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmidcprv.dll", False, Array ("\CLSID\{4CFC7932-0F9D-4BEF-9C32-8EA2A6B56FCB}", _
                                                                                                               "\CLSID\{F5F75737-2843-4F22-933D-C76A97CDA62F}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmimsg.dll", False, Array ("\CLSID\{622D47B6-CEEC-4DE1-8056-B6D16F29BC97}", _
                                                                                                             "\CLSID\{89F9F7B0-8DE3-4AE0-8B41-109ABAB32151}", _
                                                                                                             "\CLSID\{958C59A0-3670-4FE0-B893-6998BB494402}", _
                                                                                                             "\CLSID\{9F007F18-9C24-4630-8B3E-61F96280C593}", _
                                                                                                             "\CLSID\{C1692211-1EC1-4847-9C0D-D2F2D80D07CF}", _
                                                                                                             "\CLSID\{C169CC11-1EC1-4847-9C0D-D2F2D80D07CF}", _
                                                                                                             "\CLSID\{CE69CC1E-1EC0-4847-9C0D-D2F2D80D07CF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipcima.dll", False, Array ("\CLSID\{04788120-12C2-498D-83C1-A7D92E677AC6}", _
                                                                                                               "\CLSID\{A3E41207-BE04-492A-AFF0-19E880FF7545}", _
                                                                                                               "\CLSID\{E2CBCB87-9C07-4523-A78F-061499C83987}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipdskq.dll", False, Array ("\CLSID\{4AF3F4A4-06C8-4B79-A523-633CC65CE297}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipicmp.dll", False, Array ("\CLSID\{734AC5AE-68E1-4FB5-B8DA-1D92F7FC6661}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipiprt.dll", False, Array ("\CLSID\{23B77E99-5C2D-482D-A795-62CA3AE5B673}", _
                                                                                                               "\CLSID\{6D7A4B0E-66D5-4AC3-A7ED-0189E8CF5E77}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipjobj.dll", False, Array ("\CLSID\{6515834D-6125-4878-A3A3-6B0A73B809A2}", _
                                                                                                               "\CLSID\{7FB1D98A-F895-4761-8DC2-774969C84D10}", _
                                                                                                               "\CLSID\{AB40A5C1-804B-40BD-9DFE-A640691C6956}", _
                                                                                                               "\CLSID\{C0AA9D93-2EF5-47FB-960C-F90FC644B48E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprov.dll", False, Array ("\CLSID\{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", _
                                                                                                              "\CLSID\{35B78F79-B973-48C8-A045-CAEC732A35D5}", _
                                                                                                              "\CLSID\{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprvsd.dll", False, Array ("\CLSID\{4DE225BF-CF59-4CFC-85F7-68B90F185355}", _
                                                                                                               "\CLSID\{7F598975-37E0-4A67-A992-116680F0CEDA}", _
                                                                                                               "\CLSID\{8BEBCE8B-1AF0-4323-8B4D-36994567CAE1}", _
                                                                                                               "\CLSID\{F5A55D36-8750-432C-AB52-AD49A016EABC}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipsess.dll", False, Array ("\CLSID\{6E78DAD9-E187-4D6E-BA63-760256D6F405}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmisvc.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmitimep.dll", False, Array ("\CLSID\{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiutils.dll", False, Array ("\CLSID\{CF4CC405-E2C5-4DDD-B3CE-5E7582D8C9FA}", _
                                                                                                               "\CLSID\{EAC8A024-21E2-4523-AD73-A71A0AA2F56A}", _
                                                                                                               "\CLSID\{EB87E1BD-3233-11D2-AEC9-00C04FB68820}"), _
                                                  "%SystemRoot%\System32\WBEM\", "msiprov.dll", False, Array ("\CLSID\{BE0A9830-2B8B-11D1-A949-0060181EBBAD}"), _
                                                  "%SystemRoot%\System32\WBEM\xml\", "wmi2xml.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\xml\", "cim20.dtd", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\xml\", "wmi20.dtd", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "xsl-mappings.xml", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "csv.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "hform.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "htable-sortby.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "htable.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "mof.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "rawxml.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "texttable.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "texttablewsys.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "textvaluelist.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiclimofformat.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiclitableformat.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiclitableformatnosys.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiclivalueformat.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "xml.xsl", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmic.exe", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "snmpcl.dll", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "snmpincl.dll", True, Array ("\CLSID\{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", _
                                                                                                              "\CLSID\{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", _
                                                                                                              "\CLSID\{70426720-F78F-11CF-9151-00AA00A4086C}", _
                                                                                                              "\CLSID\{9D5BED16-0765-11D1-AB2C-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "snmpsmir.dll", True, Array ("\CLSID\{5009AB90-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB92-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB94-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB9B-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{B11B26AC-A791-11D0-AAEA-00A024E8AD1C}", _
                                                                                                              "\CLSID\{B11B26AE-A791-11D0-AAEA-00A024E8AD1C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "snmpstup.dll", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "snmpthrd.dll", True, Null _
                                                 )

                    arrayWMISystemClassList = Array ("__SystemClass", _
                                                     "__thisNAMESPACE", _
                                                     "__Provider", _
                                                     "__Win32Provider", _
                                                     "__ProviderRegistration", _
                                                     "__EventProviderRegistration", _
                                                     "__EventConsumerProviderRegistration", _
                                                     "__PropertyProviderRegistration", _
                                                     "__ObjectProviderRegistration", _
                                                     "__ClassProviderRegistration", _
                                                     "__InstanceProviderRegistration", _
                                                     "__MethodProviderRegistration", _
                                                     "__IndicationRelated", _
                                                     "__EventFilter", _
                                                     "__EventConsumer", _
                                                     "__FilterToConsumerBinding", _
                                                     "__EventGenerator", _
                                                     "__TimerInstruction", _
                                                     "__IntervalTimerInstruction", _
                                                     "__AbsoluteTimerInstruction", _
                                                     "__Event", _
                                                     "__ExtrinsicEvent", _
                                                     "__SystemEvent", _
                                                     "__EventDroppedEvent", _
                                                     "__ConsumerFailureEvent", _
                                                     "__QOSFailureEvent", _
                                                     "__EventQueueOverflowEvent", _
                                                     "__InstanceOperationEvent", _
                                                     "__InstanceCreationEvent", _
                                                     "__InstanceModificationEvent", _
                                                     "__MethodInvocationEvent", _
                                                     "__InstanceDeletionEvent", _
                                                     "__ClassOperationEvent", _
                                                     "__ClassModificationEvent", _
                                                     "__ClassCreationEvent", _
                                                     "__ClassDeletionEvent", _
                                                     "__NamespaceOperationEvent", _
                                                     "__NamespaceDeletionEvent", _
                                                     "__NamespaceCreationEvent", _
                                                     "__NamespaceModificationEvent", _
                                                     "__TimerEvent", _
                                                     "__AggregateEvent", _
                                                     "__TimerNextFiring", _
                                                     "__SystemSecurity", _
                                                     "__NAMESPACE" _
                                                    )

                    arrayWMIProgID = Array ("WBemscripting.SWBemlocator", "wbemdisp.dll", _
                                            "WbemScripting.SWbemDateTime", "wbemdisp.dll", _
                                            "WbemScripting.SWbemObjectPath", "wbemdisp.dll", _
                                            "WbemScripting.SWbemSink", "wbemdisp.dll", _
                                            "WbemScripting.SWbemLocator", "wbemdisp.dll", _
                                            "WbemScripting.SWbemNamedValueSet", "wbemdisp.dll", _
                                            "WbemScripting.SWbemRefresher", "wbemdisp.dll" _
                                           )

                    arrayWMITestList = Array (_
                                              "Root", _
                                                    True, _
                                                    Null, _
                                                    Null, _
                                                    Array (cWarning, "__ArbitratorConfiguration", "@", Array ("OutstandingTasksPerUser", 30, _
                                                                                                              "OutstandingTasksTotal", 3000, _
                                                                                                              "PermanentSubscriptionsPerUser", 1000, _
                                                                                                              "PermanentSubscriptionsTotal", 10000, _
                                                                                                              "PollingInstructionsPerUser", 1000, _
                                                                                                              "PollingInstructionsTotal", 10000, _
                                                                                                              "PollingMemoryPerUser", 5000000, _
                                                                                                              "PollingMemoryTotal", 10000000, _
                                                                                                              "QuotaRetryCount", 10, _
                                                                                                              "QuotaRetryWaitInterval", 15000, _
                                                                                                              "TaskThreadsPerUser", 3, _
                                                                                                              "TaskThreadsTotal", 30, _
                                                                                                              "TemporarySubscriptionsPerUser", 1000, _
                                                                                                              "TemporarySubscriptionsTotal", 10000, _
                                                                                                              "TotalCacheDisk", 1048576, _
                                                                                                              "TotalCacheDiskPerTask", 51250, _
                                                                                                              "TotalCacheDiskPerUser", 102500, _
                                                                                                              "TotalCacheMemory", 10240, _
                                                                                                              "TotalCacheMemoryPerTask", 1024, _
                                                                                                              "TotalCacheMemoryPerUser", 2048, _
                                                                                                              "TotalUsers", 50), _
                                                           cWarning, "__ProviderHostQuotaConfiguration", "@", Array ("HandlesPerHost", 4096, _
                                                                                                                     "MemoryAllHosts", "1073741824", _
                                                                                                                     "MemoryPerHost", "134217728", _
                                                                                                                     "ProcessLimitAllHosts", 32, _
                                                                                                                     "ThreadsPerHost", 256), _
                                                           cWarning, "__EventProviderCacheControl", "@",         Array ("ClearAfter", "00000000000030.000000:000"), _
                                                           cWarning, "__ObjectProviderCacheControl", "@",        Array ("ClearAfter", "00000000000030.000000:000"), _
                                                           cWarning, "__EventSinkCacheControl", "@",             Array ("ClearAfter", "00000000000015.000000:000"), _
                                                           cWarning, "__EventConsumerProviderCacheControl", "@", Array ("ClearAfter", "00000000000030.000000:000"), _
                                                           cWarning, "__PropertyProviderCacheControl", "@",      Array ("ClearAfter", "00000000000030.000000:000") ), _
                                              "Root/Default", _
                                                    True, _
                                                    Array (cWarning, "SystemRestore", _
                                                           cWarning, "SystemRestoreConfig"), _
                                                    Array (cWarning,  "SELECT * FROM SystemRestore", _
                                                           cWarning,  "SELECT * FROM SystemRestoreConfig"), _
                                                    Null, _
                                              "Root/CIMv2", _
                                                    True, _
                                                    Array (cCritical, "Win32_Process", _
                                                           cCritical, "Win32_OperatingSystem", _
                                                           cCritical, "Win32_ComputerSystem", _
                                                           cCritical, "Win32_Service", _
                                                           cCritical, "Win32_Bios", _
                                                           cPresence, "Win32_Perf", _
                                                           cPresence, "Win32_PerfRawData", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_IP", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_TCP", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_UDP", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_ICMP", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Cache", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Memory", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Objects", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_PagingFile", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Processor", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_System", _
                                                           cCritical, "Win32_PerfRawData_PerfProc_Process", _
                                                           cCritical, "Win32_PerfRawData_PerfProc_Thread", _
                                                           cPresence, "Win32_PerfFormattedData", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_IP", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_TCP", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_UDP", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_ICMP", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Cache", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Memory", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Objects", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_PagingFile", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Processor", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_System", _
                                                           cCritical, "Win32_PerfFormattedData_PerfProc_Process", _
                                                           cCritical, "Win32_PerfFormattedData_PerfProc_Thread"), _
                                                    Array (cCritical, "SELECT * FROM Win32_LogicalDisk WHERE FreeSpace > 10000000 AND DriveType = 3", _
                                                           cCritical, "SELECT * FROM Win32_PageFileUsage", _
                                                           cCritical, "SELECT * FROM Win32_BIOS WHERE Version IS NOT NULL", _
                                                           cCritical, "SELECT * FROM Win32_NetworkAdapter WHERE AdapterType IS NOT NULL AND AdapterType != ""Wide Area Network (WAN)"" AND Description != ""Packet Scheduler Miniport"" ", _
                                                           cCritical, "SELECT * FROM Win32_Processor WHERE Name IS NOT NULL", _
                                                           cCritical, "SELECT * FROM Win32_DiskDrive", _
                                                           cCritical, "SELECT * FROM Win32_ComputerSystem", _
                                                           cCritical, "SELECT * FROM Win32_DiskPartition", _
                                                           cCritical, "SELECT * FROM Win32_LogicalDisk WHERE Description != ""Network Connection""", _
                                                           cWarning,  "SELECT * FROM Win32_SoundDevice", _
                                                           cWarning,  "SELECT * FROM Win32_VideoController", _
                                                           cWarning,  "SELECT * FROM Win32_USBController", _
                                                           cWarning,  "SELECT * FROM Win32_DesktopMonitor", _
                                                           cWarning,  "SELECT * FROM Win32_PointingDevice WHERE Status = ""OK""", _
                                                           cWarning,  "SELECT * FROM Win32_Keyboard", _
                                                           cCritical, "SELECT * FROM Win32_SystemDriver WHERE StartMode != ""Disabled"""), _
                                                    Null, _
                                              "Root/WMI", _
                                                    True, _
                                                    Null, _
                                                    Array (cCritical, "SELECT * FROM MSNdis_MediaConnectStatus"), _
                                                    Null _
                                             )

                    arrayWMIRegistryServiceSetup = Array ("HKLM\SYSTEM\CurrentControlSet\Services\winmgmt", _
                                                          Array (_
                                                                 cRegistryError, "Type", "REG_DWORD", "&h20", _
                                                                 cRegistryError, "Start", "REG_DWORD", "&h2", _
                                                                 cRegistryWarning, "ErrorControl", "REG_DWORD", "&h0", _
                                                                 cRegistryWarning, "ImagePath", "REG_EXPAND_SZ", "%systemroot%\system32\svchost.exe -k netsvcs", _
                                                                 cRegistryInfo, "DisplayName", "REG_SZ", Null, _
                                                                 cRegistryWarning, "DependOnService", "REG_MULTI_SZ", "RPCSS", _
                                                                 cRegistryInfo, "DependOnGroup", "REG_MULTI_SZ", Null, _
                                                                 cRegistryError, "ObjectName", "REG_SZ", "LocalSystem", _
                                                                 cRegistryWarning, "FailureActions", "REG_BINARY", Null, _
                                                                 cRegistryInfo, "Description", "REG_SZ", Null _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Parameters", _
                                                          Array (_
                                                                 cRegistryError, "ServiceDll", "REG_EXPAND_SZ", "%SystemRoot%\system32\wbem\WMIsvc.dll", _
                                                                 cRegistryError, "ServiceMain", "REG_SZ", "ServiceMain" _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Security", _
                                                          Array (_
                                                                 cRegistryWarning, "Security", "REG_BINARY", "" _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Enum", _
                                                          Array (_
                                                                 cRegistryWarning, "0", "REG_SZ", "Root\LEGACY_WINMGMT\0000", _
                                                                 cRegistryWarning, "Count", "REG_DWORD", "&h1", _
                                                                 cRegistryWarning, "NextInstance", "REG_DWORD", "&h1" _
                                                                ) _
                                                         )

                    arrayWMIRegistrySettings = Array ("HKLM\SOFTWARE\Microsoft\WBEM\Scripting", _
                                                      Array (_
                                                             cRegistryWarning, "Default Namespace", "REG_SZ", "root\cimv2", _
                                                             cRegistryWarning, "Default Impersonation Level", "REG_DWORD", "3" _
                                                            ), _
                                                      "HKLM\SOFTWARE\Microsoft\WBEM\CIMOM", _
                                                      Array (_
                                                             cRegistryWarning, "ADAPdelay", "REG_DWORD", "&hf0", _
                                                             cRegistryError, "Default Repository Driver", "REG_SZ", "{7998dc37-d3fe-487c-a60a-7701fcc70cc6}", _
                                                             cRegistryError, "EnableEvents", "REG_SZ", "1", _
                                                             cRegistryInfo, "Logging", "REG_SZ", "1", _
                                                             cRegistryWarning, "Logging Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM\Logs\", _
                                                             cRegistryError, "Repository Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM\Repository", _
                                                             cRegistryWarning, "TimeOutMs", "REG_SZ", "20000", _
                                                             cRegistryError, "WMISetup", "REG_SZ", "0", _
                                                             cRegistryError, "Working Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM", _
                                                             cRegistryWarning, "Autorecover MOFs", "REG_SZ", Null, _
                                                             cRegistryWarning, "Log File Max Size", "REG_SZ", "65536" _
                                                            ) _
                                                     )


                    arrayWMIRegistryDCOMSetup = Array ("HKLM\SOFTWARE\Classes\AppID\{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management and Instrumentation", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null, _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management and Instrumentation", _
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\winmgmt", _
                                                       Array (_
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WMI Provider Subsystem Host", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WMI Provider Subsystem Host", _
                                                              cRegistryError, "AppID", "REG_SZ", "{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM UnSecured Apartment" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM Active Scripting Event Consumer Provider" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{C49E32C6-BC8B-11D2-85D4-00105A1F8304}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management Instrumentation Backup and Recovery", _
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Wbem Scripting Object Path" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS\CLSID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "{172BDDF8-CEEA-11D1-8B05-00600806D9B6}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS\CurVer", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS.1" _
                                                             ), _
                                                       "HKCR\WINMGMTS.1", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Wbem Object Path 1.0" _
                                                             ), _
                                                       "HKCR\WINMGMTS.1\CLSID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "{172BDDF8-CEEA-11D1-8B05-00600806D9B6}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}\ProgID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS.1" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}\VersionIndependentProgID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS" _
                                                             ) _
                                                      )

                    arrayWMISystemConfigurationClasses = Array ("__CIMOMIdentification", "__ArbitratorConfiguration", " __ProviderHostQuotaConfiguration", "__CacheControl")

                    arrayWMIRepositoryFiles = Array(_
                                                    "Repository\FS", _
                                                    "INDEX.BTR", _
                                                    "INDEX.MAP", _
                                                    "MAPPING.VER", _
                                                    "MAPPING1.MAP", _
                                                    "MAPPING2.MAP", _
                                                    "OBJECTS.DATA", _
                                                    "OBJECTS.MAP" _
                                                   )

                    arrayWMIServiceKnownDependent = Array (_
                                                           "wscsvc", "Security Center", _
                                                           "SharedAccess", "Windows Firewall/Internet Connection Sharing (ICS)", _
                                                           "CcmExec", "SMS Agent Host", _
                                                           "6to4", "IPv6 Helper Service", _
                                                           "MSExchangeMGMT", "Exchange Management Service", _
                                                           "IIMFilter", "Live Communication Server Filter Service", _
                                                           "RtcSrv", "Live Communication Server User Service", _
                                                           "MngAgent", "SNA Mngagent Service", _
                                                           "ADSBuilder", "Automated Deployment Services (ADS) Deployment Agent", _
                                                           "ADSPXE", "Automated Deployment Services (ADS) PXE Service" _
                                                          )

                    arrayDCOMDefaultAccessPermission = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("NT AUTHORITY\SELF", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                         DCOM_RIGHT_ACCESS_REMOTE, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_ACCESS_LOCAL), _
                                                              Null _
                                                             )
           
                       arrayDCOMDefaultLaunchPermission = Array ("BUILTIN\Administrators", _
                                                                 "BUILTIN\Administrators", _
                                                                 SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                 Array ("BUILTIN\Administrators", _
                                                                           ACCESS_ALLOWED_ACE_TYPE, _
                                                                           0, _
                                                                           DCOM_RIGHT_EXECUTE Or _
                                                                             DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                             DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                             DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                             DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                        "NT AUTHORITY\INTERACTIVE", _
                                                                           ACCESS_ALLOWED_ACE_TYPE, _
                                                                           0, _
                                                                           DCOM_RIGHT_EXECUTE Or _
                                                                             DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                             DCOM_RIGHT_ACTIVATE_LOCAL, _
                                                                        "NT AUTHORITY\SYSTEM", _
                                                                           ACCESS_ALLOWED_ACE_TYPE, _
                                                                           0, _
                                                                           DCOM_RIGHT_EXECUTE Or _
                                                                             DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                             DCOM_RIGHT_ACTIVATE_LOCAL), _
                                                                 Null _
                                                                )
 
           
                    arrayDCOMMachineAccessRestriction = Array ("BUILTIN\Administrators", _
                                                               "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("NT AUTHORITY\ANONYMOUS LOGON", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                           DCOM_RIGHT_ACCESS_REMOTE), _
                                                               Null _ 
                                                              )
           
                    arrayDCOMMachineLaunchRestriction = Array ("BUILTIN\Administrators", _
                                                               "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                           DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                           DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                           DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                           DCOM_RIGHT_ACTIVATE_LOCAL), _
                                                               Null _
                                                              )
           
                    arrayWMIDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                          "BUILTIN\Administrators", _
                                                          SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                          Array ("Everyone", _
                                                                    ACCESS_ALLOWED_ACE_TYPE, _
                                                                    0, _
                                                                    DCOM_RIGHT_EXECUTE Or _
                                                                      DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                      DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                      DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                      DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                          Null _
                                                         ) 
           
                    arrayWMIPSSDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIPSSDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                             "BUILTIN\Administrators", _
                                                             SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                             Array ("BUILTIN\Administrators", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\INTERACTIVE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\SYSTEM", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\NETWORK SERVICE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\LOCAL SERVICE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                             Null _
                                                            ) 

                    arrayWMIUnsecureApptDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    If Len (RunTimeEnvironmentInfo.SPUpgrade) > 0 Then
                       arrayWMIUnsecureApptDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                                         "BUILTIN\Administrators", _
                                                                         SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                         Array ("Everyone", _
                                                                                   ACCESS_ALLOWED_ACE_TYPE, _
                                                                                   0, _
                                                                                   DCOM_RIGHT_EXECUTE Or _
                                                                                     DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                                     DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                                     DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                                     DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                                 Null _
                                                                )
                    Else
                       arrayWMIUnsecureApptDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 
                    End If

                    arrayWMIActiveScriptEventConsDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIActiveScriptEventConsDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 

                    arrayWMIDefaultNameSpaceSecurity = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\LOCAL SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER), _
                                                               Null _
                                                              )
           
                    arrayWMINameSpaceSecurity = Array ("ROOT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/SECURITY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CLI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/ASPNET", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP/LOCALHOST", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SECURITYCENTER", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/WMI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/POLICY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT/HOMENET", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DEFAULT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY/LDAP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SUBSCRIPTION", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "Root/RSOP", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/Computer", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/User", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                                          Null _
                                                              ) _
                                                      )

               Case cWindowsXPSP164

                    arrayWMIDCOMDataList = Array (_
                                                  "%SystemRoot%\System32\WBEM\", "smi2smir.exe", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprvse.exe", False, Array ("\CLSID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}"), _
                                                  "%SystemRoot%\System32\WBEM\", "mofcomp.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "scrcons.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "unsecapp.exe", False, Array ("\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}"),_
                                                  "%SystemRoot%\System32\WBEM\", "wbemtest.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "winmgmt.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiadap.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiapsrv.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "cimwin32.dll", False, Array ("\CLSID\{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", _
                                                                                                               "\CLSID\{D31B6A3F-9350-40DE-A3FC-A7EDEB9B7C63}", _
                                                                                                               "\CLSID\{D63A5850-8F16-11CF-9F47-00AA00BF345C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "CmdEvTgProv.dll", False, Array ("\CLSID\{797EF3B3-127B-4283-8096-1E8084BF67A6}"), _
                                                  "%SystemRoot%\System32\WBEM\", "dsprov.dll", False, Array ("\CLSID\{1EF94880-01A8-11D2-A90B-00AA00BF3363}", _
                                                                                                             "\CLSID\{33831ED4-42B8-11D2-93AD-00805F853771}", _
                                                                                                             "\CLSID\{AA527A40-4D9A-11D2-93AD-00805F853771}"), _
                                                  "%SystemRoot%\System32\WBEM\", "esscli.dll", False, Array ("\CLSID\{6C19BE35-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                             "\CLSID\{DC923725-0FDD-45E1-AE74-EA09182E739B}"), _
                                                  "%SystemRoot%\System32\WBEM\", "evntrprv.dll", False, Array ("\CLSID\{9a5dd473-d410-11d1-b829-00c04f94c7c3}", _
                                                                                                               "\CLSID\{f95e1664-7979-44f2-a040-496e7f500043}"), _
                                                  "%SystemRoot%\System32\WBEM\", "fastprox.dll", False, Array ("\CLSID\{1108BE51-F58A-4CDA-BB99-7A0227D11D5E}", _
                                                                                                               "\CLSID\{1B1CAD8C-2DAB-11D2-B604-00104B703EFD}", _
                                                                                                               "\CLSID\{29B5828C-CAB9-11D2-B35C-00105A1F8177}", _
                                                                                                               "\CLSID\{4590F812-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                               "\CLSID\{5839FCA9-774D-42A1-ACDA-D6A79037F57F}", _
                                                                                                               "\CLSID\{674B6698-EE92-11D0-AD71-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{7016F8FA-CCDA-11D2-B35C-00105A1F8177}", _
                                                                                                               "\CLSID\{71285C44-1DC0-11D2-B5FB-00104B703EFD}", _
                                                                                                               "\CLSID\{78103FB7-AED7-4066-8BCD-30BB27B02331}", _
                                                                                                               "\CLSID\{8D1C559D-84F0-4BB3-A7D5-56A7435A9BA6}", _
                                                                                                               "\CLSID\{9A653086-174F-11D2-B5F9-00104B703EFD}", _
                                                                                                               "\CLSID\{C71566F2-561E-11D1-AD87-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{CC9072AB-C000-49D8-A5AA-00266C8DBB9B}", _
                                                                                                               "\CLSID\{CD1ABFC8-6C5E-4A8D-B90B-2A3B153B886D}", _
                                                                                                               "\CLSID\{D68AF00A-29CB-43FA-8504-CE99A996D9EA}", _
                                                                                                               "\CLSID\{DCF33DF4-B510-439F-832A-16B6B514F2A7}"), _
                                                  "%SystemRoot%\System32\WBEM\", "framedyn.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "krnlprov.dll", False, Array ("\CLSID\{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", _
                                                                                                               "\TypeLib\{6B100E1A-1385-4D1F-A02E-6E705A76BB6C}\1.0"), _
                                                  "%SystemRoot%\System32\WBEM\", "mofd.dll", False, Array ("\CLSID\{6DAF9757-2E37-11D2-AEC9-00C04FB68820}", _
                                                                                                           "\CLSID\{C10B4771-4DA0-11D2-A2F5-00C04F86FB7D}"), _
                                                  "%SystemRoot%\System32\WBEM\", "ncprov.dll", False, Array ("\CLSID\{29F06F0C-FB7F-44A5-83CD-D41705D5C525}", _
                                                                                                             "\TypeLib\{5F099F16-6A6E-4BBC-8BD8-98F3221D58C4}\1.0"), _
                                                  "%SystemRoot%\System32\WBEM\", "ntevt.dll", False, Array ("\CLSID\{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", _
                                                                                                            "\CLSID\{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "policman.dll", False, Array ("\CLSID\{69D76D1B-B12E-4913-8F48-671B90195A2B}", _
                                                                                                               "\CLSID\{AAEAE72F-0328-4763-8ECB-23422EDE2DB5}"), _
                                                  "%SystemRoot%\System32\WBEM\", "provthrd.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "repdrvfs.dll", False, Array ("\CLSID\{7998DC37-D3FE-487C-A60A-7701FCC70CC6}"), _
                                                  "%SystemRoot%\System32\WBEM\", "smtpcons.dll", False, Array ("\CLSID\{C7A3A54B-0250-11D3-9CD1-00105A1F4801}"), _
                                                  "%SystemRoot%\System32\WBEM\", "stdprov.dll", False, Array ("\CLSID\{72967901-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                              "\CLSID\{72967903-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                              "\CLSID\{F00B4404-F8F1-11CE-A5B6-00AA00680C3F}", _
                                                                                                              "\CLSID\{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", _
                                                                                                              "\CLSID\{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}"), _
                                                  "%SystemRoot%\System32\WBEM\", "vdswmi.dll", False, Array ("\CLSID\{890CB943-D715-401B-98B1-CF82DCF36D7C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "viewprov.dll", False, Array ("\CLSID\{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "vsswmi.dll", False, Array ("\CLSID\{72970BEB-81F8-46D4-B220-D743F4E49C95}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcntl.dll", False, Array ("\CLSID\{5C659257-E236-11D2-8899-00104B2AFB46}", _
                                                                                                               "\CLSID\{5C659258-E236-11D2-8899-00104B2AFB46}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcomn.dll", False, Array ("\CLSID\{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcons.dll", False, Array ("\CLSID\{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcore.dll", False, Array ("\CLSID\{1860E246-E924-4F73-B2C5-93E0577E3AA1}", _
                                                                                                               "\CLSID\{1F0BC6AD-46D4-488B-BE1F-047FC7505E60}", _
                                                                                                               "\CLSID\{4FA18276-912A-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{6543D242-A80B-44A3-B828-95C1EC452423}", _
                                                                                                               "\CLSID\{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", _
                                                                                                               "\CLSID\{ED999FF5-223A-4052-8ECE-0B10C8DBAA39}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemdisp.dll", False, Array ("\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{47DFBE54-CF76-11D3-B38F-00105A1F473A}", _
                                                                                                               "\CLSID\{5791BC26-CE9C-11D1-97BF-0000F81E849C}", _
                                                                                                               "\CLSID\{75718C9A-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\CLSID\{76A64158-CB41-11D1-8B02-00600806D9B6}", _
                                                                                                               "\CLSID\{9AED384E-CE8B-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{C2FEEEAC-CFCD-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{D269BF5C-D9C1-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{14D8250E-D9C2-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{269AD56A-8A67-4129-BC8C-0506DCFE9880}", _
                                                                                                               "\Interface\{5AD4BF92-DAAB-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{5E97458A-CF77-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{75718C9F-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\Interface\{75718CA0-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\Interface\{D2F68443-85DC-427E-91D8-366554CC754C}", _
                                                                                                               "\Interface\{D962DB84-D4BB-11D1-8B09-00600806D9B6}", _
                                                                                                               "\TypeLib\{565783C6-CB41-11D1-8B02-00600806D9B6}\1.2"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemdisp.tlb", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wbemess.dll", False, Array ("\CLSID\{5D08B586-343A-11D0-AD46-00C04FD8FDFF}", _
                                                                                                              "\CLSID\{F3130CDB-AA52-4C3A-AB32-85FFC23AF9C1}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemperf.dll", False, Array ("\CLSID\{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", _
                                                                                                               "\CLSID\{FF37A93C-C28E-11D1-AEB6-00C04FB68820}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemprox.dll", False, Array ("\CLSID\{443E7B79-DE31-11D2-B340-00104BCC4B4A}", _
                                                                                                               "\CLSID\{4590F811-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                               "\CLSID\{CB8555CC-9128-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{CD184336-9128-11D1-AD9B-00C04FD8FDFF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemsvc.dll", False, Array ("\CLSID\{7C857801-7381-11CF-884D-00AA004B2E24}", _
                                                                                                              "\Interface\{06413D98-405C-4A5A-8D6F-19B8B7C6ACF7}", _
                                                                                                              "\Interface\{07435309-D440-41B7-83F3-EB82DB6C622F}", _
                                                                                                              "\Interface\{0FC8C622-1728-4149-A57F-AD19D0970710}", _
                                                                                                              "\Interface\{11CAA957-4E80-474E-A819-7FD72148ADA9}", _
                                                                                                              "\Interface\{1BE41571-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                              "\Interface\{1BE41572-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                              "\Interface\{1C1C45EE-4395-11D2-B60B-00104B703EFD}", _
                                                                                                              "\Interface\{1CFABA8C-1523-11D1-AD79-00C04FD8FDFF}", _
                                                                                                              "\Interface\{21CD80A2-B305-4F37-9D4C-4534A8D9B568}", _
                                                                                                              "\Interface\{25411283-46FC-4326-8DF2-FF5D34B2DFEF}", _
                                                                                                              "\Interface\{2A504CA2-CA90-4731-87BC-6E99CA2019AF}", _
                                                                                                              "\Interface\{2B322B6E-A9DF-44E3-97BF-259E3583FDA4}", _
                                                                                                              "\Interface\{2C9273E0-1DC3-11D3-B364-00105A1F8177}", _
                                                                                                              "\Interface\{2DB9FA90-9973-46CF-B310-9865B644699D}", _
                                                                                                              "\Interface\{37196B38-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                              "\Interface\{37196B39-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                              "\Interface\{3AE0080A-7E3A-4366-BF89-0FEEDC931659}", _
                                                                                                              "\Interface\{41AA40E6-2FBA-4E80-ADE9-34306567206D}", _
                                                                                                              "\Interface\{423EC01E-2E35-11D2-B604-00104B703EFD}", _
                                                                                                              "\Interface\{44ACA675-E8FC-11D0-A07C-00C04FB68820}", _
                                                                                                              "\Interface\{484E3ECE-1F81-4591-B9D4-943BA13B609D}", _
                                                                                                              "\Interface\{48FF3109-A366-4B56-B340-01FAE758BA64}", _
                                                                                                              "\Interface\{580ACAF8-FA1C-11D0-AD72-00C04FD8FDFF}", _
                                                                                                              "\Interface\{5FBA5051-3124-4112-B723-46BFBAF1D622}", _
                                                                                                              "\Interface\{60E512D4-C47B-11D2-B338-00105A1F4AAF}", _
                                                                                                              "\Interface\{631F7D96-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                              "\Interface\{631F7D97-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                              "\Interface\{6919DD07-1637-4611-A8A7-C16FAC5B2D53}", _
                                                                                                              "\Interface\{6963B029-B969-40AA-9180-2B2F84075973}", _
                                                                                                              "\Interface\{6B3FC272-BF37-4968-933A-6DF9222A2607}", _
                                                                                                              "\Interface\{6C19BE32-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{6C19BE34-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{755F9DA7-7508-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{854D745C-6742-42C0-8BB9-01EC466B6E87}", _
                                                                                                              "\Interface\{88F3781C-6902-4647-9A6B-A74F450AF861}", _
                                                                                                              "\Interface\{8A0DC377-A9D3-41CB-BD69-AE1FDAF2DC68}", _
                                                                                                              "\Interface\{A210BFE9-C9F7-4919-B114-0D98B3D5341E}", _
                                                                                                              "\Interface\{A359DEC5-E813-4834-8A2A-BA7F1D777D76}", _
                                                                                                              "\Interface\{AC9EA02A-2C8A-4ACD-B562-D7E8EBEE8E8E}", _
                                                                                                              "\Interface\{B1B55910-8BA0-47A5-A16E-2B733B1D987C}", _
                                                                                                              "\Interface\{B60EF4F1-A411-462B-B51E-477CBDBB90B4}", _
                                                                                                              "\Interface\{B7B31DF9-D515-11D3-A11C-00105A1F515A}", _
                                                                                                              "\Interface\{BAC6B661-167E-4957-AD77-286AB256585E}", _
                                                                                                              "\Interface\{C49E32C7-BC8B-11D2-85D4-00105A1F8304}", _
                                                                                                              "\Interface\{CE61E841-65BC-11D0-B6BD-00AA003240C7}", _
                                                                                                              "\Interface\{D4781CD6-E5D3-44DF-AD94-930EFE48A887}", _
                                                                                                              "\Interface\{D8EC9CB1-B135-4F10-8B1B-C7188BB0D186}", _
                                                                                                              "\Interface\{DF2373F5-EFB2-475C-AD58-3102D61967D4}", _
                                                                                                              "\Interface\{E245105B-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                              "\Interface\{E246107A-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                              "\Interface\{E8107BDF-BAAF-4C7C-BB5F-9D732E8D8F07}", _
                                                                                                              "\Interface\{EB658B8A-7A64-4DDC-9B8D-A92610DB0206}", _
                                                                                                              "\Interface\{F0E4EDDE-475A-498A-93D7-D4347F68A8F3}", _
                                                                                                              "\Interface\{F1E9C5B2-F59B-11D2-B362-00105A1F8177}", _
                                                                                                              "\Interface\{F309AD18-D86A-11D0-A075-00C04FB68820}", _
                                                                                                              "\Interface\{F50A28CF-5C9C-4F7E-9D80-E25E16E18C59}", _
                                                                                                              "\Interface\{FD450835-CF1B-4C87-9FD2-5E0D42FDE081}", _
                                                                                                              "\Interface\{FEC1B0AC-5808-4033-A915-C0185934581E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemupgd.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "winmgmtr.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiapres.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiaprpl.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmicookr.dll", False, Array ("\CLSID\{B0A2AB46-F612-4469-BEC4-7AB038BC476C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmidcprv.dll", False, Array ("\CLSID\{4CFC7932-0F9D-4BEF-9C32-8EA2A6B56FCB}", _
                                                                                                               "\CLSID\{F5F75737-2843-4F22-933D-C76A97CDA62F}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipcima.dll", False, Array ("\CLSID\{04788120-12C2-498D-83C1-A7D92E677AC6}", _
                                                                                                               "\CLSID\{A3E41207-BE04-492A-AFF0-19E880FF7545}", _
                                                                                                               "\CLSID\{E2CBCB87-9C07-4523-A78F-061499C83987}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipdskq.dll", False, Array ("\CLSID\{4AF3F4A4-06C8-4B79-A523-633CC65CE297}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipicmp.dll", False, Array ("\CLSID\{734AC5AE-68E1-4FB5-B8DA-1D92F7FC6661}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipiprt.dll", False, Array ("\CLSID\{23B77E99-5C2D-482D-A795-62CA3AE5B673}", _
                                                                                                               "\CLSID\{6D7A4B0E-66D5-4AC3-A7ED-0189E8CF5E77}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipjobj.dll", False, Array ("\CLSID\{6515834D-6125-4878-A3A3-6B0A73B809A2}", _
                                                                                                               "\CLSID\{7FB1D98A-F895-4761-8DC2-774969C84D10}", _
                                                                                                               "\CLSID\{AB40A5C1-804B-40BD-9DFE-A640691C6956}", _
                                                                                                               "\CLSID\{C0AA9D93-2EF5-47FB-960C-F90FC644B48E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprov.dll", False, Array ("\CLSID\{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", _
                                                                                                              "\CLSID\{35B78F79-B973-48C8-A045-CAEC732A35D5}", _
                                                                                                              "\CLSID\{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprvsd.dll", False, Array ("\CLSID\{4DE225BF-CF59-4CFC-85F7-68B90F185355}", _
                                                                                                               "\CLSID\{7F598975-37E0-4A67-A992-116680F0CEDA}", _
                                                                                                               "\CLSID\{8BEBCE8B-1AF0-4323-8B4D-36994567CAE1}", _
                                                                                                               "\CLSID\{F5A55D36-8750-432C-AB52-AD49A016EABC}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipsess.dll", False, Array ("\CLSID\{6E78DAD9-E187-4D6E-BA63-760256D6F405}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmisvc.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmitimep.dll", False, Array ("\CLSID\{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiutils.dll", False, Array ("\CLSID\{CF4CC405-E2C5-4DDD-B3CE-5E7582D8C9FA}", _
                                                                                                               "\CLSID\{EAC8A024-21E2-4523-AD73-A71A0AA2F56A}", _
                                                                                                               "\CLSID\{EB87E1BD-3233-11D2-AEC9-00C04FB68820}"), _
                                                  "%SystemRoot%\System32\WBEM\", "msiprov.dll", True, Array ("\CLSID\{BE0A9830-2B8B-11D1-A949-0060181EBBAD}"), _
                                                  "%SystemRoot%\System32\WBEM\xml\", "wmi2xml.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\xml\", "cim20.dtd", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\xml\", "wmi20.dtd", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "xsl-mappings.xml", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "csv.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "hform.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "htable.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "mof.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "rawxml.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "texttable.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "textvaluelist.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "xml.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmic.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "snmpcl.dll", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "snmpincl.dll", True, Array ("\CLSID\{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", _
                                                                                                              "\CLSID\{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", _
                                                                                                              "\CLSID\{70426720-F78F-11CF-9151-00AA00A4086C}", _
                                                                                                              "\CLSID\{9D5BED16-0765-11D1-AB2C-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "snmpsmir.dll", True, Array ("\CLSID\{5009AB90-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB92-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB94-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB9B-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{B11B26AC-A791-11D0-AAEA-00A024E8AD1C}", _
                                                                                                              "\CLSID\{B11B26AE-A791-11D0-AAEA-00A024E8AD1C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "snmpstup.dll", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "snmpthrd.dll", True, Null _
                                                 )

                    arrayWMISystemClassList = Array ("__SystemClass", _
                                                     "__thisNAMESPACE", _
                                                     "__Provider", _
                                                     "__Win32Provider", _
                                                     "__ProviderRegistration", _
                                                     "__EventProviderRegistration", _
                                                     "__EventConsumerProviderRegistration", _
                                                     "__PropertyProviderRegistration", _
                                                     "__ObjectProviderRegistration", _
                                                     "__ClassProviderRegistration", _
                                                     "__InstanceProviderRegistration", _
                                                     "__MethodProviderRegistration", _
                                                     "__IndicationRelated", _
                                                     "__EventFilter", _
                                                     "__EventConsumer", _
                                                     "__FilterToConsumerBinding", _
                                                     "__EventGenerator", _
                                                     "__TimerInstruction", _
                                                     "__IntervalTimerInstruction", _
                                                     "__AbsoluteTimerInstruction", _
                                                     "__Event", _
                                                     "__ExtrinsicEvent", _
                                                     "__SystemEvent", _
                                                     "__EventDroppedEvent", _
                                                     "__ConsumerFailureEvent", _
                                                     "__QOSFailureEvent", _
                                                     "__EventQueueOverflowEvent", _
                                                     "__InstanceOperationEvent", _
                                                     "__InstanceCreationEvent", _
                                                     "__InstanceModificationEvent", _
                                                     "__MethodInvocationEvent", _
                                                     "__InstanceDeletionEvent", _
                                                     "__ClassOperationEvent", _
                                                     "__ClassModificationEvent", _
                                                     "__ClassCreationEvent", _
                                                     "__ClassDeletionEvent", _
                                                     "__NamespaceOperationEvent", _
                                                     "__NamespaceDeletionEvent", _
                                                     "__NamespaceCreationEvent", _
                                                     "__NamespaceModificationEvent", _
                                                     "__TimerEvent", _
                                                     "__AggregateEvent", _
                                                     "__TimerNextFiring", _
                                                     "__SystemSecurity", _
                                                     "__NAMESPACE" _
                                                    )

                    arrayWMIProgID = Array ("WBemscripting.SWBemlocator", "wbemdisp.dll", _
                                            "WbemScripting.SWbemDateTime", "wbemdisp.dll", _
                                            "WbemScripting.SWbemObjectPath", "wbemdisp.dll", _
                                            "WbemScripting.SWbemSink", "wbemdisp.dll", _
                                            "WbemScripting.SWbemLocator", "wbemdisp.dll", _
                                            "WbemScripting.SWbemNamedValueSet", "wbemdisp.dll", _
                                            "WbemScripting.SWbemRefresher", "wbemdisp.dll" _
                                           )

                    arrayWMITestList = Array (_
                                              "Root", _
                                                    True, _
                                                    Null, _
                                                    Null, _
                                                    Array (cWarning, "__ArbitratorConfiguration", "@", Array ("OutstandingTasksPerUser", 30, _
                                                                                                              "OutstandingTasksTotal", 3000, _
                                                                                                              "PermanentSubscriptionsPerUser", 1000, _
                                                                                                              "PermanentSubscriptionsTotal", 10000, _
                                                                                                              "PollingInstructionsPerUser", 1000, _
                                                                                                              "PollingInstructionsTotal", 10000, _
                                                                                                              "PollingMemoryPerUser", 5000000, _
                                                                                                              "PollingMemoryTotal", 10000000, _
                                                                                                              "QuotaRetryCount", 10, _
                                                                                                              "QuotaRetryWaitInterval", 15000, _
                                                                                                              "TaskThreadsPerUser", 3, _
                                                                                                              "TaskThreadsTotal", 30, _
                                                                                                              "TemporarySubscriptionsPerUser", 1000, _
                                                                                                              "TemporarySubscriptionsTotal", 10000, _
                                                                                                              "TotalCacheDisk", 1048576, _
                                                                                                              "TotalCacheDiskPerTask", 51250, _
                                                                                                              "TotalCacheDiskPerUser", 102500, _
                                                                                                              "TotalCacheMemory", 10240, _
                                                                                                              "TotalCacheMemoryPerTask", 1024, _
                                                                                                              "TotalCacheMemoryPerUser", 2048, _
                                                                                                              "TotalUsers", 50), _
                                                           cWarning, "__ProviderHostQuotaConfiguration", "@", Array ("HandlesPerHost", 4096, _
                                                                                                                     "MemoryAllHosts", "1073741824", _
                                                                                                                     "MemoryPerHost", "134217728", _
                                                                                                                     "ProcessLimitAllHosts", 32, _
                                                                                                                     "ThreadsPerHost", 256), _
                                                           cWarning, "__EventConsumerProviderCacheControl", "@", Array ("ClearAfter", "00000000000030.000000:000"), _
                                                           cWarning, "__EventProviderCacheControl",         "@", Array ("ClearAfter", "00000000000030.000000:000"), _
                                                           cWarning, "__EventSinkCacheControl",             "@", Array ("ClearAfter", "00000000000015.000000:000"), _
                                                           cWarning, "__ObjectProviderCacheControl",        "@", Array ("ClearAfter", "00000000000030.000000:000"), _
                                                           cWarning, "__PropertyProviderCacheControl",      "@", Array ("ClearAfter", "00000000000030.000000:000") ), _
                                              "Root/Default", _
                                                    True, _
                                                    Array (cWarning, "SystemRestore", _
                                                           cWarning, "SystemRestoreConfig"), _
                                                    Array (cWarning,  "Select * From SystemRestore", _
                                                           cWarning,  "Select * From SystemRestoreConfig"), _
                                                    Null, _
                                              "Root/CIMv2", _
                                                    True, _
                                                    Array (cCritical, "Win32_Process", _
                                                           cCritical, "Win32_OperatingSystem", _
                                                           cCritical, "Win32_ComputerSystem", _
                                                           cCritical, "Win32_Service", _
                                                           cCritical, "Win32_Bios", _
                                                           cPresence, "Win32_Perf", _
                                                           cPresence, "Win32_PerfRawData", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_IPv4", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_TCPv4", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_UDPv4", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_ICMP", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Cache", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Memory", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Objects", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_PagingFile", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Processor", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_System", _
                                                           cCritical, "Win32_PerfRawData_PerfProc_Process", _
                                                           cCritical, "Win32_PerfRawData_PerfProc_Thread", _
                                                           cPresence, "Win32_PerfFormattedData", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_IPv4", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_TCPv4", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_UDPv4", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_ICMP", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Cache", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Memory", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Objects", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_PagingFile", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Processor", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_System", _
                                                           cCritical, "Win32_PerfFormattedData_PerfProc_Process", _
                                                           cCritical, "Win32_PerfFormattedData_PerfProc_Thread"), _
                                                    Array (cCritical, "Select * From Win32_LogicalDisk WHERE FreeSpace > 10000000 AND DriveType = 3", _
                                                           cCritical, "Select DriveType From Win32_LogicalDisk WHERE Name='C:'", _
                                                           cCritical, "Select * From Win32_Service", _
                                                           cCritical, "Select * From Win32_PageFileUsage", _
                                                           cCritical, "Select * From Win32_BIOS WHERE Version IS NOT NULL", _
                                                           cCritical, "Select * From Win32_NetworkAdapter WHERE AdapterType IS NOT NULL AND AdapterType != ""Wide Area Network (WAN)"" AND Description != ""Packet Scheduler Miniport"" ", _
                                                           cCritical, "Select * From Win32_Processor WHERE Name IS NOT NULL", _
                                                           cCritical, "Select * From Win32_DiskDrive", _
                                                           cCritical, "Select * From Win32_ComputerSystem", _
                                                           cCritical, "Select * From Win32_DiskPartition", _
                                                           cCritical, "Select * From Win32_LogicalDisk WHERE Description != ""Network Connection""", _
                                                           cWarning,  "Select * From Win32_SoundDevice", _
                                                           cWarning,  "Select * From Win32_VideoController", _
                                                           cWarning,  "Select * From Win32_USBController", _
                                                           cWarning,  "Select * From Win32_DesktopMonitor", _
                                                           cWarning,  "Select * From Win32_PointingDevice WHERE Status = ""OK""", _
                                                           cWarning,  "Select * From Win32_Keyboard", _
                                                           cCritical, "Select * From Win32_SystemDriver WHERE StartMode != ""Disabled"""), _
                                                    Null, _
                                              "Root/WMI", _
                                                    True, _
                                                    Null, _
                                                    Array (cCritical, "Select * From MSNdis_MediaConnectStatus"), _
                                                    Null _
                                             )

                    arrayWMIRegistryServiceSetup = Array ("HKLM\SYSTEM\CurrentControlSet\Services\winmgmt", _
                                                          Array (_
                                                                 cRegistryError, "Type", "REG_DWORD", "&h20", _
                                                                 cRegistryError, "Start", "REG_DWORD", "&h2", _
                                                                 cRegistryWarning, "ErrorControl", "REG_DWORD", "&h0", _
                                                                 cRegistryWarning, "ImagePath", "REG_EXPAND_SZ", "%systemroot%\system32\svchost.exe -k netsvcs", _
                                                                 cRegistryInfo, "DisplayName", "REG_SZ", Null, _
                                                                 cRegistryWarning, "DependOnService", "REG_MULTI_SZ", "RPCSS", _
                                                                 cRegistryInfo, "DependOnGroup", "REG_MULTI_SZ", Null, _
                                                                 cRegistryError, "ObjectName", "REG_SZ", "LocalSystem", _
                                                                 cRegistryWarning, "FailureActions", "REG_BINARY", Null, _
                                                                 cRegistryInfo, "Description", "REG_SZ", Null _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Parameters", _
                                                          Array (_
                                                                 cRegistryError, "ServiceDll", "REG_EXPAND_SZ", "%SystemRoot%\system32\wbem\WMIsvc.dll", _
                                                                 cRegistryError, "ServiceMain", "REG_SZ", "ServiceMain" _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Security", _
                                                          Array (_
                                                                 cRegistryWarning, "Security", "REG_BINARY", "" _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Enum", _
                                                          Array (_
                                                                 cRegistryWarning, "0", "REG_SZ", "Root\LEGACY_WINMGMT\0000", _
                                                                 cRegistryWarning, "Count", "REG_DWORD", "&h1", _
                                                                 cRegistryWarning, "NextInstance", "REG_DWORD", "&h1" _
                                                                ) _
                                                         )

                    arrayWMIRegistrySettings = Array ("HKLM\SOFTWARE\Microsoft\WBEM\Scripting", _
                                                      Array (_
                                                             cRegistryWarning, "Default Namespace", "REG_SZ", "root\cimv2", _
                                                             cRegistryWarning, "Default Impersonation Level", "REG_DWORD", "3" _
                                                            ), _
                                                      "HKLM\SOFTWARE\Microsoft\WBEM\CIMOM", _
                                                      Array (_
                                                             cRegistryWarning, "ADAPDelay", "REG_DWORD", "&hf0", _
                                                             cRegistryError, "Default Repository Driver", "REG_SZ", "{7998dc37-d3fe-487c-a60a-7701fcc70cc6}", _
                                                             cRegistryError, "EnableEvents", "REG_SZ", "1", _
                                                             cRegistryInfo, "Logging", "REG_SZ", "1", _
                                                             cRegistryWarning, "Logging Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM\Logs\", _
                                                             cRegistryError, "Repository Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM\Repository", _
                                                             cRegistryWarning, "TimeOutMs", "REG_SZ", "20000", _
                                                             cRegistryError, "WMISetup", "REG_SZ", "0", _
                                                             cRegistryWarning, "UnsecappAccessControlDefault", "REG_SZ", "0", _
                                                             cRegistryError, "Working Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM", _
                                                             cRegistryWarning, "Autorecover MOFs", "REG_SZ", Null, _
                                                             cRegistryWarning, "Log File Max Size", "REG_SZ", "65536" _
                                                            ) _
                                                     )

                    arrayWMIRegistryDCOMSetup = Array ("HKLM\SOFTWARE\Classes\AppID\{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management and Instrumentation", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null, _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management and Instrumentation", _
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\winmgmt", _
                                                       Array (_
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WMI Provider Subsystem Host", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WMI Provider Subsystem Host", _
                                                              cRegistryError, "AppID", "REG_SZ", "{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM UnSecured Apartment" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM Active Scripting Event Consumer Provider" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{C49E32C6-BC8B-11D2-85D4-00105A1F8304}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management Instrumentation Backup and Recovery", _
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Wbem Scripting Object Path" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS\CLSID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "{172BDDF8-CEEA-11D1-8B05-00600806D9B6}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS\CurVer", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS.1" _
                                                             ), _
                                                       "HKCR\WINMGMTS.1", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Wbem Object Path 1.0" _
                                                             ), _
                                                       "HKCR\WINMGMTS.1\CLSID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "{172BDDF8-CEEA-11D1-8B05-00600806D9B6}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}\ProgID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS.1" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}\VersionIndependentProgID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS" _
                                                             ) _
                                                      )

                    arrayWMISystemConfigurationClasses = Array ("__CIMOMIdentification", "__ArbitratorConfiguration", "__ProviderHostQuotaConfiguration", "__CacheControl")

                    arrayWMIRepositoryFiles = Array(_
                                                    "Repository\FS", _
                                                    "INDEX.BTR", _
                                                    "MAPPING.VER", _
                                                    "MAPPING1.MAP", _
                                                    "MAPPING2.MAP", _
                                                    "OBJECTS.DATA" _
                                                   )

                    arrayWMIServiceKnownDependent = Array (_
                                                           "wscsvc", "Security Center", _
                                                           "SharedAccess", "Windows Firewall/Internet Connection Sharing (ICS)", _
                                                           "CcmExec", "SMS Agent Host", _
                                                           "6to4", "IPv6 Helper Service", _
                                                           "MSExchangeMGMT", "Exchange Management Service", _
                                                           "IIMFilter", "Live Communication Server Filter Service", _
                                                           "RtcSrv", "Live Communication Server User Service", _
                                                           "MngAgent", "SNA Mngagent Service", _
                                                           "ADSBuilder", "Automated Deployment Services (ADS) Deployment Agent", _
                                                           "ADSPXE", "Automated Deployment Services (ADS) PXE Service" _
                                                          )

                    arrayDCOMDefaultAccessPermission = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("NT AUTHORITY\SELF", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                         DCOM_RIGHT_ACCESS_REMOTE, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_ACCESS_LOCAL), _
                                                              Null _
                                                             )
           
                    arrayDCOMDefaultLaunchPermission = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE Or _
                                                                          DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                          DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                          DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                          DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                     "NT AUTHORITY\INTERACTIVE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE Or _
                                                                          DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                          DCOM_RIGHT_ACTIVATE_LOCAL, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE Or _
                                                                          DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                          DCOM_RIGHT_ACTIVATE_LOCAL), _
                                                              Null _
                                                             )
           
                    arrayDCOMMachineAccessRestriction = Array ("BUILTIN\Administrators", _
                                                               "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("NT AUTHORITY\ANONYMOUS LOGON", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                           DCOM_RIGHT_ACCESS_REMOTE), _
                                                               Null _ 
                                                              )
           
                    arrayDCOMMachineLaunchRestriction = Array ("BUILTIN\Administrators", _
                                                               "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                           DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                           DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                           DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                           DCOM_RIGHT_ACTIVATE_LOCAL), _
                                                               Null _
                                                              )
           
                    arrayWMIDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                          "BUILTIN\Administrators", _
                                                          SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                          Array ("Everyone", _
                                                                    ACCESS_ALLOWED_ACE_TYPE, _
                                                                    0, _
                                                                    DCOM_RIGHT_EXECUTE Or _
                                                                      DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                      DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                      DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                      DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                          Null _
                                                         ) 
           
                    arrayWMIPSSDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIPSSDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                             "BUILTIN\Administrators", _
                                                             SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                             Array ("BUILTIN\Administrators", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\INTERACTIVE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\SYSTEM", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\NETWORK SERVICE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\LOCAL SERVICE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                             Null _
                                                            ) 

                    arrayWMIUnsecureApptDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIUnsecureApptDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 

                    arrayWMIActiveScriptEventConsDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIActiveScriptEventConsDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 

                    arrayWMIDefaultNameSpaceSecurity = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\LOCAL SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER), _
                                                               Null _
                                                              )
           
                    arrayWMINameSpaceSecurity = Array ("ROOT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/SECURITY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CLI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/ASPNET", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP/LOCALHOST", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SECURITYCENTER", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/WMI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/POLICY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT/HOMENET", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DEFAULT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY/LDAP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SUBSCRIPTION", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "Root/RSOP", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/Computer", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/User", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_READ_CONTROL), _
                                                                          Null _
                                                              ) _
                                                      )

               Case cWindows2003RTM, cWindows2003RTM64, cWindows2003SP1, cWindows2003SP164, cWindows2003SP264, cWindows2003SP2

                    arrayWMIDCOMDataList = Array (_
                                                  "%SystemRoot%\System32\WBEM\", "smi2smir.exe", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprvse.exe", False, Array ("\CLSID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}"), _
                                                  "%SystemRoot%\System32\WBEM\", "mofcomp.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "scrcons.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "unsecapp.exe", False, Array ("\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}"),_
                                                  "%SystemRoot%\System32\WBEM\", "wbemtest.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "winmgmt.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiadap.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiapsrv.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "cimwin32.dll", False, Array ("\CLSID\{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", _
                                                                                                               "\CLSID\{D31B6A3F-9350-40DE-A3FC-A7EDEB9B7C63}", _
                                                                                                               "\CLSID\{D63A5850-8F16-11CF-9F47-00AA00BF345C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "ClusWMI.dll", False, Array ("\CLSID\{598065EA-EDC9-4B2C-913B-5104D04D098A}", _
                                                                                                              "\CLSID\{6A52C339-DCB0-4682-8B1B-02DE2C436A6D}", _
                                                                                                              "\CLSID\{92863246-4EDE-4EFF-B606-79C1971DB230}"), _
                                                  "%SystemRoot%\System32\WBEM\", "CmdEvTgProv.dll", False, Array ("\CLSID\{797EF3B3-127B-4283-8096-1E8084BF67A6}"), _
                                                  "%SystemRoot%\System32\WBEM\", "dsprov.dll", False, Array ("\CLSID\{1EF94880-01A8-11D2-A90B-00AA00BF3363}", _
                                                                                                             "\CLSID\{33831ED4-42B8-11D2-93AD-00805F853771}", _
                                                                                                             "\CLSID\{AA527A40-4D9A-11D2-93AD-00805F853771}"), _
                                                  "%SystemRoot%\System32\WBEM\", "esscli.dll", False, Array ("\CLSID\{6c19be35-7500-11d1-ad94-00c04fd8fdff}", _
                                                                                                             "\CLSID\{DC923725-0FDD-45E1-AE74-EA09182E739B}"), _
                                                  "%SystemRoot%\System32\WBEM\", "evntrprv.dll", False, Array ("\CLSID\{9a5dd473-d410-11d1-b829-00c04f94c7c3}", _
                                                                                                               "\CLSID\{f95e1664-7979-44f2-a040-496e7f500043}"), _
                                                  "%SystemRoot%\System32\WBEM\", "fastprox.dll", False, Array ("\CLSID\{1108BE51-F58A-4CDA-BB99-7A0227D11D5E}", _
                                                                                                               "\CLSID\{1B1CAD8C-2DAB-11D2-B604-00104B703EFD}", _
                                                                                                               "\CLSID\{29B5828C-CAB9-11D2-B35C-00105A1F8177}", _
                                                                                                               "\CLSID\{4590F812-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                               "\CLSID\{5839FCA9-774D-42A1-ACDA-D6A79037F57F}", _
                                                                                                               "\CLSID\{674B6698-EE92-11D0-AD71-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{7016F8FA-CCDA-11D2-B35C-00105A1F8177}", _
                                                                                                               "\CLSID\{71285C44-1DC0-11D2-B5FB-00104B703EFD}", _
                                                                                                               "\CLSID\{78103FB7-AED7-4066-8BCD-30BB27B02331}", _
                                                                                                               "\CLSID\{8D1C559D-84F0-4BB3-A7D5-56A7435A9BA6}", _
                                                                                                               "\CLSID\{9A653086-174F-11D2-B5F9-00104B703EFD}", _
                                                                                                               "\CLSID\{C71566F2-561E-11D1-AD87-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{CC9072AB-C000-49D8-A5AA-00266C8DBB9B}", _
                                                                                                               "\CLSID\{CD1ABFC8-6C5E-4A8D-B90B-2A3B153B886D}", _
                                                                                                               "\CLSID\{D68AF00A-29CB-43FA-8504-CE99A996D9EA}", _
                                                                                                               "\CLSID\{DCF33DF4-B510-439F-832A-16B6B514F2A7}"), _
                                                  "%SystemRoot%\System32\WBEM\", "framedyn.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "krnlprov.dll", False, Array ("\CLSID\{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", _
                                                                                                               "\TypeLib\{6B100E1A-1385-4D1F-A02E-6E705A76BB6C}\1.0"), _
                                                  "%SystemRoot%\System32\WBEM\", "mofd.dll", False, Array ("\CLSID\{6DAF9757-2E37-11D2-AEC9-00C04FB68820}", _
                                                                                                           "\CLSID\{C10B4771-4DA0-11D2-A2F5-00C04F86FB7D}", _
                                                                                                           "\CLSID\{D215781D-019E-4FA0-903D-0CDCDE13A4F5}"), _
                                                  "%SystemRoot%\System32\WBEM\", "ncprov.dll", False, Array ("\CLSID\{29F06F0C-FB7F-44A5-83CD-D41705D5C525}", _
                                                                                                             "\TypeLib\{5F099F16-6A6E-4BBC-8BD8-98F3221D58C4}\1.0"), _
                                                  "%SystemRoot%\System32\WBEM\", "nlbmprov.dll", False, Array ("\CLSID\{4C97E0A8-C5EA-40FD-960D-7D6C987BE0A6}"), _
                                                  "%SystemRoot%\System32\WBEM\", "ntevt.dll", False, Array ("\CLSID\{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", _
                                                                                                            "\CLSID\{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "policman.dll", False, Array ("\CLSID\{69D76D1B-B12E-4913-8F48-671B90195A2B}", _
                                                                                                               "\CLSID\{AAEAE72F-0328-4763-8ECB-23422EDE2DB5}"), _
                                                  "%SystemRoot%\System32\WBEM\", "provthrd.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "repdrvfs.dll", False, Array ("\CLSID\{7998DC37-D3FE-487C-A60A-7701FCC70CC6}"), _
                                                  "%SystemRoot%\System32\WBEM\", "smtpcons.dll", False, Array ("\CLSID\{C7A3A54B-0250-11D3-9CD1-00105A1F4801}"), _
                                                  "%SystemRoot%\System32\WBEM\", "stdprov.dll", False, Array ("\CLSID\{72967901-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                              "\CLSID\{72967903-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                              "\CLSID\{F00B4404-F8F1-11CE-A5B6-00AA00680C3F}", _
                                                                                                              "\CLSID\{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", _
                                                                                                              "\CLSID\{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}"), _
                                                  "%SystemRoot%\System32\WBEM\", "vdswmi.dll", False, Array ("\CLSID\{890CB943-D715-401B-98B1-CF82DCF36D7C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "viewprov.dll", False, Array ("\CLSID\{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "vsswmi.dll", False, Array ("\CLSID\{72970BEB-81F8-46D4-B220-D743F4E49C95}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcntl.dll", False, Array ("\CLSID\{5C659257-E236-11D2-8899-00104B2AFB46}", _
                                                                                                               "\CLSID\{5C659258-E236-11D2-8899-00104B2AFB46}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcomn.dll", False, Array ("\CLSID\{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcons.dll", False, Array ("\CLSID\{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemcore.dll", False, Array ("\CLSID\{1860E246-E924-4F73-B2C5-93E0577E3AA1}", _
                                                                                                               "\CLSID\{1F0BC6AD-46D4-488B-BE1F-047FC7505E60}", _
                                                                                                               "\CLSID\{4FA18276-912A-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{6543D242-A80B-44A3-B828-95C1EC452423}", _
                                                                                                               "\CLSID\{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", _
                                                                                                               "\CLSID\{ED999FF5-223A-4052-8ECE-0B10C8DBAA39}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemdisp.dll", False, Array ("\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{47DFBE54-CF76-11D3-B38F-00105A1F473A}", _
                                                                                                               "\CLSID\{5791BC26-CE9C-11D1-97BF-0000F81E849C}", _
                                                                                                               "\CLSID\{75718C9A-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\CLSID\{76A64158-CB41-11D1-8B02-00600806D9B6}", _
                                                                                                               "\CLSID\{9AED384E-CE8B-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{C2FEEEAC-CFCD-11D1-8B05-00600806D9B6}", _
                                                                                                               "\CLSID\{D269BF5C-D9C1-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{14D8250E-D9C2-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{269AD56A-8A67-4129-BC8C-0506DCFE9880}", _
                                                                                                               "\Interface\{5AD4BF92-DAAB-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{5E97458A-CF77-11D3-B38F-00105A1F473A}", _
                                                                                                               "\Interface\{75718C9F-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\Interface\{75718CA0-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                               "\Interface\{D2F68443-85DC-427E-91D8-366554CC754C}", _
                                                                                                               "\Interface\{D962DB84-D4BB-11D1-8B09-00600806D9B6}", _
                                                                                                               "\TypeLib\{565783C6-CB41-11D1-8B02-00600806D9B6}\1.2"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemdisp.tlb", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wbemess.dll", False, Array ("\CLSID\{5D08B586-343A-11D0-AD46-00C04FD8FDFF}", _
                                                                                                              "\CLSID\{F3130CDB-AA52-4C3A-AB32-85FFC23AF9C1}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemperf.dll", False, Array ("\CLSID\{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", _
                                                                                                               "\CLSID\{FF37A93C-C28E-11D1-AEB6-00C04FB68820}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemprox.dll", False, Array ("\CLSID\{443E7B79-DE31-11D2-B340-00104BCC4B4A}", _
                                                                                                               "\CLSID\{4590F811-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                               "\CLSID\{CB8555CC-9128-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                               "\CLSID\{CD184336-9128-11D1-AD9B-00C04FD8FDFF}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemsvc.dll", False, Array ("\CLSID\{7C857801-7381-11CF-884D-00AA004B2E24}", _
                                                                                                              "\Interface\{06413D98-405C-4A5A-8D6F-19B8B7C6ACF7}", _
                                                                                                              "\Interface\{07435309-D440-41B7-83F3-EB82DB6C622F}", _
                                                                                                              "\Interface\{0FC8C622-1728-4149-A57F-AD19D0970710}", _
                                                                                                              "\Interface\{11CAA957-4E80-474E-A819-7FD72148ADA9}", _
                                                                                                              "\Interface\{1BE41571-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                              "\Interface\{1BE41572-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                              "\Interface\{1C1C45EE-4395-11D2-B60B-00104B703EFD}", _
                                                                                                              "\Interface\{1CFABA8C-1523-11D1-AD79-00C04FD8FDFF}", _
                                                                                                              "\Interface\{21CD80A2-B305-4F37-9D4C-4534A8D9B568}", _
                                                                                                              "\Interface\{25411283-46FC-4326-8DF2-FF5D34B2DFEF}", _
                                                                                                              "\Interface\{2A504CA2-CA90-4731-87BC-6E99CA2019AF}", _
                                                                                                              "\Interface\{2B322B6E-A9DF-44E3-97BF-259E3583FDA4}", _
                                                                                                              "\Interface\{2C9273E0-1DC3-11D3-B364-00105A1F8177}", _
                                                                                                              "\Interface\{2DB9FA90-9973-46CF-B310-9865B644699D}", _
                                                                                                              "\Interface\{37196B38-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                              "\Interface\{37196B39-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                              "\Interface\{3AE0080A-7E3A-4366-BF89-0FEEDC931659}", _
                                                                                                              "\Interface\{41AA40E6-2FBA-4E80-ADE9-34306567206D}", _
                                                                                                              "\Interface\{423EC01E-2E35-11D2-B604-00104B703EFD}", _
                                                                                                              "\Interface\{44ACA675-E8FC-11D0-A07C-00C04FB68820}", _
                                                                                                              "\Interface\{484E3ECE-1F81-4591-B9D4-943BA13B609D}", _
                                                                                                              "\Interface\{48FF3109-A366-4B56-B340-01FAE758BA64}", _
                                                                                                              "\Interface\{580ACAF8-FA1C-11D0-AD72-00C04FD8FDFF}", _
                                                                                                              "\Interface\{5FBA5051-3124-4112-B723-46BFBAF1D622}", _
                                                                                                              "\Interface\{60E512D4-C47B-11D2-B338-00105A1F4AAF}", _
                                                                                                              "\Interface\{631F7D96-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                              "\Interface\{631F7D97-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                              "\Interface\{6919DD07-1637-4611-A8A7-C16FAC5B2D53}", _
                                                                                                              "\Interface\{6963B029-B969-40AA-9180-2B2F84075973}", _
                                                                                                              "\Interface\{6B3FC272-BF37-4968-933A-6DF9222A2607}", _
                                                                                                              "\Interface\{6C19BE32-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{6C19BE34-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{755F9DA7-7508-11D1-AD94-00C04FD8FDFF}", _
                                                                                                              "\Interface\{854D745C-6742-42C0-8BB9-01EC466B6E87}", _
                                                                                                              "\Interface\{88F3781C-6902-4647-9A6B-A74F450AF861}", _
                                                                                                              "\Interface\{8A0DC377-A9D3-41CB-BD69-AE1FDAF2DC68}", _
                                                                                                              "\Interface\{A210BFE9-C9F7-4919-B114-0D98B3D5341E}", _
                                                                                                              "\Interface\{A359DEC5-E813-4834-8A2A-BA7F1D777D76}", _
                                                                                                              "\Interface\{AC9EA02A-2C8A-4ACD-B562-D7E8EBEE8E8E}", _
                                                                                                              "\Interface\{B1B55910-8BA0-47A5-A16E-2B733B1D987C}", _
                                                                                                              "\Interface\{B60EF4F1-A411-462B-B51E-477CBDBB90B4}", _
                                                                                                              "\Interface\{B7B31DF9-D515-11D3-A11C-00105A1F515A}", _
                                                                                                              "\Interface\{BAC6B661-167E-4957-AD77-286AB256585E}", _
                                                                                                              "\Interface\{C49E32C7-BC8B-11D2-85D4-00105A1F8304}", _
                                                                                                              "\Interface\{CE61E841-65BC-11D0-B6BD-00AA003240C7}", _
                                                                                                              "\Interface\{D4781CD6-E5D3-44DF-AD94-930EFE48A887}", _
                                                                                                              "\Interface\{D8EC9CB1-B135-4F10-8B1B-C7188BB0D186}", _
                                                                                                              "\Interface\{DF2373F5-EFB2-475C-AD58-3102D61967D4}", _
                                                                                                              "\Interface\{E245105B-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                              "\Interface\{E246107A-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                              "\Interface\{E8107BDF-BAAF-4C7C-BB5F-9D732E8D8F07}", _
                                                                                                              "\Interface\{EB658B8A-7A64-4DDC-9B8D-A92610DB0206}", _
                                                                                                              "\Interface\{F0E4EDDE-475A-498A-93D7-D4347F68A8F3}", _
                                                                                                              "\Interface\{F1E9C5B2-F59B-11D2-B362-00105A1F8177}", _
                                                                                                              "\Interface\{F309AD18-D86A-11D0-A075-00C04FB68820}", _
                                                                                                              "\Interface\{F50A28CF-5C9C-4F7E-9D80-E25E16E18C59}", _
                                                                                                              "\Interface\{FD450835-CF1B-4C87-9FD2-5E0D42FDE081}", _
                                                                                                              "\Interface\{FEC1B0AC-5808-4033-A915-C0185934581E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wbemupgd.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "winmgmtr.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wlbsprov.dll", False, Array ("\CLSID\{FB223274-D72E-11D2-A420-00C04F68FE28}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiapres.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmiaprpl.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmicookr.dll", False, Array ("\CLSID\{B0A2AB46-F612-4469-BEC4-7AB038BC476C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmidcprv.dll", False, Array ("\CLSID\{4CFC7932-0F9D-4BEF-9C32-8EA2A6B56FCB}", _
                                                                                                               "\CLSID\{F5F75737-2843-4F22-933D-C76A97CDA62F}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipcima.dll", False, Array ("\CLSID\{04788120-12C2-498D-83C1-A7D92E677AC6}", _
                                                                                                               "\CLSID\{A3E41207-BE04-492A-AFF0-19E880FF7545}", _
                                                                                                               "\CLSID\{E2CBCB87-9C07-4523-A78F-061499C83987}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipdfs.dll", False, Array ("\CLSID\{7F72CC7A-74A0-45B4-909C-14FB8186DD7E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipdskq.dll", False, Array ("\CLSID\{4AF3F4A4-06C8-4B79-A523-633CC65CE297}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipicmp.dll", False, Array ("\CLSID\{734AC5AE-68E1-4FB5-B8DA-1D92F7FC6661}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipiprt.dll", False, Array ("\CLSID\{23B77E99-5C2D-482D-A795-62CA3AE5B673}", _
                                                                                                               "\CLSID\{6D7A4B0E-66D5-4AC3-A7ED-0189E8CF5E77}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipjobj.dll", False, Array ("\CLSID\{6515834D-6125-4878-A3A3-6B0A73B809A2}", _
                                                                                                               "\CLSID\{7FB1D98A-F895-4761-8DC2-774969C84D10}", _
                                                                                                               "\CLSID\{AB40A5C1-804B-40BD-9DFE-A640691C6956}", _
                                                                                                               "\CLSID\{C0AA9D93-2EF5-47FB-960C-F90FC644B48E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprov.dll", False, Array ("\CLSID\{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", _
                                                                                                              "\CLSID\{35B78F79-B973-48C8-A045-CAEC732A35D5}", _
                                                                                                              "\CLSID\{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiprvsd.dll", False, Array ("\CLSID\{4DE225BF-CF59-4CFC-85F7-68B90F185355}", _
                                                                                                               "\CLSID\{7F598975-37E0-4A67-A992-116680F0CEDA}", _
                                                                                                               "\CLSID\{8BEBCE8B-1AF0-4323-8B4D-36994567CAE1}", _
                                                                                                               "\CLSID\{F5A55D36-8750-432C-AB52-AD49A016EABC}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmipsess.dll", False, Array ("\CLSID\{6E78DAD9-E187-4D6E-BA63-760256D6F405}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmisvc.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmitimep.dll", False, Array ("\CLSID\{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}"), _
                                                  "%SystemRoot%\System32\WBEM\", "wmiutils.dll", False, Array ("\CLSID\{CF4CC405-E2C5-4DDD-B3CE-5E7582D8C9FA}", _
                                                                                                               "\CLSID\{EAC8A024-21E2-4523-AD73-A71A0AA2F56A}", _
                                                                                                               "\CLSID\{EB87E1BD-3233-11D2-AEC9-00C04FB68820}"), _
                                                  "%SystemRoot%\System32\WBEM\xml\", "wmi2xml.dll", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\xml\", "cim20.dtd", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\xml\", "wmi20.dtd", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "xsl-mappings.xml", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "csv.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "hform.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "htable.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "mof.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "rawxml.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "texttable.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "textvaluelist.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "xml.xsl", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "wmic.exe", False, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "ipmiprv.dll", True, Array ("\CLSID\{FD209E2E-813B-41C0-8646-4C3E9C917511}"), _
                                                  "%SystemRoot%\System32\WBEM\", "iiswmi.dll", True, Array ("\CLSID\{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}"), _
                                                  "%SystemRoot%\System32\WBEM\", "dnsprov.dll", True, Array ("\CLSID\{62269FEC-7B32-11D2-9AB7-0000F875C5D4}"), _
                                                  "%SystemRoot%\System32\WBEM\", "msiprov.dll", True, Array ("\CLSID\{BE0A9830-2B8B-11D1-A949-0060181EBBAD}"), _
                                                  "%SystemRoot%\System32\WBEM\", "snmpcl.dll", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "snmpincl.dll", True, Array ("\CLSID\{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", _
                                                                                                              "\CLSID\{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", _
                                                                                                              "\CLSID\{70426720-F78F-11CF-9151-00AA00A4086C}", _
                                                                                                              "\CLSID\{9D5BED16-0765-11D1-AB2C-00C04FD9159E}"), _
                                                  "%SystemRoot%\System32\WBEM\", "snmpsmir.dll", True, Array ("\CLSID\{5009AB90-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB92-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB94-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{5009AB9B-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                              "\CLSID\{B11B26AC-A791-11D0-AAEA-00A024E8AD1C}", _
                                                                                                              "\CLSID\{B11B26AE-A791-11D0-AAEA-00A024E8AD1C}"), _
                                                  "%SystemRoot%\System32\WBEM\", "snmpstup.dll", True, Null, _
                                                  "%SystemRoot%\System32\WBEM\", "snmpthrd.dll", True, Null _
                                                 )

                    arrayWMISystemClassList = Array ("__SystemClass", _
                                                     "__thisNAMESPACE", _
                                                     "__Provider", _
                                                     "__Win32Provider", _
                                                     "__ProviderRegistration", _
                                                     "__EventProviderRegistration", _
                                                     "__EventConsumerProviderRegistration", _
                                                     "__PropertyProviderRegistration", _
                                                     "__ObjectProviderRegistration", _
                                                     "__ClassProviderRegistration", _
                                                     "__InstanceProviderRegistration", _
                                                     "__MethodProviderRegistration", _
                                                     "__IndicationRelated", _
                                                     "__EventFilter", _
                                                     "__EventConsumer", _
                                                     "__FilterToConsumerBinding", _
                                                     "__EventGenerator", _
                                                     "__TimerInstruction", _
                                                     "__IntervalTimerInstruction", _
                                                     "__AbsoluteTimerInstruction", _
                                                     "__Event", _
                                                     "__ExtrinsicEvent", _
                                                     "__SystemEvent", _
                                                     "__EventDroppedEvent", _
                                                     "__ConsumerFailureEvent", _
                                                     "__QOSFailureEvent", _
                                                     "__EventQueueOverflowEvent", _
                                                     "__InstanceOperationEvent", _
                                                     "__InstanceCreationEvent", _
                                                     "__InstanceModificationEvent", _
                                                     "__MethodInvocationEvent", _
                                                     "__InstanceDeletionEvent", _
                                                     "__ClassOperationEvent", _
                                                     "__ClassModificationEvent", _
                                                     "__ClassCreationEvent", _
                                                     "__ClassDeletionEvent", _
                                                     "__NamespaceOperationEvent", _
                                                     "__NamespaceDeletionEvent", _
                                                     "__NamespaceCreationEvent", _
                                                     "__NamespaceModificationEvent", _
                                                     "__TimerEvent", _
                                                     "__AggregateEvent", _
                                                     "__TimerNextFiring", _
                                                     "__SystemSecurity", _
                                                     "__NAMESPACE" _
                                                    )

                    arrayWMIProgID = Array ("WBemscripting.SWBemlocator", "wbemdisp.dll", _
                                            "WbemScripting.SWbemDateTime", "wbemdisp.dll", _
                                            "WbemScripting.SWbemObjectPath", "wbemdisp.dll", _
                                            "WbemScripting.SWbemSink", "wbemdisp.dll", _
                                            "WbemScripting.SWbemLocator", "wbemdisp.dll", _
                                            "WbemScripting.SWbemNamedValueSet", "wbemdisp.dll", _
                                            "WbemScripting.SWbemRefresher", "wbemdisp.dll" _
                                           )

                    arrayWMITestList = Array (_
                                              "Root", _
                                                    True, _
                                                    Null, _
                                                    Null, _
                                                    Array (cWarning, "__ArbitratorConfiguration", "@", Array ("OutstandingTasksPerUser", 30, _
                                                                                                              "OutstandingTasksTotal", 3000, _
                                                                                                              "PermanentSubscriptionsPerUser", 1000, _
                                                                                                              "PermanentSubscriptionsTotal", 10000, _
                                                                                                              "PollingInstructionsPerUser", 1000, _
                                                                                                              "PollingInstructionsTotal", 10000, _
                                                                                                              "PollingMemoryPerUser", 5000000, _
                                                                                                              "PollingMemoryTotal", 10000000, _
                                                                                                              "QuotaRetryCount", 10, _
                                                                                                              "QuotaRetryWaitInterval", 15000, _
                                                                                                              "TaskThreadsPerUser", 3, _
                                                                                                              "TaskThreadsTotal", 30, _
                                                                                                              "TemporarySubscriptionsPerUser", 1000, _
                                                                                                              "TemporarySubscriptionsTotal", 10000, _
                                                                                                              "TotalCacheDisk", 1048576, _
                                                                                                              "TotalCacheDiskPerTask", 51250, _
                                                                                                              "TotalCacheDiskPerUser", 102500, _
                                                                                                              "TotalCacheMemory", 10240, _
                                                                                                              "TotalCacheMemoryPerTask", 1024, _
                                                                                                              "TotalCacheMemoryPerUser", 2048, _
                                                                                                              "TotalUsers", 50), _
                                                           cWarning, "__ProviderHostQuotaConfiguration", "@", Array ("HandlesPerHost", 4096, _
                                                                                                                     "MemoryAllHosts", "1073741824", _
                                                                                                                     "MemoryPerHost", "134217728", _
                                                                                                                     "ProcessLimitAllHosts", 32, _
                                                                                                              "ThreadsPerHost", 256), _
                                                           cWarning, "__EventConsumerProviderCacheControl", "@", Array ("ClearAfter", "00000000000500.000000:000"), _
                                                           cWarning, "__EventProviderCacheControl",         "@", Array ("ClearAfter", "00000000000500.000000:000"), _
                                                           cWarning, "__EventSinkCacheControl",             "@", Array ("ClearAfter", "00000000000230.000000:000"), _
                                                           cWarning, "__ObjectProviderCacheControl",        "@", Array ("ClearAfter", "00000000000500.000000:000"), _
                                                           cWarning, "__PropertyProviderCacheControl",      "@", Array ("ClearAfter", "00000000000500.000000:000") ), _
                                              "Root/Default", _
                                                    True, _
                                                    Null, _
                                                    Null, _
                                                    Null, _
                                              "Root/CIMv2", _
                                                    True, _
                                                    Array (cCritical, "Win32_Process", _
                                                           cCritical, "Win32_OperatingSystem", _
                                                           cCritical, "Win32_ComputerSystem", _
                                                           cCritical, "Win32_Service", _
                                                           cCritical, "Win32_Bios", _
                                                           cPresence, "Win32_Perf", _
                                                           cPresence, "Win32_PerfRawData", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_IPv4", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_TCPv4", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_UDPv4", _
                                                           cCritical, "Win32_PerfRawData_Tcpip_ICMP", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Cache", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Memory", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Objects", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_PagingFile", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_Processor", _
                                                           cCritical, "Win32_PerfRawData_PerfOS_System", _
                                                           cCritical, "Win32_PerfRawData_PerfProc_Process", _
                                                           cCritical, "Win32_PerfRawData_PerfProc_Thread", _
                                                           cPresence, "Win32_PerfFormattedData", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_IPv4", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_TCPv4", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_UDPv4", _
                                                           cCritical, "Win32_PerfFormattedData_Tcpip_ICMP", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Cache", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Memory", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Objects", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_PagingFile", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_Processor", _
                                                           cCritical, "Win32_PerfFormattedData_PerfOS_System", _
                                                           cCritical, "Win32_PerfFormattedData_PerfProc_Process", _
                                                           cCritical, "Win32_PerfFormattedData_PerfProc_Thread"), _
                                                    Array (cCritical, "Select * From Win32_LogicalDisk WHERE FreeSpace > 10000000 AND DriveType = 3", _
                                                           cCritical, "Select DriveType From Win32_LogicalDisk WHERE Name='C:'", _
                                                           cCritical, "Select * From Win32_Service", _
                                                           cCritical, "Select * From Win32_PageFileUsage", _
                                                           cCritical, "Select * From Win32_BIOS WHERE Version IS NOT NULL", _
                                                           cCritical, "Select * From Win32_NetworkAdapter WHERE AdapterType IS NOT NULL AND AdapterType != ""Wide Area Network (WAN)"" AND Description != ""Packet Scheduler Miniport"" ", _
                                                           cCritical, "Select * From Win32_Processor WHERE Name IS NOT NULL", _
                                                           cCritical, "Select * From Win32_DiskDrive", _
                                                           cCritical, "Select * From Win32_ComputerSystem", _
                                                           cCritical, "Select * From Win32_DiskPartition", _
                                                           cCritical, "Select * From Win32_LogicalDisk WHERE Description != ""Network Connection""", _
                                                           cWarning,  "Select * From Win32_VideoController", _
                                                           cWarning,  "Select * From Win32_USBController", _
                                                           cWarning,  "Select * From Win32_DesktopMonitor", _
                                                           cWarning,  "Select * From Win32_PointingDevice WHERE Status = ""OK""", _
                                                           cWarning,  "Select * From Win32_Keyboard", _
                                                           cCritical, "Select * From Win32_SystemDriver WHERE StartMode != ""Disabled"""), _
                                                    Null, _
                                              "Root/WMI", _
                                                    True, _
                                                    Null, _
                                                    Array (cCritical, "Select * From MSNdis_MediaConnectStatus"), _
                                                    Null _
                                             )

                    arrayWMIRegistryServiceSetup = Array ("HKLM\SYSTEM\CurrentControlSet\Services\winmgmt", _
                                                          Array (_
                                                                 cRegistryError, "Type", "REG_DWORD", "&h20", _
                                                                 cRegistryError, "Start", "REG_DWORD", "&h2", _
                                                                 cRegistryWarning, "ErrorControl", "REG_DWORD", "&h0", _
                                                                 cRegistryWarning, "ImagePath", "REG_EXPAND_SZ", "%systemroot%\system32\svchost.exe -k netsvcs", _
                                                                 cRegistryInfo, "DisplayName", "REG_SZ", Null, _
                                                                 cRegistryWarning, "DependOnService", "REG_MULTI_SZ", "RPCSS", _
                                                                 cRegistryInfo, "DependOnGroup", "REG_MULTI_SZ", Null, _
                                                                 cRegistryError, "ObjectName", "REG_SZ", "LocalSystem", _
                                                                 cRegistryWarning, "FailureActions", "REG_BINARY", Null, _
                                                                 cRegistryInfo, "Description", "REG_SZ", Null _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Parameters", _
                                                          Array (_
                                                                 cRegistryError, "ServiceDll", "REG_EXPAND_SZ", "%SystemRoot%\system32\wbem\WMIsvc.dll", _
                                                                 cRegistryError, "ServiceMain", "REG_SZ", "ServiceMain" _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Security", _
                                                          Array (_
                                                                 cRegistryWarning, "Security", "REG_BINARY", "" _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Enum", _
                                                          Array (_
                                                                 cRegistryWarning, "0", "REG_SZ", "Root\LEGACY_WINMGMT\0000", _
                                                                 cRegistryWarning, "Count", "REG_DWORD", "&h1", _
                                                                 cRegistryWarning, "NextInstance", "REG_DWORD", "&h1" _
                                                                ) _
                                                         )

                    arrayWMIRegistrySettings = Array ("HKLM\SOFTWARE\Microsoft\WBEM\Scripting", _
                                                      Array (_
                                                             cRegistryWarning, "Default Namespace", "REG_SZ", "root\cimv2", _
                                                             cRegistryWarning, "Default Impersonation Level", "REG_DWORD", "3" _
                                                            ), _
                                                      "HKLM\SOFTWARE\Microsoft\WBEM\CIMOM", _
                                                      Array (_
                                                             cRegistryWarning, "ADAPDelay", "REG_DWORD", "&hf0", _
                                                             cRegistryError, "Default Repository Driver", "REG_SZ", "{7998dc37-d3fe-487c-a60a-7701fcc70cc6}", _
                                                             cRegistryError, "EnableEvents", "REG_SZ", "1", _
                                                             cRegistryInfo, "Logging", "REG_SZ", "1", _
                                                             cRegistryWarning, "Logging Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM\Logs\", _
                                                             cRegistryError, "Repository Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM\Repository", _
                                                             cRegistryWarning, "TimeOutMs", "REG_SZ", "20000", _
                                                             cRegistryError, "WMISetup", "REG_SZ", "0", _
                                                             cRegistryWarning, "UnsecappAccessControlDefault", "REG_SZ", "0", _
                                                             cRegistryWarning, "Autorecover MOFs", "REG_SZ", Null, _
                                                             cRegistryError, "Working Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM" _
                                                            ) _
                                                     )

                    arrayWMIRegistryDCOMSetup = Array ("HKLM\SOFTWARE\Classes\AppID\{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management and Instrumentation", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null, _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management and Instrumentation", _
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\winmgmt", _
                                                       Array (_
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WMI Provider Subsystem Host", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WMI Provider Subsystem Host", _
                                                              cRegistryError, "AppID", "REG_SZ", "{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM UnSecured Apartment" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM Active Scripting Event Consumer Provider" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{C49E32C6-BC8B-11D2-85D4-00105A1F8304}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management Instrumentation Backup and Recovery", _
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Wbem Scripting Object Path" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS\CLSID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "{172BDDF8-CEEA-11D1-8B05-00600806D9B6}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS\CurVer", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS.1" _
                                                             ), _
                                                       "HKCR\WINMGMTS.1", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Wbem Object Path 1.0" _
                                                             ), _
                                                       "HKCR\WINMGMTS.1\CLSID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "{172BDDF8-CEEA-11D1-8B05-00600806D9B6}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}\ProgID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS.1" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}\VersionIndependentProgID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS" _
                                                             ) _
                                                      )

                    arrayWMISystemConfigurationClasses = Array ("__CIMOMIdentification", "__ArbitratorConfiguration", "__ProviderHostQuotaConfiguration", "__CacheControl")

                    arrayWMIRepositoryFiles = Array(_
                                                    "Repository\FS", _
                                                    "INDEX.BTR", _
                                                    "MAPPING.VER", _
                                                    "MAPPING1.MAP", _
                                                    "MAPPING2.MAP", _
                                                    "OBJECTS.DATA" _
                                                   )

                    If RunTimeEnvironmentInfo.OSIdentifier = cWindows2003RTM Or _
                       RunTimeEnvironmentInfo.OSIdentifier = cWindows2003RTM64 Then

                       arrayWMIServiceKnownDependent = Array (_
                                                              "CcmExec", "SMS Agent Host", _
                                                              "6to4", "IPv6 Helper Service", _
                                                              "MSExchangeMGMT", "Exchange Management Service", _
                                                              "IIMFilter", "Live Communication Server Filter Service", _
                                                              "RtcSrv", "Live Communication Server User Service", _
                                                              "MngAgent", "SNA Mngagent Service", _
                                                              "ADSBuilder", "Automated Deployment Services (ADS) Deployment Agent", _
                                                              "ADSPXE", "Automated Deployment Services (ADS) PXE Service" _
                                                             )
                    End If 

                    If RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP1 Or _
		       RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP2 Or _
		       RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP264 Or _
                       RunTimeEnvironmentInfo.OSIdentifier = cWindows2003SP164 Then

                       arrayWMIServiceKnownDependent = Array (_
                                                              "SharedAccess", "Windows Firewall/Internet Connection Sharing (ICS)", _
                                                              "CcmExec", "SMS Agent Host", _
                                                              "6to4", "IPv6 Helper Service", _
                                                              "MSExchangeMGMT", "Exchange Management Service", _
                                                              "IIMFilter", "Live Communication Server Filter Service", _
                                                              "RtcSrv", "Live Communication Server User Service", _
                                                              "MngAgent", "SNA Mngagent Service", _
                                                              "ADSBuilder", "Automated Deployment Services (ADS) Deployment Agent", _
                                                              "ADSPXE", "Automated Deployment Services (ADS) PXE Service" _
                                                             )
                    End If 
           
                    If RunTimeEnvironmentInfo.OSIdentifier >= cWindows2003SP1 Then 
                       arrayDCOMDefaultAccessPermission = Array ("BUILTIN\Administrators", _
                                                                 "BUILTIN\Administrators", _
                                                                 SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                 Array ("NT AUTHORITY\SELF", _
                                                                          ACCESS_ALLOWED_ACE_TYPE, _
                                                                          0, _
                                                                          DCOM_RIGHT_EXECUTE Or _
                                                                            DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                            DCOM_RIGHT_ACCESS_REMOTE, _
                                                                        "NT AUTHORITY\SYSTEM", _
                                                                          ACCESS_ALLOWED_ACE_TYPE, _
                                                                          0, _
                                                                          DCOM_RIGHT_EXECUTE Or _
                                                                               DCOM_RIGHT_ACCESS_LOCAL), _
                                                                 Null _
                                                                )

                       arrayDCOMDefaultLaunchPermission = Array ("BUILTIN\Administrators", _
                                                                 "BUILTIN\Administrators", _
                                                                 SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                 Array ("BUILTIN\Administrators", _
                                                                           ACCESS_ALLOWED_ACE_TYPE, _
                                                                           0, _
                                                                           DCOM_RIGHT_EXECUTE Or _
                                                                             DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                             DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                             DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                             DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                        "NT AUTHORITY\INTERACTIVE", _
                                                                           ACCESS_ALLOWED_ACE_TYPE, _
                                                                           0, _
                                                                           DCOM_RIGHT_EXECUTE Or _
                                                                             DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                             DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                             DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                             DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                        "NT AUTHORITY\SYSTEM", _
                                                                           ACCESS_ALLOWED_ACE_TYPE, _
                                                                           0, _
                                                                           DCOM_RIGHT_EXECUTE Or _
                                                                             DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                             DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                             DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                             DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                                 Null _
                                                                )

                       arrayDCOMMachineAccessRestriction = Array ("BUILTIN\Administrators", _
                                                                  "BUILTIN\Administrators", _
                                                                  SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                  Array ("NT AUTHORITY\ANONYMOUS LOGON", _
                                                                            ACCESS_ALLOWED_ACE_TYPE, _
                                                                            0, _
                                                                            DCOM_RIGHT_EXECUTE Or _
                                                                              DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                              DCOM_RIGHT_ACCESS_REMOTE, _
                                                                         "Everyone", _
                                                                            ACCESS_ALLOWED_ACE_TYPE, _
                                                                            0, _
                                                                            DCOM_RIGHT_EXECUTE Or _
                                                                              DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                              DCOM_RIGHT_ACCESS_REMOTE), _
                                                                  Null _ 
                                                                 )
           
                       arrayDCOMMachineLaunchRestriction = Array ("BUILTIN\Administrators", _
                                                                  "BUILTIN\Administrators", _
                                                                  SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                  Array ("BUILTIN\Administrators", _
                                                                            ACCESS_ALLOWED_ACE_TYPE, _
                                                                            0, _
                                                                            DCOM_RIGHT_EXECUTE Or _
                                                                              DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                              DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                              DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                              DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                         "Everyone", _
                                                                            ACCESS_ALLOWED_ACE_TYPE, _
                                                                            0, _
                                                                            DCOM_RIGHT_EXECUTE Or _
                                                                              DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                              DCOM_RIGHT_ACTIVATE_LOCAL), _
                                                                  Null _
                                                                 )
           
                       arrayWMIDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                       arrayWMIDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                             "BUILTIN\Administrators", _
                                                             SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                             Array ("Everyone", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                             Null _
                                                            ) 
              
                       arrayWMIPSSDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                       arrayWMIPSSDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                                "BUILTIN\Administrators", _
                                                                SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                Array ("BUILTIN\Administrators", _
                                                                          ACCESS_ALLOWED_ACE_TYPE, _
                                                                          0, _
                                                                          DCOM_RIGHT_EXECUTE Or _
                                                                            DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                            DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                            DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                            DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                       "NT AUTHORITY\INTERACTIVE", _
                                                                          ACCESS_ALLOWED_ACE_TYPE, _
                                                                          0, _
                                                                          DCOM_RIGHT_EXECUTE Or _
                                                                            DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                            DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                            DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                            DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                       "NT AUTHORITY\SYSTEM", _
                                                                          ACCESS_ALLOWED_ACE_TYPE, _
                                                                          0, _
                                                                          DCOM_RIGHT_EXECUTE Or _
                                                                            DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                            DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                            DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                            DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                       "NT AUTHORITY\NETWORK SERVICE", _
                                                                          ACCESS_ALLOWED_ACE_TYPE, _
                                                                          0, _
                                                                          DCOM_RIGHT_EXECUTE Or _
                                                                            DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                            DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                            DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                            DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                       "NT AUTHORITY\LOCAL SERVICE", _
                                                                          ACCESS_ALLOWED_ACE_TYPE, _
                                                                          0, _
                                                                          DCOM_RIGHT_EXECUTE Or _
                                                                            DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                            DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                            DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                            DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                                Null _
                                                               ) 
                    Else 
                       arrayDCOMDefaultAccessPermission = Array ("BUILTIN\Administrators", _
                                                                 "BUILTIN\Administrators", _
                                                                 SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                 Array ("NT AUTHORITY\SELF", _
                                                                          ACCESS_ALLOWED_ACE_TYPE, _
                                                                          0, _
                                                                          DCOM_RIGHT_EXECUTE, _
                                                                        "NT AUTHORITY\SYSTEM", _
                                                                          ACCESS_ALLOWED_ACE_TYPE, _
                                                                          0, _
                                                                          DCOM_RIGHT_EXECUTE), _
                                                                 Null _
                                                                )

                       arrayDCOMDefaultLaunchPermission = Array ("BUILTIN\Administrators", _
                                                                 "BUILTIN\Administrators", _
                                                                 SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                 Array ("BUILTIN\Administrators", _
                                                                           ACCESS_ALLOWED_ACE_TYPE, _
                                                                           0, _
                                                                           DCOM_RIGHT_EXECUTE, _
                                                                        "NT AUTHORITY\INTERACTIVE", _
                                                                           ACCESS_ALLOWED_ACE_TYPE, _
                                                                           0, _
                                                                           DCOM_RIGHT_EXECUTE, _
                                                                        "NT AUTHORITY\SYSTEM", _
                                                                           ACCESS_ALLOWED_ACE_TYPE, _
                                                                           0, _
                                                                           DCOM_RIGHT_EXECUTE), _
                                                                 Null _
                                                                )

                       arrayDCOMMachineAccessRestriction = Null
           
                       arrayDCOMMachineLaunchRestriction = Null
           
                       arrayWMIDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                       arrayWMIDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                             "BUILTIN\Administrators", _
                                                             SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                             Array ("Everyone", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE), _
                                                             Null _
                                                            ) 
              
                       arrayWMIPSSDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                       arrayWMIPSSDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                                "BUILTIN\Administrators", _
                                                                SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                Array ("BUILTIN\Administrators", _
                                                                          ACCESS_ALLOWED_ACE_TYPE, _
                                                                          0, _
                                                                          DCOM_RIGHT_EXECUTE, _
                                                                       "NT AUTHORITY\INTERACTIVE", _
                                                                          ACCESS_ALLOWED_ACE_TYPE, _
                                                                          0, _
                                                                          DCOM_RIGHT_EXECUTE, _
                                                                       "NT AUTHORITY\SYSTEM", _
                                                                          ACCESS_ALLOWED_ACE_TYPE, _
                                                                          0, _
                                                                          DCOM_RIGHT_EXECUTE, _
                                                                       "NT AUTHORITY\NETWORK SERVICE", _
                                                                          ACCESS_ALLOWED_ACE_TYPE, _
                                                                          0, _
                                                                          DCOM_RIGHT_EXECUTE, _
                                                                       "NT AUTHORITY\LOCAL SERVICE", _
                                                                          ACCESS_ALLOWED_ACE_TYPE, _
                                                                          0, _
                                                                          DCOM_RIGHT_EXECUTE), _
                                                                Null _
                                                               ) 
                    End If 
           

                    arrayWMIUnsecureApptDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIUnsecureApptDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 

                    arrayWMIActiveScriptEventConsDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIActiveScriptEventConsDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 

                    arrayWMIDefaultNameSpaceSecurity = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\LOCAL SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER), _
                                                               Null _
                                                              )
           
                    arrayWMINameSpaceSecurity = Array ("ROOT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/SECURITY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CLI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP/LOCALHOST", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SECURITYCENTER", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/WMI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/POLICY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT/HOMENET", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DEFAULT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY/LDAP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SUBSCRIPTION", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/MICROSOFTNLB", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/MICROSOFTDNS", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/MICROSOFTIISV2", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/MICROSOFTACTIVEDIRECTORY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/MSCLUSTER", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "Root/RSOP", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/Computer", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/User", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/HARDWARE", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\LOCAL SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER), _
                                                               Null _
                                                              ), _
                                                       "Root/ASPNET", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\LOCAL SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER), _
                                                               Null _
                                                              ), _
                                                       "Root/Perfmon", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "BUILTIN\Performance Log Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\LOCAL SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER), _
                                                               Null _
                                                              ) _
                                                      )

               Case cWindowsVistaRTM, cWindowsVistaSP1, cWindowsLonghornRTM
                    If RunTimeEnvironmentInfo.IsServerOS Then 

                       arrayWMIDCOMDataList = Array (_
                                                     "%SystemRoot%\System32\WBEM\", "smi2smir.exe", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "cluswmi.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "nlbmprov.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wlbsprov.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmiprvse.exe", False, Array ("\CLSID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}"), _
                                                     "%SystemRoot%\System32\WBEM\", "mofcomp.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "scrcons.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "unsecapp.exe", False, Array ("\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}"),_
                                                     "%SystemRoot%\System32\WBEM\", "wbemtest.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "winmgmt.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmiadap.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmiapsrv.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "ipmiprr.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "ipmiprv.dll", False, Array ("\CLSID\{FD209E2E-813B-41C0-8646-4C3E9C917511}"), _
                                                     "%SystemRoot%\System32\WBEM\", "cimwin32.dll", False, Array ("\CLSID\{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", _
                                                                                                                  "\CLSID\{D31B6A3F-9350-40DE-A3FC-A7EDEB9B7C63}", _
                                                                                                                  "\CLSID\{D63A5850-8F16-11CF-9F47-00AA00BF345C}"), _
                                                     "%SystemRoot%\System32\WBEM\", "dsprov.dll", False, Array ("\CLSID\{1EF94880-01A8-11D2-A90B-00AA00BF3363}", _
                                                                                                                "\CLSID\{33831ED4-42B8-11D2-93AD-00805F853771}", _
                                                                                                                "\CLSID\{AA527A40-4D9A-11D2-93AD-00805F853771}"), _
                                                     "%SystemRoot%\System32\WBEM\", "esscli.dll", False, Array ("\CLSID\{6c19be35-7500-11d1-ad94-00c04fd8fdff}", _
                                                                                                                "\CLSID\{DC923725-0FDD-45E1-AE74-EA09182E739B}"), _
                                                     "%SystemRoot%\System32\WBEM\", "fastprox.dll", False, Array ("\CLSID\{1108BE51-F58A-4CDA-BB99-7A0227D11D5E}", _
                                                                                                                  "\CLSID\{1B1CAD8C-2DAB-11D2-B604-00104B703EFD}", _
                                                                                                                  "\CLSID\{29B5828C-CAB9-11D2-B35C-00105A1F8177}", _
                                                                                                                  "\CLSID\{4590F812-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                                  "\CLSID\{5839FCA9-774D-42A1-ACDA-D6A79037F57F}", _
                                                                                                                  "\CLSID\{674B6698-EE92-11D0-AD71-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{7016F8FA-CCDA-11D2-B35C-00105A1F8177}", _
                                                                                                                  "\CLSID\{71285C44-1DC0-11D2-B5FB-00104B703EFD}", _
                                                                                                                  "\CLSID\{78103FB7-AED7-4066-8BCD-30BB27B02331}", _
                                                                                                                  "\CLSID\{8D1C559D-84F0-4BB3-A7D5-56A7435A9BA6}", _
                                                                                                                  "\CLSID\{9A653086-174F-11D2-B5F9-00104B703EFD}", _
                                                                                                                  "\CLSID\{C71566F2-561E-11D1-AD87-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{CC9072AB-C000-49D8-A5AA-00266C8DBB9B}", _
                                                                                                                  "\CLSID\{CD1ABFC8-6C5E-4A8D-B90B-2A3B153B886D}", _
                                                                                                                  "\CLSID\{D68AF00A-29CB-43FA-8504-CE99A996D9EA}", _
                                                                                                                  "\CLSID\{DCF33DF4-B510-439F-832A-16B6B514F2A7}"), _
                                                     "%SystemRoot%\System32\", "framedyn.dll", False, Null, _
                                                     "%SystemRoot%\System32\", "framedynos.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "krnlprov.dll", False, Array ("\CLSID\{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", _
                                                                                                                  "\TypeLib\{6B100E1A-1385-4D1F-A02E-6E705A76BB6C}\1.0"), _
                                                     "%SystemRoot%\System32\WBEM\", "MMFUtil.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "mofd.dll", False, Array ("\CLSID\{288a2d5f-253c-46b4-b58c-2ced3180b993}", _
                                                                                                              "\CLSID\{6DAF9757-2E37-11D2-AEC9-00C04FB68820}", _
                                                                                                              "\CLSID\{C10B4771-4DA0-11D2-A2F5-00C04F86FB7D}", _
                                                                                                              "\CLSID\{D215781D-019E-4FA0-903D-0CDCDE13A4F5}"), _
                                                     "%SystemRoot%\System32\WBEM\", "mofinstall.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "msiprov.dll", False, Array ("\CLSID\{BE0A9830-2B8B-11D1-A949-0060181EBBAD}"), _
                                                     "%SystemRoot%\System32\WBEM\", "ncprov.dll", False, Array ("\CLSID\{29F06F0C-FB7F-44A5-83CD-D41705D5C525}", _
                                                                                                                "\TypeLib\{5F099F16-6A6E-4BBC-8BD8-98F3221D58C4}\1.0"), _
                                                     "%SystemRoot%\System32\WBEM\", "ntevt.dll", False, Array ("\CLSID\{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", _
                                                                                                               "\CLSID\{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "policman.dll", False, Array ("\CLSID\{69D76D1B-B12E-4913-8F48-671B90195A2B}", _
                                                                                                                  "\CLSID\{AAEAE72F-0328-4763-8ECB-23422EDE2DB5}"), _
                                                     "%SystemRoot%\System32\", "provthrd.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "repdrvfs.dll", False, Array ("\CLSID\{7998DC37-D3FE-487C-A60A-7701FCC70CC6}"), _
                                                     "%SystemRoot%\System32\WBEM\", "servdeps.dll", False, Array ("\CLSID\{A1B9E04A-3226-11D2-883E-00104B2AFB46}", _
                                                                                                                  "\CLSID\{BD95BA60-2E26-AAD1-AD99-00AA00B8E05A}"), _
                                                     "%SystemRoot%\System32\WBEM\", "SMTPCons.dll", False, Array ("\CLSID\{C7A3A54B-0250-11D3-9CD1-00105A1F4801}"), _
                                                     "%SystemRoot%\System32\WBEM\", "smierrsm.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "smierrsy.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "smimsgif.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "snmpcl.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "snmpincl.dll", True, Array ("\CLSID\{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", _
                                                                                                                  "\CLSID\{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", _
                                                                                                                  "\CLSID\{70426720-F78F-11CF-9151-00AA00A4086C}", _
                                                                                                                  "\CLSID\{9D5BED16-0765-11D1-AB2C-00C04FD9159E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "snmpsmir.dll", True, Array ("\CLSID\{5009AB90-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                  "\CLSID\{5009AB92-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                  "\CLSID\{5009AB94-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                  "\CLSID\{5009AB9B-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                  "\CLSID\{B11B26AC-A791-11D0-AAEA-00A024E8AD1C}", _
                                                                                                                  "\CLSID\{B11B26AE-A791-11D0-AAEA-00A024E8AD1C}"), _
                                                     "%SystemRoot%\System32\WBEM\", "snmpthrd.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "stdprov.dll", False, Array ("\CLSID\{72967901-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                                 "\CLSID\{72967903-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                                 "\CLSID\{F00B4404-F8F1-11CE-A5B6-00AA00680C3F}", _
                                                                                                                 "\CLSID\{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", _
                                                                                                                 "\CLSID\{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}"), _
                                                     "%SystemRoot%\System32\WBEM\", "vdswmi.dll", False, Array ("\CLSID\{890CB943-D715-401B-98B1-CF82DCF36D7C}"), _
                                                     "%SystemRoot%\System32\WBEM\", "viewprov.dll", False, Array ("\CLSID\{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "vsswmi.dll", False, Array ("\CLSID\{72970BEB-81F8-46D4-B220-D743F4E49C95}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemcntl.dll", False, Array ("\CLSID\{5C659257-E236-11D2-8899-00104B2AFB46}", _
                                                                                                                  "\CLSID\{5C659258-E236-11D2-8899-00104B2AFB46}"), _
                                                     "%SystemRoot%\System32\", "wbemcomn.dll", False, Array ("\CLSID\{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemcons.dll", False, Array ("\CLSID\{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemcore.dll", False, Array ("\CLSID\{1860E246-E924-4F73-B2C5-93E0577E3AA1}", _
                                                                                                                  "\CLSID\{1F0BC6AD-46D4-488B-BE1F-047FC7505E60}", _
                                                                                                                  "\CLSID\{4FA18276-912A-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{6543D242-A80B-44A3-B828-95C1EC452423}", _
                                                                                                                  "\CLSID\{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", _
                                                                                                                  "\CLSID\{ED999FF5-223A-4052-8ECE-0B10C8DBAA39}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemdisp.dll", False, Array ("\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}", _
                                                                                                                  "\CLSID\{47DFBE54-CF76-11D3-B38F-00105A1F473A}", _
                                                                                                                  "\CLSID\{5791BC26-CE9C-11D1-97BF-0000F81E849C}", _
                                                                                                                  "\CLSID\{75718C9A-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                                  "\CLSID\{76A64158-CB41-11D1-8B02-00600806D9B6}", _
                                                                                                                  "\CLSID\{9AED384E-CE8B-11D1-8B05-00600806D9B6}", _
                                                                                                                  "\CLSID\{C2FEEEAC-CFCD-11D1-8B05-00600806D9B6}", _
                                                                                                                  "\CLSID\{D269BF5C-D9C1-11D3-B38F-00105A1F473A}", _
                                                                                                                  "\Interface\{75718C9F-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                                  "\Interface\{75718CA0-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                                  "\Interface\{D962DB84-D4BB-11D1-8B09-00600806D9B6}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemdisp.tlb", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wbemess.dll", False, Array ("\CLSID\{5D08B586-343A-11D0-AD46-00C04FD8FDFF}", _
                                                                                                                 "\CLSID\{F3130CDB-AA52-4C3A-AB32-85FFC23AF9C1}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemprox.dll", False, Array ("\CLSID\{443E7B79-DE31-11D2-B340-00104BCC4B4A}", _
                                                                                                                  "\CLSID\{4590F811-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                                  "\CLSID\{CB8555CC-9128-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{CD184336-9128-11D1-AD9B-00C04FD8FDFF}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemsvc.dll", False, Array ("\CLSID\{7C857801-7381-11CF-884D-00AA004B2E24}", _
                                                                                                                 "\Interface\{11CAA957-4E80-474E-A819-7FD72148ADA9}", _
                                                                                                                 "\Interface\{1BE41571-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                                 "\Interface\{1BE41572-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                                 "\Interface\{1C1C45EE-4395-11D2-B60B-00104B703EFD}", _
                                                                                                                 "\Interface\{1CFABA8C-1523-11D1-AD79-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{2B322B6E-A9DF-44E3-97BF-259E3583FDA4}", _
                                                                                                                 "\Interface\{2C9273E0-1DC3-11D3-B364-00105A1F8177}", _
                                                                                                                 "\Interface\{2DB9FA90-9973-46CF-B310-9865B644699D}", _
                                                                                                                 "\Interface\{37196B38-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                                 "\Interface\{37196B39-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                                 "\Interface\{41AA40E6-2FBA-4E80-ADE9-34306567206D}", _
                                                                                                                 "\Interface\{423EC01E-2E35-11D2-B604-00104B703EFD}", _
                                                                                                                 "\Interface\{44ACA675-E8FC-11D0-A07C-00C04FB68820}", _
                                                                                                                 "\Interface\{580ACAF8-FA1C-11D0-AD72-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{60E512D4-C47B-11D2-B338-00105A1F4AAF}", _
                                                                                                                 "\Interface\{631F7D96-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                                 "\Interface\{631F7D97-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                                 "\Interface\{6919DD07-1637-4611-A8A7-C16FAC5B2D53}", _
                                                                                                                 "\Interface\{6C19BE32-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{6C19BE34-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{755F9DA7-7508-11D1-AD94-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{854D745C-6742-42C0-8BB9-01EC466B6E87}", _
                                                                                                                 "\Interface\{88F3781C-6902-4647-9A6B-A74F450AF861}", _
                                                                                                                 "\Interface\{8A0DC377-A9D3-41CB-BD69-AE1FDAF2DC68}", _
                                                                                                                 "\Interface\{A210BFE9-C9F7-4919-B114-0D98B3D5341E}", _
                                                                                                                 "\Interface\{AC9EA02A-2C8A-4ACD-B562-D7E8EBEE8E8E}", _
                                                                                                                 "\Interface\{C49E32C7-BC8B-11D2-85D4-00105A1F8304}", _
                                                                                                                 "\Interface\{DF2373F5-EFB2-475C-AD58-3102D61967D4}", _
                                                                                                                 "\Interface\{E245105B-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{E246107A-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{F1E9C5B2-F59B-11D2-B362-00105A1F8177}", _
                                                                                                                 "\Interface\{F309AD18-D86A-11D0-A075-00C04FB68820}", _
                                                                                                                 "\Interface\{F50A28CF-5C9C-4F7E-9D80-E25E16E18C59}", _
                                                                                                                 "\Interface\{FD450835-CF1B-4C87-9FD2-5E0D42FDE081}", _
                                                                                                                 "\Interface\{FEC1B0AC-5808-4033-A915-C0185934581E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "Win32_EncryptableVolume.dll", True, Array ("\CLSID\{F198A89A-5042-4294-ADF1-CB163E549798}"), _
                                                     "%SystemRoot%\System32\WBEM\", "Win32_Tpm.dll", True, Array ("\CLSID\{E2E5A310-ECED-444F-81D7-ACCA6AC8A1A8}"), _
                                                     "%SystemRoot%\System32\WBEM\", "WinMgmtR.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "WmiApRes.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "WmiApRpl.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmicookr.dll", False, Array ("\CLSID\{B0A2AB46-F612-4469-BEC4-7AB038BC476C}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmidcprv.dll", False, Array ("\CLSID\{4CFC7932-0F9D-4BEF-9C32-8EA2A6B56FCB}", _
                                                                                                                  "\CLSID\{F5F75737-2843-4F22-933D-C76A97CDA62F}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmipcima.dll", False, Array ("\CLSID\{04788120-12C2-498D-83C1-A7D92E677AC6}", _
                                                                                                                  "\CLSID\{A3E41207-BE04-492A-AFF0-19E880FF7545}", _
                                                                                                                  "\CLSID\{E2CBCB87-9C07-4523-A78F-061499C83987}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmipdfs.dll", False, Array ("\CLSID\{7F72CC7A-74A0-45B4-909C-14FB8186DD7E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmipdskq.dll", False, Array ("\CLSID\{4AF3F4A4-06C8-4B79-A523-633CC65CE297}"), _
                                                     "%SystemRoot%\System32\WBEM\", "WmiPerfClass.dll", False, Array ("\CLSID\{661FF7F6-F4D1-4593-B59D-4C54C1ECE68B}"), _
                                                     "%SystemRoot%\System32\WBEM\", "WmiPerfInst.dll", False, Array ("\CLSID\{CA2AF3B4-C15E-412b-B453-557746675FB7}", _
                                                                                                                     "\CLSID\{FCF7A6F2-3300-4386-9A4F-0DD4E3226507}"), _
                                                     "%SystemRoot%\System32\WBEM\", "WMIPICMP.dll", False, Array ("\CLSID\{734AC5AE-68E1-4FB5-B8DA-1D92F7FC6661}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmipiprt.dll", False, Array ("\CLSID\{23B77E99-5C2D-482D-A795-62CA3AE5B673}", _
                                                                                                                  "\CLSID\{6D7A4B0E-66D5-4AC3-A7ED-0189E8CF5E77}"), _
                                                     "%SystemRoot%\System32\WBEM\", "WMIPJOBJ.dll", False, Array ("\CLSID\{6515834D-6125-4878-A3A3-6B0A73B809A2}", _
                                                                                                                  "\CLSID\{7FB1D98A-F895-4761-8DC2-774969C84D10}", _
                                                                                                                  "\CLSID\{AB40A5C1-804B-40BD-9DFE-A640691C6956}", _
                                                                                                                  "\CLSID\{C0AA9D93-2EF5-47FB-960C-F90FC644B48E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmiprov.dll", False, Array ("\CLSID\{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", _
                                                                                                                  "\CLSID\{35B78F79-B973-48C8-A045-CAEC732A35D5}", _
                                                                                                                  "\CLSID\{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmiprvsd.dll", False, Array ("\CLSID\{4DE225BF-CF59-4CFC-85F7-68B90F185355}", _
                                                                                                                  "\CLSID\{7F598975-37E0-4A67-A992-116680F0CEDA}", _
                                                                                                                  "\CLSID\{8BEBCE8B-1AF0-4323-8B4D-36994567CAE1}", _
                                                                                                                  "\CLSID\{F5A55D36-8750-432C-AB52-AD49A016EABC}"), _
                                                     "%SystemRoot%\System32\WBEM\", "WMIPSESS.dll", False, Array ("\CLSID\{6E78DAD9-E187-4D6E-BA63-760256D6F405}"), _
                                                     "%SystemRoot%\System32\WBEM\", "WMIsvc.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmitimep.dll", False, Array ("\CLSID\{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmiutils.dll", False, Array ("\CLSID\{CF4CC405-E2C5-4DDD-B3CE-5E7582D8C9FA}", _
                                                                                                                  "\CLSID\{EAC8A024-21E2-4523-AD73-A71A0AA2F56A}", _
                                                                                                                  "\CLSID\{EB87E1BD-3233-11D2-AEC9-00C04FB68820}"), _
                                                     "%SystemRoot%\System32\WBEM\xml\", "wmi2xml.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\xml\", "cim20.dtd", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\xml\", "wmi20.dtd", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "xsl-mappings.xml", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\en-US\", "csv.xsl", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\en-US\", "mof.xsl", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\en-US\", "xml.xsl", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "rawxml.xsl", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "texttable.xsl", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "textvaluelist.xsl", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmic.exe", False, Null _
                                                    )

                       arrayWMITestList = Array (_
                                                 "Root", _
                                                       True, _
                                                       Null, _
                                                       Null, _
                                                       Array (cWarning, "__ArbitratorConfiguration", "@", Array ("OutstandingTasksPerUser", 30, _
                                                                                                                 "OutstandingTasksTotal", 3000, _
                                                                                                                 "PermanentSubscriptionsPerUser", 1000, _
                                                                                                                 "PermanentSubscriptionsTotal", 10000, _
                                                                                                                 "PollingInstructionsPerUser", 1000, _
                                                                                                                 "PollingInstructionsTotal", 10000, _
                                                                                                                 "PollingMemoryPerUser", 5000000, _
                                                                                                                 "PollingMemoryTotal", 10000000, _
                                                                                                                 "QuotaRetryCount", 10, _
                                                                                                                 "QuotaRetryWaitInterval", 15000, _
                                                                                                                 "TaskThreadsPerUser", 3, _
                                                                                                                 "TaskThreadsTotal", 30, _
                                                                                                                 "TemporarySubscriptionsPerUser", 1000, _
                                                                                                                 "TemporarySubscriptionsTotal", 10000, _
                                                                                                                 "TotalCacheDisk", 1048576, _
                                                                                                                 "TotalCacheDiskPerTask", 51250, _
                                                                                                                 "TotalCacheDiskPerUser", 102500, _
                                                                                                                 "TotalCacheMemory", 10240, _
                                                                                                                 "TotalCacheMemoryPerTask", 1024, _
                                                                                                                 "TotalCacheMemoryPerUser", 2048, _
                                                                                                                 "TotalUsers", 50), _
                                                              cWarning, "__ProviderHostQuotaConfiguration", "@", Array ("HandlesPerHost", 4096, _
                                                                                                                        "MemoryAllHosts", "1073741824", _
                                                                                                                        "MemoryPerHost", "536870912", _
                                                                                                                        "ProcessLimitAllHosts", 32, _
                                                                                                                        "ThreadsPerHost", 256), _
                                                              cWarning, "__EventConsumerProviderCacheControl", "@", Array ("ClearAfter", "00000000000500.000000:000"), _
                                                              cWarning, "__EventProviderCacheControl",         "@", Array ("ClearAfter", "00000000000500.000000:000"), _
                                                              cWarning, "__EventSinkCacheControl",             "@", Array ("ClearAfter", "00000000000230.000000:000"), _
                                                              cWarning, "__ObjectProviderCacheControl",        "@", Array ("ClearAfter", "00000000000500.000000:000"), _
                                                              cWarning, "__PropertyProviderCacheControl",      "@", Array ("ClearAfter", "00000000000500.000000:000") ), _
                                                 "Root/subscription", _
                                                       True, _
                                                       Array (cPresence, "LogFileEventConsumer", _
                                                              cPresence, "ActiveScriptEventConsumer", _
                                                              cPresence, "NTEventLogEventConsumer", _
                                                              cPresence, "SMTPEventConsumer", _
                                                              cPresence, "CommandLineEventConsumer"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/DEFAULT", _
                                                       True, _
                                                       Array (cPresence, "LogFileEventConsumer", _
                                                              cPresence, "ActiveScriptEventConsumer", _
                                                              cPresence, "NTEventLogEventConsumer", _
                                                              cPresence, "SMTPEventConsumer", _
                                                              cPresence, "CommandLineEventConsumer", _
                                                              cPresence, "RegistryEvent", _
                                                              cPresence, "RegistryKeyChangeEvent", _
                                                              cPresence, "RegistryTreeChangeEvent", _
                                                              cPresence, "RegistryValueChangeEvent", _
                                                              cPresence, "StdRegProv"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/MicrosoftDfs", _
                                                       False, _
                                                       Array (cPresence, "DfsrLocalMemberInfo", _
                                                              cPresence, "DfsrIdRecordInfo", _
                                                              cPresence, "DfsrLocalMemberConfig", _
                                                              cPresence, "DfsrReplicationGroupConfig", _
                                                              cPresence, "DfsrReplicatedFolderInfo", _
                                                              cPresence, "DfsrConnectionInfo", _
                                                              cPresence, "DfsrInfo", _
                                                              cPresence, "DfsrReplicatedFolderConfig", _
                                                              cPresence, "DfsrConflictInfo", _
                                                              cPresence, "DfsrVolumeConfig", _
                                                              cPresence, "DfsrVolumeInfo", _
                                                              cPresence, "DfsrConfig", _
                                                              cPresence, "DfsrSyncInfo", _
                                                              cPresence, "DfsrMachineConfig", _
                                                              cPresence, "DfsrConnectionConfig"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/CIMV2", _
                                                       True, _
                                                       Array (cPresence, "Win32_PrivilegesStatus", _
                                                              cPresence, "Win32_JobObjectStatus", _
                                                              cPresence, "Win32_Trustee", _
                                                              cPresence, "Win32_ACE", _
                                                              cPresence, "Win32_SecurityDescriptor", _
                                                              cPresence, "MSFT_SCMEvent", _
                                                              cPresence, "MSFT_SCMEventLogEvent", _
                                                              cPresence, "MSFT_NetSevereServiceFailed", _
                                                              cPresence, "MSFT_NetTransactInvalid", _
                                                              cPresence, "MSFT_NetServiceNotInteractive", _
                                                              cPresence, "MSFT_NetTakeOwnership", _
                                                              cPresence, "MSFT_NetServiceConfigBackoutFailed", _
                                                              cPresence, "MSFT_NetServiceShutdownFailed", _
                                                              cPresence, "MSFT_NetServiceStartHung", _
                                                              cPresence, "MSFT_NetServiceStopControlSuccess", _
                                                              cPresence, "MSFT_NetServiceSlowStartup", _
                                                              cPresence, "MSFT_NetCallToFunctionFailed", _
                                                              cPresence, "MSFT_NetBadAccount", _
                                                              cPresence, "MSFT_NetBadServiceState", _
                                                              cPresence, "MSFT_NetConnectionTimeout", _
                                                              cPresence, "MSFT_NetCircularDependencyAuto", _
                                                              cPresence, "MSFT_NetServiceStartTypeChanged", _
                                                              cPresence, "MSFT_NetServiceLogonTypeNotGranted", _
                                                              cPresence, "MSFT_NetServiceStartFailedGroup", _
                                                              cPresence, "MSFT_NetDependOnLaterService", _
                                                              cPresence, "MSFT_NetFirstLogonFailedII", _
                                                              cPresence, "MSFT_NetServiceDifferentPIDConnected", _
                                                              cPresence, "MSFT_NetServiceCrashNoAction", _
                                                              cPresence, "MSFT_NetCircularDependencyDemand", _
                                                              cPresence, "MSFT_NetServiceExitFailed", _
                                                              cPresence, "MSFT_NetServiceStartFailedII", _
                                                              cPresence, "MSFT_NetServiceExitFailedSpecific", _
                                                              cPresence, "MSFT_NetBootSystemDriversFailed", _
                                                              cPresence, "MSFT_NetInvalidDriverDependency", _
                                                              cPresence, "MSFT_NetServiceCrash", _
                                                              cPresence, "MSFT_NetServiceRecoveryFailed", _
                                                              cPresence, "MSFT_NetServiceStatusSuccess", _
                                                              cPresence, "MSFT_NetTransactTimeout", _
                                                              cPresence, "MSFT_NetFirstLogonFailed", _
                                                              cPresence, "MSFT_NetServiceControlSuccess", _
                                                              cPresence, "MSFT_NetServiceStartFailed", _
                                                              cPresence, "MSFT_NetServiceStartFailedNone", _
                                                              cPresence, "MSFT_NetReadfileTimeout", _
                                                              cPresence, "MSFT_NetRevertedToLastKnownGood", _
                                                              cPresence, "MSFT_NetCallToFunctionFailedII", _
                                                              cPresence, "MSFT_NetDependOnLaterGroup", _
                                                              cPresence, "MSFT_WmiSelfEvent", _
                                                              cPresence, "MSFT_WmiEssEvent", _
                                                              cPresence, "MSFT_WmiThreadPoolEvent", _
                                                              cPresence, "MSFT_WmiThreadPoolThreadCreated", _
                                                              cPresence, "MSFT_WmiThreadPoolThreadDeleted", _
                                                              cPresence, "MSFT_WmiRegisterNotificationSink", _
                                                              cPresence, "MSFT_WmiFilterEvent", _
                                                              cPresence, "MSFT_WmiFilterDeactivated", _
                                                              cPresence, "MSFT_WmiFilterActivated", _
                                                              cPresence, "MSFT_WmiCancelNotificationSink", _
                                                              cPresence, "MSFT_WmiProviderEvent", _
                                                              cPresence, "MSFT_WmiConsumerProviderEvent", _
                                                              cPresence, "MSFT_WmiConsumerProviderSinkLoaded", _
                                                              cPresence, "MSFT_WmiConsumerProviderSinkUnloaded", _
                                                              cPresence, "MSFT_WmiConsumerProviderUnloaded", _
                                                              cPresence, "MSFT_WmiConsumerProviderLoaded", _
                                                              cPresence, "Msft_WmiProvider_OperationEvent", _
                                                              cPresence, "Msft_WmiProvider_ComServerLoadOperationEvent", _
                                                              cPresence, "Msft_WmiProvider_OperationEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_PutInstanceAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_CreateInstanceEnumAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_DeleteInstanceAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_CancelQuery_Post", _
                                                              cPresence, "Msft_WmiProvider_NewQuery_Post", _
                                                              cPresence, "Msft_WmiProvider_ProvideEvents_Post", _
                                                              cPresence, "Msft_WmiProvider_ExecQueryAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_AccessCheck_Post", _
                                                              cPresence, "Msft_WmiProvider_CreateClassEnumAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_DeleteClassAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_ExecMethodAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_GetObjectAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_PutClassAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_InitializationOperationFailureEvent", _
                                                              cPresence, "Msft_WmiProvider_InitializationOperationEvent", _
                                                              cPresence, "Msft_WmiProvider_LoadOperationFailureEvent", _
                                                              cPresence, "Msft_WmiProvider_ComServerLoadOperationFailureEvent", _
                                                              cPresence, "Msft_WmiProvider_UnLoadOperationEvent", _
                                                              cPresence, "Msft_WmiProvider_LoadOperationEvent", _
                                                              cPresence, "Msft_WmiProvider_OperationEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_DeleteInstanceAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_AccessCheck_Pre", _
                                                              cPresence, "Msft_WmiProvider_ExecQueryAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_DeleteClassAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_NewQuery_Pre", _
                                                              cPresence, "Msft_WmiProvider_PutInstanceAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_CreateClassEnumAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_ExecMethodAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_ProvideEvents_Pre", _
                                                              cPresence, "Msft_WmiProvider_CancelQuery_Pre", _
                                                              cPresence, "Msft_WmiProvider_PutClassAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_GetObjectAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_CreateInstanceEnumAsyncEvent_Pre", _
                                                              cPresence, "MSFT_WMI_GenericNonCOMEvent", _
                                                              cPresence, "Win32_ComputerSystemEvent", _
                                                              cPresence, "Win32_ComputerShutdownEvent", _
                                                              cPresence, "Win32_IP4RouteTableEvent", _
                                                              cPresence, "MSFT_NCProvEvent", _
                                                              cPresence, "MSFT_NCProvCancelQuery", _
                                                              cPresence, "MSFT_NCProvClientConnected", _
                                                              cPresence, "MSFT_NCProvNewQuery", _
                                                              cPresence, "MSFT_NCProvAccessCheck", _
                                                              cPresence, "RegistryEvent", _
                                                              cPresence, "RegistryKeyChangeEvent", _
                                                              cPresence, "RegistryTreeChangeEvent", _
                                                              cPresence, "RegistryValueChangeEvent", _
                                                              cPresence, "Win32_SystemTrace", _
                                                              cPresence, "Win32_ProcessTrace", _
                                                              cPresence, "Win32_ProcessStartTrace", _
                                                              cPresence, "Win32_ProcessStopTrace", _
                                                              cPresence, "Win32_ModuleTrace", _
                                                              cPresence, "Win32_ModuleLoadTrace", _
                                                              cPresence, "Win32_ThreadTrace", _
                                                              cPresence, "Win32_ThreadStartTrace", _
                                                              cPresence, "Win32_ThreadStopTrace", _
                                                              cPresence, "Win32_PowerManagementEvent", _
                                                              cPresence, "Win32_DeviceChangeEvent", _
                                                              cPresence, "Win32_SystemConfigurationChangeEvent", _
                                                              cPresence, "Win32_VolumeChangeEvent", _
                                                              cPresence, "Win32_OsBaselineProvider", _
                                                              cPresence, "Win32_CollectionStatistics", _
                                                              cPresence, "Win32_NamedJobObjectStatistics", _
                                                              cPresence, "Win32_NTLogEvent", _
                                                              cPresence, "Win32_ActiveRoute", _
                                                              cPresence, "Win32_AccountSID", _
                                                              cPresence, "Win32_OsBaseline", _
                                                              cPresence, "Win32_SecurityDescriptorHelper", _
                                                              cPresence, "Win32_TimeZone", _
                                                              cPresence, "Win32_PageFileSetting", _
                                                              cPresence, "Win32_Desktop", _
                                                              cPresence, "Win32_ShadowContext", _
                                                              cPresence, "Win32_MSIResource", _
                                                              cPresence, "Win32_ServiceControl", _
                                                              cPresence, "Win32_Property", _
                                                              cPresence, "Win32_Patch", _
                                                              cPresence, "Win32_PatchPackage", _
                                                              cPresence, "Win32_Binary", _
                                                              cPresence, "Win32_AutochkSetting", _
                                                              cPresence, "Win32_SerialPortConfiguration", _
                                                              cPresence, "Win32_StartupCommand", _
                                                              cPresence, "Win32_BootConfiguration", _
                                                              cPresence, "Win32_NetworkLoginProfile", _
                                                              cPresence, "Win32_NamedJobObjectLimitSetting", _
                                                              cPresence, "Win32_NamedJobObjectSecLimitSetting", _
                                                              cPresence, "Win32_DisplayConfiguration", _
                                                              cPresence, "Win32_NetworkAdapterConfiguration", _
                                                              cPresence, "Win32_QuotaSetting", _
                                                              cPresence, "Win32_SecuritySetting", _
                                                              cPresence, "Win32_LogicalFileSecuritySetting", _
                                                              cPresence, "Win32_LogicalShareSecuritySetting", _
                                                              cPresence, "Win32_DisplayControllerConfiguration", _
                                                              cPresence, "Win32_WMISetting", _
                                                              cPresence, "Win32_OSRecoveryConfiguration", _
                                                              cPresence, "Win32_COMSetting", _
                                                              cPresence, "Win32_ClassicCOMClassSetting", _
                                                              cPresence, "Win32_DCOMApplicationSetting", _
                                                              cPresence, "Win32_VideoConfiguration", _
                                                              cPresence, "Win32_ODBCAttribute", _
                                                              cPresence, "Win32_ODBCSourceAttribute", _
                                                              cPresence, "ScriptingStandardConsumerSetting", _
                                                              cPresence, "Win32_PrinterConfiguration", _
                                                              cPresence, "Win32_CurrentTime", _
                                                              cPresence, "Win32_UTCTime", _
                                                              cPresence, "Win32_LocalTime", _
                                                              cPresence, "Win32_ShortcutAction", _
                                                              cPresence, "Win32_ExtensionInfoAction", _
                                                              cPresence, "Win32_CreateFolderAction", _
                                                              cPresence, "Win32_RegistryAction", _
                                                              cPresence, "Win32_ClassInfoAction", _
                                                              cPresence, "Win32_SelfRegModuleAction", _
                                                              cPresence, "Win32_TypeLibraryAction", _
                                                              cPresence, "Win32_BindImageAction", _
                                                              cPresence, "Win32_RemoveIniAction", _
                                                              cPresence, "Win32_MIMEInfoAction", _
                                                              cPresence, "Win32_FontInfoAction", _
                                                              cPresence, "Win32_PublishComponentAction", _
                                                              cPresence, "Win32_MoveFileAction", _
                                                              cPresence, "Win32_DuplicateFileAction", _
                                                              cPresence, "Win32_RemoveFileAction", _
                                                              cPresence, "Win32_ProductResource", _
                                                              cPresence, "Win32_MountPoint", _
                                                              cPresence, "Msft_Providers", _
                                                              cPresence, "Win32_ManagedSystemElementResource", _
                                                              cPresence, "Win32_SoftwareElementResource", _
                                                              cPresence, "Win32_SID", _
                                                              cPresence, "Win32_ActionCheck", _
                                                              cPresence, "Win32_UserDesktop", _
                                                              cPresence, "Win32_DeviceSettings", _
                                                              cPresence, "Win32_PrinterSetting", _
                                                              cPresence, "Win32_NetworkAdapterSetting", _
                                                              cPresence, "Win32_SerialPortSetting", _
                                                              cPresence, "Win32_SystemSetting", _
                                                              cPresence, "Win32_SystemProgramGroups", _
                                                              cPresence, "Win32_SystemBootConfiguration", _
                                                              cPresence, "Win32_SystemTimeZone", _
                                                              cPresence, "Win32_SystemDesktop", _
                                                              cPresence, "Win32_ClassicCOMClassSettings", _
                                                              cPresence, "Win32_VolumeQuota", _
                                                              cPresence, "Win32_WMIElementSetting", _
                                                              cPresence, "Win32_COMApplicationSettings", _
                                                              cPresence, "Win32_VideoSettings", _
                                                              cPresence, "Win32_SecuritySettingOfObject", _
                                                              cPresence, "Win32_SecuritySettingOfLogicalShare", _
                                                              cPresence, "Win32_SecuritySettingOfLogicalFile", _
                                                              cPresence, "Win32_PageFileElementSetting", _
                                                              cPresence, "Win32_OperatingSystemAutochkSetting", _
                                                              cPresence, "Win32_VolumeQuotaSetting", _
                                                              cPresence, "Win32_ProductSoftwareFeatures", _
                                                              cPresence, "Win32_ImplementedCategory", _
                                                              cPresence, "Win32_InstalledSoftwareElement", _
                                                              cPresence, "Win32_SoftwareFeatureCheck", _
                                                              cPresence, "Win32_LUIDandAttributes", _
                                                              cPresence, "Win32_VolumeUserQuota", _
                                                              cPresence, "Msft_WmiProvider_Counters", _
                                                              cPresence, "Win32_LUID", _
                                                              cPresence, "Win32_DirectorySpecification", _
                                                              cPresence, "Win32_SoftwareElementCondition", _
                                                              cPresence, "Win32_ODBCDriverSpecification", _
                                                              cPresence, "Win32_ServiceSpecification", _
                                                              cPresence, "Win32_FileSpecification", _
                                                              cPresence, "Win32_IniFileSpecification", _
                                                              cPresence, "Win32_LaunchCondition", _
                                                              cPresence, "Win32_ODBCDataSourceSpecification", _
                                                              cPresence, "Win32_ODBCTranslatorSpecification", _
                                                              cPresence, "Win32_ProgIDSpecification", _
                                                              cPresence, "Win32_EnvironmentSpecification", _
                                                              cPresence, "Win32_ReserveCost", _
                                                              cPresence, "Win32_Condition", _
                                                              cPresence, "Win32_ShadowStorage", _
                                                              cPresence, "Win32_DCOMApplicationAccessAllowedSetting", _
                                                              cPresence, "StdRegProv", _
                                                              cPresence, "Win32_NamedJobObjectProcess", _
                                                              cPresence, "Win32_TokenPrivileges", _
                                                              cPresence, "Win32_NamedJobObject", _
                                                              cPresence, "Win32_PnPDevice", _
                                                              cPresence, "Win32_ServiceSpecificationService", _
                                                              cPresence, "Win32_ShareToDirectory", _
                                                              cPresence, "Win32_SettingCheck", _
                                                              cPresence, "Win32_PatchFile", _
                                                              cPresence, "Win32_ODBCDriverAttribute", _
                                                              cPresence, "Win32_ODBCDataSourceAttribute", _
                                                              cPresence, "Win32_ClientApplicationSetting", _
                                                              cPresence, "Win32_SecuritySettingOwner", _
                                                              cPresence, "Win32_LogicalFileOwner", _
                                                              cPresence, "Win32_PhysicalMedia", _
                                                              cPresence, "Win32_PhysicalMemory", _
                                                              cPresence, "Win32_OnBoardDevice", _
                                                              cPresence, "Win32_BaseBoard", _
                                                              cPresence, "Win32_SystemEnclosure", _
                                                              cPresence, "Win32_PhysicalMemoryArray", _
                                                              cPresence, "Win32_SystemSlot", _
                                                              cPresence, "Win32_PortConnector", _
                                                              cPresence, "Win32_Thread", _
                                                              cPresence, "Win32_COMApplication", _
                                                              cPresence, "Win32_DCOMApplication", _
                                                              cPresence, "Win32_ScheduledJob", _
                                                              cPresence, "Win32_PrintJob", _
                                                              cPresence, "Win32_ServerSession", _
                                                              cCritical, "Win32_ComputerSystem", _
                                                              cPresence, "Win32_NTDomain", _
                                                              cPresence, "Win32_SoftwareFeature", _
                                                              cPresence, "Win32_TemperatureProbe", _
                                                              cPresence, "Win32_VoltageProbe", _
                                                              cPresence, "Win32_CurrentProbe", _
                                                              cPresence, "Win32_Bus", _
                                                              cPresence, "Win32_Keyboard", _
                                                              cPresence, "Win32_DesktopMonitor", _
                                                              cPresence, "Win32_PointingDevice", _
                                                              cPresence, "Win32_USBHub", _
                                                              cPresence, "Win32_NetworkAdapter", _
                                                              cPresence, "Win32_Battery", _
                                                              cPresence, "Win32_PortableBattery", _
                                                              cPresence, "Win32_SoundDevice", _
                                                              cPresence, "Win32_MotherboardDevice", _
                                                              cPresence, "Win32_DiskDrive", _
                                                              cPresence, "Win32_FloppyDrive", _
                                                              cPresence, "Win32_TapeDrive", _
                                                              cPresence, "Win32_CDROMDrive", _
                                                              cPresence, "Win32_PnPEntity", _
                                                              cPresence, "Win32_POTSModem", _
                                                              cPresence, "Win32_HeatPipe", _
                                                              cPresence, "Win32_Refrigeration", _
                                                              cPresence, "Win32_Fan", _
                                                              cPresence, "Win32_Printer", _
                                                              cPresence, "Win32_SCSIController", _
                                                              cPresence, "Win32_InfraredDevice", _
                                                              cPresence, "Win32_PCMCIAController", _
                                                              cPresence, "Win32_FloppyController", _
                                                              cPresence, "Win32_VideoController", _
                                                              cPresence, "Win32_USBController", _
                                                              cPresence, "Win32_SerialPort", _
                                                              cPresence, "Win32_ParallelPort", _
                                                              cPresence, "Win32_IDEController", _
                                                              cPresence, "Win32_1394Controller", _
                                                              cPresence, "Win32_CacheMemory", _
                                                              cPresence, "Win32_Volume", _
                                                              cPresence, "Win32_SMBIOSMemory", _
                                                              cPresence, "Win32_MemoryArray", _
                                                              cPresence, "Win32_MemoryDevice", _
                                                              cPresence, "Win32_LogicalDisk", _
                                                              cPresence, "Win32_MappedLogicalDisk", _
                                                              cPresence, "Win32_DiskPartition", _
                                                              cPresence, "Win32_Processor", _
                                                              cPresence, "Win32_DfsNode", _
                                                              cPresence, "Win32_ComponentCategory", _
                                                              cPresence, "Win32_ProgramGroupOrItem", _
                                                              cPresence, "Win32_LogicalProgramGroupItem", _
                                                              cPresence, "Win32_LogicalProgramGroup", _
                                                              cPresence, "Win32_NetworkConnection", _
                                                              cPresence, "Win32_COMClass", _
                                                              cPresence, "Win32_ClassicCOMClass", _
                                                              cPresence, "Win32_Account", _
                                                              cPresence, "Win32_UserAccount", _
                                                              cPresence, "Win32_Group", _
                                                              cPresence, "Win32_SystemAccount", _
                                                              cPresence, "Win32_BaseService", _
                                                              cPresence, "Win32_SystemDriver", _
                                                              cCritical, "Win32_Service", _
                                                              cPresence, "Win32_TerminalService", _
                                                              cPresence, "Win32_PnPSignedDriver", _
                                                              cPresence, "Win32_ApplicationService", _
                                                              cPresence, "Win32_PrinterDriver", _
                                                              cPresence, "Win32_TCPIPPrinterPort", _
                                                              cPresence, "Win32_CommandLineAccess", _
                                                              cPresence, "Win32_SystemMemoryResource", _
                                                              cPresence, "Win32_PortResource", _
                                                              cPresence, "Win32_DeviceMemoryAddress", _
                                                              cPresence, "Win32_IRQResource", _
                                                              cPresence, "Win32_Environment", _
                                                              cPresence, "Win32_DMAChannel", _
                                                              cPresence, "Win32_Share", _
                                                              cPresence, "Win32_NetworkProtocol", _
                                                              cPresence, "Win32_ShadowProvider", _
                                                              cPresence, "Win32_QuickFixEngineering", _
                                                              cPresence, "Win32_IP4RouteTable", _
                                                              cPresence, "Win32_ShadowCopy", _
                                                              cPresence, "Win32_LoadOrderGroup", _
                                                              cCritical, "Win32_Process", _
                                                              cPresence, "Win32_Session", _
                                                              cPresence, "Win32_LogonSession", _
                                                              cPresence, "Win32_ServerConnection", _
                                                              cPresence, "Win32_DfsTarget", _
                                                              cPresence, "Win32_NetworkClient", _
                                                              cPresence, "Win32_PageFileUsage", _
                                                              cCritical, "Win32_OperatingSystem", _
                                                              cPresence, "Win32_Directory", _
                                                              cPresence, "Win32_ShortcutFile", _
                                                              cPresence, "Win32_CodecFile", _
                                                              cPresence, "Win32_NTEventlogFile", _
                                                              cPresence, "Win32_PageFile", _
                                                              cPresence, "Win32_IP4PersistedRouteTable", _
                                                              cPresence, "Win32_Registry", _
                                                              cCritical, "Win32_BIOS", _
                                                              cPresence, "Win32_SoftwareElement", _
                                                              cPresence, "Win32_DriverVXD", _
                                                              cPresence, "NTEventlogProviderConfig", _
                                                              cPresence, "Win32_ShortcutSAP", _
                                                              cPresence, "Win32_MethodParameterClass", _
                                                              cPresence, "Win32_ProcessStartup", _
                                                              cPresence, "Win32_PingStatus", _
                                                              cPresence, "Win32_SoftwareElementCheck", _
                                                              cPresence, "Win32_ODBCDriverSoftwareElement", _
                                                              cPresence, "Win32_SystemServices", _
                                                              cPresence, "Win32_SystemNetworkConnections", _
                                                              cPresence, "Win32_SystemResources", _
                                                              cPresence, "Win32_SystemBIOS", _
                                                              cPresence, "Win32_SystemLoadOrderGroups", _
                                                              cPresence, "Win32_SystemUsers", _
                                                              cPresence, "Win32_SystemOperatingSystem", _
                                                              cPresence, "Win32_SystemDevices", _
                                                              cPresence, "Win32_ComputerSystemProcessor", _
                                                              cPresence, "Win32_SystemPartitions", _
                                                              cPresence, "Win32_SystemSystemDriver", _
                                                              cPresence, "Win32_SystemProcesses", _
                                                              cPresence, "Win32_COMApplicationClasses", _
                                                              cPresence, "Win32_ClassicCOMApplicationClasses", _
                                                              cPresence, "Win32_UserInDomain", _
                                                              cPresence, "Win32_LoadOrderGroupServiceMembers", _
                                                              cPresence, "Win32_LogicalDiskRootDirectory", _
                                                              cPresence, "Win32_SoftwareFeatureSoftwareElements", _
                                                              cPresence, "Win32_MemoryDeviceArray", _
                                                              cPresence, "Win32_GroupInDomain", _
                                                              cPresence, "Win32_GroupUser", _
                                                              cPresence, "Win32_ProgramGroupContents", _
                                                              cPresence, "Win32_SubDirectory", _
                                                              cPresence, "Win32_PhysicalMemoryLocation", _
                                                              cPresence, "Win32_NTLogEventLog", _
                                                              cPresence, "Win32_DiskQuota", _
                                                              cPresence, "Win32_ComClassAutoEmulator", _
                                                              cPresence, "Win32_ComClassEmulator", _
                                                              cPresence, "Win32_SoftwareFeatureAction", _
                                                              cPresence, "Win32_NamedJobObjectActgInfo", _
                                                              cPresence, "Win32_Perf", _
                                                              cPresence, "Win32_PerfRawData", _
                                                              cPresence, "Win32_PerfFormattedData", _
                                                              cPresence, "Win32_SecuritySettingGroup", _
                                                              cPresence, "Win32_LogicalFileGroup", _
                                                              cPresence, "Win32_DCOMApplicationLaunchAllowedSetting", _
                                                              cPresence, "Win32_SecuritySettingAuditing", _
                                                              cPresence, "Win32_LogicalFileAuditing", _
                                                              cPresence, "Win32_LogicalShareAuditing", _
                                                              cPresence, "SoftwareLicensingProduct", _
                                                              cPresence, "Win32_SoftwareElementAction", _
                                                              cPresence, "Win32_ApplicationCommandLine", _
                                                              cPresence, "Win32_SubSession", _
                                                              cPresence, "Win32_ShadowVolumeSupport", _
                                                              cPresence, "Win32_DeviceBus", _
                                                              cPresence, "Win32_SessionConnection", _
                                                              cPresence, "Win32_ShadowFor", _
                                                              cPresence, "Win32_LogonSessionMappedDisk", _
                                                              cPresence, "Win32_PrinterShare", _
                                                              cPresence, "Win32_PnPSignedDriverCIMDataFile", _
                                                              cPresence, "Win32_ConnectionShare", _
                                                              cPresence, "Win32_LoadOrderGroupServiceDependencies", _
                                                              cPresence, "Win32_SessionResource", _
                                                              cPresence, "Win32_SessionProcess", _
                                                              cPresence, "Win32_AssociatedProcessorMemory", _
                                                              cPresence, "Win32_SoftwareFeatureParent", _
                                                              cPresence, "Win32_ShadowOn", _
                                                              cPresence, "Win32_PrinterDriverDll", _
                                                              cPresence, "Win32_DependentService", _
                                                              cPresence, "Win32_LogicalDiskToPartition", _
                                                              cPresence, "Win32_OperatingSystemQFE", _
                                                              cPresence, "Win32_LoggedOnUser", _
                                                              cPresence, "Win32_SystemDriverPNPEntity", _
                                                              cPresence, "Win32_DfsNodeTarget", _
                                                              cPresence, "Win32_CIMLogicalDeviceCIMDataFile", _
                                                              cPresence, "Win32_SCSIControllerDevice", _
                                                              cPresence, "Win32_POTSModemToSerialPort", _
                                                              cPresence, "Win32_USBControllerDevice", _
                                                              cPresence, "Win32_PrinterController", _
                                                              cPresence, "Win32_IDEControllerDevice", _
                                                              cPresence, "Win32_ControllerHasHub", _
                                                              cPresence, "Win32_1394ControllerDevice", _
                                                              cPresence, "Win32_DriverForDevice", _
                                                              cPresence, "Win32_LogicalProgramGroupItemDataFile", _
                                                              cPresence, "Win32_PNPAllocatedResource", _
                                                              cPresence, "Win32_DiskDrivePhysicalMedia", _
                                                              cPresence, "Win32_MemoryDeviceLocation", _
                                                              cPresence, "Win32_MemoryArrayLocation", _
                                                              cPresence, "Win32_ShadowBy", _
                                                              cPresence, "Win32_AllocatedResource", _
                                                              cPresence, "Win32_DiskDriveToDiskPartition", _
                                                              cPresence, "Win32_LogicalProgramGroupDirectory", _
                                                              cPresence, "Win32_ShadowDiffVolumeSupport", _
                                                              cPresence, "Win32_Product", _
                                                              cPresence, "Win32_ComputerSystemProduct", _
                                                              cPresence, "Win32_ProductCheck", _
                                                              cPresence, "SoftwareLicensingService", _
                                                              cPresence, "Win32_NTLogEventUser", _
                                                              cPresence, "Win32_ProtocolBinding", _
                                                              cPresence, "Win32_NamedJobObjectLimit", _
                                                              cPresence, "Win32_NamedJobObjectSecLimit", _
                                                              cPresence, "Win32_NTLogEventComputer", _
                                                              cPresence, "Win32_TokenGroups", _
                                                              cPresence, "Win32_DefragAnalysis", _
                                                              cPresence, "Win32_SIDandAttributes", _
                                                              cPresence, "Win32_CheckCheck", _
                                                              cPresence, "Win32_SecuritySettingAccess", _
                                                              cPresence, "Win32_LogicalFileAccess", _
                                                              cPresence, "Win32_LogicalShareAccess", _
                                                              cPresence, "Win32_PerfFormattedData_BITS_BITSNetUtilization", _
                                                              cPresence, "Win32_PerfRawData_BITS_BITSNetUtilization", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_GenericIKEandAuthIP", _
                                                              cPresence, "Win32_PerfRawData_Counters_GenericIKEandAuthIP", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_HTTPServiceRequestQueues", _
                                                              cPresence, "Win32_PerfRawData_Counters_HTTPServiceRequestQueues", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_HTTPServiceUrlGroups", _
                                                              cPresence, "Win32_PerfRawData_Counters_HTTPServiceUrlGroups", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_IPsecAuthIPv4", _
                                                              cPresence, "Win32_PerfRawData_Counters_IPsecAuthIPv4", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_IPsecAuthIPv6", _
                                                              cPresence, "Win32_PerfRawData_Counters_IPsecAuthIPv6", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_IPsecDriver", _
                                                              cPresence, "Win32_PerfRawData_Counters_IPsecDriver", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_IPsecIKEv4", _
                                                              cPresence, "Win32_PerfRawData_Counters_IPsecIKEv4", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_IPsecIKEv6", _
                                                              cPresence, "Win32_PerfRawData_Counters_IPsecIKEv6", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_WFP", _
                                                              cPresence, "Win32_PerfRawData_Counters_WFP", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_WFPv4", _
                                                              cPresence, "Win32_PerfRawData_Counters_WFPv4", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_WFPv6", _
                                                              cPresence, "Win32_PerfRawData_Counters_WFPv6", _
                                                              cPresence, "Win32_PerfFormattedData_ESENT_Database", _
                                                              cPresence, "Win32_PerfRawData_ESENT_Database", _
                                                              cPresence, "Win32_PerfFormattedData_ESENT_DatabaseInstances", _
                                                              cPresence, "Win32_PerfRawData_ESENT_DatabaseInstances", _
                                                              cPresence, "Win32_PerfFormattedData_ESENT_DatabaseTableClasses", _
                                                              cPresence, "Win32_PerfRawData_ESENT_DatabaseTableClasses", _
                                                              cPresence, "Win32_PerfFormattedData_Lsa_SecurityPerProcessStatistics", _
                                                              cPresence, "Win32_PerfRawData_Lsa_SecurityPerProcessStatistics", _
                                                              cPresence, "Win32_PerfFormattedData_Lsa_SecuritySystemWideStatistics", _
                                                              cPresence, "Win32_PerfRawData_Lsa_SecuritySystemWideStatistics", _
                                                              cPresence, "Win32_PerfFormattedData_MSDTC_DistributedTransactionCoordinator", _
                                                              cPresence, "Win32_PerfRawData_MSDTC_DistributedTransactionCoordinator", _
                                                              cPresence, "Win32_PerfFormattedData_NETCLRData_NETCLRData", _
                                                              cPresence, "Win32_PerfRawData_NETCLRData_NETCLRData", _
                                                              cPresence, "Win32_PerfFormattedData_NETCLRNetworking_NETCLRNetworking", _
                                                              cPresence, "Win32_PerfRawData_NETCLRNetworking_NETCLRNetworking", _
                                                              cPresence, "Win32_PerfFormattedData_NETDataProviderforOracle_NETDataProviderforOracle", _
                                                              cPresence, "Win32_PerfRawData_NETDataProviderforOracle_NETDataProviderforOracle", _
                                                              cPresence, "Win32_PerfFormattedData_NETDataProviderforSqlServer_NETDataProviderforSqlServer", _
                                                              cPresence, "Win32_PerfRawData_NETDataProviderforSqlServer_NETDataProviderforSqlServer", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRExceptions", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRExceptions", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRInterop", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRInterop", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRJit", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRJit", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRLoading", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRLoading", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRLocksAndThreads", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRLocksAndThreads", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRMemory", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRMemory", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRRemoting", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRRemoting", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRSecurity", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRSecurity", _
                                                              cPresence, "Win32_PerfFormattedData_PerfDisk_LogicalDisk", _
                                                              cPresence, "Win32_PerfRawData_PerfDisk_LogicalDisk", _
                                                              cPresence, "Win32_PerfFormattedData_PerfDisk_PhysicalDisk", _
                                                              cPresence, "Win32_PerfRawData_PerfDisk_PhysicalDisk", _
                                                              cPresence, "Win32_PerfFormattedData_PerfNet_Browser", _
                                                              cPresence, "Win32_PerfRawData_PerfNet_Browser", _
                                                              cPresence, "Win32_PerfFormattedData_PerfNet_Redirector", _
                                                              cPresence, "Win32_PerfRawData_PerfNet_Redirector", _
                                                              cPresence, "Win32_PerfFormattedData_PerfNet_Server", _
                                                              cPresence, "Win32_PerfRawData_PerfNet_Server", _
                                                              cPresence, "Win32_PerfFormattedData_PerfNet_ServerWorkQueues", _
                                                              cPresence, "Win32_PerfRawData_PerfNet_ServerWorkQueues", _
                                                              cCritical, "Win32_PerfFormattedData_PerfOS_Cache", _
                                                              cPresence, "Win32_PerfRawData_PerfOS_Cache", _
                                                              cCritical, "Win32_PerfFormattedData_PerfOS_Memory", _
                                                              cPresence, "Win32_PerfRawData_PerfOS_Memory", _
                                                              cCritical, "Win32_PerfFormattedData_PerfOS_Objects", _
                                                              cPresence, "Win32_PerfRawData_PerfOS_Objects", _
                                                              cCritical, "Win32_PerfFormattedData_PerfOS_PagingFile", _
                                                              cPresence, "Win32_PerfRawData_PerfOS_PagingFile", _
                                                              cCritical, "Win32_PerfFormattedData_PerfOS_Processor", _
                                                              cPresence, "Win32_PerfRawData_PerfOS_Processor", _
                                                              cCritical, "Win32_PerfFormattedData_PerfOS_System", _
                                                              cPresence, "Win32_PerfRawData_PerfOS_System", _
                                                              cPresence, "Win32_PerfFormattedData_PerfProc_FullImage_Costly", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_FullImage_Costly", _
                                                              cPresence, "Win32_PerfFormattedData_PerfProc_Image_Costly", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_Image_Costly", _
                                                              cPresence, "Win32_PerfFormattedData_PerfProc_JobObject", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_JobObject", _
                                                              cPresence, "Win32_PerfFormattedData_PerfProc_JobObjectDetails", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_JobObjectDetails", _
                                                              cCritical, "Win32_PerfFormattedData_PerfProc_Process", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_Process", _
                                                              cPresence, "Win32_PerfFormattedData_PerfProc_ProcessAddressSpace_Costly", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_ProcessAddressSpace_Costly", _
                                                              cCritical, "Win32_PerfFormattedData_PerfProc_Thread", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_Thread", _
                                                              cPresence, "Win32_PerfFormattedData_PerfProc_ThreadDetails_Costly", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_ThreadDetails_Costly", _
                                                              cPresence, "Win32_PerfFormattedData_RemoteAccess_RASPort", _
                                                              cPresence, "Win32_PerfRawData_RemoteAccess_RASPort", _
                                                              cPresence, "Win32_PerfFormattedData_RemoteAccess_RASTotal", _
                                                              cPresence, "Win32_PerfRawData_RemoteAccess_RASTotal", _
                                                              cPresence, "Win32_PerfFormattedData_Spooler_PrintQueue", _
                                                              cPresence, "Win32_PerfRawData_Spooler_PrintQueue", _
                                                              cPresence, "Win32_PerfFormattedData_TapiSrv_Telephony", _
                                                              cPresence, "Win32_PerfRawData_TapiSrv_Telephony", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_ICMP", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_ICMP", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_ICMPv6", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_ICMPv6", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_IPv4", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_IPv4", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_IPv6", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_IPv6", _
                                                              cPresence, "Win32_PerfFormattedData_Tcpip_NBTConnection", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_NBTConnection", _
                                                              cPresence, "Win32_PerfFormattedData_Tcpip_NetworkInterface", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_NetworkInterface", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_TCPv4", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_TCPv4", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_TCPv6", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_TCPv6", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_UDPv4", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_UDPv4", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_UDPv6", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_UDPv6", _
                                                              cPresence, "Win32_PerfFormattedData_TermService_TerminalServices", _
                                                              cPresence, "Win32_PerfRawData_TermService_TerminalServices", _
                                                              cPresence, "Win32_PerfFormattedData_TermService_TerminalServicesSession", _
                                                              cPresence, "Win32_PerfRawData_TermService_TerminalServicesSession"), _
                                                       Array (cCritical, "Select * From Win32_LogicalDisk WHERE FreeSpace > 10000000 AND DriveType = 3", _
                                                              cCritical, "Select DriveType From Win32_LogicalDisk WHERE Name='C:'", _
                                                              cCritical, "Select * From Win32_Service", _
                                                              cCritical, "Select * From Win32_PageFileUsage", _
                                                              cCritical, "Select * From Win32_BIOS WHERE Version IS NOT NULL", _
                                                              cCritical, "Select * From Win32_NetworkAdapter WHERE AdapterType IS NOT NULL AND AdapterType != ""Wide Area Network (WAN)"" AND Description != ""Packet Scheduler Miniport"" ", _
                                                              cCritical, "Select * From Win32_Processor WHERE Name IS NOT NULL", _
                                                              cCritical, "Select * From Win32_DiskDrive", _
                                                              cCritical, "Select * From Win32_ComputerSystem", _
                                                              cCritical, "Select * From Win32_DiskPartition", _
                                                              cCritical, "Select * From Win32_LogicalDisk WHERE Description != ""Network Connection""", _
                                                              cWarning,  "Select * From Win32_VideoController", _
                                                              cWarning,  "Select * From Win32_USBController", _
                                                              cWarning,  "Select * From Win32_DesktopMonitor", _
                                                              cWarning,  "Select * From Win32_PointingDevice WHERE Status = ""OK""", _
                                                              cWarning,  "Select * From Win32_Keyboard", _
                                                              cCritical, "Select * From Win32_SystemDriver WHERE StartMode != ""Disabled"""), _
                                                       Null, _
                                                 "Root/CIMV2/Security", _
                                                       True, _
                                                       Null, _
                                                       Null, _
                                                       Null, _
                                                 "Root/CIMV2/TerminalServices", _
                                                       True, _
                                                       Array (cPresence, "Win32_TerminalError", _
                                                              cPresence, "Win32_TerminalServiceSettingError", _
                                                              cPresence, "Win32_TSSessionDirectory", _
                                                              cPresence, "Win32_TerminalServiceSetting", _
                                                              cPresence, "Win32_TerminalSetting", _
                                                              cPresence, "Win32_TSClientSetting", _
                                                              cPresence, "Win32_TSAccount", _
                                                              cPresence, "Win32_TSSessionSetting", _
                                                              cPresence, "Win32_TSPermissionsSetting", _
                                                              cPresence, "Win32_TSNetworkAdapterListSetting", _
                                                              cPresence, "Win32_TSRemoteControlSetting", _
                                                              cPresence, "Win32_TSLogonSetting", _
                                                              cPresence, "Win32_TSGeneralSetting", _
                                                              cPresence, "Win32_TSNetworkAdapterSetting", _
                                                              cPresence, "Win32_TSEnvironmentSetting", _
                                                              cPresence, "Win32_TSSessionDirectorySetting", _
                                                              cPresence, "Win32_TerminalTerminalSetting", _
                                                              cPresence, "Win32_TerminalServiceToSetting", _
                                                              cPresence, "Win32_Terminal"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/CIMV2/Security/MicrosoftTpm", _
                                                       False, _
                                                       Array (cPresence, "Win32_ProviderEx", _
                                                              cPresence, "Win32_Tpm"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/CIMV2/Applications/WindowsParentalControls", _
                                                       False, _
                                                       Array (cPresence, "Win32_ProviderEx", _
                                                              cPresence, "WpcClamper", _
                                                              cPresence, "WpcSystemSettings", _
                                                              cPresence, "WpcExtension", _
                                                              cPresence, "WpcUserSettings", _
                                                              cPresence, "WpcRatingsDescriptor", _
                                                              cPresence, "WpcGameOverride", _
                                                              cPresence, "WpcURLOverride", _
                                                              cPresence, "WpcGamesSettings", _
                                                              cPresence, "WpcRatingsSystem", _
                                                              cPresence, "WpcRating", _
                                                              cPresence, "WpcWebSettings", _
                                                              cPresence, "WpcAppOverride"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/Cli", _
                                                       False, _
                                                       Array (cPresence, "MSFT_CliTranslateTable", _
                                                              cPresence, "MSFT_CliConnection", _
                                                              cPresence, "MSFT_CliParam", _
                                                              cPresence, "MSFT_CliSeeAlso", _
                                                              cPresence, "MSFT_CliVerb", _
                                                              cPresence, "MSFT_CliQualifier", _
                                                              cPresence, "MSFT_CliProperty", _
                                                              cPresence, "MSFT_CliFormat", _
                                                              cPresence, "MSFT_CliTranslateTableEntry", _
                                                              cPresence, "MSFT_CliAlias"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/nap", _
                                                       True, _
                                                       Array (cPresence, "NAP_Client", _
                                                              cPresence, "NAP_SystemHealthAgent", _
                                                              cPresence, "NAP_EnforcementClient"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/SECURITY", _
                                                       True, _
                                                       Null, _
                                                       Null, _
                                                       Null, _
                                                 "Root/snmp", _
                                                       False, _
                                                       Array (cPresence, "SMIR"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/snmp/localhost", _
                                                       False, _
                                                       Null, _
                                                       Null, _
                                                       Null, _
                                                 "Root/RSOP", _
                                                       True, _
                                                       Array (cPresence, "RsopLoggingModeProvider", _
                                                              cPresence, "RsopPlanningModeProvider"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/RSOP/User", _
                                                       True, _
                                                       Array (cPresence, "RSOP_SOM", _
                                                              cPresence, "RSOP_IEToolbarButtonLink", _
                                                              cPresence, "RSOP_ExtensionStatus", _
                                                              cPresence, "RSOP_IEAuthenticodeCertificate", _
                                                              cPresence, "RSOP_IEConnectionDialUpSettings", _
                                                              cPresence, "RSOP_IESecurityContentRatings", _
                                                              cPresence, "RSOP_AdministrativeTemplateFile", _
                                                              cPresence, "RSOP_IEConnectionWinINetSettingsLink", _
                                                              cPresence, "RSOP_ExtensionEventSourceLink", _
                                                              cPresence, "RSOP_IEConnectionDialUpCredentialsLink", _
                                                              cPresence, "RSOP_ApplicationManagementCategory", _
                                                              cPresence, "RSOP_IEImportedProgramSettings", _
                                                              cPresence, "RSoP_PolicySettingStatus", _
                                                              cPresence, "RSOP_IEConnectionDialUpCredentials", _
                                                              cPresence, "RSOP_IESecurityZoneSettings", _
                                                              cPresence, "RSOP_IEESCSecurityZoneSettings", _
                                                              cPresence, "RSOP_IELinkItemLink", _
                                                              cPresence, "RSOP_IEConnectionWinINetSettings", _
                                                              cPresence, "RSOP_ScriptCmd", _
                                                              cPresence, "RSOP_GPLink", _
                                                              cPresence, "RSOP_IEFavoriteItemLink", _
                                                              cPresence, "RSOP_PolicySetting", _
                                                              cPresence, "RSOP_IPSECPolicySetting", _
                                                              cPresence, "RSOP_ApplicationManagementPolicySetting", _
                                                              cPresence, "RSOP_IEEE8023GroupPolicySetting", _
                                                              cPresence, "RSOP_IEEE80211PolicySetting", _
                                                              cPresence, "RSOP_IEEE80211GroupPolicySetting", _
                                                              cPresence, "RSOP_ScriptPolicySetting", _
                                                              cPresence, "RSOP_FolderRedirectionPolicySetting", _
                                                              cPresence, "RSOP_PushPrinterConnectionsPolicySetting", _
                                                              cPresence, "RSOP_IERegistryPolicySetting", _
                                                              cPresence, "RSOP_IEAKPolicySetting", _
                                                              cPresence, "RSOP_RegistryPolicySetting", _
                                                              cPresence, "RSOP_IEAdministrativeTemplateFile", _
                                                              cPresence, "RSOP_IEProgramSettings", _
                                                              cPresence, "RSOP_IEProxySettings", _
                                                              cPresence, "RSOP_IEConnectionSettings", _
                                                              cPresence, "RSOP_Session", _
                                                              cPresence, "RSOP_IEToolbarButton", _
                                                              cPresence, "RSOP_IEConnectionSettingsLink", _
                                                              cPresence, "RSOP_ExtensionEventSource", _
                                                              cPresence, "RSOP_IEFavoriteOrLinkItem", _
                                                              cPresence, "RSOP_IEFavoriteItem", _
                                                              cPresence, "RSOP_IELinkItem", _
                                                              cPresence, "RSOP_GPO", _
                                                              cPresence, "RSOP_PolicySettingLink", _
                                                              cPresence, "RSOP_IEPrivacySettings", _
                                                              cPresence, "RSOP_IEESCPrivacySettings", _
                                                              cPresence, "RSOP_IEConnectionDialUpSettingsLink", _
                                                              cPresence, "RSOP_IEESC"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/RSOP/Computer", _
                                                       True, _
                                                       Array (cPresence, "RSOP_SOM", _
                                                              cPresence, "RSOP_IEToolbarButtonLink", _
                                                              cPresence, "RSOP_ExtensionStatus", _
                                                              cPresence, "RSOP_IEAuthenticodeCertificate", _
                                                              cPresence, "RSOP_IEConnectionDialUpSettings", _
                                                              cPresence, "RSOP_IESecurityContentRatings", _
                                                              cPresence, "RSOP_AdministrativeTemplateFile", _
                                                              cPresence, "RSOP_IEConnectionWinINetSettingsLink", _
                                                              cPresence, "RSOP_ExtensionEventSourceLink", _
                                                              cPresence, "RSOP_IEConnectionDialUpCredentialsLink", _
                                                              cPresence, "RSOP_ApplicationManagementCategory", _
                                                              cPresence, "RSOP_IEImportedProgramSettings", _
                                                              cPresence, "RSoP_PolicySettingStatus", _
                                                              cPresence, "RSOP_IEConnectionDialUpCredentials", _
                                                              cPresence, "RSOP_IESecurityZoneSettings", _
                                                              cPresence, "RSOP_IEESCSecurityZoneSettings", _
                                                              cPresence, "RSOP_IELinkItemLink", _
                                                              cPresence, "RSOP_IEConnectionWinINetSettings", _
                                                              cPresence, "RSOP_ScriptCmd", _
                                                              cPresence, "RSOP_GPLink", _
                                                              cPresence, "RSOP_IEFavoriteItemLink", _
                                                              cPresence, "RSOP_PolicySetting", _
                                                              cPresence, "RSOP_IPSECPolicySetting", _
                                                              cPresence, "RSOP_ApplicationManagementPolicySetting", _
                                                              cPresence, "RSOP_IEEE8023GroupPolicySetting", _
                                                              cPresence, "RSOP_IEEE80211PolicySetting", _
                                                              cPresence, "RSOP_IEEE80211GroupPolicySetting", _
                                                              cPresence, "RSOP_ScriptPolicySetting", _
                                                              cPresence, "RSOP_FolderRedirectionPolicySetting", _
                                                              cPresence, "RSOP_PushPrinterConnectionsPolicySetting", _
                                                              cPresence, "RSOP_SecuritySettings", _
                                                              cPresence, "RSOP_SecuritySettingString", _
                                                              cPresence, "RSOP_UserPrivilegeRight", _
                                                              cPresence, "RSOP_SecurityEventLogSettingNumeric", _
                                                              cPresence, "RSOP_SystemService", _
                                                              cPresence, "RSOP_AuditPolicy", _
                                                              cPresence, "RSOP_RegistryKey", _
                                                              cPresence, "RSOP_SecuritySettingNumeric", _
                                                              cPresence, "RSOP_SecuritySettingBoolean", _
                                                              cPresence, "RSOP_RegistryValue", _
                                                              cPresence, "RSOP_File", _
                                                              cPresence, "RSOP_SecurityEventLogSettingBoolean", _
                                                              cPresence, "RSOP_RestrictedGroup", _
                                                              cPresence, "RSOP_IERegistryPolicySetting", _
                                                              cPresence, "RSOP_IEAKPolicySetting", _
                                                              cPresence, "RSOP_RegistryPolicySetting", _
                                                              cPresence, "RSOP_IEAdministrativeTemplateFile", _
                                                              cPresence, "RSOP_IEProgramSettings", _
                                                              cPresence, "RSOP_IEProxySettings", _
                                                              cPresence, "RSOP_IEConnectionSettings", _
                                                              cPresence, "RSOP_Session", _
                                                              cPresence, "RSOP_IEToolbarButton", _
                                                              cPresence, "RSOP_IEConnectionSettingsLink", _
                                                              cPresence, "RSOP_ExtensionEventSource", _
                                                              cPresence, "RSOP_IEFavoriteOrLinkItem", _
                                                              cPresence, "RSOP_IEFavoriteItem", _
                                                              cPresence, "RSOP_IELinkItem", _
                                                              cPresence, "RSOP_GPO", _
                                                              cPresence, "RSoP_PolicySettingLink", _
                                                              cPresence, "RSOP_IEPrivacySettings", _
                                                              cPresence, "RSOP_IEESCPrivacySettings", _
                                                              cPresence, "RSOP_IEConnectionDialUpSettingsLink", _
                                                              cPresence, "RSOP_IEESC"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/WMI", _
                                                       True, _
                                                       Array (cPresence, "Win32_PrivilegesStatus", _
                                                              cPresence, "WMIEvent", _
                                                              cPresence, "MSNdis_StatusMediaConnect", _
                                                              cPresence, "MSNdis_StatusResetEnd", _
                                                              cPresence, "MSNdis_NotifyAdapterArrival", _
                                                              cPresence, "MSNdis_StatusDot11ConnectionCompletion", _
                                                              cPresence, "MSNdis_StatusDot11PhyStateChange", _
                                                              cPresence, "MSNdis_StatusResetStart", _
                                                              cPresence, "MSNdis_StatusDot11RoamingStart", _
                                                              cPresence, "MSNdis_StatusPortState", _
                                                              cPresence, "MSNdis_StatusDot11RoamingCompletion", _
                                                              cPresence, "MSNdis_StatusDot11PmkidCandidateList", _
                                                              cPresence, "MSNdis_StatusDot11AssociationCompletion", _
                                                              cPresence, "MSNdis_StatusDot11ScanConfirm", _
                                                              cPresence, "MSNdis_StatusDot11ConnectionStart", _
                                                              cPresence, "MSNdis_StatusDevicePowerOn", _
                                                              cPresence, "MSNdis_StatusTaskOffloadChange", _
                                                              cPresence, "MSNdis_StatusProtocolBind", _
                                                              cPresence, "MSNdis_StatusProtocolUnbind", _
                                                              cPresence, "MSNdis_StatusLinkState", _
                                                              cPresence, "MSNdis_StatusDot11TkipmicFailure", _
                                                              cPresence, "MSNdis_NotifyAdapterRemoval", _
                                                              cPresence, "MSNdis_StatusDevicePowerOff", _
                                                              cPresence, "MSNdis_StatusDot11MPDUMaxLengthChange", _
                                                              cPresence, "MSNdis_NotifyVcRemoval", _
                                                              cPresence, "MSNdis_StatusDot11Disassociation", _
                                                              cPresence, "MSNdis_StatusPacketFilterChange", _
                                                              cPresence, "MSNdis_StatusNetworkChange", _
                                                              cPresence, "MSNdis_NotifyFilterRemoval", _
                                                              cPresence, "MSNdis_StatusOperationalStatus", _
                                                              cPresence, "MSNdis_StatusMediaSpecificIndicationEx", _
                                                              cPresence, "MSNdis_StatusDot11LinkQuality", _
                                                              cPresence, "MSNdis_StatusDot11AssociationStart", _
                                                              cPresence, "MSNdis_StatusLinkSpeedChange", _
                                                              cPresence, "MSNdis_NotifyVcArrival", _
                                                              cPresence, "MSNdis_StatusMediaSpecificIndication", _
                                                              cPresence, "MSNdis_NotifyFilterArrival", _
                                                              cPresence, "MSNdis_StatusMediaDisconnect", _
                                                              cPresence, "MSDiskDriver", _
                                                              cPresence, "MSDiskDriver_Performance", _
                                                              cPresence, "MSDiskDriver_PerformanceData", _
                                                              cPresence, "MSDiskDriver_Geometry", _
                                                              cPresence, "MSChangerDriver", _
                                                              cPresence, "MSChangerParameters", _
                                                              cPresence, "MSChangerProblemDeviceError", _
                                                              cPresence, "BcdStore", _
                                                              cPresence, "BcdElement", _
                                                              cPresence, "BcdObjectElement", _
                                                              cPresence, "BcdDeviceElement", _
                                                              cPresence, "BcdStringElement", _
                                                              cPresence, "BcdBooleanElement", _
                                                              cPresence, "BcdIntegerElement", _
                                                              cPresence, "BcdObjectListElement", _
                                                              cPresence, "MSProcessorClass", _
                                                              cPresence, "ProcessorBiosInfo", _
                                                              cPresence, "ProcessorStatus", _
                                                              cPresence, "WDMClassesOfDriver", _
                                                              cPresence, "PerformanceState", _
                                                              cPresence, "MSPower", _
                                                              cPresence, "MSPower_DeviceWakeEnable", _
                                                              cPresence, "MSPower_DeviceEnable", _
                                                              cPresence, "MSMouse", _
                                                              cPresence, "MSMouse_ClassInformation", _
                                                              cPresence, "MSMouse_PortInformation", _
                                                              cPresence, "MSStorageDriver_ScsiRequestBlock", _
                                                              cPresence, "MSRedbook_Performance", _
                                                              cPresence, "MSDeviceUI", _
                                                              cPresence, "MSDeviceUI_FirmwareRevision", _
                                                              cPresence, "MSSerial", _
                                                              cPresence, "MSSerial_PerformanceInformation", _
                                                              cPresence, "MSSerial_PortName", _
                                                              cPresence, "MSSerial_CommInfo", _
                                                              cPresence, "MSSerial_HardwareConfiguration", _
                                                              cPresence, "MSSerial_CommProperties", _
                                                              cPresence, "MSKeyboard", _
                                                              cPresence, "MSKeyboard_ExtendedID", _
                                                              cPresence, "MSKeyboard_PortInformation", _
                                                              cPresence, "MSKeyboard_ClassInformation", _
                                                              cPresence, "MSStorageDriver_ClassErrorLogEntry", _
                                                              cPresence, "MSTapeDriver", _
                                                              cPresence, "MSTapeDriveParam", _
                                                              cPresence, "MSTapeSymbolicName", _
                                                              cPresence, "MSTapeMediaCapacity", _
                                                              cPresence, "MSTapeProblemDeviceError", _
                                                              cPresence, "MSTapeProblemIoError", _
                                                              cPresence, "MSStorageDriver", _
                                                              cPresence, "MSStorageDriver_FailurePredictFunction", _
                                                              cPresence, "MSStorageDriver_FailurePredictData", _
                                                              cPresence, "MSStorageDriver_ScsiInfoExceptions", _
                                                              cPresence, "MSStorageDriver_ATAPISmartData", _
                                                              cPresence, "MSStorageDriver_FailurePredictThresholds", _
                                                              cPresence, "MSStorageDriver_FailurePredictStatus", _
                                                              cPresence, "MSWmi_Guid", _
                                                              cPresence, "MSNdis", _
                                                              cPresence, "MSNdis_CoDriverVersion", _
                                                              cPresence, "MSNdis_DriverVersion", _
                                                              cPresence, "MSNdis_80211_ReceiveAntennaSelected", _
                                                              cPresence, "MSNdis_EthernetPermanentAddress", _
                                                              cPresence, "MSNdis_FddiLongPermanentAddress", _
                                                              cPresence, "MSNdis_FddiLemRejects", _
                                                              cPresence, "MSNdis_80211_RTSThreshold", _
                                                              cPresence, "MSNdis_EthernetCurrentAddress", _
                                                              cPresence, "MSNdis_EthernetMacOptions", _
                                                              cPresence, "MSNdis_AtmMaxAal34PacketSize", _
                                                              cPresence, "MSNdis_CoMediaInUse", _
                                                              cPresence, "MSNdis_EthernetMulticastList", _
                                                              cPresence, "MSNdis_EthernetReceiveErrorAlignment", _
                                                              cPresence, "MSNdis_80211_AddWEP", _
                                                              cPresence, "MSNdis_80211_ConfigurationInfo", _
                                                              cPresence, "MSNdis_FddiShortMaximumListSize", _
                                                              cPresence, "MSNdis_AtmMaxAal1PacketSize", _
                                                              cPresence, "MSNdis_FddiRingManagmentState", _
                                                              cPresence, "MSNdis_CoLinkSpeed", _
                                                              cPresence, "MSNdis_TokenRingLastOpenStatus", _
                                                              cPresence, "MSNdis_80211_ReloadDefaults", _
                                                              cPresence, "MSNdis_FddiFrameErrors", _
                                                              cPresence, "MSNdis_TransmitsError", _
                                                              cPresence, "MSNdis_FddiAttachmentType", _
                                                              cPresence, "MSNdis_CoMediaConnectStatus", _
                                                              cPresence, "MSNdis_80211_BssIdListScan", _
                                                              cPresence, "MSNdis_80211_InfrastructureMode", _
                                                              cPresence, "MSNdis_80211_ConfigurationFH", _
                                                              cPresence, "MSNdis_VendorDescription", _
                                                              cPresence, "MSNdis_CoHardwareStatus", _
                                                              cPresence, "MSNdis_FddiShortPermanentAddress", _
                                                              cPresence, "MSNdis_TransmitBufferSpace", _
                                                              cPresence, "MSNdis_80211_BaseServiceSetIdentifier", _
                                                              cPresence, "MSNdis_TokenRingLostFrames", _
                                                              cPresence, "MSNdis_ReceiveBlockSize", _
                                                              cPresence, "MSNdis_AtmTransmitCellsOk", _
                                                              cPresence, "MSNdis_AtmReceiveCellsOk", _
                                                              cPresence, "MSNdis_FddiLConnectionState", _
                                                              cPresence, "MSNdis_CurrentLookahead", _
                                                              cPresence, "MSNdis_VendorID", _
                                                              cPresence, "MSNdis_VendorDriverVersion", _
                                                              cPresence, "MSNdis_TransmitBlockSize", _
                                                              cPresence, "MSNdis_MaximumFrameSize", _
                                                              cPresence, "MSNdis_AtmMaxAal0PacketSize", _
                                                              cPresence, "MSNdis_MediaSupported", _
                                                              cPresence, "MSNdis_TransmitsOk", _
                                                              cPresence, "MSNdis_EthernetOneTransmitCollision", _
                                                              cPresence, "MSNdis_TokenRingPermanentAddress", _
                                                              cPresence, "MSNdis_ReceiveBufferSpace", _
                                                              cPresence, "MSNdis_80211_ReceivedSignalStrength", _
                                                              cPresence, "MSNdis_AtmMaxActiveVciBits", _
                                                              cPresence, "MSNdis_HardwareStatus", _
                                                              cPresence, "MSNdis_AtmSupportedAalTypes", _
                                                              cPresence, "MSNdis_FddiFramesLost", _
                                                              cPresence, "MSNdis_80211_NetworkType", _
                                                              cPresence, "MSNdis_80211_PrivacyFilter", _
                                                              cPresence, "MSNdis_80211_TransmitPowerLevel", _
                                                              cPresence, "MSNdis_PhysicalMediumType", _
                                                              cPresence, "MSNdis_EthernetMaximumMulticastListSize", _
                                                              cPresence, "MSNdis_CoTransmitPduErrors", _
                                                              cPresence, "MSNdis_80211_NetworkInfrastructure", _
                                                              cPresence, "MSNdis_VlanIdentifier", _
                                                              cPresence, "MSNdis_80211_WLanBssId", _
                                                              cPresence, "MSNdis_TokenRingCurrentRingStatus", _
                                                              cPresence, "MSNdis_ReceivesOk", _
                                                              cPresence, "MSNdis_FddiLongCurrentAddress", _
                                                              cPresence, "MSNdis_80211_NetworkTypesSupported", _
                                                              cPresence, "MSNdis_EnumerateAdapter", _
                                                              cPresence, "MSNdis_MediaConnectStatus", _
                                                              cPresence, "MSNdis_MaximumLookahead", _
                                                              cPresence, "MSNdis_FddiDownstreamNodeLong", _
                                                              cPresence, "MSNdis_AtmSupportedVcRates", _
                                                              cPresence, "MSNdis_80211_NetworkTypeInUse", _
                                                              cPresence, "MSNdis_NdisEnumerateVc", _
                                                              cPresence, "MSNdis_TokenRingCurrentRingState", _
                                                              cPresence, "MSNdis_80211_RemoveWEP", _
                                                              cPresence, "MSNdis_80211_NumberOfAntennas", _
                                                              cPresence, "MSNdis_FddiLongMulticastList", _
                                                              cPresence, "MSNdis_CoVendorDescription", _
                                                              cPresence, "MSNdis_80211_AuthenticationMode", _
                                                              cPresence, "MSNdis_CoReceivePduErrors", _
                                                              cPresence, "MSNdis_FddiShortMulticastList", _
                                                              cPresence, "MSNdis_80211_FragmentationThreshold", _
                                                              cPresence, "MSNdis_CoMediaSupported", _
                                                              cPresence, "MSNdis_TokenRingLineErrors", _
                                                              cPresence, "MSNdis_AtmSupportedServiceCategory", _
                                                              cPresence, "MSNdis_80211_Statistics", _
                                                              cPresence, "MSNdis_TokenRingCurrentGroup", _
                                                              cPresence, "MSNdis_AtmMaxActiveVcs", _
                                                              cPresence, "MSNdis_MediaInUse", _
                                                              cPresence, "MSNdis_ReceiveNoBuffer", _
                                                              cPresence, "MSNdis_AtmHardwareCurrentAddress", _
                                                              cPresence, "MSNdis_AtmReceiveCellsDropped", _
                                                              cPresence, "MSNdis_FddiLongMaximumListSize", _
                                                              cPresence, "MSNdis_80211_BSSIList", _
                                                              cPresence, "MSNdis_FddiLctFailures", _
                                                              cPresence, "MSNdis_MaximumTotalSize", _
                                                              cPresence, "MSNdis_CoReceivePdusNoBuffer", _
                                                              cPresence, "MSNdis_80211_WEPStatus", _
                                                              cPresence, "MSNdis_TokenRingCurrentAddress", _
                                                              cPresence, "MSNdis_DeviceWakeOnMagicPacketOnly", _
                                                              cPresence, "MSNdis_CoReceivePdusOk", _
                                                              cPresence, "MSNdis_FddiShortCurrentAddress", _
                                                              cPresence, "MSNdis_AtmMaxActiveVpiBits", _
                                                              cPresence, "MSNdis_FddiUpstreamNodeLong", _
                                                              cPresence, "MSNdis_80211_PowerMode", _
                                                              cPresence, "MSNdis_AtmMaxAal5PacketSize", _
                                                              cPresence, "MSNdis_MacOptions", _
                                                              cPresence, "MSNdis_80211_Configuration", _
                                                              cPresence, "MSNdis_NetworkAddress", _
                                                              cPresence, "MSNdis_LinkSpeed", _
                                                              cPresence, "MSNdis_80211_ServiceSetIdentifier", _
                                                              cPresence, "MSNdis_80211_TransmitAntennaSelected", _
                                                              cPresence, "MSNdis_EthernetMoreTransmitCollisions", _
                                                              cPresence, "MSNdis_80211_Disassociate", _
                                                              cPresence, "MSNdis_ReceiveError", _
                                                              cPresence, "MSNdis_CoTransmitPdusOk", _
                                                              cPresence, "MSNdis_CoMacOptions", _
                                                              cPresence, "MSNdis_80211_DataRates", _
                                                              cPresence, "MSNdis_CoMinimumLinkSpeed", _
                                                              cPresence, "MSNdis_CoVendorDriverVersion", _
                                                              cPresence, "MSNdis_TokenRingCurrentFunctional", _
                                                              cPresence, "MSNdis_80211_DesiredDataRates", _
                                                              cPresence, "MSNdis_80211_ReceivedSignalStrengthEventTrigger", _
                                                              cPresence, "MSNdis_CoVendorId", _
                                                              cPresence, "MSNdis_NetworkLinkSpeed", _
                                                              cPresence, "MSNdis_NetworkShortAddress", _
                                                              cPresence, "MSNdis_CurrentPacketFilter", _
                                                              cPresence, "MSNdis_MaximumSendPackets", _
                                                              cPresence, "WMIBinaryMofResource", _
                                                              cPresence, "KernelIdleState", _
                                                              cPresence, "MS_WmiInternal", _
                                                              cPresence, "MSWmi_MofData", _
                                                              cPresence, "MSWmi_PnPInstanceNames", _
                                                              cPresence, "MSWmi_ProviderInfo", _
                                                              cPresence, "MSWmi_PnPDeviceId", _
                                                              cPresence, "EventTrace", _
                                                              cPresence, "MSNT_FileBaseTrace_VolumeToLog", _
                                                              cPresence, "KerbInitSecurityContext", _
                                                              cPresence, "KerbInitSecurityContext_End", _
                                                              cPresence, "KerbInitSecurityContext_Start", _
                                                              cPresence, "KerbSetPassword", _
                                                              cPresence, "KerbSetPassword_Start", _
                                                              cPresence, "KerbSetPassword_End", _
                                                              cPresence, "KerbLogonUser", _
                                                              cPresence, "KerbLogonUser_End", _
                                                              cPresence, "KerbLogonUser_Start", _
                                                              cPresence, "KerbChangePassword", _
                                                              cPresence, "KerbChangePassword_End", _
                                                              cPresence, "KerbChangePassword_Start", _
                                                              cPresence, "KerbAcceptSecurityContext", _
                                                              cPresence, "KerbAcceptSecurityContext_End", _
                                                              cPresence, "KerbAcceptSecurityContext_Start", _
                                                              cPresence, "MSNT_FileBaseTrace_Set1", _
                                                              cPresence, "FileTrace", _
                                                              cPresence, "FileOperation", _
                                                              cPresence, "WinLogon", _
                                                              cPresence, "MSNT_SystemTrace", _
                                                              cPresence, "StackWalk", _
                                                              cPresence, "StackWalk_Event", _
                                                              cPresence, "PerfInfo", _
                                                              cPresence, "EventTraceEvent", _
                                                              cPresence, "EventTrace_Header", _
                                                              cPresence, "MMCSSTrace", _
                                                              cPresence, "MMCSSEvent", _
                                                              cPresence, "MMCSSWakeup", _
                                                              cPresence, "MMCSS_TypeGroup", _
                                                              cPresence, "SystemConfig_V1", _
                                                              cPresence, "SystemConfig_V1_LogDisk", _
                                                              cPresence, "SystemConfig_V1_PhyDisk", _
                                                              cPresence, "SystemConfig_V1_IRQ", _
                                                              cPresence, "SystemConfig_V1_CPU", _
                                                              cPresence, "SystemConfig_V1_Power", _
                                                              cPresence, "SystemConfig_V1_Video", _
                                                              cPresence, "SystemConfig_V1_Services", _
                                                              cPresence, "SystemConfig_V1_PnP", _
                                                              cPresence, "SystemConfig_V1_NIC", _
                                                              cPresence, "Registry", _
                                                              cPresence, "Registry_TypeGroup1", _
                                                              cPresence, "Process_V1", _
                                                              cPresence, "Process_V1_TypeGroup1", _
                                                              cPresence, "HeapTrace", _
                                                              cPresence, "HeapCreate", _
                                                              cPresence, "HeapAlloc", _
                                                              cPresence, "HeapFree", _
                                                              cPresence, "HeapRealloc", _
                                                              cPresence, "HeapSnapShot", _
                                                              cPresence, "HeapContract", _
                                                              cPresence, "Heap_TypeGroup1", _
                                                              cPresence, "HeapExpand", _
                                                              cPresence, "Thread", _
                                                              cPresence, "ReserveDisjoinThread", _
                                                              cPresence, "ReserveLateCount", _
                                                              cPresence, "ReserveJoinThread", _
                                                              cPresence, "ReserveDelete", _
                                                              cPresence, "ReserveBandwidth", _
                                                              cPresence, "ReserveCreate", _
                                                              cPresence, "FileIo", _
                                                              cPresence, "FileIo_ReadWrite", _
                                                              cPresence, "FileIo_Create", _
                                                              cPresence, "FileIo_Name", _
                                                              cPresence, "FileIo_Info", _
                                                              cPresence, "FileIo_SimpleOp", _
                                                              cPresence, "FileIo_DirEnum", _
                                                              cPresence, "FileIo_OpEnd", _
                                                              cPresence, "SplitIo", _
                                                              cPresence, "SplitIo_Info", _
                                                              cPresence, "SystemConfig", _
                                                              cPresence, "SystemConfig_PnP", _
                                                              cPresence, "SystemConfig_PhyDisk", _
                                                              cPresence, "SystemConfig_Video", _
                                                              cPresence, "SystemConfig_Services", _
                                                              cPresence, "SystemConfig_IDEChannel", _
                                                              cPresence, "SystemConfig_NIC", _
                                                              cPresence, "SystemConfig_Network", _
                                                              cPresence, "SystemConfig_IRQ", _
                                                              cPresence, "SystemConfig_CPU", _
                                                              cPresence, "SystemConfig_LogDisk", _
                                                              cPresence, "SystemConfig_Power", _
                                                              cPresence, "Process", _
                                                              cPresence, "DiskIo", _
                                                              cPresence, "DriverMajorFunctionReturn", _
                                                              cPresence, "DriverMajorFunctionCall", _
                                                              cPresence, "DriverCompleteRequestReturn", _
                                                              cPresence, "DriverCompleteRequest", _
                                                              cPresence, "Lost_Event", _
                                                              cPresence, "RT_LostEvent", _
                                                              cPresence, "Image", _
                                                              cPresence, "Image_Load", _
                                                              cPresence, "RFSMon", _
                                                              cPresence, "NtlmValidateUser", _
                                                              cPresence, "NtlmValidateUser_End", _
                                                              cPresence, "NtlmValidateUser_Start", _
                                                              cPresence, "NtlmServerAccept", _
                                                              cPresence, "NtlmServerAccept_End", _
                                                              cPresence, "NtlmServerAccept_Info", _
                                                              cPresence, "NtlmServerAccept_Start", _
                                                              cPresence, "NtlmClientInitialize", _
                                                              cPresence, "NtlmClientInitialize_End", _
                                                              cPresence, "NtlmClientInitialize_Start", _
                                                              cPresence, "NtlmLogonUser", _
                                                              cPresence, "NtlmLogonUser_Start", _
                                                              cPresence, "NtlmLogonUser_End", _
                                                              cPresence, "MuiTrace", _
                                                              cPresence, "MuiTraceData", _
                                                              cPresence, "MuiTraceData_String", _
                                                              cPresence, "VideoModeDescriptor", _
                                                              cPresence, "Win32_Perf", _
                                                              cPresence, "Win32_PerfRawData", _
                                                              cPresence, "ProcessorPerformance", _
                                                              cPresence, "Win32_PerfFormattedData", _
                                                              cPresence, "MSMonitorClass", _
                                                              cPresence, "MSStorageDriver_SenseData", _
                                                              cPresence, "MSStorageDriver_ClassErrorLog", _
                                                              cPresence, "BcdDeviceData", _
                                                              cPresence, "BcdDeviceFileData", _
                                                              cPresence, "BcdDevicePartitionData", _
                                                              cPresence, "BcdDeviceUnknownData", _
                                                              cPresence, "PerformanceStates", _
                                                              cPresence, "MSVerifierIrpLogEntry", _
                                                              cPresence, "MS_SystemInformation", _
                                                              cPresence, "MSParallel", _
                                                              cPresence, "MSParallel_AllocFreeCounts", _
                                                              cPresence, "MSParallel_DeviceBytesTransferred", _
                                                              cPresence, "MSAcpi", _
                                                              cPresence, "MSAcpi_ThermalZoneTemperature", _
                                                              cPresence, "MS_SmBios", _
                                                              cPresence, "MSRedbook", _
                                                              cPresence, "BcdObject"), _
                                                       Array (cCritical, "Select * From MSNdis_MediaConnectStatus"), _
                                                       Null, _
                                                 "Root/directory", _
                                                       True, _
                                                       Null, _
                                                       Null, _
                                                       Null, _
                                                 "Root/directory/LDAP", _
                                                       True, _
                                                       Null, _
                                                       Null, _
                                                       Null, _
                                                 "Root/Policy", _
                                                       True, _
                                                       Array (cPresence, "SomFilterPutStatus", _
                                                              cPresence, "MSFT_SomFilterStatus", _
                                                              cPresence, "MSFT_Rule", _
                                                              cPresence, "MSFT_SomFilter"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/Microsoft", _
                                                       True, _
                                                       Null, _
                                                       Null, _
                                                       Null, _
                                                 "Root/Microsoft/HomeNet", _
                                                       True, _
                                                       Array (cPresence, "HNet_PortMappingProtocol", _
                                                              cPresence, "HNet_Connection", _
                                                              cPresence, "HNet_ApplicationProtocol", _
                                                              cPresence, "HNet_ConnectionIcmpSetting", _
                                                              cPresence, "HNet_ConnectionProperties", _
                                                              cPresence, "HNet_ConnectionPortMapping2", _
                                                              cPresence, "HNet_ResponseRange", _
                                                              cPresence, "HNet_FwIcmpSettings", _
                                                              cPresence, "HNet_FirewallLoggingSettings", _
                                                              cPresence, "HNet_BridgeMember", _
                                                              cPresence, "HNet_IcsSettings", _
                                                              cPresence, "HNet_ConnectionAutoconfig", _
                                                              cPresence, "HNet_BackupIpConfiguration"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/aspnet", _
                                                       True, _
                                                       Array (cPresence, "BaseEvent", _
                                                              cPresence, "ManagementEvent", _
                                                              cPresence, "BaseErrorEvent", _
                                                              cPresence, "RequestErrorEvent", _
                                                              cPresence, "ErrorEvent", _
                                                              cPresence, "ApplicationLifetimeEvent", _
                                                              cPresence, "AuditEvent", _
                                                              cPresence, "SuccessAuditEvent", _
                                                              cPresence, "AuthenticationSuccessAuditEvent", _
                                                              cPresence, "FailureAuditEvent", _
                                                              cPresence, "ViewStateFailureAuditEvent", _
                                                              cPresence, "AuthenticationFailureAuditEvent", _
                                                              cPresence, "RequestEvent", _
                                                              cPresence, "HeartbeatEvent", _
                                                              cPresence, "MSFT_DecoupledProvider"), _
                                                       Null, _
                                                       Null _
                                                )
           
                    arrayDCOMDefaultAccessPermission = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("NT AUTHORITY\SELF", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                         DCOM_RIGHT_ACCESS_REMOTE, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                            DCOM_RIGHT_ACCESS_LOCAL), _
                                                              Null _
                                                             )

                    arrayDCOMDefaultLaunchPermission = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE Or _
                                                                          DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                          DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                          DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                          DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                     "NT AUTHORITY\INTERACTIVE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE Or _
                                                                          DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                          DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                          DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                          DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE Or _
                                                                          DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                          DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                          DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                          DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                              Null _
                                                             )

                    arrayDCOMMachineAccessRestriction = Array ("BUILTIN\Administrators", _
                                                               "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("NT AUTHORITY\ANONYMOUS LOGON", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                           DCOM_RIGHT_ACCESS_REMOTE, _
                                                                      "BUILTIN\Performance Log Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                           DCOM_RIGHT_ACCESS_REMOTE, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                           DCOM_RIGHT_ACCESS_REMOTE), _
                                                               Null _ 
                                                              )
           
                    arrayDCOMMachineLaunchRestriction = Array ("BUILTIN\Administrators", _
                                                               "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _                                                                            
                                                                           DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                           DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                           DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                           DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                      "BUILTIN\Performance Log Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                           DCOM_RIGHT_ACCESS_REMOTE Or _
                                                                           DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                           DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                           DCOM_RIGHT_ACTIVATE_LOCAL), _
                                                               Null _
                                                              )
           
                    arrayWMIDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                          "BUILTIN\Administrators", _
                                                          SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                          Array ("Everyone", _
                                                                    ACCESS_ALLOWED_ACE_TYPE, _
                                                                    0, _
                                                                    DCOM_RIGHT_EXECUTE Or _
                                                                      DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                      DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                      DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                      DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                          Null _
                                                         ) 
              
                    arrayWMIPSSDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIPSSDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                             "BUILTIN\Administrators", _
                                                             SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                             Array ("BUILTIN\Administrators", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\INTERACTIVE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\SYSTEM", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\NETWORK SERVICE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\LOCAL SERVICE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                             Null _
                                                            ) 

                    arrayWMIUnsecureApptDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIUnsecureApptDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 

                    arrayWMIActiveScriptEventConsDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIActiveScriptEventConsDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 

                    arrayWMIDefaultNameSpaceSecurity = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\NETWORK SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER, _
                                                                     "NT AUTHORITY\LOCAL SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER, _
                                                                     "NT AUTHORITY\Authenticated Users", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER), _
                                                              Null _
                                                             )
           
                    arrayWMINameSpaceSecurity = Array ("ROOT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/SECURITY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CLI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP/LOCALHOST", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SECURITYCENTER", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/WMI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/POLICY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT/HOMENET", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DEFAULT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY/LDAP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SUBSCRIPTION", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CIMV2/SECURITY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CIMV2/TERMINALSERVICES", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CIMV2/APPLICATIONS/GAMES", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/MICROSOFTIISV2", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/NAP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/MICROSOFTNLB", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/MSCLUSTER", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "Root/RSOP", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/Computer", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/User", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/HARDWARE", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\LOCAL SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER), _
                                                               Null _
                                                              ), _
                                                       "Root/ASPNET", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\LOCAL SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER), _
                                                               Null _
                                                              ), _
                                                       "ROOT/CIMV2/SECURITY/MICROSOFTTPM", _
                                                              Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\NETWORK SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER, _
                                                                     "NT AUTHORITY\LOCAL SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER), _
                                                              Null _
                                                             ), _
                                                       "ROOT/CIMV2/SECURITY/MICROSOFTVOLUMEENCRYPTION", _
                                                              Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\NETWORK SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER, _
                                                                     "NT AUTHORITY\LOCAL SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER), _
                                                              Null _
                                                             ), _
                                                       "ROOT/SERVICEMODEL", _
                                                              Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\NETWORK SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE, _
                                                                     "NT AUTHORITY\LOCAL SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE), _
                                                              Null _
                                                             ), _
                                                       "Root/Perfmon", _
                                                              Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "BUILTIN\Performance Log Users", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_REMOTE_ACCESS, _
                                                                     "NT AUTHORITY\NETWORK SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER, _
                                                                     "NT AUTHORITY\LOCAL SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER, _
                                                                     "NT AUTHORITY\Authenticated Users", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER), _
                                                              Null _
                                                             ), _
                                                       "Root/MicrosoftDFS", _
                                                              Array ("BUILTIN\Administrators", _
                                                                     "BUILTIN\Administrators", _
                                                                     SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                     Array ("BUILTIN\Administrators", _
                                                                               ACCESS_ALLOWED_ACE_TYPE, _
                                                                               CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                               WBEM_ENABLE Or _
                                                                                 WBEM_METHOD_EXECUTE Or _
                                                                                 WBEM_WRITE_PROVIDER Or _
                                                                                 WBEM_REMOTE_ACCESS), _
                                                                     Null _
                                                                    ) _
                                                      )
                    Else

                       arrayWMIDCOMDataList = Array (_
                                                     "%SystemRoot%\System32\WBEM\", "smi2smir.exe", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "cluswmi.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "nlbmprov.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wlbsprov.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmiprvse.exe", False, Array ("\CLSID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}"), _
                                                     "%SystemRoot%\System32\WBEM\", "mofcomp.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "scrcons.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "unsecapp.exe", False, Array ("\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}"),_
                                                     "%SystemRoot%\System32\WBEM\", "wbemtest.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "winmgmt.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmiadap.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmiapsrv.exe", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "cimwin32.dll", False, Array ("\CLSID\{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", _
                                                                                                                  "\CLSID\{D31B6A3F-9350-40DE-A3FC-A7EDEB9B7C63}", _
                                                                                                                  "\CLSID\{D63A5850-8F16-11CF-9F47-00AA00BF345C}"), _
                                                     "%SystemRoot%\System32\WBEM\", "dsprov.dll", False, Array ("\CLSID\{1EF94880-01A8-11D2-A90B-00AA00BF3363}", _
                                                                                                                "\CLSID\{33831ED4-42B8-11D2-93AD-00805F853771}", _
                                                                                                                "\CLSID\{AA527A40-4D9A-11D2-93AD-00805F853771}"), _
                                                     "%SystemRoot%\System32\WBEM\", "esscli.dll", False, Array ("\CLSID\{6c19be35-7500-11d1-ad94-00c04fd8fdff}", _
                                                                                                                "\CLSID\{DC923725-0FDD-45E1-AE74-EA09182E739B}"), _
                                                     "%SystemRoot%\System32\WBEM\", "fastprox.dll", False, Array ("\CLSID\{1108BE51-F58A-4CDA-BB99-7A0227D11D5E}", _
                                                                                                                  "\CLSID\{1B1CAD8C-2DAB-11D2-B604-00104B703EFD}", _
                                                                                                                  "\CLSID\{29B5828C-CAB9-11D2-B35C-00105A1F8177}", _
                                                                                                                  "\CLSID\{4590F812-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                                  "\CLSID\{5839FCA9-774D-42A1-ACDA-D6A79037F57F}", _
                                                                                                                  "\CLSID\{674B6698-EE92-11D0-AD71-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{7016F8FA-CCDA-11D2-B35C-00105A1F8177}", _
                                                                                                                  "\CLSID\{71285C44-1DC0-11D2-B5FB-00104B703EFD}", _
                                                                                                                  "\CLSID\{78103FB7-AED7-4066-8BCD-30BB27B02331}", _
                                                                                                                  "\CLSID\{8D1C559D-84F0-4BB3-A7D5-56A7435A9BA6}", _
                                                                                                                  "\CLSID\{9A653086-174F-11D2-B5F9-00104B703EFD}", _
                                                                                                                  "\CLSID\{C71566F2-561E-11D1-AD87-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{CC9072AB-C000-49D8-A5AA-00266C8DBB9B}", _
                                                                                                                  "\CLSID\{CD1ABFC8-6C5E-4A8D-B90B-2A3B153B886D}", _
                                                                                                                  "\CLSID\{D68AF00A-29CB-43FA-8504-CE99A996D9EA}", _
                                                                                                                  "\CLSID\{DCF33DF4-B510-439F-832A-16B6B514F2A7}"), _
                                                     "%SystemRoot%\System32\", "framedyn.dll", False, Null, _
                                                     "%SystemRoot%\System32\", "framedynos.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "krnlprov.dll", False, Array ("\CLSID\{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", _
                                                                                                                  "\TypeLib\{6B100E1A-1385-4D1F-A02E-6E705A76BB6C}\1.0"), _
                                                     "%SystemRoot%\System32\WBEM\", "MMFUtil.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "mofd.dll", False, Array ("\CLSID\{288a2d5f-253c-46b4-b58c-2ced3180b993}", _
                                                                                                              "\CLSID\{6DAF9757-2E37-11D2-AEC9-00C04FB68820}", _
                                                                                                              "\CLSID\{C10B4771-4DA0-11D2-A2F5-00C04F86FB7D}", _
                                                                                                              "\CLSID\{D215781D-019E-4FA0-903D-0CDCDE13A4F5}"), _
                                                     "%SystemRoot%\System32\WBEM\", "mofinstall.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "msiprov.dll", False, Array ("\CLSID\{BE0A9830-2B8B-11D1-A949-0060181EBBAD}"), _
                                                     "%SystemRoot%\System32\WBEM\", "ncprov.dll", False, Array ("\CLSID\{29F06F0C-FB7F-44A5-83CD-D41705D5C525}", _
                                                                                                                "\TypeLib\{5F099F16-6A6E-4BBC-8BD8-98F3221D58C4}\1.0"), _
                                                     "%SystemRoot%\System32\WBEM\", "ntevt.dll", False, Array ("\CLSID\{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", _
                                                                                                               "\CLSID\{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "policman.dll", True, Array ("\CLSID\{69D76D1B-B12E-4913-8F48-671B90195A2B}", _
                                                                                                                 "\CLSID\{AAEAE72F-0328-4763-8ECB-23422EDE2DB5}"), _
                                                     "%SystemRoot%\System32\", "provthrd.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "repdrvfs.dll", False, Array ("\CLSID\{7998DC37-D3FE-487C-A60A-7701FCC70CC6}"), _
                                                     "%SystemRoot%\System32\WBEM\", "servdeps.dll", False, Array ("\CLSID\{A1B9E04A-3226-11D2-883E-00104B2AFB46}", _
                                                                                                                  "\CLSID\{BD95BA60-2E26-AAD1-AD99-00AA00B8E05A}"), _
                                                     "%SystemRoot%\System32\WBEM\", "SMTPCons.dll", False, Array ("\CLSID\{C7A3A54B-0250-11D3-9CD1-00105A1F4801}"), _
                                                     "%SystemRoot%\System32\WBEM\", "smierrsm.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "smierrsy.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "smimsgif.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "snmpcl.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "snmpincl.dll", True, Array ("\CLSID\{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", _
                                                                                                                  "\CLSID\{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", _
                                                                                                                  "\CLSID\{70426720-F78F-11CF-9151-00AA00A4086C}", _
                                                                                                                  "\CLSID\{9D5BED16-0765-11D1-AB2C-00C04FD9159E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "snmpsmir.dll", True, Array ("\CLSID\{5009AB90-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                  "\CLSID\{5009AB92-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                  "\CLSID\{5009AB94-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                  "\CLSID\{5009AB9B-F9EE-11CF-AEC1-00AA00BDD7D1}", _
                                                                                                                  "\CLSID\{B11B26AC-A791-11D0-AAEA-00A024E8AD1C}", _
                                                                                                                  "\CLSID\{B11B26AE-A791-11D0-AAEA-00A024E8AD1C}"), _
                                                     "%SystemRoot%\System32\WBEM\", "snmpthrd.dll", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "stdprov.dll", False, Array ("\CLSID\{72967901-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                                 "\CLSID\{72967903-68EC-11D0-B729-00AA0062CBB7}", _
                                                                                                                 "\CLSID\{F00B4404-F8F1-11CE-A5B6-00AA00680C3F}", _
                                                                                                                 "\CLSID\{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", _
                                                                                                                 "\CLSID\{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}"), _
                                                     "%SystemRoot%\System32\WBEM\", "vdswmi.dll", False, Array ("\CLSID\{890CB943-D715-401B-98B1-CF82DCF36D7C}"), _
                                                     "%SystemRoot%\System32\WBEM\", "viewprov.dll", False, Array ("\CLSID\{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "vsswmi.dll", False, Array ("\CLSID\{72970BEB-81F8-46D4-B220-D743F4E49C95}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemcntl.dll", False, Array ("\CLSID\{5C659257-E236-11D2-8899-00104B2AFB46}", _
                                                                                                                  "\CLSID\{5C659258-E236-11D2-8899-00104B2AFB46}"), _
                                                     "%SystemRoot%\System32\", "wbemcomn.dll", False, Array ("\CLSID\{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", _   
                                                                                                                  "\CLSID\{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemcons.dll", False, Array ("\CLSID\{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemcore.dll", False, Array ("\CLSID\{1860E246-E924-4F73-B2C5-93E0577E3AA1}", _
                                                                                                                  "\CLSID\{1F0BC6AD-46D4-488B-BE1F-047FC7505E60}", _
                                                                                                                  "\CLSID\{4FA18276-912A-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{6543D242-A80B-44A3-B828-95C1EC452423}", _
                                                                                                                  "\CLSID\{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", _
                                                                                                                  "\CLSID\{ED999FF5-223A-4052-8ECE-0B10C8DBAA39}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemdisp.dll", False, Array ("\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}", _
                                                                                                                  "\CLSID\{47DFBE54-CF76-11D3-B38F-00105A1F473A}", _
                                                                                                                  "\CLSID\{5791BC26-CE9C-11D1-97BF-0000F81E849C}", _
                                                                                                                  "\CLSID\{75718C9A-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                                  "\CLSID\{76A64158-CB41-11D1-8B02-00600806D9B6}", _
                                                                                                                  "\CLSID\{9AED384E-CE8B-11D1-8B05-00600806D9B6}", _
                                                                                                                  "\CLSID\{C2FEEEAC-CFCD-11D1-8B05-00600806D9B6}", _
                                                                                                                  "\CLSID\{D269BF5C-D9C1-11D3-B38F-00105A1F473A}", _
                                                                                                                  "\Interface\{14D8250E-D9C2-11D3-B38F-00105A1F473A}", _
                                                                                                                  "\Interface\{269AD56A-8A67-4129-BC8C-0506DCFE9880}", _
                                                                                                                  "\Interface\{5AD4BF92-DAAB-11D3-B38F-00105A1F473A}", _
                                                                                                                  "\Interface\{5E97458A-CF77-11D3-B38F-00105A1F473A}", _
                                                                                                                  "\Interface\{75718C9F-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                                  "\Interface\{75718CA0-F029-11D1-A1AC-00C04FB6C223}", _
                                                                                                                  "\Interface\{D2F68443-85DC-427E-91D8-366554CC754C}", _
                                                                                                                  "\Interface\{D962DB84-D4BB-11D1-8B09-00600806D9B6}", _
                                                                                                                  "\TypeLib\{565783C6-CB41-11D1-8B02-00600806D9B6}\1.2"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemdisp.tlb", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wbemess.dll", False, Array ("\CLSID\{5D08B586-343A-11D0-AD46-00C04FD8FDFF}", _
                                                                                                                 "\CLSID\{F3130CDB-AA52-4C3A-AB32-85FFC23AF9C1}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemprox.dll", False, Array ("\CLSID\{443E7B79-DE31-11D2-B340-00104BCC4B4A}", _
                                                                                                                  "\CLSID\{4590F811-1D3A-11D0-891F-00AA004B2E24}", _
                                                                                                                  "\CLSID\{CB8555CC-9128-11D1-AD9B-00C04FD8FDFF}", _
                                                                                                                  "\CLSID\{CD184336-9128-11D1-AD9B-00C04FD8FDFF}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wbemsvc.dll", False, Array ("\CLSID\{7C857801-7381-11CF-884D-00AA004B2E24}", _
                                                                                                                 "\Interface\{06413D98-405C-4A5A-8D6F-19B8B7C6ACF7}", _
                                                                                                                 "\Interface\{07435309-D440-41B7-83F3-EB82DB6C622F}", _
                                                                                                                 "\Interface\{0FC8C622-1728-4149-A57F-AD19D0970710}", _
                                                                                                                 "\Interface\{11CAA957-4E80-474E-A819-7FD72148ADA9}", _
                                                                                                                 "\Interface\{1BE41571-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                                 "\Interface\{1BE41572-91DD-11D1-AEB2-00C04FB68820}", _
                                                                                                                 "\Interface\{1C1C45EE-4395-11D2-B60B-00104B703EFD}", _
                                                                                                                 "\Interface\{1CFABA8C-1523-11D1-AD79-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{21CD80A2-B305-4F37-9D4C-4534A8D9B568}", _
                                                                                                                 "\Interface\{25411283-46FC-4326-8DF2-FF5D34B2DFEF}", _
                                                                                                                 "\Interface\{2A504CA2-CA90-4731-87BC-6E99CA2019AF}", _
                                                                                                                 "\Interface\{2B322B6E-A9DF-44E3-97BF-259E3583FDA4}", _
                                                                                                                 "\Interface\{2C9273E0-1DC3-11D3-B364-00105A1F8177}", _
                                                                                                                 "\Interface\{2DB9FA90-9973-46CF-B310-9865B644699D}", _
                                                                                                                 "\Interface\{37196B38-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                                 "\Interface\{37196B39-CCCF-11D2-B35C-00105A1F8177}", _
                                                                                                                 "\Interface\{3AE0080A-7E3A-4366-BF89-0FEEDC931659}", _
                                                                                                                 "\Interface\{41AA40E6-2FBA-4E80-ADE9-34306567206D}", _
                                                                                                                 "\Interface\{423EC01E-2E35-11D2-B604-00104B703EFD}", _
                                                                                                                 "\Interface\{44ACA675-E8FC-11D0-A07C-00C04FB68820}", _
                                                                                                                 "\Interface\{484E3ECE-1F81-4591-B9D4-943BA13B609D}", _
                                                                                                                 "\Interface\{48FF3109-A366-4B56-B340-01FAE758BA64}", _
                                                                                                                 "\Interface\{580ACAF8-FA1C-11D0-AD72-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{5FBA5051-3124-4112-B723-46BFBAF1D622}", _
                                                                                                                 "\Interface\{60E512D4-C47B-11D2-B338-00105A1F4AAF}", _
                                                                                                                 "\Interface\{631F7D96-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                                 "\Interface\{631F7D97-D993-11D2-B339-00105A1F4AAF}", _
                                                                                                                 "\Interface\{6919DD07-1637-4611-A8A7-C16FAC5B2D53}", _
                                                                                                                 "\Interface\{6963B029-B969-40AA-9180-2B2F84075973}", _
                                                                                                                 "\Interface\{6B3FC272-BF37-4968-933A-6DF9222A2607}", _
                                                                                                                 "\Interface\{6C19BE32-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{6C19BE34-7500-11D1-AD94-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{755F9DA7-7508-11D1-AD94-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{854D745C-6742-42C0-8BB9-01EC466B6E87}", _
                                                                                                                 "\Interface\{88F3781C-6902-4647-9A6B-A74F450AF861}", _
                                                                                                                 "\Interface\{8A0DC377-A9D3-41CB-BD69-AE1FDAF2DC68}", _
                                                                                                                 "\Interface\{A210BFE9-C9F7-4919-B114-0D98B3D5341E}", _
                                                                                                                 "\Interface\{A359DEC5-E813-4834-8A2A-BA7F1D777D76}", _
                                                                                                                 "\Interface\{AC9EA02A-2C8A-4ACD-B562-D7E8EBEE8E8E}", _
                                                                                                                 "\Interface\{B1B55910-8BA0-47A5-A16E-2B733B1D987C}", _
                                                                                                                 "\Interface\{B60EF4F1-A411-462B-B51E-477CBDBB90B4}", _
                                                                                                                 "\Interface\{B7B31DF9-D515-11D3-A11C-00105A1F515A}", _
                                                                                                                 "\Interface\{BAC6B661-167E-4957-AD77-286AB256585E}", _
                                                                                                                 "\Interface\{C49E32C7-BC8B-11D2-85D4-00105A1F8304}", _
                                                                                                                 "\Interface\{CE61E841-65BC-11D0-B6BD-00AA003240C7}", _
                                                                                                                 "\Interface\{D4781CD6-E5D3-44DF-AD94-930EFE48A887}", _
                                                                                                                 "\Interface\{D8EC9CB1-B135-4F10-8B1B-C7188BB0D186}", _
                                                                                                                 "\Interface\{DF2373F5-EFB2-475C-AD58-3102D61967D4}", _
                                                                                                                 "\Interface\{E245105B-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{E246107A-B06E-11D0-AD61-00C04FD8FDFF}", _
                                                                                                                 "\Interface\{E8107BDF-BAAF-4C7C-BB5F-9D732E8D8F07}", _
                                                                                                                 "\Interface\{EB658B8A-7A64-4DDC-9B8D-A92610DB0206}", _
                                                                                                                 "\Interface\{F0E4EDDE-475A-498A-93D7-D4347F68A8F3}", _
                                                                                                                 "\Interface\{F1E9C5B2-F59B-11D2-B362-00105A1F8177}", _
                                                                                                                 "\Interface\{F309AD18-D86A-11D0-A075-00C04FB68820}", _
                                                                                                                 "\Interface\{F50A28CF-5C9C-4F7E-9D80-E25E16E18C59}", _
                                                                                                                 "\Interface\{FD450835-CF1B-4C87-9FD2-5E0D42FDE081}", _
                                                                                                                 "\Interface\{FEC1B0AC-5808-4033-A915-C0185934581E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "Win32_EncryptableVolume.dll", True, Array ("\CLSID\{F198A89A-5042-4294-ADF1-CB163E549798}"), _
                                                     "%SystemRoot%\System32\WBEM\", "Win32_Tpm.dll", True, Array ("\CLSID\{E2E5A310-ECED-444F-81D7-ACCA6AC8A1A8}"), _
                                                     "%SystemRoot%\System32\WBEM\", "WinMgmtR.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "WmiApRes.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "WmiApRpl.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmicookr.dll", False, Array ("\CLSID\{B0A2AB46-F612-4469-BEC4-7AB038BC476C}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmidcprv.dll", False, Array ("\CLSID\{4CFC7932-0F9D-4BEF-9C32-8EA2A6B56FCB}", _
                                                                                                                  "\CLSID\{F5F75737-2843-4F22-933D-C76A97CDA62F}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmipcima.dll", False, Array ("\CLSID\{04788120-12C2-498D-83C1-A7D92E677AC6}", _
                                                                                                                  "\CLSID\{A3E41207-BE04-492A-AFF0-19E880FF7545}", _
                                                                                                                  "\CLSID\{E2CBCB87-9C07-4523-A78F-061499C83987}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmipdfs.dll", False, Array ("\CLSID\{7F72CC7A-74A0-45B4-909C-14FB8186DD7E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmipdskq.dll", False, Array ("\CLSID\{4AF3F4A4-06C8-4B79-A523-633CC65CE297}"), _
                                                     "%SystemRoot%\System32\WBEM\", "WmiPerfClass.dll", False, Array ("\CLSID\{661FF7F6-F4D1-4593-B59D-4C54C1ECE68B}"), _
                                                     "%SystemRoot%\System32\WBEM\", "WmiPerfInst.dll", False, Array ("\CLSID\{CA2AF3B4-C15E-412b-B453-557746675FB7}", _
                                                                                                                     "\CLSID\{FCF7A6F2-3300-4386-9A4F-0DD4E3226507}"), _
                                                     "%SystemRoot%\System32\WBEM\", "WMIPICMP.dll", False, Array ("\CLSID\{734AC5AE-68E1-4FB5-B8DA-1D92F7FC6661}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmipiprt.dll", False, Array ("\CLSID\{23B77E99-5C2D-482D-A795-62CA3AE5B673}", _
                                                                                                                  "\CLSID\{6D7A4B0E-66D5-4AC3-A7ED-0189E8CF5E77}"), _
                                                     "%SystemRoot%\System32\WBEM\", "WMIPJOBJ.dll", False, Array ("\CLSID\{6515834D-6125-4878-A3A3-6B0A73B809A2}", _
                                                                                                                  "\CLSID\{7FB1D98A-F895-4761-8DC2-774969C84D10}", _
                                                                                                                  "\CLSID\{AB40A5C1-804B-40BD-9DFE-A640691C6956}", _
                                                                                                                  "\CLSID\{C0AA9D93-2EF5-47FB-960C-F90FC644B48E}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmiprov.dll", False, Array ("\CLSID\{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", _
                                                                                                                  "\CLSID\{35B78F79-B973-48C8-A045-CAEC732A35D5}", _
                                                                                                                  "\CLSID\{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmiprvsd.dll", False, Array ("\CLSID\{4DE225BF-CF59-4CFC-85F7-68B90F185355}", _
                                                                                                                  "\CLSID\{7F598975-37E0-4A67-A992-116680F0CEDA}", _
                                                                                                                  "\CLSID\{8BEBCE8B-1AF0-4323-8B4D-36994567CAE1}", _
                                                                                                                  "\CLSID\{F5A55D36-8750-432C-AB52-AD49A016EABC}"), _
                                                     "%SystemRoot%\System32\WBEM\", "WMIPSESS.dll", False, Array ("\CLSID\{6E78DAD9-E187-4D6E-BA63-760256D6F405}"), _
                                                     "%SystemRoot%\System32\WBEM\", "WMIsvc.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmitimep.dll", False, Array ("\CLSID\{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}"), _
                                                     "%SystemRoot%\System32\WBEM\", "wmiutils.dll", False, Array ("\CLSID\{CF4CC405-E2C5-4DDD-B3CE-5E7582D8C9FA}", _
                                                                                                                  "\CLSID\{EAC8A024-21E2-4523-AD73-A71A0AA2F56A}", _
                                                                                                                  "\CLSID\{EB87E1BD-3233-11D2-AEC9-00C04FB68820}"), _
                                                     "%SystemRoot%\System32\WBEM\xml\", "wmi2xml.dll", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\xml\", "cim20.dtd", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\xml\", "wmi20.dtd", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "xsl-mappings.xml", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\en-US\", "csv.xsl", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\en-US\", "mof.xsl", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\en-US\", "xml.xsl", True, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "rawxml.xsl", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "texttable.xsl", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "textvaluelist.xsl", False, Null, _
                                                     "%SystemRoot%\System32\WBEM\", "wmic.exe", False, Null _
                                                    )

                       arrayWMITestList = Array (_
                                                 "Root", _
                                                       True, _
                                                       Null, _
                                                       Null, _
                                                       Array (cWarning, "__ArbitratorConfiguration", "@", Array ("OutstandingTasksPerUser", 30, _
                                                                                                                 "OutstandingTasksTotal", 3000, _
                                                                                                                 "PermanentSubscriptionsPerUser", 1000, _
                                                                                                                 "PermanentSubscriptionsTotal", 10000, _
                                                                                                                 "PollingInstructionsPerUser", 1000, _
                                                                                                                 "PollingInstructionsTotal", 10000, _
                                                                                                                 "PollingMemoryPerUser", 5000000, _
                                                                                                                 "PollingMemoryTotal", 10000000, _
                                                                                                                 "QuotaRetryCount", 10, _
                                                                                                                 "QuotaRetryWaitInterval", 15000, _
                                                                                                                 "TaskThreadsPerUser", 3, _
                                                                                                                 "TaskThreadsTotal", 30, _
                                                                                                                 "TemporarySubscriptionsPerUser", 1000, _
                                                                                                                 "TemporarySubscriptionsTotal", 10000, _
                                                                                                                 "TotalCacheDisk", 1048576, _
                                                                                                                 "TotalCacheDiskPerTask", 51250, _
                                                                                                                 "TotalCacheDiskPerUser", 102500, _
                                                                                                                 "TotalCacheMemory", 10240, _
                                                                                                                 "TotalCacheMemoryPerTask", 1024, _
                                                                                                                 "TotalCacheMemoryPerUser", 2048, _
                                                                                                                 "TotalUsers", 50), _
                                                              cWarning, "__ProviderHostQuotaConfiguration", "@", Array ("HandlesPerHost", 4096, _
                                                                                                                        "MemoryAllHosts", "1073741824", _
                                                                                                                        "MemoryPerHost", "536870912", _
                                                                                                                        "ProcessLimitAllHosts", 32, _
                                                                                                                        "ThreadsPerHost", 256), _
                                                              cWarning, "__EventConsumerProviderCacheControl", "@", Array ("ClearAfter", "00000000000030.000000:000"), _
                                                              cWarning, "__EventProviderCacheControl",         "@", Array ("ClearAfter", "00000000000030.000000:000"), _
                                                              cWarning, "__EventSinkCacheControl",             "@", Array ("ClearAfter", "00000000000015.000000:000"), _
                                                              cWarning, "__ObjectProviderCacheControl",        "@", Array ("ClearAfter", "00000000000030.000000:000"), _
                                                              cWarning, "__PropertyProviderCacheControl",      "@", Array ("ClearAfter", "00000000000030.000000:000") ), _
                                                 "Root/subscription", _
                                                       True, _
                                                       Array (cPresence, "LogFileEventConsumer", _
                                                              cPresence, "ActiveScriptEventConsumer", _
                                                              cPresence, "NTEventLogEventConsumer", _
                                                              cPresence, "SMTPEventConsumer", _
                                                              cPresence, "CommandLineEventConsumer"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/DEFAULT", _
                                                       True, _
                                                       Array (cPresence, "LogFileEventConsumer", _
                                                              cPresence, "ActiveScriptEventConsumer", _
                                                              cPresence, "NTEventLogEventConsumer", _
                                                              cPresence, "SMTPEventConsumer", _
                                                              cPresence, "CommandLineEventConsumer", _
                                                              cPresence, "RegistryEvent", _
                                                              cPresence, "RegistryKeyChangeEvent", _
                                                              cPresence, "RegistryTreeChangeEvent", _
                                                              cPresence, "RegistryValueChangeEvent", _
                                                              cPresence, "StdRegProv", _
                                                              cPresence, "SystemRestoreConfig", _
                                                              cPresence, "SystemRestore"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/MicrosoftDfs", _
                                                       False, _
                                                       Array (cPresence, "DfsrLocalMemberInfo", _
                                                              cPresence, "DfsrIdRecordInfo", _
                                                              cPresence, "DfsrLocalMemberConfig", _
                                                              cPresence, "DfsrReplicationGroupConfig", _
                                                              cPresence, "DfsrReplicatedFolderInfo", _
                                                              cPresence, "DfsrConnectionInfo", _
                                                              cPresence, "DfsrInfo", _
                                                              cPresence, "DfsrReplicatedFolderConfig", _
                                                              cPresence, "DfsrConflictInfo", _
                                                              cPresence, "DfsrVolumeConfig", _
                                                              cPresence, "DfsrVolumeInfo", _
                                                              cPresence, "DfsrConfig", _
                                                              cPresence, "DfsrSyncInfo", _
                                                              cPresence, "DfsrMachineConfig", _
                                                              cPresence, "DfsrConnectionConfig"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/CIMV2", _
                                                       True, _
                                                       Array (cPresence, "Win32_PrivilegesStatus", _
                                                              cPresence, "Win32_JobObjectStatus", _
                                                              cPresence, "Win32_Trustee", _
                                                              cPresence, "Win32_ACE", _
                                                              cPresence, "Win32_SecurityDescriptor", _
                                                              cPresence, "MSFT_SCMEvent", _
                                                              cPresence, "MSFT_SCMEventLogEvent", _
                                                              cPresence, "MSFT_NetSevereServiceFailed", _
                                                              cPresence, "MSFT_NetTransactInvalid", _
                                                              cPresence, "MSFT_NetServiceNotInteractive", _
                                                              cPresence, "MSFT_NetTakeOwnership", _
                                                              cPresence, "MSFT_NetServiceConfigBackoutFailed", _
                                                              cPresence, "MSFT_NetServiceShutdownFailed", _
                                                              cPresence, "MSFT_NetServiceStartHung", _
                                                              cPresence, "MSFT_NetServiceStopControlSuccess", _
                                                              cPresence, "MSFT_NetServiceSlowStartup", _
                                                              cPresence, "MSFT_NetCallToFunctionFailed", _
                                                              cPresence, "MSFT_NetBadAccount", _
                                                              cPresence, "MSFT_NetBadServiceState", _
                                                              cPresence, "MSFT_NetConnectionTimeout", _
                                                              cPresence, "MSFT_NetCircularDependencyAuto", _
                                                              cPresence, "MSFT_NetServiceStartTypeChanged", _
                                                              cPresence, "MSFT_NetServiceLogonTypeNotGranted", _
                                                              cPresence, "MSFT_NetServiceStartFailedGroup", _
                                                              cPresence, "MSFT_NetDependOnLaterService", _
                                                              cPresence, "MSFT_NetFirstLogonFailedII", _
                                                              cPresence, "MSFT_NetServiceDifferentPIDConnected", _
                                                              cPresence, "MSFT_NetServiceCrashNoAction", _
                                                              cPresence, "MSFT_NetCircularDependencyDemand", _
                                                              cPresence, "MSFT_NetServiceExitFailed", _
                                                              cPresence, "MSFT_NetServiceStartFailedII", _
                                                              cPresence, "MSFT_NetServiceExitFailedSpecific", _
                                                              cPresence, "MSFT_NetBootSystemDriversFailed", _
                                                              cPresence, "MSFT_NetInvalidDriverDependency", _
                                                              cPresence, "MSFT_NetServiceCrash", _
                                                              cPresence, "MSFT_NetServiceRecoveryFailed", _
                                                              cPresence, "MSFT_NetServiceStatusSuccess", _
                                                              cPresence, "MSFT_NetTransactTimeout", _
                                                              cPresence, "MSFT_NetFirstLogonFailed", _
                                                              cPresence, "MSFT_NetServiceControlSuccess", _
                                                              cPresence, "MSFT_NetServiceStartFailed", _
                                                              cPresence, "MSFT_NetServiceStartFailedNone", _
                                                              cPresence, "MSFT_NetReadfileTimeout", _
                                                              cPresence, "MSFT_NetRevertedToLastKnownGood", _
                                                              cPresence, "MSFT_NetCallToFunctionFailedII", _
                                                              cPresence, "MSFT_NetDependOnLaterGroup", _
                                                              cPresence, "MSFT_WmiSelfEvent", _
                                                              cPresence, "MSFT_WmiEssEvent", _
                                                              cPresence, "MSFT_WmiThreadPoolEvent", _
                                                              cPresence, "MSFT_WmiThreadPoolThreadCreated", _
                                                              cPresence, "MSFT_WmiThreadPoolThreadDeleted", _
                                                              cPresence, "MSFT_WmiRegisterNotificationSink", _
                                                              cPresence, "MSFT_WmiFilterEvent", _
                                                              cPresence, "MSFT_WmiFilterDeactivated", _
                                                              cPresence, "MSFT_WmiFilterActivated", _
                                                              cPresence, "MSFT_WmiCancelNotificationSink", _
                                                              cPresence, "MSFT_WmiProviderEvent", _
                                                              cPresence, "MSFT_WmiConsumerProviderEvent", _
                                                              cPresence, "MSFT_WmiConsumerProviderSinkLoaded", _
                                                              cPresence, "MSFT_WmiConsumerProviderSinkUnloaded", _
                                                              cPresence, "MSFT_WmiConsumerProviderUnloaded", _
                                                              cPresence, "MSFT_WmiConsumerProviderLoaded", _
                                                              cPresence, "Msft_WmiProvider_OperationEvent", _
                                                              cPresence, "Msft_WmiProvider_ComServerLoadOperationEvent", _
                                                              cPresence, "Msft_WmiProvider_OperationEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_PutInstanceAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_CreateInstanceEnumAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_DeleteInstanceAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_CancelQuery_Post", _
                                                              cPresence, "Msft_WmiProvider_NewQuery_Post", _
                                                              cPresence, "Msft_WmiProvider_ProvideEvents_Post", _
                                                              cPresence, "Msft_WmiProvider_ExecQueryAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_AccessCheck_Post", _
                                                              cPresence, "Msft_WmiProvider_CreateClassEnumAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_DeleteClassAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_ExecMethodAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_GetObjectAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_PutClassAsyncEvent_Post", _
                                                              cPresence, "Msft_WmiProvider_InitializationOperationFailureEvent", _
                                                              cPresence, "Msft_WmiProvider_InitializationOperationEvent", _
                                                              cPresence, "Msft_WmiProvider_LoadOperationFailureEvent", _
                                                              cPresence, "Msft_WmiProvider_ComServerLoadOperationFailureEvent", _
                                                              cPresence, "Msft_WmiProvider_UnLoadOperationEvent", _
                                                              cPresence, "Msft_WmiProvider_LoadOperationEvent", _
                                                              cPresence, "Msft_WmiProvider_OperationEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_DeleteInstanceAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_AccessCheck_Pre", _
                                                              cPresence, "Msft_WmiProvider_ExecQueryAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_DeleteClassAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_NewQuery_Pre", _
                                                              cPresence, "Msft_WmiProvider_PutInstanceAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_CreateClassEnumAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_ExecMethodAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_ProvideEvents_Pre", _
                                                              cPresence, "Msft_WmiProvider_CancelQuery_Pre", _
                                                              cPresence, "Msft_WmiProvider_PutClassAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_GetObjectAsyncEvent_Pre", _
                                                              cPresence, "Msft_WmiProvider_CreateInstanceEnumAsyncEvent_Pre", _
                                                              cPresence, "MSFT_WMI_GenericNonCOMEvent", _
                                                              cPresence, "Win32_ComputerSystemEvent", _
                                                              cPresence, "Win32_ComputerShutdownEvent", _
                                                              cPresence, "Win32_IP4RouteTableEvent", _
                                                              cPresence, "MSFT_NCProvEvent", _
                                                              cPresence, "MSFT_NCProvCancelQuery", _
                                                              cPresence, "MSFT_NCProvClientConnected", _
                                                              cPresence, "MSFT_NCProvNewQuery", _
                                                              cPresence, "MSFT_NCProvAccessCheck", _
                                                              cPresence, "RegistryEvent", _
                                                              cPresence, "RegistryKeyChangeEvent", _
                                                              cPresence, "RegistryTreeChangeEvent", _
                                                              cPresence, "RegistryValueChangeEvent", _
                                                              cPresence, "Win32_SystemTrace", _
                                                              cPresence, "Win32_ProcessTrace", _
                                                              cPresence, "Win32_ProcessStartTrace", _
                                                              cPresence, "Win32_ProcessStopTrace", _
                                                              cPresence, "Win32_ModuleTrace", _
                                                              cPresence, "Win32_ModuleLoadTrace", _
                                                              cPresence, "Win32_ThreadTrace", _
                                                              cPresence, "Win32_ThreadStartTrace", _
                                                              cPresence, "Win32_ThreadStopTrace", _
                                                              cPresence, "Win32_PowerManagementEvent", _
                                                              cPresence, "Win32_DeviceChangeEvent", _
                                                              cPresence, "Win32_SystemConfigurationChangeEvent", _
                                                              cPresence, "Win32_VolumeChangeEvent", _
                                                              cPresence, "Win32_OsBaselineProvider", _
                                                              cPresence, "Win32_CollectionStatistics", _
                                                              cPresence, "Win32_NamedJobObjectStatistics", _
                                                              cPresence, "Win32_NTLogEvent", _
                                                              cPresence, "Win32_ActiveRoute", _
                                                              cPresence, "Win32_AccountSID", _
                                                              cPresence, "Win32_OsBaseline", _
                                                              cPresence, "Win32_SecurityDescriptorHelper", _
                                                              cPresence, "Win32_TimeZone", _
                                                              cPresence, "Win32_PageFileSetting", _
                                                              cPresence, "Win32_Desktop", _
                                                              cPresence, "Win32_ShadowContext", _
                                                              cPresence, "Win32_MSIResource", _
                                                              cPresence, "Win32_ServiceControl", _
                                                              cPresence, "Win32_Property", _
                                                              cPresence, "Win32_Patch", _
                                                              cPresence, "Win32_PatchPackage", _
                                                              cPresence, "Win32_Binary", _
                                                              cPresence, "Win32_AutochkSetting", _
                                                              cPresence, "Win32_SerialPortConfiguration", _
                                                              cPresence, "Win32_StartupCommand", _
                                                              cPresence, "Win32_BootConfiguration", _
                                                              cPresence, "Win32_NetworkLoginProfile", _
                                                              cPresence, "Win32_NamedJobObjectLimitSetting", _
                                                              cPresence, "Win32_NamedJobObjectSecLimitSetting", _
                                                              cPresence, "Win32_DisplayConfiguration", _
                                                              cPresence, "Win32_NetworkAdapterConfiguration", _
                                                              cPresence, "Win32_QuotaSetting", _
                                                              cPresence, "Win32_SecuritySetting", _
                                                              cPresence, "Win32_LogicalFileSecuritySetting", _
                                                              cPresence, "Win32_LogicalShareSecuritySetting", _
                                                              cPresence, "Win32_DisplayControllerConfiguration", _
                                                              cPresence, "Win32_WMISetting", _
                                                              cPresence, "Win32_OSRecoveryConfiguration", _
                                                              cPresence, "Win32_COMSetting", _
                                                              cPresence, "Win32_ClassicCOMClassSetting", _
                                                              cPresence, "Win32_DCOMApplicationSetting", _
                                                              cPresence, "Win32_VideoConfiguration", _
                                                              cPresence, "Win32_ODBCAttribute", _
                                                              cPresence, "Win32_ODBCSourceAttribute", _
                                                              cPresence, "ScriptingStandardConsumerSetting", _
                                                              cPresence, "Win32_PrinterConfiguration", _
                                                              cPresence, "Win32_CurrentTime", _
                                                              cPresence, "Win32_UTCTime", _
                                                              cPresence, "Win32_LocalTime", _
                                                              cPresence, "Win32_ShortcutAction", _
                                                              cPresence, "Win32_ExtensionInfoAction", _
                                                              cPresence, "Win32_CreateFolderAction", _
                                                              cPresence, "Win32_RegistryAction", _
                                                              cPresence, "Win32_ClassInfoAction", _
                                                              cPresence, "Win32_SelfRegModuleAction", _
                                                              cPresence, "Win32_TypeLibraryAction", _
                                                              cPresence, "Win32_BindImageAction", _
                                                              cPresence, "Win32_RemoveIniAction", _
                                                              cPresence, "Win32_MIMEInfoAction", _
                                                              cPresence, "Win32_FontInfoAction", _
                                                              cPresence, "Win32_PublishComponentAction", _
                                                              cPresence, "Win32_MoveFileAction", _
                                                              cPresence, "Win32_DuplicateFileAction", _
                                                              cPresence, "Win32_RemoveFileAction", _
                                                              cPresence, "Win32_ProductResource", _
                                                              cPresence, "Win32_MountPoint", _
                                                              cPresence, "Msft_Providers", _
                                                              cPresence, "Win32_ManagedSystemElementResource", _
                                                              cPresence, "Win32_SoftwareElementResource", _
                                                              cPresence, "Win32_SID", _
                                                              cPresence, "Win32_ActionCheck", _
                                                              cPresence, "Win32_UserDesktop", _
                                                              cPresence, "Win32_DeviceSettings", _
                                                              cPresence, "Win32_PrinterSetting", _
                                                              cPresence, "Win32_NetworkAdapterSetting", _
                                                              cPresence, "Win32_SerialPortSetting", _
                                                              cPresence, "Win32_SystemSetting", _
                                                              cPresence, "Win32_SystemProgramGroups", _
                                                              cPresence, "Win32_SystemBootConfiguration", _
                                                              cPresence, "Win32_SystemTimeZone", _
                                                              cPresence, "Win32_SystemDesktop", _
                                                              cPresence, "Win32_ClassicCOMClassSettings", _
                                                              cPresence, "Win32_VolumeQuota", _
                                                              cPresence, "Win32_WMIElementSetting", _
                                                              cPresence, "Win32_COMApplicationSettings", _
                                                              cPresence, "Win32_VideoSettings", _
                                                              cPresence, "Win32_SecuritySettingOfObject", _
                                                              cPresence, "Win32_SecuritySettingOfLogicalShare", _
                                                              cPresence, "Win32_SecuritySettingOfLogicalFile", _
                                                              cPresence, "Win32_PageFileElementSetting", _
                                                              cPresence, "Win32_OperatingSystemAutochkSetting", _
                                                              cPresence, "Win32_VolumeQuotaSetting", _
                                                              cPresence, "Win32_ProductSoftwareFeatures", _
                                                              cPresence, "Win32_ImplementedCategory", _
                                                              cPresence, "Win32_InstalledSoftwareElement", _
                                                              cPresence, "Win32_SoftwareFeatureCheck", _
                                                              cPresence, "Win32_LUIDandAttributes", _
                                                              cPresence, "Win32_VolumeUserQuota", _
                                                              cPresence, "Msft_WmiProvider_Counters", _
                                                              cPresence, "Win32_LUID", _
                                                              cPresence, "Win32_DirectorySpecification", _
                                                              cPresence, "Win32_SoftwareElementCondition", _
                                                              cPresence, "Win32_ODBCDriverSpecification", _
                                                              cPresence, "Win32_ServiceSpecification", _
                                                              cPresence, "Win32_FileSpecification", _
                                                              cPresence, "Win32_IniFileSpecification", _
                                                              cPresence, "Win32_LaunchCondition", _
                                                              cPresence, "Win32_ODBCDataSourceSpecification", _
                                                              cPresence, "Win32_ODBCTranslatorSpecification", _
                                                              cPresence, "Win32_ProgIDSpecification", _
                                                              cPresence, "Win32_EnvironmentSpecification", _
                                                              cPresence, "Win32_ReserveCost", _
                                                              cPresence, "Win32_Condition", _
                                                              cPresence, "Win32_ShadowStorage", _
                                                              cPresence, "Win32_DCOMApplicationAccessAllowedSetting", _
                                                              cPresence, "StdRegProv", _
                                                              cPresence, "Win32_NamedJobObjectProcess", _
                                                              cPresence, "Win32_TokenPrivileges", _
                                                              cPresence, "Win32_NamedJobObject", _
                                                              cPresence, "Win32_PnPDevice", _
                                                              cPresence, "Win32_ServiceSpecificationService", _
                                                              cPresence, "Win32_ShareToDirectory", _
                                                              cPresence, "Win32_SettingCheck", _
                                                              cPresence, "Win32_PatchFile", _
                                                              cPresence, "Win32_ODBCDriverAttribute", _
                                                              cPresence, "Win32_ODBCDataSourceAttribute", _
                                                              cPresence, "Win32_ClientApplicationSetting", _
                                                              cPresence, "Win32_SecuritySettingOwner", _
                                                              cPresence, "Win32_LogicalFileOwner", _
                                                              cPresence, "Win32_PhysicalMedia", _
                                                              cPresence, "Win32_PhysicalMemory", _
                                                              cPresence, "Win32_OnBoardDevice", _
                                                              cPresence, "Win32_BaseBoard", _
                                                              cPresence, "Win32_SystemEnclosure", _
                                                              cPresence, "Win32_PhysicalMemoryArray", _
                                                              cPresence, "Win32_SystemSlot", _
                                                              cPresence, "Win32_PortConnector", _
                                                              cPresence, "Win32_Thread", _
                                                              cPresence, "Win32_COMApplication", _
                                                              cPresence, "Win32_DCOMApplication", _
                                                              cPresence, "Win32_ScheduledJob", _
                                                              cPresence, "Win32_PrintJob", _
                                                              cPresence, "Win32_ServerSession", _
                                                              cCritical, "Win32_ComputerSystem", _
                                                              cPresence, "Win32_NTDomain", _
                                                              cPresence, "Win32_SoftwareFeature", _
                                                              cPresence, "Win32_TemperatureProbe", _
                                                              cPresence, "Win32_VoltageProbe", _
                                                              cPresence, "Win32_CurrentProbe", _
                                                              cPresence, "Win32_Bus", _
                                                              cPresence, "Win32_Keyboard", _
                                                              cPresence, "Win32_DesktopMonitor", _
                                                              cPresence, "Win32_PointingDevice", _
                                                              cPresence, "Win32_USBHub", _
                                                              cPresence, "Win32_NetworkAdapter", _
                                                              cPresence, "Win32_Battery", _
                                                              cPresence, "Win32_PortableBattery", _
                                                              cPresence, "Win32_SoundDevice", _
                                                              cPresence, "Win32_MotherboardDevice", _
                                                              cPresence, "Win32_DiskDrive", _
                                                              cPresence, "Win32_FloppyDrive", _
                                                              cPresence, "Win32_TapeDrive", _
                                                              cPresence, "Win32_CDROMDrive", _
                                                              cPresence, "Win32_PnPEntity", _
                                                              cPresence, "Win32_POTSModem", _
                                                              cPresence, "Win32_HeatPipe", _
                                                              cPresence, "Win32_Refrigeration", _
                                                              cPresence, "Win32_Fan", _
                                                              cPresence, "Win32_Printer", _
                                                              cPresence, "Win32_SCSIController", _
                                                              cPresence, "Win32_InfraredDevice", _
                                                              cPresence, "Win32_PCMCIAController", _
                                                              cPresence, "Win32_FloppyController", _
                                                              cPresence, "Win32_VideoController", _
                                                              cPresence, "Win32_USBController", _
                                                              cPresence, "Win32_SerialPort", _
                                                              cPresence, "Win32_ParallelPort", _
                                                              cPresence, "Win32_IDEController", _
                                                              cPresence, "Win32_1394Controller", _
                                                              cPresence, "Win32_CacheMemory", _
                                                              cPresence, "Win32_Volume", _
                                                              cPresence, "Win32_SMBIOSMemory", _
                                                              cPresence, "Win32_MemoryArray", _
                                                              cPresence, "Win32_MemoryDevice", _
                                                              cPresence, "Win32_LogicalDisk", _
                                                              cPresence, "Win32_MappedLogicalDisk", _
                                                              cPresence, "Win32_DiskPartition", _
                                                              cPresence, "Win32_Processor", _
                                                              cPresence, "Win32_DfsNode", _
                                                              cPresence, "Win32_ComponentCategory", _
                                                              cPresence, "Win32_ProgramGroupOrItem", _
                                                              cPresence, "Win32_LogicalProgramGroupItem", _
                                                              cPresence, "Win32_LogicalProgramGroup", _
                                                              cPresence, "Win32_NetworkConnection", _
                                                              cPresence, "Win32_COMClass", _
                                                              cPresence, "Win32_ClassicCOMClass", _
                                                              cPresence, "Win32_Account", _
                                                              cPresence, "Win32_UserAccount", _
                                                              cPresence, "Win32_Group", _
                                                              cPresence, "Win32_SystemAccount", _
                                                              cPresence, "Win32_BaseService", _
                                                              cPresence, "Win32_SystemDriver", _
                                                              cCritical, "Win32_Service", _
                                                              cPresence, "Win32_PnPSignedDriver", _
                                                              cPresence, "Win32_ApplicationService", _
                                                              cPresence, "Win32_PrinterDriver", _
                                                              cPresence, "Win32_TCPIPPrinterPort", _
                                                              cPresence, "Win32_CommandLineAccess", _
                                                              cPresence, "Win32_SystemMemoryResource", _
                                                              cPresence, "Win32_PortResource", _
                                                              cPresence, "Win32_DeviceMemoryAddress", _
                                                              cPresence, "Win32_IRQResource", _
                                                              cPresence, "Win32_Environment", _
                                                              cPresence, "Win32_DMAChannel", _
                                                              cPresence, "Win32_Share", _
                                                              cPresence, "Win32_NetworkProtocol", _
                                                              cPresence, "Win32_ShadowProvider", _
                                                              cPresence, "Win32_QuickFixEngineering", _
                                                              cPresence, "Win32_IP4RouteTable", _
                                                              cPresence, "Win32_ShadowCopy", _
                                                              cPresence, "Win32_LoadOrderGroup", _
                                                              cCritical, "Win32_Process", _
                                                              cPresence, "Win32_Session", _
                                                              cPresence, "Win32_LogonSession", _
                                                              cPresence, "Win32_ServerConnection", _
                                                              cPresence, "Win32_DfsTarget", _
                                                              cPresence, "Win32_NetworkClient", _
                                                              cPresence, "Win32_PageFileUsage", _
                                                              cCritical, "Win32_OperatingSystem", _
                                                              cPresence, "Win32_Directory", _
                                                              cPresence, "Win32_ShortcutFile", _
                                                              cPresence, "Win32_CodecFile", _
                                                              cPresence, "Win32_NTEventlogFile", _
                                                              cPresence, "Win32_PageFile", _
                                                              cPresence, "Win32_IP4PersistedRouteTable", _
                                                              cPresence, "Win32_Registry", _
                                                              cCritical, "Win32_BIOS", _
                                                              cPresence, "Win32_SoftwareElement", _
                                                              cPresence, "Win32_DriverVXD", _
                                                              cPresence, "NTEventlogProviderConfig", _
                                                              cPresence, "Win32_ShortcutSAP", _
                                                              cPresence, "Win32_MethodParameterClass", _
                                                              cPresence, "Win32_ProcessStartup", _
                                                              cPresence, "Win32_PingStatus", _
                                                              cPresence, "Win32_SoftwareElementCheck", _
                                                              cPresence, "Win32_ODBCDriverSoftwareElement", _
                                                              cPresence, "Win32_SystemServices", _
                                                              cPresence, "Win32_SystemNetworkConnections", _
                                                              cPresence, "Win32_SystemResources", _
                                                              cPresence, "Win32_SystemBIOS", _
                                                              cPresence, "Win32_SystemLoadOrderGroups", _
                                                              cPresence, "Win32_SystemUsers", _
                                                              cPresence, "Win32_SystemOperatingSystem", _
                                                              cPresence, "Win32_SystemDevices", _
                                                              cPresence, "Win32_ComputerSystemProcessor", _
                                                              cPresence, "Win32_SystemPartitions", _
                                                              cPresence, "Win32_SystemSystemDriver", _
                                                              cPresence, "Win32_SystemProcesses", _
                                                              cPresence, "Win32_COMApplicationClasses", _
                                                              cPresence, "Win32_ClassicCOMApplicationClasses", _
                                                              cPresence, "Win32_UserInDomain", _
                                                              cPresence, "Win32_LoadOrderGroupServiceMembers", _
                                                              cPresence, "Win32_LogicalDiskRootDirectory", _
                                                              cPresence, "Win32_SoftwareFeatureSoftwareElements", _
                                                              cPresence, "Win32_MemoryDeviceArray", _
                                                              cPresence, "Win32_GroupInDomain", _
                                                              cPresence, "Win32_GroupUser", _
                                                              cPresence, "Win32_ProgramGroupContents", _
                                                              cPresence, "Win32_SubDirectory", _
                                                              cPresence, "Win32_PhysicalMemoryLocation", _
                                                              cPresence, "Win32_NTLogEventLog", _
                                                              cPresence, "Win32_DiskQuota", _
                                                              cPresence, "Win32_ComClassAutoEmulator", _
                                                              cPresence, "Win32_ComClassEmulator", _
                                                              cPresence, "Win32_SoftwareFeatureAction", _
                                                              cPresence, "Win32_NamedJobObjectActgInfo", _
                                                              cPresence, "Win32_Perf", _
                                                              cPresence, "Win32_PerfRawData", _
                                                              cPresence, "Win32_PerfFormattedData", _
                                                              cPresence, "Win32_SecuritySettingGroup", _
                                                              cPresence, "Win32_LogicalFileGroup", _
                                                              cPresence, "Win32_DCOMApplicationLaunchAllowedSetting", _
                                                              cPresence, "Win32_SecuritySettingAuditing", _
                                                              cPresence, "Win32_LogicalFileAuditing", _
                                                              cPresence, "Win32_LogicalShareAuditing", _
                                                              cPresence, "SoftwareLicensingProduct", _
                                                              cPresence, "Win32_SoftwareElementAction", _
                                                              cPresence, "Win32_ApplicationCommandLine", _
                                                              cPresence, "Win32_SubSession", _
                                                              cPresence, "Win32_ShadowVolumeSupport", _
                                                              cPresence, "Win32_DeviceBus", _
                                                              cPresence, "Win32_SessionConnection", _
                                                              cPresence, "Win32_ShadowFor", _
                                                              cPresence, "Win32_LogonSessionMappedDisk", _
                                                              cPresence, "Win32_PrinterShare", _
                                                              cPresence, "Win32_PnPSignedDriverCIMDataFile", _
                                                              cPresence, "Win32_ConnectionShare", _
                                                              cPresence, "Win32_LoadOrderGroupServiceDependencies", _
                                                              cPresence, "Win32_SessionResource", _
                                                              cPresence, "Win32_SessionProcess", _
                                                              cPresence, "Win32_AssociatedProcessorMemory", _
                                                              cPresence, "Win32_SoftwareFeatureParent", _
                                                              cPresence, "Win32_ShadowOn", _
                                                              cPresence, "Win32_PrinterDriverDll", _
                                                              cPresence, "Win32_DependentService", _
                                                              cPresence, "Win32_LogicalDiskToPartition", _
                                                              cPresence, "Win32_OperatingSystemQFE", _
                                                              cPresence, "Win32_LoggedOnUser", _
                                                              cPresence, "Win32_SystemDriverPNPEntity", _
                                                              cPresence, "Win32_DfsNodeTarget", _
                                                              cPresence, "Win32_CIMLogicalDeviceCIMDataFile", _
                                                              cPresence, "Win32_SCSIControllerDevice", _
                                                              cPresence, "Win32_POTSModemToSerialPort", _
                                                              cPresence, "Win32_USBControllerDevice", _
                                                              cPresence, "Win32_PrinterController", _
                                                              cPresence, "Win32_IDEControllerDevice", _
                                                              cPresence, "Win32_ControllerHasHub", _
                                                              cPresence, "Win32_1394ControllerDevice", _
                                                              cPresence, "Win32_DriverForDevice", _
                                                              cPresence, "Win32_LogicalProgramGroupItemDataFile", _
                                                              cPresence, "Win32_PNPAllocatedResource", _
                                                              cPresence, "Win32_DiskDrivePhysicalMedia", _
                                                              cPresence, "Win32_MemoryDeviceLocation", _
                                                              cPresence, "Win32_MemoryArrayLocation", _
                                                              cPresence, "Win32_ShadowBy", _
                                                              cPresence, "Win32_AllocatedResource", _
                                                              cPresence, "Win32_DiskDriveToDiskPartition", _
                                                              cPresence, "Win32_LogicalProgramGroupDirectory", _
                                                              cPresence, "Win32_ShadowDiffVolumeSupport", _
                                                              cPresence, "Win32_Product", _
                                                              cPresence, "Win32_ComputerSystemProduct", _
                                                              cPresence, "Win32_ProductCheck", _
                                                              cPresence, "SoftwareLicensingService", _
                                                              cPresence, "Win32_NTLogEventUser", _
                                                              cPresence, "Win32_ProtocolBinding", _
                                                              cPresence, "Win32_NamedJobObjectLimit", _
                                                              cPresence, "Win32_NamedJobObjectSecLimit", _
                                                              cPresence, "Win32_NTLogEventComputer", _
                                                              cPresence, "Win32_TokenGroups", _
                                                              cPresence, "Win32_DefragAnalysis", _
                                                              cPresence, "Win32_SIDandAttributes", _
                                                              cPresence, "Win32_CheckCheck", _
                                                              cPresence, "Win32_SecuritySettingAccess", _
                                                              cPresence, "Win32_LogicalFileAccess", _
                                                              cPresence, "Win32_LogicalShareAccess", _
                                                              cPresence, "Win32_PerfFormattedData_BITS_BITSNetUtilization", _
                                                              cPresence, "Win32_PerfRawData_BITS_BITSNetUtilization", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_GenericIKEandAuthIP", _
                                                              cPresence, "Win32_PerfRawData_Counters_GenericIKEandAuthIP", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_HTTPServiceRequestQueues", _
                                                              cPresence, "Win32_PerfRawData_Counters_HTTPServiceRequestQueues", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_HTTPServiceUrlGroups", _
                                                              cPresence, "Win32_PerfRawData_Counters_HTTPServiceUrlGroups", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_IPsecAuthIPv4", _
                                                              cPresence, "Win32_PerfRawData_Counters_IPsecAuthIPv4", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_IPsecAuthIPv6", _
                                                              cPresence, "Win32_PerfRawData_Counters_IPsecAuthIPv6", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_IPsecDriver", _
                                                              cPresence, "Win32_PerfRawData_Counters_IPsecDriver", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_IPsecIKEv4", _
                                                              cPresence, "Win32_PerfRawData_Counters_IPsecIKEv4", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_IPsecIKEv6", _
                                                              cPresence, "Win32_PerfRawData_Counters_IPsecIKEv6", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_WFP", _
                                                              cPresence, "Win32_PerfRawData_Counters_WFP", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_WFPv4", _
                                                              cPresence, "Win32_PerfRawData_Counters_WFPv4", _
                                                              cPresence, "Win32_PerfFormattedData_Counters_WFPv6", _
                                                              cPresence, "Win32_PerfRawData_Counters_WFPv6", _
                                                              cPresence, "Win32_PerfFormattedData_ESENT_Database", _
                                                              cPresence, "Win32_PerfRawData_ESENT_Database", _
                                                              cPresence, "Win32_PerfFormattedData_ESENT_DatabaseInstances", _
                                                              cPresence, "Win32_PerfRawData_ESENT_DatabaseInstances", _
                                                              cPresence, "Win32_PerfFormattedData_ESENT_DatabaseTableClasses", _
                                                              cPresence, "Win32_PerfRawData_ESENT_DatabaseTableClasses", _
                                                              cPresence, "Win32_PerfFormattedData_Lsa_SecurityPerProcessStatistics", _
                                                              cPresence, "Win32_PerfRawData_Lsa_SecurityPerProcessStatistics", _
                                                              cPresence, "Win32_PerfFormattedData_Lsa_SecuritySystemWideStatistics", _
                                                              cPresence, "Win32_PerfRawData_Lsa_SecuritySystemWideStatistics", _
                                                              cPresence, "Win32_PerfFormattedData_MSDTC_DistributedTransactionCoordinator", _
                                                              cPresence, "Win32_PerfRawData_MSDTC_DistributedTransactionCoordinator", _
                                                              cPresence, "Win32_PerfFormattedData_NETCLRData_NETCLRData", _
                                                              cPresence, "Win32_PerfRawData_NETCLRData_NETCLRData", _
                                                              cPresence, "Win32_PerfFormattedData_NETCLRNetworking_NETCLRNetworking", _
                                                              cPresence, "Win32_PerfRawData_NETCLRNetworking_NETCLRNetworking", _
                                                              cPresence, "Win32_PerfFormattedData_NETDataProviderforOracle_NETDataProviderforOracle", _
                                                              cPresence, "Win32_PerfRawData_NETDataProviderforOracle_NETDataProviderforOracle", _
                                                              cPresence, "Win32_PerfFormattedData_NETDataProviderforSqlServer_NETDataProviderforSqlServer", _
                                                              cPresence, "Win32_PerfRawData_NETDataProviderforSqlServer_NETDataProviderforSqlServer", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRExceptions", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRExceptions", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRInterop", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRInterop", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRJit", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRJit", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRLoading", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRLoading", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRLocksAndThreads", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRLocksAndThreads", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRMemory", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRMemory", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRRemoting", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRRemoting", _
                                                              cPresence, "Win32_PerfFormattedData_NETFramework_NETCLRSecurity", _
                                                              cPresence, "Win32_PerfRawData_NETFramework_NETCLRSecurity", _
                                                              cPresence, "Win32_PerfFormattedData_PerfDisk_LogicalDisk", _
                                                              cPresence, "Win32_PerfRawData_PerfDisk_LogicalDisk", _
                                                              cPresence, "Win32_PerfFormattedData_PerfDisk_PhysicalDisk", _
                                                              cPresence, "Win32_PerfRawData_PerfDisk_PhysicalDisk", _
                                                              cPresence, "Win32_PerfFormattedData_PerfNet_Browser", _
                                                              cPresence, "Win32_PerfRawData_PerfNet_Browser", _
                                                              cPresence, "Win32_PerfFormattedData_PerfNet_Redirector", _
                                                              cPresence, "Win32_PerfRawData_PerfNet_Redirector", _
                                                              cPresence, "Win32_PerfFormattedData_PerfNet_Server", _
                                                              cPresence, "Win32_PerfRawData_PerfNet_Server", _
                                                              cPresence, "Win32_PerfFormattedData_PerfNet_ServerWorkQueues", _
                                                              cPresence, "Win32_PerfRawData_PerfNet_ServerWorkQueues", _
                                                              cCritical, "Win32_PerfFormattedData_PerfOS_Cache", _
                                                              cPresence, "Win32_PerfRawData_PerfOS_Cache", _
                                                              cCritical, "Win32_PerfFormattedData_PerfOS_Memory", _
                                                              cPresence, "Win32_PerfRawData_PerfOS_Memory", _
                                                              cCritical, "Win32_PerfFormattedData_PerfOS_Objects", _
                                                              cPresence, "Win32_PerfRawData_PerfOS_Objects", _
                                                              cCritical, "Win32_PerfFormattedData_PerfOS_PagingFile", _
                                                              cPresence, "Win32_PerfRawData_PerfOS_PagingFile", _
                                                              cCritical, "Win32_PerfFormattedData_PerfOS_Processor", _
                                                              cPresence, "Win32_PerfRawData_PerfOS_Processor", _
                                                              cCritical, "Win32_PerfFormattedData_PerfOS_System", _
                                                              cPresence, "Win32_PerfRawData_PerfOS_System", _
                                                              cPresence, "Win32_PerfFormattedData_PerfProc_FullImage_Costly", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_FullImage_Costly", _
                                                              cPresence, "Win32_PerfFormattedData_PerfProc_Image_Costly", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_Image_Costly", _
                                                              cPresence, "Win32_PerfFormattedData_PerfProc_JobObject", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_JobObject", _
                                                              cPresence, "Win32_PerfFormattedData_PerfProc_JobObjectDetails", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_JobObjectDetails", _
                                                              cCritical, "Win32_PerfFormattedData_PerfProc_Process", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_Process", _
                                                              cPresence, "Win32_PerfFormattedData_PerfProc_ProcessAddressSpace_Costly", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_ProcessAddressSpace_Costly", _
                                                              cCritical, "Win32_PerfFormattedData_PerfProc_Thread", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_Thread", _
                                                              cPresence, "Win32_PerfFormattedData_PerfProc_ThreadDetails_Costly", _
                                                              cPresence, "Win32_PerfRawData_PerfProc_ThreadDetails_Costly", _
                                                              cPresence, "Win32_PerfFormattedData_RemoteAccess_RASPort", _
                                                              cPresence, "Win32_PerfRawData_RemoteAccess_RASPort", _
                                                              cPresence, "Win32_PerfFormattedData_RemoteAccess_RASTotal", _
                                                              cPresence, "Win32_PerfRawData_RemoteAccess_RASTotal", _
                                                              cPresence, "Win32_PerfFormattedData_Spooler_PrintQueue", _
                                                              cPresence, "Win32_PerfRawData_Spooler_PrintQueue", _
                                                              cPresence, "Win32_PerfFormattedData_TapiSrv_Telephony", _
                                                              cPresence, "Win32_PerfRawData_TapiSrv_Telephony", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_ICMP", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_ICMP", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_ICMPv6", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_ICMPv6", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_IPv4", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_IPv4", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_IPv6", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_IPv6", _
                                                              cPresence, "Win32_PerfFormattedData_Tcpip_NBTConnection", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_NBTConnection", _
                                                              cPresence, "Win32_PerfFormattedData_Tcpip_NetworkInterface", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_NetworkInterface", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_TCPv4", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_TCPv4", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_TCPv6", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_TCPv6", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_UDPv4", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_UDPv4", _
                                                              cCritical, "Win32_PerfFormattedData_Tcpip_UDPv6", _
                                                              cPresence, "Win32_PerfRawData_Tcpip_UDPv6", _
                                                              cPresence, "Win32_PerfFormattedData_TermService_TerminalServices", _
                                                              cPresence, "Win32_PerfRawData_TermService_TerminalServices", _
                                                              cPresence, "Win32_PerfFormattedData_TermService_TerminalServicesSession", _
                                                              cPresence, "Win32_PerfRawData_TermService_TerminalServicesSession"), _
                                                       Array (cCritical, "Select * From Win32_LogicalDisk WHERE FreeSpace > 10000000 AND DriveType = 3", _
                                                              cCritical, "Select DriveType From Win32_LogicalDisk WHERE Name='C:'", _
                                                              cCritical, "Select * From Win32_Service", _
                                                              cCritical, "Select * From Win32_PageFileUsage", _
                                                              cCritical, "Select * From Win32_BIOS WHERE Version IS NOT NULL", _
                                                              cCritical, "Select * From Win32_NetworkAdapter WHERE AdapterType IS NOT NULL AND AdapterType != ""Wide Area Network (WAN)"" AND Description != ""Packet Scheduler Miniport"" ", _
                                                              cCritical, "Select * From Win32_Processor WHERE Name IS NOT NULL", _
                                                              cCritical, "Select * From Win32_DiskDrive", _
                                                              cCritical, "Select * From Win32_ComputerSystem", _
                                                              cCritical, "Select * From Win32_DiskPartition", _
                                                              cCritical, "Select * From Win32_LogicalDisk WHERE Description != ""Network Connection""", _
                                                              cWarning,  "Select * From Win32_VideoController", _
                                                              cWarning,  "Select * From Win32_USBController", _
                                                              cWarning,  "Select * From Win32_DesktopMonitor", _
                                                              cWarning,  "Select * From Win32_PointingDevice WHERE Status = ""OK""", _
                                                              cWarning,  "Select * From Win32_Keyboard", _
                                                              cCritical, "Select * From Win32_SystemDriver WHERE StartMode != ""Disabled"""), _
                                                       Array (cCritical, "Win32_Service", "'WSCSVC'", Array ("Name", "WSCSVC", _
                                                                                                             "Displayname","Security Center")), _
                                                 "Root/CIMV2/Security", _
                                                       True, _
                                                       Null, _
                                                       Null, _
                                                       Null, _
                                                 "Root/CIMV2/TerminalServices", _
                                                       False, _
                                                       Array (cPresence, "Win32_TerminalError", _
                                                              cPresence, "Win32_TerminalServiceSettingError", _
                                                              cPresence, "Win32_TSSessionDirectory", _
                                                              cPresence, "Win32_TerminalServiceSetting", _
                                                              cPresence, "Win32_TerminalSetting", _
                                                              cPresence, "Win32_TSClientSetting", _
                                                              cPresence, "Win32_TSAccount", _
                                                              cPresence, "Win32_TSSessionSetting", _
                                                              cPresence, "Win32_TSPermissionsSetting", _
                                                              cPresence, "Win32_TSNetworkAdapterListSetting", _
                                                              cPresence, "Win32_TSRemoteControlSetting", _
                                                              cPresence, "Win32_TSLogonSetting", _
                                                              cPresence, "Win32_TSGeneralSetting", _
                                                              cPresence, "Win32_TSNetworkAdapterSetting", _
                                                              cPresence, "Win32_TSEnvironmentSetting", _
                                                              cPresence, "Win32_TSSessionDirectorySetting", _
                                                              cPresence, "Win32_TerminalTerminalSetting", _
                                                              cPresence, "Win32_TerminalServiceToSetting", _
                                                              cPresence, "Win32_Terminal"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/CIMV2/Applications", _
                                                       True, _
                                                       Null, _
                                                       Null, _
                                                       Null, _
                                                 "Root/CIMV2/Security/MicrosoftTpm", _
                                                       False, _
                                                       Array (cPresence, "Win32_ProviderEx", _
                                                              cPresence, "Win32_Tpm"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/CIMV2/Applications/WindowsParentalControls", _
                                                       False, _
                                                       Array (cPresence, "Win32_ProviderEx", _
                                                              cPresence, "WpcClamper", _
                                                              cPresence, "WpcSystemSettings", _
                                                              cPresence, "WpcExtension", _
                                                              cPresence, "WpcUserSettings", _
                                                              cPresence, "WpcRatingsDescriptor", _
                                                              cPresence, "WpcGameOverride", _
                                                              cPresence, "WpcURLOverride", _
                                                              cPresence, "WpcGamesSettings", _
                                                              cPresence, "WpcRatingsSystem", _
                                                              cPresence, "WpcRating", _
                                                              cPresence, "WpcWebSettings", _
                                                              cPresence, "WpcAppOverride"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/CIMV2/Applications/Games", _
                                                       False, _
                                                       Array (cPresence, "Win32_ProviderEx", _
                                                              cPresence, "Game"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/Cli", _
                                                       False, _
                                                       Array (cPresence, "MSFT_CliTranslateTable", _
                                                              cPresence, "MSFT_CliConnection", _
                                                              cPresence, "MSFT_CliParam", _
                                                              cPresence, "MSFT_CliSeeAlso", _
                                                              cPresence, "MSFT_CliVerb", _
                                                              cPresence, "MSFT_CliQualifier", _
                                                              cPresence, "MSFT_CliProperty", _
                                                              cPresence, "MSFT_CliFormat", _
                                                              cPresence, "MSFT_CliTranslateTableEntry", _
                                                              cPresence, "MSFT_CliAlias"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/nap", _
                                                       True, _
                                                       Array (cPresence, "NAP_Client", _
                                                              cPresence, "NAP_SystemHealthAgent", _
                                                              cPresence, "NAP_EnforcementClient"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/SECURITY", _
                                                       True, _
                                                       Null, _
                                                       Null, _
                                                       Null, _
                                                 "Root/snmp", _
                                                       False, _
                                                       Array (cPresence, "SMIR"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/snmp/localhost", _
                                                       False, _
                                                       Null, _
                                                       Null, _
                                                       Null, _
                                                 "Root/RSOP", _
                                                       False, _
                                                       Array (cPresence, "RsopLoggingModeProvider", _
                                                              cPresence, "RsopPlanningModeProvider"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/RSOP/User", _
                                                       False, _
                                                       Array (cPresence, "RSOP_SOM", _
                                                              cPresence, "RSOP_IEToolbarButtonLink", _
                                                              cPresence, "RSOP_ExtensionStatus", _
                                                              cPresence, "RSOP_IEAuthenticodeCertificate", _
                                                              cPresence, "RSOP_IEConnectionDialUpSettings", _
                                                              cPresence, "RSOP_IESecurityContentRatings", _
                                                              cPresence, "RSOP_AdministrativeTemplateFile", _
                                                              cPresence, "RSOP_IEConnectionWinINetSettingsLink", _
                                                              cPresence, "RSOP_ExtensionEventSourceLink", _
                                                              cPresence, "RSOP_IEConnectionDialUpCredentialsLink", _
                                                              cPresence, "RSOP_ApplicationManagementCategory", _
                                                              cPresence, "RSOP_IEImportedProgramSettings", _
                                                              cPresence, "RSoP_PolicySettingStatus", _
                                                              cPresence, "RSOP_IEConnectionDialUpCredentials", _
                                                              cPresence, "RSOP_IESecurityZoneSettings", _
                                                              cPresence, "RSOP_IEESCSecurityZoneSettings", _
                                                              cPresence, "RSOP_IELinkItemLink", _
                                                              cPresence, "RSOP_IEConnectionWinINetSettings", _
                                                              cPresence, "RSOP_ScriptCmd", _
                                                              cPresence, "RSOP_GPLink", _
                                                              cPresence, "RSOP_IEFavoriteItemLink", _
                                                              cPresence, "RSOP_PolicySetting", _
                                                              cPresence, "RSOP_IPSECPolicySetting", _
                                                              cPresence, "RSOP_ApplicationManagementPolicySetting", _
                                                              cPresence, "RSOP_IEEE8023GroupPolicySetting", _
                                                              cPresence, "RSOP_IEEE80211PolicySetting", _
                                                              cPresence, "RSOP_IEEE80211GroupPolicySetting", _
                                                              cPresence, "RSOP_ScriptPolicySetting", _
                                                              cPresence, "RSOP_FolderRedirectionPolicySetting", _
                                                              cPresence, "RSOP_IERegistryPolicySetting", _
                                                              cPresence, "RSOP_IEAKPolicySetting", _
                                                              cPresence, "RSOP_RegistryPolicySetting", _
                                                              cPresence, "RSOP_IEAdministrativeTemplateFile", _
                                                              cPresence, "RSOP_IEProgramSettings", _
                                                              cPresence, "RSOP_IEProxySettings", _
                                                              cPresence, "RSOP_IEConnectionSettings", _
                                                              cPresence, "RSOP_Session", _
                                                              cPresence, "RSOP_IEToolbarButton", _
                                                              cPresence, "RSOP_IEConnectionSettingsLink", _
                                                              cPresence, "RSOP_ExtensionEventSource", _
                                                              cPresence, "RSOP_IEFavoriteOrLinkItem", _
                                                              cPresence, "RSOP_IEFavoriteItem", _
                                                              cPresence, "RSOP_IELinkItem", _
                                                              cPresence, "RSOP_GPO", _
                                                              cPresence, "RSOP_PolicySettingLink", _
                                                              cPresence, "RSOP_IEPrivacySettings", _
                                                              cPresence, "RSOP_IEESCPrivacySettings", _
                                                              cPresence, "RSOP_IEConnectionDialUpSettingsLink", _
                                                              cPresence, "RSOP_IEESC"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/RSOP/Computer", _
                                                       False, _
                                                       Array (cPresence, "RSOP_SOM", _
                                                              cPresence, "RSOP_IEToolbarButtonLink", _
                                                              cPresence, "RSOP_ExtensionStatus", _
                                                              cPresence, "RSOP_IEAuthenticodeCertificate", _
                                                              cPresence, "RSOP_IEConnectionDialUpSettings", _
                                                              cPresence, "RSOP_IESecurityContentRatings", _
                                                              cPresence, "RSOP_AdministrativeTemplateFile", _
                                                              cPresence, "RSOP_IEConnectionWinINetSettingsLink", _
                                                              cPresence, "RSOP_ExtensionEventSourceLink", _
                                                              cPresence, "RSOP_IEConnectionDialUpCredentialsLink", _
                                                              cPresence, "RSOP_ApplicationManagementCategory", _
                                                              cPresence, "RSOP_IEImportedProgramSettings", _
                                                              cPresence, "RSoP_PolicySettingStatus", _
                                                              cPresence, "RSOP_IEConnectionDialUpCredentials", _
                                                              cPresence, "RSOP_IESecurityZoneSettings", _
                                                              cPresence, "RSOP_IEESCSecurityZoneSettings", _
                                                              cPresence, "RSOP_IELinkItemLink", _
                                                              cPresence, "RSOP_IEConnectionWinINetSettings", _
                                                              cPresence, "RSOP_ScriptCmd", _
                                                              cPresence, "RSOP_GPLink", _
                                                              cPresence, "RSOP_IEFavoriteItemLink", _
                                                              cPresence, "RSOP_PolicySetting", _
                                                              cPresence, "RSOP_IPSECPolicySetting", _
                                                              cPresence, "RSOP_ApplicationManagementPolicySetting", _
                                                              cPresence, "RSOP_IEEE8023GroupPolicySetting", _
                                                              cPresence, "RSOP_IEEE80211PolicySetting", _
                                                              cPresence, "RSOP_IEEE80211GroupPolicySetting", _
                                                              cPresence, "RSOP_ScriptPolicySetting", _
                                                              cPresence, "RSOP_FolderRedirectionPolicySetting", _
                                                              cPresence, "RSOP_SecuritySettings", _
                                                              cPresence, "RSOP_SecuritySettingString", _
                                                              cPresence, "RSOP_UserPrivilegeRight", _
                                                              cPresence, "RSOP_SecurityEventLogSettingNumeric", _
                                                              cPresence, "RSOP_SystemService", _
                                                              cPresence, "RSOP_AuditPolicy", _
                                                              cPresence, "RSOP_RegistryKey", _
                                                              cPresence, "RSOP_SecuritySettingNumeric", _
                                                              cPresence, "RSOP_SecuritySettingBoolean", _
                                                              cPresence, "RSOP_RegistryValue", _
                                                              cPresence, "RSOP_File", _
                                                              cPresence, "RSOP_SecurityEventLogSettingBoolean", _
                                                              cPresence, "RSOP_RestrictedGroup", _
                                                              cPresence, "RSOP_IERegistryPolicySetting", _
                                                              cPresence, "RSOP_IEAKPolicySetting", _
                                                              cPresence, "RSOP_RegistryPolicySetting", _
                                                              cPresence, "RSOP_IEAdministrativeTemplateFile", _
                                                              cPresence, "RSOP_IEProgramSettings", _
                                                              cPresence, "RSOP_IEProxySettings", _
                                                              cPresence, "RSOP_IEConnectionSettings", _
                                                              cPresence, "RSOP_Session", _
                                                              cPresence, "RSOP_IEToolbarButton", _
                                                              cPresence, "RSOP_IEConnectionSettingsLink", _
                                                              cPresence, "RSOP_ExtensionEventSource", _
                                                              cPresence, "RSOP_IEFavoriteOrLinkItem", _
                                                              cPresence, "RSOP_IEFavoriteItem", _
                                                              cPresence, "RSOP_IELinkItem", _
                                                              cPresence, "RSOP_GPO", _
                                                              cPresence, "RSoP_PolicySettingLink", _
                                                              cPresence, "RSOP_IEPrivacySettings", _
                                                              cPresence, "RSOP_IEESCPrivacySettings", _
                                                              cPresence, "RSOP_IEConnectionDialUpSettingsLink", _
                                                              cPresence, "RSOP_IEESC"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/WMI", _
                                                       True, _
                                                       Array (cPresence, "Win32_PrivilegesStatus", _
                                                              cPresence, "WMIEvent", _
                                                              cPresence, "MSNdis_StatusMediaConnect", _
                                                              cPresence, "MSNdis_StatusResetEnd", _
                                                              cPresence, "MSNdis_NotifyAdapterArrival", _
                                                              cPresence, "MSNdis_StatusDot11ConnectionCompletion", _
                                                              cPresence, "MSNdis_StatusDot11PhyStateChange", _
                                                              cPresence, "MSNdis_StatusResetStart", _
                                                              cPresence, "MSNdis_StatusDot11RoamingStart", _
                                                              cPresence, "MSNdis_StatusPortState", _
                                                              cPresence, "MSNdis_StatusDot11RoamingCompletion", _
                                                              cPresence, "MSNdis_StatusDot11PmkidCandidateList", _
                                                              cPresence, "MSNdis_StatusDot11AssociationCompletion", _
                                                              cPresence, "MSNdis_StatusDot11ScanConfirm", _
                                                              cPresence, "MSNdis_StatusDot11ConnectionStart", _
                                                              cPresence, "MSNdis_StatusDevicePowerOn", _
                                                              cPresence, "MSNdis_StatusTaskOffloadChange", _
                                                              cPresence, "MSNdis_StatusProtocolBind", _
                                                              cPresence, "MSNdis_StatusProtocolUnbind", _
                                                              cPresence, "MSNdis_StatusLinkState", _
                                                              cPresence, "MSNdis_StatusDot11TkipmicFailure", _
                                                              cPresence, "MSNdis_NotifyAdapterRemoval", _
                                                              cPresence, "MSNdis_StatusDevicePowerOff", _
                                                              cPresence, "MSNdis_StatusDot11MPDUMaxLengthChange", _
                                                              cPresence, "MSNdis_NotifyVcRemoval", _
                                                              cPresence, "MSNdis_StatusDot11Disassociation", _
                                                              cPresence, "MSNdis_StatusPacketFilterChange", _
                                                              cPresence, "MSNdis_StatusNetworkChange", _
                                                              cPresence, "MSNdis_NotifyFilterRemoval", _
                                                              cPresence, "MSNdis_StatusOperationalStatus", _
                                                              cPresence, "MSNdis_StatusMediaSpecificIndicationEx", _
                                                              cPresence, "MSNdis_StatusDot11LinkQuality", _
                                                              cPresence, "MSNdis_StatusDot11AssociationStart", _
                                                              cPresence, "MSNdis_StatusLinkSpeedChange", _
                                                              cPresence, "MSNdis_NotifyVcArrival", _
                                                              cPresence, "MSNdis_StatusMediaSpecificIndication", _
                                                              cPresence, "MSNdis_NotifyFilterArrival", _
                                                              cPresence, "MSNdis_StatusMediaDisconnect", _
                                                              cPresence, "MSDiskDriver", _
                                                              cPresence, "MSDiskDriver_Performance", _
                                                              cPresence, "MSDiskDriver_PerformanceData", _
                                                              cPresence, "MSDiskDriver_Geometry", _
                                                              cPresence, "MSChangerDriver", _
                                                              cPresence, "MSChangerParameters", _
                                                              cPresence, "MSChangerProblemDeviceError", _
                                                              cPresence, "BcdStore", _
                                                              cPresence, "BcdElement", _
                                                              cPresence, "BcdObjectElement", _
                                                              cPresence, "BcdDeviceElement", _
                                                              cPresence, "BcdStringElement", _
                                                              cPresence, "BcdBooleanElement", _
                                                              cPresence, "BcdIntegerElement", _
                                                              cPresence, "BcdObjectListElement", _
                                                              cPresence, "MSProcessorClass", _
                                                              cPresence, "ProcessorBiosInfo", _
                                                              cPresence, "ProcessorStatus", _
                                                              cPresence, "WDMClassesOfDriver", _
                                                              cPresence, "PerformanceState", _
                                                              cPresence, "MSPower", _
                                                              cPresence, "MSPower_DeviceWakeEnable", _
                                                              cPresence, "MSPower_DeviceEnable", _
                                                              cPresence, "MSMouse", _
                                                              cPresence, "MSMouse_ClassInformation", _
                                                              cPresence, "MSMouse_PortInformation", _
                                                              cPresence, "MSStorageDriver_ScsiRequestBlock", _
                                                              cPresence, "MSRedbook_Performance", _
                                                              cPresence, "MSDeviceUI", _
                                                              cPresence, "MSDeviceUI_FirmwareRevision", _
                                                              cPresence, "MSSerial", _
                                                              cPresence, "MSSerial_PerformanceInformation", _
                                                              cPresence, "MSSerial_PortName", _
                                                              cPresence, "MSSerial_CommInfo", _
                                                              cPresence, "MSSerial_HardwareConfiguration", _
                                                              cPresence, "MSSerial_CommProperties", _
                                                              cPresence, "MSKeyboard", _
                                                              cPresence, "MSKeyboard_ExtendedID", _
                                                              cPresence, "MSKeyboard_PortInformation", _
                                                              cPresence, "MSKeyboard_ClassInformation", _
                                                              cPresence, "MSStorageDriver_ClassErrorLogEntry", _
                                                              cPresence, "MSTapeDriver", _
                                                              cPresence, "MSTapeDriveParam", _
                                                              cPresence, "MSTapeSymbolicName", _
                                                              cPresence, "MSTapeMediaCapacity", _
                                                              cPresence, "MSTapeProblemDeviceError", _
                                                              cPresence, "MSTapeProblemIoError", _
                                                              cPresence, "MSStorageDriver", _
                                                              cPresence, "MSStorageDriver_FailurePredictFunction", _
                                                              cPresence, "MSStorageDriver_FailurePredictData", _
                                                              cPresence, "MSStorageDriver_ScsiInfoExceptions", _
                                                              cPresence, "MSStorageDriver_ATAPISmartData", _
                                                              cPresence, "MSStorageDriver_FailurePredictThresholds", _
                                                              cPresence, "MSStorageDriver_FailurePredictStatus", _
                                                              cPresence, "MSWmi_Guid", _
                                                              cPresence, "MSNdis", _
                                                              cPresence, "MSNdis_CoDriverVersion", _
                                                              cPresence, "MSNdis_DriverVersion", _
                                                              cPresence, "MSNdis_80211_ReceiveAntennaSelected", _
                                                              cPresence, "MSNdis_EthernetPermanentAddress", _
                                                              cPresence, "MSNdis_FddiLongPermanentAddress", _
                                                              cPresence, "MSNdis_FddiLemRejects", _
                                                              cPresence, "MSNdis_80211_RTSThreshold", _
                                                              cPresence, "MSNdis_EthernetCurrentAddress", _
                                                              cPresence, "MSNdis_EthernetMacOptions", _
                                                              cPresence, "MSNdis_AtmMaxAal34PacketSize", _
                                                              cPresence, "MSNdis_CoMediaInUse", _
                                                              cPresence, "MSNdis_EthernetMulticastList", _
                                                              cPresence, "MSNdis_EthernetReceiveErrorAlignment", _
                                                              cPresence, "MSNdis_80211_AddWEP", _
                                                              cPresence, "MSNdis_80211_ConfigurationInfo", _
                                                              cPresence, "MSNdis_FddiShortMaximumListSize", _
                                                              cPresence, "MSNdis_AtmMaxAal1PacketSize", _
                                                              cPresence, "MSNdis_FddiRingManagmentState", _
                                                              cPresence, "MSNdis_CoLinkSpeed", _
                                                              cPresence, "MSNdis_TokenRingLastOpenStatus", _
                                                              cPresence, "MSNdis_80211_ReloadDefaults", _
                                                              cPresence, "MSNdis_FddiFrameErrors", _
                                                              cPresence, "MSNdis_TransmitsError", _
                                                              cPresence, "MSNdis_FddiAttachmentType", _
                                                              cPresence, "MSNdis_CoMediaConnectStatus", _
                                                              cPresence, "MSNdis_80211_BssIdListScan", _
                                                              cPresence, "MSNdis_80211_InfrastructureMode", _
                                                              cPresence, "MSNdis_80211_ConfigurationFH", _
                                                              cPresence, "MSNdis_VendorDescription", _
                                                              cPresence, "MSNdis_CoHardwareStatus", _
                                                              cPresence, "MSNdis_FddiShortPermanentAddress", _
                                                              cPresence, "MSNdis_TransmitBufferSpace", _
                                                              cPresence, "MSNdis_80211_BaseServiceSetIdentifier", _
                                                              cPresence, "MSNdis_TokenRingLostFrames", _
                                                              cPresence, "MSNdis_ReceiveBlockSize", _
                                                              cPresence, "MSNdis_AtmTransmitCellsOk", _
                                                              cPresence, "MSNdis_AtmReceiveCellsOk", _
                                                              cPresence, "MSNdis_FddiLConnectionState", _
                                                              cPresence, "MSNdis_CurrentLookahead", _
                                                              cPresence, "MSNdis_VendorID", _
                                                              cPresence, "MSNdis_VendorDriverVersion", _
                                                              cPresence, "MSNdis_TransmitBlockSize", _
                                                              cPresence, "MSNdis_MaximumFrameSize", _
                                                              cPresence, "MSNdis_AtmMaxAal0PacketSize", _
                                                              cPresence, "MSNdis_MediaSupported", _
                                                              cPresence, "MSNdis_TransmitsOk", _
                                                              cPresence, "MSNdis_EthernetOneTransmitCollision", _
                                                              cPresence, "MSNdis_TokenRingPermanentAddress", _
                                                              cPresence, "MSNdis_ReceiveBufferSpace", _
                                                              cPresence, "MSNdis_80211_ReceivedSignalStrength", _
                                                              cPresence, "MSNdis_AtmMaxActiveVciBits", _
                                                              cPresence, "MSNdis_HardwareStatus", _
                                                              cPresence, "MSNdis_AtmSupportedAalTypes", _
                                                              cPresence, "MSNdis_FddiFramesLost", _
                                                              cPresence, "MSNdis_80211_NetworkType", _
                                                              cPresence, "MSNdis_80211_PrivacyFilter", _
                                                              cPresence, "MSNdis_80211_TransmitPowerLevel", _
                                                              cPresence, "MSNdis_PhysicalMediumType", _
                                                              cPresence, "MSNdis_EthernetMaximumMulticastListSize", _
                                                              cPresence, "MSNdis_CoTransmitPduErrors", _
                                                              cPresence, "MSNdis_80211_NetworkInfrastructure", _
                                                              cPresence, "MSNdis_VlanIdentifier", _
                                                              cPresence, "MSNdis_80211_WLanBssId", _
                                                              cPresence, "MSNdis_TokenRingCurrentRingStatus", _
                                                              cPresence, "MSNdis_ReceivesOk", _
                                                              cPresence, "MSNdis_FddiLongCurrentAddress", _
                                                              cPresence, "MSNdis_80211_NetworkTypesSupported", _
                                                              cPresence, "MSNdis_EnumerateAdapter", _
                                                              cPresence, "MSNdis_MediaConnectStatus", _
                                                              cPresence, "MSNdis_MaximumLookahead", _
                                                              cPresence, "MSNdis_FddiDownstreamNodeLong", _
                                                              cPresence, "MSNdis_AtmSupportedVcRates", _
                                                              cPresence, "MSNdis_80211_NetworkTypeInUse", _
                                                              cPresence, "MSNdis_NdisEnumerateVc", _
                                                              cPresence, "MSNdis_TokenRingCurrentRingState", _
                                                              cPresence, "MSNdis_80211_RemoveWEP", _
                                                              cPresence, "MSNdis_80211_NumberOfAntennas", _
                                                              cPresence, "MSNdis_FddiLongMulticastList", _
                                                              cPresence, "MSNdis_CoVendorDescription", _
                                                              cPresence, "MSNdis_80211_AuthenticationMode", _
                                                              cPresence, "MSNdis_CoReceivePduErrors", _
                                                              cPresence, "MSNdis_FddiShortMulticastList", _
                                                              cPresence, "MSNdis_80211_FragmentationThreshold", _
                                                              cPresence, "MSNdis_CoMediaSupported", _
                                                              cPresence, "MSNdis_TokenRingLineErrors", _
                                                              cPresence, "MSNdis_AtmSupportedServiceCategory", _
                                                              cPresence, "MSNdis_80211_Statistics", _
                                                              cPresence, "MSNdis_TokenRingCurrentGroup", _
                                                              cPresence, "MSNdis_AtmMaxActiveVcs", _
                                                              cPresence, "MSNdis_MediaInUse", _
                                                              cPresence, "MSNdis_ReceiveNoBuffer", _
                                                              cPresence, "MSNdis_AtmHardwareCurrentAddress", _
                                                              cPresence, "MSNdis_AtmReceiveCellsDropped", _
                                                              cPresence, "MSNdis_FddiLongMaximumListSize", _
                                                              cPresence, "MSNdis_80211_BSSIList", _
                                                              cPresence, "MSNdis_FddiLctFailures", _
                                                              cPresence, "MSNdis_MaximumTotalSize", _
                                                              cPresence, "MSNdis_CoReceivePdusNoBuffer", _
                                                              cPresence, "MSNdis_80211_WEPStatus", _
                                                              cPresence, "MSNdis_TokenRingCurrentAddress", _
                                                              cPresence, "MSNdis_DeviceWakeOnMagicPacketOnly", _
                                                              cPresence, "MSNdis_CoReceivePdusOk", _
                                                              cPresence, "MSNdis_FddiShortCurrentAddress", _
                                                              cPresence, "MSNdis_AtmMaxActiveVpiBits", _
                                                              cPresence, "MSNdis_FddiUpstreamNodeLong", _
                                                              cPresence, "MSNdis_80211_PowerMode", _
                                                              cPresence, "MSNdis_AtmMaxAal5PacketSize", _
                                                              cPresence, "MSNdis_MacOptions", _
                                                              cPresence, "MSNdis_80211_Configuration", _
                                                              cPresence, "MSNdis_NetworkAddress", _
                                                              cPresence, "MSNdis_LinkSpeed", _
                                                              cPresence, "MSNdis_80211_ServiceSetIdentifier", _
                                                              cPresence, "MSNdis_80211_TransmitAntennaSelected", _
                                                              cPresence, "MSNdis_EthernetMoreTransmitCollisions", _
                                                              cPresence, "MSNdis_80211_Disassociate", _
                                                              cPresence, "MSNdis_ReceiveError", _
                                                              cPresence, "MSNdis_CoTransmitPdusOk", _
                                                              cPresence, "MSNdis_CoMacOptions", _
                                                              cPresence, "MSNdis_80211_DataRates", _
                                                              cPresence, "MSNdis_CoMinimumLinkSpeed", _
                                                              cPresence, "MSNdis_CoVendorDriverVersion", _
                                                              cPresence, "MSNdis_TokenRingCurrentFunctional", _
                                                              cPresence, "MSNdis_80211_DesiredDataRates", _
                                                              cPresence, "MSNdis_80211_ReceivedSignalStrengthEventTrigger", _
                                                              cPresence, "MSNdis_CoVendorId", _
                                                              cPresence, "MSNdis_NetworkLinkSpeed", _
                                                              cPresence, "MSNdis_NetworkShortAddress", _
                                                              cPresence, "MSNdis_CurrentPacketFilter", _
                                                              cPresence, "MSNdis_MaximumSendPackets", _
                                                              cPresence, "WMIBinaryMofResource", _
                                                              cPresence, "KernelIdleState", _
                                                              cPresence, "MS_WmiInternal", _
                                                              cPresence, "MSWmi_MofData", _
                                                              cPresence, "MSWmi_PnPInstanceNames", _
                                                              cPresence, "MSWmi_ProviderInfo", _
                                                              cPresence, "MSWmi_PnPDeviceId", _
                                                              cPresence, "EventTrace", _
                                                              cPresence, "MSNT_FileBaseTrace_VolumeToLog", _
                                                              cPresence, "KerbInitSecurityContext", _
                                                              cPresence, "KerbInitSecurityContext_End", _
                                                              cPresence, "KerbInitSecurityContext_Start", _
                                                              cPresence, "KerbSetPassword", _
                                                              cPresence, "KerbSetPassword_Start", _
                                                              cPresence, "KerbSetPassword_End", _
                                                              cPresence, "KerbLogonUser", _
                                                              cPresence, "KerbLogonUser_End", _
                                                              cPresence, "KerbLogonUser_Start", _
                                                              cPresence, "KerbChangePassword", _
                                                              cPresence, "KerbChangePassword_End", _
                                                              cPresence, "KerbChangePassword_Start", _
                                                              cPresence, "KerbAcceptSecurityContext", _
                                                              cPresence, "KerbAcceptSecurityContext_End", _
                                                              cPresence, "KerbAcceptSecurityContext_Start", _
                                                              cPresence, "MSNT_FileBaseTrace_Set1", _
                                                              cPresence, "FileTrace", _
                                                              cPresence, "FileOperation", _
                                                              cPresence, "WinLogon", _
                                                              cPresence, "MSNT_SystemTrace", _
                                                              cPresence, "StackWalk", _
                                                              cPresence, "StackWalk_Event", _
                                                              cPresence, "PerfInfo", _
                                                              cPresence, "EventTraceEvent", _
                                                              cPresence, "EventTrace_Header", _
                                                              cPresence, "MMCSSTrace", _
                                                              cPresence, "MMCSSEvent", _
                                                              cPresence, "MMCSSWakeup", _
                                                              cPresence, "MMCSS_TypeGroup", _
                                                              cPresence, "SystemConfig_V1", _
                                                              cPresence, "SystemConfig_V1_LogDisk", _
                                                              cPresence, "SystemConfig_V1_PhyDisk", _
                                                              cPresence, "SystemConfig_V1_IRQ", _
                                                              cPresence, "SystemConfig_V1_CPU", _
                                                              cPresence, "SystemConfig_V1_Power", _
                                                              cPresence, "SystemConfig_V1_Video", _
                                                              cPresence, "SystemConfig_V1_Services", _
                                                              cPresence, "SystemConfig_V1_PnP", _
                                                              cPresence, "SystemConfig_V1_NIC", _
                                                              cPresence, "Registry", _
                                                              cPresence, "Registry_TypeGroup1", _
                                                              cPresence, "Process_V1", _
                                                              cPresence, "Process_V1_TypeGroup1", _
                                                              cPresence, "HeapTrace", _
                                                              cPresence, "HeapCreate", _
                                                              cPresence, "HeapAlloc", _
                                                              cPresence, "HeapFree", _
                                                              cPresence, "HeapRealloc", _
                                                              cPresence, "HeapSnapShot", _
                                                              cPresence, "HeapContract", _
                                                              cPresence, "Heap_TypeGroup1", _
                                                              cPresence, "HeapExpand", _
                                                              cPresence, "Thread", _
                                                              cPresence, "ReserveDisjoinThread", _
                                                              cPresence, "ReserveLateCount", _
                                                              cPresence, "ReserveJoinThread", _
                                                              cPresence, "ReserveDelete", _
                                                              cPresence, "ReserveBandwidth", _
                                                              cPresence, "ReserveCreate", _
                                                              cPresence, "FileIo", _
                                                              cPresence, "FileIo_ReadWrite", _
                                                              cPresence, "FileIo_Create", _
                                                              cPresence, "FileIo_Name", _
                                                              cPresence, "FileIo_Info", _
                                                              cPresence, "FileIo_SimpleOp", _
                                                              cPresence, "FileIo_DirEnum", _
                                                              cPresence, "FileIo_OpEnd", _
                                                              cPresence, "SplitIo", _
                                                              cPresence, "SplitIo_Info", _
                                                              cPresence, "SystemConfig", _
                                                              cPresence, "SystemConfig_PnP", _
                                                              cPresence, "SystemConfig_PhyDisk", _
                                                              cPresence, "SystemConfig_Video", _
                                                              cPresence, "SystemConfig_Services", _
                                                              cPresence, "SystemConfig_IDEChannel", _
                                                              cPresence, "SystemConfig_NIC", _
                                                              cPresence, "SystemConfig_Network", _
                                                              cPresence, "SystemConfig_IRQ", _
                                                              cPresence, "SystemConfig_CPU", _
                                                              cPresence, "SystemConfig_LogDisk", _
                                                              cPresence, "SystemConfig_Power", _
                                                              cPresence, "Process", _
                                                              cPresence, "DiskIo", _
                                                              cPresence, "DriverMajorFunctionReturn", _
                                                              cPresence, "DriverMajorFunctionCall", _
                                                              cPresence, "DriverCompleteRequestReturn", _
                                                              cPresence, "DriverCompleteRequest", _
                                                              cPresence, "Lost_Event", _
                                                              cPresence, "RT_LostEvent", _
                                                              cPresence, "Image", _
                                                              cPresence, "Image_Load", _
                                                              cPresence, "RFSMon", _
                                                              cPresence, "NtlmValidateUser", _
                                                              cPresence, "NtlmValidateUser_End", _
                                                              cPresence, "NtlmValidateUser_Start", _
                                                              cPresence, "NtlmServerAccept", _
                                                              cPresence, "NtlmServerAccept_End", _
                                                              cPresence, "NtlmServerAccept_Info", _
                                                              cPresence, "NtlmServerAccept_Start", _
                                                              cPresence, "NtlmClientInitialize", _
                                                              cPresence, "NtlmClientInitialize_End", _
                                                              cPresence, "NtlmClientInitialize_Start", _
                                                              cPresence, "NtlmLogonUser", _
                                                              cPresence, "NtlmLogonUser_Start", _
                                                              cPresence, "NtlmLogonUser_End", _
                                                              cPresence, "MuiTrace", _
                                                              cPresence, "MuiTraceData", _
                                                              cPresence, "MuiTraceData_String", _
                                                              cPresence, "VideoModeDescriptor", _
                                                              cPresence, "Win32_Perf", _
                                                              cPresence, "Win32_PerfRawData", _
                                                              cPresence, "ProcessorPerformance", _
                                                              cPresence, "Win32_PerfFormattedData", _
                                                              cPresence, "MSMonitorClass", _
                                                              cPresence, "MSStorageDriver_SenseData", _
                                                              cPresence, "MSStorageDriver_ClassErrorLog", _
                                                              cPresence, "BcdDeviceData", _
                                                              cPresence, "BcdDeviceFileData", _
                                                              cPresence, "BcdDevicePartitionData", _
                                                              cPresence, "BcdDeviceUnknownData", _
                                                              cPresence, "PerformanceStates", _
                                                              cPresence, "MSVerifierIrpLogEntry", _
                                                              cPresence, "MS_SystemInformation", _
                                                              cPresence, "MSParallel", _
                                                              cPresence, "MSParallel_AllocFreeCounts", _
                                                              cPresence, "MSParallel_DeviceBytesTransferred", _
                                                              cPresence, "MSAcpi", _
                                                              cPresence, "MSAcpi_ThermalZoneTemperature", _
                                                              cPresence, "MS_SmBios", _
                                                              cPresence, "MSRedbook", _
                                                              cPresence, "BcdObject"), _
                                                       Array (cCritical, "Select * From MSNdis_MediaConnectStatus"), _
                                                       Null, _
                                                 "Root/directory", _
                                                       True, _
                                                       Null, _
                                                       Null, _
                                                       Null, _
                                                 "Root/directory/LDAP", _
                                                       True, _
                                                       Null, _
                                                       Null, _
                                                       Null, _
                                                 "Root/Policy", _
                                                       False, _
                                                       Array (cPresence, "SomFilterPutStatus", _
                                                              cPresence, "MSFT_SomFilterStatus", _
                                                              cPresence, "MSFT_Rule", _
                                                              cPresence, "MSFT_SomFilter"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/SecurityCenter", _
                                                       True, _
                                                       Array (cPresence, "AntiSpywareProduct", _
                                                              cPresence, "AntiVirusProduct", _
                                                              cPresence, "FirewallProduct"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/Microsoft", _
                                                       True, _
                                                       Null, _
                                                       Null, _
                                                       Null, _
                                                 "Root/Microsoft/HomeNet", _
                                                       True, _
                                                       Array (cPresence, "HNet_PortMappingProtocol", _
                                                              cPresence, "HNet_Connection", _
                                                              cPresence, "HNet_ApplicationProtocol", _
                                                              cPresence, "HNet_ConnectionIcmpSetting", _
                                                              cPresence, "HNet_ConnectionProperties", _
                                                              cPresence, "HNet_ConnectionPortMapping2", _
                                                              cPresence, "HNet_ResponseRange", _
                                                              cPresence, "HNet_FwIcmpSettings", _
                                                              cPresence, "HNet_FirewallLoggingSettings", _
                                                              cPresence, "HNet_BridgeMember", _
                                                              cPresence, "HNet_IcsSettings", _
                                                              cPresence, "HNet_ConnectionAutoconfig", _
                                                              cPresence, "HNet_BackupIpConfiguration"), _
                                                       Null, _
                                                       Null, _
                                                 "Root/aspnet", _
                                                       True, _
                                                       Array (cPresence, "BaseEvent", _
                                                              cPresence, "ManagementEvent", _
                                                              cPresence, "BaseErrorEvent", _
                                                              cPresence, "RequestErrorEvent", _
                                                              cPresence, "ErrorEvent", _
                                                              cPresence, "ApplicationLifetimeEvent", _
                                                              cPresence, "AuditEvent", _
                                                              cPresence, "SuccessAuditEvent", _
                                                              cPresence, "AuthenticationSuccessAuditEvent", _
                                                              cPresence, "FailureAuditEvent", _
                                                              cPresence, "ViewStateFailureAuditEvent", _
                                                              cPresence, "AuthenticationFailureAuditEvent", _
                                                              cPresence, "RequestEvent", _
                                                              cPresence, "HeartbeatEvent", _
                                                              cPresence, "MSFT_DecoupledProvider"), _
                                                       Null, _
                                                       Null _
                                                )
           
                    arrayDCOMDefaultAccessPermission = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("NT AUTHORITY\SELF", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                         DCOM_RIGHT_ACCESS_REMOTE, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                            DCOM_RIGHT_ACCESS_LOCAL), _
                                                              Null _
                                                             )

                     arrayDCOMDefaultLaunchPermission = Array ("BUILTIN\Administrators", _
                                                               "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE Or _
                                                                          DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                          DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                          DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                          DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                      "NT AUTHORITY\INTERACTIVE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE Or _
                                                                          DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                          DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                          DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                          DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        0, _
                                                                        DCOM_RIGHT_EXECUTE Or _
                                                                          DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                          DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                          DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                          DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                               Null _
                                                              )

                    arrayDCOMMachineAccessRestriction = Array ("BUILTIN\Administrators", _
                                                               "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("NT AUTHORITY\ANONYMOUS LOGON", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL, _
                                                                      "BUILTIN\Performance Log Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                           DCOM_RIGHT_ACCESS_REMOTE, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                           DCOM_RIGHT_ACCESS_REMOTE), _
                                                               Null _ 
                                                              )
           
                    arrayDCOMMachineLaunchRestriction = Array ("BUILTIN\Administrators", _
                                                               "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _                                                                            
                                                                           DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                           DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                           DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                           DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                      "BUILTIN\Performance Log Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_ACCESS_LOCAL Or _
                                                                           DCOM_RIGHT_ACCESS_REMOTE Or _
                                                                           DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                           DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         0, _
                                                                         DCOM_RIGHT_EXECUTE Or _
                                                                           DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                           DCOM_RIGHT_ACTIVATE_LOCAL), _
                                                               Null _
                                                              )
           
                    arrayWMIDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                          "BUILTIN\Administrators", _
                                                          SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                          Array ("Everyone", _
                                                                    ACCESS_ALLOWED_ACE_TYPE, _
                                                                    0, _
                                                                    DCOM_RIGHT_EXECUTE Or _
                                                                      DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                      DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                      DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                      DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                          Null _
                                                         ) 
              
                    arrayWMIPSSDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIPSSDCOMLaunchPermission = Array ("BUILTIN\Administrators", _
                                                             "BUILTIN\Administrators", _
                                                             SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                             Array ("BUILTIN\Administrators", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\INTERACTIVE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\SYSTEM", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\NETWORK SERVICE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE, _
                                                                    "NT AUTHORITY\LOCAL SERVICE", _
                                                                       ACCESS_ALLOWED_ACE_TYPE, _
                                                                       0, _
                                                                       DCOM_RIGHT_EXECUTE Or _
                                                                         DCOM_RIGHT_LAUNCH_LOCAL Or _
                                                                         DCOM_RIGHT_LAUNCH_REMOTE Or _
                                                                         DCOM_RIGHT_ACTIVATE_LOCAL Or _
                                                                         DCOM_RIGHT_ACTIVATE_REMOTE), _
                                                             Null _
                                                            ) 

                    arrayWMIUnsecureApptDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIUnsecureApptDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 

                    arrayWMIActiveScriptEventConsDCOMAccessPermission = arrayDCOMDefaultAccessPermission 
                    arrayWMIActiveScriptEventConsDCOMLaunchPermission = arrayDCOMDefaultLaunchPermission 

                    arrayWMIDefaultNameSpaceSecurity = Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\NETWORK SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER, _
                                                                     "NT AUTHORITY\LOCAL SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER, _
                                                                     "NT AUTHORITY\Authenticated Users", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER), _
                                                              Null _
                                                             )
           
                    arrayWMINameSpaceSecurity = Array ("ROOT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/SECURITY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CLI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SNMP/LOCALHOST", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SECURITYCENTER", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/WMI", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/POLICY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/MICROSOFT/HOMENET", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DEFAULT", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/DIRECTORY/LDAP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _  
                                                       "ROOT/SUBSCRIPTION", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CIMV2/SECURITY", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CIMV2/TERMINALSERVICES", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/CIMV2/APPLICATIONS/GAMES", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/MICROSOFTIISV2", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "ROOT/NAP", _
                                                       arrayWMIDefaultNameSpaceSecurity, _
                                                       "Root/RSOP", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_REMOTE_ACCESS), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/Computer", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/RSOP/User", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL), _
                                                               Null _
                                                              ), _
                                                       "Root/HARDWARE", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\SYSTEM", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\LOCAL SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER), _
                                                               Null _
                                                              ), _
                                                       "Root/ASPNET", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\LOCAL SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\Authenticated Users", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER), _
                                                               Null _
                                                              ), _
                                                       "ROOT/CIMV2/SECURITY/MICROSOFTTPM", _
                                                              Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\NETWORK SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER, _
                                                                     "NT AUTHORITY\LOCAL SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER), _
                                                              Null _
                                                             ), _
                                                       "ROOT/CIMV2/SECURITY/MICROSOFTVOLUMEENCRYPTION", _
                                                              Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\NETWORK SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER, _
                                                                     "NT AUTHORITY\LOCAL SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER), _
                                                              Null _
                                                             ), _
                                                       "ROOT/SERVICEMODEL", _
                                                              Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\NETWORK SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE, _
                                                                     "NT AUTHORITY\LOCAL SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE), _
                                                              Null _
                                                             ), _
                                                       "Root/Perfmon", _
                                                              Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "BUILTIN\Performance Log Users", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_REMOTE_ACCESS, _
                                                                     "NT AUTHORITY\NETWORK SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER, _
                                                                     "NT AUTHORITY\LOCAL SERVICE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER, _
                                                                     "NT AUTHORITY\Authenticated Users", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_WRITE_PROVIDER), _
                                                              Null _
                                                             ), _
                                                       "Root/MicrosoftDFS", _
                                                              Array ("BUILTIN\Administrators", _
                                                                     "BUILTIN\Administrators", _
                                                                     SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                                     Array ("BUILTIN\Administrators", _
                                                                               ACCESS_ALLOWED_ACE_TYPE, _
                                                                               CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                               WBEM_ENABLE Or _
                                                                                 WBEM_METHOD_EXECUTE Or _
                                                                                 WBEM_WRITE_PROVIDER Or _
                                                                                 WBEM_REMOTE_ACCESS), _
                                                                     Null _
                                                                    ) _
                                                      )
                    End If 

                    arrayWMISystemClassList = Array ("__SystemClass", _
                                                     "__thisNAMESPACE", _
                                                     "__Provider", _
                                                     "__Win32Provider", _
                                                     "__ProviderRegistration", _
                                                     "__EventProviderRegistration", _
                                                     "__EventConsumerProviderRegistration", _
                                                     "__PropertyProviderRegistration", _
                                                     "__ObjectProviderRegistration", _
                                                     "__ClassProviderRegistration", _
                                                     "__InstanceProviderRegistration", _
                                                     "__MethodProviderRegistration", _
                                                     "__IndicationRelated", _
                                                     "__EventFilter", _
                                                     "__EventConsumer", _
                                                     "__FilterToConsumerBinding", _
                                                     "__EventGenerator", _
                                                     "__TimerInstruction", _
                                                     "__IntervalTimerInstruction", _
                                                     "__AbsoluteTimerInstruction", _
                                                     "__Event", _
                                                     "__ExtrinsicEvent", _
                                                     "__SystemEvent", _
                                                     "__EventDroppedEvent", _
                                                     "__ConsumerFailureEvent", _
                                                     "__QOSFailureEvent", _
                                                     "__EventQueueOverflowEvent", _
                                                     "__InstanceOperationEvent", _
                                                     "__InstanceCreationEvent", _
                                                     "__InstanceModificationEvent", _
                                                     "__MethodInvocationEvent", _
                                                     "__InstanceDeletionEvent", _
                                                     "__ClassOperationEvent", _
                                                     "__ClassModificationEvent", _
                                                     "__ClassCreationEvent", _
                                                     "__ClassDeletionEvent", _
                                                     "__NamespaceOperationEvent", _
                                                     "__NamespaceDeletionEvent", _
                                                     "__NamespaceCreationEvent", _
                                                     "__NamespaceModificationEvent", _
                                                     "__TimerEvent", _
                                                     "__AggregateEvent", _
                                                     "__TimerNextFiring", _
                                                     "__SystemSecurity", _
                                                     "__NAMESPACE" _
                                                    )

                    arrayWMIProgID = Array ("WBemscripting.SWBemlocator", "wbemdisp.dll", _
                                            "WbemScripting.SWbemDateTime", "wbemdisp.dll", _
                                            "WbemScripting.SWbemObjectPath", "wbemdisp.dll", _
                                            "WbemScripting.SWbemSink", "wbemdisp.dll", _
                                            "WbemScripting.SWbemLocator", "wbemdisp.dll", _
                                            "WbemScripting.SWbemNamedValueSet", "wbemdisp.dll", _
                                            "WbemScripting.SWbemRefresher", "wbemdisp.dll" _
                                           )

                    arrayWMIRegistryServiceSetup = Array ("HKLM\SYSTEM\CurrentControlSet\Services\winmgmt", _
                                                          Array (_
                                                                 cRegistryError, "Type", "REG_DWORD", "&h20", _
                                                                 cRegistryError, "Start", "REG_DWORD", "&h2", _
                                                                 cRegistryWarning, "ErrorControl", "REG_DWORD", "&h0", _
                                                                 cRegistryWarning, "ImagePath", "REG_EXPAND_SZ", "%systemroot%\system32\svchost.exe -k netsvcs", _
                                                                 cRegistryInfo, "DisplayName", "REG_SZ", Null, _
                                                                 cRegistryWarning, "DependOnService", "REG_MULTI_SZ", "RPCSS", _
                                                                 cRegistryError, "ObjectName", "REG_SZ", "LocalSystem", _
                                                                 cRegistryWarning, "FailureActions", "REG_BINARY", Null, _
                                                                 cRegistryInfo, "Description", "REG_SZ", Null _
                                                                ), _
                                                          "HKLM\SYSTEM\CurrentControlSet\Services\winmgmt\Parameters", _
                                                          Array (_
                                                                 cRegistryError, "ServiceDll", "REG_EXPAND_SZ", "%SystemRoot%\system32\wbem\WMIsvc.dll", _
                                                                 cRegistryError, "ServiceDllUnloadOnStop", "REG_DWORD", "1", _
                                                                 cRegistryError, "ServiceMain", "REG_SZ", "ServiceMain" _
                                                                ) _
                                                         )

                    arrayWMIRegistrySettings = Array ("HKLM\SOFTWARE\Microsoft\WBEM\Scripting", _
                                                      Array (_
                                                             cRegistryWarning, "Default Namespace", "REG_SZ", "root\cimv2", _
                                                             cRegistryWarning, "Default Impersonation Level", "REG_DWORD", "3" _
                                                            ), _
                                                      "HKLM\SOFTWARE\Microsoft\WBEM\CIMOM", _
                                                      Array (_
                                                             cRegistryWarning, "ADAPDelay", "REG_DWORD", "&hf0", _
                                                             cRegistryError, "Default Repository Driver", "REG_SZ", "{7998dc37-d3fe-487c-a60a-7701fcc70cc6}", _
                                                             cRegistryError, "EnableEvents", "REG_SZ", "1", _
                                                             cRegistryInfo, "Logging", "REG_SZ", "1", _
                                                             cRegistryWarning, "Logging Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM\Logs\", _
                                                             cRegistryError, "Repository Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM\Repository", _
                                                             cRegistryWarning, "TimeOutMs", "REG_SZ", "20000", _
                                                             cRegistryWarning, "UnsecappAccessControlDefault", "REG_SZ", "0", _
                                                             cRegistryError, "Working Directory", "REG_EXPAND_SZ", "%SystemRoot%\system32\WBEM", _
                                                             cRegistryWarning, "Autorecover MOFs", "REG_SZ", Null, _
                                                             cRegistryWarning, "Log File Max Size", "REG_SZ", "65536" _
                                                            ) _
                                                     )

                    arrayWMIRegistryDCOMSetup = Array ("HKLM\SOFTWARE\Classes\AppID\{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management and Instrumentation", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null, _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management and Instrumentation", _
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\winmgmt", _
                                                       Array (_
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WMI Provider Subsystem Host", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WMI Provider Subsystem Host", _
                                                              cRegistryError, "AppID", "REG_SZ", "{73E709EA-5D93-4B2E-BBB0-99B7938DA9E4}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM UnSecured Apartment", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{49BD2028-1523-11D1-AD79-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM UnSecured Apartment", _
                                                              cRegistryError, "AppID", "REG_SZ", "{49BD2028-1523-11D1-AD79-00C04FD8FDFF}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\AppID\{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Microsoft WBEM Active Scripting Event Consumer Provider", _
                                                              cRegistryWarningWhenPresent, "AuthenticationLevel", "REG_DWORD", Null _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", _
                                                       Array (_
                                                              cRegistryWarning, "", "REG_SZ", "Microsoft WBEM Active Scripting Event Consumer Provider", _
                                                              cRegistryError, "AppID", "REG_SZ", "{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{C49E32C6-BC8B-11D2-85D4-00105A1F8304}", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Windows Management Instrumentation Backup and Recovery", _
                                                              cRegistryError, "AppID", "REG_SZ", "{8BC3F05E-D86B-11D0-A075-00C04FB68820}", _
                                                              cRegistryError, "LocalService", "REG_SZ", "WINMGMT" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Wbem Scripting Object Path" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS\CLSID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "{172BDDF8-CEEA-11D1-8B05-00600806D9B6}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\WINMGMTS\CurVer", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS.1" _
                                                             ), _
                                                       "HKCR\WINMGMTS.1", _
                                                       Array (_
                                                              cRegistryInfo, "", "REG_SZ", "Wbem Object Path 1.0" _
                                                             ), _
                                                       "HKCR\WINMGMTS.1\CLSID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "{172BDDF8-CEEA-11D1-8B05-00600806D9B6}" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}\ProgID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS.1" _
                                                             ), _
                                                       "HKLM\SOFTWARE\Classes\CLSID\{172BDDF8-CEEA-11D1-8B05-00600806D9B6}\VersionIndependentProgID", _
                                                       Array (_
                                                              cRegistryError, "", "REG_SZ", "WINMGMTS" _
                                                             ) _
                                                      )

                    arrayWMISystemConfigurationClasses = Array ("__CIMOMIdentification", "__ArbitratorConfiguration", "__ProviderHostQuotaConfiguration", "__CacheControl")

                    arrayWMIRepositoryFiles = Array(_
                                                    "Repository", _
                                                    "INDEX.BTR", _
                                                    "MAPPING1.MAP", _
                                                    "MAPPING2.MAP", _
                                                    "OBJECTS.DATA" _
                                                   )

                    arrayWMIServiceKnownDependent = Array (_
                                                           "wscsvc", "Security Center", _
                                                           "SharedAccess", "Internet Connection Sharing (ICS)", _
                                                           "CcmExec", "SMS Agent Host", _
                                                           "6to4", "IPv6 Helper Service", _
                                                           "MSExchangeMGMT", "Exchange Management Service", _
                                                           "IIMFilter", "Live Communication Server Filter Service", _
                                                           "RtcSrv", "Live Communication Server User Service", _
                                                           "MngAgent", "SNA Mngagent Service", _
                                                           "ADSBuilder", "Automated Deployment Services (ADS) Deployment Agent", _
                                                           "ADSPXE", "Automated Deployment Services (ADS) PXE Service" _
                                                          )

	 End Select 

         arrayExceptionHighPrivWMIProvider = Array ("LOGFILEEVENTCONSUMER;{266c72d4-62e8-11d1-ad89-00c04fd8fdff}", _
                                                    "NTEVENTLOGEVENTCONSUMER;{266c72e6-62e8-11d1-ad89-00c04fd8fdff}", _
                                                    "NON-COM WMI EVENT PROVISION API;{29F06F0C-FB7F-44A5-83CD-D41705D5C525}", _
                                                    "MICROSOFT WMI TRANSIENT PROVIDER;{405595AA-1E14-11d3-B33D-00105A1F4AAF}", _
                                                    "MICROSOFT WMI TRANSIENT REBOOT EVENT PROVIDER;{405595AB-1E14-11d3-B33D-00105A1F4AAF}", _
                                                    "MICROSOFT WMI UPDATING CONSUMER ASSOC PROVIDER;{74E3B84C-C7BE-4e0a-9BD2-853CA72CD435}", _
                                                    "MICROSOFT WMI FORWARDING EVENT PROVIDER;{7879E40D-9FB5-450a-8A6D-00C89F349FCE}", _
                                                    "MSFT_PROVIDERSUBSYSTEM;{7F598975-37E0-4a67-A992-116680F0CEDA}", _
                                                    "WMI KERNEL TRACE EVENT PROVIDER;{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", _
                                                    "MICROSOFT WMI UPDATING CONSUMER PROVIDER;{A3A16907-227B-11d3-865D-00C04F63049B}", _
                                                    "WBEMCORE;{A83EF168-CA8D-11d2-B33D-00104BCC4B4A}", _
                                                    "MICROSOFT WMI FORWARDING CONSUMER PROVIDER;{AD1B46E8-0AAC-401b-A3B8-FCDCF8186F55}", _
                                                    "MICROSOFT WMI TEMPLATE PROVIDER;{C486ABD2-27F6-11d3-865E-00C04F63049B}", _
                                                    "?;{D6C74FF3-3DCD-4c23-9F58-DD86F371EC73}", _
                                                    "MICROSOFT WMI TEMPLATE ASSOCIATION PROVIDER;{FD18A1B2-9E61-4e8e-8501-DB0B07846396}", _
                                                    "WMIEVENTPROV;{0725C3CB-FEFB-11d0-99F9-00C04FC2F8EC}", _
                                                    "RSOP LOGGING MODE PROVIDER;{B3FF88A4-96EC-4cc1-983F-72BE0EBB368B}", _
                                                    "MSIPROV;{BE0A9830-2B8B-11d1-A949-0060181EBBAD}", _
                                                    "WMIPROV;{D2D588B5-D081-11d0-99E0-00C04FC2F8EC}", _
                                                    "RSOP PLANNING MODE PROVIDER;{F0FF8EBB-F14D-4369-BD2E-D84FBF6122D6}", _
                                                    "REGISTRYEVENTPROVIDER;{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", _
                                                    "REGPROPPROV;{72967901-68EC-11d0-B729-00AA0062CBB7}", _
                                                    "REGPROV;{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}") 

         arrayExceptionForMissingWMIProviderMOFFile = Array ("ROOT/CIMV2;NT5_GENERICPERFPROVIDER_V1", "NT5_GENERICPERFPROVIDER_V1;NETWORKSERVICEHOST", _
                                                             "ROOT/CCM/POLICY;POLICYREPLICATIONCONSUMERPROVIDER", "POLICYREPLICATIONCONSUMERPROVIDER;LOCALSYSTEMHOST:CCM", _
                                                             "ROOT/CCM/POLICY/MACHINE;POLICYAGENTINSTANCEPROVIDER", "POLICYAGENTINSTANCEPROVIDER;LOCALSYSTEMHOST:CCM", _
                                                             "ROOT/CCM/POLICY/MACHINE;REGISTRYEVENTPROVIDER", "REGISTRYEVENTPROVIDER;LOCALSYSTEMHOST:SMS", _
                                                             "ROOT/CCM/EVENTS;STATUSAGENTPROVIDER", "", _
                                                             "ROOT/CCM;SMSCLIENTMETHODPROVIDER", "SMSCLIENTMETHODPROVIDER;LOCALSYSTEMHOST:SMS", _
                                                             "ROOT/CCM/INVAGT;MIFPROV", "MIFPROV;LOCALSYSTEMHOST:SMS", _
                                                             "ROOT/CCM/INVAGT;FSINVPROV", "FSINVPROV;LOCALSYSTEMHOST:SMS", _ 
                                                             "ROOT/CCM/INVAGT;DDRINSTPROV", "DDRINSTPROV;LOCALSYSTEMHOST:SMS", _ 
                                                             "ROOT/CIMV2/SMS;SMSINSTPROVIDER", "SMSINSTPROVIDER;LOCALSYSTEMHOST:SMS", _
                                                             "ROOT/CIMV2/SMS;SMSDISKINSTPROVIDER", "SMSDISKINSTPROVIDER;LOCALSYSTEMHOST:SMS", _
                                                             "ROOT/CIMV2/SMS;SMS_CIMV2", "", _
                                                             "ROOT/CIMV2/SMS;SMS_CIMLD", "", _
                                                             "ROOT/CIMV2/SMS;SMS_CIMP", "", _
                                                             "", "MS_VIEW_INSTANCE_PROVIDER;LOCALSYSTEMHOST:SMS", _
                                                             "ROOT/CIMV2;PROVIDERSUBSYSTEM", "", _
                                                             "ROOT/CIMV2;STANDARD NON-COM EVENT PROVIDER", "", _
                                                             "ROOT/CIMV2;WMI SELF-INSTRUMENTATION EVENT PROVIDER", "", _
                                                             "ROOT/CIMV2;SCM EVENT PROVIDER", "" _
                                                            )

         arrayExceptionForMissingWMIProviderFile = Array ("ROOT/NETFRAMEWORKV1;NetFrameWorkv1Provider;{4F14DD83-C443-4C0C-9784-AA903BBF9FA6}", cClientAndServer _
                                                         )

         arrayExceptionForMissingDCOMRegistration = Array ("ROOT/RSOP;RSOP PLANNING MODE PROVIDER;{F0FF8EBB-F14D-4369-BD2E-D84FBF6122D6}", cClientAndServer, _
                                                           "ROOT/SUBSCRIPTION;MICROSOFT WMI TEMPLATE ASSOCIATION PROVIDER;{FD18A1B2-9E61-4E8E-8501-DB0B07846396}", cClientAndServer, _
                                                           "ROOT/NETFRAMEWORKV1;NetFrameWorkv1Provider;{4F14DD83-C443-4C0C-9784-AA903BBF9FA6}", cClientAndServer, _
                                                           "ROOT/CIMV2;Microsoft_SA_DiskProvider;{E8F86F4D-DDA8-11D2-8CC0-00105A999250}", cClientAndServer, _
                                                           "ROOT/MICROSOFTEXCHANGEV2;ExchangeServerProvider;{E2499785-B853-408A-8D13-1F7B82ACCFB8}", cClientAndServer, _
                                                           "ROOT/MICROSOFTEXCHANGEV2;ExchangeDsAccessProvider;{2E51003B-F678-41B1-90DF-2120DC8CE2E2}", cClientAndServer, _
                                                           "ROOT/MICROSOFTEXCHANGEV2;ExchangeFolderTreeProvider;{6982ED43-15B8-45C8-A2E9-2F5B2C58FDA3}", cClientAndServer, _
                                                           "ROOT/MICROSOFTEXCHANGEV2;ExchangeGroupsProvider;{DD914821-4E45-4923-B5ED-378D8049E0FA}", cClientAndServer, _
                                                           "ROOT/MICROSOFTEXCHANGEV2;ExchangeQueue2Provider;{2EE85B22-B80A-448B-82D7-3EFAB905DBC1}", cClientAndServer, _
                                                           "ROOT/MICROSOFTEXCHANGEV2;ExchangePublicFolderProvider;{B36E676E-46B0-4138-8E6E-B536F758AAC2}", cClientAndServer, _
                                                           "ROOT/MICROSOFTEXCHANGEV2;ExchangeMapiTableProvider;{2690468E-79D9-4172-81A7-7B6868EAD5B9}", cClientAndServer, _
                                                           "ROOT/MICROSOFTEXCHANGEV2;ExchangeMessageTrackingProvider;{361018A3-61B1-412E-BA49-D609F6DDEFC3}", cClientAndServer _
                                                          )

         arrayExceptionForNoAutoRecoveryWBEMMOFFiles = Array ("CLIEGALIASES.MFL", _
                                                              "CLIEGALIASES.MOF", _
                                                              "FCONPROV.MFL", _
                                                              "FCONPROV.MOF", _
                                                              "NCPROV.MFL", _
                                                              "NCPROV.MOF", _
                                                              "SCRCONS.MFL", _
                                                              "SCRCONS.MOF", _
                                                              "SMTPCONS.MFL", _
                                                              "SMTPCONS.MOF", _
                                                              "TMPLPROV.MFL", _
                                                              "TMPLPROV.MOF", _
                                                              "TRNSPROV.MFL", _
                                                              "TRNSPROV.MOF", _
                                                              "UPDPROV.MFL", _
                                                              "UPDPROV.MOF", _
                                                              "WBEMCONS.MFL", _
                                                              "WBEMCONS.MOF" _
                                                             )

         arraySpecificFileList = Array (_
                                        "%SystemRoot%\WMIPrvse.Exe", True, "'WMIPRVSE.EXE' at this location is a rogue file coming with Trojan.Gletta.A.", _
                                        "%SystemRoot%\System32\WMIPrvse.Exe", True, "'WMIPRVSE.EXE' at this location is a rogue file coming with Trojan.Gletta.A", _
                                        "%SystemRoot%\Winmgnt.Exe", True, "'WINMGNT.EXE' is a rogue Serv-U FTP server.", _
                                        "%SystemRoot%\System32\Winmgnt.Exe", True, "'WINMGNT.EXE' is a rogue Serv-U FTP server.", _
                                        "%SystemRoot%\System32\Wbem\Winmgnt.Exe", True, "'WINMGNT.EXE' is a rogue Serv-U FTP server.", _
                                        "%SystemRoot%\WMIPrv.Exe", True, "'WMIPRV.EXE' is a rogue file coming with the SPYBOT.RBY WORM.", _
                                        "%SystemRoot%\System32\WMIPrv.Exe", True, "'WMIPRV.EXE' is a rogue file coming with the SPYBOT.RBY WORM.", _
                                        "%SystemRoot%\System32\Wbem\WMIPrv.Exe", True, "'WMIPRV.EXE' is a rogue file coming with the SPYBOT.RBY WORM.", _
                                        "%SystemRoot%\WMIInf.Exe", True, "'WMIINF.EXE' is a rogue file coming with the GEMA TROJAN.", _
                                        "%SystemRoot%\System32\WMIInf.Exe", True, "'WMIINF.EXE' is a rogue file coming with the GEMA TROJAN.", _
                                        "%SystemRoot%\System32\Wbem\WMIInf.Exe", True, "'WMIINF.EXE' is a rogue file coming with the GEMA TROJAN.", _
                                        "%SystemRoot%\WMInfo.Exe", True, "'WMINFO.EXE' is a rogue file coming with the GEMA TROJAN.", _
                                        "%SystemRoot%\System32\WMINfo.Exe", True, "'WMINFO.EXE' is a rogue file coming with the GEMA TROJAN.", _
                                        "%SystemRoot%\System32\Wbem\WMINfo.Exe", True, "'WMINFO.EXE' is a rogue file coming with the GEMA TROJAN.", _
                                        "%SystemRoot%\WMIPrvsw.Exe", True, "'WMIPRVSW.EXE' is a rogue file coming with the W32/Gaobot.FX virus.", _
                                        "%SystemRoot%\System32\WMIPrvsw.Exe", True, "'WMIPRVSW.EXE' is a rogue file coming with the W32/Gaobot.FX virus.", _
                                        "%SystemRoot%\System32\Wbem\WMIPrvsw.Exe", True, "'WMIPRVSW.EXE' is a rogue file coming with the W32/Gaobot.FX virus." _
                                       )

         ' Common SMS Classes (SMS 2003 RTM, SP1, SP2, SP3 and SMS v4.0 Beta 1)
         arraySMSTestList = Array (_
                                   "root/ccm/Messaging", _
                                         True, _
                                         Array (cPresence, "CCM_Message_TransferStatus"), _
                                         Null, _
                                         Null, _
                                   "root/ccm/ContentTransferManager", _
                                         True, _
                                         Array (cPresence, "CCM_CTM_JobStateEx", _
                                                cPresence, "CCM_CTM_ContentLocation"), _
                                         Null, _
                                         Null, _
                                   "root/ccm/DataTransferService", _
                                         True, _
                                         Array (cPresence, "CCM_DTS_JobEx", _
                                                cPresence, "CCM_DTS_JobItem", _
                                                cPresence, "CCM_FileBITS_Job", _
                                                cPresence, "CCM_FileBITS_JobItem"), _
                                         Null, _
                                         Null, _
                                   "root/ccm/LocationServices", _
                                         True, _
                                         Array (cPresence, "LocationRequest", _
                                                cPresence, "SMS_MPList", _
                                                cPresence, "SMS_MPInformation", _
                                                cPresence, "TrustedRootKey"), _
                                         Array (cCritical, "Select * From TrustedRootKey"), _
                                         Null, _
                                   "root/ccm/SoftMgmtAgent", _
                                         True, _
                                         Array (cPresence, "CCM_RejectedPolicy", _
                                                cPresence, "CCM_SourceUpdateHistory", _
                                                cPresence, "CCM_ProductSourceUpdateHistory", _
                                                cPresence, "ContentInfo", _
                                                cPresence, "CacheConfig"), _
                                         Array (cCritical, "Select * From CacheConfig"), _
                                         Null, _
                                   "root/ccm/events", _
                                         True, _
                                         Array (cPresence, "MSFT_DecoupledProvider", _
                                                cPresence, "CCM_Event", _
                                                cPresence, "CCM_EventForwarder", _
                                                cPresence, "CCM_PendingEvent", _
                                                cPresence, "CCM_Framework_ClientIdChanged", _
                                                cPresence, "SMS_Event", _
                                                cPresence, "SMS_StatusMessage", _
                                                cPresence, "SMS_Client_StatusMessage", _
                                                cPresence, "SMS_Framework_StatusMessage", _
                                                cPresence, "SMS_Client_ComponentException", _
                                                cPresence, "SMS_UnknownStatusMessage", _
                                                cPresence, "SMS_GenericStatusMessage", _
                                                cPresence, "SMS_GenericStatusMessage_Info", _
                                                cPresence, "SMS_GenericStatusMessage_Warning", _
                                                cPresence, "SMS_GenericStatusMessage_Error", _
                                                cPresence, "SMS_RemoteClient_Installed", _
                                                cPresence, "SMS_RemoteClient_Uninstalled", _
                                                cPresence, "SMS_RemoteClient_Upgraded", _
                                                cPresence, "SMS_PolicyAgent_BitsPolicyDownloadFailed", _
                                                cPresence, "SMS_RemoteClient_Reassigned", _
                                                cPresence, "SMS_PolicyAgent_PolicyMismatch", _
                                                cPresence, "SMS_RemoteClient_ClientNotAssigned", _
                                                cPresence, "SMS_RemoteClient_AssignmentUnchanged", _
                                                cPresence, "SMS_PolicyAgent_CompileFailure", _
                                                cPresence, "SMS_RemoteClient_Repaired", _
                                                cPresence, "SMS_ServiceHost_LowMemoryMode_Enter", _
                                                cPresence, "SMS_ServiceHost_LowMemoryMode_Recover", _
                                                cPresence, "InventoryEvent", _
                                                cPresence, "HardwareInventoryEvent", _
                                                cPresence, "SoftwareInventoryEvent", _
                                                cPresence, "FileCollectionEvent", _
                                                cPresence, "CLIMSG_INV_INFO_GENERIC_COLLECTED_SUCCESSFULLY", _
                                                cPresence, "CLIMSG_INV_WARNING_QUERYFAILURE", _
                                                cPresence, "CLIMSG_INV_ERROR_COLLECTIONFAILURE", _
                                                cPresence, "CLIMSG_INV_ERROR_REPORTFAILURE", _
                                                cPresence, "CLIMSG_HINV_WARNING_QUERYFAILURE", _
                                                cPresence, "CLIMSG_HINV_ERROR_COLLECTIONFAILURE", _
                                                cPresence, "CLIMSG_HINV_ERROR_REPORTFAILURE", _
                                                cPresence, "CLIMSG_HINV_ERROR_BAD_MIF_SYNTAX", _
                                                cPresence, "CLIMSG_HINV_WARNING_RESOURCES", _
                                                cPresence, "CLIMSG_SINV_WARNING_QUERYFAILURE", _
                                                cPresence, "CLIMSG_SINV_ERROR_COLLECTIONFAILURE", _
                                                cPresence, "CLIMSG_SINV_ERROR_REPORTFAILURE", _
                                                cPresence, "CLIMSG_SINV_WARNING_RESOURCES", _
                                                cPresence, "CLIMSG_FILECOLL_WARNING_FILECOL_MAXIMUM", _
                                                cPresence, "CLIMSG_FILECOLL_WARNING_QUERYFAILURE", _
                                                cPresence, "CLIMSG_FILECOLL_ERROR_COLLECTIONFAILURE", _
                                                cPresence, "CLIMSG_FILECOLL_ERROR_REPORTFAILURE", _
                                                cPresence, "CLIMSG_FILECOLL_WARNING_RESOURCES", _
                                                cPresence, "CCM_PolicyAgent_Event", _
                                                cPresence, "CCM_PolicyAgent_Info", _
                                                cPresence, "CCM_PolicyAgent_Warning", _
                                                cPresence, "CCM_PolicyAgent_Error", _
                                                cPresence, "CCM_PolicyAgent_PolicyDownloadStarted", _
                                                cPresence, "CCM_PolicyAgent_PolicyDownloadFailed", _
                                                cPresence, "CCM_FileCopyDownloadMethod_ErrorInfo", _
                                                cPresence, "CCM_HttpDownloadMethod_ErrorInfo", _
                                                cPresence, "CCM_BitsDownloadMethod_ErrorInfo", _
                                                cPresence, "CCM_PolicyAgent_PolicyDownloadSucceeded", _
                                                cPresence, "CCM_PolicyAgent_PolicyCompileFailed", _
                                                cPresence, "CCM_PolicyAgent_AssignmentsRequested", _
                                                cPresence, "CCM_PolicyAgent_AssignmentsReceived", _
                                                cPresence, "CCM_PolicyAgent_AssignmentEnabled", _
                                                cPresence, "CCM_PolicyAgent_AssignmentDisabled", _
                                                cPresence, "CCM_PolicyAgent_EvaluationSucceeded", _
                                                cPresence, "CCM_PolicyAgent_EvaluationFailed", _
                                                cPresence, "CCM_PolicyAgent_PolicyApplied", _
                                                cPresence, "CCM_PolicyAgent_PolicyRevoked", _
                                                cPresence, "CCM_PolicyAgent_PolicyRuleApplied", _
                                                cPresence, "CCM_PolicyAgent_PolicyRuleRevoked", _
                                                cPresence, "CCM_PolicyAgent_PolicyRuleApplyFailed", _
                                                cPresence, "CCM_WmiMofActionHandler_ErrorInfo", _
                                                cPresence, "CCM_PolicyAgent_PolicyEvaluationComplete", _
                                                cPresence, "CCM_PolicyAgent_SettingsEvaluationComplete", _
                                                cPresence, "CCM_PolicyAgent_PolicyMismatchWarning", _
                                                cPresence, "SMS_SofwareDistribution_Event", _
                                                cPresence, "SoftwareDistributionPackageEvent", _
                                                cPresence, "SMS_SoftwareDistributionCacheEvent", _
                                                cPresence, "SoftwareDistributionCacheManagerEvent", _
                                                cPresence, "SoftDistProgramStartedEvent", _
                                                cPresence, "SoftDistProgramCompletedSuccessfullyEvent", _
                                                cPresence, "SoftDistProgramHasRunBeforeWithoutFailing", _
                                                cPresence, "SoftDistProgramHasRunBeforeWithoutSucceeding", _
                                                cPresence, "SoftDistProgramHasRunBefore", _
                                                cPresence, "SoftDistProgramShouldNeverRun", _
                                                cPresence, "SoftDistProgramCancelled", _
                                                cPresence, "SoftDistWaitingContentEvent", _
                                                cPresence, "SoftDistProgramWaitingForUserEnvironment", _
                                                cPresence, "SoftDistProgramWaitingForAnotherProgram", _
                                                cPresence, "SoftDistProgramCompletedSuccessfulMIFEvent", _
                                                cPresence, "SoftDistProgramErrorEvent", _
                                                cPresence, "SoftDistWarningProgramErrorEvent", _
                                                cPresence, "SoftDistProgramErrorMIFEvent", _
                                                cPresence, "SoftDistProgramBadEnvironmentEvent", _
                                                cPresence, "SoftDistWarningProgramBadEnvironmentEvent", _
                                                cPresence, "SoftDistProgramUnableToExecuteEvent", _
                                                cPresence, "SoftDistWarningProgramUnableToExecuteEvent", _
                                                cPresence, "SoftDistProgramUnexpectedRebootEvent", _
                                                cPresence, "SoftDistProgramPrelimSuccessEvent", _
                                                cPresence, "SoftDistProgramExceededTime", _
                                                cPresence, "SoftDistProgramNotMonitored", _
                                                cPresence, "SoftDistProgramOfferReceivedEvent", _
                                                cPresence, "SoftDistOfferRejectedPlatformEvent", _
                                                cPresence, "SoftDistOfferRejectedExpiredEvent", _
                                                cPresence, "SoftDistOfferRejectedInvalidPolicyEvent", _
                                                cPresence, "SoftDistWarningInsufficientCacheEvent", _
                                                cPresence, "SoftDistErrorInsufficientCacheEvent", _
                                                cPresence, "SoftDistErrorInsufficientCacheSizeEvent", _
                                                cPresence, "SoftDistErrorNoContent", _
                                                cPresence, "SoftDistWarningNoContent", _
                                                cPresence, "SoftDistAdvertDownloadFailedEvent", _
                                                cPresence, "SoftDistWarningAdvertDownloadFailedEvent", _
                                                cPresence, "SoftDistAdvertHashMismatchEvent", _
                                                cPresence, "SoftDistDownloadANDLocationFailedEvent", _
                                                cPresence, "SoftDistWarningDownloadANDLocationFailedEvent", _
                                                cPresence, "SoftDistDownloadStartedEvent", _
                                                cPresence, "SoftDistDownloadCompletedEvent", _
                                                cPresence, "SoftDistHashMismatchEvent", _
                                                cPresence, "SoftDistDownloadCancelledEvent", _
                                                cPresence, "SoftDistDownloadFailedEvent", _
                                                cPresence, "SoftDistContentRemovedEvent", _
                                                cPresence, "SoftDistCacheLocationModifiedEvent", _
                                                cPresence, "SoftDistCacheSizeModifiedEvent", _
                                                cPresence, "SoftDistNonElevatedInstall", _
                                                cPresence, "SMS_SoftwareDistribution_OfferRejectedPlatform", _
                                                cPresence, "SMS_SoftwareMetering_StatusMessage", _
                                                cPresence, "SWMtr_Status_WMIFailure", _
                                                cPresence, "SWMtr_Status_Create_UsageReport_Failed", _
                                                cPresence, "SWMtr_Status_Send_UsageReport_Failed", _
                                                cPresence, "SWMtr_Status_Received_MeterRule", _
                                                cPresence, "SMS_SourceListUpdate_Event", _
                                                cPresence, "SourceListUpdate_Success_Event", _
                                                cPresence, "SourceListUpdate_Warning_Event", _
                                                cPresence, "SourceListUpdate_Error_Event", _
                                                cPresence, "SourceListUpdate_LS_Warning_Event", _
                                                cPresence, "SourceListUpdate_LS_Error_Event", _
                                                cPresence, "CCM_Framework_Event", _
                                                cPresence, "CCM_Framework_Info", _
                                                cPresence, "CCM_Framework_Warning", _
                                                cPresence, "CCM_Framework_Error", _
                                                cPresence, "CCM_ServiceHost_LowMemoryMode_Enter", _
                                                cPresence, "CCM_ServiceHost_LowMemoryMode_Recover", _
                                                cPresence, "CCM_ServiceHost_CertificateUpdateFailure", _
                                                cPresence, "CCM_ServiceHost_CertificateUpdateSuccess"), _
                                         Array (cCritical, "Select * From MSFT_DecoupledProvider WHERE Name='StatusAgentProvider' And Clsid='{54D8502C-527D-43F7-A506-A9DA075E229C}'", _
                                                cCritical, "Select * From __EventProviderRegistration WHERE Provider =""\\\\.\\root\\CCM\\Events:MSFT_DecoupledProvider.Name='StatusAgentProvider'""", _
                                                cCritical, "Select * From CCM_EventForwarder WHERE Name='StandardForwarder' AND ClassID='{F3133CB2-03F7-4145-9DA5-C437898163C9}'", _
                                                cCritical, "Select * From CCM_EventForwarder WHERE Name='SmsEventLogForwarder' AND ClassID='{432848e6-20a1-4cc7-afa6-7a3416881593}'", _
                                                cCritical, "Select * From CCM_EventForwarder WHERE Name='SmsFrameworkEventForwarder' AND ClassID='{6BBDFEDC-261A-4ea8-B23A-1357700E441B}'"), _
                                         Null, _
                                   "root/ccm/Policy", _
                                         True, _
                                         Array (cPresence, "CCM_Policy", _
                                                cPresence, "CCM_Policy_EmbeddedObject", _
                                                cPresence, "CCM_Policy_Config", _
                                                cPresence, "CCM_Policy_Policy", _
                                                cPresence, "CCM_Policy_Policy2", _
                                                cPresence, "CCM_Policy_Policy3", _
                                                cPresence, "CCM_Policy_Rules", _
                                                cPresence, "CCM_Policy_Assignment", _
                                                cPresence, "CCM_Policy_Assignment2", _
                                                cPresence, "CCM_Policy_Condition", _
                                                cPresence, "CCM_Policy_Expression", _
                                                cPresence, "CCM_Policy_Operator", _
                                                cPresence, "CCM_Policy_ExpressionHandlerRegistration", _
                                                cPresence, "CCM_Policy_Rule", _
                                                cPresence, "CCM_Policy_Rule2", _
                                                cPresence, "CCM_Policy_Rule_State", _
                                                cPresence, "CCM_Policy_Action", _
                                                cPresence, "CCM_Policy_ActionHandlerRegistration", _
                                                cPresence, "CCM_Policy_ServerCookieData", _
                                                cPresence, "CCM_Policy_AuthorityData", _
                                                cPresence, "CCM_Policy_AuthorityData2", _
                                                cPresence, "CCM_PolicyAgent_Configuration", _
                                                cPresence, "CCM_UserGroup", _
                                                cPresence, "CCM_UserGroupChanged", _
                                                cPresence, "CCM_Service_GlobalConfiguration", _
                                                cPresence, "CCM_Messaging_Configuration", _
                                                cPresence, "CCM_Service_BITSConfiguration", _
                                                cPresence, "CCM_Service_IISConfiguration", _
                                                cPresence, "CCM_Service_EndpointConfiguration", _
                                                cPresence, "CCM_Service_SystemTaskConfiguration", _
                                                cPresence, "CCM_Service_HostedClass", _
                                                cPresence, "CCM_Logging_GlobalConfiguration", _
                                                cPresence, "CCM_Logging_ComponentConfiguration", _
                                                cPresence, "CCM_SoftwareDistribution", _
                                                cPresence, "CCM_SoftwareDistributionClientConfig", _
                                                cPresence, "CCM_SoftwareMeteringClientConfig", _
                                                cPresence, "CCM_SoftwareMeteringRule", _
                                                cPresence, "CCM_ProductSource", _
                                                cPresence, "CCM_SourceUpdateClientConfig", _
                                                cPresence, "CCM_Scheduler_ScheduledMessage", _
                                                cPresence, "CCM_Message_Auth_Configuration", _
                                                cPresence, "CCM_DirectoryLookup_Configuration", _
                                                cPresence, "SMS_InventoryAgent_Policy", _
                                                cPresence, "SMS_InventoryAgent_EmbeddedObject", _
                                                cPresence, "InventoryAction", _
                                                cPresence, "InventoryDataItem", _
                                                cPresence, "InventoryDataContext", _
                                                cPresence, "PropertyRule", _
                                                cPresence, "CCM_InventoryClientConfig", _
                                                cPresence, "SMS_FileCollectionAgent_Policy", _
                                                cPresence, "FileCollectionAction", _
                                                cPresence, "CollectableFileItem", _
                                                cPresence, "CCM_ClientActions", _
                                                cPresence, "CCM_ClientProperties", _
                                                cPresence, "CCM_EventForwarder_Configuration", _
                                                cPresence, "CCM_StandardEventForwarder_Configuration", _
                                                cPresence, "CCM_PolicyReplicationConsumer"), _
                                         Array (cCritical, "Select * From CCM_PolicyReplicationConsumer WHERE Id=""{9099D177-1AD6-46e6-BBC0-70F460786953}""", _
                                                cCritical, "Select * From __Win32Provider WHERE Name=""PolicyReplicationConsumerProvider"" AND CLSID=""{BA9313BF-AF06-4f18-949E-82A861AF2D57}""", _
                                                cCritical, "Select * From __EventConsumerProviderRegistration WHERE Provider = ""\\\\.\\root\\ccm\\policy:__Win32Provider.Name='PolicyReplicationConsumerProvider'""", _
                                                cCritical, "Select * From __EventFilter WHERE Name=""PolicyClassEventFilter""", _
                                                cCritical, "Select * From __EventFilter WHERE Name=""PolicyNamespaceEventFilter""", _
                                                cCritical, "Select * From __EventFilter WHERE Name=""PolicyConfigEventFilter""", _
                                                cCritical, "Select * From __EventFilter WHERE Name=""PolicyEmbeddedObjectEventFilter""", _
                                                cCritical, "Select * From __FilterToConsumerBinding WHERE Filter=""\\\\.\\root\\ccm\\policy:__EventFilter.Name='PolicyClassEventFilter'""", _
                                                cCritical, "Select * From __FilterToConsumerBinding WHERE Filter=""\\\\.\\root\\ccm\\policy:__EventFilter.Name='PolicyNamespaceEventFilter'""", _
                                                cCritical, "Select * From __FilterToConsumerBinding WHERE Filter=""\\\\.\\root\\ccm\\policy:__EventFilter.Name='PolicyConfigEventFilter'""", _
                                                cCritical, "Select * From __FilterToConsumerBinding WHERE Filter=""\\\\.\\root\\ccm\\policy:__EventFilter.Name='PolicyEmbeddedObjectEventFilter'""", _
                                                cCritical, "Select * From CCM_Policy_ExpressionHandlerRegistration  WHERE Name=""WQL"" AND Clsid=""{50DC39EC-30A2-4fec-87CA-E54F67944474}""", _
                                                cCritical, "Select * From CCM_Policy_ActionHandlerRegistration WHERE Name=""WMI-MOF"" AND Clsid=""{FBA8EA8E-B80E-4b46-BD44-1AB03F99E8BB}"""), _
                                         Null, _
                                   "root/ccm/policy/defaultmachine", _
                                         True, _
                                         Null, _
                                         Null, _
                                         Null, _
                                   "root/ccm/policy/defaultmachine/requestedconfig", _
                                         True, _
                                         Null, _
                                         Null, _
                                         Null, _
                                   "root/ccm/policy/defaultmachine/actualconfig", _
                                         True, _
                                         Null, _
                                         Null, _
                                         Null, _
                                   "root/ccm/policy/defaultuser", _
                                         True, _
                                         Null, _
                                         Null, _
                                         Null, _
                                   "root/ccm/policy/defaultuser/requestedconfig", _
                                         True, _
                                         Null, _
                                         Null, _
                                         Null, _
                                   "root/ccm/policy/defaultuser/actualconfig", _
                                         True, _
                                         Null, _
                                         Null, _
                                         Null, _
                                   "root/ccm/policy/machine/actualconfig", _
                                         True, _
                                         Null, _
                                         Null, _
                                         Null, _
                                   "root/ccm/Scheduler", _
                                         True, _
                                         Array (cPresence, "CCM_Scheduler_History"), _
                                         Null, _
                                         Null, _
                                   "root/ccm/SoftwareMeteringAgent", _
                                         True, _
                                         Array (cPresence, "CCM_MeteredProductInfo", _
                                                cPresence, "CCM_MeteredFileInfo", _
                                                cPresence, "CCM_HistoricalMeteredData"), _
                                         Null, _
                                         Null, _
                                   "root/ccm/Policy/machine", _
                                         True, _
                                         Null, _
                                         Array (cCritical, "Select * From CCM_Logging_GlobalConfiguration WHERE DummyKey=1", _
                                                cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""SmsSoftwareDistribution.Instance0""", _
                                                cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""{00000000-0000-0000-0000-000000000001}""", _
                                                cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""ServiceHost.Instance0""", _
                                                cCritical, "Select * From CCM_Scheduler_ScheduledMessage WHERE ScheduledMessageID = ""{00000000-0000-0000-0000-000000000021}""", _
                                                cCritical, "Select * From CCM_Scheduler_ScheduledMessage WHERE ScheduledMessageID = ""{00000000-0000-0000-0000-000000000022}""", _
                                                cCritical, "Select * From CCM_Scheduler_ScheduledMessage WHERE ScheduledMessageID = ""{00000000-0000-0000-0000-000000000023}""", _
                                                cCritical, "Select * From CCM_Scheduler_ScheduledMessage WHERE ScheduledMessageID = ""{00000000-0000-0000-0000-000000000040}""", _
                                                cCritical, "Select * From CCM_Scheduler_ScheduledMessage WHERE ScheduledMessageID = ""{00000000-0000-0000-0000-000000000042}""", _
                                                cCritical, "Select * From CCM_Scheduler_ScheduledMessage WHERE ScheduledMessageID = ""{00000000-0000-0000-0000-000000000051}""", _
                                                cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""CPApplet Client Action"" AND CLSID = ""{F80A8D57-D338-43FF-A5E6-5D093EA80775}""", _
                                                cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Content Transfer Manager Class"" AND CLSID = ""{5becbdd8-9dd9-435e-88aa-4c62bbda74ad}""", _
                                                cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Content Access Service Cache Manager Class"" AND CLSID = ""{135D7881-D666-4046-A1DF-7EC7B5785A67}""", _
                                                cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Data Transfer Service Class"" AND CLSID = ""{b61b02c8-6f75-4f74-9fa4-eea5f391a425}""", _
                                                cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""SMS Product Source List for Windows Installer"" AND CLSID = ""{2AE987B9-18A2-4961-A91C-197FBE103535}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""CertificateMaintenanceEndpoint"" AND CoClass = ""{AB008B5A-29B3-4DE0-9930-A9004F8C9F3F}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""CTMDTSReply"" AND CoClass = ""{111F6CCB-0304-4081-91E0-61846BEE57C3}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""execmgr"" AND CoClass = ""{EECA3D86-F60F-4646-8D47-07A371EE4BF5}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""InventoryAgent"" AND CoClass = ""{E0968C45-7DE0-4ED8-8ADC-550BD20161BB}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""LS_ReplyLocations"" AND CoClass = ""{2F382DC1-FF25-486E-896F-60AB49ABB410}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""LS_ScheduledCleanup"" AND CoClass = ""{750D84E5-20F6-47B7-A5E3-66C16B193049}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""MtrMgr"" AND CoClass = ""{53E037F3-7ED6-4AB3-9C4B-33AC188CF130}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""PolicyAgent_Cleanup"" AND CoClass = ""{F59630CC-3FE3-4306-9BD1-1E4270333F12}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""PolicyAgent_PolicyDownload"" AND CoClass = ""{5A97C631-CA21-4595-B1B8-EB6C47D34051}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""PolicyAgent_PolicyEvaluator"" AND CoClass = ""{4E9DCC5B-A1BF-436C-9AC0-5CE1E022ED31}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""PolicyAgent_ReplyAssignments"" AND CoClass = ""{AA7F0969-09E2-4D7E-8E61-BFFC3A7FF689}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""PolicyAgent_RequestAssignments"" AND CoClass = ""{8C3F84DE-9596-4C99-B5A8-BE31178C2338}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""PolicyAgent_ReRequestPolicy"" AND CoClass = ""{17E58800-8549-444B-B1E2-5DB454B4DBE8}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""SrcUpdateMgr"" AND CoClass = ""{451F8ED4-D182-4CF6-8251-337EC7FF577D}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""SWMTRReportGen"" AND CoClass = ""{CA227B79-697F-4ECE-9D4E-A0C6B42C7832}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""UploadProtocol"" AND CoClass = ""{0DE0ED98-C389-4292-BB71-391CDE6BA69D}""", _
                                                cCritical, "Select * From CCM_ClientActions WHERE ActionID = ""{8EF4D77C-8A23-45c8-BEC3-630827704F51}""", _
                                                cCritical, "Select * From CCM_ClientActions WHERE ActionID = ""{3A88A2F3-0C39-45fa-8959-81F21BF500CE}""", _
                                                cCritical, "Select * From CCM_ClientProperties", _
                                                cCritical, "Select * From InventoryDataItem", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CCMEXEC""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ccmperf""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CertificateMaintenance""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CertificateMaintenanceEndpoint""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ClientIDManagerStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ClientLocation""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ContentAccess""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ContentTransferManager""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CTMDTSReply""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CTMStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""DataTransferService""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""DTSLogon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""DTSStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""execmgr""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ExecmgrLogoff""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ExecmgrLogon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ExecmgrStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""FileBITS""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""FileBITSLogoff""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""FileBITSLogon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""FileBITSStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""InventoryAgent""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""LocationServices""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""LS_ReplyLocations""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""LS_ScheduledCleanup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""LSLogon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""LSMaintenance""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""LSNetworkChange""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""MIFProvider""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""mtrmgr""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""MtrMgrShutdown""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""MtrMgrStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PatchUIMonitor""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PatchUIMonitorLogoff""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PatchUIMonitorLogon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PatchUIMonitorStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyAgent_Cleanup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyAgent_PolicyDownload""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyAgent_PolicyEvaluator""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyAgent_ReplyAssignments""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyAgent_RequestAssignments""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyAgent_ReRequestPolicy""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyEvaluator_Logon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyEvaluator_Startup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""RemoteToolsAgent""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""RemoteToolsStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""Scheduler""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SchedulerLogoff""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SchedulerLogon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SchedulerShutdown""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SchedulerStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SMS_EventLogForwarder""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SmsClientMethodProvider""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""smscliui""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SrcUpdateLogoff""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SrcUpdateLogon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SrcUpdateMgr""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SrcUpdateNetworkChange""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SrcUpdateStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""StatusAgent""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""StatusAgentShutdown""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""StatusAgentStandardForwarder""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""StatusAgentStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SWMTRReportGen""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UploadProtocol""", _
                                                cCritical, "Select * From CCM_Service_GlobalConfiguration WHERE DummyKey = 1", _
                                                cCritical, "Select * From CCM_Messaging_Configuration WHERE DummyKey = 1", _
                                                cCritical, "Select * From CCM_Service_BITSConfiguration WHERE DummyKey = 1", _
                                                cCritical, "Select * From CCM_Message_Auth_Configuration WHERE DummyKey = 1", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""CertificateMaintenance"" AND CoClass = ""{92652E89-6F26-4649-A319-E8E0F4858BB8}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""ClientIDManagerStartup"" AND CoClass = ""{18B4D28B-B5ED-4FA9-9F0B-449F6A3906DF}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""CTMStartup"" AND CoClass = ""{0797FA65-B140-4ad8-BC24-7E702C855337}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""DTSLogon"" AND CoClass = ""{C655AFCA-70CB-4C27-8FB3-3D2A90529C34}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""DTSStartup"" AND CoClass = ""{57985DF7-569A-484a-A2E6-70F100024340}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""ExecmgrLogon"" AND CoClass = ""{6B84FE09-4914-4CF9-A32F-71E7B7C3391E}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""ExecmgrLogoff"" AND CoClass = ""{20C15473-0F6D-4877-A13A-EB9DCFF4F843}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""ExecmgrStartup"" AND CoClass = ""{D94768A8-18CA-4018-8ECA-6A22F0A4E6C9}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""FileBITSLogoff"" AND CoClass = ""{52C72C90-A4C4-4263-B771-055524FA2507}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""FileBITSLogon"" AND CoClass = ""{66508F24-5509-422D-B98D-C517A19CC03D}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""FileBITSStartup"" AND CoClass = ""{E94C4865-9BD2-4314-8A9D-6DBDD0333085}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""LSLogon"" AND CoClass = ""{D6E8E829-A355-4706-A7DA-2AB8E323DAB7}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""LSMaintenance"" AND CoClass = ""{0EB9E5B3-21C8-4724-BF74-388164088C95}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""LSNetworkChange"" AND CoClass = ""{D6E8E829-A355-4706-A7DA-2AB8E323DAB7}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""MtrMgrShutdown"" AND CoClass = ""{437E822C-8337-4E70-A03B-B75E79D7B975}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""MtrMgrStartup"" AND CoClass = ""{994A7A85-B75B-4F34-8B34-842FD70C830A}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""PolicyEvaluator_Logon"" AND CoClass = ""{F13946FA-8641-4B12-8BC0-2868D45D62FF}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""PolicyEvaluator_Startup"" AND CoClass = ""{F13946FA-8641-4B12-8BC0-2868D45D62FF}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SchedulerLogoff"" AND CoClass = ""{4221FFD7-AEFA-48CF-A33C-06E39F796A67}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SchedulerLogon"" AND CoClass = ""{A07AAC0B-D31A-4F53-9857-BE2B42D80B49}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SchedulerShutdown"" AND CoClass = ""{A3A4B535-C526-42B2-9236-90D460F9FEF7}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SchedulerStartup"" AND CoClass = ""{7F1A2A2C-2167-47A1-BCB7-973D05C0CF5F}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SrcUpdateLogoff"" AND CoClass = ""{84CC61B8-9EA7-4EE2-B839-D7F1852A3688}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SrcUpdateLogon"" AND CoClass = ""{C36F6DB3-F7A5-40FE-94B2-E1C2D4DE20B2}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SrcUpdateNetworkChange"" AND CoClass = ""{74C50AEB-19A8-4218-9A9E-02C208488136}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SrcUpdateStartup"" AND CoClass = ""{C50E9002-F397-4402-BF78-07194C5DA599}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""StatusAgentShutdown"" AND CoClass = ""{045A0AA9-A9B2-4156-B8D3-25D5A6F49510}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""StatusAgentStartup"" AND CoClass = ""{30FE11D5-5FA6-42CF-AB38-9128202E8864}""", _
                                                cCritical, "Select * From CCM_PolicyAgent_Configuration"), _
                                         Null, _
                                   "root/cimv2", _
                                         True, _
                                         Array (cPresence, "Win32Reg_AddRemovePrograms"), _
                                         Array (cCritical, "Select * From __Win32Provider WHERE Name = ""MS_VIEW_INSTANCE_PROVIDER"" AND ClsId = ""{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}""", _
                                                cCritical, "Select * From __Win32Provider WHERE Name = ""RegProv"" AND ClsId = ""{fe9af5c0-d3b6-11ce-a5b6-00aa00680c3f}""", _
                                                cCritical, "Select * From __Win32Provider WHERE Name = ""RegPropProv"" AND Clsid = ""{72967901-68EC-11d0-B729-00AA0062CBB7}""", _
                                                cCritical, "Select * From __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\cimv2:__Win32Provider.Name='MS_VIEW_INSTANCE_PROVIDER'""", _
                                                cCritical, "Select * From __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\cimv2:__Win32Provider.Name='RegProv'""", _
                                                cCritical, "Select * From __PropertyProviderRegistration WHERE Provider = ""\\\\.\\root\\cimv2:__Win32Provider.Name='RegPropProv'"""), _
                                         Null, _
                                   "root/cimv2/sms", _
                                         True, _
                                         Array (cPresence, "SMS_Processor", _
                                                cPresence, "SMS_LogicalDisk"), _
                                         Array (cCritical, "Select * From __Win32Provider WHERE Name = ""SMSInstProvider"" AND ClsId = ""{3867E993-E1EC-11d2-846E-00105A1F7D6D}""", _
                                                cCritical, "Select * From __Win32Provider WHERE Name = ""SMSDiskInstProvider"" AND Clsid = ""{2E48AA12-2801-11d3-88DA-00105A1F82ED}""", _
                                                cCritical, "Select * From __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\cimv2\\sms:__Win32Provider.Name='SMSInstProvider'""", _
                                                cCritical, "Select * From __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\cimv2\\sms:__Win32Provider.Name='SMSDiskInstProvider'"""), _
                                         Null, _
                                   "root/ccm/invagt", _
                                         True, _
                                         Array (cPresence, "SMS_MIFGroup", _
                                                cPresence, "InventoryAgentProperties", _
                                                cPresence, "InventoryReport", _
                                                cPresence, "InventoryActionStatus", _
                                                cPresence, "SMS_Authority", _
                                                cPresence, "FileSystemFile", _
                                                cPresence, "CCM_ADSiteInfo", _
                                                cPresence, "ADSiteName", _
                                                cPresence, "CCM_NetworkAdapterConfiguration", _
                                                cPresence, "CCM_DiscoveryData", _
                                                cPresence, "CCM_ComputerSystem", _
                                                cPresence, "CCM_System"), _
                                         Array (cCritical, "Select * From __Win32Provider WHERE Name = ""DDRInstProv"" AND Clsid = ""{49507317-AA1F-4fb2-B9EF-52BCF10D5A71}""", _
                                                cCritical, "Select * From __Win32Provider WHERE Name = ""FSInvProv"" AND Clsid = ""{B982D155-CC99-41e6-AC31-C2A4EA3E5625}""", _
                                                cCritical, "Select * From __Win32Provider WHERE Name = ""MIFProv"" AND ClsId = ""{0362A876-DEED-41E2-9C43-88E5AE953288}""", _
                                                cCritical, "Select * From __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\ccm\\invagt:__Win32Provider.Name='DDRInstProv'""", _
                                                cCritical, "Select * From __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\ccm\\invagt:__Win32Provider.Name='FSInvProv'""", _
                                                cCritical, "Select * From __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\ccm\\invagt:__Win32Provider.Name='MIFProv'""", _
                                                cCritical, "Select * From InventoryAgentProperties"), _
                                         Null, _
                                   "root/ccm", _
                                         True, _
                                         Array (cPresence, "CCM_Client", _
                                                cPresence, "CCM_Authority", _
                                                cPresence, "CCM_InstalledProduct", _
                                                cPresence, "CCM_InstalledComponent", _
                                                cPresence, "CCM_Service_Failure", _
                                                cPresence, "CCM_Service_ComponentException", _
                                                cPresence, "CCM_Service_ErrorHandlerRegistration", _
                                                cPresence, "SMS_Authority", _
                                                cPresence, "SMS_LocalMP", _
                                                cPresence, "SMS_MPProxyInformation", _
                                                cPresence, "SMS_Client", _
                                                cPresence, "SMS_PendingSiteAssignment"), _
                                         Array (cCritical, "Select * From CCM_Client", _
                                                cCritical, "Select * From SMS_Authority", _
                                                cCritical, "Select * From SMS_LocalMP", _
                                                cCritical, "Select * From SMS_MPProxyInformation", _
                                                cCritical, "Select * From SMS_Client", _
                                                cCritical, "Select * From __Win32Provider WHERE Name = ""SmsClientMethodProvider"" AND CLSID = ""{2410CAC5-AB48-4AB8-8725-9BF0625C2B94}""", _
                                                cCritical, "Select * From __MethodProviderRegistration WHERE Provider = ""\\\\.\\root\\ccm:__Win32Provider.Name='SmsClientMethodProvider'""", _
                                                cCritical, "Select * From CCM_Authority WHERE Name = ""Local"" AND PolicyOrder = 999"), _
                                         Null _
                                  )

		' Common SCCM Classes ( SMS v4.0 RTM)
         arraySCCMTestList = Array (_
                                   "root/ccm/Messaging", _
                                         True, _
                                         Array (cPresence, "CCM_Message_TransferStatus"), _
                                         Null, _
                                         Null, _
                                   "root/ccm/ContentTransferManager", _
                                         True, _
                                         Array (cPresence, "CCM_CTM_JobStateEx4", _
						cPresence, "CCM_CTM_JobItem", _
                                                cPresence, "CCM_CTM_ContentLocationEx"), _
                                         Null, _
                                         Null, _
                                   "root/ccm/DataTransferService", _
                                         True, _
                                         Array (cPresence, "CCM_DTS_JobEx", _
                                                cPresence, "CCM_DTS_JobItemEx", _
                                                cPresence, "CCM_FileBITS_Job", _
                                                cPresence, "CCM_FileBITS_JobItem"), _
                                         Null, _
                                         Null, _
                                   "root/ccm/LocationServices", _
                                         True, _
                                         Array (cPresence, "LocationRequestEx", _
                                                cPresence, "SMS_MPList", _
                                                cPresence, "SMS_MPInformation", _
                                                cPresence, "TrustedRootKey", _
						cPresence, "SMS_MPListEx", _
                                                cPresence, "SMS_MPInformationEx", _
						cPresence, "ClientInfo", _
						cPresence, "SelectiveDownloadRequest", _
                                                cPresence, "SMS_NAPLocationFilter", _
						cPresence, "WSUSLocationRequest"), _
                                         Array (cCritical, "Select * From TrustedRootKey",_
						cCritical, "Select * From ClientInfo",_
						cCritical, "Select * From SMS_NAPLocationFilter"), _
                                         Null, _
                                   "root/ccm/SoftMgmtAgent", _
                                         True, _
                                         Array (cPresence, "CCM_RejectedPolicy", _
                                                cPresence, "CCM_SourceUpdateHistory", _
                                                cPresence, "CCM_ProductSourceUpdateHistory", _
                                                cPresence, "ContentInfo", _
                                                cPresence, "CacheConfig", _
						cPresence, "CCM_ExecutionRequestEx", _
                                                cPresence, "ContentRequestEx2", _
                                                cPresence, "DownloadContentRequestEx2", _
                                                cPresence, "LocationContentRequestEx2", _
                                                cPresence, "DownloadInfoEx2",_
						cPresence, "CacheInfoEx", _
                                                cPresence, "CCM_TSExecutionRequest"), _
                                         Array (cCritical, "Select * From CacheConfig"), _
                                         Null, _
                                   "root/ccm/events", _
                                         True, _
                                         Array (cPresence, "MSFT_DecoupledProvider", _
                                                cPresence, "CCM_Event", _
                                                cPresence, "CCM_EventForwarder", _
                                                cPresence, "CCM_PendingEvent", _
                                                cPresence, "CCM_Framework_ClientIdChanged", _
                                                cPresence, "SMS_Event", _
                                                cPresence, "SMS_StatusMessage", _
                                                cPresence, "SMS_Client_StatusMessage", _
                                                cPresence, "SMS_Framework_StatusMessage", _
                                                cPresence, "SMS_Client_ComponentException", _
                                                cPresence, "SMS_UnknownStatusMessage", _
                                                cPresence, "SMS_GenericStatusMessage", _
                                                cPresence, "SMS_GenericStatusMessage_Info", _
                                                cPresence, "SMS_GenericStatusMessage_Warning", _
                                                cPresence, "SMS_GenericStatusMessage_Error", _
                                                cPresence, "SMS_RemoteClient_Installed", _
                                                cPresence, "SMS_RemoteClient_Uninstalled", _
                                                cPresence, "SMS_RemoteClient_Upgraded", _
                                                cPresence, "SMS_PolicyAgent_BitsPolicyDownloadFailed", _
                                                cPresence, "SMS_RemoteClient_Reassigned", _
                                                cPresence, "SMS_PolicyAgent_PolicyMismatch", _
                                                cPresence, "SMS_RemoteClient_ClientNotAssigned", _
                                                cPresence, "SMS_RemoteClient_AssignmentUnchanged", _
                                                cPresence, "SMS_PolicyAgent_CompileFailure", _
                                                cPresence, "SMS_RemoteClient_Repaired", _
                                                cPresence, "SMS_ServiceHost_LowMemoryMode_Enter", _
                                                cPresence, "SMS_ServiceHost_LowMemoryMode_Recover", _
                                                cPresence, "InventoryEvent", _
                                                cPresence, "HardwareInventoryEvent", _
                                                cPresence, "SoftwareInventoryEvent", _
                                                cPresence, "FileCollectionEvent", _
                                                cPresence, "CLIMSG_INV_INFO_GENERIC_COLLECTED_SUCCESSFULLY", _
                                                cPresence, "CLIMSG_INV_WARNING_QUERYFAILURE", _
                                                cPresence, "CLIMSG_INV_ERROR_COLLECTIONFAILURE", _
                                                cPresence, "CLIMSG_INV_ERROR_REPORTFAILURE", _
                                                cPresence, "CLIMSG_HINV_WARNING_QUERYFAILURE", _
                                                cPresence, "CLIMSG_HINV_ERROR_COLLECTIONFAILURE", _
                                                cPresence, "CLIMSG_HINV_ERROR_REPORTFAILURE", _
                                                cPresence, "CLIMSG_HINV_ERROR_BAD_MIF_SYNTAX", _
                                                cPresence, "CLIMSG_HINV_WARNING_RESOURCES", _
                                                cPresence, "CLIMSG_SINV_WARNING_QUERYFAILURE", _
                                                cPresence, "CLIMSG_SINV_ERROR_COLLECTIONFAILURE", _
                                                cPresence, "CLIMSG_SINV_ERROR_REPORTFAILURE", _
                                                cPresence, "CLIMSG_SINV_WARNING_RESOURCES", _
                                                cPresence, "CLIMSG_FILECOLL_WARNING_FILECOL_MAXIMUM", _
                                                cPresence, "CLIMSG_FILECOLL_WARNING_QUERYFAILURE", _
                                                cPresence, "CLIMSG_FILECOLL_ERROR_COLLECTIONFAILURE", _
                                                cPresence, "CLIMSG_FILECOLL_ERROR_REPORTFAILURE", _
                                                cPresence, "CLIMSG_FILECOLL_WARNING_RESOURCES", _
                                                cPresence, "CCM_PolicyAgent_Event", _
                                                cPresence, "CCM_PolicyAgent_Info", _
                                                cPresence, "CCM_PolicyAgent_Warning", _
                                                cPresence, "CCM_PolicyAgent_Error", _
                                                cPresence, "CCM_PolicyAgent_PolicyDownloadStarted", _
                                                cPresence, "CCM_PolicyAgent_PolicyDownloadFailed", _
                                                cPresence, "CCM_FileCopyDownloadMethod_ErrorInfo", _
                                                cPresence, "CCM_HttpDownloadMethod_ErrorInfo", _
                                                cPresence, "CCM_BitsDownloadMethod_ErrorInfo", _
                                                cPresence, "CCM_PolicyAgent_PolicyDownloadSucceeded", _
                                                cPresence, "CCM_PolicyAgent_PolicyCompileFailed", _
                                                cPresence, "CCM_PolicyAgent_AssignmentsRequested", _
                                                cPresence, "CCM_PolicyAgent_AssignmentsReceived", _
                                                cPresence, "CCM_PolicyAgent_AssignmentEnabled", _
                                                cPresence, "CCM_PolicyAgent_AssignmentDisabled", _
                                                cPresence, "CCM_PolicyAgent_EvaluationSucceeded", _
                                                cPresence, "CCM_PolicyAgent_EvaluationFailed", _
                                                cPresence, "CCM_PolicyAgent_PolicyApplied", _
                                                cPresence, "CCM_PolicyAgent_PolicyRevoked", _
                                                cPresence, "CCM_PolicyAgent_PolicyRuleApplied", _
                                                cPresence, "CCM_PolicyAgent_PolicyRuleRevoked", _
                                                cPresence, "CCM_PolicyAgent_PolicyRuleApplyFailed", _
                                                cPresence, "CCM_WmiMofActionHandler_ErrorInfo", _
                                                cPresence, "CCM_PolicyAgent_PolicyEvaluationComplete", _
                                                cPresence, "CCM_PolicyAgent_SettingsEvaluationComplete", _
                                                cPresence, "CCM_PolicyAgent_PolicyMismatchWarning", _
                                                cPresence, "SMS_SofwareDistribution_Event", _
                                                cPresence, "SoftwareDistributionPackageEvent", _
                                                cPresence, "SMS_SoftwareDistributionCacheEvent", _
                                                cPresence, "SoftwareDistributionCacheManagerEvent", _
                                                cPresence, "SoftDistProgramStartedEvent", _
                                                cPresence, "SoftDistProgramCompletedSuccessfullyEvent", _
                                                cPresence, "SoftDistProgramHasRunBeforeWithoutFailing", _
                                                cPresence, "SoftDistProgramHasRunBeforeWithoutSucceeding", _
                                                cPresence, "SoftDistProgramHasRunBefore", _
                                                cPresence, "SoftDistProgramShouldNeverRun", _
                                                cPresence, "SoftDistProgramCancelled", _
                                                cPresence, "SoftDistWaitingContentEvent", _
                                                cPresence, "SoftDistProgramWaitingForUserEnvironment", _
                                                cPresence, "SoftDistProgramWaitingForAnotherProgram", _
                                                cPresence, "SoftDistProgramCompletedSuccessfulMIFEvent", _
                                                cPresence, "SoftDistProgramErrorEvent", _
                                                cPresence, "SoftDistWarningProgramErrorEvent", _
                                                cPresence, "SoftDistProgramErrorMIFEvent", _
                                                cPresence, "SoftDistProgramBadEnvironmentEvent", _
                                                cPresence, "SoftDistWarningProgramBadEnvironmentEvent", _
                                                cPresence, "SoftDistProgramUnableToExecuteEvent", _
                                                cPresence, "SoftDistWarningProgramUnableToExecuteEvent", _
                                                cPresence, "SoftDistProgramUnexpectedRebootEvent", _
                                                cPresence, "SoftDistProgramPrelimSuccessEvent", _
                                                cPresence, "SoftDistProgramExceededTime", _
                                                cPresence, "SoftDistProgramNotMonitored", _
                                                cPresence, "SoftDistProgramOfferReceivedEvent", _
                                                cPresence, "SoftDistOfferRejectedPlatformEvent", _
                                                cPresence, "SoftDistOfferRejectedExpiredEvent", _
                                                cPresence, "SoftDistOfferRejectedInvalidPolicyEvent", _
                                                cPresence, "SoftDistWarningInsufficientCacheEvent", _
                                                cPresence, "SoftDistErrorInsufficientCacheEvent", _
                                                cPresence, "SoftDistErrorInsufficientCacheSizeEvent", _
                                                cPresence, "SoftDistErrorNoContent", _
                                                cPresence, "SoftDistWarningNoContent", _
                                                cPresence, "SoftDistAdvertDownloadFailedEvent", _
                                                cPresence, "SoftDistWarningAdvertDownloadFailedEvent", _
                                                cPresence, "SoftDistAdvertHashMismatchEvent", _
                                                cPresence, "SoftDistDownloadANDLocationFailedEvent", _
                                                cPresence, "SoftDistWarningDownloadANDLocationFailedEvent", _
                                                cPresence, "SoftDistDownloadStartedEvent", _
                                                cPresence, "SoftDistDownloadCompletedEvent", _
                                                cPresence, "SoftDistHashMismatchEvent", _
                                                cPresence, "SoftDistDownloadCancelledEvent", _
                                                cPresence, "SoftDistDownloadFailedEvent", _
                                                cPresence, "SoftDistContentRemovedEvent", _
                                                cPresence, "SoftDistCacheLocationModifiedEvent", _
                                                cPresence, "SoftDistCacheSizeModifiedEvent", _
                                                cPresence, "SoftDistNonElevatedInstall", _
                                                cPresence, "SMS_SoftwareDistribution_OfferRejectedPlatform", _
                                                cPresence, "SMS_SoftwareMetering_StatusMessage", _
                                                cPresence, "SWMtr_Status_WMIFailure", _
                                                cPresence, "SWMtr_Status_Create_UsageReport_Failed", _
                                                cPresence, "SWMtr_Status_Send_UsageReport_Failed", _
                                                cPresence, "SWMtr_Status_Received_MeterRule", _
                                                cPresence, "SMS_SourceListUpdate_Event", _
                                                cPresence, "SourceListUpdate_Success_Event", _
                                                cPresence, "SourceListUpdate_Warning_Event", _
                                                cPresence, "SourceListUpdate_Error_Event", _
                                                cPresence, "SourceListUpdate_LS_Warning_Event", _
                                                cPresence, "SourceListUpdate_LS_Error_Event", _
                                                cPresence, "CCM_Framework_Event", _
                                                cPresence, "CCM_Framework_Info", _
                                                cPresence, "CCM_Framework_Warning", _
                                                cPresence, "CCM_Framework_Error", _
                                                cPresence, "CCM_ServiceHost_LowMemoryMode_Enter", _
                                                cPresence, "CCM_ServiceHost_LowMemoryMode_Recover", _
                                                cPresence, "CCM_ServiceHost_CertificateUpdateFailure", _
                                                cPresence, "CCM_ServiceHost_CertificateUpdateSuccess", _
						cPresence, "SMS_MP_StatusMessage", _
                                                cPresence, "SoftDistProgramErrorMomEvent", _
                                                cPresence, "SoftDistProgramErrorMIFMomEvent", _
                                                cPresence, "SoftDistProgramBadEnvironmentMomEvent", _
                                                cPresence, "SoftDistProgramUnableToExecuteMomEvent", _
                                                cPresence, "SoftDistProgramUnexpectedRebootMomEvent", _
                                                cPresence, "SoftDistErrorInsufficientCacheMomEvent", _
                                                cPresence, "SoftDistErrorInsufficientCacheSizeMomEvent", _
                                                cPresence, "SoftDistAdvertDownloadFailedMomEvent", _
                                                cPresence, "SoftDistDownloadANDLocationFailedMomEvent", _
                                                cPresence, "SoftDistProgramExceededTimeMom", _
                                                cPresence, "SoftDistProgramNotMonitoredMom", _
                                                cPresence, "SoftDistErrorNoContentMom", _
                                                cPresence, "MpEvent", _
                                                cPresence, "MpEvent_Warning", _
                                                cPresence, "MpEvent_Error", _
                                                cPresence, "SMS_ClientAuth_PublicKeyMismatch", _
                                                cPresence, "SMS_ServiceHost_CertificateUpdateFailure", _
                                                cPresence, "SMS_ServiceHost_CertificateUpdateSuccess", _
                                                cPresence, "MPEvent_ServiceHost_CertificateUpdateFailure", _
                                                cPresence, "MPEvent_ServiceHost_CertificateUpdateSuccess", _
                                                cPresence, "MPEvent_ClientAuth_PublicKeyMismatch", _
                                                cPresence, "SMS_RemoteClient_Install_PendingReboot", _
                                                cPresence, "SMS_ServiceHost_CertificateOperationsFailure", _
                                                cPresence, "SMS_RemoteClient_ClientIdUpdated", _
                                                cPresence, "DmClientDeployment_Info", _
                                                cPresence, "DmClientDeployment_Warning", _
                                                cPresence, "DmClientDeployment_Error", _
                                                cPresence, "DmClientDeployment_Info_Newer_Client", _
                                                cPresence, "DmClientDeployment_Info_No_Action", _
                                                cPresence, "DmClientDeployment_Info_Install_Success", _
                                                cPresence, "DmClientDeployment_Info_Upgrade_Success", _
                                                cPresence, "DmClientDeployment_Info_Verify_Success", _
                                                cPresence, "DmClientDeployment_Info_Uninstall_Success", _
                                                cPresence, "DmClientDeployment_Error_No_Connection", _
                                                cPresence, "DmClientDeployment_Error_Invalid_Settings", _
                                                cPresence, "DmClientDeployment_Error_CliXfer_Dir", _
                                                cPresence, "DmClientDeployment_Error_No_RAPI", _
                                                cPresence, "DmClientDeployment_Error_Bad_Proc", _
                                                cPresence, "DmClientDeployment_Error_Bad_OS", _
                                                cPresence, "DmClientDeployment_Error_Bad_Client_Version", _
                                                cPresence, "DmClientDeployment_Error_Bad_Settings", _
                                                cPresence, "DmClientDeployment_Error_Copy", _
                                                cPresence, "DmClientDeployment_Error_Cab_Install", _
                                                cPresence, "DmClientDeployment_Error_No_Status", _
                                                cPresence, "DmClientDeployment_Error_Installer_Dir", _
                                                cPresence, "DmClientDeployment_Error_PreCommand", _
                                                cPresence, "DmClientDeployment_Error_PostCommand", _
                                                cPresence, "DmClientDeployment_Error_Install_Uninstall_Previous", _
						cPresence, "DmClientDeployment_Error_Install_Bad_Settings", _
                                                cPresence, "DmClientDeployment_Error_Install_Cab_Install", _
                                                cPresence, "DmClientDeployment_Error_Install_Start_Client", _
                                                cPresence, "DmClientDeployment_Error_Install_Update_Settings", _
                                                cPresence, "DmClientDeployment_Error_Verify_Uninstall_Previous", _
                                                cPresence, "DmClientDeployment_Error_Verify_Bad_Settings", _
                                                cPresence, "DmClientDeployment_Error_Verify_Cab_Install", _
                                                cPresence, "DmClientDeployment_Error_Verify_Start_Client", _
                                                cPresence, "DmClientDeployment_Error_Verify_Update_Settings", _
                                                cPresence, "DmClientDeployment_Error_Verify_Restore_Files", _
                                                cPresence, "DmClientDeployment_Error_Client_Uninstall", _
                                                cPresence, "CCM_ServiceHost_CertificateOperationsFailure", _
                                                cPresence, "CCM_Framework_ClientIdUpdated", _
                                                cPresence, "SMS_DCM_StatusMessage", _
                                                cPresence, "SMS_DCM_SdmStatusMessage", _
                                                cPresence, "SMS_DCM_CIDownloadFailed", _
                                                cPresence, "SMS_DCM_CIDownloadTimeout", _
                                                cPresence, "SMS_DCM_CIHashMismatch", _
                                                cPresence, "SMS_DCM_DotNetMissing", _
                                                cPresence, "SMS_DCM_SdmDownloadFailed", _
                                                cPresence, "SMS_DCM_SdmDownloadTimeout", _
                                                cPresence, "SMS_DCM_SdmHashMismatch", _
                                                cPresence, "SMS_DCM_SdmEvaluationFailed", _
                                                cPresence, "SMS_DCM_SdmReportingFailed", _
                                                cPresence, "SMS_DCM_SdmCompliant", _
                                                cPresence, "SMS_DCM_SdmNonCompliant_Info", _
                                                cPresence, "SMS_DCM_SdmNonCompliant_Warn", _
                                                cPresence, "SMS_DCM_SdmNonCompliant_Error", _
                                                cPresence, "SMS_DCM_CIDecompressionFailure", _
                                                cPresence, "SMS_DCM_PackageDecompressionFailure", _
                                                cPresence, "SMS_DCM_CIInternalFailure", _
                                                cPresence, "SMS_DCM_PackageInternalFailure", _
                                                cPresence, "SMS_DCM_DiscoveryLaunchFailure", _
                                                cPresence, "SMS_DCM_DiscoveryProcessFailure", _
                                                cPresence, "SMS_DCM_ModelViolations", _
                                                cPresence, "SMS_DCM_DiscoveryViolations", _
                                                cPresence, "CCM_RemoteClient_Reassigned", _
                                                cPresence, "CCM_LocationServices_SiteSigning_AuthFailure_Revoked", _
                                                cPresence, "CCM_LocationServices_SiteSigning_AuthFailure_Expired", _
                                                cPresence, "CCM_LocationServices_SiteSigning_AuthFailure_Trust", _
                                                cPresence, "CCM_DataTransferService_BITS_SecureFailure", _
                                                cPresence, "CCM_LocationServices_ManagementPointCertificate_CrossVerificationFailure", _
                                                cPresence, "CCM_ServiceHost_CertRetrieval_Status", _
                                                cPresence, "CCM_LocationServices_LocationBaseChange", _
						cPresence, "CCM_LocationServices_ProxyChanged", _
                                                cPresence, "SMS_PDP_Event", _
                                                cPresence, "PDPDownloadStartedEvent", _
                                                cPresence, "PDPDownloadStartedEvent", _
                                                cPresence, "PDPDownloadFailEvent", _
						cPresence, "PDPDownloadCancelEvent", _
                                                cPresence, "PDPHashMismatchEvent", _
                                                cPresence, "PDPNoDiskSpaceEvent", _
                                                cPresence, "PDPNoNTFSEvent", _
                                                cPresence, "PDPDiskNotFoundEvent", _
                                                cPresence, "PDPCreateDirFailEvent", _
                                                cPresence, "PDPCreateShareFailEvent", _
                                                cPresence, "PDPSetACLFailEvent", _
                                                cPresence, "PDPMoveCopyFailEvent", _
                                                cPresence, "PDPInvalidPolicyEvent", _
                                                cPresence, "PDPDoNotDownloadEvent", _
                                                cPresence, "PDPPkgAlreadyExistsEvent", _
                                                cPresence, "PDPErrorSendingSTAEvent", _
                                                cPresence, "PDPMaxRetryEvent", _
                                                cPresence, "PDPNoBits20Event", _
                                                cPresence, "PDPPkgDeleteEvent", _
                                                cPresence, "PDPProvisionSuccessEvent", _
                                                cPresence, "PDPUnableStartMaintenanceEvent", _
                                                cPresence, "PDPBITSConfigChanged", _
                                                cPresence, "PDPBITSConfigDeleted", _
                                                cPresence, "PDPStartMaintenanceTaskAll", _
                                                cPresence, "PDPMaintenanceTaskList", _
                                                cPresence, "PDPMaintenancePkgNotExists", _
                                                cPresence, "PDPPkgShareMoved", _
                                                cPresence, "PDPInternetClientEvent", _
                                                cPresence, "PDPPNonDomainClientEvent", _
                                                cPresence, "PDPEnabled", _
                                                cPresence, "PDPDisabled", _
                                                cPresence, "PDPPkgDeleteFailEvent", _
                                                cPresence, "CCM_PolicyAgent_PolicyAuthorizationFailure", _
                                                cPresence, "MPEvent_ClientAuth_SignatureFailure", _
                                                cPresence, "SMS_RemoteClient_SiteSigning_AuthFailure_Revoked", _
                                                cPresence, "SMS_RemoteClient_SiteSigning_AuthFailure_Expired", _
                                                cPresence, "SMS_RemoteClient_SiteSigning_AuthFailure_Trust", _
                                                cPresence, "SMS_RemoteClient_DataTransferService_BITS_SecureFailure", _
                                                cPresence, "SMS_PolicyAgent_PolicyAuthorizationFailure", _
                                                cPresence, "SMS_RemoteClient_ManagementPointCertificate_CrossVerificationFailure", _
                                                cPresence, "DmClientDeployment_Info_Install_Success_Certificate_Enrollment_Not_Required", _
                                                cPresence, "DmClientDeployment_Info_Upgrade_Success_Certificate_Enrollment_Not_Required", _
                                                cPresence, "DmClientDeployment_Info_Verify_Success_Certificate_Enrollment_Not_Required", _
                                                cPresence, "DmClientDeployment_Warn_Install_Success_Cert_Failed", _
                                                cPresence, "DmClientDeployment_Warn_Upgrade_Success_Cert_Failed", _
                                                cPresence, "DmClientDeployment_Warn_Verify_Success_Cert_Failed", _
                                                cPresence, "DmClientDeployment_Error_Unknown_Failure", _
						cPresence, "DmClientDeployment_Error_Install_Privileged_Certificate", _
						cPresence, "DmClientDeployment_Error_Generic", _
                                                cPresence, "DmClientDeployment_Error_Launch_Client_Setup", _
                                                cPresence, "DMCLIENTDEPLOYMENT_ERROR_ENFORCING_NEW_CLIENT", _
                                                cPresence, "DMCLIENTDEPLOYMENT_ERROR_ENFORCING_OLD_CLIENT", _
                                                cPresence, "DMCLIENTDEPLOYMENT_ERROR_PERFORMING_POST_CAB_INSTALL_STEPS", _
                                                cPresence, "SMS_NAP_StatusMessage", _
                                                cPresence, "NAP_Status_ClientFragility", _
                                                cPresence, "SMS_SUMAgentEvent", _
                                                cPresence, "SMS_SUMScanAgentEvent", _
                                                cPresence, "SMS_SUMAgentUpdateEvent", _
                                                cPresence, "SMS_SUMAgentAssignmentEvent", _
                                                cPresence, "SMS_SUMAgentUpdateError_NoScanTool", _
                                                cPresence, "SMS_SUMAgentUpdateError_NoScanTool_Mom", _
                                                cPresence, "SMS_SUMAgentUpdateError_ScanFailed", _
                                                cPresence, "SMS_SUMAgentUpdateError_ScanFailed_Mom", _
                                                cPresence, "SMS_SUMAgentUpdateError_HashMismatch", _
                                                cPresence, "SMS_SUMAgentUpdateError_HashMismatch_Mom", _
                                                cPresence, "SMS_SUMAgentUpdateError_NoContent", _
                                                cPresence, "SMS_SUMAgentUpdateError_NoContent_Mom", _
                                                cPresence, "SMS_SUMAgentUpdateError_InsufficientCache", _
                                                cPresence, "SMS_SUMAgentUpdateError_InsufficientCache_Mom", _
                                                cPresence, "SMS_SUMAgentUpdateError_InsufficientCacheSize", _
                                                cPresence, "SMS_SUMAgentUpdateError_InsufficientCacheSize_Mom", _
                                                cPresence, "SMS_SUMAgentUpdateError_DownloadFailed", _
                                                cPresence, "SMS_SUMAgentUpdateError_DownloadFailed_Mom", _
                                                cPresence, "SMS_SUMAgentUpdateError_InvalidCommandline", _
                                                cPresence, "SMS_SUMAgentUpdateError_InvalidCommandline_Mom", _
                                                cPresence, "SMS_SUMAgentUpdateError_UpdateFailed", _
                                                cPresence, "SMS_SUMAgentUpdateError_UpdateFailed_Mom", _
                                                cPresence, "SMS_SUMAgentUpdateError_TimeExpired", _
                                                cPresence, "SMS_SUMAgentUpdateError_TimeExpired_Mom", _
                                                cPresence, "SMS_SUMAgentUpdateError_CreateProcess", _
                                                cPresence, "SMS_SUMAgentUpdateError_CreateProcess_Mom", _
                                                cPresence, "SMS_SUMAgentUpdateError_InstallerPath", _
                                                cPresence, "SMS_SUMAgentUpdateError_InstallerPath_Mom", _
                                                cPresence, "SMS_SUMAgentUpdateError_ResumeProcess", _
                                                cPresence, "SMS_SUMAgentUpdateError_ResumeProcess_Mom", _
                                                cPresence, "SMS_SUMAgentUpdateError_Internal", _
                                                cPresence, "SMS_SUMAgentUpdateError_Internal_Mom", _
                                                cPresence, "SMS_SUMAgentBundleError_FailedContent", _
                                                cPresence, "SMS_SUMAgentBundleError_FailedContent_Mom", _
                                                cPresence, "SMS_SUMAgentBundleError_FailedExecute", _
                                                cPresence, "SMS_SUMAgentBundleError_FailedExecute_Mom", _
                                                cPresence, "SMS_SUMAgentBundleError_FailedEvaluate", _
						cPresence, "SMS_SUMAgentBundleError_FailedEvaluate_Mom", _
                                                cPresence, "SMS_SUMAgentUpdateError_NoServiceWindow", _
                                                cPresence, "SMS_SUMAgentUpdateError_NoServiceWindow_Mom", _
                                                cPresence, "SMS_SUMAgentAssignmentError_EnforcementJob", _
                                                cPresence, "SMS_SUMAgentAssignmentError_EnforcementJob_Mom", _
                                                cPresence, "SMS_SUMAgentAssignmentError_UpdatesFailures", _
                                                cPresence, "SMS_SUMAgentAssignmentError_UpdatesFailures_Mom", _
                                                cPresence, "SMS_SUMAgentAssignmentError_NonCompliance", _
                                                cPresence, "SMS_SUMAgentAssignmentError_NonCompliance_Mom", _
                                                cPresence, "SMS_SUMAgentAssignmentError_PostRestartDectect", _
                                                cPresence, "SMS_SUMAgentAssignmentError_PostRestartDectect_Mom", _
                                                cPresence, "SMS_SUMAgentAssignmentError_EnforcementInitiate", _
                                                cPresence, "SMS_SUMAgentAssignmentError_EnforcementInitiate_Mom", _
                                                cPresence, "SMS_SUMAgentAssignmentError_EvaluationInititate", _
                                                cPresence, "SMS_SUMAgentAssignmentError_EvaluationInititate_Mom", _
                                                cPresence, "SMS_SUMAgentAssignmentError_EvaluationJob", _
                                                cPresence, "SMS_SUMAgentAssignmentError_EvaluationJob_Mom", _
                                                cPresence, "SMS_SUMAgentAssignmentError_InvalidPolicy", _
                                                cPresence, "SMS_SUMAgentAssignmentError_InvalidPolicy_Mom", _
                                                cPresence, "SMS_SUMAgentAssignmentError_AdvanceDownloadInitiate", _
                                                cPresence, "SMS_SUMAgentAssignmentError_AdvanceDownloadInitiate_Mom", _
                                                cPresence, "SMS_SUMAgentAssignmentError_AdvanceDownloadJob", _
                                                cPresence, "SMS_SUMAgentAssignmentError_AdvanceDownloadJob_Mom", _
                                                cPresence, "SMS_SUMAgentAssignmentError_NoServiceWindow", _
                                                cPresence, "SMS_SUMAgentAssignmentError_NoServiceWindow_Mom", _
                                                cPresence, "SMS_SUMScanAgentInfo_ScanStarted", _
                                                cPresence, "SMS_SUMScanAgentError_UnableToStart", _
                                                cPresence, "SMS_SUMScanAgentInfo_SuccessfulScan", _
                                                cPresence, "SMS_SUMScanAgentError_ScanTimeout", _
                                                cPresence, "SMS_SUMScanAgentInfo_WaitingForContent", _
                                                cPresence, "SMS_SUMScanAgentError_ContentDownloadFailed", _
                                                cPresence, "SMS_SUMScanAgentError_InsuffucientCacheSize", _
                                                cPresence, "SMS_SUMScanAgentError_InsuffucientCache", _
                                                cPresence, "SMS_SUMScanAgentError_ScanFailed", _
                                                cPresence, "SMS_SUMScanAgentError_UpdateSourceConfigurationFailed", _
                                                cPresence, "SMS_SUMScanAgentError_LegacyScannerNotSupported", _
                                                cPresence, "SMS_SUMScanAgentWarning_ScanSucceededWithErrors", _
                                                cPresence, "SoftDistProgramWaitingPaused"), _
                                         Array (cCritical, "Select * From MSFT_DecoupledProvider WHERE Name='StatusAgentProvider' And Clsid='{54D8502C-527D-43F7-A506-A9DA075E229C}'", _
                                                cCritical, "Select * From __EventProviderRegistration WHERE Provider =""\\\\.\\root\\CCM\\Events:MSFT_DecoupledProvider.Name='StatusAgentProvider'""", _
                                                cCritical, "Select * From CCM_EventForwarder WHERE Name='StandardForwarder' AND ClassID='{F3133CB2-03F7-4145-9DA5-C437898163C9}'", _
                                                cCritical, "Select * From CCM_EventForwarder WHERE Name='SmsEventLogForwarder' AND ClassID='{432848e6-20a1-4cc7-afa6-7a3416881593}'", _
						cCritical, "Select * From CCM_EventForwarder WHERE Name='SmsClientEventForwarder' AND ClassID='{3EBECAFE-6A49-40FF-B51E-6A6E0933A636}'", _
                                                cCritical, "Select * From CCM_EventForwarder WHERE Name='SmsFrameworkEventForwarder' AND ClassID='{6BBDFEDC-261A-4ea8-B23A-1357700E441B}'"), _
                                         Null, _
                                   "root/ccm/Policy", _
                                         True, _
                                         Array (cPresence, "CCM_Policy", _
						cPresence, "CCM_StandardEventForwarder_Configuration", _
                                                cPresence, "CCM_Policy_EmbeddedObject", _
                                                cPresence, "CCM_Policy_Config", _
                                                cPresence, "CCM_Policy_Policy", _
                                                cPresence, "CCM_Policy_Policy2", _
                                                cPresence, "CCM_Policy_Policy3", _
						cPresence, "CCM_Policy_Policy4", _
                                                cPresence, "CCM_Policy_Rules", _
                                                cPresence, "CCM_Policy_Assignment", _
                                                cPresence, "CCM_Policy_Assignment2", _
                                                cPresence, "CCM_Policy_Condition", _
                                                cPresence, "CCM_Policy_Expression", _
                                                cPresence, "CCM_Policy_Operator", _
                                                cPresence, "CCM_Policy_ExpressionHandlerRegistration", _
                                                cPresence, "CCM_Policy_Rule", _
                                                cPresence, "CCM_Policy_Rule2", _
                                                cPresence, "CCM_Policy_Rule_State", _
                                                cPresence, "CCM_Policy_Action", _
                                                cPresence, "CCM_Policy_ActionHandlerRegistration", _
                                                cPresence, "CCM_Policy_ServerCookieData", _
                                                cPresence, "CCM_Policy_AuthorityData", _
                                                cPresence, "CCM_Policy_AuthorityData2", _
                                                cPresence, "CCM_PolicyAgent_Configuration", _
                                                cPresence, "CCM_UserGroup", _
                                                cPresence, "CCM_UserGroupChanged", _
                                                cPresence, "CCM_Service_GlobalConfiguration", _
                                                cPresence, "CCM_Messaging_Configuration", _
                                                cPresence, "CCM_Service_BITSConfiguration", _
                                                cPresence, "CCM_Service_IISConfiguration", _
                                                cPresence, "CCM_Service_EndpointConfiguration", _
                                                cPresence, "CCM_Service_SystemTaskConfiguration", _
                                                cPresence, "CCM_Service_HostedClass", _
                                                cPresence, "CCM_Logging_GlobalConfiguration", _
                                                cPresence, "CCM_Logging_ComponentConfiguration", _
                                                cPresence, "CCM_SoftwareDistribution", _
                                                cPresence, "CCM_SoftwareDistributionClientConfig", _
                                                cPresence, "CCM_SoftwareMeteringClientConfig", _
                                                cPresence, "CCM_SoftwareMeteringRule", _
                                                cPresence, "CCM_ProductSource", _
                                                cPresence, "CCM_SourceUpdateClientConfig", _
                                                cPresence, "CCM_Scheduler_ScheduledMessage", _
                                                cPresence, "CCM_Message_Auth_Configuration", _
                                                cPresence, "CCM_DirectoryLookup_Configuration", _
                                                cPresence, "SMS_InventoryAgent_Policy", _
                                                cPresence, "SMS_InventoryAgent_EmbeddedObject", _
                                                cPresence, "InventoryAction", _
                                                cPresence, "InventoryDataItem", _
                                                cPresence, "InventoryDataContext", _
                                                cPresence, "PropertyRule", _
                                                cPresence, "CCM_InventoryClientConfig", _
                                                cPresence, "SMS_FileCollectionAgent_Policy", _
                                                cPresence, "FileCollectionAction", _
                                                cPresence, "CollectableFileItem", _
                                                cPresence, "CCM_ClientActions", _
                                                cPresence, "CCM_ClientProperties", _
                                                cPresence, "CCM_PolicyReplicationConsumer", _
						cPresence, "CCM_Message_Encrypt_Configuration", _
                                                cPresence, "InventoryClientAuthenticationConfig", _
                                                cPresence, "CCM_Service_BITS2Configuration", _
                                                cPresence, "CCM_Service_ResourceProfileConfiguration", _
                                                cPresence, "CCM_Service_ResourceProfileInformation", _
                                                cPresence, "CCM_CIAssignment", _
                                                cPresence, "CCM_DCMCIAssignment", _
                                                cPresence, "CCM_RebootSettings", _
                                                cPresence, "CCM_ServiceWindow", _
                                                cPresence, "CCM_CollectionVariable", _
                                                cPresence, "ConfigurationComplianceDefinition", _
                                                cPresence, "CCDToCIAssociation", _
                                                cPresence, "ConfigurationItem", _
                                                cPresence, "NAPComplianceDefinition", _
                                                cPresence, "CCM_DownloadProvider", _
                                                cPresence, "CCM_ConfigurationManagementClientConfig", _
                                                cPresence, "CCM_PeerDP_Package", _
                                                cPresence, "CCM_DistributionPoint", _
                                                cPresence, "CCM_DPConfig", _
                                                cPresence, "CCM_UpdateSource", _
                                                cPresence, "CCM_ScanMethodConfiguration", _
                                                cPresence, "CCM_ClientAgentConfig", _
                                                cPresence, "CCM_SystemHealthClientConfig", _
                                                cPresence, "CCM_TaskSequence", _
                                                cPresence, "CCM_NetworkAccessAccount", _
                                                cPresence, "CCM_RootCACertificates", _
                                                cPresence, "CCM_UpdateCIAssignment", _
						cPresence, "CCM_SoftwareUpdatesClientConfig"), _
                                         Array (cCritical, "Select * From CCM_PolicyReplicationConsumer WHERE Id=""{9099D177-1AD6-46e6-BBC0-70F460786953}""", _
                                                cCritical, "Select * From __Win32Provider WHERE Name=""PolicyReplicationConsumerProvider"" AND CLSID=""{BA9313BF-AF06-4f18-949E-82A861AF2D57}""", _
                                                cCritical, "Select * From __EventConsumerProviderRegistration WHERE Provider = ""\\\\.\\root\\ccm\\policy:__Win32Provider.Name='PolicyReplicationConsumerProvider'""", _
                                                cCritical, "Select * From __EventFilter WHERE Name=""PolicyClassEventFilter""", _
                                                cCritical, "Select * From __EventFilter WHERE Name=""PolicyNamespaceEventFilter""", _
                                                cCritical, "Select * From __EventFilter WHERE Name=""PolicyConfigEventFilter""", _
                                                cCritical, "Select * From __EventFilter WHERE Name=""PolicyEmbeddedObjectEventFilter""", _
                                                cCritical, "Select * From __FilterToConsumerBinding WHERE Filter=""\\\\.\\root\\ccm\\policy:__EventFilter.Name='PolicyClassEventFilter'""", _
                                                cCritical, "Select * From __FilterToConsumerBinding WHERE Filter=""\\\\.\\root\\ccm\\policy:__EventFilter.Name='PolicyNamespaceEventFilter'""", _
                                                cCritical, "Select * From __FilterToConsumerBinding WHERE Filter=""\\\\.\\root\\ccm\\policy:__EventFilter.Name='PolicyConfigEventFilter'""", _
                                                cCritical, "Select * From __FilterToConsumerBinding WHERE Filter=""\\\\.\\root\\ccm\\policy:__EventFilter.Name='PolicyEmbeddedObjectEventFilter'""", _
                                                cCritical, "Select * From CCM_Policy_ExpressionHandlerRegistration WHERE Name=""WQL"" AND Clsid=""{50DC39EC-30A2-4fec-87CA-E54F67944474}""", _
						cCritical, "Select * From CCM_Policy_ActionHandlerRegistration WHERE Name=""WMI-XML"" AND Clsid=""{167B611B-D321-46DA-B344-43FAF5296940}""", _
                                                cCritical, "Select * From CCM_Policy_ActionHandlerRegistration WHERE Name=""WMI-MOF"" AND Clsid=""{FBA8EA8E-B80E-4b46-BD44-1AB03F99E8BB}"""), _
                                         Null, _
                                   "root/ccm/policy/defaultmachine", _
                                         True, _
                                         Null, _
                                         Null, _
                                         Null, _
                                   "root/ccm/policy/defaultmachine/requestedconfig", _
                                         True, _
                                         Null, _
                                         Null, _
                                         Null, _
                                   "root/ccm/policy/defaultmachine/actualconfig", _
                                         True, _
                                         Null, _
                                         Null, _
                                         Null, _
                                   "root/ccm/policy/defaultuser", _
                                         True, _
                                         Null, _
                                         Null, _
                                         Null, _
                                   "root/ccm/policy/defaultuser/requestedconfig", _
                                         True, _
                                         Null, _
                                         Null, _
                                         Null, _
                                   "root/ccm/policy/defaultuser/actualconfig", _
                                         True, _
                                         Null, _
                                         Null, _
                                         Null, _
                                   "root/ccm/policy/machine/actualconfig", _
                                         True, _
                                         Null, _
                                         Null, _
                                         Null, _
                                   "root/ccm/Scheduler", _
                                         True, _
                                         Array (cPresence, "CCM_Scheduler_History"), _
                                         Null, _
                                         Null, _
                                   "root/ccm/SoftwareMeteringAgent", _
                                         True, _
                                         Array (cPresence, "CCM_MeteredProductInfo", _
                                                cPresence, "CCM_MeteredFileInfo", _
                                                cPresence, "CCM_HistoricalMeteredData", _
						cPresence, "CCM_SWMeteringAgentProperties", _
                                                cPresence, "CCM_RecentlyUsedApps"), _
                                         Null, _
                                         Null, _
                                   "root/ccm/Policy/machine", _
                                         True, _
                                         Null, _
                                         Array (cCritical, "Select * From CCM_Logging_GlobalConfiguration WHERE DummyKey=1", _
                                                cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""SmsSoftwareDistribution.Instance0""", _
                                                cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""{00000000-0000-0000-0000-000000000001}""", _
                                                cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""ServiceHost.Instance0""", _
                                                cCritical, "Select * From CCM_Scheduler_ScheduledMessage WHERE ScheduledMessageID = ""{00000000-0000-0000-0000-000000000021}""", _
                                                cCritical, "Select * From CCM_Scheduler_ScheduledMessage WHERE ScheduledMessageID = ""{00000000-0000-0000-0000-000000000022}""", _
                                                cCritical, "Select * From CCM_Scheduler_ScheduledMessage WHERE ScheduledMessageID = ""{00000000-0000-0000-0000-000000000023}""", _
                                                cCritical, "Select * From CCM_Scheduler_ScheduledMessage WHERE ScheduledMessageID = ""{00000000-0000-0000-0000-000000000040}""", _
                                                cCritical, "Select * From CCM_Scheduler_ScheduledMessage WHERE ScheduledMessageID = ""{00000000-0000-0000-0000-000000000042}""", _
                                                cCritical, "Select * From CCM_Scheduler_ScheduledMessage WHERE ScheduledMessageID = ""{00000000-0000-0000-0000-000000000051}""", _
                                                cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""CPApplet Client Action"" AND CLSID = ""{F80A8D57-D338-43FF-A5E6-5D093EA80775}""", _
                                                cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Content Transfer Manager Class"" AND CLSID = ""{5becbdd8-9dd9-435e-88aa-4c62bbda74ad}""", _
                                                cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Content Access Service Cache Manager Class"" AND CLSID = ""{135D7881-D666-4046-A1DF-7EC7B5785A67}""", _
                                                cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Data Transfer Service Class"" AND CLSID = ""{b61b02c8-6f75-4f74-9fa4-eea5f391a425}""", _
                                                cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""SMS Product Source List for Windows Installer"" AND CLSID = ""{2AE987B9-18A2-4961-A91C-197FBE103535}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""CertificateMaintenanceEndpoint"" AND CoClass = ""{AB008B5A-29B3-4DE0-9930-A9004F8C9F3F}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""CTMDTSReply"" AND CoClass = ""{111F6CCB-0304-4081-91E0-61846BEE57C3}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""execmgr"" AND CoClass = ""{EECA3D86-F60F-4646-8D47-07A371EE4BF5}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""InventoryAgent"" AND CoClass = ""{E0968C45-7DE0-4ED8-8ADC-550BD20161BB}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""LS_ReplyLocations"" AND CoClass = ""{2F382DC1-FF25-486E-896F-60AB49ABB410}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""LS_ScheduledCleanup"" AND CoClass = ""{750D84E5-20F6-47B7-A5E3-66C16B193049}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""MtrMgr"" AND CoClass = ""{53E037F3-7ED6-4AB3-9C4B-33AC188CF130}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""PolicyAgent_Cleanup"" AND CoClass = ""{F59630CC-3FE3-4306-9BD1-1E4270333F12}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""PolicyAgent_PolicyDownload"" AND CoClass = ""{5A97C631-CA21-4595-B1B8-EB6C47D34051}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""PolicyAgent_PolicyEvaluator"" AND CoClass = ""{4E9DCC5B-A1BF-436C-9AC0-5CE1E022ED31}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""PolicyAgent_ReplyAssignments"" AND CoClass = ""{AA7F0969-09E2-4D7E-8E61-BFFC3A7FF689}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""PolicyAgent_RequestAssignments"" AND CoClass = ""{8C3F84DE-9596-4C99-B5A8-BE31178C2338}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""PolicyAgent_ReRequestPolicy"" AND CoClass = ""{17E58800-8549-444B-B1E2-5DB454B4DBE8}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""SrcUpdateMgr"" AND CoClass = ""{451F8ED4-D182-4CF6-8251-337EC7FF577D}""", _
                                                cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""SWMTRReportGen"" AND CoClass = ""{CA227B79-697F-4ECE-9D4E-A0C6B42C7832}""", _
                                                cCritical, "Select * From CCM_ClientActions WHERE ActionID = ""{8EF4D77C-8A23-45c8-BEC3-630827704F51}""", _
                                                cCritical, "Select * From CCM_ClientActions WHERE ActionID = ""{3A88A2F3-0C39-45fa-8959-81F21BF500CE}""", _
                                                cCritical, "Select * From CCM_ClientProperties", _
                                                cCritical, "Select * From InventoryDataItem", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CCMEXEC""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ccmperf""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CertificateMaintenance""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CertificateMaintenanceEndpoint""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ClientIDManagerStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ClientLocation""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ContentAccess""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ContentTransferManager""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CTMDTSReply""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CTMStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""DataTransferService""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""DTSLogon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""DTSStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""execmgr""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ExecmgrLogoff""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ExecmgrLogon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ExecmgrStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""FileBITS""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""FileBITSLogoff""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""FileBITSLogon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""FileBITSStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""InventoryAgent""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""LocationServices""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""LS_ReplyLocations""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""LS_ScheduledCleanup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""LSLogon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""LSMaintenance""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""LSNetworkChange""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""MIFProvider""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""mtrmgr""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""MtrMgrShutdown""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""MtrMgrStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyAgent_Cleanup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyAgent_PolicyDownload""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyAgent_PolicyEvaluator""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyAgent_ReplyAssignments""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyAgent_RequestAssignments""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyAgent_ReRequestPolicy""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyEvaluator_Logon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PolicyEvaluator_Startup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""RemoteToolsAgent""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""RemoteToolsStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""Scheduler""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SchedulerLogoff""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SchedulerLogon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SchedulerShutdown""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SchedulerStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SMS_EventLogForwarder""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SmsClientMethodProvider""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""smscliui""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SrcUpdateLogoff""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SrcUpdateLogon""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SrcUpdateMgr""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SrcUpdateNetworkChange""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SrcUpdateStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""StatusAgent""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""StatusAgentShutdown""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""StatusAgentStandardForwarder""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""StatusAgentStartup""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SWMTRReportGen""", _
                                                cCritical, "Select * From CCM_Service_GlobalConfiguration WHERE DummyKey = 1", _
                                                cCritical, "Select * From CCM_Messaging_Configuration WHERE DummyKey = 1", _
                                                cCritical, "Select * From CCM_Service_BITSConfiguration WHERE DummyKey = 1", _
                                                cCritical, "Select * From CCM_Message_Auth_Configuration WHERE DummyKey = 1", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""CertificateMaintenance"" AND CoClass = ""{92652E89-6F26-4649-A319-E8E0F4858BB8}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""ClientIDManagerStartup"" AND CoClass = ""{18B4D28B-B5ED-4FA9-9F0B-449F6A3906DF}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""CTMStartup"" AND CoClass = ""{0797FA65-B140-4ad8-BC24-7E702C855337}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""DTSLogon"" AND CoClass = ""{C655AFCA-70CB-4C27-8FB3-3D2A90529C34}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""DTSStartup"" AND CoClass = ""{57985DF7-569A-484a-A2E6-70F100024340}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""ExecmgrLogon"" AND CoClass = ""{6B84FE09-4914-4CF9-A32F-71E7B7C3391E}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""ExecmgrLogoff"" AND CoClass = ""{20C15473-0F6D-4877-A13A-EB9DCFF4F843}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""ExecmgrStartup"" AND CoClass = ""{D94768A8-18CA-4018-8ECA-6A22F0A4E6C9}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""FileBITSLogoff"" AND CoClass = ""{52C72C90-A4C4-4263-B771-055524FA2507}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""FileBITSLogon"" AND CoClass = ""{66508F24-5509-422D-B98D-C517A19CC03D}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""FileBITSStartup"" AND CoClass = ""{E94C4865-9BD2-4314-8A9D-6DBDD0333085}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""LSLogon"" AND CoClass = ""{D6E8E829-A355-4706-A7DA-2AB8E323DAB7}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""LSMaintenance"" AND CoClass = ""{0EB9E5B3-21C8-4724-BF74-388164088C95}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""LSNetworkChange"" AND CoClass = ""{D6E8E829-A355-4706-A7DA-2AB8E323DAB7}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""MtrMgrShutdown"" AND CoClass = ""{437E822C-8337-4E70-A03B-B75E79D7B975}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""MtrMgrStartup"" AND CoClass = ""{994A7A85-B75B-4F34-8B34-842FD70C830A}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""PolicyEvaluator_Logon"" AND CoClass = ""{F13946FA-8641-4B12-8BC0-2868D45D62FF}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""PolicyEvaluator_Startup"" AND CoClass = ""{F13946FA-8641-4B12-8BC0-2868D45D62FF}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SchedulerLogoff"" AND CoClass = ""{4221FFD7-AEFA-48CF-A33C-06E39F796A67}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SchedulerLogon"" AND CoClass = ""{A07AAC0B-D31A-4F53-9857-BE2B42D80B49}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SchedulerShutdown"" AND CoClass = ""{A3A4B535-C526-42B2-9236-90D460F9FEF7}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SchedulerStartup"" AND CoClass = ""{7F1A2A2C-2167-47A1-BCB7-973D05C0CF5F}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SrcUpdateLogoff"" AND CoClass = ""{84CC61B8-9EA7-4EE2-B839-D7F1852A3688}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SrcUpdateLogon"" AND CoClass = ""{C36F6DB3-F7A5-40FE-94B2-E1C2D4DE20B2}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SrcUpdateNetworkChange"" AND CoClass = ""{74C50AEB-19A8-4218-9A9E-02C208488136}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SrcUpdateStartup"" AND CoClass = ""{C50E9002-F397-4402-BF78-07194C5DA599}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""StatusAgentShutdown"" AND CoClass = ""{045A0AA9-A9B2-4156-B8D3-25D5A6F49510}""", _
                                                cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""StatusAgentStartup"" AND CoClass = ""{30FE11D5-5FA6-42CF-AB38-9128202E8864}""", _
                                                cCritical, "Select * From CCM_PolicyAgent_Configuration", _
						cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""SmsSoftwareDistribution.Instance1""", _
                                                cCritical, "Select * From CCM_StandardEventForwarder_Configuration WHERE InstanceID = ""{00000000-0000-0000-0000-000000000000}""", _
                                                cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Software Distribution Ex Class"" AND CLSID = ""{5179b48c-c9fb-4ce1-b0ea-c3bf0e68c04c}""", _
                                                cCritical, "Select * From CCM_Message_Encrypt_Configuration WHERE DummyKey = 1", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ClientAuth""", _
                                                cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""Encryptionhook""", _
						cCritical, "Select * From InventoryDataItem", _
						cCritical, "Select * From CCM_Service_BITS2Configuration", _
						cCritical, "Select * From CCM_Service_ResourceProfileConfiguration", _
						cCritical, "Select * From CCM_Service_ResourceProfileInformation", _
                                                cCritical, "Select * From InventoryClientAuthenticationConfig", _
                                                cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""CCM Network Proxy"" AND CLSID = ""{E67DBF56-96CA-4e11-83A5-5DEC8BD02EA8}""", _
						cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""SmsDCM.Instance0""", _
						cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""SmsBranchDP.Instance0""", _
						cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""Instance0""", _
						cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""SmsSUM.UpdateEventsInstance""", _
						cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""SmsSUM.AssignmentEventsInstance""", _
						cCritical, "Select * From CCM_Scheduler_ScheduledMessage WHERE ScheduledMessageID = ""{00000000-0000-0000-0000-000000000025}""", _
						cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""RTGroupPolicyConfig Class"" AND CLSID = ""{57C0AFD2-2895-4304-9DDB-1445A9A7BBC6}""", _
						cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""RCAgentControl Class"" AND CLSID = ""{3F09AE22-0764-42A4-AF29-F1D0F5A455A5}""", _
						cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""UpdatesScan Class"" AND CLSID = ""{E40745A1-F35A-48b1-A05D-29E6947C5C85}""", _
						cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""SHA External Interaction Class"" AND CLSID = ""{966FEDB0-2E21-4E5B-848D-797AA90DA80E}""", _
						cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""SHA Info"" AND CLSID = ""{EE1BD859-AACD-48fe-A9B6-9358DC21ADAE}""", _
						cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Reboot Request Class"" AND CLSID = ""{df75308d-0df4-428b-952c-ebff36dba3cb}""", _
						cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Schedule Info Class"" AND CLSID = ""{a8889e84-14d9-43d0-813a-249bffe193c2}""", _
						cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""ServiceWindow Manager Class"" AND CLSID = ""{E2B4C3C6-BB91-47d1-B564-5C6A0FBB1CE4}""", _
						cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Updates Deployment Class"" AND CLSID = ""{B6F3B912-A3C6-466d-8EE0-C09B0F63563F}""", _
						cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Updates Store Class"" AND CLSID = ""{589D622F-C05D-48D8-977A-57ABF87655E8}""", _
						cCritical, "Select * From CCM_ScanMethodConfiguration WHERE ScanMethod = ""CMDLINE_LEGACY""", _
						cCritical, "Select * From CCM_ScanMethodConfiguration WHERE ScanMethod = ""WUA""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""AssetAdvisor""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CALTrack_Shutdown""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CALTrack_Startup""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CCM_CALTRACK""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ccmcca""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CcmRestart""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CIAgent""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CIAgent_Shutdown""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CIAgent_Startup""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""CIAgentDtsReply""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ClientRegistration""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ClientRegistrationStartup""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""DCMAgent""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""DCMAgent_Shutdown""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""DCMAgent_Startup""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""DCMSDK""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""Discovery""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ExecmgrShutdown""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""FSPStateMessage""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""LocationCache""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ModeReadiness""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""NetworkProxy""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""NetworkProxyLogonTask""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""NetworkProxyNetworkChangeTask""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PeerDPAgent""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PeerDPManager""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PeerDPmgrStartup""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""PowerStateManager_PowerChanged""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ProxyMaintenanceEndpoint""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""RebootCoord""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""RebootCoordinator""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""RebootCoordLogoff""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""RebootCoordLogon""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""RebootCoordShutdown""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""RebootCoordStartup""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ScanAgent""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ScanAgentStartupTask""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SdmAgent""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SdmAgent_Shutdown""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SdmAgent_Startup""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SdmDiscAgent""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SdmPkgLoaderDtsReply""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ServiceWindowManager""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SmsClrHost""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""smssha""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SMSSHA_Shutdown""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SMSSHA_Startup""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SrvWinMgr""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SrvWinMgrShutdown""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""SrvWinMgrStartup""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""StateMessage""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""StateMessageManager""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdateDiscoveryProvider""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesAgent""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesAgentStartupTask""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesDeploymentAgent""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesDeploymentLogoffTask""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesDeploymentLogonTask""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesDeploymentShutdownTask""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesDeploymentStartupTask""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesHandler""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesStore""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdateStore""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""WUAHandler""", _
						cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""XmlStore""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""CIAgentDtsReply"" AND CoClass = ""{FE98DDE9-E725-4492-BAD6-0E9B0C47744F}""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""ClientRegistration"" AND CoClass = ""{8EC7E83E-3F67-414B-A9EC-86F0E36DC619}""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""DCMAgent"" AND CoClass = ""{B07C1D3E-637B-4C71-BC2F-06665F376A59}""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""PeerDPManager"" AND CoClass = ""{918989E1-A299-41C5-AD62-1F5F9336E11F}""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""ProxyMaintenanceEndpoint"" AND CoClass = ""{A2652E89-7F26-5649-A418-E7E1F5868CB9}""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""RebootCoord"" AND CoClass = ""{ECE79E71-2AC6-4A26-8D20-7A1E0A4D7A6D}""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""RemoteToolsAgent"" AND CoClass = ""{7BB3BE07-96FC-40A6-89CD-E2180149A266}""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""ScanAgent"" AND CoClass = ""{E17D9FF9-AF9F-4EE2-A35C-5B092C7DDF30}""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""SdmPkgLoaderDtsReply"" AND CoClass = ""{329E0625-C58F-4A93-B594-5A50ED00A4E0}""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""SMSSHA"" AND CoClass = ""{69794D1B-E3D0-4D08-A9CA-0B54FE1C1776}""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""SrvWinMgr"" AND CoClass = ""{E2B4C3C6-BB91-47D1-B564-5C6A0FBB1CE4}""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""StateMessageManager"" AND CoClass = ""{84ECA343-5158-48BB-87C3-37EF4B919F20}""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""UpdatesAgent"" AND CoClass = ""{2DB70103-3DFB-4806-85B0-B27B561284BB}""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""UpdatesDeploymentAgent"" AND CoClass = ""{5B6CBE3C-CA4B-4207-89D9-45548AB42370}""", _
						cCritical, "Select * From CCM_Service_EndpointConfiguration WHERE Name = ""UpdateStore"" AND CoClass = ""{A85DCCE4-4CBF-4802-8066-D518A93DACAA}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""CALTrack_Shutdown"" AND CoClass = ""{DE020011-051E-4D54-B543-3B1107195648}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""CALTrack_Startup"" AND CoClass = ""{3274077B-D115-425B-A11D-87D89032DB5D}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""CIAgent_Shutdown"" AND CoClass = ""{88CFBC1C-7424-4A0C-BA4D-9D3218143FD9}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""CIAgent_Startup"" AND CoClass = ""{01024B51-C524-42F7-8CCF-97AF361F8620}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""ClientRegistrationStartup"" AND CoClass = ""{A21EF016-C5FB-4040-A07D-F254B5B63453}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""DCMAgent_Shutdown"" AND CoClass = ""{76F76655-E0E4-4A4B-9BCB-B4B21A322E09}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""DCMAgent_Startup"" AND CoClass = ""{070C8E43-8DD5-40A0-9E51-99571FCDD8AF}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""ExecmgrShutdown"" AND CoClass = ""{858AA283-870F-49A5-ACE1-1C6CD20822B0}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""NetworkProxyLogonTask"" AND CoClass = ""{D3A3411F-43CB-474A-ADF1-74EF99B7AD7C}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""NetworkProxyNetworkChangeTask"" AND CoClass = ""{85EF4891-4686-43B3-8B6E-9ABE35CF7A24}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""PeerDPmgrStartup"" AND CoClass = ""{918989E1-A299-41C5-AD62-1F5F9336E11F}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""PolicyAgent_Startup"" AND CoClass = ""{0AF18720-092F-44DE-A46E-8473C3CEBAE1}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""PowerStateManager_PowerChanged"" AND CoClass = ""{80A05E30-1FBD-4883-A230-058D8F6CED74}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""RebootCoordLogoff"" AND CoClass = ""{EEF81F9C-8E96-43FA-89A3-0D9686CEB518}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""RebootCoordLogon"" AND CoClass = ""{884E3B2A-265B-4E7B-9C10-23E1DA25238A}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""RebootCoordShutdown"" AND CoClass = ""{89BF5214-FC5F-475A-AC08-723C5885A005}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""RebootCoordStartup"" AND CoClass = ""{6B6662B9-CA7B-4A08-82D9-C0BC1291B260}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""RemoteToolsStartup"" AND CoClass = ""{57769099-9788-482C-BCED-EE895D3DF591}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""ScanAgentStartupTask"" AND CoClass = ""{FE6F65AD-F204-4485-813E-818BD1803413}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SdmAgent_Shutdown"" AND CoClass = ""{9F3AA846-50B3-4CA7-8F0C-47FDC300B656}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SdmAgent_Startup"" AND CoClass = ""{E0DF4BAD-303C-4023-BFB8-4C8217CD9720}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SMSSHA_Shutdown"" AND CoClass = ""{12E72EDE-79C6-4CCC-8024-CD5CEE459072}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SMSSHA_Startup"" AND CoClass = ""{69794D1B-E3D0-4D08-A9CA-0B54FE1C1776}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SrvWinMgrShutdown"" AND CoClass = ""{D6C2C3A7-BE03-457D-9A79-CEF973B221A5}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""SrvWinMgrStartup"" AND CoClass = ""{917A8909-DC5B-4A37-9386-B2CDAC8E66F2}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""StatusAgentInitialization"" AND CoClass = ""{30FE11D5-5FA6-42CF-AB38-9128202E8864}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""UpdatesAgentStartupTask"" AND CoClass = ""{B4DE35C2-BEEB-49B5-B027-FE4BEA4A113C}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""UpdatesDeploymentLogoffTask"" AND CoClass = ""{699CD217-9C19-45B3-A93B-74EFE2FCE417}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""UpdatesDeploymentLogonTask"" AND CoClass = ""{9E4429F1-2DBB-4CD0-9D4D-D01646DF81CB}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""UpdatesDeploymentShutdownTask"" AND CoClass = ""{BAFBA325-0E26-4719-990E-C3A18D3B5B6B}""", _
						cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""UpdatesDeploymentStartupTask"" AND CoClass = ""{26134FB1-2277-422F-902F-B5574DC8CFA9}"""), _
                                         Null, _
                                   "root/cimv2", _
                                         True, _
                                         Array (cPresence, "Win32Reg_AddRemovePrograms", _
						cPresence, "Win32Reg_SMSGuestVirtualMachine", _
                                                cPresence, "Win32Reg_SMSAdvancedClientPorts", _
						cPresence, "Win32_USBDevice", _
						cPresence, "CCM_LogicalMemoryConfiguration", _
						cPresence, "Win32Reg_AddRemovePrograms64", _
						cPresence, "SMS_RegLookupEntry", _
						cPresence, "Win32Reg_SMSAdvancedClientSSLConfiguration", _
						cPresence, "SMS_AI_InstalledSoftwareDupDetect", _
						cPresence, "SMS_AI_InstalledSoftwareSetPropertyValue"), _
                                         Array (cCritical, "Select * From __Win32Provider WHERE Name = ""MS_VIEW_INSTANCE_PROVIDER"" AND ClsId = ""{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}""", _
                                                cCritical, "Select * From __Win32Provider WHERE Name = ""RegProv"" AND ClsId = ""{fe9af5c0-d3b6-11ce-a5b6-00aa00680c3f}""", _
                                                cCritical, "Select * From __Win32Provider WHERE Name = ""RegPropProv"" AND Clsid = ""{72967901-68EC-11d0-B729-00AA0062CBB7}""", _
                                                cCritical, "Select * From __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\cimv2:__Win32Provider.Name='MS_VIEW_INSTANCE_PROVIDER'""", _
                                                cCritical, "Select * From __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\cimv2:__Win32Provider.Name='RegProv'""", _
                                                cCritical, "Select * From __PropertyProviderRegistration WHERE Provider = ""\\\\.\\root\\cimv2:__Win32Provider.Name='RegPropProv'""", _
						cCritical, "Select * From Win32Reg_SMSGuestVirtualMachine", _
                                                cCritical, "Select * From Win32Reg_SMSAdvancedClientPorts", _
						cCritical, "select * from SMS_RegLookupEntry", _
						cCritical, "select * from WIN32Reg_SMSAdvancedClientSSLConfiguration", _
						cCritical, "select * from SMS_AI_InstalledSoftwareDupDetect", _
						cCritical, "select * from SMS_AI_InstalledSoftwareSetPropertyValue"), _
                                         Null, _
                                   "root/cimv2/sms", _
                                         True, _
                                         Array (cPresence, "SMS_Processor", _
                                                cPresence, "SMS_LogicalDisk", _
						cPresence, "Win32_WindowsUpdateAgentVersion", _
						cPresence, "SMS_InstalledSoftware", _
						cPresence, "SMS_InstalledSoftwareMS", _
						cPresence, "SMS_InstalledExecutable", _
						cPresence, "SMS_SystemConsoleUsage", _
						cPresence, "SMS_SystemConsoleUser", _
						cPresence, "SMS_SoftwareShortcut", _
						cPresence, "SMS_AutoStartSoftware", _
						cPresence, "SMS_BrowserHelperObject"), _
                                         Array (cCritical, "Select * From __Win32Provider WHERE Name = ""SMSInstProvider"" AND ClsId = ""{3867E993-E1EC-11d2-846E-00105A1F7D6D}""", _
                                                cCritical, "Select * From __Win32Provider WHERE Name = ""SMSDiskInstProvider"" AND Clsid = ""{2E48AA12-2801-11d3-88DA-00105A1F82ED}""", _
                                                cCritical, "Select * From __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\cimv2\\sms:__Win32Provider.Name='SMSInstProvider'""", _
                                                cCritical, "Select * From __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\cimv2\\sms:__Win32Provider.Name='SMSDiskInstProvider'""", _
						cCritical,"select * from __Win32Provider WHERE Name = ""AAInstProv"" AND ClsId = ""{86875FDD-EB5D-4742-8026-94B2E31E1AB9}""", _
						cCritical,"select * from __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\cimv2\\sms:__Win32Provider.Name='AAInstProv'""", _
						cCritical,"select * from __Win32Provider WHERE Name = ""CCM_SystemDevices"" AND ClsId = ""{64E0F19B-5014-4AD7-BE78-7F0D8297EC90}""", _
						cCritical,"select * from __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\cimv2\\sms:__Win32Provider.Name='CCM_SystemDevices'"""), _
                                         Null, _
                                   "root/ccm/invagt", _
                                         True, _
                                         Array (cPresence, "SMS_MIFGroup", _
                                                cPresence, "InventoryAgentProperties", _
                                                cPresence, "InventoryReport", _
                                                cPresence, "InventoryActionStatus", _
                                                cPresence, "SMS_Authority", _
                                                cPresence, "FileSystemFile", _
                                                cPresence, "CCM_ADSiteInfo", _
                                                cPresence, "ADSiteName", _
                                                cPresence, "CCM_IPv6NetworkAdapterConfiguration", _
                                                cPresence, "CCM_ExtNetworkAdapterConfiguration", _
                                                cPresence, "CCM_DiscoveryData", _
                                                cPresence, "CCM_ComputerSystem", _
                                                cPresence, "CCM_System", _
						cPresence, "CCM_IPv6NetworkAdapterConfiguration", _
						cPresence, "CCM_IPv6PrefixNetworkAdapterConfiguration", _
						cPresence, "CCM_NetworkAdapterConfiguration"), _
                                         Array (cCritical, "Select * From __Win32Provider WHERE Name = ""DDRInstProv"" AND Clsid = ""{49507317-AA1F-4fb2-B9EF-52BCF10D5A71}""", _
                                                cCritical, "Select * From __Win32Provider WHERE Name = ""FSInvProv"" AND Clsid = ""{B982D155-CC99-41e6-AC31-C2A4EA3E5625}""", _
                                                cCritical, "Select * From __Win32Provider WHERE Name = ""MIFProv"" AND ClsId = ""{0362A876-DEED-41E2-9C43-88E5AE953288}""", _
                                                cCritical, "Select * From __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\ccm\\invagt:__Win32Provider.Name='DDRInstProv'""", _
                                                cCritical, "Select * From __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\ccm\\invagt:__Win32Provider.Name='FSInvProv'""", _
                                                cCritical, "Select * From __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\ccm\\invagt:__Win32Provider.Name='MIFProv'""", _
                                                cCritical, "Select * From InventoryAgentProperties"), _
                                         Null, _
                                   "root/ccm", _
                                         True, _
                                         Array (cPresence, "CCM_Client", _
                                                cPresence, "CCM_Authority", _
                                                cPresence, "CCM_InstalledProduct", _
                                                cPresence, "CCM_InstalledComponent", _
                                                cPresence, "CCM_Service_Failure", _
                                                cPresence, "CCM_Service_ComponentException", _
                                                cPresence, "CCM_Service_ErrorHandlerRegistration", _
                                                cPresence, "SMS_Authority", _
                                                cPresence, "SMS_LocalMP", _
                                                cPresence, "SMS_MPProxyInformation", _
                                                cPresence, "SMS_Client", _
                                                cPresence, "SMS_PendingSiteAssignment", _
                                                cPresence, "CCM_ClientIdentificationInformation", _
                                                cPresence, "CCM_ClientSecurityInformation", _
                                                cPresence, "CCM_CALTrackConfig", _
                                                cPresence, "CCM_CALTrackLastRun", _
                                                cPresence, "CCM_ClientSiteMode", _
                                                cPresence, "CCM_NetworkProxy", _
                                                cPresence, "SMS_PendingReRegistrationOnSiteReAssignment"), _
                                         Array (cCritical, "Select * From CCM_Client", _
                                                cCritical, "Select * From SMS_Authority", _
                                                cCritical, "Select * From SMS_LocalMP", _
                                                cCritical, "Select * From SMS_MPProxyInformation", _
                                                cCritical, "Select * From SMS_Client", _
                                                cCritical, "Select * From __Win32Provider WHERE Name = ""SmsClientMethodProvider"" AND CLSID = ""{2410CAC5-AB48-4AB8-8725-9BF0625C2B94}""", _
                                                cCritical, "Select * From __MethodProviderRegistration WHERE Provider = ""\\\\.\\root\\ccm:__Win32Provider.Name='SmsClientMethodProvider'""", _
                                                cCritical, "Select * From CCM_Authority WHERE Name = ""Local"" AND PolicyOrder = 999", _
						cCritical, "Select * From CCM_Authority WHERE Name = ""CcmTaskSequence"" AND PolicyOrder = 10000", _
						cCritical, "Select * From CCM_ClientIdentificationInformation", _
						cCritical, "Select * From CCM_ClientSecurityInformation", _
						cCritical, "Select * From CCM_CALTrackConfig", _
						cCritical, "Select * From CCM_CALTrackLastRun", _
						cCritical, "Select * From CCM_ClientSiteMode"), _
					Null, _
				  "root/ccm/statemsg", _
					True, _
					Array (cPresence, "CCM_StateMsg", _
					       cPresence, "CCM_StateMsg_SerialNum"), _
					Array (cCritical, "select * from CCM_StateMsg_SerialNum"), _
					Null, _
				  "root/ccm/smsnapagent", _
					True, _
					Array (cPresence, "CCM_ApplicableRequiredCIs", _
					       cPresence, "CCM_StatementOfHealth", _
					       cPresence, "CCM_StatementOfHealthResponse"), _
					Array (cCritical, "select * from CCM_StatementOfHealth", _
           				       cCritical, "select * from CCM_StatementOfHealthResponse"), _
					Null, _
				  "root/ccm/SoftwareUpdates/Handler", _
					True, _
					Array (cPresence, "CCM_AtomicUpdateEx1", _
					       cPresence, "CCM_BundledUpdateEx1", _
					       cPresence, "CCM_UpdatesDeploymentJobEx1"), _
					Null, _
					Null, _
				  "root/ccm/SoftwareUpdates/DeploymentAgent", _
					True, _
					Array (cPresence, "CCM_AssignmentJobEx1", _
					       cPresence, "CCM_TargetedUpdateEx1", _
					       cPresence, "CCM_DeploymentTaskEx1", _
					       cPresence, "CCM_AssignmentCompliance", _
					       cPresence, "CCM_ComponentState", _
					       cPresence, "CCM_SUMLocalSettings"), _
					Null, _
					Null, _
				  "root/ccm/SoftwareUpdates/WUAHandler", _
					True, _
					Array (cPresence, "CCM_UpdateSource"), _
					Null, _
					Null, _
				  "root/ccm/SoftwareUpdates/UpdatesStore", _
					True, _
					Array (cPresence, "CCM_SourceStatus", _
					       cPresence, "CCM_UpdateStatus"), _
					Null, _
					Null, _
				  "root/ccm/peerdpagent", _
					True, _
					Array (cPresence, "CCM_PeerDP_Job", _
					       cPresence, "CCM_PeerDP_Update"), _
					Null, _
					Null, _
				  "root/ccm/scanagent", _
					True, _
					Array (cPresence, "CCM_ScanToolHistory", _
					       cPresence, "CCM_ScanToolInstance"), _
					Null, _
					Null, _
				  "root/ccm/xmlstore", _
					True, _
					Array (cPresence, "XmlDocument", _
					       cPresence, "XmlDocumentMetaData"), _
					Null, _
                                     Null _
                                  )

         Select Case RunTimeEnvironmentInfo.SMSAgent

                Case "2.50.2726"        ' SMS 2003 RTM
                     arraySMSAddedTestList = Array (_
                                                    "root/ccm/SoftMgmtAgent", _
                                                          True, _
                                                          Array (cPresence, "ExecutionRequest", _
                                                                 cPresence, "ContentRequest", _
                                                                 cPresence, "DownloadContentRequest", _
                                                                 cPresence, "LocationContentRequest", _
                                                                 cPresence, "DownloadInfo", _
                                                                 cPresence, "CacheInfo"), _
                                                          Null, _
                                                          Null, _
                                                    "ROOT/CCM/Policy/machine", _
                                                          True, _
                                                          Null, _
                                                          Array (cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name=""FileSystemInventoryProvider"""), _
                                                          Null _
                                                   )

                Case "2.50.3174"        ' SMS 2003 SP1
                     arraySMSAddedTestList = Array (_
                                                    "root/cimv2", _
                                                          True, _
                                                          Array (cPresence, "Win32Reg_SMSGuestVirtualMachine", _
                                                                 cPresence, "Win32Reg_SMSAdvancedClientPorts"), _
                                                          Array (cCritical, "Select * From Win32Reg_SMSGuestVirtualMachine", _
                                                                 cCritical, "Select * From Win32Reg_SMSAdvancedClientPorts"), _
                                                          Null, _
                                                    "root/smsdm", _
                                                          True, _
                                                          Null, _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/VulnerabilityAssessment", _
                                                          True, _
                                                          Null, _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm", _
                                                          True, _
                                                          Array (cPresence, "CCM_ClientIdentificationInformation", _
                                                                 cPresence, "CCM_ClientSecurityInformation"), _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/LocationServices", _
                                                          True, _
                                                          Array (cPresence, "SMS_MPListEx", _
                                                                 cPresence, "SMS_MPInformationEx"), _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/SoftMgmtAgent", _
                                                          True, _
                                                          Array (cPresence, "CCM_ExecutionRequest", _
                                                                 cPresence, "ContentRequest", _
                                                                 cPresence, "DownloadContentRequest", _
                                                                 cPresence, "LocationContentRequest", _
                                                                 cPresence, "DownloadInfo", _
                                                                 cPresence, "CacheInfo"), _
                                                          Null, _
                                                          Null, _
                                                    "ROOT/CCM/Policy", _
                                                          True, _
                                                          Array (cPresence, "CCM_Message_Encrypt_Configuration", _
                                                                 cPresence, "InventoryClientAuthenticationConfig"), _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/SoftwareMeteringAgent", _
                                                          True, _
                                                          Array (cPresence, "CCM_SWMeteringAgentProperties"), _
                                                          Null, _
                                                          Null, _
                                                    "ROOT/CCM/Policy/machine", _
                                                          True, _
                                                          Null, _
                                                          Array (cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""SmsSoftwareDistribution.Instance1""", _
                                                                 cCritical, "Select * From CCM_StandardEventForwarder_Configuration WHERE InstanceID = ""{00000000-0000-0000-0000-000000000000}""", _
                                                                 cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Software Distribution Ex Class"" AND CLSID = ""{5179b48c-c9fb-4ce1-b0ea-c3bf0e68c04c}""", _
                                                                 cCritical, "Select * From CCM_Message_Encrypt_Configuration WHERE DummyKey = 1", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ClientAuth""", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""Encryptionhook""", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesInstallMgr""", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesInstallMgrStartupTask""", _
                                                                 cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""UpdatesInstallMgrStartupTask"" AND CoClass = ""{487248FE-ADDB-4E15-8DAD-C92E02123F6A}""", _
                                                                 cCritical, "Select * From InventoryClientAuthenticationConfig"), _
                                                          Null, _
                                                    "root/ccm/Events", _
                                                          True, _
                                                          Array (cPresence, "SMS_MP_StatusMessage", _
                                                                 cPresence, "SoftDistProgramErrorMomEvent", _
                                                                 cPresence, "SoftDistProgramErrorMIFMomEvent", _
                                                                 cPresence, "SoftDistProgramBadEnvironmentMomEvent", _
                                                                 cPresence, "SoftDistProgramUnableToExecuteMomEvent", _
                                                                 cPresence, "SoftDistProgramUnexpectedRebootMomEvent", _
                                                                 cPresence, "SoftDistErrorInsufficientCacheMomEvent", _
                                                                 cPresence, "SoftDistErrorInsufficientCacheSizeMomEvent", _
                                                                 cPresence, "SoftDistAdvertDownloadFailedMomEvent", _
                                                                 cPresence, "SoftDistDownloadANDLocationFailedMomEvent", _
                                                                 cPresence, "SoftDistProgramExceededTimeMom", _
                                                                 cPresence, "SoftDistProgramNotMonitoredMom", _
                                                                 cPresence, "SoftDistErrorNoContentMom", _
                                                                 cPresence, "MpEvent", _
                                                                 cPresence, "MpEvent_Warning", _
                                                                 cPresence, "MpEvent_Error", _
                                                                 cPresence, "SMS_ClientAuth_PublicKeyMismatch", _
                                                                 cPresence, "SMS_ServiceHost_CertificateUpdateFailure", _
                                                                 cPresence, "SMS_ServiceHost_CertificateUpdateSuccess", _
                                                                 cPresence, "MPEvent_ServiceHost_CertificateUpdateFailure", _
                                                                 cPresence, "MPEvent_ServiceHost_CertificateUpdateSuccess", _
                                                                 cPresence, "MPEvent_ClientAuth_PublicKeyMismatch", _
                                                                 cPresence, "SMS_RemoteClient_Install_PendingReboot", _
                                                                 cPresence, "SMS_ServiceHost_CertificateOperationsFailure", _
                                                                 cPresence, "SMS_RemoteClient_ClientIdUpdated", _
                                                                 cPresence, "DmClientDeployment_Info", _
                                                                 cPresence, "DmClientDeployment_Warning", _
                                                                 cPresence, "DmClientDeployment_Error", _
                                                                 cPresence, "DmClientDeployment_Info_Newer_Client", _
                                                                 cPresence, "DmClientDeployment_Info_No_Action", _
                                                                 cPresence, "DmClientDeployment_Info_Install_Success", _
                                                                 cPresence, "DmClientDeployment_Info_Upgrade_Success", _
                                                                 cPresence, "DmClientDeployment_Info_Verify_Success", _
                                                                 cPresence, "DmClientDeployment_Info_Uninstall_Success", _
                                                                 cPresence, "DmClientDeployment_Error_No_Connection", _
                                                                 cPresence, "DmClientDeployment_Error_Invalid_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_CliXfer_Dir", _
                                                                 cPresence, "DmClientDeployment_Error_No_RAPI", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_Proc", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_OS", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_Client_Version", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Copy", _
                                                                 cPresence, "DmClientDeployment_Error_Cab_Install", _
                                                                 cPresence, "DmClientDeployment_Error_No_Status", _
                                                                 cPresence, "DmClientDeployment_Error_Installer_Dir", _
                                                                 cPresence, "DmClientDeployment_Error_PreCommand", _
                                                                 cPresence, "DmClientDeployment_Error_PostCommand", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Uninstall_Previous", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Bad_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Cab_Install", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Start_Client", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Update_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Uninstall_Previous", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Bad_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Cab_Install", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Start_Client", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Update_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Restore_Files", _
                                                                 cPresence, "DmClientDeployment_Error_Client_Uninstall", _
                                                                 cPresence, "CCM_ServiceHost_CertificateOperationsFailure", _
                                                                 cPresence, "CCM_Framework_ClientIdUpdated"), _
                                                          Null, _
                                                          Null _
                                                   )

                Case "2.50.4138"        ' SMS 2003 SP2 RC
                     arraySMSAddedTestList = Array (_
                                                    "root/cimv2", _
                                                          True, _
                                                          Array (cPresence, "Win32Reg_SMSGuestVirtualMachine", _
                                                                 cPresence, "Win32Reg_SMSAdvancedClientPorts", _
                                                                 cPresence, "Win32Reg_AdvCliUpdates"), _
                                                          Array (cCritical, "Select * From Win32Reg_SMSGuestVirtualMachine", _
                                                                 cCritical, "Select * From Win32Reg_SMSAdvancedClientPorts"), _
                                                          Null, _
                                                    "root/cimv2/sms", _
                                                          True, _
                                                          Array (cPresence, "Win32_WindowsUpdateAgentVersion"), _
                                                          Null, _
                                                          Null, _
                                                    "root/smsdm", _
                                                          True, _
                                                          Null, _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/VulnerabilityAssessment", _
                                                          True, _
                                                          Null, _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm", _
                                                          True, _
                                                          Array (cPresence, "CCM_ClientIdentificationInformation", _
                                                                 cPresence, "CCM_ClientSecurityInformation"), _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/LocationServices", _
                                                          True, _
                                                          Array (cPresence, "SMS_MPListEx", _
                                                                 cPresence, "SMS_MPInformationEx"), _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/SoftMgmtAgent", _
                                                          True, _
                                                          Array (cPresence, "CCM_ExecutionRequest", _
                                                                 cPresence, "ContentRequest", _
                                                                 cPresence, "DownloadContentRequest", _
                                                                 cPresence, "LocationContentRequest", _
                                                                 cPresence, "DownloadInfo", _
                                                                 cPresence, "CacheInfo"), _
                                                          Null, _
                                                          Null, _
                                                    "ROOT/CCM/Policy", _
                                                          True, _
                                                          Array (cPresence, "CCM_Message_Encrypt_Configuration", _
                                                                 cPresence, "InventoryClientAuthenticationConfig"), _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/SoftwareMeteringAgent", _
                                                          True, _
                                                          Array (cPresence, "CCM_SWMeteringAgentProperties"), _
                                                          Null, _
                                                          Null, _
                                                    "ROOT/CCM/Policy/machine", _
                                                          True, _
                                                          Null, _
                                                          Array (cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""SmsSoftwareDistribution.Instance1""", _
                                                                 cCritical, "Select * From CCM_StandardEventForwarder_Configuration WHERE InstanceID = ""{00000000-0000-0000-0000-000000000000}""", _
                                                                 cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Software Distribution Ex Class"" AND CLSID = ""{5179b48c-c9fb-4ce1-b0ea-c3bf0e68c04c}""", _
                                                                 cCritical, "Select * From CCM_Message_Encrypt_Configuration WHERE DummyKey = 1", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ClientAuth""", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""Encryptionhook""", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesInstallMgr""", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesInstallMgrStartupTask""", _
                                                                 cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""UpdatesInstallMgrStartupTask"" AND CoClass = ""{487248FE-ADDB-4E15-8DAD-C92E02123F6A}""", _
                                                                 cCritical, "Select * From InventoryClientAuthenticationConfig"), _
                                                          Null, _
                                                    "root/ccm/Events", _
                                                          True, _
                                                          Array (cPresence, "SMS_MP_StatusMessage", _
                                                                 cPresence, "SoftDistProgramErrorMomEvent", _
                                                                 cPresence, "SoftDistProgramErrorMIFMomEvent", _
                                                                 cPresence, "SoftDistProgramBadEnvironmentMomEvent", _
                                                                 cPresence, "SoftDistProgramUnableToExecuteMomEvent", _
                                                                 cPresence, "SoftDistProgramUnexpectedRebootMomEvent", _
                                                                 cPresence, "SoftDistErrorInsufficientCacheMomEvent", _
                                                                 cPresence, "SoftDistErrorInsufficientCacheSizeMomEvent", _
                                                                 cPresence, "SoftDistAdvertDownloadFailedMomEvent", _
                                                                 cPresence, "SoftDistDownloadANDLocationFailedMomEvent", _
                                                                 cPresence, "SoftDistProgramExceededTimeMom", _
                                                                 cPresence, "SoftDistProgramNotMonitoredMom", _
                                                                 cPresence, "SoftDistErrorNoContentMom", _
                                                                 cPresence, "MpEvent", _
                                                                 cPresence, "MpEvent_Warning", _
                                                                 cPresence, "MpEvent_Error", _
                                                                 cPresence, "SMS_ClientAuth_PublicKeyMismatch", _
                                                                 cPresence, "SMS_ServiceHost_CertificateUpdateFailure", _
                                                                 cPresence, "SMS_ServiceHost_CertificateUpdateSuccess", _
                                                                 cPresence, "MPEvent_ServiceHost_CertificateUpdateFailure", _
                                                                 cPresence, "MPEvent_ServiceHost_CertificateUpdateSuccess", _
                                                                 cPresence, "MPEvent_ClientAuth_PublicKeyMismatch", _
                                                                 cPresence, "SMS_RemoteClient_Install_PendingReboot", _
                                                                 cPresence, "SMS_ServiceHost_CertificateOperationsFailure", _
                                                                 cPresence, "SMS_RemoteClient_ClientIdUpdated", _
                                                                 cPresence, "DmClientDeployment_Info", _
                                                                 cPresence, "DmClientDeployment_Warning", _
                                                                 cPresence, "DmClientDeployment_Error", _
                                                                 cPresence, "DmClientDeployment_Info_Newer_Client", _
                                                                 cPresence, "DmClientDeployment_Info_No_Action", _
                                                                 cPresence, "DmClientDeployment_Info_Install_Success", _
                                                                 cPresence, "DmClientDeployment_Info_Upgrade_Success", _
                                                                 cPresence, "DmClientDeployment_Info_Verify_Success", _
                                                                 cPresence, "DmClientDeployment_Info_Uninstall_Success", _
                                                                 cPresence, "DmClientDeployment_Error_No_Connection", _
                                                                 cPresence, "DmClientDeployment_Error_Invalid_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_CliXfer_Dir", _
                                                                 cPresence, "DmClientDeployment_Error_No_RAPI", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_Proc", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_OS", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_Client_Version", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Copy", _
                                                                 cPresence, "DmClientDeployment_Error_Cab_Install", _
                                                                 cPresence, "DmClientDeployment_Error_No_Status", _
                                                                 cPresence, "DmClientDeployment_Error_Installer_Dir", _
                                                                 cPresence, "DmClientDeployment_Error_PreCommand", _
                                                                 cPresence, "DmClientDeployment_Error_PostCommand", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Uninstall_Previous", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Bad_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Cab_Install", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Start_Client", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Update_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Uninstall_Previous", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Bad_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Cab_Install", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Start_Client", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Update_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Restore_Files", _
                                                                 cPresence, "DmClientDeployment_Error_Client_Uninstall", _
                                                                 cPresence, "CCM_ServiceHost_CertificateOperationsFailure", _
                                                                 cPresence, "CCM_Framework_ClientIdUpdated"), _
                                                          Null, _
                                                          Null _
                                                   )

                Case "2.50.4160"        ' SMS 2003 SP2
                     arraySMSAddedTestList = Array (_
                                                    "root/cimv2", _
                                                          True, _
                                                          Array (cPresence, "Win32Reg_SMSGuestVirtualMachine", _
                                                                 cPresence, "Win32Reg_SMSAdvancedClientPorts", _
                                                                 cPresence, "Win32Reg_AdvCliUpdates"), _
                                                          Array (cCritical, "Select * From Win32Reg_SMSGuestVirtualMachine", _
                                                                 cCritical, "Select * From Win32Reg_SMSAdvancedClientPorts"), _
                                                          Null, _
                                                    "root/cimv2/sms", _
                                                          True, _
                                                          Array (cPresence, "Win32_WindowsUpdateAgentVersion"), _
                                                          Null, _
                                                          Null, _
                                                    "root/smsdm", _
                                                          True, _
                                                          Null, _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/VulnerabilityAssessment", _
                                                          True, _
                                                          Null, _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm", _
                                                          True, _
                                                          Array (cPresence, "CCM_ClientIdentificationInformation", _
                                                                 cPresence, "CCM_ClientSecurityInformation"), _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/LocationServices", _
                                                          True, _
                                                          Array (cPresence, "SMS_MPListEx", _
                                                                 cPresence, "SMS_MPInformationEx"), _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/SoftMgmtAgent", _
                                                          True, _
                                                          Array (cPresence, "CCM_ExecutionRequest", _
                                                                 cPresence, "ContentRequest", _
                                                                 cPresence, "DownloadContentRequest", _
                                                                 cPresence, "LocationContentRequest", _
                                                                 cPresence, "DownloadInfo", _
                                                                 cPresence, "CacheInfo"), _
                                                          Null, _
                                                          Null, _
                                                    "ROOT/CCM/Policy", _
                                                          True, _
                                                          Array (cPresence, "CCM_Message_Encrypt_Configuration", _
                                                                 cPresence, "InventoryClientAuthenticationConfig"), _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/SoftwareMeteringAgent", _
                                                          True, _
                                                          Array (cPresence, "CCM_SWMeteringAgentProperties"), _
                                                          Null, _
                                                          Null, _
                                                    "ROOT/CCM/Policy/machine", _
                                                          True, _
                                                          Null, _
                                                          Array (cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""SmsSoftwareDistribution.Instance1""", _
                                                                 cCritical, "Select * From CCM_StandardEventForwarder_Configuration WHERE InstanceID = ""{00000000-0000-0000-0000-000000000000}""", _
                                                                 cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Software Distribution Ex Class"" AND CLSID = ""{5179b48c-c9fb-4ce1-b0ea-c3bf0e68c04c}""", _
                                                                 cCritical, "Select * From CCM_Message_Encrypt_Configuration WHERE DummyKey = 1", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ClientAuth""", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""Encryptionhook""", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesInstallMgr""", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesInstallMgrStartupTask""", _
                                                                 cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""UpdatesInstallMgrStartupTask"" AND CoClass = ""{487248FE-ADDB-4E15-8DAD-C92E02123F6A}""", _
                                                                 cCritical, "Select * From InventoryClientAuthenticationConfig"), _
                                                          Null, _
                                                    "root/ccm/Events", _
                                                          True, _
                                                          Array (cPresence, "SMS_MP_StatusMessage", _
                                                                 cPresence, "SoftDistProgramErrorMomEvent", _
                                                                 cPresence, "SoftDistProgramErrorMIFMomEvent", _
                                                                 cPresence, "SoftDistProgramBadEnvironmentMomEvent", _
                                                                 cPresence, "SoftDistProgramUnableToExecuteMomEvent", _
                                                                 cPresence, "SoftDistProgramUnexpectedRebootMomEvent", _
                                                                 cPresence, "SoftDistErrorInsufficientCacheMomEvent", _
                                                                 cPresence, "SoftDistErrorInsufficientCacheSizeMomEvent", _
                                                                 cPresence, "SoftDistAdvertDownloadFailedMomEvent", _
                                                                 cPresence, "SoftDistDownloadANDLocationFailedMomEvent", _
                                                                 cPresence, "SoftDistProgramExceededTimeMom", _
                                                                 cPresence, "SoftDistProgramNotMonitoredMom", _
                                                                 cPresence, "SoftDistErrorNoContentMom", _
                                                                 cPresence, "MpEvent", _
                                                                 cPresence, "MpEvent_Warning", _
                                                                 cPresence, "MpEvent_Error", _
                                                                 cPresence, "SMS_ClientAuth_PublicKeyMismatch", _
                                                                 cPresence, "SMS_ServiceHost_CertificateUpdateFailure", _
                                                                 cPresence, "SMS_ServiceHost_CertificateUpdateSuccess", _
                                                                 cPresence, "MPEvent_ServiceHost_CertificateUpdateFailure", _
                                                                 cPresence, "MPEvent_ServiceHost_CertificateUpdateSuccess", _
                                                                 cPresence, "MPEvent_ClientAuth_PublicKeyMismatch", _
                                                                 cPresence, "SMS_RemoteClient_Install_PendingReboot", _
                                                                 cPresence, "SMS_ServiceHost_CertificateOperationsFailure", _
                                                                 cPresence, "SMS_RemoteClient_ClientIdUpdated", _
                                                                 cPresence, "DmClientDeployment_Info", _
                                                                 cPresence, "DmClientDeployment_Warning", _
                                                                 cPresence, "DmClientDeployment_Error", _
                                                                 cPresence, "DmClientDeployment_Info_Newer_Client", _
                                                                 cPresence, "DmClientDeployment_Info_No_Action", _
                                                                 cPresence, "DmClientDeployment_Info_Install_Success", _
                                                                 cPresence, "DmClientDeployment_Info_Upgrade_Success", _
                                                                 cPresence, "DmClientDeployment_Info_Verify_Success", _
                                                                 cPresence, "DmClientDeployment_Info_Uninstall_Success", _
                                                                 cPresence, "DmClientDeployment_Error_No_Connection", _
                                                                 cPresence, "DmClientDeployment_Error_Invalid_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_CliXfer_Dir", _
                                                                 cPresence, "DmClientDeployment_Error_No_RAPI", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_Proc", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_OS", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_Client_Version", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Copy", _
                                                                 cPresence, "DmClientDeployment_Error_Cab_Install", _
                                                                 cPresence, "DmClientDeployment_Error_No_Status", _
                                                                 cPresence, "DmClientDeployment_Error_Installer_Dir", _
                                                                 cPresence, "DmClientDeployment_Error_PreCommand", _
                                                                 cPresence, "DmClientDeployment_Error_PostCommand", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Uninstall_Previous", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Bad_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Cab_Install", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Start_Client", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Update_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Uninstall_Previous", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Bad_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Cab_Install", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Start_Client", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Update_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Restore_Files", _
                                                                 cPresence, "DmClientDeployment_Error_Client_Uninstall", _
                                                                 cPresence, "CCM_ServiceHost_CertificateOperationsFailure", _
                                                                 cPresence, "CCM_Framework_ClientIdUpdated"), _
                                                          Null, _
                                                          Null _
                                                   )
		Case "2.50.4253"        ' SMS 2003 SP3
                     arraySMSAddedTestList = Array (_
                                                    "root/cimv2", _
                                                          True, _
                                                          Array (cPresence, "Win32Reg_SMSGuestVirtualMachine", _
                                                                 cPresence, "Win32Reg_SMSAdvancedClientPorts", _
                                                                 cPresence, "Win32Reg_AdvCliUpdates", _
								 cPresence, "Win32_USBDevice", _
								 cPresence, "CCM_LogicalMemoryConfiguration", _
								 cPresence, "Win32Reg_AddRemovePrograms64", _
								 cPresence, "SMS_RegLookupEntry"), _
                                                          Array (cCritical, "Select * From Win32Reg_SMSGuestVirtualMachine", _
                                                                 cCritical, "Select * From Win32Reg_SMSAdvancedClientPorts", _
								 cCritical, "select * from SMS_RegLookupEntry"), _
                                                          Null, _
                                                    "root/cimv2/sms", _
                                                          True, _
                                                          Array (cPresence, "Win32_WindowsUpdateAgentVersion", _
								 cPresence, "SMS_InstalledSoftware", _
								 cPresence, "SMS_InstalledSoftwareMS", _
								 cPresence, "SMS_InstalledExecutable", _
								 cPresence, "SMS_SystemConsoleUsage", _
								 cPresence, "SMS_SystemConsoleUser", _
								 cPresence, "SMS_SoftwareShortcut", _
								 cPresence, "SMS_AutoStartSoftware", _
								 cPresence, "SMS_BrowserHelperObject"), _
                                                          Array (cCritical,"select * from __Win32Provider WHERE Name = ""AAInstProv"" AND ClsId = ""{86875FDD-EB5D-4742-8026-94B2E31E1AB9}""", _
								 cCritical,"select * from __InstanceProviderRegistration WHERE Provider = ""\\\\.\\root\\cimv2\\sms:__Win32Provider.Name='AAInstProv'"""), _
                                                          Null, _
                                                    "root/smsdm", _
                                                          True, _
                                                          Null, _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/VulnerabilityAssessment", _
                                                          True, _
                                                          Null, _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm", _
                                                          True, _
                                                          Array (cPresence, "CCM_ClientIdentificationInformation", _
                                                                 cPresence, "CCM_ClientSecurityInformation"), _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/LocationServices", _
                                                          True, _
                                                          Array (cPresence, "SMS_MPListEx", _
                                                                 cPresence, "SMS_MPInformationEx"), _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/SoftMgmtAgent", _
                                                          True, _
                                                          Array (cPresence, "CCM_ExecutionRequest", _
                                                                 cPresence, "ContentRequest", _
                                                                 cPresence, "DownloadContentRequest", _
                                                                 cPresence, "LocationContentRequest", _
                                                                 cPresence, "DownloadInfo", _
                                                                 cPresence, "CacheInfo"), _
                                                          Null, _
                                                          Null, _
                                                    "ROOT/CCM/Policy", _
                                                          True, _
                                                          Array (cPresence, "CCM_Message_Encrypt_Configuration", _
                                                                 cPresence, "InventoryClientAuthenticationConfig"), _
                                                          Null, _
                                                          Null, _
                                                    "root/ccm/SoftwareMeteringAgent", _
                                                          True, _
                                                          Array (cPresence, "CCM_SWMeteringAgentProperties"), _
                                                          Null, _
                                                          Null, _
                                                    "ROOT/CCM/Policy/machine", _
                                                          True, _
                                                          Null, _
                                                          Array (cCritical, "Select * From CCM_EventForwarder_Configuration WHERE InstanceID = ""SmsSoftwareDistribution.Instance1""", _
                                                                 cCritical, "Select * From CCM_StandardEventForwarder_Configuration WHERE InstanceID = ""{00000000-0000-0000-0000-000000000000}""", _
                                                                 cCritical, "Select * From CCM_Service_HostedClass WHERE Description = ""Software Distribution Ex Class"" AND CLSID = ""{5179b48c-c9fb-4ce1-b0ea-c3bf0e68c04c}""", _
                                                                 cCritical, "Select * From CCM_Message_Encrypt_Configuration WHERE DummyKey = 1", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""ClientAuth""", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""Encryptionhook""", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesInstallMgr""", _
                                                                 cCritical, "Select * From CCM_Logging_ComponentConfiguration WHERE Name = ""UpdatesInstallMgrStartupTask""", _
                                                                 cCritical, "Select * From CCM_Service_SystemTaskConfiguration WHERE Name = ""UpdatesInstallMgrStartupTask"" AND CoClass = ""{487248FE-ADDB-4E15-8DAD-C92E02123F6A}""", _
                                                                 cCritical, "Select * From InventoryClientAuthenticationConfig"), _
                                                          Null, _
                                                    "root/ccm/Events", _
                                                          True, _
                                                          Array (cPresence, "SMS_MP_StatusMessage", _
                                                                 cPresence, "SoftDistProgramErrorMomEvent", _
                                                                 cPresence, "SoftDistProgramErrorMIFMomEvent", _
                                                                 cPresence, "SoftDistProgramBadEnvironmentMomEvent", _
                                                                 cPresence, "SoftDistProgramUnableToExecuteMomEvent", _
                                                                 cPresence, "SoftDistProgramUnexpectedRebootMomEvent", _
                                                                 cPresence, "SoftDistErrorInsufficientCacheMomEvent", _
                                                                 cPresence, "SoftDistErrorInsufficientCacheSizeMomEvent", _
                                                                 cPresence, "SoftDistAdvertDownloadFailedMomEvent", _
                                                                 cPresence, "SoftDistDownloadANDLocationFailedMomEvent", _
                                                                 cPresence, "SoftDistProgramExceededTimeMom", _
                                                                 cPresence, "SoftDistProgramNotMonitoredMom", _
                                                                 cPresence, "SoftDistErrorNoContentMom", _
                                                                 cPresence, "MpEvent", _
                                                                 cPresence, "MpEvent_Warning", _
                                                                 cPresence, "MpEvent_Error", _
                                                                 cPresence, "SMS_ClientAuth_PublicKeyMismatch", _
                                                                 cPresence, "SMS_ServiceHost_CertificateUpdateFailure", _
                                                                 cPresence, "SMS_ServiceHost_CertificateUpdateSuccess", _
                                                                 cPresence, "MPEvent_ServiceHost_CertificateUpdateFailure", _
                                                                 cPresence, "MPEvent_ServiceHost_CertificateUpdateSuccess", _
                                                                 cPresence, "MPEvent_ClientAuth_PublicKeyMismatch", _
                                                                 cPresence, "SMS_RemoteClient_Install_PendingReboot", _
                                                                 cPresence, "SMS_ServiceHost_CertificateOperationsFailure", _
                                                                 cPresence, "SMS_RemoteClient_ClientIdUpdated", _
                                                                 cPresence, "DmClientDeployment_Info", _
                                                                 cPresence, "DmClientDeployment_Warning", _
                                                                 cPresence, "DmClientDeployment_Error", _
                                                                 cPresence, "DmClientDeployment_Info_Newer_Client", _
                                                                 cPresence, "DmClientDeployment_Info_No_Action", _
                                                                 cPresence, "DmClientDeployment_Info_Install_Success", _
                                                                 cPresence, "DmClientDeployment_Info_Upgrade_Success", _
                                                                 cPresence, "DmClientDeployment_Info_Verify_Success", _
                                                                 cPresence, "DmClientDeployment_Info_Uninstall_Success", _
                                                                 cPresence, "DmClientDeployment_Error_No_Connection", _
                                                                 cPresence, "DmClientDeployment_Error_Invalid_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_CliXfer_Dir", _
                                                                 cPresence, "DmClientDeployment_Error_No_RAPI", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_Proc", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_OS", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_Client_Version", _
                                                                 cPresence, "DmClientDeployment_Error_Bad_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Copy", _
                                                                 cPresence, "DmClientDeployment_Error_Cab_Install", _
                                                                 cPresence, "DmClientDeployment_Error_No_Status", _
                                                                 cPresence, "DmClientDeployment_Error_Installer_Dir", _
                                                                 cPresence, "DmClientDeployment_Error_PreCommand", _
                                                                 cPresence, "DmClientDeployment_Error_PostCommand", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Uninstall_Previous", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Bad_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Cab_Install", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Start_Client", _
                                                                 cPresence, "DmClientDeployment_Error_Install_Update_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Uninstall_Previous", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Bad_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Cab_Install", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Start_Client", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Update_Settings", _
                                                                 cPresence, "DmClientDeployment_Error_Verify_Restore_Files", _
                                                                 cPresence, "DmClientDeployment_Error_Client_Uninstall", _
                                                                 cPresence, "CCM_ServiceHost_CertificateOperationsFailure", _
                                                                 cPresence, "CCM_Framework_ClientIdUpdated"), _
                                                          Null, _
                                                          Null _
                                                   )

                Case Else

         End Select 

         arrayWMINameSpaceSkippedSecurity = Array ("ROOT/RSOP/USER/S_*", _
                                                   "ROOT/RSOP/NS*", _
                                                   "ROOT/CCM/POLICY/S_*" _
                                                  )

         arrayWMIAppsNameSpaceSecurity = Array ("ROOT/CCM/DATATRANSFERSERVICE", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\INTERACTIVE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL), _
                                                              Null _
                                                             ), _
                                                "ROOT/CCM/EVENTS", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\INTERACTIVE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL), _
                                                              Null _
                                                             ), _
                                                "ROOT/CCM/POLICY/MACHINE", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\AUTHENTICATED USERS", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_READ_CONTROL, _
                                                                    "NT AUTHORITY\INTERACTIVE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL), _
                                                              Null _
                                                             ), _
                                                "ROOT/CCM/INVAGT", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\INTERACTIVE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL), _
                                                              Null _
                                                             ), _
                                                "ROOT/CCM", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                    "NT AUTHORITY\INTERACTIVE", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL), _
                                                              Null _
                                                             ), _
                                                "ROOT/CCM/*", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                              SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                              Array ("BUILTIN\Administrators", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_REMOTE_ACCESS Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL, _
                                                                     "NT AUTHORITY\SYSTEM", _
                                                                        ACCESS_ALLOWED_ACE_TYPE, _
                                                                        CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                        WBEM_ENABLE Or _
                                                                          WBEM_METHOD_EXECUTE Or _
                                                                          WBEM_FULL_WRITE_REP Or _
                                                                          WBEM_PARTIAL_WRITE_REP Or _
                                                                          WBEM_WRITE_PROVIDER Or _
                                                                          WBEM_WRITE_DAC Or _
                                                                          WBEM_READ_CONTROL), _
                                                              Null _
                                                             ), _
                                                "ROOT/CIMV2/SMS", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/CIMV2/SMS/*", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/SMSDM", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/MICROSOFTEXCHANGEV2", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/CIMV2/APPLICATIONS/EXCHANGE", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/MICROSOFTHIS", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/VM", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/VM/*", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/MSAPPS10", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/MSAPPS11", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/MSAPPS12", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/NETFRAMEWORKV1", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/INDIGO", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/MICROSOFTWMINET", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/ENTERPRISEINSTRUMENTATION", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/ENTERPRISEINSTRUMENTATION/*", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/WEBADMINISTRATION", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/ENTERPRISELIBRARY", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/MICROSOFT/SQLSERVER/SERVEREVENTS", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL) _
                                                             ), _
                                                "ROOT/MICROSOFT/SQLSERVER/SERVEREVENTS/*", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL) _
                                                             ), _
                                                "ROOT/MICROSOFT/SQLSERVER/COMPUTERMANAGEMENT", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE) _
                                                             ), _
                                                "ROOT/MICROSOFT/SQLSERVER/REPORTSERVER/v./ADMIN", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL) _
                                                             ), _
                                                "ROOT/MICROSOFT/SQLSERVER/REPORTSERVER/v*", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "Everyone", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE, _
                                                                           WBEM_METHOD_EXECUTE, _
                                                                           WBEM_REMOTE_ACCESS) _
                                                             ), _
                                                "ROOT/MICROSOFT/SQLSERVER/REPORTSERVER", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/MICROSOFT/SQLSERVER", _
                                                        arrayWMIDefaultNameSpaceSecurity, _
                                                "ROOT/MICROSOFTADS", _
                                                       Array ("BUILTIN\Administrators", _
                                                              "BUILTIN\Administrators", _
                                                               SE_DACL_PRESENT Or SE_SELF_RELATIVE, _
                                                               Array ("BUILTIN\Administrators", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_FULL_WRITE_REP Or _
                                                                           WBEM_PARTIAL_WRITE_REP Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS Or _
                                                                           WBEM_WRITE_DAC Or _
                                                                           WBEM_READ_CONTROL, _
                                                                      "NT AUTHORITY\NETWORK SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "NT AUTHORITY\LOCAL SERVICE", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER, _
                                                                      "BUILTIN\USERS", _
                                                                         ACCESS_ALLOWED_ACE_TYPE, _
                                                                         CONTAINER_INHERIT_ACE Or INHERITED_ACE, _
                                                                         WBEM_ENABLE Or _
                                                                           WBEM_METHOD_EXECUTE Or _
                                                                           WBEM_WRITE_PROVIDER Or _
                                                                           WBEM_REMOTE_ACCESS) _
                                                             ) _
                                           )

         ' WMI provider name, WMI display name
         arrayWMIProviderDisplayName = Array ("ACTIVESCRIPTEVENTCONSUMER", "Active Script", _
                                              "BcdProv", "Boot Configuration Device (BCD)", _
                                              "CIMWin32", "CIMv2 Core OS", _
                                              "CIMWin32a", "CIMv2 Core OS", _
                                              "CLUSTER EVENT PROVIDER", "Cluster", _
                                              "CMDTRIGGERCONSUMER", "Command Trigger", _
                                              "COMMANDLINEEVENTCONSUMER", "Command Line", _
                                              "DECOUPLEDEVENTPROVIDER", "Decoupled ASP.NET", _
                                              "DFSProvider", "Distributed File System (DFS)", _
                                              "DfsrConfigProv", "Distributed File System Replication Config (DFSR)", _
                                              "DfsrMonitorProv", "Distributed File System Replication Monitor (DFSR)", _
                                              "DskQuotaProvider", "Disk Quota", _
                                              "EventTraceProv", "Event Trace", _
                                              "EVENTVIEWERCONSUMER", "Event Viewer", _
                                              "HiPerfCooker_v1", "High Performance Cooker Counter", _
                                              "ieinfo5", "Internet Explorer", _
                                              "IIS__PROVIDER", "Internet Information Server (IIS)", _
                                              "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", _
                                              "LOGFILEEVENTCONSUMER", "Log File", _
                                              "MICROSOFT WMI FORWARDING CONSUMER PROVIDER", "Microsoft WMI Forwarding Trace", _
                                              "MICROSOFT WMI FORWARDING CONSUMER TRACE EVENT PROVIDER", "Microsoft WMI Forwarding Trace", _
                                              "MICROSOFT WMI FORWARDING EVENT PROVIDER", "Microsoft WMI Forwarding", _
                                              "Microsoft WMI Template Association Provider", "Microsoft WMI Template Association", _
                                              "MICROSOFT WMI TEMPLATE PROVIDER", "Microsoft WMI Template", _
                                              "MICROSOFT WMI TEMPLATE EVENT PROVIDER", "Microsoft WMI Template", _
                                              "Microsoft WMI Transient Provider", "Microsoft WMI Transient", _
                                              "MICROSOFT WMI TRANSIENT EVENT PROVIDER", "Microsoft WMI Transient", _
                                              "MICROSOFT WMI TRANSIENT REBOOT EVENT PROVIDER", "Microsoft WMI Transient Reboot", _
                                              "Microsoft WMI Updating Consumer Assoc Provider", "Microsoft WMI Updating Association Consumer", _
                                              "MICROSOFT WMI UPDATING CONSUMER EVENT PROVIDER", "Microsoft WMI Updating Consumer", _
                                              "MICROSOFT WMI UPDATING CONSUMER PROVIDER", "Microsoft WMI Updating", _
                                              "Microsoft|DSLDAPClassAssociationsProvider|V1.0", "Active Directory LDAP Association", _
                                              "Microsoft|DSLDAPClassProvider|V1.0", "Active Directory LDAP ", _
                                              "Microsoft|DSLDAPInstanceProvider|V1.0", "Active Directory LDAP ", _
                                              "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", _
                                              "MS_CLUSTER_CLASS_PROVIDER", "Cluster", _
                                              "MS_CLUSTER_PROVIDER", "Cluster", _
                                              "MS_InstalledGameProv", "Parental Control (Games)", _
                                              "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", _
                                              "MS_NT_EVENTLOG_PROVIDER", "EventLog", _
                                              "MS_NT_EVENTLOG_EVENT_PROVIDER", "EventLog", _
                                              "MS_POWER_MANAGEMENT_EVENT_PROVIDER", "Power Management", _
                                              "MS_SHUTDOWN_EVENT_PROVIDER", "Shutdown", _
                                              "MS_SNMP_CLASS_PROVIDER", "SNMP", _
                                              "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", _
                                              "MS_SNMP_INSTANCE_PROVIDER", "SNMP", _
                                              "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", _
                                              "MS_VIEW_INSTANCE_PROVIDER", "View", _
                                              "Msft_ProviderSubSystem", "Microsoft Provider Sub-system", _
                                              "MSIProv", "Microsoft MSI", _
                                              "MSiSCSIInitiatorProvider", "iSCSI Initiator", _
                                              "MSiSNSServerProvider", "Internet Storage Name Server (iSNS)", _
                                              "MSVDS__PROVIDER", "Volume Device (VDS)", _
                                              "MSVSS__PROVIDER", "Volume Shadow (VSS)", _
                                              "NamedJobObjectActgInfoProv", "Kernel Named Actg Info Object", _
                                              "NamedJobObjectLimitSettingProv", "Kernel Named Object Limit ", _
                                              "NamedJobObjectProv", "Kernel Named Object", _
                                              "NamedJobObjectSecLimitSettingProv", "Kernel Named Object Secondary Limit ", _
                                              "NAP_ClientProvider", "NAP Client", _
                                              "NetDiagProv", "Network Diagnostic", _
                                              "NlbsNicProv", "Network Load Balancing (NLBS) NIC", _
                                              "Nt5_GenericPerfProvider_V1", "Performance Counter", _
                                              "NTEVENTLOGEVENTCONSUMER", "EventLog", _
                                              "WMIPerfClass", "Performance Counter", _
                                              "PolicSOM", "Polcy Scope Of Management (SOM)", _
                                              "PolicStatus", "Policy Status", _
                                              "PROVIDERSUBSYSTEM", "WMI Provider Subsystem", _
                                              "REGISTRYEVENTPROVIDER", "Registry", _
                                              "RegProv", "Registry", _
                                              "RegPropProv", "Registry", _
                                              "ReplProv1", "Active Directory Replication Provider", _
                                              "ROUTEEVENTPROVIDER", "IPv4 Route", _
                                              "RouteProvider", "IPv4 Route", _
                                              "Rsop Logging Mode Provider", "Resultant Set Of Policies (Logging Mode)", _
                                              "Rsop Planning Mode Provider", "Resultant Set Of Policies (Planning Mode)", _
                                              "SCM EVENT PROVIDER", "Service Control Manager", _
                                              "SECRCW32", "CIMv2 OS Security", _
                                              "ServiceModel", "Service Model", _
                                              "SessionProvider", "Session", _
                                              "SmonlogProv", "System Performance Logging and Alerts", _
                                              "SMTPEVENTCONSUMER", "SMTP", _
                                              "SoftwareLicensingProduct_Provider", "Software Licensing Product", _
                                              "SoftwareLicensingService_Provider", "Software Licensing Service", _
                                              "STANDARD NON-COM EVENT PROVIDER", "Standard non-COM", _
                                              "SYSTEMCONFIGURATIONCHANGEEVENTS", "System Configuration Change", _
                                              "SystemRestoreProv", "System Restore", _
                                              "TrustPrv", "Windows Trust ", _
                                              "VOLUMECHANGEEVENTS", "Volume Change", _
                                              "WBEMCORE", "CIMv2 Core WMI", _                                              
                                              "WebAdministrationProvider", "Wed Administration", _
                                              "WhqlProvider", "WHQL", _
                                              "Win32_EncryptableVolumeProvider", "Volume Encryption", _
                                              "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", _
                                              "Win32_OSBaseLine", "Windows Servicing (OS Base Line)", _
                                              "Win32_TpmProvider", "Trusted Platform Module ", _
                                              "Win32_TSPublishedApplication_Prov", "Terminal Server Published Application", _
                                              "Win32_WIN32_COMPUTERSYSTEMWINDOWSPRODUCTACTIVATIONSETTING_Prov", "Windows Product Activation", _
                                              "Win32_WIN32_PROXY_Prov", "Windows Proxy", _
                                              "Win32_WIN32_TERMINAL_Prov", "Terminal ", _
                                              "Win32_WIN32_TERMINALSERVICE_Prov", "Terminal Service", _
                                              "Win32_WIN32_TERMINALSERVICESETTING_Prov", "Terminal Service Setting", _
                                              "Win32_WIN32_TERMINALSERVICETOSETTING_Prov", "Terminal Service Setting Association", _
                                              "Win32_WIN32_TERMINALTERMINALSETTING_Prov", "Terminal Setting", _
                                              "Win32_WIN32_TSACCOUNT_Prov", "Terminal Service Accounts", _
                                              "Win32_WIN32_TSCLIENTSETTING_Prov", "Terminal Service Client Setting", _
                                              "Win32_WIN32_TSENVIRONMENTSETTING_Prov", "Terminal Service Environment Setting", _
                                              "Win32_WIN32_TSGENERALSETTING_Prov", "Terminal Service General Setting", _
                                              "Win32_WIN32_TSLOGONSETTING_Prov", "Terminal Service Logon Setting", _
                                              "Win32_WIN32_TSNETWORKADAPTERLISTSETTING_Prov", "Terminal Service Network Adapter List Setting", _
                                              "Win32_WIN32_TSNETWORKADAPTERSETTING_Prov", "Terminal Service Network Adapter Setting", _
                                              "Win32_WIN32_TSPERMISSIONSSETTING_Prov", "Terminal Service Permission Setting", _
                                              "Win32_WIN32_TSREMOTECONTROLSETTING_Prov", "Terminal Service Remote Control Setting", _
                                              "Win32_WIN32_TSSESSIONDIRECTORY_Prov", "Terminal Service Session Directory", _
                                              "Win32_WIN32_TSSESSIONDIRECTORYSETTING_Prov", "Terminal Service Session Directory Setting", _
                                              "Win32_WIN32_TSSESSIONSETTING_Prov", "Terminal Service Session Setting", _
                                              "Win32_WIN32_WINDOWSPRODUCTACTIVATION_Prov", "Windows Product Activation", _
                                              "Win32_WinSAT", "Windows System Assessment Tool (WinSAT)", _
                                              "WIN32CLOCKPROVIDER", "Clock", _
                                              "WMI KERNEL TRACE EVENT PROVIDER", "WMI Kernel Trace", _
                                              "WMI SELF-INSTRUMENTATION EVENT PROVIDER", "WMI Self-Instrumentation", _
                                              "WMIEVENTPROV", "WMI Events", _
                                              "WmiPerfInst", "Performance Counter", _
                                              "WMIPingProvider", "Network Ping", _
                                              "WmiProv", "Windows Driver Model (WDM)", _
                                              "WpcClamperProv", "Windows Parental Control", _
                                              "WpcSProv", "Windows Parental Control", _
                                              "PolicyAgentInstanceProvider", "SMS Policy Agent", _
                                              "PolicyReplicationConsumerProvider", "SMS Policy Replication", _
                                              "SMS_CIMLD", "SMS Logical Disk", _
                                              "SMS_CIMP", "SMS CIMP", _
                                              "SMS_CIMV2", "SMS Processor", _
                                              "SmsClientMethodProvider", "SMS Client", _
                                              "SMSDiskInstProvider", "SMS Disk", _
                                              "SMSInstProvider", "SMS Processor", _
                                              "StatusAgentProvider", "SMS Status Agent", _
                                              "PerfProv", "SMS Performance", _
                                              "MIFProv", "SMS Management Information File", _
                                              "FSInvProv", "SMS File System Inventory", _
                                              "DDRInstProv", "SMS Discovery Data Record" _
                                              )

         ' cWindows2000RTM => cWindows2000SP1 => cWindows2000SP2 => cWindows2000SP3 => cWindows2000SP4
         ' cWindowsXPRTM => cWindowsXPSP2
         ' cWindowsXPSP164 => cWindowsXPSP2
         ' cWindows2003RTM => cWindows2003RTM64 => cWindows2003SP164 => cWindows2003SP1
         ' cWindowsVistaSP1 => cWindowsVistaRTM

         ' cWindows2000SP4     -> cClientOnly
         ' cWindows2000SP4     -> cServerOnly
         ' cWindowsXPSP1       -> cClientOnly
         ' cWindowsXPSP2       -> cClientOnly 
         ' cWindows2003RTM     -> cServerOnly
         ' cWindows2003SP1     -> cServerOnly
         ' cWindowsVistaRTM    -> cClientOnly
         ' cWindowsLonghornRTM -> cServerOnly

                                       ' OSversion, 

                                       ' Platform, 

                                       ' WMI Namespace,

                                       ' WMI Class name,

                                       ' WMI provider name,

                                       ' WMI provider displayname,

                                       ' WMI provider model,

                                       ' WMI provider type,

                                       ' WMI provider CLSID,

                                       ' WMI provider hosting model,


                                       ' WMI provider binary,

                                       ' WMI provider registration MOF file(s)"
                    
         arrayWMIProviderData = Array (Array (cWindows2000SP4, cClientOnly, "ROOT/DEFAULT", "RegistryEvent", "RegistryEventProvider", "Registry", "In-proc", "Event", "{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/DEFAULT", "StdRegProv", "RegProv", "Registry", "In-proc", "Method/Instance", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/DEFAULT", "*", "RegPropProv", "Registry", "In-proc", "Property", "{72967901-68EC-11D0-B729-00AA0062CBB7}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "CIM_LogicalFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "CIM_DataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "CIM_ProcessExecutable", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "CIM_VideoControllerResolution", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "CIM_DirectoryContainsFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupItem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ComputerSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_FloppyDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_TapeDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DiskDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_CDROMDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_VideoController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PCMCIAController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_USBController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_InfraredDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_1394Controller", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_FloppyController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DesktopMonitor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PointingDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Keyboard", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalDisk", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DiskPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Battery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_MotherboardDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Processor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Printer", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PrinterController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_UninterruptiblePowerSupply", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_POTSModem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SerialPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_POTSModemToSerialPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_NetworkAdapter", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SCSIController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_USBControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_1394ControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_IDEController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_IDEControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SCSIControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ParallelPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ShortcutFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PrinterDriverDll", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_CodecFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_BaseService", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Directory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DriverVXD", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemAccount", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Group", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_UserAccount", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_NetworkConnection", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DeviceMemoryAddress", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PortResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DMAChannel", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Environment", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_IRQResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LoadOrderGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_NetworkClient", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Share", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PrinterShare", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Registry", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_NetworkProtocol", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Service", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Process", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Thread", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_OperatingSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_QuickFixEngineering", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_OperatingSystemQFE", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PrintJob", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ScheduledJob", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_BIOS", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_StartupCommand", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_BootConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Desktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DisplayConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DisplayControllerConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalMemoryConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_NetworkLoginProfile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_OSRecoveryConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PrinterConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ProgramGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupItemDataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SerialPortConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_TimeZone", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_VideoConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalDiskRootDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SubDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ProgramGroupContents", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemBIOS", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LoadOrderGroupServiceMembers", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemOperatingSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemSystemDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemUsers", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemProcesses", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemDevices", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ComputerSystemProcessor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemPartitions", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemServices", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemNetworkConnections", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemResources", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DiskDriveToDiskPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DependentService", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalDiskToPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LoadOrderGroupServiceDependencies", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_VideoSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SerialPortSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_UserDesktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PrinterSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemLogicalMemoryConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemLoadOrderGroups", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemTimeZone", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemProgramGroups", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemDesktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemBootConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_GroupUser", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ProtocolBinding", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_AssociatedBattery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SoundDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_AllocatedResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PNPAllocatedResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Bus", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DeviceBus", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_CIMLogicalDeviceCIMDataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ShareToDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_NetworkAdapterConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_NetworkAdapterSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PortableBattery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemSlot", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PortConnector", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PhysicalMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemEnclosure", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_BaseBoard", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ComputerSystemProduct", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_CacheMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PhysicalMemoryArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_MemoryArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_MemoryDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_MemoryDeviceLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_MemoryArrayLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PhysicalMemoryLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_MemoryDeviceArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_AssociatedProcessorMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_OnBoardDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_VoltageProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_CurrentProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_TemperatureProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Fan", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Refrigeration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_HeatPipe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DCOMApplication", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DCOMApplicationSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ClassicCOMClass", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ClassicCOMClassSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ClassicCOMApplicationClasses", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_COMApplicationSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ClassicCOMClassSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ComponentCategory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ImplementedCategory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ComClassEmulator", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ComClassAutoEmulator", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ClientApplicationSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PnPEntity", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PnPDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PageFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PageFileUsage", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PageFileSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PageFileElementSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SystemDriverPNPEntity", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DCOMApplicationLaunchAllowedSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DCOMApplicationAccessAllowedSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_WMISetting", "WBEMCORE", "CIMv2 Core WMI", "In-proc", "Instance", "{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMCORE.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_WMIElementSetting", "WBEMCORE", "CIMv2 Core WMI", "In-proc", "Instance", "{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMCORE.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PowerManagementEvent", "MS_Power_Management_Event_Provider", "Power Management", "In-proc", "Event", "{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_NTEventlogFile", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINNT\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEvent", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINNT\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEventLog", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINNT\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEventUser", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINNT\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEventComputer", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINNT\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEvent", "MS_NT_EVENTLOG_EVENT_PROVIDER", "EventLog", "In-proc", "Event", "{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINNT\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SID", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_AccountSID", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileSecuritySetting", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SecuritySettingOfLogicalFile", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileOwner", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileGroup", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileAccess", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileAuditing", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalShareSecuritySetting", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SecuritySettingOfLogicalShare", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalShareAccess", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LogicalShareAuditing", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Product", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeature", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ApplicationService", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_CommandLineAccess", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElementCondition", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_LaunchCondition", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Condition", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_FileSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_IniFileSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DirectorySpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_EnvironmentSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ReserveCost", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDriverSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ODBCTranslatorSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDataSourceSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ServiceSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ProgIDSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_RegistryAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_RemoveIniAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_MoveFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ClassInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_MIMEInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_FontInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ShortcutAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_TypeLibraryAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SelfRegModuleAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PublishComponentAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_BindImageAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ExtensionInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_DuplicateFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_RemoveFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_CreateFolderAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PatchPackage", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Property", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Patch", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_Binary", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ServiceControl", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ODBCAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ODBCSourceAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureSoftwareElements", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureParent", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureCheck", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElementCheck", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ProductSoftwareFeatures", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ProductResource", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ProductCheck", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ActionCheck", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_CheckCheck", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElementResource", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElementAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PatchFile", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDriverAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDataSourceAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDriverSoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_InstalledSoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ShortcutSAP", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ServiceSpecificationService", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_ApplicationCommandLine", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ContentFilter_IndexingServiceFilter", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ContentIndex_IndexingService", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASAuthenticationServer", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASAuthenticationClients", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASAccountingServer", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASAccountingClients", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ISAPISearch_HttpIndexingService", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_MSDTC_DistributedTransactionCoordinator", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfDisk_PhysicalDisk", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Server", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_ServerWorkQueues", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Redirector", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Browser", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Cache", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Processor", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Memory", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Objects", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_PagingFile", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_System", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Process", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Thread", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_JobObject", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_JobObjectDetails", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_ProcessAddressSpace_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Image_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_FullImage_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_ThreadDetails_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_RemoteAccess_RASPort", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_RemoteAccess_RASTotal", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_RSVP_ACSPerRSVPService", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Spooler_PrintQueue", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_TapiSrv_Telephony", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_NBTConnection", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_IP", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_ICMP", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_TCP", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_UDP", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_NetworkInterface", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Summary", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_FileVersion", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_ConnectionSummary", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_LanSettings", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_ConnectionSettings", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Cache", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Object", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Certificate", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Publisher", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Security", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "EventTrace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSWmi_MofData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSWmi_ProviderInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSWmi_PnPDeviceId", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSWmi_PnPInstanceNames", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSSmBios_RawSMBiosTables", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSPower_DeviceEnable", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSPower_DeviceWakeEnable", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_EnumerateAdapter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_NotifyAdapterRemoval", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_NotifyAdapterArrival", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_NdisEnumerateVc", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_NotifyVcRemoval", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_NotifyVcArrival", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_HardwareStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_MediaSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_MediaInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_MaximumLookahead", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_MaximumFrameSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_LinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_TransmitBufferSpace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_ReceiveBufferSpace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_TransmitBlockSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_ReceiveBlockSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_VendorID", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_VendorDescription", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CurrentPacketFilter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CurrentLookahead", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_DriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_MaximumTotalSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_MacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_MediaConnectStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_MaximumSendPackets", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_VendorDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_TransmitsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_ReceivesOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_TransmitsError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_ReceiveError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_ReceiveNoBuffer", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoHardwareStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoMediaSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoMediaInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoLinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoVendorId", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoVendorDescription", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoMacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoMediaConnectStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoVendorDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoMinimumLinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoTransmitPdusOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoReceivePdusOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoTransmitPduErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoReceivePduErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_CoReceivePdusNoBuffer", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_AtmSupportedVcRates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_AtmSupportedServiceCategory", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_AtmSupportedAalTypes", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_AtmHardwareCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVcs", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVciBits", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVpiBits", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxAal0PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxAal1PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxAal34PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxAal5PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_AtmReceiveCellsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_AtmTransmitCellsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_AtmReceiveCellsDropped", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_EthernetPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_EthernetCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_EthernetMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_EthernetMaximumMulticastListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_EthernetMacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_EthernetReceiveErrorAlignment", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_EthernetOneTransmitCollision", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_EthernetMoreTransmitCollisions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentFunctional", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentGroup", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingLastOpenStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentRingStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentRingState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingLineErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingLostFrames", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiLongPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiLongCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiLongMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiLongMaximumListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiShortPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiShortCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiShortMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiShortMaximumListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiAttachmentType", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiUpstreamNodeLong", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiDownstreamNodeLong", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiFrameErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiFramesLost", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiRingManagmentState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiLctFailures", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiLemRejects", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_FddiLConnectionState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_StatusResetStart", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_StatusResetEnd", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_StatusMediaConnect", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_StatusMediaDisconnect", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_StatusMediaSpecificIndication", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_StatusLinkSpeedChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_StatusProtocolBind", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSNdis_StatusProtocolUnbind", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSKeyboard_PortInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSMouse_PortInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSMouse_ClassInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSKeyboard_ClassInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSAcpi_ThermalZoneTemperature", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSDiskDriver_Geometry", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSDiskDriver_Performance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictFunction", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSIde_PortDeviceInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSSerial_PortName", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSSerial_CommInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSStorageDriver_ScsiInfoExceptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSSerial_HardwareConfiguration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSSerial_PerformanceInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSSerial_CommProperties", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSParallel_AllocFreeCounts", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSParallel_DeviceBytesTransferred", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSRedbook_DriverInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "MSRedbook_Performance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "RegisteredGuids", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/WMI", "WMIEvent", "WMIEventProv", "WMI Events", "In-proc", "Event", "{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPClassProvider|V1.0", "Active Directory LDAP ", "In-proc", "Pull Class", "{1EF94880-01A8-11D2-A90B-00AA00BF3363}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPClassAssociationsProvider|V1.0", "Active Directory LDAP Association", "In-proc", "Instance", "{33831ED4-42B8-11D2-93AD-00805F853771}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPInstanceProvider|V1.0", "Active Directory LDAP ", "In-proc", "Instance", "{AA527A40-4D9A-11D2-93AD-00805F853771}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "*", "MS_SNMP_CLASS_PROVIDER", "SNMP", "In-proc", "Pull Class", "{70426720-F78F-11CF-9151-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "*", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpV2ExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpV1ExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpColdStartExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpWarmStartExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkDownExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkUpExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpAuthenticationFailureExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpEGPNeighborLossExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpV2Notification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpV1Notification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpColdStartNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpWarmStartNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkDownNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkUpNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpAuthenticationFailureNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpEGPNeighborLossNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_system", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_interfaces", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ifTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ip", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipRouteTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipAddrTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipNetToMediaTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_icmp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_tcp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_tcpConnTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_udp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_udpTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_snmp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/DEFAULT", "RegistryEvent", "RegistryEventProvider", "Registry", "In-proc", "Event", "{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/DEFAULT", "StdRegProv", "RegProv", "Registry", "In-proc", "Method/Instance", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/DEFAULT", "*", "RegPropProv", "Registry", "In-proc", "Property", "{72967901-68EC-11D0-B729-00AA0062CBB7}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "CIM_LogicalFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "CIM_DataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "CIM_ProcessExecutable", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "CIM_VideoControllerResolution", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "CIM_DirectoryContainsFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupItem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ComputerSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_FloppyDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_TapeDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DiskDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_CDROMDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_VideoController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PCMCIAController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_USBController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_InfraredDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_1394Controller", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_FloppyController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DesktopMonitor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PointingDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Keyboard", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalDisk", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DiskPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Battery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_MotherboardDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Processor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Printer", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PrinterController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_UninterruptiblePowerSupply", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_POTSModem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SerialPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_POTSModemToSerialPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_NetworkAdapter", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SCSIController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_USBControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_1394ControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_IDEController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_IDEControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SCSIControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ParallelPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ShortcutFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PrinterDriverDll", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_CodecFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_BaseService", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Directory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DriverVXD", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemAccount", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Group", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_UserAccount", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_NetworkConnection", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DeviceMemoryAddress", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PortResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DMAChannel", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Environment", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_IRQResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LoadOrderGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_NetworkClient", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Share", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PrinterShare", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Registry", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_NetworkProtocol", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Service", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Process", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Thread", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_OperatingSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_QuickFixEngineering", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_OperatingSystemQFE", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PrintJob", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ScheduledJob", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_BIOS", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_StartupCommand", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_BootConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Desktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DisplayConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DisplayControllerConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalMemoryConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_NetworkLoginProfile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_OSRecoveryConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PrinterConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ProgramGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupItemDataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SerialPortConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_TimeZone", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_VideoConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalDiskRootDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SubDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ProgramGroupContents", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemBIOS", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LoadOrderGroupServiceMembers", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemOperatingSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemSystemDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemUsers", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemProcesses", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemDevices", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ComputerSystemProcessor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemPartitions", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemServices", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemNetworkConnections", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemResources", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DiskDriveToDiskPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DependentService", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalDiskToPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LoadOrderGroupServiceDependencies", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_VideoSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SerialPortSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_UserDesktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PrinterSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemLogicalMemoryConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemLoadOrderGroups", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemTimeZone", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemProgramGroups", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemDesktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemBootConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_GroupUser", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ProtocolBinding", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_AssociatedBattery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SoundDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_AllocatedResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PNPAllocatedResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Bus", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DeviceBus", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_CIMLogicalDeviceCIMDataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ShareToDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_NetworkAdapterConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_NetworkAdapterSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PortableBattery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemSlot", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PortConnector", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PhysicalMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemEnclosure", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_BaseBoard", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ComputerSystemProduct", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_CacheMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PhysicalMemoryArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_MemoryArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_MemoryDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_MemoryDeviceLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_MemoryArrayLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PhysicalMemoryLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_MemoryDeviceArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_AssociatedProcessorMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_OnBoardDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_VoltageProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_CurrentProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_TemperatureProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Fan", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Refrigeration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_HeatPipe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DCOMApplication", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DCOMApplicationSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ClassicCOMClass", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ClassicCOMClassSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ClassicCOMApplicationClasses", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_COMApplicationSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ClassicCOMClassSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ComponentCategory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ImplementedCategory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ComClassEmulator", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ComClassAutoEmulator", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ClientApplicationSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PnPEntity", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PnPDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PageFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PageFileUsage", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PageFileSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PageFileElementSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SystemDriverPNPEntity", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DCOMApplicationLaunchAllowedSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DCOMApplicationAccessAllowedSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_WMISetting", "WBEMCORE", "CIMv2 Core WMI", "In-proc", "Instance", "{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMCORE.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_WMIElementSetting", "WBEMCORE", "CIMv2 Core WMI", "In-proc", "Instance", "{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMCORE.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PowerManagementEvent", "MS_Power_Management_Event_Provider", "Power Management", "In-proc", "Event", "{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_NTEventlogFile", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINNT\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEvent", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINNT\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEventLog", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINNT\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEventUser", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINNT\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEventComputer", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINNT\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEvent", "MS_NT_EVENTLOG_EVENT_PROVIDER", "EventLog", "In-proc", "Event", "{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINNT\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SID", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_AccountSID", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileSecuritySetting", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SecuritySettingOfLogicalFile", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileOwner", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileGroup", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileAccess", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileAuditing", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalShareSecuritySetting", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SecuritySettingOfLogicalShare", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalShareAccess", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LogicalShareAuditing", "SECRCW32", "CIMv2 OS Security", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINNT\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINNT\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Product", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeature", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ApplicationService", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_CommandLineAccess", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElementCondition", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_LaunchCondition", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Condition", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_FileSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_IniFileSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DirectorySpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_EnvironmentSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ReserveCost", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDriverSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ODBCTranslatorSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDataSourceSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ServiceSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ProgIDSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_RegistryAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_RemoveIniAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_MoveFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ClassInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_MIMEInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_FontInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ShortcutAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_TypeLibraryAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SelfRegModuleAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PublishComponentAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_BindImageAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ExtensionInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_DuplicateFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_RemoveFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_CreateFolderAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PatchPackage", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Property", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Patch", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_Binary", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ServiceControl", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ODBCAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ODBCSourceAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureSoftwareElements", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureParent", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureCheck", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElementCheck", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ProductSoftwareFeatures", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ProductResource", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ProductCheck", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ActionCheck", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_CheckCheck", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElementResource", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElementAction", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PatchFile", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDriverAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDataSourceAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDriverSoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_InstalledSoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ShortcutSAP", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ServiceSpecificationService", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_ApplicationCommandLine", "MSIProv", "Microsoft MSI", "In-proc", "Instance/Method", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASP_ActiveServerPages", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_DHCPServer_DHCPServer", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_DNS_DNS", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASAuthenticationServer", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASAuthenticationClients", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASAccountingServer", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASAccountingClients", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_InetInfo_InternetInformationServicesGlobal", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_MSFTPSVC_FTPService", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NTFSDRV_SMTPNTFSStoreDriver", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfDisk_PhysicalDisk", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Server", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_ServerWorkQueues", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Redirector", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Browser", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Cache", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Processor", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Memory", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Objects", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_PagingFile", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_System", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Process", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Thread", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_JobObject", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_JobObjectDetails", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_ProcessAddressSpace_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Image_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_FullImage_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_ThreadDetails_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_RSVP_ACSPerRSVPService", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_SMTPSVC_SMTPServer", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Spooler_PrintQueue", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_TapiSrv_Telephony", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_NBTConnection", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_NetworkInterface", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_IP", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_ICMP", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_TCP", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_UDP", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_W3SVC_WebService", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_WINS_WINSServer", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_MSDTC_DistributedTransactionCoordinator", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_RemoteAccess_RASPort", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_RemoteAccess_RASTotal", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_RSVP_ACSPerRSVPInterfaces", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{FF37A93C-C28E-11D1-AEB6-00C04FB68820}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Summary", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_FileVersion", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_ConnectionSummary", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_LanSettings", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_ConnectionSettings", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Cache", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Object", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Certificate", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Publisher", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Security", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "No hosting model", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "No located MOF file"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "EventTrace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSWmi_MofData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSWmi_ProviderInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSWmi_PnPDeviceId", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSWmi_PnPInstanceNames", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSSmBios_RawSMBiosTables", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSPower_DeviceEnable", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSPower_DeviceWakeEnable", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_EnumerateAdapter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_NotifyAdapterRemoval", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_NotifyAdapterArrival", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_NdisEnumerateVc", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_NotifyVcRemoval", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_NotifyVcArrival", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_HardwareStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_MediaSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_MediaInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_MaximumLookahead", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_MaximumFrameSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_LinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_TransmitBufferSpace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_ReceiveBufferSpace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_TransmitBlockSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_ReceiveBlockSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_VendorID", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_VendorDescription", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CurrentPacketFilter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CurrentLookahead", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_DriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_MaximumTotalSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_MacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_MediaConnectStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_MaximumSendPackets", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_VendorDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_TransmitsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_ReceivesOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_TransmitsError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_ReceiveError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_ReceiveNoBuffer", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoHardwareStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoMediaSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoMediaInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoLinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoVendorId", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoVendorDescription", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoMacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoMediaConnectStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoVendorDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoMinimumLinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoTransmitPdusOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoReceivePdusOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoTransmitPduErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoReceivePduErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_CoReceivePdusNoBuffer", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_AtmSupportedVcRates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_AtmSupportedServiceCategory", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_AtmSupportedAalTypes", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_AtmHardwareCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVcs", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVciBits", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVpiBits", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxAal0PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxAal1PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxAal34PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxAal5PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_AtmReceiveCellsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_AtmTransmitCellsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_AtmReceiveCellsDropped", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_EthernetPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_EthernetCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_EthernetMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_EthernetMaximumMulticastListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_EthernetMacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_EthernetReceiveErrorAlignment", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_EthernetOneTransmitCollision", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_EthernetMoreTransmitCollisions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentFunctional", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentGroup", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingLastOpenStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentRingStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentRingState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingLineErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingLostFrames", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiLongPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiLongCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiLongMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiLongMaximumListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiShortPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiShortCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiShortMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiShortMaximumListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiAttachmentType", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiUpstreamNodeLong", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiDownstreamNodeLong", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiFrameErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiFramesLost", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiRingManagmentState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiLctFailures", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiLemRejects", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_FddiLConnectionState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_StatusResetStart", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_StatusResetEnd", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_StatusMediaConnect", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_StatusMediaDisconnect", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_StatusMediaSpecificIndication", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_StatusLinkSpeedChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_StatusProtocolBind", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSNdis_StatusProtocolUnbind", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSKeyboard_PortInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSMouse_PortInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSMouse_ClassInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSKeyboard_ClassInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSAcpi_ThermalZoneTemperature", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSDiskDriver_Geometry", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSDiskDriver_Performance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictFunction", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSIde_PortDeviceInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSSerial_PortName", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSSerial_CommInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSStorageDriver_ScsiInfoExceptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSSerial_HardwareConfiguration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSSerial_PerformanceInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSSerial_CommProperties", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSParallel_AllocFreeCounts", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSParallel_DeviceBytesTransferred", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSRedbook_DriverInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "MSRedbook_Performance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "RegisteredGuids", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/WMI", "WMIEvent", "WMIEventProv", "WMI Events", "In-proc", "Event", "{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPClassProvider|V1.0", "Active Directory LDAP ", "In-proc", "Pull Class", "{1EF94880-01A8-11D2-A90B-00AA00BF3363}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPClassAssociationsProvider|V1.0", "Active Directory LDAP Association", "In-proc", "Instance", "{33831ED4-42B8-11D2-93AD-00805F853771}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPInstanceProvider|V1.0", "Active Directory LDAP ", "In-proc", "Instance", "{AA527A40-4D9A-11D2-93AD-00805F853771}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_Cluster", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Instance/Method", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_Node", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Instance/Method", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ClusterSetting", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Instance/Method", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_NodeSetting", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Instance/Method", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortRule", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Instance/Method", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortRuleFailover", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Instance/Method", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortRuleLoadbalanced", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Instance/Method", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortRuleDisabled", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Instance/Method", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_NodeSettingPortRule", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Instance/Method", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ClusterClusterSetting", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Instance/Method", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_NodeNodeSetting", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Instance/Method", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ParticipatingNode", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Instance/Method", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ExtendedStatus", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Instance/Method", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "*", "MS_SNMP_CLASS_PROVIDER", "SNMP", "In-proc", "Pull Class", "{70426720-F78F-11CF-9151-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "*", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpV2ExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpV1ExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpColdStartExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpWarmStartExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkDownExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkUpExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpAuthenticationFailureExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpEGPNeighborLossExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpV2Notification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpV1Notification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpColdStartNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpWarmStartNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkDownNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkUpNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpAuthenticationFailureNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpEGPNeighborLossNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_system", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_interfaces", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ifTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ip", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipRouteTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipAddrTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipNetToMediaTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_icmp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_tcp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_tcpConnTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_udp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_udpTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2000SP4, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_snmp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/RSOP", "RsopPlanningModeProvider", "Rsop Planning Mode Provider", "Resultant Set Of Policies (Planning Mode)", "No DCOM registry registration (Exception)", "Method", "{F0FF8EBB-F14D-4369-BD2E-D84FBF6122D6}", "LOCALSYSTEMHOSTORSELFHOST (*)", "No DCOM registry registration (Exception)", "C:\WINDOWS\SYSTEM32\WBEM\RSOP.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/RSOP", "RsopLoggingModeProvider", "Rsop Logging Mode Provider", "Resultant Set Of Policies (Logging Mode)", "In-proc", "Method", "{B3FF88A4-96EC-4CC1-983F-72BE0EBB368B}", "LOCALSYSTEMHOSTORSELFHOST", "C:\WINDOWS\SYSTEM32\USERENV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\RSOP.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/RSOP/*", "RSOP_", "Static class", "Resultant Set Of Policies", "", "", "", "", "", "C:\WINDOWS\SYSTEM32\WBEM\RSOP.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/ASPNET", "BaseEvent", "DecoupledEventProvider", "Decoupled ASP.NET", "Decoupled", "Event", "{54D8502C-527D-43F7-A506-A9DA075E229C}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\MICROSOFT.NET\FRAMEWORK\V2.0.50727\ASPNET.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "EventTrace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "WMIEvent", "WMIEventProv", "WMI Events", "In-proc", "Event", "{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "*", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_NotifyVcRemoval", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_NotifyAdapterRemoval", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMCAEvent_InvalidError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_StatusMediaDisconnect", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSChangerProblemEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_StatusResetEnd", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_NotifyVcArrival", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSTapeDriveProblemEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSWmi_GuidRegistrationInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMCAEvent_PlatformSpecificError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSIPNAT_PacketDroppedEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_StatusProtocolUnbind", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSIPNAT_ConnectionDeletionEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMCAEvent_SystemEventError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_StatusMediaConnect", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMCAEvent_PCIComponentError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_StatusResetStart", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMCAEvent_MemoryError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMCAInfo_RawMCAEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSIPNAT_ConnectionCreationEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMCAInfo_RawCorrectedPlatformEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_StatusLinkSpeedChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMCAEvent_PCIBusError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_StatusProtocolBind", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_StatusMediaSpecificIndication", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMCAEvent_SMBIOSError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMCAEvent_CPUError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_NotifyAdapterArrival", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMCAInfo_RawCMCEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSWmi_ProviderInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSWmi_PnPDeviceId", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSWmi_MofData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSWmi_PnPInstanceNames", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSAcpi_ThermalZoneTemperature", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSTapeDriveParam", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSTapeSymbolicName", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSTapeProblemDeviceError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSTapeMediaCapacity", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSTapeProblemIoError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_AtmSupportedServiceCategory", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentFunctional", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_MaximumSendPackets", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingLostFrames", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiShortPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVcs", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiLongMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_PrivacyFilter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_EthernetReceiveErrorAlignment", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_ReceiveError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiFramesLost", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_MaximumFrameSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_MediaInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_ReceiveNoBuffer", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiAttachmentType", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoMediaSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoTransmitPdusOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_Disassociate", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_BaseServiceSetIdentifier", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoReceivePduErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoReceivePdusOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_RemoveWEP", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiLongCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_EthernetMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_EthernetCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_TransmitsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_DataRates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_DesiredDataRates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_AddWEP", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_TransmitPowerLevel", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_VendorDescription", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CurrentLookahead", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_TransmitAntennaSelected", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_AuthenticationMode", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_AtmTransmitCellsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_EnumerateAdapter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_FragmentationThreshold", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_EthernetMaximumMulticastListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_ReceivedSignalStrength", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_LinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoTransmitPduErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_MediaConnectStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_PowerMode", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVpiBits", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_AtmSupportedVcRates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_MaximumTotalSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_TransmitsError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxAal34PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_ServiceSetIdentifier", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoHardwareStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_ReceiveBlockSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoMacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_ReceivesOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiLConnectionState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_MaximumLookahead", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_BSSIList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxAal1PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxAal0PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_AtmSupportedAalTypes", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoLinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CurrentPacketFilter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiShortMaximumListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_MediaSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_NumberOfAntennas", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiShortCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiFrameErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_NdisEnumerateVc", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_ReceiveAntennaSelected", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoVendorDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_Configuration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_DriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_EthernetPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_VendorDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_EthernetOneTransmitCollision", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentGroup", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiShortMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingLastOpenStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_VlanIdentifier", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_ReloadDefaults", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiDownstreamNodeLong", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentRingStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoVendorId", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_WEPStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_AtmHardwareCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_ReceivedSignalStrengthEventTrigger", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_PhysicalMediumType", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoVendorDescription", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoMinimumLinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_BssIdListScan", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_EthernetMoreTransmitCollisions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_ReceiveBufferSpace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_TransmitBufferSpace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_TransmitBlockSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_Statistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_AtmReceiveCellsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiLemRejects", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiLongMaximumListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_EthernetMacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_NetworkTypeInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingLineErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiLctFailures", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentRingState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiUpstreamNodeLong", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoReceivePdusNoBuffer", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiLongPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_VendorID", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_AtmReceiveCellsDropped", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_HardwareStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_NetworkTypesSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_DeviceWakeOnMagicPacketOnly", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxAal5PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_MacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_InfrastructureMode", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVciBits", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoMediaInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_80211_RTSThreshold", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_FddiRingManagmentState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSNdis_CoMediaConnectStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "RegisteredGuids", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSRedbook_DriverInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSChangerParameters", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSChangerProblemDeviceError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSDeviceUI_FirmwareRevision", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSSmBios_RawSMBiosTables", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSSmBios_SMBiosEventlog", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSSmBios_Sysid1394List", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSSmBios_SysidUUIDList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSKeyboard_PortInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSKeyboard_ExtendedID", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSKeyboard_ClassInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSRedbook_Performance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSPower_DeviceWakeEnable", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSPower_DeviceEnable", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSIde_PortDeviceInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMouse_PortInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMouse_ClassInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMCAInfo_CPEControl", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSMCAInfo_RawMCAData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSSerial_CommProperties", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSSerial_HardwareConfiguration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSSerial_PerformanceInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSSerial_CommInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSSerial_PortName", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSAcpiInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSParallel_AllocFreeCounts", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSParallel_DeviceBytesTransferred", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSDiskDriver_Geometry", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSDiskDriver_Performance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSStorageDriver_ScsiInfoExceptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictFunction", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictThresholds", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MSStorageDriver_ATAPISmartData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "MS_SystemInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "TraceLogger", "EventTraceProv", "Event Trace", "In-proc", "Method/Instance", "{9A5DD473-D410-11D1-B829-00C04F94C7C3}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\EVNTRPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\EVNTRPRV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/WMI", "SysmonLog", "SmonlogProv", "System Performance Logging and Alerts", "In-proc", "Method/Instance", "{F95E1664-7979-44F2-A040-496E7F500043}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\EVNTRPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\EVNTRPRV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TSLogonSetting", "Win32_WIN32_TSLOGONSETTING_Prov", "Terminal Service Logon Setting", "In-proc", "Instance/Method", "{C41FF872-07B1-4926-819B-8C94E6B1FBB9}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NTEventlogFile", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Instance/Method", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEvent", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Instance/Method", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEventLog", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Instance/Method", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEventUser", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Instance/Method", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEventComputer", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Instance/Method", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TSEnvironmentSetting", "Win32_WIN32_TSENVIRONMENTSETTING_Prov", "Terminal Service Environment Setting", "In-proc", "Instance/Method", "{9A17DFD1-34FA-4D61-B9BB-3A1097E7FADF}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "MSFT_SCMEvent", "SCM Event Provider", "Service Control Manager", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Msft_WmiProvider_OperationEvent", "ProviderSubSystem", "WMI Provider Subsystem", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_VolumeChangeEvent", "VolumeChangeEvents", "Volume Change", "In-proc", "Event", "{E2CBCB87-9C07-4523-A78F-061499C83987}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObjectLimitSetting", "NamedJobObjectLimitSettingProv", "Kernel Named Object Limit ", "In-proc", "Instance", "{6515834D-6125-4878-A3A3-6B0A73B809A2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Processor", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_Browser", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_Image_Costly", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_PagingFile", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET_2050727_ASPNETAppsv2050727", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRSecurity", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfDisk_LogicalDisk", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Objects", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_UDP", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_TapiSrv_Telephony", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfDisk_PhysicalDisk", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Cache", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRRemoting", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_Redirector", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRExceptions", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRInterop", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET_114322_ASPNETAppsv114322", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_System", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_Process", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_NBTConnection", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_NetworkInterface", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRMemory", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_RSVP_RSVPInterfaces", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_ThreadDetails_Costly", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET_ASPNETApplications", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_JobObject", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_MSDTC_DistributedTransactionCoordinator", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET_114322_ASPNETv114322", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_IP", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET_2050727_ASPNETv2050727", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_TermService_TerminalServicesSession", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_RSVP_RSVPService", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETDataProviderforSqlServer_NETDataProviderforSqlServer", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Spooler_PrintQueue", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_ServerWorkQueues", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET_ASPNET", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_aspnet_state_ASPNETStateService", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRLoading", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_ICMP", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRJit", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Memory", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_Server", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_Thread", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_JobObjectDetails", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_TCP", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_TermService_TerminalServices", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_FullImage_Costly", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_ProcessAddressSpace_Costly", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRLocksAndThreads", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PingStatus", "WMIPingProvider", "Network Ping", "In-proc", "Instance", "{734AC5AE-68E1-4FB5-B8DA-1D92F7FC6661}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPICMP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPICMP.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "MSFT_ForwardedEvent", "Microsoft WMI Forwarding Event Provider", "Microsoft WMI Forwarding", "In-proc", "Event", "{7879E40D-9FB5-450A-8A6D-00C89F349FCE}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\FWDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\FEVPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TSNetworkAdapterSetting", "Win32_WIN32_TSNETWORKADAPTERSETTING_Prov", "Terminal Service Network Adapter Setting", "In-proc", "Instance/Method", "{D25E0260-AAB7-48CB-A192-4D73D2FD375F}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemConfigurationChangeEvent", "SystemConfigurationChangeEvents", "System Configuration Change", "In-proc", "Event", "{D31B6A3F-9350-40DE-A3FC-A7EDEB9B7C63}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TerminalService", "Win32_WIN32_TERMINALSERVICE_Prov", "Terminal Service", "In-proc", "Method/Instance", "{7970614A-BD82-439E-A828-CC96F8E91428}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Volume", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_VolumeUserQuota", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_MountPoint", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_VolumeQuota", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TSRemoteControlSetting", "Win32_WIN32_TSREMOTECONTROLSETTING_Prov", "Terminal Service Remote Control Setting", "In-proc", "Instance/Method", "{DBD71B6B-F717-4A61-A914-2337BC50B0D6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TSNetworkAdapterListSetting", "Win32_WIN32_TSNETWORKADAPTERLISTSETTING_Prov", "Terminal Service Network Adapter List Setting", "In-proc", "Method/Instance", "{7757BA9B-7986-4866-B53F-A31E89FCBA15}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ComputerSystemWindowsProductActivationSetting", "Win32_WIN32_COMPUTERSYSTEMWINDOWSPRODUCTACTIVATIONSETTING_Prov", "Windows Product Activation", "In-proc", "Instance/Method", "{A2B6D807-EE1E-40F6-BDF4-B4D6F552783E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\LICWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\LICWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TSSessionDirectory", "Win32_WIN32_TSSESSIONDIRECTORY_Prov", "Terminal Service Session Directory", "In-proc", "Instance/Method", "{39524FB7-028F-4035-8C2B-8E65D2B17E67}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "CmdTriggerConsumer", "CmdTriggerConsumer", "Command Trigger", "In-proc", "Event/consumer/Method", "{797EF3B3-127B-4283-8096-1E8084BF67A6}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\CMDEVTGPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CMDEVTGPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "MSFT_WMI_GenericNonCOMEvent", "Standard Non-COM Event Provider", "Standard non-COM", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "MSFT_NcProvEvent", "Standard Non-COM Event Provider", "Standard non-COM", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ServerConnection", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ServerSession", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SessionConnection", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ConnectionShare", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_WMISetting", "WBEMCORE", "CIMv2 Core WMI", "In-proc", "Instance", "{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCORE.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_WMIElementSetting", "WBEMCORE", "CIMv2 Core WMI", "In-proc", "Instance", "{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCORE.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_IP4RouteTableEvent", "RouteEventProvider", "IPv4 Route", "In-proc", "Event", "{6D7A4B0E-66D5-4AC3-A7ED-0189E8CF5E77}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PnPSignedDriver", "WhqlProvider", "WHQL", "In-proc", "Method/Instance", "{A0F93E27-F05D-4153-A151-F3720369A4C7}", "NETWORKSERVICEHOST", "C:\WINDOWS\PCHEALTH\HELPCTR\BINARIES\MSINFO.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WHQLPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PnPSignedDriverCIMDataFile", "WhqlProvider", "WHQL", "In-proc", "Method/Instance", "{A0F93E27-F05D-4153-A151-F3720369A4C7}", "NETWORKSERVICEHOST", "C:\WINDOWS\PCHEALTH\HELPCTR\BINARIES\MSINFO.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WHQLPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TSSessionSetting", "Win32_WIN32_TSSESSIONSETTING_Prov", "Terminal Service Session Setting", "In-proc", "Instance/Method", "{BE9B3133-250B-44A5-A278-C532B7B7FF76}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TerminalTerminalSetting", "Win32_WIN32_TERMINALTERMINALSETTING_Prov", "Terminal Setting", "In-proc", "Instance", "{BA4EAC04-AFCE-441A-A4F0-C4A97545425A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TSClientSetting", "Win32_WIN32_TSCLIENTSETTING_Prov", "Terminal Service Client Setting", "In-proc", "Instance/Method", "{647BD8C2-658B-4ECA-ABC7-FC5C0BF1704D}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TerminalServiceSetting", "Win32_WIN32_TERMINALSERVICESETTING_Prov", "Terminal Service Setting", "In-proc", "Method/Instance", "{6BD6AECA-AFB0-45B7-BAC4-F292EC0F3F41}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ProcessStartTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ProcessStopTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ThreadStartTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ThreadStopTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ModuleLoadTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Proxy", "Win32_WIN32_PROXY_Prov", "Windows Proxy", "In-proc", "Method/Instance", "{AF134D0A-6706-4ACD-BA76-D0A852474C99}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\LICWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\LICWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObject", "NamedJobObjectProv", "Kernel Named Object", "In-proc", "Instance", "{7FB1D98A-F895-4761-8DC2-774969C84D10}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ComputerShutdownEvent", "MS_Shutdown_Event_Provider", "Shutdown", "In-proc", "Event", "{A3E41207-BE04-492A-AFF0-19E880FF7545}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalShareAccess", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileAccess", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileGroup", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileSecuritySetting", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalShareSecuritySetting", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileOwner", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SecuritySettingOfLogicalShare", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SecuritySettingOfLogicalFile", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_AccountSID", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalShareAuditing", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileAuditing", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SID", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LocalTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_UTCTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LocalTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_UTCTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PowerManagementEvent", "MS_Power_Management_Event_Provider", "Power Management", "In-proc", "Event", "{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_WindowsProductActivation", "Win32_WIN32_WINDOWSPRODUCTACTIVATION_Prov", "Windows Product Activation", "In-proc", "Method/Instance", "{EA231B91-099E-4D02-9EE7-73976D6A085F}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\LICWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\LICWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ActiveRoute", "RouteProvider", "IPv4 Route", "In-proc", "Instance", "{23B77E99-5C2D-482D-A795-62CA3AE5B673}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_IP4PersistedRouteTable", "RouteProvider", "IPv4 Route", "In-proc", "Instance", "{23B77E99-5C2D-482D-A795-62CA3AE5B673}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_IP4RouteTable", "RouteProvider", "IPv4 Route", "In-proc", "Instance", "{23B77E99-5C2D-482D-A795-62CA3AE5B673}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PhysicalMedia", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NTDomain", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_USBHub", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_GroupInDomain", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_UserInDomain", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObjectStatistics", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_OperatingSystemAutochkSetting", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DiskDrivePhysicalMedia", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ControllerHasHub", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogonSessionMappedDisk", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObjectProcess", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObjectLimit", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObjectSecLimit", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Msft_WmiProvider_Counters", "Msft_ProviderSubSystem", "Microsoft Provider Sub-system", "In-proc", "Instance/Method", "{7F598975-37E0-4A67-A992-116680F0CEDA}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WMIPRVSD.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SYSTEM.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Msft_Providers", "Msft_ProviderSubSystem", "Microsoft Provider Sub-system", "In-proc", "Instance/Method", "{7F598975-37E0-4A67-A992-116680F0CEDA}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WMIPRVSD.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SYSTEM.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TerminalServiceToSetting", "Win32_WIN32_TERMINALSERVICETOSETTING_Prov", "Terminal Service Setting Association", "In-proc", "Method/Instance", "{B490264C-8D8F-40FD-B1BE-CD69AD779EC1}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObjectSecLimitSetting", "NamedJobObjectSecLimitSettingProv", "Kernel Named Object Secondary Limit ", "In-proc", "Instance", "{AB40A5C1-804B-40BD-9DFE-A640691C6956}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TSSessionDirectorySetting", "Win32_WIN32_TSSESSIONDIRECTORYSETTING_Prov", "Terminal Service Session Directory Setting", "In-proc", "Method/Instance", "{CCBA37FC-982B-433B-8AC2-455E616A8559}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TSPermissionsSetting", "Win32_WIN32_TSPERMISSIONSSETTING_Prov", "Terminal Service Permission Setting", "In-proc", "Instance/Method", "{FA06375D-F0A4-4A47-AD8D-148595F1E0B8}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TSAccount", "Win32_WIN32_TSACCOUNT_Prov", "Terminal Service Accounts", "In-proc", "Instance/Method", "{BDF9E8B8-6C66-4E45-BA15-E050393DD079}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Terminal", "Win32_WIN32_TERMINAL_Prov", "Terminal ", "In-proc", "Instance/Method", "{74628299-57EC-4F12-BA1C-08B477BF447A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_InstalledSoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElementResource", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeature", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_CommandLineAccess", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ApplicationService", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureSoftwareElements", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ServiceControl", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Property", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Binary", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PatchPackage", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Patch", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ODBCSourceAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ODBCAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ShortcutSAP", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDriverSoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElementCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureParent", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ApplicationCommandLine", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PatchFile", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDriverAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDataSourceAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ServiceSpecificationService", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_CreateFolderAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ExtensionInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_MIMEInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TypeLibraryAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_RemoveIniAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_BindImageAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ShortcutAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_FontInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PublishComponentAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_RegistryAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ClassInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_RemoveFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_MoveFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DuplicateFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SelfRegModuleAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ActionCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ODBCTranslatorSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElementCondition", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ServiceSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_IniFileSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_FileSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DirectorySpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LaunchCondition", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDataSourceSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ReserveCost", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDriverSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ProgIDSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_EnvironmentSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Condition", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ProductResource", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ProductCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ProductSoftwareFeatures", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_CheckCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Product", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElementAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_QuotaSetting", "DskQuotaProvider", "Disk Quota", "In-proc", "Instance", "{4AF3F4A4-06C8-4B79-A523-633CC65CE297}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_VolumeQuotaSetting", "DskQuotaProvider", "Disk Quota", "In-proc", "Instance", "{4AF3F4A4-06C8-4B79-A523-633CC65CE297}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DiskQuota", "DskQuotaProvider", "Disk Quota", "In-proc", "Instance", "{4AF3F4A4-06C8-4B79-A523-633CC65CE297}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "NetDiagnostics", "NetDiagProv", "Network Diagnostic", "In-proc", "Method/Instance", "{8DABE793-23D9-45DF-A3DB-F442883BB479}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\DGNET.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DGNET.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TSGeneralSetting", "Win32_WIN32_TSGENERALSETTING_Prov", "Terminal Service General Setting", "In-proc", "Method/Instance", "{4C8A0917-F587-4ECF-9C89-48147528F4E1}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ShareToDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PnPDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_OnBoardDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PhysicalMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemSlot", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PortConnector", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_BaseBoard", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PhysicalMemoryArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemEnclosure", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PageFileUsage", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Registry", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Process", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_QuickFixEngineering", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PortResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DeviceMemoryAddress", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DMAChannel", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_IRQResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Environment", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NetworkClient", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_BIOS", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DriverVXD", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogonSession", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ComponentCategory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NetworkProtocol", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ComputerSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TCPIPPrinterPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LoadOrderGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_BaseService", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Service", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PrinterDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Share", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DCOMApplication", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ClassicCOMClass", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_OperatingSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Refrigeration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Fan", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_HeatPipe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_POTSModem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_CacheMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_MappedLogicalDisk", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalDisk", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_MemoryDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_MemoryArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DiskPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NetworkAdapter", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_MotherboardDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PointingDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Keyboard", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DesktopMonitor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_VoltageProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TemperatureProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_CurrentProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PCMCIAController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SCSIController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_USBController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_FloppyController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SerialPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_IDEController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_VideoController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_1394Controller", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_InfraredDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ParallelPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PnPEntity", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SoundDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Processor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PortableBattery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Battery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TapeDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_CDROMDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DiskDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_FloppyDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Bus", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Printer", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_UninterruptiblePowerSupply", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ScheduledJob", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PrintJob", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NetworkConnection", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Thread", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "CIM_LogicalFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Directory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "CIM_DataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ShortcutFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_CodecFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PageFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupItem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_UserAccount", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemAccount", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Group", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ProtocolBinding", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SubDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LoadOrderGroupServiceMembers", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalDiskRootDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemBIOS", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemProcesses", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemResources", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemDevices", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemPartitions", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ComputerSystemProcessor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemLoadOrderGroups", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemNetworkConnections", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemSystemDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemOperatingSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemServices", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemUsers", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ClassicCOMApplicationClasses", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "CIM_DirectoryContainsFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ProgramGroupContents", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PhysicalMemoryLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_GroupUser", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_MemoryDeviceArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DCOMApplicationAccessAllowedSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_OSRecoveryConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_TimeZone", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ProgramGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DisplayControllerConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_BootConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SerialPortConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DisplayConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ClassicCOMClassSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DCOMApplicationSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_AutochkSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_StartupCommand", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "CIM_VideoControllerResolution", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PageFileSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NetworkLoginProfile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PrinterConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalMemoryConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_Desktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NetworkAdapterConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ComClassEmulator", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PrinterSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SerialPortSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NetworkAdapterSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_UserDesktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemProgramGroups", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemDesktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemBootConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemTimeZone", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemLogicalMemoryConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ClassicCOMClassSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PageFileElementSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_VideoSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_COMApplicationSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SessionProcess", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_AssociatedProcessorMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_OperatingSystemQFE", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LoadOrderGroupServiceDependencies", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_AssociatedBattery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SystemDriverPNPEntity", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DeviceBus", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_AllocatedResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "CIM_ProcessExecutable", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_MemoryDeviceLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_MemoryArrayLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DependentService", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_IDEControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_SCSIControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PrinterController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_1394ControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_POTSModemToSerialPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_USBControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LoggedOnUser", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalDiskToPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PNPAllocatedResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupItemDataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DiskDriveToDiskPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PrinterShare", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PrinterDriverDll", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_CIMLogicalDeviceCIMDataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DriverForDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ComClassAutoEmulator", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_DCOMApplicationLaunchAllowedSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ClientApplicationSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ComputerSystemProduct", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_ImplementedCategory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObjectActgInfo", "NamedJobObjectActgInfoProv", "Kernel Named Actg Info Object", "In-proc", "Instance", "{C0AA9D93-2EF5-47FB-960C-F90FC644B48E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRRemoting", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_RSVP_RSVPInterfaces", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRExceptions", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET_114322_ASPNETv114322", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfDisk_LogicalDisk", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRSecurity", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Redirector", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_TermService_TerminalServicesSession", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Cache", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_aspnet_state_ASPNETStateService", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETDataProviderforSqlServer_NETDataProviderforSqlServer", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRLoading", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET_2050727_ASPNETAppsv2050727", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_System", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_JobObject", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET_ASPNET", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Process", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_FullImage_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_TCP", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_NetworkInterface", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRLocksAndThreads", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRMemory", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_PagingFile", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_TermService_TerminalServices", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_NBTConnection", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_ServerWorkQueues", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRInterop", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Image_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Server", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_IP", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Browser", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Objects", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Processor", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_TapiSrv_Telephony", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET_114322_ASPNETAppsv114322", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_UDP", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET_2050727_ASPNETv2050727", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Spooler_PrintQueue", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfDisk_PhysicalDisk", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_JobObjectDetails", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Thread", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_ICMP", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Memory", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_ThreadDetails_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET_ASPNETApplications", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_MSDTC_DistributedTransactionCoordinator", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRJit", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_RSVP_RSVPService", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_ProcessAddressSpace_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "MSFT_WmiEssEvent", "WMI Self-Instrumentation Event Provider", "WMI Self-Instrumentation", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEvent", "MS_NT_EVENTLOG_EVENT_PROVIDER", "EventLog", "In-proc", "Event", "{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Summary", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_ConnectionSettings", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Object", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Publisher", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_LanSettings", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_FileVersion", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Certificate", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_ConnectionSummary", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Cache", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Security", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Sessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUser", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsACE", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeed", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAlias", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroups", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilter", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapper", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuild", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilters", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpire", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPool", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionScheme", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsSmtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsObject_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroups_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModule_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsMimeMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsSmtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpGroups", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpFeeds", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsImapVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapper_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds_IIsNntpFeed", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsNntpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsCustomLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsSmtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3RoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpRebuild", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsImapInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Sessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPool_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebFile", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsSmtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsWebService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpire_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSource_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsFtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebFile", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMap_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebDirectory", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsFilter", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain_IIsSmtpDomain", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAlias_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsCompressionScheme", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration_IIsNntpExpire", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionScheme_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3Sessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpExpiration", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsCompressionSchemes", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsPop3VirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeed_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsPop3Info", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsImapService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsFtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools_IIsApplicationPool", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebDirectory", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsImapServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsFtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsFilters", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsWebInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModule_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsAdminACL_IIsACE", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSource_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsNntpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsFtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuild_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsFilter", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsNntpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsFtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsPop3Server", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsApplicationPools", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsCompressionSchemes", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsNntpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSource_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsFilters", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3VirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDL_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpDomain", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsCompressionScheme", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsCertMapper", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsWebServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUser_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsPop3Service", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemeSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebFileSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpireSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMapSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3ServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3ServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilterSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3InfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpirationSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAliasSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsObjectSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectorySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUserSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapperSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomainSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuildSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeedsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeedSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3SessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPoolSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModulesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroupsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPoolsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDLSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFiltersSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSource_IIsSmtpRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Sessions_IIsPop3SessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools_IIsApplicationPoolsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds_IIsNntpFeedsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModule_IIsLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessions_IIsSmtpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessions_IIsNntpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsWebServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsFtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAlias_IIsSmtpAliasSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeed_IIsNntpFeedSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroups_IIsNntpGroupsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSource_IIsPop3RoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsComputerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info_IIsPop3InfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsCompressionSchemesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsFiltersSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsLogModulesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo_IIsSmtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo_IIsWebInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsSmtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMap_IIsMimeMapSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapper_IIsCertMapperSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebDirectorySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsImapServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUser_IIsSmtpUserSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDL_IIsSmtpDLSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsObject_IIsObjectSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModule_IIsCustomLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsImapVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration_IIsNntpExpirationSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsPop3ServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsFtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpire_IIsNntpExpireSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo_IIsFtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo_IIsNntpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsNntpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3ServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile_IIsWebFileSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsWebServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionScheme_IIsCompressionSchemeSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsSmtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsFilterSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPool_IIsApplicationPoolSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain_IIsSmtpDomainSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSource_IIsImapRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsFtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessions_IIsImapSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsNntpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuild_IIsNntpRebuildSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo_IIsImapInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsPop3VirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "HttpError", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "ScriptMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "MimeMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "CustomErrorDescription", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "ServerBinding", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "ApplicationDependency", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "WebSvcExtRestrictionList", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "HttpCustomHeader", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "SecureBinding", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "CIM_Service", "MS_VIEW_INSTANCE_PROVIDER", "View", "In-proc", "Method/Instance", "{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VIEWPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "Win32_BaseService", "MS_VIEW_INSTANCE_PROVIDER", "View", "In-proc", "Method/Instance", "{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VIEWPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/MICROSOFTIISV2", "Win32_Service", "MS_VIEW_INSTANCE_PROVIDER", "View", "In-proc", "Method/Instance", "{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VIEWPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/POLICY", "MSFT_SomFilter", "PolicSOM", "Polcy Scope Of Management (SOM)", "In-proc", "Instance/Method", "{AAEAE72F-0328-4763-8ECB-23422EDE2DB5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.DLL", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/POLICY", "MSFT_SomFilterStatus", "PolicStatus", "Policy Status", "In-proc", "Instance", "{69D76D1B-B12E-4913-8F48-671B90195A2B}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.DLL", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/DEFAULT", "StdRegProv", "RegProv", "Registry", "In-proc", "Instance/Method", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/DEFAULT", "SystemRestore", "SystemRestoreProv", "System Restore", "In-proc", "Method/Instance", "{A47401F6-A8A6-40EA-9C29-B8F6026C98B8}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\SRCLIENT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SR.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/DEFAULT", "RegistryEvent", "RegistryEventProvider", "Registry", "In-proc", "Event", "{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/DEFAULT", "*", "RegPropProv", "Registry", "In-proc", "Property", "{72967901-68EC-11D0-B729-00AA0062CBB7}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPInstanceProvider|V1.0", "Active Directory LDAP ", "In-proc", "Instance", "{AA527A40-4D9A-11D2-93AD-00805F853771}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPClassAssociationsProvider|V1.0", "Active Directory LDAP Association", "In-proc", "Instance", "{33831ED4-42B8-11D2-93AD-00805F853771}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPClassProvider|V1.0", "Active Directory LDAP ", "In-proc", "Pull Class", "{1EF94880-01A8-11D2-A90B-00AA00BF3363}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "*", "MS_SNMP_CLASS_PROVIDER", "SNMP", "In-proc", "Pull Class", "{70426720-F78F-11CF-9151-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "*", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpV2ExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpV1ExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpColdStartExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpWarmStartExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkDownExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkUpExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpAuthenticationFailureExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpEGPNeighborLossExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpV2Notification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpV1Notification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpColdStartNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpWarmStartNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkDownNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkUpNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpAuthenticationFailureNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpEGPNeighborLossNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_system", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_interfaces", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ifTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ip", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipRouteTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipAddrTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipNetToMediaTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_icmp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_tcp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_tcpConnTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_udp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_udpTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_snmp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "CommandLineEventConsumer", "CommandLineEventConsumer", "Command Line", "In-proc", "Event/consumer", "{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "LogFileEventConsumer", "LogFileEventConsumer", "Log File", "In-proc", "Event/consumer", "{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "ActiveScriptEventConsumer", "ActiveScriptEventConsumer", "Active Script", "Out-of-proc", "Event/consumer", "{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", "SELFHOST", "C:\WINDOWS\SYSTEM32\WBEM\SCRCONS.EXE", "C:\WINDOWS\SYSTEM32\WBEM\SCRCONS.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "SMTPEventConsumer", "SMTPEventConsumer", "SMTP", "In-proc", "Event/consumer", "{C7A3A54B-0250-11D3-9CD1-00105A1F4801}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\SMTPCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SMTPCONS.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "NTEventLogEventConsumer", "NTEventLogEventConsumer", "EventLog", "In-proc", "Event/consumer", "{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_", "Microsoft WMI Template Association Provider", "Microsoft WMI Template Association", "No DCOM registry registration (Exception)", "Instance", "{FD18A1B2-9E61-4E8E-8501-DB0B07846396}", "WMICORE", "No DCOM registry registration (Exception)", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_", "Microsoft WMI Transient Provider", "Microsoft WMI Transient", "In-proc", "Instance", "{405595AA-1E14-11D3-B33D-00105A1F4AAF}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_", "Microsoft WMI Template Provider", "Microsoft WMI Template", "In-proc", "Instance", "{C486ABD2-27F6-11D3-865E-00C04F63049B}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_ForwardingConsumer", "Microsoft WMI Forwarding Consumer Provider", "Microsoft WMI Forwarding Trace", "In-proc", "Event/consumer", "{AD1B46E8-0AAC-401B-A3B8-FCDCF8186F55}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\FWDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\FCONPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_TemplateBase", "Microsoft WMI Template Event Provider", "Microsoft WMI Template", "Decoupled", "Event", "{FD18A1B2-9E61-4E8E-8501-DB0B07846396}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_TransientEggTimerEvent", "Microsoft WMI Transient Event Provider", "Microsoft WMI Transient", "Decoupled", "Event", "{405595AB-1E14-11D3-B33D-00105A1F4AAF}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_TransientStateBase", "Microsoft WMI Transient Event Provider", "Microsoft WMI Transient", "Decoupled", "Event", "{405595AB-1E14-11D3-B33D-00105A1F4AAF}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_UpdatingConsumer", "Microsoft WMI Updating Consumer Provider", "Microsoft WMI Updating", "In-proc", "Event/consumer", "{A3A16907-227B-11D3-865D-00C04F63049B}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_UCScenarioControl", "Microsoft WMI Updating Consumer Provider", "Microsoft WMI Updating", "In-proc", "Event/consumer", "{A3A16907-227B-11D3-865D-00C04F63049B}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_UCTraceEventBase", "Microsoft WMI Updating Consumer Event Provider", "Microsoft WMI Updating Consumer", "Decoupled", "Event", "{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_UCEventBase", "Microsoft WMI Updating Consumer Event Provider", "Microsoft WMI Updating Consumer", "Decoupled", "Event", "{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_UCScenarioAssociation", "Microsoft WMI Updating Consumer Assoc Provider", "Microsoft WMI Updating Association Consumer", "In-proc", "Instance", "{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_FCTraceEventBase", "Microsoft WMI Forwarding Consumer Trace Event Provider", "Microsoft WMI Forwarding Trace", "Decoupled", "Event", "{AD1B46E8-0AAC-401B-A3B8-FCDCF8186F55}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\FCONPROV.MOF"), _
                                       Array (cWindowsXPSP2, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_TransientRebootEvent", "Microsoft WMI Transient Reboot Event Provider", "Microsoft WMI Transient Reboot", "In-proc", "Event", "{405595AB-1E14-11D3-B33D-00105A1F4AAF}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/PERFMON", "SysmonLog", "SmonlogProv", "System Performance Logging and Alerts", "In-proc", "Method/Instance", "{F95E1664-7979-44F2-A040-496E7F500043}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\EVNTRPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\EVNTRPRV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/RSOP", "RsopPlanningModeProvider", "Rsop Planning Mode Provider", "Resultant Set Of Policies (Planning Mode)", "Out-of-proc", "Method", "{F0FF8EBB-F14D-4369-BD2E-D84FBF6122D6}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\RSOPPROV.EXE", "C:\WINDOWS\SYSTEM32\WBEM\RSOP.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/RSOP", "RsopLoggingModeProvider", "Rsop Logging Mode Provider", "Resultant Set Of Policies (Logging Mode)", "In-proc", "Method", "{B3FF88A4-96EC-4CC1-983F-72BE0EBB368B}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\USERENV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\RSOP.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/RSOP/*", "RSOP_", "Static class", "Resultant Set Of Policies", "", "", "", "", "", "C:\WINDOWS\SYSTEM32\WBEM\RSOP.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/ASPNET", "BaseEvent", "DecoupledEventProvider", "Decoupled ASP.NET", "Decoupled", "Event", "{54D8502C-527D-43F7-A506-A9DA075E229C}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\MICROSOFT.NET\FRAMEWORK\V2.0.50215\ASPNET.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "*", "MS_SNMP_CLASS_PROVIDER", "SNMP", "In-proc", "Pull Class", "{70426720-F78F-11CF-9151-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "*", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpV2ExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpV1ExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpColdStartExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpWarmStartExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkDownExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkUpExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpAuthenticationFailureExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpEGPNeighborLossExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpV2Notification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpV1Notification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpColdStartNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpWarmStartNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkDownNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkUpNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpAuthenticationFailureNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpEGPNeighborLossNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_system", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_interfaces", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ifTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ip", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipRouteTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipAddrTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipNetToMediaTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_icmp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_tcp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_tcpConnTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_udp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_udpTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_snmp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Event", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_EventStateChange", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_EventResourceStateChange", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_EventGroupStateChange", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_EventObjectRemove", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_EventObjectAdd", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_EventPropertyChange", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Node", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Cluster", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Service", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_NetworkInterface", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Network", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceGroup", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Resource", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceType", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceTypeToResource", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ClusterToNetwork", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceGroupToResource", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_NodeToActiveGroup", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_NodeToNetworkInterface", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ClusterToResourceGroup", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_NodeToActiveResource", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ClusterToQuorumResource", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceToPossibleOwner", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ClusterToResource", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ClusterToNetworkInterface", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ClusterToResourceType", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceGroupToPreferredNode", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_NetworkToNetworkInterface", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceToDependentResource", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ClusterToNode", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_NodeToHostedService", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Method/Instance", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_", "MS_CLUSTER_CLASS_PROVIDER", "(WMI information not available)", "In-proc", "Push Class", "{6A52C339-DCB0-4682-8B1B-02DE2C436A6D}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Event", "Cluster Event Provider", "Cluster", "In-proc", "Event", "{92863246-4EDE-4EFF-B606-79C1971DB230}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "WMIEvent", "WMIEventProv", "WMI Events", "In-proc", "Event", "{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "EventTrace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "*", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAEvent_SwitchToCPEPolling", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_NotifyVcRemoval", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_NotifyAdapterRemoval", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAEvent_InvalidError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_StatusMediaDisconnect", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSChangerProblemEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_StatusDevicePowerOff", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_StatusResetEnd", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_NotifyVcArrival", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAEvent_TLBError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSTapeDriveProblemEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSWmi_GuidRegistrationInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAEvent_PlatformSpecificError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSIPNAT_PacketDroppedEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_StatusProtocolUnbind", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSIPNAT_ConnectionDeletionEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAEvent_MemoryHierarchyError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAEvent_SystemEventError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_StatusMediaConnect", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAEvent_PCIComponentError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_StatusResetStart", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAEvent_MemoryError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAInfo_RawMCAEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSIPNAT_ConnectionCreationEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAEvent_BusError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAInfo_RawCorrectedPlatformEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_StatusLinkSpeedChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAEvent_PCIBusError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_StatusProtocolBind", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_StatusMediaSpecificIndication", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_StatusDevicePowerOn", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAEvent_SMBIOSError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAEvent_CPUError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_NotifyAdapterArrival", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAEvent_MemoryPageRemoved", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAEvent_SwitchToCMCPolling", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAInfo_RawCMCEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSWmi_ProviderInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSWmi_PnPDeviceId", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSWmi_MofData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSWmi_PnPInstanceNames", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSAcpi_ThermalZoneTemperature", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSTapeDriveParam", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSTapeSymbolicName", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSTapeProblemDeviceError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSTapeMediaCapacity", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSTapeProblemIoError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_AtmSupportedServiceCategory", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentFunctional", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_MaximumSendPackets", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingLostFrames", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiShortPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVcs", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiLongMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_PrivacyFilter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_EthernetReceiveErrorAlignment", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_ReceiveError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiFramesLost", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_MaximumFrameSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_MediaInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_ReceiveNoBuffer", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiAttachmentType", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoMediaSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoTransmitPdusOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_Disassociate", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_BaseServiceSetIdentifier", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoReceivePduErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoReceivePdusOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_RemoveWEP", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiLongCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_EthernetMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_EthernetCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_TransmitsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_DataRates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_DesiredDataRates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_AddWEP", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_TransmitPowerLevel", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_VendorDescription", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CurrentLookahead", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_TransmitAntennaSelected", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_AuthenticationMode", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_AtmTransmitCellsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_EnumerateAdapter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_FragmentationThreshold", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_EthernetMaximumMulticastListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_ReceivedSignalStrength", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_LinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoTransmitPduErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_MediaConnectStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_PowerMode", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVpiBits", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_AtmSupportedVcRates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_MaximumTotalSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_TransmitsError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxAal34PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_ServiceSetIdentifier", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoHardwareStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_ReceiveBlockSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoMacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_ReceivesOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiLConnectionState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_MaximumLookahead", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_BSSIList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxAal1PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxAal0PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_AtmSupportedAalTypes", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoLinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CurrentPacketFilter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiShortMaximumListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_MediaSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_NumberOfAntennas", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiShortCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiFrameErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_NdisEnumerateVc", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_ReceiveAntennaSelected", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoVendorDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_Configuration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_DriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_EthernetPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_VendorDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_EthernetOneTransmitCollision", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentGroup", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiShortMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingLastOpenStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_VlanIdentifier", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_ReloadDefaults", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiDownstreamNodeLong", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentRingStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoVendorId", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_WEPStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_AtmHardwareCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_ReceivedSignalStrengthEventTrigger", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_PhysicalMediumType", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoVendorDescription", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoMinimumLinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_BssIdListScan", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_EthernetMoreTransmitCollisions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_ReceiveBufferSpace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_TransmitBufferSpace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_TransmitBlockSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_Statistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_AtmReceiveCellsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiLemRejects", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiLongMaximumListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_EthernetMacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_NetworkTypeInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingLineErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiLctFailures", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentRingState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiUpstreamNodeLong", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoReceivePdusNoBuffer", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiLongPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_VendorID", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_AtmReceiveCellsDropped", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_HardwareStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_NetworkTypesSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_DeviceWakeOnMagicPacketOnly", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxAal5PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_MacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_InfrastructureMode", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVciBits", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoMediaInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_80211_RTSThreshold", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_FddiRingManagmentState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSNdis_CoMediaConnectStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "RegisteredGuids", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSRedbook_DriverInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSChangerParameters", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSChangerProblemDeviceError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSDeviceUI_FirmwareRevision", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSSmBios_RawSMBiosTables", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSSmBios_SMBiosEventlog", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSSmBios_Sysid1394List", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSSmBios_SysidUUIDList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSKeyboard_PortInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSKeyboard_ExtendedID", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSKeyboard_ClassInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSRedbook_Performance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSAgp_Information", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSPower_DeviceWakeEnable", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSPower_DeviceEnable", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSIde_PortDeviceInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMouse_PortInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMouse_ClassInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSMCAInfo_RawMCAData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSSerial_CommProperties", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSSerial_HardwareConfiguration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSSerial_PerformanceInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSSerial_CommInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSSerial_PortName", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSVerifierIrpLogInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSAcpiInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSParallel_AllocFreeCounts", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSParallel_DeviceBytesTransferred", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSDiskDriver_Geometry", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSDiskDriver_Performance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSStorageDriver_ScsiInfoExceptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictFunction", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictThresholds", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MSStorageDriver_ATAPISmartData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "MS_SystemInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "TraceLogger", "EventTraceProv", "Event Trace", "In-proc", "Method/Instance", "{9A5DD473-D410-11D1-B829-00C04F94C7C3}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\EVNTRPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\EVNTRPRV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/WMI", "SysmonLog", "SmonlogProv", "System Performance Logging and Alerts", "In-proc", "Method/Instance", "{F95E1664-7979-44F2-A040-496E7F500043}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\EVNTRPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\EVNTRPRV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TSLogonSetting", "Win32_WIN32_TSLOGONSETTING_Prov", "Terminal Service Logon Setting", "In-proc", "Instance/Method", "{C41FF872-07B1-4926-819B-8C94E6B1FBB9}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NTEventlogFile", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Instance/Method", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEvent", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Instance/Method", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEventLog", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Instance/Method", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEventUser", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Instance/Method", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEventComputer", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Instance/Method", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TSEnvironmentSetting", "Win32_WIN32_TSENVIRONMENTSETTING_Prov", "Terminal Service Environment Setting", "In-proc", "Instance/Method", "{9A17DFD1-34FA-4D61-B9BB-3A1097E7FADF}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "MSFT_SCMEvent", "SCM Event Provider", "Service Control Manager", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Msft_WmiProvider_OperationEvent", "ProviderSubSystem", "WMI Provider Subsystem", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "EventViewerConsumer", "EventViewerConsumer", "Event Viewer", "Out-of-proc", "Event/consumer", "{DD2DB150-8D3A-11D1-ADBF-00AA00B8E05A}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\PROGRAM FILES\WMI TOOLS\WBEMEVENTVIEWER.EXE", "C:\PROGRAM FILES\WMI TOOLS\EVIEWER.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_VolumeChangeEvent", "VolumeChangeEvents", "Volume Change", "In-proc", "Event", "{E2CBCB87-9C07-4523-A78F-061499C83987}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObjectLimitSetting", "NamedJobObjectLimitSettingProv", "Kernel Named Object Limit ", "In-proc", "Instance", "{6515834D-6125-4878-A3A3-6B0A73B809A2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_DNS_DNS", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_ICMPv6", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Processor", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_Browser", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_Image_Costly", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_PagingFile", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_IPSec_IPSecv4Driver", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRSecurity", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_IAS_IASAuthenticationProxy", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfDisk_LogicalDisk", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_W3SVC_WebService", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_IAS_IASAccountingServer", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_MSFtpsvc_FTPService", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Objects", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET_2050215_ASPNETAppsv2050215", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_InetInfo_InternetInformationServicesGlobal", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_W3SVC_WebServiceCache", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_TapiSrv_Telephony", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfDisk_PhysicalDisk", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Cache", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRRemoting", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_Redirector", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRExceptions", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_IAS_IASRemoteAccountingServers", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRInterop", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_IPSec_IPSecv4IKE", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_System", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_UDPv4", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_Process", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_IAS_IASAuthenticationClients", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_RemoteAccess_RASPort", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_NBTConnection", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_NetworkInterface", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_IAS_IASAccountingProxy", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRMemory", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_ThreadDetails_Costly", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET_ASPNETApplications", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_IPv6", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_JobObject", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_TCPv6", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_MSDTC_DistributedTransactionCoordinator", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_IAS_IASAccountingClients", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_TermService_TerminalServicesSession", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_DHCPServer_DHCPServer", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETDataProviderforSqlServer_NETDataProviderforSqlServer", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_IPv4", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_IAS_IASRemoteAuthenticationServers", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Spooler_PrintQueue", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_IAS_IASAuthenticationServer", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_ServerWorkQueues", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET_ASPNET", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_aspnet_state_ASPNETStateService", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRLoading", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_ICMP", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRJit", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASP_ActiveServerPages", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Memory", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_Server", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_Thread", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_JobObjectDetails", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_TermService_TerminalServices", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_FullImage_Costly", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET_2050215_ASPNETv2050215", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_UDPv6", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_ProcessAddressSpace_Costly", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_TCPv4", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRLocksAndThreads", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_RemoteAccess_RASTotal", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PingStatus", "WMIPingProvider", "Network Ping", "In-proc", "Instance", "{734AC5AE-68E1-4FB5-B8DA-1D92F7FC6661}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPICMP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPICMP.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TSNetworkAdapterSetting", "Win32_WIN32_TSNETWORKADAPTERSETTING_Prov", "Terminal Service Network Adapter Setting", "In-proc", "Instance/Method", "{D25E0260-AAB7-48CB-A192-4D73D2FD375F}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemConfigurationChangeEvent", "SystemConfigurationChangeEvents", "System Configuration Change", "In-proc", "Event", "{D31B6A3F-9350-40DE-A3FC-A7EDEB9B7C63}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TerminalService", "Win32_WIN32_TERMINALSERVICE_Prov", "Terminal Service", "In-proc", "Method/Instance", "{7970614A-BD82-439E-A828-CC96F8E91428}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Volume", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_VolumeUserQuota", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_MountPoint", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_VolumeQuota", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TSRemoteControlSetting", "Win32_WIN32_TSREMOTECONTROLSETTING_Prov", "Terminal Service Remote Control Setting", "In-proc", "Instance/Method", "{DBD71B6B-F717-4A61-A914-2337BC50B0D6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TSNetworkAdapterListSetting", "Win32_WIN32_TSNETWORKADAPTERLISTSETTING_Prov", "Terminal Service Network Adapter List Setting", "In-proc", "Method/Instance", "{7757BA9B-7986-4866-B53F-A31E89FCBA15}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ComputerSystemWindowsProductActivationSetting", "Win32_WIN32_COMPUTERSYSTEMWINDOWSPRODUCTACTIVATIONSETTING_Prov", "Windows Product Activation", "In-proc", "Instance/Method", "{A2B6D807-EE1E-40F6-BDF4-B4D6F552783E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\LICWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\LICWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TSSessionDirectory", "Win32_WIN32_TSSESSIONDIRECTORY_Prov", "Terminal Service Session Directory", "In-proc", "Instance/Method", "{39524FB7-028F-4035-8C2B-8E65D2B17E67}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "CmdTriggerConsumer", "CmdTriggerConsumer", "Command Trigger", "In-proc", "Event/consumer/Method", "{797EF3B3-127B-4283-8096-1E8084BF67A6}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\CMDEVTGPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CMDEVTGPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "MSFT_WMI_GenericNonCOMEvent", "Standard Non-COM Event Provider", "Standard non-COM", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "MSFT_NcProvEvent", "Standard Non-COM Event Provider", "Standard non-COM", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ServerConnection", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ServerSession", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SessionConnection", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ConnectionShare", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_WMISetting", "WBEMCORE", "CIMv2 Core WMI", "In-proc", "Instance", "{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCORE.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_WMIElementSetting", "WBEMCORE", "CIMv2 Core WMI", "In-proc", "Instance", "{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCORE.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_IP4RouteTableEvent", "RouteEventProvider", "IPv4 Route", "In-proc", "Event", "{6D7A4B0E-66D5-4AC3-A7ED-0189E8CF5E77}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PnPSignedDriver", "WhqlProvider", "WHQL", "In-proc", "Method/Instance", "{A0F93E27-F05D-4153-A151-F3720369A4C7}", "NETWORKSERVICEHOST", "C:\WINDOWS\PCHEALTH\HELPCTR\BINARIES\MSINFO.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WHQLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PnPSignedDriverCIMDataFile", "WhqlProvider", "WHQL", "In-proc", "Method/Instance", "{A0F93E27-F05D-4153-A151-F3720369A4C7}", "NETWORKSERVICEHOST", "C:\WINDOWS\PCHEALTH\HELPCTR\BINARIES\MSINFO.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WHQLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TSSessionSetting", "Win32_WIN32_TSSESSIONSETTING_Prov", "Terminal Service Session Setting", "In-proc", "Instance/Method", "{BE9B3133-250B-44A5-A278-C532B7B7FF76}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TerminalTerminalSetting", "Win32_WIN32_TERMINALTERMINALSETTING_Prov", "Terminal Setting", "In-proc", "Instance", "{BA4EAC04-AFCE-441A-A4F0-C4A97545425A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TSClientSetting", "Win32_WIN32_TSCLIENTSETTING_Prov", "Terminal Service Client Setting", "In-proc", "Instance/Method", "{647BD8C2-658B-4ECA-ABC7-FC5C0BF1704D}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TerminalServiceSetting", "Win32_WIN32_TERMINALSERVICESETTING_Prov", "Terminal Service Setting", "In-proc", "Method/Instance", "{6BD6AECA-AFB0-45B7-BAC4-F292EC0F3F41}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ProcessStartTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ProcessStopTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ThreadStartTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ThreadStopTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ModuleLoadTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Proxy", "Win32_WIN32_PROXY_Prov", "Windows Proxy", "In-proc", "Method/Instance", "{AF134D0A-6706-4ACD-BA76-D0A852474C99}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\LICWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\LICWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObject", "NamedJobObjectProv", "Kernel Named Object", "In-proc", "Instance", "{7FB1D98A-F895-4761-8DC2-774969C84D10}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ComputerShutdownEvent", "MS_Shutdown_Event_Provider", "Shutdown", "In-proc", "Event", "{A3E41207-BE04-492A-AFF0-19E880FF7545}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalShareAccess", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileAccess", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileGroup", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileSecuritySetting", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalShareSecuritySetting", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileOwner", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SecuritySettingOfLogicalShare", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SecuritySettingOfLogicalFile", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_AccountSID", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalShareAuditing", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileAuditing", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SID", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LocalTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_UTCTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LocalTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_UTCTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ShadowProvider", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Instance/Method", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ShadowCopy", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Instance/Method", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ShadowDiffVolumeSupport", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Instance/Method", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ShadowOn", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Instance/Method", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ShadowBy", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Instance/Method", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ShadowVolumeSupport", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Instance/Method", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ShadowFor", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Instance/Method", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ShadowStorage", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Instance/Method", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PowerManagementEvent", "MS_Power_Management_Event_Provider", "Power Management", "In-proc", "Event", "{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_WindowsProductActivation", "Win32_WIN32_WINDOWSPRODUCTACTIVATION_Prov", "Windows Product Activation", "In-proc", "Method/Instance", "{EA231B91-099E-4D02-9EE7-73976D6A085F}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\LICWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\LICWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ActiveRoute", "RouteProvider", "IPv4 Route", "In-proc", "Instance", "{23B77E99-5C2D-482D-A795-62CA3AE5B673}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_IP4PersistedRouteTable", "RouteProvider", "IPv4 Route", "In-proc", "Instance", "{23B77E99-5C2D-482D-A795-62CA3AE5B673}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_IP4RouteTable", "RouteProvider", "IPv4 Route", "In-proc", "Instance", "{23B77E99-5C2D-482D-A795-62CA3AE5B673}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PhysicalMedia", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NTDomain", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_USBHub", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_GroupInDomain", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_UserInDomain", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObjectStatistics", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_OperatingSystemAutochkSetting", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DiskDrivePhysicalMedia", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ControllerHasHub", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogonSessionMappedDisk", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObjectProcess", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObjectLimit", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObjectSecLimit", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Method/Instance", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Msft_WmiProvider_Counters", "Msft_ProviderSubSystem", "Microsoft Provider Sub-system", "In-proc", "Instance/Method", "{7F598975-37E0-4A67-A992-116680F0CEDA}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WMIPRVSD.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SYSTEM.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Msft_Providers", "Msft_ProviderSubSystem", "Microsoft Provider Sub-system", "In-proc", "Instance/Method", "{7F598975-37E0-4A67-A992-116680F0CEDA}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WMIPRVSD.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SYSTEM.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TerminalServiceToSetting", "Win32_WIN32_TERMINALSERVICETOSETTING_Prov", "Terminal Service Setting Association", "In-proc", "Method/Instance", "{B490264C-8D8F-40FD-B1BE-CD69AD779EC1}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObjectSecLimitSetting", "NamedJobObjectSecLimitSettingProv", "Kernel Named Object Secondary Limit ", "In-proc", "Instance", "{AB40A5C1-804B-40BD-9DFE-A640691C6956}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TSSessionDirectorySetting", "Win32_WIN32_TSSESSIONDIRECTORYSETTING_Prov", "Terminal Service Session Directory Setting", "In-proc", "Method/Instance", "{CCBA37FC-982B-433B-8AC2-455E616A8559}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TSPermissionsSetting", "Win32_WIN32_TSPERMISSIONSSETTING_Prov", "Terminal Service Permission Setting", "In-proc", "Instance/Method", "{FA06375D-F0A4-4A47-AD8D-148595F1E0B8}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TSAccount", "Win32_WIN32_TSACCOUNT_Prov", "Terminal Service Accounts", "In-proc", "Instance/Method", "{BDF9E8B8-6C66-4E45-BA15-E050393DD079}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Terminal", "Win32_WIN32_TERMINAL_Prov", "Terminal ", "In-proc", "Instance/Method", "{74628299-57EC-4F12-BA1C-08B477BF447A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_InstalledSoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElementResource", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeature", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_CommandLineAccess", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ApplicationService", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureSoftwareElements", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ServiceControl", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Property", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Binary", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PatchPackage", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Patch", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ODBCSourceAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ODBCAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ShortcutSAP", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDriverSoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElementCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureParent", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ApplicationCommandLine", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PatchFile", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDriverAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDataSourceAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ServiceSpecificationService", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_CreateFolderAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ExtensionInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_MIMEInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TypeLibraryAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_RemoveIniAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_BindImageAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ShortcutAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_FontInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PublishComponentAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_RegistryAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ClassInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_RemoveFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_MoveFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DuplicateFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SelfRegModuleAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ActionCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ODBCTranslatorSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElementCondition", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ServiceSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_IniFileSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_FileSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DirectorySpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LaunchCondition", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDataSourceSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ReserveCost", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDriverSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ProgIDSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_EnvironmentSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Condition", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ProductResource", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ProductCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ProductSoftwareFeatures", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_CheckCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Product", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElementAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_QuotaSetting", "DskQuotaProvider", "Disk Quota", "In-proc", "Instance", "{4AF3F4A4-06C8-4B79-A523-633CC65CE297}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_VolumeQuotaSetting", "DskQuotaProvider", "Disk Quota", "In-proc", "Instance", "{4AF3F4A4-06C8-4B79-A523-633CC65CE297}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DiskQuota", "DskQuotaProvider", "Disk Quota", "In-proc", "Instance", "{4AF3F4A4-06C8-4B79-A523-633CC65CE297}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TSGeneralSetting", "Win32_WIN32_TSGENERALSETTING_Prov", "Terminal Service General Setting", "In-proc", "Method/Instance", "{4C8A0917-F587-4ECF-9C89-48147528F4E1}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ShareToDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PnPDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_OnBoardDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PhysicalMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemSlot", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PortConnector", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_BaseBoard", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PhysicalMemoryArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemEnclosure", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PageFileUsage", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Registry", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Process", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_QuickFixEngineering", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PortResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DeviceMemoryAddress", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DMAChannel", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_IRQResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Environment", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NetworkClient", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_BIOS", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DriverVXD", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogonSession", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ComponentCategory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NetworkProtocol", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ComputerSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TCPIPPrinterPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LoadOrderGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_BaseService", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Service", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PrinterDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Share", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DCOMApplication", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ClassicCOMClass", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_OperatingSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Refrigeration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Fan", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_HeatPipe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_POTSModem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_CacheMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_MappedLogicalDisk", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalDisk", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_MemoryDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_MemoryArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DiskPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NetworkAdapter", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_MotherboardDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PointingDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Keyboard", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DesktopMonitor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_VoltageProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TemperatureProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_CurrentProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PCMCIAController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SCSIController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_USBController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_FloppyController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SerialPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_IDEController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_VideoController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_1394Controller", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_InfraredDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ParallelPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PnPEntity", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SoundDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Processor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PortableBattery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Battery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TapeDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_CDROMDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DiskDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_FloppyDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Bus", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Printer", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_UninterruptiblePowerSupply", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ScheduledJob", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PrintJob", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NetworkConnection", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Thread", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "CIM_LogicalFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Directory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "CIM_DataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ShortcutFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_CodecFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PageFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupItem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_UserAccount", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemAccount", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Group", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ProtocolBinding", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SubDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LoadOrderGroupServiceMembers", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalDiskRootDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemBIOS", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemProcesses", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemResources", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemDevices", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemPartitions", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ComputerSystemProcessor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemLoadOrderGroups", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemNetworkConnections", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemSystemDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemOperatingSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemServices", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemUsers", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ClassicCOMApplicationClasses", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "CIM_DirectoryContainsFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ProgramGroupContents", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PhysicalMemoryLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_GroupUser", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_MemoryDeviceArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DCOMApplicationAccessAllowedSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_OSRecoveryConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_TimeZone", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ProgramGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DisplayControllerConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_BootConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SerialPortConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DisplayConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ClassicCOMClassSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DCOMApplicationSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_AutochkSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_StartupCommand", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "CIM_VideoControllerResolution", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PageFileSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NetworkLoginProfile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PrinterConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalMemoryConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_Desktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NetworkAdapterConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ComClassEmulator", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PrinterSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SerialPortSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NetworkAdapterSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_UserDesktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemProgramGroups", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemDesktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemBootConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemTimeZone", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemLogicalMemoryConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ClassicCOMClassSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PageFileElementSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_VideoSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_COMApplicationSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SessionProcess", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_AssociatedProcessorMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_OperatingSystemQFE", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LoadOrderGroupServiceDependencies", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_AssociatedBattery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SystemDriverPNPEntity", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DeviceBus", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_AllocatedResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "CIM_ProcessExecutable", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_MemoryDeviceLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_MemoryArrayLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DependentService", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_IDEControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_SCSIControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PrinterController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_1394ControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_POTSModemToSerialPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_USBControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LoggedOnUser", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalDiskToPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PNPAllocatedResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupItemDataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DiskDriveToDiskPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PrinterShare", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PrinterDriverDll", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_CIMLogicalDeviceCIMDataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DriverForDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ComClassAutoEmulator", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DCOMApplicationLaunchAllowedSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ClientApplicationSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ComputerSystemProduct", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_ImplementedCategory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObjectActgInfo", "NamedJobObjectActgInfoProv", "Kernel Named Actg Info Object", "In-proc", "Instance", "{C0AA9D93-2EF5-47FB-960C-F90FC644B48E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRRemoting", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_W3SVC_WebService", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_DHCPServer_DHCPServer", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRExceptions", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASRemoteAccountingServers", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET_2050215_ASPNETv2050215", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfDisk_LogicalDisk", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRSecurity", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_IPv4", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_W3SVC_WebServiceCache", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Redirector", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASAuthenticationClients", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_TermService_TerminalServicesSession", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Cache", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_UDPv6", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_aspnet_state_ASPNETStateService", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_RemoteAccess_RASPort", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETDataProviderforSqlServer_NETDataProviderforSqlServer", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_IPSec_IPSecv4Driver", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRLoading", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_System", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_JobObject", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET_ASPNET", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Process", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_DNS_DNS", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_InetInfo_InternetInformationServicesGlobal", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_FullImage_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASAuthenticationProxy", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_NetworkInterface", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASP_ActiveServerPages", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRLocksAndThreads", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRMemory", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_PagingFile", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_TermService_TerminalServices", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_NBTConnection", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET_2050215_ASPNETAppsv2050215", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASAuthenticationServer", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_ServerWorkQueues", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRInterop", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_RemoteAccess_RASTotal", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASAccountingServer", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_MSFtpsvc_FTPService", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Image_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Server", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_TCPv6", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_ICMPv6", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Browser", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Objects", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Processor", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASAccountingClients", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_TapiSrv_Telephony", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASAccountingProxy", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_IAS_IASRemoteAuthenticationServers", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Spooler_PrintQueue", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfDisk_PhysicalDisk", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_IPv6", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_TCPv4", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_JobObjectDetails", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Thread", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_IPSec_IPSecv4IKE", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_ICMP", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_UDPv4", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Memory", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_ThreadDetails_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET_ASPNETApplications", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_MSDTC_DistributedTransactionCoordinator", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRJit", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_ProcessAddressSpace_Costly", "NT5_GenericPerfProvider_V1", "Performance Counter", "In-proc", "Instance", "{76A94DE3-7C26-44F5-8E98-C5AEA48186CB}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMPERF.DLL", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "MSFT_WmiEssEvent", "WMI Self-Instrumentation Event Provider", "WMI Self-Instrumentation", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DfsNode", "DFSProvider", "Distributed File System (DFS)", "In-proc", "Method/Instance", "{7F72CC7A-74A0-45B4-909C-14FB8186DD7E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DfsTarget", "DFSProvider", "Distributed File System (DFS)", "In-proc", "Method/Instance", "{7F72CC7A-74A0-45B4-909C-14FB8186DD7E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_DfsNodeTarget", "DFSProvider", "Distributed File System (DFS)", "In-proc", "Method/Instance", "{7F72CC7A-74A0-45B4-909C-14FB8186DD7E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEvent", "MS_NT_EVENTLOG_EVENT_PROVIDER", "EventLog", "In-proc", "Event", "{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Summary", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_ConnectionSettings", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Object", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Publisher", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_LanSettings", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_FileVersion", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Certificate", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_ConnectionSummary", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Cache", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/CIMV2/APPLICATIONS/MICROSOFTIE", "MicrosoftIE_Security", "ieinfo5", "Internet Explorer", "In-proc", "Instance", "{25959BEF-E700-11D2-A7AF-00C04F806200}", "NETWORKSERVICEHOST", "C:\PROGRA~1\COMMON~1\MICROS~1\MSINFO\IEINFO5.OCX", "C:\WINDOWS\SYSTEM32\WBEM\IEINFO5.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTACTIVEDIRECTORY", "Microsoft_LocalDomainInfo", "TrustPrv", "Windows Trust ", "In-proc", "Instance", "{8065652F-4C29-4908-AAE5-201C891904C5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\ADSTATUS\TRUSTMON.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ADSTATUS\TRUSTMON.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTACTIVEDIRECTORY", "Microsoft_DomainTrustStatus", "TrustPrv", "Windows Trust ", "In-proc", "Instance", "{8065652F-4C29-4908-AAE5-201C891904C5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\ADSTATUS\TRUSTMON.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ADSTATUS\TRUSTMON.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTACTIVEDIRECTORY", "MSAD_ReplPendingOp", "ReplProv1", "Active Directory Replication Provider", "In-proc", "Method/Instance", "{29288F43-39B1-40DB-B41F-CE899450E911}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\REPLPROV.DLL", "C:\WINDOWS\SYSTEM32\REPLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTACTIVEDIRECTORY", "MSAD_NamingContext", "ReplProv1", "Active Directory Replication Provider", "In-proc", "Method/Instance", "{29288F43-39B1-40DB-B41F-CE899450E911}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\REPLPROV.DLL", "C:\WINDOWS\SYSTEM32\REPLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTACTIVEDIRECTORY", "MSAD_ReplCursor", "ReplProv1", "Active Directory Replication Provider", "In-proc", "Method/Instance", "{29288F43-39B1-40DB-B41F-CE899450E911}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\REPLPROV.DLL", "C:\WINDOWS\SYSTEM32\REPLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTACTIVEDIRECTORY", "MSAD_DomainController", "ReplProv1", "Active Directory Replication Provider", "In-proc", "Method/Instance", "{29288F43-39B1-40DB-B41F-CE899450E911}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\REPLPROV.DLL", "C:\WINDOWS\SYSTEM32\REPLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTACTIVEDIRECTORY", "MSAD_ReplNeighbor", "ReplProv1", "Active Directory Replication Provider", "In-proc", "Method/Instance", "{29288F43-39B1-40DB-B41F-CE899450E911}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\REPLPROV.DLL", "C:\WINDOWS\SYSTEM32\REPLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Sessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUser", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsACE", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeed", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAlias", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroups", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilter", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapper", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuild", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilters", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpire", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPool", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionScheme", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsSmtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsObject_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroups_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModule_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsMimeMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsSmtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpGroups", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpFeeds", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsImapVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapper_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds_IIsNntpFeed", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsNntpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsCustomLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsSmtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3RoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpRebuild", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsImapInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Sessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPool_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebFile", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsSmtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsWebService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpire_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSource_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsFtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebFile", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMap_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebDirectory", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsFilter", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain_IIsSmtpDomain", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAlias_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsCompressionScheme", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration_IIsNntpExpire", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionScheme_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3Sessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpExpiration", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsCompressionSchemes", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsPop3VirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeed_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsPop3Info", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsImapService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsFtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools_IIsApplicationPool", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebDirectory", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsImapServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsFtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsFilters", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsWebInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModule_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsAdminACL_IIsACE", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSource_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsNntpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsFtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuild_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsFilter", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsNntpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsFtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsPop3Server", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsApplicationPools", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsCompressionSchemes", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsNntpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSource_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsFilters", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3VirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDL_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpDomain", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsCompressionScheme", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsCertMapper", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsWebServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUser_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsPop3Service", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemeSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebFileSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpireSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMapSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3ServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3ServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilterSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3InfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpirationSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAliasSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsObjectSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectorySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUserSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapperSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomainSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuildSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeedsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeedSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3SessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPoolSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModulesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroupsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPoolsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDLSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFiltersSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSource_IIsSmtpRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Sessions_IIsPop3SessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools_IIsApplicationPoolsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds_IIsNntpFeedsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModule_IIsLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessions_IIsSmtpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessions_IIsNntpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsWebServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsFtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAlias_IIsSmtpAliasSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeed_IIsNntpFeedSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroups_IIsNntpGroupsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSource_IIsPop3RoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsComputerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info_IIsPop3InfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsCompressionSchemesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsFiltersSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsLogModulesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo_IIsSmtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo_IIsWebInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsSmtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMap_IIsMimeMapSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapper_IIsCertMapperSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebDirectorySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsImapServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUser_IIsSmtpUserSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDL_IIsSmtpDLSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsObject_IIsObjectSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModule_IIsCustomLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsImapVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration_IIsNntpExpirationSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsPop3ServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsFtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpire_IIsNntpExpireSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo_IIsFtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo_IIsNntpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsNntpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3ServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile_IIsWebFileSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsWebServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionScheme_IIsCompressionSchemeSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsSmtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsFilterSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPool_IIsApplicationPoolSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain_IIsSmtpDomainSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSource_IIsImapRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsFtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessions_IIsImapSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsNntpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuild_IIsNntpRebuildSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo_IIsImapInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsPop3VirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "HttpError", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "ScriptMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "MimeMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "CustomErrorDescription", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "ServerBinding", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "ApplicationDependency", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "WebSvcExtRestrictionList", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "HttpCustomHeader", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "SecureBinding", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Instance/Method/Push Class", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "CIM_Service", "MS_VIEW_INSTANCE_PROVIDER", "View", "In-proc", "Method/Instance", "{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VIEWPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "Win32_BaseService", "MS_VIEW_INSTANCE_PROVIDER", "View", "In-proc", "Method/Instance", "{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VIEWPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTIISV2", "Win32_Service", "MS_VIEW_INSTANCE_PROVIDER", "View", "In-proc", "Method/Instance", "{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VIEWPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/POLICY", "MSFT_SomFilter", "PolicSOM", "Polcy Scope Of Management (SOM)", "In-proc", "Instance/Method", "{AAEAE72F-0328-4763-8ECB-23422EDE2DB5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.DLL", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/POLICY", "MSFT_SomFilterStatus", "PolicStatus", "Policy Status", "In-proc", "Instance", "{69D76D1B-B12E-4913-8F48-671B90195A2B}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.DLL", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_Server", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_ResourceRecord", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_ATMAType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_MGType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_RPType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_NSType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_RTType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_HINFOType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_MINFOType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_AAAAType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_MRType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_ISDNType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_TXTType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_NXTType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_MBType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_AFSDBType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_SRVType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_CNAMEType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_X25Type", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_AType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_MFType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_SIGType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_KEYType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_PTRType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_WINSRType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_MDType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_WINSType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_MXType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_SOAType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_WKSType", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_Domain", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_RootHints", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_Cache", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_Zone", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_DomainDomainContainment", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_ServerDomainContainment", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_DomainResourceRecordContainment", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTDNS", "MicrosoftDNS_Statistic", "MS_NT_DNS_PROVIDER", "Distributed Name System (DNS)", "In-proc", "Method/Instance", "{62269FEC-7B32-11D2-9AB7-0000F875C5D4}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "WMIEvent", "WMIEventProv", "WMI Events", "In-proc", "Event", "{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortControlEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_NodeControlEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_StartupEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ConvergingEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ShutdownEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ConvergedEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Method/Push Class/Instance", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "NlbsNic", "NlbsNicProv", "Network Load Balancing (NLBS) NIC", "In-proc", "Instance/Method", "{4C97E0A8-C5EA-40FD-960D-7D6C987BE0A6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NLBMPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NLBMPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ExtendedStatus", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_Node", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_Cluster", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_NodeSettingPortRule", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_NodeSetting", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortRule", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortRuleDisabled", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortRuleFailover", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortRuleLoadbalanced", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ClusterSetting", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ClusterClusterSetting", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_NodeNodeSetting", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ParticipatingNode", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortRuleEx", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/DEFAULT", "StdRegProv", "RegProv", "Registry", "In-proc", "Instance/Method", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/DEFAULT", "RegistryEvent", "RegistryEventProvider", "Registry", "In-proc", "Event", "{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/DEFAULT", "*", "RegPropProv", "Registry", "In-proc", "Property", "{72967901-68EC-11D0-B729-00AA0062CBB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPInstanceProvider|V1.0", "Active Directory LDAP ", "In-proc", "Instance", "{AA527A40-4D9A-11D2-93AD-00805F853771}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPClassAssociationsProvider|V1.0", "Active Directory LDAP Association", "In-proc", "Instance", "{33831ED4-42B8-11D2-93AD-00805F853771}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPClassProvider|V1.0", "Active Directory LDAP ", "In-proc", "Pull Class", "{1EF94880-01A8-11D2-A90B-00AA00BF3363}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "CommandLineEventConsumer", "CommandLineEventConsumer", "Command Line", "In-proc", "Event/consumer", "{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "LogFileEventConsumer", "LogFileEventConsumer", "Log File", "In-proc", "Event/consumer", "{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "ActiveScriptEventConsumer", "ActiveScriptEventConsumer", "Active Script", "Out-of-proc", "Event/consumer", "{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", "SELFHOST", "C:\WINDOWS\SYSTEM32\WBEM\SCRCONS.EXE", "C:\WINDOWS\SYSTEM32\WBEM\SCRCONS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "SMTPEventConsumer", "SMTPEventConsumer", "SMTP", "In-proc", "Event/consumer", "{C7A3A54B-0250-11D3-9CD1-00105A1F4801}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\SMTPCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SMTPCONS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "NTEventLogEventConsumer", "NTEventLogEventConsumer", "EventLog", "In-proc", "Event/consumer", "{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_", "Microsoft WMI Template Association Provider", "Microsoft WMI Template Association", "No DCOM registry registration (Exception)", "Instance", "{FD18A1B2-9E61-4E8E-8501-DB0B07846396}", "WMICORE", "No DCOM registry registration (Exception)", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_", "Microsoft WMI Transient Provider", "Microsoft WMI Transient", "In-proc", "Instance", "{405595AA-1E14-11D3-B33D-00105A1F4AAF}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_", "Microsoft WMI Template Provider", "Microsoft WMI Template", "In-proc", "Instance", "{C486ABD2-27F6-11D3-865E-00C04F63049B}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_ForwardingConsumer", "Microsoft WMI Forwarding Consumer Provider", "Microsoft WMI Forwarding Trace", "In-proc", "Event/consumer", "{AD1B46E8-0AAC-401B-A3B8-FCDCF8186F55}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\FWDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\FCONPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_TemplateBase", "Microsoft WMI Template Event Provider", "Microsoft WMI Template", "Decoupled", "Event", "{FD18A1B2-9E61-4E8E-8501-DB0B07846396}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_TransientEggTimerEvent", "Microsoft WMI Transient Event Provider", "Microsoft WMI Transient", "Decoupled", "Event", "{405595AB-1E14-11D3-B33D-00105A1F4AAF}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_TransientStateBase", "Microsoft WMI Transient Event Provider", "Microsoft WMI Transient", "Decoupled", "Event", "{405595AB-1E14-11D3-B33D-00105A1F4AAF}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_UpdatingConsumer", "Microsoft WMI Updating Consumer Provider", "Microsoft WMI Updating", "In-proc", "Event/consumer", "{A3A16907-227B-11D3-865D-00C04F63049B}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_UCScenarioControl", "Microsoft WMI Updating Consumer Provider", "Microsoft WMI Updating", "In-proc", "Event/consumer", "{A3A16907-227B-11D3-865D-00C04F63049B}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_UCTraceEventBase", "Microsoft WMI Updating Consumer Event Provider", "Microsoft WMI Updating Consumer", "Decoupled", "Event", "{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_UCEventBase", "Microsoft WMI Updating Consumer Event Provider", "Microsoft WMI Updating Consumer", "Decoupled", "Event", "{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_UCScenarioAssociation", "Microsoft WMI Updating Consumer Assoc Provider", "Microsoft WMI Updating Association Consumer", "In-proc", "Instance", "{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_FCTraceEventBase", "Microsoft WMI Forwarding Consumer Trace Event Provider", "Microsoft WMI Forwarding Trace", "Decoupled", "Event", "{AD1B46E8-0AAC-401B-A3B8-FCDCF8186F55}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\FCONPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_TransientRebootEvent", "Microsoft WMI Transient Reboot Event Provider", "Microsoft WMI Transient Reboot", "In-proc", "Event", "{405595AB-1E14-11D3-B33D-00105A1F4AAF}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/HARDWARE", "AdminDomain", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Instance/Method", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/HARDWARE", "ComputerSystem", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Instance/Method", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/HARDWARE", "NumericSensor", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Instance/Method", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/HARDWARE", "Sensor", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Instance/Method", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/HARDWARE", "RecordLog", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Instance/Method", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/HARDWARE", "LogRecord", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Instance/Method", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindows2003SP1, cServerOnly, "ROOT/HARDWARE", "SystemSpecificCollection", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Instance/Method", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "LogFileEventConsumer", "LogFileEventConsumer", "Log File", "In-proc", "Event/consumer", "{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "ActiveScriptEventConsumer", "ActiveScriptEventConsumer", "Active Script", "Out-of-proc", "Event/consumer", "{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", "SELFHOST", "C:\WINDOWS\SYSTEM32\WBEM\SCRCONS.EXE", "C:\WINDOWS\SYSTEM32\WBEM\SCRCONS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "NTEventLogEventConsumer", "NTEventLogEventConsumer", "EventLog", "In-proc", "Event/consumer", "{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "SMTPEventConsumer", "SMTPEventConsumer", "SMTP", "In-proc", "Event/consumer", "{C7A3A54B-0250-11D3-9CD1-00105A1F4801}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\SMTPCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SMTPCONS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "CommandLineEventConsumer", "CommandLineEventConsumer", "Command Line", "In-proc", "Event/consumer", "{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_", "Microsoft WMI Template Association Provider", "Microsoft WMI Template Association", "No DCOM registry registration (Exception)", "Instance", "{FD18A1B2-9E61-4E8E-8501-DB0B07846396}", "WMICORE", "No DCOM registry registration (Exception)", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_", "Microsoft WMI Transient Provider", "Microsoft WMI Transient", "In-proc", "Instance", "{405595AA-1E14-11D3-B33D-00105A1F4AAF}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_", "Microsoft WMI Template Provider", "Microsoft WMI Template", "In-proc", "Instance", "{C486ABD2-27F6-11D3-865E-00C04F63049B}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_ForwardingConsumer", "Microsoft WMI Forwarding Consumer Provider", "Microsoft WMI Forwarding Trace", "In-proc", "Event/consumer", "{AD1B46E8-0AAC-401B-A3B8-FCDCF8186F55}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\FWDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\FCONPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_TemplateBase", "Microsoft WMI Template Event Provider", "Microsoft WMI Template", "Decoupled", "Event", "{FD18A1B2-9E61-4E8E-8501-DB0B07846396}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_TransientEggTimerEvent", "Microsoft WMI Transient Event Provider", "Microsoft WMI Transient", "Decoupled", "Event", "{405595AB-1E14-11D3-B33D-00105A1F4AAF}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_TransientStateBase", "Microsoft WMI Transient Event Provider", "Microsoft WMI Transient", "Decoupled", "Event", "{405595AB-1E14-11D3-B33D-00105A1F4AAF}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_UpdatingConsumer", "Microsoft WMI Updating Consumer Provider", "Microsoft WMI Updating", "In-proc", "Event/consumer", "{A3A16907-227B-11D3-865D-00C04F63049B}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_UCScenarioControl", "Microsoft WMI Updating Consumer Provider", "Microsoft WMI Updating", "In-proc", "Event/consumer", "{A3A16907-227B-11D3-865D-00C04F63049B}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_UCTraceEventBase", "Microsoft WMI Updating Consumer Event Provider", "Microsoft WMI Updating Consumer", "Decoupled", "Event", "{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_UCEventBase", "Microsoft WMI Updating Consumer Event Provider", "Microsoft WMI Updating Consumer", "Decoupled", "Event", "{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_UCScenarioAssociation", "Microsoft WMI Updating Consumer Assoc Provider", "Microsoft WMI Updating Association Consumer", "In-proc", "Instance", "{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_FCTraceEventBase", "Microsoft WMI Forwarding Consumer Trace Event Provider", "Microsoft WMI Forwarding Trace", "Decoupled", "Event", "{AD1B46E8-0AAC-401B-A3B8-FCDCF8186F55}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\FCONPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SUBSCRIPTION", "MSFT_TransientRebootEvent", "Microsoft WMI Transient Reboot Event Provider", "Microsoft WMI Transient Reboot", "In-proc", "Event", "{405595AB-1E14-11D3-B33D-00105A1F4AAF}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/DEFAULT", "*", "RegPropProv", "Registry", "In-proc", "Property", "{72967901-68EC-11D0-B729-00AA0062CBB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/DEFAULT", "StdRegProv", "RegProv", "Registry", "In-proc", "Method/Instance", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/DEFAULT", "LogFileEventConsumer", "LogFileEventConsumer", "Log File", "In-proc", "Event/consumer", "{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/DEFAULT", "ActiveScriptEventConsumer", "ActiveScriptEventConsumer", "Active Script", "Out-of-proc", "Event/consumer", "{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", "SELFHOST", "C:\WINDOWS\SYSTEM32\WBEM\SCRCONS.EXE", "C:\WINDOWS\SYSTEM32\WBEM\SCRCONS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/DEFAULT", "RegistryEvent", "RegistryEventProvider", "Registry", "In-proc", "Event", "{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/DEFAULT", "NTEventLogEventConsumer", "NTEventLogEventConsumer", "EventLog", "In-proc", "Event/consumer", "{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/DEFAULT", "SMTPEventConsumer", "SMTPEventConsumer", "SMTP", "In-proc", "Event/consumer", "{C7A3A54B-0250-11D3-9CD1-00105A1F4801}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\SMTPCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SMTPCONS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/DEFAULT", "SystemRestore", "SystemRestoreProv", "System Restore", "In-proc", "Method/Instance", "{A47401F6-A8A6-40EA-9C29-B8F6026C98B8}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\SRWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SR.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/DEFAULT", "CommandLineEventConsumer", "CommandLineEventConsumer", "Command Line", "In-proc", "Event/consumer", "{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrInfo", "DfsrMonitorProv", "Distributed File System Replication Monitor (DFSR)", "Decoupled", "Event/Method/Instance", "{8DE71DDD-9469-4B98-BE1C-231186F10385}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrLocalMemberInfo", "DfsrMonitorProv", "Distributed File System Replication Monitor (DFSR)", "Decoupled", "Event/Method/Instance", "{8DE71DDD-9469-4B98-BE1C-231186F10385}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrConnectionInfo", "DfsrMonitorProv", "Distributed File System Replication Monitor (DFSR)", "Decoupled", "Event/Method/Instance", "{8DE71DDD-9469-4B98-BE1C-231186F10385}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrReplicatedFolderInfo", "DfsrMonitorProv", "Distributed File System Replication Monitor (DFSR)", "Decoupled", "Event/Method/Instance", "{8DE71DDD-9469-4B98-BE1C-231186F10385}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrSyncInfo", "DfsrMonitorProv", "Distributed File System Replication Monitor (DFSR)", "Decoupled", "Event/Method/Instance", "{8DE71DDD-9469-4B98-BE1C-231186F10385}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrLocalMemberInfo", "DfsrMonitorProv", "Distributed File System Replication Monitor (DFSR)", "Decoupled", "Event/Method/Instance", "{8DE71DDD-9469-4B98-BE1C-231186F10385}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrIdRecordInfo", "DfsrMonitorProv", "Distributed File System Replication Monitor (DFSR)", "Decoupled", "Event/Method/Instance", "{8DE71DDD-9469-4B98-BE1C-231186F10385}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrReplicatedFolderInfo", "DfsrMonitorProv", "Distributed File System Replication Monitor (DFSR)", "Decoupled", "Event/Method/Instance", "{8DE71DDD-9469-4B98-BE1C-231186F10385}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrConnectionInfo", "DfsrMonitorProv", "Distributed File System Replication Monitor (DFSR)", "Decoupled", "Event/Method/Instance", "{8DE71DDD-9469-4B98-BE1C-231186F10385}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrInfo", "DfsrMonitorProv", "Distributed File System Replication Monitor (DFSR)", "Decoupled", "Event/Method/Instance", "{8DE71DDD-9469-4B98-BE1C-231186F10385}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrConflictInfo", "DfsrMonitorProv", "Distributed File System Replication Monitor (DFSR)", "Decoupled", "Event/Method/Instance", "{8DE71DDD-9469-4B98-BE1C-231186F10385}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrVolumeInfo", "DfsrMonitorProv", "Distributed File System Replication Monitor (DFSR)", "Decoupled", "Event/Method/Instance", "{8DE71DDD-9469-4B98-BE1C-231186F10385}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrSyncInfo", "DfsrMonitorProv", "Distributed File System Replication Monitor (DFSR)", "Decoupled", "Event/Method/Instance", "{8DE71DDD-9469-4B98-BE1C-231186F10385}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrLocalMemberConfig", "DfsrConfigProv", "Distributed File System Replication Config (DFSR)", "Decoupled", "Method/Instance", "{FE873C7D-73A7-4C10-8BEB-1A5F7B2009EE}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrReplicationGroupConfig", "DfsrConfigProv", "Distributed File System Replication Config (DFSR)", "Decoupled", "Method/Instance", "{FE873C7D-73A7-4C10-8BEB-1A5F7B2009EE}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrReplicatedFolderConfig", "DfsrConfigProv", "Distributed File System Replication Config (DFSR)", "Decoupled", "Method/Instance", "{FE873C7D-73A7-4C10-8BEB-1A5F7B2009EE}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrVolumeConfig", "DfsrConfigProv", "Distributed File System Replication Config (DFSR)", "Decoupled", "Method/Instance", "{FE873C7D-73A7-4C10-8BEB-1A5F7B2009EE}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrConfig", "DfsrConfigProv", "Distributed File System Replication Config (DFSR)", "Decoupled", "Method/Instance", "{FE873C7D-73A7-4C10-8BEB-1A5F7B2009EE}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrMachineConfig", "DfsrConfigProv", "Distributed File System Replication Config (DFSR)", "Decoupled", "Method/Instance", "{FE873C7D-73A7-4C10-8BEB-1A5F7B2009EE}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTDFS", "DfsrConnectionConfig", "DfsrConfigProv", "Distributed File System Replication Config (DFSR)", "Decoupled", "Method/Instance", "{FE873C7D-73A7-4C10-8BEB-1A5F7B2009EE}", "DECOUPLED:COM:FOLDIDENTITY(FALSE)", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\DFSRPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Msft_WmiProvider_OperationEvent", "ProviderSubSystem", "WMI Provider Subsystem", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Msft_Providers", "Msft_ProviderSubSystem", "Microsoft Provider Sub-system", "In-proc", "Instance/Method", "{7F598975-37E0-4A67-A992-116680F0CEDA}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WMIPRVSD.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SYSTEM.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Msft_WmiProvider_Counters", "Msft_ProviderSubSystem", "Microsoft Provider Sub-system", "In-proc", "Instance/Method", "{7F598975-37E0-4A67-A992-116680F0CEDA}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WMIPRVSD.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SYSTEM.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEvent", "MS_NT_EVENTLOG_EVENT_PROVIDER", "EventLog", "In-proc", "Event", "{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PowerManagementEvent", "MS_Power_Management_Event_Provider", "Power Management", "In-proc", "Event", "{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "*", "RegPropProv", "Registry", "In-proc", "Property", "{72967901-68EC-11D0-B729-00AA0062CBB7}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_WinSAT", "Win32_WinSAT", "Windows System Assessment Tool (WinSAT)", "In-proc", "Instance", "{A3C97737-76D9-4F5F-B917-4DE47FE023C8}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WINSATAPI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WINSAT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASP_ActiveServerPages", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASP_ActiveServerPages", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET2050727_ASPNETAppsv2050727", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET2050727_ASPNETAppsv2050727", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET2050727_ASPNETv2050727", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET2050727_ASPNETv2050727", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET_ASPNET", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET_ASPNET", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET_ASPNETApplications", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET_ASPNETApplications", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_aspnetstate_ASPNETStateService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_aspnetstate_ASPNETStateService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_BITS_BITSNetUtilization", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_BITS_BITSNetUtilization", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_CcmFramework_CCMEndpoint", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_CcmFramework_CCMEndpoint", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_CcmFramework_CCMMessageQueue", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_CcmFramework_CCMMessageQueue", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_GenericIKEandAuthIP", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_GenericIKEandAuthIP", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_HTTPService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_HTTPService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_HTTPServiceRequestQueues", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_HTTPServiceRequestQueues", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_HTTPServiceUrlGroups", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_HTTPServiceUrlGroups", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_IPsecAuthIPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_IPsecAuthIPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_IPsecAuthIPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_IPsecAuthIPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_IPsecDriver", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_IPsecDriver", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_IPsecIKEv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_IPsecIKEv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_IPsecIKEv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_IPsecIKEv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_WFP", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_WFP", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_WFPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_WFPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_WFPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_WFPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ESENT_Database", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ESENT_Database", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ESENT_DatabaseInstances", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ESENT_DatabaseInstances", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ESENT_DatabaseTableClasses", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ESENT_DatabaseTableClasses", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_InetInfo_InternetInformationServicesGlobal", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_InetInfo_InternetInformationServicesGlobal", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_InoRT_eTrustAntivirusRealtimeServer", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_InoRT_eTrustAntivirusRealtimeServer", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Lsa_SecurityPerProcessStatistics", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Lsa_SecurityPerProcessStatistics", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Lsa_SecuritySystemWideStatistics", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Lsa_SecuritySystemWideStatistics", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_MSDTC_DistributedTransactionCoordinator", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_MSDTC_DistributedTransactionCoordinator", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_MSDTCBridge3000_MSDTCBridge3000", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_MSDTCBridge3000_MSDTCBridge3000", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_MSFTPSVC_FTPService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_MSFTPSVC_FTPService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_msmq_MSMQIncomingMulticastSession", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_msmq_MSMQIncomingMulticastSession", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_msmq_MSMQOutgoingHTTPSession", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_msmq_MSMQOutgoingHTTPSession", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_msmq_MSMQOutgoingMulticastSession", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_msmq_MSMQOutgoingMulticastSession", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_msmq_MSMQQueue", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_msmq_MSMQQueue", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_msmq_MSMQService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_msmq_MSMQService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_msmq_MSMQSession", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_msmq_MSMQSession", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETCLRData_NETCLRData", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETCLRData_NETCLRData", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETCLRNetworking_NETCLRNetworking", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETCLRNetworking_NETCLRNetworking", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETDataProviderforOracle_NETDataProviderforOracle", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETDataProviderforOracle_NETDataProviderforOracle", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETDataProviderforSqlServer_NETDataProviderforSqlServer", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETDataProviderforSqlServer_NETDataProviderforSqlServer", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRExceptions", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRExceptions", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRInterop", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRInterop", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRJit", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRJit", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRLoading", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRLoading", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRLocksAndThreads", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRLocksAndThreads", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRMemory", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRMemory", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRRemoting", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRRemoting", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRSecurity", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRSecurity", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfDisk_LogicalDisk", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfDisk_LogicalDisk", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfDisk_PhysicalDisk", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfDisk_PhysicalDisk", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_Browser", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Browser", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_Redirector", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Redirector", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_Server", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Server", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_ServerWorkQueues", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_ServerWorkQueues", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Cache", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Cache", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Memory", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Memory", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Objects", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Objects", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_PagingFile", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_PagingFile", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Processor", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Processor", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_System", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_System", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_FullImage_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_FullImage_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_Heap_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Heap_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_Image_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Image_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_JobObject", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_JobObject", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_JobObjectDetails", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_JobObjectDetails", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_Process", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Process", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_ProcessAddressSpace_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_ProcessAddressSpace_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_Thread", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Thread", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_ThreadDetails_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_ThreadDetails_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PSched_PacerFlow", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PSched_PacerFlow", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PSched_PacerPipe", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_PSched_PacerPipe", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_RemoteAccess_RASPort", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_RemoteAccess_RASPort", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_RemoteAccess_RASTotal", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_RemoteAccess_RASTotal", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ServiceModelEndpoint3000_ServiceModelEndpoint3000", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ServiceModelEndpoint3000_ServiceModelEndpoint3000", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ServiceModelOperation3000_ServiceModelOperation3000", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ServiceModelOperation3000_ServiceModelOperation3000", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ServiceModelService3000_ServiceModelService3000", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_ServiceModelService3000_ServiceModelService3000", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_SMSvcHost3000_SMSvcHost3000", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_SMSvcHost3000_SMSvcHost3000", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Spooler_PrintQueue", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Spooler_PrintQueue", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_TapiSrv_Telephony", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_TapiSrv_Telephony", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_ICMP", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_ICMP", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_ICMPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_ICMPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_IPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_IPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_IPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_IPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_NBTConnection", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_NBTConnection", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_NetworkInterface", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_NetworkInterface", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_TCPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_TCPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_TCPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_TCPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_UDPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_UDPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_UDPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_UDPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_TermService_TerminalServices", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_TermService_TerminalServices", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_TermService_TerminalServicesSession", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_TermService_TerminalServicesSession", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_UGatherer_SearchGathererProjects", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_UGatherer_SearchGathererProjects", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_UGTHRSVC_SearchGatherer", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_UGTHRSVC_SearchGatherer", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_usbhub_USB", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_usbhub_USB", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_W3SVC_WebService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_W3SVC_WebService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_W3SVC_WebServiceCache", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_W3SVC_WebServiceCache", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_WindowsWorkflowFoundation3000_WindowsWorkflowFoundation", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_WindowsWorkflowFoundation3000_WindowsWorkflowFoundation", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_WSearchIdxPi_SearchIndexer", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PerfRawData_WSearchIdxPi_SearchIndexer", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32Reg_AddRemovePrograms", "RegProv", "Registry", "In-proc", "Instance/Method", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "StdRegProv", "RegProv", "Registry", "In-proc", "Instance/Method", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32Reg_AdvCliUpdates", "RegProv", "Registry", "In-proc", "Instance/Method", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32Reg_IPAKNT_InstalledComp", "RegProv", "Registry", "In-proc", "Instance/Method", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEvent", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NTEventlogFile", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEventLog", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEventUser", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NTLogEventComputer", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "SoftwareLicensingProduct", "SoftwareLicensingProduct_Provider", "Software Licensing Product", "In-proc", "Method/Instance", "{C000D3F7-7B2A-4034-9F1A-D0B06102771F}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\SLWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SLWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Perf", "WmiPerfClass", "Performance Counter", "In-proc", "Pull Class", "{661FF7F6-F4D1-4593-B59D-4C54C1ECE68B}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFCLASS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFCLASS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_VolumeChangeEvent", "VolumeChangeEvents", "Volume Change", "In-proc", "Event", "{E2CBCB87-9C07-4523-A78F-061499C83987}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "MSFT_WMI_GenericNonCOMEvent", "Standard Non-COM Event Provider", "Standard non-COM", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "MSFT_NcProvEvent", "Standard Non-COM Event Provider", "Standard non-COM", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ShadowStorage", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ShadowProvider", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ShadowCopy", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ShadowVolumeSupport", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ShadowFor", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ShadowOn", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ShadowBy", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ShadowDiffVolumeSupport", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_OfflineFilesChangeInfo", "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", "In-proc", "Instance/Method", "{2DCD1DAF-A110-49C0-BFDB-6FDF557B5FDF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CSCOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER_UNINSTALL.MOF / C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_OfflineFilesItem", "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", "In-proc", "Instance/Method", "{2DCD1DAF-A110-49C0-BFDB-6FDF557B5FDF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CSCOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER_UNINSTALL.MOF / C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_OfflineFilesPinInfo", "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", "In-proc", "Instance/Method", "{2DCD1DAF-A110-49C0-BFDB-6FDF557B5FDF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CSCOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER_UNINSTALL.MOF / C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_OfflineFilesFileSysInfo", "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", "In-proc", "Instance/Method", "{2DCD1DAF-A110-49C0-BFDB-6FDF557B5FDF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CSCOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER_UNINSTALL.MOF / C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_OfflineFilesSuspendInfo", "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", "In-proc", "Instance/Method", "{2DCD1DAF-A110-49C0-BFDB-6FDF557B5FDF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CSCOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER_UNINSTALL.MOF / C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_OfflineFilesCache", "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", "In-proc", "Instance/Method", "{2DCD1DAF-A110-49C0-BFDB-6FDF557B5FDF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CSCOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER_UNINSTALL.MOF / C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_OfflineFilesConnectionInfo", "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", "In-proc", "Instance/Method", "{2DCD1DAF-A110-49C0-BFDB-6FDF557B5FDF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CSCOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER_UNINSTALL.MOF / C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PingStatus", "WMIPingProvider", "Network Ping", "In-proc", "Instance", "{734AC5AE-68E1-4FB5-B8DA-1D92F7FC6661}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPICMP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPICMP.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "MSFT_WmiEssEvent", "WMI Self-Instrumentation Event Provider", "WMI Self-Instrumentation", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "RegistryEvent", "RegistryEventProvider", "Registry", "In-proc", "Event", "{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObjectStatistics", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_OperatingSystemAutochkSetting", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObjectProcess", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PhysicalMedia", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NTDomain", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_USBHub", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_UserInDomain", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_GroupInDomain", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogonSessionMappedDisk", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ControllerHasHub", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DiskDrivePhysicalMedia", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObjectLimit", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObjectSecLimit", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObjectLimitSetting", "NamedJobObjectLimitSettingProv", "Kernel Named Object Limit ", "In-proc", "Instance", "{6515834D-6125-4878-A3A3-6B0A73B809A2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ActiveRoute", "RouteProvider", "IPv4 Route", "In-proc", "Instance", "{23B77E99-5C2D-482D-A795-62CA3AE5B673}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_IP4RouteTable", "RouteProvider", "IPv4 Route", "In-proc", "Instance", "{23B77E99-5C2D-482D-A795-62CA3AE5B673}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_IP4PersistedRouteTable", "RouteProvider", "IPv4 Route", "In-proc", "Instance", "{23B77E99-5C2D-482D-A795-62CA3AE5B673}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "MSFT_SCMEvent", "SCM Event Provider", "Service Control Manager", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PnPSignedDriver", "WhqlProvider", "WHQL", "In-proc", "Instance/Method", "{A0F93E27-F05D-4153-A151-F3720369A4C7}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\SIGNDRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WHQLPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PnPSignedDriverCIMDataFile", "WhqlProvider", "WHQL", "In-proc", "Instance/Method", "{A0F93E27-F05D-4153-A151-F3720369A4C7}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\SIGNDRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WHQLPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DfsNode", "DFSProvider", "Distributed File System (DFS)", "In-proc", "Instance/Method", "{7F72CC7A-74A0-45B4-909C-14FB8186DD7E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DfsTarget", "DFSProvider", "Distributed File System (DFS)", "In-proc", "Instance/Method", "{7F72CC7A-74A0-45B4-909C-14FB8186DD7E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DfsNodeTarget", "DFSProvider", "Distributed File System (DFS)", "In-proc", "Instance/Method", "{7F72CC7A-74A0-45B4-909C-14FB8186DD7E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ComputerShutdownEvent", "MS_Shutdown_Event_Provider", "Shutdown", "In-proc", "Event", "{A3E41207-BE04-492A-AFF0-19E880FF7545}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_TimeZone", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PageFileSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Desktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_AutochkSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SerialPortConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_StartupCommand", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_BootConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NetworkLoginProfile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "CIM_VideoControllerResolution", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DisplayConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NetworkAdapterConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DisplayControllerConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_OSRecoveryConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ClassicCOMClassSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DCOMApplicationSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PrinterConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_UserDesktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PrinterSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NetworkAdapterSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SerialPortSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemProgramGroups", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemBootConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemTimeZone", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemDesktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ClassicCOMClassSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_COMApplicationSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_VideoSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PageFileElementSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ImplementedCategory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DCOMApplicationAccessAllowedSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PnPDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ShareToDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ClientApplicationSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PhysicalMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_OnBoardDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_BaseBoard", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemEnclosure", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PhysicalMemoryArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemSlot", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PortConnector", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Thread", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DCOMApplication", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ScheduledJob", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PrintJob", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ComputerSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_TemperatureProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_VoltageProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_CurrentProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Bus", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Keyboard", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DesktopMonitor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PointingDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NetworkAdapter", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Battery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PortableBattery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SoundDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_MotherboardDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DiskDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_FloppyDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_TapeDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_CDROMDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PnPEntity", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_POTSModem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_HeatPipe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Refrigeration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Fan", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Printer", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SCSIController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_InfraredDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PCMCIAController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_FloppyController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_VideoController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_USBController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SerialPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ParallelPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_IDEController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_1394Controller", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_CacheMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_MemoryArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_MemoryDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalDisk", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_MappedLogicalDisk", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DiskPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Processor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ComponentCategory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupItem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NetworkConnection", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ClassicCOMClass", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_UserAccount", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Group", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemAccount", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_BaseService", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Service", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PrinterDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_TCPIPPrinterPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PortResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DeviceMemoryAddress", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_IRQResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Environment", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DMAChannel", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Share", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NetworkProtocol", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_QuickFixEngineering", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LoadOrderGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Process", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogonSession", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NetworkClient", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PageFileUsage", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_OperatingSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "CIM_LogicalFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Directory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "CIM_DataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ShortcutFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_CodecFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PageFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Registry", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_BIOS", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DriverVXD", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemServices", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemNetworkConnections", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemResources", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemBIOS", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemLoadOrderGroups", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemUsers", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemOperatingSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemDevices", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ComputerSystemProcessor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemPartitions", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemSystemDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemProcesses", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ClassicCOMApplicationClasses", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "CIM_DirectoryContainsFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LoadOrderGroupServiceMembers", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalDiskRootDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_MemoryDeviceArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_GroupUser", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ProgramGroupContents", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SubDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PhysicalMemoryLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ComClassAutoEmulator", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ComClassEmulator", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DCOMApplicationLaunchAllowedSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DeviceBus", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PrinterShare", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LoadOrderGroupServiceDependencies", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "CIM_ProcessExecutable", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SessionProcess", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_AssociatedProcessorMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PrinterDriverDll", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DependentService", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalDiskToPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_OperatingSystemQFE", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LoggedOnUser", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemDriverPNPEntity", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_CIMLogicalDeviceCIMDataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SCSIControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_POTSModemToSerialPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_USBControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PrinterController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_IDEControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_1394ControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DriverForDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupItemDataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PNPAllocatedResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_MemoryDeviceLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_MemoryArrayLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_AllocatedResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DiskDriveToDiskPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ComputerSystemProduct", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ProtocolBinding", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObjectActgInfo", "NamedJobObjectActgInfoProv", "Kernel Named Actg Info Object", "In-proc", "Instance", "{C0AA9D93-2EF5-47FB-960C-F90FC644B48E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_WMISetting", "WBEMCORE", "CIMv2 Core WMI", "In-proc", "Instance", "{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCORE.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_WMIElementSetting", "WBEMCORE", "CIMv2 Core WMI", "In-proc", "Instance", "{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCORE.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_IP4RouteTableEvent", "RouteEventProvider", "IPv4 Route", "In-proc", "Event", "{6D7A4B0E-66D5-4AC3-A7ED-0189E8CF5E77}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_MountPoint", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_VolumeQuota", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_VolumeUserQuota", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Volume", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObjectSecLimitSetting", "NamedJobObjectSecLimitSettingProv", "Kernel Named Object Secondary Limit ", "In-proc", "Instance", "{AB40A5C1-804B-40BD-9DFE-A640691C6956}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ServiceControl", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Property", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Patch", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PatchPackage", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Binary", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ODBCAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ODBCSourceAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ShortcutAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ExtensionInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_CreateFolderAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_RegistryAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ClassInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SelfRegModuleAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_TypeLibraryAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_BindImageAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_RemoveIniAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_MIMEInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_FontInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PublishComponentAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_MoveFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DuplicateFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_RemoveFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ProductResource", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElementResource", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ActionCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ProductSoftwareFeatures", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_InstalledSoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DirectorySpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElementCondition", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDriverSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ServiceSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_FileSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_IniFileSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LaunchCondition", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDataSourceSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ODBCTranslatorSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ProgIDSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_EnvironmentSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ReserveCost", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Condition", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ServiceSpecificationService", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_PatchFile", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDriverAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDataSourceAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeature", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ApplicationService", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_CommandLineAccess", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ShortcutSAP", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElementCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ODBCDriverSoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureSoftwareElements", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareElementAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ApplicationCommandLine", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureParent", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_Product", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ProductCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_CheckCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_TerminalService", "Win32_WIN32_TERMINALSERVICE_Prov", "Terminal Service", "In-proc", "Method/Instance", "{7970614A-BD82-439E-A828-CC96F8E91428}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ServerSession", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ServerConnection", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SessionConnection", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ConnectionShare", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "*", "MS_VIEW_INSTANCE_PROVIDER", "View", "In-proc", "Method/Instance", "{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WBEM\VIEWPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_NamedJobObject", "NamedJobObjectProv", "Kernel Named Object", "In-proc", "Instance", "{7FB1D98A-F895-4761-8DC2-774969C84D10}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ProcessStartTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ProcessStopTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ThreadStartTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ThreadStopTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_ModuleLoadTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_AccountSID", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SecurityDescriptorHelper", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileSecuritySetting", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalShareSecuritySetting", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SID", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SecuritySettingOfLogicalShare", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SecuritySettingOfLogicalFile", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileOwner", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileGroup", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileAuditing", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalShareAuditing", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalFileAccess", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LogicalShareAccess", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_SystemConfigurationChangeEvent", "SystemConfigurationChangeEvents", "System Configuration Change", "In-proc", "Event", "{D31B6A3F-9350-40DE-A3FC-A7EDEB9B7C63}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "SoftwareLicensingService", "SoftwareLicensingService_Provider", "Software Licensing Service", "In-proc", "Method/Instance", "{D1B9159C-C2EC-4494-8BF5-AD9D67D0E182}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\SLWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SLWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_QuotaSetting", "DskQuotaProvider", "Disk Quota", "In-proc", "Instance", "{4AF3F4A4-06C8-4B79-A523-633CC65CE297}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_VolumeQuotaSetting", "DskQuotaProvider", "Disk Quota", "In-proc", "Instance", "{4AF3F4A4-06C8-4B79-A523-633CC65CE297}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_DiskQuota", "DskQuotaProvider", "Disk Quota", "In-proc", "Instance", "{4AF3F4A4-06C8-4B79-A523-633CC65CE297}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LocalTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_UTCTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_UTCTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_LocalTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_OsBaseline", "Win32_OsBaseline", "Windows Servicing (OS Base Line)", "In-proc", "Method", "{5F4DF560-CB34-43A4-B794-2CA51ED9C348}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\OSBLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WIN32_OSBASELINE.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32_USBDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2", "Win32Reg_AddRemovePrograms64", "RegProv", "Registry", "In-proc", "Instance/Method", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/SECURITY/MICROSOFTTPM", "Win32_Tpm", "Win32_TpmProvider", "Trusted Platform Module ", "In-proc", "Instance/Method", "{E2E5A310-ECED-444F-81D7-ACCA6AC8A1A8}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WIN32_TPM.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WIN32_TPM.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/SECURITY/MICROSOFTVOLUMEENCRYPTION", "Win32_EncryptableVolume", "Win32_EncryptableVolumeProvider", "Volume Encryption", "In-proc", "Method/Instance", "{F198A89A-5042-4294-ADF1-CB163E549798}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WIN32_ENCRYPTABLEVOLUME.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WIN32_ENCRYPTABLEVOLUME.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSLogonSetting", "Win32_WIN32_TSLOGONSETTING_Prov", "Terminal Service Logon Setting", "In-proc", "Instance/Method", "{C41FF872-07B1-4926-819B-8C94E6B1FBB9}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSRemoteControlSetting", "Win32_WIN32_TSREMOTECONTROLSETTING_Prov", "Terminal Service Remote Control Setting", "In-proc", "Method/Instance", "{DBD71B6B-F717-4A61-A914-2337BC50B0D6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_Terminal", "Win32_WIN32_TERMINAL_Prov", "Terminal ", "In-proc", "Method/Instance", "{74628299-57EC-4F12-BA1C-08B477BF447A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSAccount", "Win32_WIN32_TSACCOUNT_Prov", "Terminal Service Accounts", "In-proc", "Method/Instance", "{BDF9E8B8-6C66-4E45-BA15-E050393DD079}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSSessionSetting", "Win32_WIN32_TSSESSIONSETTING_Prov", "Terminal Service Session Setting", "In-proc", "Instance/Method", "{BE9B3133-250B-44A5-A278-C532B7B7FF76}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSNetworkAdapterListSetting", "Win32_WIN32_TSNETWORKADAPTERLISTSETTING_Prov", "Terminal Service Network Adapter List Setting", "In-proc", "Instance/Method", "{7757BA9B-7986-4866-B53F-A31E89FCBA15}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSGeneralSetting", "Win32_WIN32_TSGENERALSETTING_Prov", "Terminal Service General Setting", "In-proc", "Instance/Method", "{4C8A0917-F587-4ECF-9C89-48147528F4E1}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSEnvironmentSetting", "Win32_WIN32_TSENVIRONMENTSETTING_Prov", "Terminal Service Environment Setting", "In-proc", "Method/Instance", "{9A17DFD1-34FA-4D61-B9BB-3A1097E7FADF}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TerminalServiceSetting", "Win32_WIN32_TERMINALSERVICESETTING_Prov", "Terminal Service Setting", "In-proc", "Method/Instance", "{6BD6AECA-AFB0-45B7-BAC4-F292EC0F3F41}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TerminalServiceToSetting", "Win32_WIN32_TERMINALSERVICETOSETTING_Prov", "Terminal Service Setting Association", "In-proc", "Instance/Method", "{B490264C-8D8F-40FD-B1BE-CD69AD779EC1}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TerminalTerminalSetting", "Win32_WIN32_TERMINALTERMINALSETTING_Prov", "Terminal Setting", "In-proc", "Instance", "{BA4EAC04-AFCE-441A-A4F0-C4A97545425A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSPermissionsSetting", "Win32_WIN32_TSPERMISSIONSSETTING_Prov", "Terminal Service Permission Setting", "In-proc", "Instance/Method", "{FA06375D-F0A4-4A47-AD8D-148595F1E0B8}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSNetworkAdapterSetting", "Win32_WIN32_TSNETWORKADAPTERSETTING_Prov", "Terminal Service Network Adapter Setting", "In-proc", "Instance/Method", "{D25E0260-AAB7-48CB-A192-4D73D2FD375F}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSSessionDirectory", "Win32_WIN32_TSSESSIONDIRECTORY_Prov", "Terminal Service Session Directory", "In-proc", "Instance/Method", "{39524FB7-028F-4035-8C2B-8E65D2B17E67}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSClientSetting", "Win32_WIN32_TSCLIENTSETTING_Prov", "Terminal Service Client Setting", "In-proc", "Instance/Method", "{647BD8C2-658B-4ECA-ABC7-FC5C0BF1704D}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSSessionDirectorySetting", "Win32_WIN32_TSSESSIONDIRECTORYSETTING_Prov", "Terminal Service Session Directory Setting", "In-proc", "Instance/Method", "{CCBA37FC-982B-433B-8AC2-455E616A8559}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", "WpcClamper", "WpcClamperProv", "Windows Parental Control", "In-proc", "Method", "{355DFFAA-3B9F-435C-B428-5D44290BC5F2}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WPC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WPCSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", "WpcCustomEvent", "WpcSProv", "Windows Parental Control", "In-proc", "Method/Instance", "{355DFFAA-3B9F-435C-B428-5D44290BC5F2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WPC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WPCSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", "WpcSystemSettings", "WpcSProv", "Windows Parental Control", "In-proc", "Method/Instance", "{355DFFAA-3B9F-435C-B428-5D44290BC5F2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WPC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WPCSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", "WpcExtension", "WpcSProv", "Windows Parental Control", "In-proc", "Method/Instance", "{355DFFAA-3B9F-435C-B428-5D44290BC5F2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WPC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WPCSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", "WpcUserSettings", "WpcSProv", "Windows Parental Control", "In-proc", "Method/Instance", "{355DFFAA-3B9F-435C-B428-5D44290BC5F2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WPC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WPCSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", "WpcRatingsDescriptor", "WpcSProv", "Windows Parental Control", "In-proc", "Method/Instance", "{355DFFAA-3B9F-435C-B428-5D44290BC5F2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WPC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WPCSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", "WpcGameOverride", "WpcSProv", "Windows Parental Control", "In-proc", "Method/Instance", "{355DFFAA-3B9F-435C-B428-5D44290BC5F2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WPC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WPCSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", "WpcURLOverride", "WpcSProv", "Windows Parental Control", "In-proc", "Method/Instance", "{355DFFAA-3B9F-435C-B428-5D44290BC5F2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WPC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WPCSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", "WpcGamesSettings", "WpcSProv", "Windows Parental Control", "In-proc", "Method/Instance", "{355DFFAA-3B9F-435C-B428-5D44290BC5F2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WPC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WPCSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", "WpcRatingsSystem", "WpcSProv", "Windows Parental Control", "In-proc", "Method/Instance", "{355DFFAA-3B9F-435C-B428-5D44290BC5F2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WPC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WPCSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", "WpcRating", "WpcSProv", "Windows Parental Control", "In-proc", "Method/Instance", "{355DFFAA-3B9F-435C-B428-5D44290BC5F2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WPC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WPCSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", "WpcWebSettings", "WpcSProv", "Windows Parental Control", "In-proc", "Method/Instance", "{355DFFAA-3B9F-435C-B428-5D44290BC5F2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WPC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WPCSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/APPLICATIONS/WINDOWSPARENTALCONTROLS", "WpcAppOverride", "WpcSProv", "Windows Parental Control", "In-proc", "Method/Instance", "{355DFFAA-3B9F-435C-B428-5D44290BC5F2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WPC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WPCSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/CIMV2/APPLICATIONS/GAMES", "Game", "MS_InstalledGameProv", "Parental Control (Games)", "In-proc", "Instance", "{F382DA49-9148-4A22-AF78-C378DFC32D02}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\GAMEUX.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WGXINSTALLEDGAME.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/NAP", "NAP_Client", "Nap_ClientProvider", "NAP Client", "In-proc", "Instance", "{C330DE32-29C7-4CF2-9807-74BCB5486A37}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\QCLIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NAPCLIENTPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/NAP", "NAP_SystemHealthAgent", "Nap_ClientProvider", "NAP Client", "In-proc", "Instance", "{C330DE32-29C7-4CF2-9807-74BCB5486A37}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\QCLIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NAPCLIENTPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/NAP", "NAP_EnforcementClient", "Nap_ClientProvider", "NAP Client", "In-proc", "Instance", "{C330DE32-29C7-4CF2-9807-74BCB5486A37}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\QCLIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NAPCLIENTPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMapSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebFileSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDLSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModulesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFiltersSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroupsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpirationSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpireSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeedSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3InfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3ServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemeSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsObjectSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeedsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAliasSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomainSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUserSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuildSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPoolSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapperSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilterSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectorySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPoolsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3SessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3ServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAlias_IIsSmtpAliasSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsSmtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Sessions_IIsPop3SessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroups_IIsNntpGroupsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebDirectorySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsFilterSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUser_IIsSmtpUserSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsFtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessions_IIsNntpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessions_IIsSmtpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo_IIsWebInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsSmtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModule_IIsCustomLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModule_IIsLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeed_IIsNntpFeedSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info_IIsPop3InfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools_IIsApplicationPoolsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo_IIsSmtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsObject_IIsObjectSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo_IIsImapInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds_IIsNntpFeedsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuild_IIsNntpRebuildSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDL_IIsSmtpDLSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsFiltersSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsImapServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsWebServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsPop3VirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSource_IIsImapRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsComputerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsFtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSource_IIsPop3RoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPool_IIsApplicationPoolSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMap_IIsMimeMapSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration_IIsNntpExpirationSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsFtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionScheme_IIsCompressionSchemeSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsWebServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsPop3ServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsCompressionSchemesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsNntpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSource_IIsSmtpRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile_IIsWebFileSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapper_IIsCertMapperSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsNntpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessions_IIsImapSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpire_IIsNntpExpireSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo_IIsFtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3ServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo_IIsNntpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain_IIsSmtpDomainSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsLogModulesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsImapVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "MimeMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "HttpError", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "SecureBinding", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "HttpCustomHeader", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "ApplicationDependency", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "CustomErrorDescription", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "ServerBinding", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "ScriptMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "WebSvcExtRestrictionList", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroups", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Sessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuild", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpire", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAlias", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeed", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPool", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilters", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsACE", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilter", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapper", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionScheme", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUser", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsFtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpRebuild", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsFtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsCompressionScheme", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsFilters", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsNntpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroups_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsCompressionSchemes", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsImapVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsWebService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModule_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3VirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsImapInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3Sessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeed_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsPop3Service", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebDirectory", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsWebInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAlias_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsNntpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpGroups", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpFeeds", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsNntpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpDomain", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModule_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsFtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsSmtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsFilter", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSource_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsWebServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsCertMapper", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsCompressionScheme", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools_IIsApplicationPool", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsSmtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsObject_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsCompressionSchemes", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDL_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsFilter", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsPop3VirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsImapService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSource_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsMimeMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration_IIsNntpExpire", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapper_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsCustomLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpire_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuild_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsFilters", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSource_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebDirectory", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsPop3Info", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Sessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsApplicationPools", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain_IIsSmtpDomain", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMap_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsPop3Server", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsImapServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3RoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpExpiration", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsFtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebFile", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebFile", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionScheme_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPool_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsSmtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsFtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsAdminACL_IIsACE", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUser_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsSmtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsNntpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds_IIsNntpFeed", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "CIM_Service", "MS_VIEW_INSTANCE_PROVIDER", "View", "In-proc", "Method/Instance", "{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VIEWPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "Win32_BaseService", "MS_VIEW_INSTANCE_PROVIDER", "View", "In-proc", "Method/Instance", "{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VIEWPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/MICROSOFTIISV2", "Win32_Service", "MS_VIEW_INSTANCE_PROVIDER", "View", "In-proc", "Method/Instance", "{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VIEWPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "*", "MS_SNMP_CLASS_PROVIDER", "SNMP", "In-proc", "Pull Class", "{70426720-F78F-11CF-9151-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "*", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpV2ExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpV1ExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpColdStartExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpWarmStartExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkDownExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkUpExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpAuthenticationFailureExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpEGPNeighborLossExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpV2Notification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpV1Notification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpColdStartNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpWarmStartNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkDownNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkUpNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpAuthenticationFailureNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SnmpEGPNeighborLossNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_system", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_interfaces", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ifTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ip", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipRouteTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipAddrTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipNetToMediaTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_icmp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_tcp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_tcpConnTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_udp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_udpTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_snmp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/RSOP", "RsopLoggingModeProvider", "Rsop Logging Mode Provider", "Resultant Set Of Policies (Logging Mode)", "In-proc", "Method", "{B3FF88A4-96EC-4CC1-983F-72BE0EBB368B}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\GPSVC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\RSOP.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/RSOP", "RsopPlanningModeProvider", "Rsop Planning Mode Provider", "Resultant Set Of Policies (Planning Mode)", "No DCOM registry registration (Exception)", "Method", "{F0FF8EBB-F14D-4369-BD2E-D84FBF6122D6}", "SELFHOST", "No DCOM registry registration (Exception)", "C:\WINDOWS\SYSTEM32\WBEM\RSOP.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/RSOP/*", "RSOP_", "Static class", "Resultant Set Of Policies", "", "", "", "", "", "C:\WINDOWS\SYSTEM32\WBEM\RSOP.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SiteContainsConfigurationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "VirtualDirectoryContainsConfigurationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ApplicationContainsConfigurationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpWebRequestSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ApplicationPoolFailureSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SiteLogFile", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "CentralW3CLogFile", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SiteLimits", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "FormsAuthenticationCredentials", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "PerformanceCounterSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SoapEnvelopeProcessingInfo", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TypedElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ListenerElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SmtpNetworkSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SiteElementDefaults", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "VirtualDirectoryElementDefaults", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpClientCache", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "PassportAuthentication", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "WebProxyScriptSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SocketSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ProxySettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AspSession", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AssertSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AspLimits", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "WsdlHelpGeneratorInfo", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "PeriodicRestartSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "DiagnosticsSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ApplicationPoolProcessorSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpCachePolicySettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ApplicationElementDefaults", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "VerbsSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "RequestLimitsElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "RecyclingSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TraceAreaSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "NamespaceInfo", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "PerformanceCountersSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SectionInformation", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "FailureDefinition", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "FileExtensionsSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "FormsAuthenticationConfiguration", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AspCache", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AspComPlus", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ModuleSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SoapServerProtocolFactory", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TraceFailedRequestsLogging", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SmtpSpecifiedPickupDirectorySettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ServicePointManagerSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TraceSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "CentralBinaryLogFile", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "FtpCachePolicySettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ApplicationPoolElementDefaults", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "Ipv6Settings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "IPEndPoint", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ProcessModelSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "Object", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ApplicationPool", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "Server", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SSLBinding", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AppDomain", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ConfiguredObject", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "Application", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "Site", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "VirtualDirectory", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpRequest", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "WorkerProcess", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SiteUsesSSLBinding", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ServerContainsSite", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ServerContainsApplicationPool", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ApplicationPoolContainsApplication", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ServerContainsSSLBinding", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SiteContainsApplication", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "WorkerProcessContainsAppDomain", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ApplicationPoolContainsProcess", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ApplicationContainsVirtualDirectory", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "CustomError", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TraceUrl", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AssemblyElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "GroupDependency", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AuthenticationModuleElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "IPAddressFilterElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "OutputCacheProfile", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TraceAreaElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "FileExtensionElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TraceProviderDefinition", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "MimeMapElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "WildcardRedirectElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ProfileSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "RuleSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "StringElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpCompressionSchemeElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TraceAreaDefinition", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "OneToOneCertificateMappingElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "BuildProvider", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ConnectionManagementElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ClientTarget", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SegmentElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TrustLevel", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HeaderLimitsElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "GlobalModuleElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SqlCacheDependencyDatabase", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ConnectionStringSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "UrlMapping", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "DirectoryElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "CachingProfileElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "BypassElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AdapterElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SoapTransportImporterTypesInfo", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "CompilerSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpCompressionMimeTypeElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ManyToOneCertificateMappingRuleElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ProtocolElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ProviderSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "NamespaceElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AuthorizationRule", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TagPrefixInfo", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "IsapiFilterElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "VerbElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ManyToOneCertificateMappingElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "DeviceFilter", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "DeviceElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "NameTypeElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ListenerAdapterElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "BindingElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "IPPortHostBinding", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ModuleAction", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ApplicationDependency", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "KeyValueElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "IsapiCgiRestrictionElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SoapExtensionTypesInfo", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpHandlerAction", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TypeElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ExpressionBuilder", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "FormsAuthenticationUser", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ProtocolSetting", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpErrorElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TagMapInfo", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HandlerAction", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "WebRequestModuleElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ConformanceWarning", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "EventMappingSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "BufferModeSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "NameValueConfigurationElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "UrlSequence", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ProviderFactorySettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SourceElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpModuleAction", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ConfigurationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "XmlSerializerSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "WebLimitsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ServerRuntimeSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpLoggingSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ServerSideIncludeSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "UrlCompressionSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ConfigurationSectionWithCollection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SessionStateSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpHandlersSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SystemDiagnosticsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "IisClientCertificateMappingAuthenticationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ApplicationDependenciesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "WindowsAuthenticationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SqlCacheDependencySection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "CachingSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SecurityPolicySection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "RequestFilteringSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ModulesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpProtocolSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "CompilationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ListenerAdaptersSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpModulesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ClientTargetSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SchemaImporterExtensionsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "DefaultDocumentSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "WebServicesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "GlobalModulesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AppSettingsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "DefaultProxySection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HandlersSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "MobileControlsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "StaticContentSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "WebRequestModulesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "CustomErrorsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SystemCodeDomSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpErrorsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SiteMapSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "OutputCacheSettingsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "MembershipSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "UrlMappingsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TraceProviderDefinitionsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AuthorizationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpCompressionSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HealthMonitoringSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpRedirectSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "IsapiFiltersSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SystemDataSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ConnectionManagementSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AuthenticationModulesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "DeviceFiltersSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ProtocolsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "RoleManagerSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TraceFailedRequestsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "IsapiCgiRestrictionSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "IPSecuritySection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ConnectionStringsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpTracingSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "PagesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SettingsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "WebControlsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TrustSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AspSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TraceSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpCookiesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TransactionsDefaultSettingsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "MachineKeySection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SystemWebDeploymentSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "LogSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "CacheSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HttpRuntimeSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "CgiSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "RequestCachingSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "DigestAuthenticationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "DirectoryBrowseSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "GlobalizationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "HostingEnvironmentSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SessionPageStateSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SystemWindowsFormsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AnonymousAuthenticationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "DateTimeSerializationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ConfigProtectedDataSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AnonymousIdentificationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AccessSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "XhtmlConformanceSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "TransactionsMachineSettingsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "IdentitySection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "SmtpMailSettingsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "OdbcLoggingSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "AuthenticationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ProcessModelSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "ClientCertificateMappingAuthenticationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "OutputCacheSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WEBADMINISTRATION", "BasicAuthenticationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "EventTrace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "BcdStore", "BcdProv", "Boot Configuration Device (BCD)", "In-proc", "Instance/Method", "{F8A56D3E-E304-4A9F-A916-5187019D7759}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\BCDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\BCD.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "BcdObject", "BcdProv", "Boot Configuration Device (BCD)", "In-proc", "Instance/Method", "{F8A56D3E-E304-4A9F-A916-5187019D7759}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\BCDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\BCD.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "WMIEvent", "WMIEventProv", "WMI Events", "In-proc", "Event", "{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSIInitiator_PersistentDevices", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSIInitiator_MethodClass", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSIInitiator_iSNSServerClass", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSIInitiator_SendTargetPortalClass", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSIInitiator_SessionClass", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSIInitiator_TargetClass", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSIInitiator_InitiatorClass", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSIInitiator_PersistentLoginClass", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "*", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_Eventlog", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusMediaConnect", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusResetEnd", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_NotifyAdapterArrival", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAInfo_RawCorrectedPlatformEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "KernelIdleStateChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDot11ConnectionCompletion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAEvent_MemoryError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAEvent_PCIBusError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "ProcessorCStateEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "KernelPerfStateDomainChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDot11PhyStateChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusResetStart", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "WmiMonitorBrightnessEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDot11RoamingStart", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusPortState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSFC_LinkEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAEvent_SwitchToCPEPolling", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAEvent_TLBError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSFC_AdapterEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSFC_TargetEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAEvent_BusError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAEvent_PlatformSpecificError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDot11RoamingCompletion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDot11PmkidCandidateList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDot11AssociationCompletion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDot11ScanConfirm", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDot11ConnectionStart", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDevicePowerOn", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusTaskOffloadChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusProtocolBind", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusProtocolUnbind", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusLinkState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDot11TkipmicFailure", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAEvent_SMBIOSError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAEvent_InvalidError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_NotifyAdapterRemoval", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAEvent_CPUError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAInfo_RawCMCEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDevicePowerOff", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDot11MPDUMaxLengthChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_NotifyVcRemoval", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "ProcessorPerfStateEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSTapeDriveProblemEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDot11Disassociation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusPacketFilterChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "KernelThermalPolicyChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusNetworkChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAEvent_MemoryHierarchyError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_NotifyFilterRemoval", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusOperationalStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusMediaSpecificIndicationEx", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAEvent_SystemEventError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDot11LinkQuality", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAInfo_RawMCAEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "ProcessorThrottleStateEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "IdleAccounting", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSFC_PortEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAEvent_PCIComponentError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAEvent_MemoryPageRemoved", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusDot11AssociationStart", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusLinkSpeedChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "KernelPerfStateChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_NotifyVcArrival", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusMediaSpecificIndication", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "KernelThermalConstraintChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSWmi_GuidRegistrationInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAEvent_SwitchToCMCPolling", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSChangerProblemEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_NotifyFilterArrival", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_StatusMediaDisconnect", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_InitiatorNodeFailureEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_InitiatorInstanceFailureEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_PortalInfoClass", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMCAInfo_RawMCAData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSAgp_Information", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSRedbook_DriverInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSIde_PortDeviceInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_LB_Operations", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_NICConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSDiskDriver_Performance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSDiskDriver_Geometry", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_HBAInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "KernelPerfStates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "KernelIdleStates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_InitiatorSessionInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSChangerParameters", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSChangerProblemDeviceError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSAcpiInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSFC_EventControl", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "ProcessorBiosInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "ProcessorBiosTStates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "ProcessorStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "ProcessorAcpiCsd", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "ProcessorAcpiTsd", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "ProcessorBiosCStates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_RedirectPortalInfoClass", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSPower_DeviceWakeEnable", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSPower_DeviceEnable", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_TCPIPConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_BootConfiguration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMouse_ClassInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSMouse_PortInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSRedbook_Performance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSDeviceUI_FirmwareRevision", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSSerial_PerformanceInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSSerial_PortName", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSSerial_CommInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSSerial_HardwareConfiguration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSSerial_CommProperties", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSKeyboard_ExtendedID", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSKeyboard_PortInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSKeyboard_ClassInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSFC_HBAFCPInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_DiscoveryConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "ProcessorAcpiXpss", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSTapeDriveParam", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSTapeSymbolicName", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSTapeMediaCapacity", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSTapeProblemDeviceError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSTapeProblemIoError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSFC_HBAAdapterMethods", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictFunction", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSStorageDriver_ScsiInfoExceptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSStorageDriver_ATAPISmartData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictThresholds", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSFC_FCAdapterHBAAttributes", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_RADIUSConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSFC_FibrePortHBAMethods", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_DriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_ReceiveAntennaSelected", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_EthernetPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiLongPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiLemRejects", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_RTSThreshold", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_EthernetCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_EthernetMacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxAal34PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoMediaInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_EthernetMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_EthernetReceiveErrorAlignment", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_AddWEP", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TcpConnectionOffloadHardwareConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiShortMaximumListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxAal1PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiRingManagmentState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoLinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingLastOpenStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_ReloadDefaults", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiFrameErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TransmitsError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiAttachmentType", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoMediaConnectStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_BssIdListScan", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_InfrastructureMode", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_VendorDescription", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_QueryStatisticsInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoHardwareStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiShortPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TransmitBufferSpace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_BaseServiceSetIdentifier", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingLostFrames", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_ReceiveBlockSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_AtmTransmitCellsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_AtmReceiveCellsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiLConnectionState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CurrentLookahead", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_VendorID", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_VendorDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TransmitBlockSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_MaximumFrameSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxAal0PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_MediaSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TransmitsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_EthernetOneTransmitCollision", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_ReceiveBufferSpace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_ReceivedSignalStrength", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVciBits", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_HardwareStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_AtmSupportedAalTypes", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiFramesLost", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_PrivacyFilter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_TransmitPowerLevel", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_PhysicalMediumType", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_EthernetMaximumMulticastListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_SetTcpOffloadParameters", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoTransmitPduErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_SetInterruptModeration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_VlanIdentifier", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TcpOffloadCurrentConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentRingStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_QueryPortState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_ReceivesOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiLongCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_NetworkTypesSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_EnumerateAdapter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_QueryPciDeviceCustomProperty", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_MediaConnectStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_MaximumLookahead", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiDownstreamNodeLong", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_AtmSupportedVcRates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_LinkState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_NetworkTypeInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_NdisEnumerateVc", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentRingState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_RemoveWEP", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_NumberOfAntennas", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiLongMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoVendorDescription", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_AuthenticationMode", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoReceivePduErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiShortMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_FragmentationThreshold", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoMediaSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingLineErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_AtmSupportedServiceCategory", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_Statistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentGroup", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVcs", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_EnumerateAdapterEx", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_MediaInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_SetPortParameters", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_ReceiveNoBuffer", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_AtmHardwareCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_AtmReceiveCellsDropped", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiLongMaximumListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_BSSIList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiLctFailures", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_MaximumTotalSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoReceivePdusNoBuffer", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_WEPStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_EnumeratePorts", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_SetLinkParameters", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_DeviceWakeOnMagicPacketOnly", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoReceivePdusOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiShortCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_QueryInterruptModeration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVpiBits", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_FddiUpstreamNodeLong", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_PowerMode", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_AtmMaxAal5PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_MacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TcpOffloadHardwareConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_Configuration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_LinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_ServiceSetIdentifier", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_TransmitAntennaSelected", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_EthernetMoreTransmitCollisions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_Disassociate", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_ReceiveError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoTransmitPdusOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoMacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_DataRates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoMinimumLinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoVendorDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentFunctional", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_DesiredDataRates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_80211_ReceivedSignalStrengthEventTrigger", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CoVendorId", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_TcpConnectionOffloadCurrentConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_CurrentPacketFilter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSNdis_MaximumSendPackets", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_HBASessionConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSWmi_MofData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSWmi_PnPInstanceNames", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSWmi_ProviderInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSWmi_PnPDeviceId", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_ManagementOperations", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_RequestTimeStatistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_SessionStatistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_QMIPSECStats", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_NICPerformance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_InitiatorLoginStatistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_MMIPSECStats", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_ConnectionStatistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_InitiatorInstanceStatistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "ProcessorPerformance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "WmiMonitorConnectionParams", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "WmiMonitorRawEEdidV1Block", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "WmiMonitorListedFrequencyRanges", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "WmiMonitorDigitalVideoInputParams", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "WmiMonitorAnalogVideoInputParams", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "WmiMonitorID", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "WmiMonitorBrightnessMethods", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "WmiMonitorBasicDisplayParams", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "WmiMonitorColorCharacteristics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "WmiMonitorDescriptorMethods", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "WmiMonitorListedSupportedSourceModes", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "WmiMonitorBrightness", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_QueryLBPolicy", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSStorageDriver_ClassErrorLog", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSFC_FibrePortHBAAttributes", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "RegisteredGuids", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSVerifierIrpLogInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSiSCSI_SecurityCapabilities", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MS_SystemInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSParallel_AllocFreeCounts", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSParallel_DeviceBytesTransferred", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSAcpi_ThermalZoneTemperature", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSSmBios_Sysid1394List", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSSmBios_SysidUUIDList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSSmBios_SMBiosEventlog", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSSmBios_RawSMBiosTables", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/WMI", "MSFC_FibrePortHBAStatistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPClassAssociationsProvider|V1.0", "Active Directory LDAP Association", "In-proc", "Instance", "{33831ED4-42B8-11D2-93AD-00805F853771}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPInstanceProvider|V1.0", "Active Directory LDAP ", "In-proc", "Instance", "{AA527A40-4D9A-11D2-93AD-00805F853771}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPClassProvider|V1.0", "Active Directory LDAP ", "In-proc", "Pull Class", "{1EF94880-01A8-11D2-A90B-00AA00BF3363}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/POLICY", "MSFT_SomFilter", "PolicSOM", "Polcy Scope Of Management (SOM)", "In-proc", "Instance/Method", "{AAEAE72F-0328-4763-8ECB-23422EDE2DB5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.DLL", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/POLICY", "MSFT_SomFilterStatus", "PolicStatus", "Policy Status", "In-proc", "Instance", "{69D76D1B-B12E-4913-8F48-671B90195A2B}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.DLL", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.MOF"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ChannelPoolSettings", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "PeerSecuritySettings", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "Contract", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "AppDomainInfo", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "Operation", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "TraceListener", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "TcpConnectionPoolSettings", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "PeerTransportSecuritySettings", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "Service", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "XmlDictionaryReaderQuotas", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "Channel", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ServiceTimeoutsBehavior", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ServiceSecurityAuditBehavior", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "SynchronousReceiveBehavior", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "XmlSerializerOperationBehavior", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ServiceThrottlingBehavior", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "TransactionFlowAttribute", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "OperationBehaviorAttribute", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "DataContractSerializerOperationBehavior", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ServiceMetadataBehavior", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ServiceCredentials", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ServiceBehaviorAttribute", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ClientCredentials", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ClientViaBehavior", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ServiceDebugBehavior", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "MustUnderstandBehavior", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ServiceAuthorizationBehavior", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "TransactedBatchingBehavior", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "CallbackBehavior", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "DeliveryRequirementsAttribute", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "AspNetCompatibilityRequirementsAttribute", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "TransportBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "HttpTransportBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "HttpsTransportBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "PeerTransportBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ConnectionOrientedTransportBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "TcpTransportBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "NamedPipeTransportBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "MsmqBindingElementBase", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "MsmqIntegrationBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "MsmqTransportBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "CompositeDuplexBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "PrivacyNoticeBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "SecurityBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "SymmetricSecurityBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "AsymmetricSecurityBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "TransportSecurityBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ReliableSessionBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "UseManagedPresentationBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "WindowsStreamSecurityBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "TransactionFlowBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "OneWayBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "CustomBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "MessageEncodingBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "BinaryMessageEncodingBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "TextMessageEncodingBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "MtomMessageEncodingBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "SslStreamSecurityBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "PeerResolverBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "PeerCustomResolverBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "PnrpPeerResolverBindingElement", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "TraceListenerArgument", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "Endpoint", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ServiceToEndpointAssociation", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "LocalServiceSecuritySettings", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "NamedPipeConnectionPoolSettings", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "Binding", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/SERVICEMODEL", "ServiceAppDomain", "ServiceModel", "Service Model", "Decoupled", "Method/Instance", "", "DECOUPLED:COM", "No located BIN file", "No located MOF file"), _
                                       Array (cWindowsVistaRTM, cClientOnly, "ROOT/ASPNET", "BaseEvent", "DecoupledEventProvider", "Decoupled ASP.NET", "Decoupled", "Event", "{54D8502C-527D-43F7-A506-A9DA075E229C}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\MICROSOFT.NET\FRAMEWORK\V2.0.50727\ASPNET.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "LogFileEventConsumer", "LogFileEventConsumer", "Log File", "In-proc", "Event/consumer", "{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "ActiveScriptEventConsumer", "ActiveScriptEventConsumer", "Active Script", "Out-of-proc", "Event/consumer", "{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", "SELFHOST", "C:\WINDOWS\SYSTEM32\WBEM\SCRCONS.EXE", "C:\WINDOWS\SYSTEM32\WBEM\SCRCONS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "NTEventLogEventConsumer", "NTEventLogEventConsumer", "EventLog", "In-proc", "Event/consumer", "{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "SMTPEventConsumer", "SMTPEventConsumer", "SMTP", "In-proc", "Event/consumer", "{C7A3A54B-0250-11D3-9CD1-00105A1F4801}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\SMTPCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SMTPCONS.MOF / C:\WINDOWS\SYSTEM32\WBEM\WSRMSMTPCONS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "CommandLineEventConsumer", "CommandLineEventConsumer", "Command Line", "In-proc", "Event/consumer", "{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_", "Microsoft WMI Template Association Provider", "Microsoft WMI Template Association", "No DCOM registry registration (Exception)", "Instance", "{FD18A1B2-9E61-4E8E-8501-DB0B07846396}", "WMICORE", "No DCOM registry registration (Exception)", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_", "Microsoft WMI Transient Provider", "Microsoft WMI Transient", "In-proc", "Instance", "{405595AA-1E14-11D3-B33D-00105A1F4AAF}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_", "Microsoft WMI Template Provider", "Microsoft WMI Template", "In-proc", "Instance", "{C486ABD2-27F6-11D3-865E-00C04F63049B}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_ForwardingConsumer", "Microsoft WMI Forwarding Consumer Provider", "Microsoft WMI Forwarding Trace", "In-proc", "Event/consumer", "{AD1B46E8-0AAC-401B-A3B8-FCDCF8186F55}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\FWDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\FCONPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_TemplateBase", "Microsoft WMI Template Event Provider", "Microsoft WMI Template", "Decoupled", "Event", "{FD18A1B2-9E61-4E8E-8501-DB0B07846396}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\TMPLPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_TransientEggTimerEvent", "Microsoft WMI Transient Event Provider", "Microsoft WMI Transient", "Decoupled", "Event", "{405595AB-1E14-11D3-B33D-00105A1F4AAF}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_TransientStateBase", "Microsoft WMI Transient Event Provider", "Microsoft WMI Transient", "Decoupled", "Event", "{405595AB-1E14-11D3-B33D-00105A1F4AAF}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_UpdatingConsumer", "Microsoft WMI Updating Consumer Provider", "Microsoft WMI Updating", "In-proc", "Event/consumer", "{A3A16907-227B-11D3-865D-00C04F63049B}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_UCScenarioControl", "Microsoft WMI Updating Consumer Provider", "Microsoft WMI Updating", "In-proc", "Event/consumer", "{A3A16907-227B-11D3-865D-00C04F63049B}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_UCTraceEventBase", "Microsoft WMI Updating Consumer Event Provider", "Microsoft WMI Updating Consumer", "Decoupled", "Event", "{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_UCEventBase", "Microsoft WMI Updating Consumer Event Provider", "Microsoft WMI Updating Consumer", "Decoupled", "Event", "{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_UCScenarioAssociation", "Microsoft WMI Updating Consumer Assoc Provider", "Microsoft WMI Updating Association Consumer", "In-proc", "Instance", "{74E3B84C-C7BE-4E0A-9BD2-853CA72CD435}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\UPDPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_FCTraceEventBase", "Microsoft WMI Forwarding Consumer Trace Event Provider", "Microsoft WMI Forwarding Trace", "Decoupled", "Event", "{AD1B46E8-0AAC-401B-A3B8-FCDCF8186F55}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\SYSTEM32\WBEM\FCONPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SUBSCRIPTION", "MSFT_TransientRebootEvent", "Microsoft WMI Transient Reboot Event Provider", "Microsoft WMI Transient Reboot", "In-proc", "Event", "{405595AB-1E14-11D3-B33D-00105A1F4AAF}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TRNSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/DEFAULT", "*", "RegPropProv", "Registry", "In-proc", "Property", "{72967901-68EC-11D0-B729-00AA0062CBB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/DEFAULT", "StdRegProv", "RegProv", "Registry", "In-proc", "Method/Instance", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/DEFAULT", "LogFileEventConsumer", "LogFileEventConsumer", "Log File", "In-proc", "Event/consumer", "{266C72D4-62E8-11D1-AD89-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/DEFAULT", "ActiveScriptEventConsumer", "ActiveScriptEventConsumer", "Active Script", "Out-of-proc", "Event/consumer", "{266C72E7-62E8-11D1-AD89-00C04FD8FDFF}", "SELFHOST", "C:\WINDOWS\SYSTEM32\WBEM\SCRCONS.EXE", "C:\WINDOWS\SYSTEM32\WBEM\SCRCONS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/DEFAULT", "RegistryEvent", "RegistryEventProvider", "Registry", "In-proc", "Event", "{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/DEFAULT", "NTEventLogEventConsumer", "NTEventLogEventConsumer", "EventLog", "In-proc", "Event/consumer", "{266C72E6-62E8-11D1-AD89-00C04FD8FDFF}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/DEFAULT", "SMTPEventConsumer", "SMTPEventConsumer", "SMTP", "In-proc", "Event/consumer", "{C7A3A54B-0250-11D3-9CD1-00105A1F4801}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\SMTPCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SMTPCONS.MOF / C:\WINDOWS\SYSTEM32\WBEM\WSRMSMTPCONS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/DEFAULT", "CommandLineEventConsumer", "CommandLineEventConsumer", "Command Line", "In-proc", "Event/consumer", "{266C72E5-62E8-11D1-AD89-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCONS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Msft_WmiProvider_OperationEvent", "ProviderSubSystem", "WMI Provider Subsystem", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Msft_Providers", "Msft_ProviderSubSystem", "Microsoft Provider Sub-system", "In-proc", "Instance/Method", "{7F598975-37E0-4A67-A992-116680F0CEDA}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WMIPRVSD.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SYSTEM.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Msft_WmiProvider_Counters", "Msft_ProviderSubSystem", "Microsoft Provider Sub-system", "In-proc", "Instance/Method", "{7F598975-37E0-4A67-A992-116680F0CEDA}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WMIPRVSD.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SYSTEM.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEvent", "MS_NT_EVENTLOG_EVENT_PROVIDER", "EventLog", "In-proc", "Event", "{F55C5B4C-517D-11D1-AB57-00C04FD9159E}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PowerManagementEvent", "MS_Power_Management_Event_Provider", "Power Management", "In-proc", "Event", "{3DD82D10-E6F1-11D2-B139-00105A1F77A1}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "*", "RegPropProv", "Registry", "In-proc", "Property", "{72967901-68EC-11D0-B729-00AA0062CBB7}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASP_ActiveServerPages", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASP_ActiveServerPages", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET2050727_ASPNETAppsv2050727", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET2050727_ASPNETAppsv2050727", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET2050727_ASPNETv2050727", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET2050727_ASPNETv2050727", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET_ASPNET", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET_ASPNET", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ASPNET_ASPNETApplications", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_ASPNET_ASPNETApplications", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_aspnetstate_ASPNETStateService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_aspnetstate_ASPNETStateService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_BITS_BITSNetUtilization", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_BITS_BITSNetUtilization", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_CcmFramework_CCMEndpoint", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_CcmFramework_CCMEndpoint", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_CcmFramework_CCMMessageQueue", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_CcmFramework_CCMMessageQueue", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_GenericIKEandAuthIP", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_GenericIKEandAuthIP", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_HTTPServiceRequestQueues", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_HTTPServiceRequestQueues", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_HTTPServiceUrlGroups", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_HTTPServiceUrlGroups", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_IPsecAuthIPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_IPsecAuthIPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_IPsecAuthIPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_IPsecAuthIPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_IPsecDriver", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_IPsecDriver", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_IPsecIKEv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_IPsecIKEv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_IPsecIKEv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_IPsecIKEv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_WFP", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_WFP", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_WFPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_WFPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Counters_WFPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Counters_WFPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ESENT_Database", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_ESENT_Database", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ESENT_DatabaseInstances", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_ESENT_DatabaseInstances", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_ESENT_DatabaseTableClasses", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_ESENT_DatabaseTableClasses", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_InetInfo_InternetInformationServicesGlobal", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_InetInfo_InternetInformationServicesGlobal", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_InoRT_eTrustAntivirusRealtimeServer", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_InoRT_eTrustAntivirusRealtimeServer", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Lsa_SecurityPerProcessStatistics", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Lsa_SecurityPerProcessStatistics", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Lsa_SecuritySystemWideStatistics", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Lsa_SecuritySystemWideStatistics", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_MSDTC_DistributedTransactionCoordinator", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_MSDTC_DistributedTransactionCoordinator", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_MSFTPSVC_FTPService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_MSFTPSVC_FTPService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETCLRData_NETCLRData", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETCLRData_NETCLRData", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETCLRNetworking_NETCLRNetworking", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETCLRNetworking_NETCLRNetworking", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETDataProviderforOracle_NETDataProviderforOracle", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETDataProviderforOracle_NETDataProviderforOracle", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETDataProviderforSqlServer_NETDataProviderforSqlServer", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETDataProviderforSqlServer_NETDataProviderforSqlServer", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRExceptions", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRExceptions", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRInterop", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRInterop", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRJit", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRJit", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRLoading", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRLoading", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRLocksAndThreads", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRLocksAndThreads", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRMemory", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRMemory", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRRemoting", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRRemoting", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_NETFramework_NETCLRSecurity", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_NETFramework_NETCLRSecurity", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfDisk_LogicalDisk", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfDisk_LogicalDisk", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfDisk_PhysicalDisk", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfDisk_PhysicalDisk", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_Browser", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Browser", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_Redirector", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Redirector", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_Server", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_Server", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfNet_ServerWorkQueues", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfNet_ServerWorkQueues", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Cache", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Cache", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Memory", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Memory", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Objects", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Objects", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_PagingFile", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_PagingFile", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_Processor", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_Processor", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfOS_System", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfOS_System", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_FullImage_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_FullImage_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_Heap_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Heap_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_Image_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Image_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_JobObject", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_JobObject", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_JobObjectDetails", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_JobObjectDetails", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_Process", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Process", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_ProcessAddressSpace_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_ProcessAddressSpace_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_Thread", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_Thread", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PerfProc_ThreadDetails_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PerfProc_ThreadDetails_Costly", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PSched_PacerFlow", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PSched_PacerFlow", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_PSched_PacerPipe", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_PSched_PacerPipe", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_RemoteAccess_RASPort", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_RemoteAccess_RASPort", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_RemoteAccess_RASTotal", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_RemoteAccess_RASTotal", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Spooler_PrintQueue", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Spooler_PrintQueue", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_TapiSrv_Telephony", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_TapiSrv_Telephony", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_ICMP", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_ICMP", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_ICMPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_ICMPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_IPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_IPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_IPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_IPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_NBTConnection", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_NBTConnection", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_NetworkInterface", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_NetworkInterface", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_TCPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_TCPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_TCPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_TCPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_UDPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_UDPv4", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_Tcpip_UDPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_Tcpip_UDPv6", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_TermService_TerminalServices", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_TermService_TerminalServices", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_TermService_TerminalServicesSession", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_TermService_TerminalServicesSession", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_usbhub_USB", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_usbhub_USB", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_W3SVC_WebService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_W3SVC_WebService", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_W3SVC_WebServiceCache", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_W3SVC_WebServiceCache", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_wsrm_WSRMPolicy", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_wsrm_WSRMPolicy", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_wsrm_WSRMProcess", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_wsrm_WSRMProcess", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfFormattedData_wsrm_WSRMProcessMatchingCriteria", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PerfRawData_wsrm_WSRMProcessMatchingCriteria", "WmiPerfInst", "Performance Counter", "In-proc", "Instance", "{CA2AF3B4-C15E-412B-B453-557746675FB7}", "LOCALSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFINST.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32Reg_AddRemovePrograms", "RegProv", "Registry", "In-proc", "Instance/Method", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "StdRegProv", "RegProv", "Registry", "In-proc", "Instance/Method", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32Reg_AdvCliUpdates", "RegProv", "Registry", "In-proc", "Instance/Method", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32Reg_IPAKNT_InstalledComp", "RegProv", "Registry", "In-proc", "Instance/Method", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEvent", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NTEventlogFile", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEventLog", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEventUser", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NTLogEventComputer", "MS_NT_EVENTLOG_PROVIDER", "EventLog", "In-proc", "Method/Instance", "{FD4F53E0-65DC-11D1-AB64-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NTEVT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "SoftwareLicensingProduct", "SoftwareLicensingProduct_Provider", "Software Licensing Product", "In-proc", "Method/Instance", "{C000D3F7-7B2A-4034-9F1A-D0B06102771F}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\SLWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SLWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Perf", "WmiPerfClass", "Performance Counter", "In-proc", "Pull Class", "{661FF7F6-F4D1-4593-B59D-4C54C1ECE68B}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFCLASS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPERFCLASS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_VolumeChangeEvent", "VolumeChangeEvents", "Volume Change", "In-proc", "Event", "{E2CBCB87-9C07-4523-A78F-061499C83987}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "MSFT_WMI_GenericNonCOMEvent", "Standard Non-COM Event Provider", "Standard non-COM", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "MSFT_NcProvEvent", "Standard Non-COM Event Provider", "Standard non-COM", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ShadowStorage", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ShadowProvider", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ShadowCopy", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ShadowVolumeSupport", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ShadowFor", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ShadowOn", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ShadowBy", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ShadowDiffVolumeSupport", "MSVSS__PROVIDER", "Volume Shadow (VSS)", "In-proc", "Method/Instance", "{72970BEB-81F8-46D4-B220-D743F4E49C95}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VSSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VSS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_OfflineFilesChangeInfo", "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", "In-proc", "Instance/Method", "{2DCD1DAF-A110-49C0-BFDB-6FDF557B5FDF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CSCOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER_UNINSTALL.MOF / C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_OfflineFilesItem", "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", "In-proc", "Instance/Method", "{2DCD1DAF-A110-49C0-BFDB-6FDF557B5FDF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CSCOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER_UNINSTALL.MOF / C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_OfflineFilesPinInfo", "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", "In-proc", "Instance/Method", "{2DCD1DAF-A110-49C0-BFDB-6FDF557B5FDF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CSCOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER_UNINSTALL.MOF / C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_OfflineFilesFileSysInfo", "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", "In-proc", "Instance/Method", "{2DCD1DAF-A110-49C0-BFDB-6FDF557B5FDF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CSCOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER_UNINSTALL.MOF / C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_OfflineFilesSuspendInfo", "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", "In-proc", "Instance/Method", "{2DCD1DAF-A110-49C0-BFDB-6FDF557B5FDF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CSCOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER_UNINSTALL.MOF / C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_OfflineFilesCache", "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", "In-proc", "Instance/Method", "{2DCD1DAF-A110-49C0-BFDB-6FDF557B5FDF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CSCOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER_UNINSTALL.MOF / C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_OfflineFilesConnectionInfo", "Win32_OfflineFilesProvider", "Offline Intelli-Mirror", "In-proc", "Instance/Method", "{2DCD1DAF-A110-49C0-BFDB-6FDF557B5FDF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CSCOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER_UNINSTALL.MOF / C:\WINDOWS\SYSTEM32\WBEM\OFFLINEFILESWMIPROVIDER.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PingStatus", "WMIPingProvider", "Network Ping", "In-proc", "Instance", "{734AC5AE-68E1-4FB5-B8DA-1D92F7FC6661}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPICMP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPICMP.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "MSFT_WmiEssEvent", "WMI Self-Instrumentation Event Provider", "WMI Self-Instrumentation", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "RegistryEvent", "RegistryEventProvider", "Registry", "In-proc", "Event", "{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObjectStatistics", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_OperatingSystemAutochkSetting", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObjectProcess", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PhysicalMedia", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NTDomain", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_USBHub", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_UserInDomain", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_GroupInDomain", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogonSessionMappedDisk", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ControllerHasHub", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DiskDrivePhysicalMedia", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObjectLimit", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObjectSecLimit", "Cimwin32A", "CIMv2 Core OS", "In-proc", "Instance/Method", "{04788120-12C2-498D-83C1-A7D92E677AC6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObjectLimitSetting", "NamedJobObjectLimitSettingProv", "Kernel Named Object Limit ", "In-proc", "Instance", "{6515834D-6125-4878-A3A3-6B0A73B809A2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ActiveRoute", "RouteProvider", "IPv4 Route", "In-proc", "Instance", "{23B77E99-5C2D-482D-A795-62CA3AE5B673}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_IP4RouteTable", "RouteProvider", "IPv4 Route", "In-proc", "Instance", "{23B77E99-5C2D-482D-A795-62CA3AE5B673}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_IP4PersistedRouteTable", "RouteProvider", "IPv4 Route", "In-proc", "Instance", "{23B77E99-5C2D-482D-A795-62CA3AE5B673}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "MSFT_SCMEvent", "SCM Event Provider", "Service Control Manager", "Decoupled", "Event", "", "DECOUPLED:NONCOM", "No located BIN file", "No located MOF file (exception)"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PnPSignedDriver", "WhqlProvider", "WHQL", "In-proc", "Instance/Method", "{A0F93E27-F05D-4153-A151-F3720369A4C7}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\SIGNDRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WHQLPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PnPSignedDriverCIMDataFile", "WhqlProvider", "WHQL", "In-proc", "Instance/Method", "{A0F93E27-F05D-4153-A151-F3720369A4C7}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\SIGNDRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WHQLPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DfsNode", "DFSProvider", "Distributed File System (DFS)", "In-proc", "Instance/Method", "{7F72CC7A-74A0-45B4-909C-14FB8186DD7E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DfsTarget", "DFSProvider", "Distributed File System (DFS)", "In-proc", "Instance/Method", "{7F72CC7A-74A0-45B4-909C-14FB8186DD7E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DfsNodeTarget", "DFSProvider", "Distributed File System (DFS)", "In-proc", "Instance/Method", "{7F72CC7A-74A0-45B4-909C-14FB8186DD7E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDFS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ComputerShutdownEvent", "MS_Shutdown_Event_Provider", "Shutdown", "In-proc", "Event", "{A3E41207-BE04-492A-AFF0-19E880FF7545}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPCIMA.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_TimeZone", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PageFileSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Desktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_AutochkSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SerialPortConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_StartupCommand", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_BootConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NetworkLoginProfile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "CIM_VideoControllerResolution", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DisplayConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NetworkAdapterConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DisplayControllerConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_OSRecoveryConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ClassicCOMClassSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DCOMApplicationSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PrinterConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_UserDesktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PrinterSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NetworkAdapterSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SerialPortSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemProgramGroups", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemBootConfiguration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemTimeZone", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemDesktop", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ClassicCOMClassSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_COMApplicationSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_VideoSettings", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PageFileElementSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ImplementedCategory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DCOMApplicationAccessAllowedSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PnPDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ShareToDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ClientApplicationSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PhysicalMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_OnBoardDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_BaseBoard", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemEnclosure", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PhysicalMemoryArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemSlot", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PortConnector", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Thread", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DCOMApplication", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ScheduledJob", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PrintJob", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ComputerSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_TemperatureProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_VoltageProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_CurrentProbe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Bus", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Keyboard", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DesktopMonitor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PointingDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NetworkAdapter", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Battery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PortableBattery", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SoundDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_MotherboardDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DiskDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_FloppyDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_TapeDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_CDROMDrive", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PnPEntity", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_POTSModem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_HeatPipe", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Refrigeration", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Fan", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Printer", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SCSIController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_InfraredDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PCMCIAController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_FloppyController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_VideoController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_USBController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SerialPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ParallelPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_IDEController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_1394Controller", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_CacheMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_MemoryArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_MemoryDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalDisk", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_MappedLogicalDisk", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DiskPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Processor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ComponentCategory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupItem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NetworkConnection", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ClassicCOMClass", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_UserAccount", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Group", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemAccount", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_BaseService", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Service", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PrinterDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_TCPIPPrinterPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PortResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DeviceMemoryAddress", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_IRQResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Environment", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DMAChannel", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Share", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NetworkProtocol", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_QuickFixEngineering", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LoadOrderGroup", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Process", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogonSession", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NetworkClient", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PageFileUsage", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_OperatingSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "CIM_LogicalFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Directory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "CIM_DataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ShortcutFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_CodecFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PageFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Registry", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_BIOS", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DriverVXD", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemServices", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemNetworkConnections", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemResources", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemBIOS", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemLoadOrderGroups", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemUsers", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemOperatingSystem", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemDevices", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ComputerSystemProcessor", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemPartitions", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemSystemDriver", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemProcesses", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ClassicCOMApplicationClasses", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "CIM_DirectoryContainsFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LoadOrderGroupServiceMembers", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalDiskRootDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_MemoryDeviceArray", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_GroupUser", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ProgramGroupContents", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SubDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PhysicalMemoryLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ComClassAutoEmulator", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ComClassEmulator", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DCOMApplicationLaunchAllowedSetting", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DeviceBus", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PrinterShare", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LoadOrderGroupServiceDependencies", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "CIM_ProcessExecutable", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SessionProcess", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_AssociatedProcessorMemory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PrinterDriverDll", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DependentService", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalDiskToPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_OperatingSystemQFE", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LoggedOnUser", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemDriverPNPEntity", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_CIMLogicalDeviceCIMDataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SCSIControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_POTSModemToSerialPort", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_USBControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PrinterController", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_IDEControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_1394ControllerDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DriverForDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupItemDataFile", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PNPAllocatedResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_MemoryDeviceLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_MemoryArrayLocation", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_AllocatedResource", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DiskDriveToDiskPartition", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalProgramGroupDirectory", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ComputerSystemProduct", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ProtocolBinding", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "SMTPEventConsumer", "SMTPEventConsumer", "SMTP", "In-proc", "Event/consumer", "{C7A3A54B-0250-11D3-9CD1-00105A1F4801}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\SMTPCONS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SMTPCONS.MOF / C:\WINDOWS\SYSTEM32\WBEM\WSRMSMTPCONS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObjectActgInfo", "NamedJobObjectActgInfoProv", "Kernel Named Actg Info Object", "In-proc", "Instance", "{C0AA9D93-2EF5-47FB-960C-F90FC644B48E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_WMISetting", "WBEMCORE", "CIMv2 Core WMI", "In-proc", "Instance", "{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCORE.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_WMIElementSetting", "WBEMCORE", "CIMv2 Core WMI", "In-proc", "Instance", "{A83EF168-CA8D-11D2-B33D-00104BCC4B4A}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\WBEMCORE.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_IP4RouteTableEvent", "RouteEventProvider", "IPv4 Route", "In-proc", "Event", "{6D7A4B0E-66D5-4AC3-A7ED-0189E8CF5E77}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPIPRT.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_MountPoint", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_VolumeQuota", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_VolumeUserQuota", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Volume", "MSVDS__PROVIDER", "Volume Device (VDS)", "In-proc", "Instance/Method", "{890CB943-D715-401B-98B1-CF82DCF36D7C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VDSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\VDS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObjectSecLimitSetting", "NamedJobObjectSecLimitSettingProv", "Kernel Named Object Secondary Limit ", "In-proc", "Instance", "{AB40A5C1-804B-40BD-9DFE-A640691C6956}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ServiceControl", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Property", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Patch", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PatchPackage", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Binary", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ODBCAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ODBCSourceAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ShortcutAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ExtensionInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_CreateFolderAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_RegistryAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ClassInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SelfRegModuleAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_TypeLibraryAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_BindImageAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_RemoveIniAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_MIMEInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_FontInfoAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PublishComponentAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_MoveFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DuplicateFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_RemoveFileAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ProductResource", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElementResource", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ActionCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ProductSoftwareFeatures", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_InstalledSoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DirectorySpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElementCondition", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDriverSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ServiceSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_FileSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_IniFileSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LaunchCondition", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDataSourceSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ODBCTranslatorSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ProgIDSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_EnvironmentSpecification", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ReserveCost", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Condition", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ServiceSpecificationService", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_PatchFile", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDriverAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDataSourceAttribute", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeature", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ApplicationService", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_CommandLineAccess", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ShortcutSAP", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElementCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ODBCDriverSoftwareElement", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureSoftwareElements", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareElementAction", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ApplicationCommandLine", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SoftwareFeatureParent", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_Product", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ProductCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_CheckCheck", "MSIProv", "Microsoft MSI", "In-proc", "Method/Instance", "{BE0A9830-2B8B-11D1-A949-0060181EBBAD}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\MSIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\MSI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_TerminalService", "Win32_WIN32_TERMINALSERVICE_Prov", "Terminal Service", "In-proc", "Method/Instance", "{7970614A-BD82-439E-A828-CC96F8E91428}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ServerSession", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ServerConnection", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SessionConnection", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ConnectionShare", "SessionProvider", "Session", "In-proc", "Instance/Method", "{6E78DAD9-E187-4D6E-BA63-760256D6F405}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPSESS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "*", "MS_VIEW_INSTANCE_PROVIDER", "View", "In-proc", "Method/Instance", "{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WBEM\VIEWPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_NamedJobObject", "NamedJobObjectProv", "Kernel Named Object", "In-proc", "Instance", "{7FB1D98A-F895-4761-8DC2-774969C84D10}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPJOBJ.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ProcessStartTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ProcessStopTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ThreadStartTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ThreadStopTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_ModuleLoadTrace", "WMI Kernel Trace Event Provider", "WMI Kernel Trace", "In-proc", "Event", "{9877D8A7-FDA1-43F9-AEEA-F90747EA66B0}", "WMICORE", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\KRNLPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_AccountSID", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SecurityDescriptorHelper", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileSecuritySetting", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalShareSecuritySetting", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SID", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SecuritySettingOfLogicalShare", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SecuritySettingOfLogicalFile", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileOwner", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileGroup", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileAuditing", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalShareAuditing", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalFileAccess", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LogicalShareAccess", "SECRCW32", "CIMv2 OS Security", "In-proc", "Method/Instance", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_SystemConfigurationChangeEvent", "SystemConfigurationChangeEvents", "System Configuration Change", "In-proc", "Event", "{D31B6A3F-9350-40DE-A3FC-A7EDEB9B7C63}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "SoftwareLicensingService", "SoftwareLicensingService_Provider", "Software Licensing Service", "In-proc", "Method/Instance", "{D1B9159C-C2EC-4494-8BF5-AD9D67D0E182}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\SLWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SLWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_QuotaSetting", "DskQuotaProvider", "Disk Quota", "In-proc", "Instance", "{4AF3F4A4-06C8-4B79-A523-633CC65CE297}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_VolumeQuotaSetting", "DskQuotaProvider", "Disk Quota", "In-proc", "Instance", "{4AF3F4A4-06C8-4B79-A523-633CC65CE297}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_DiskQuota", "DskQuotaProvider", "Disk Quota", "In-proc", "Instance", "{4AF3F4A4-06C8-4B79-A523-633CC65CE297}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMIPDSKQ.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LocalTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_UTCTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_UTCTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_LocalTime", "Win32ClockProvider", "Clock", "In-proc", "Event/Instance", "{C4819C8D-9AB8-4B2F-B8AE-C77DABF553D5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMITIMEP.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_OsBaseline", "Win32_OsBaseline", "Windows Servicing (OS Base Line)", "In-proc", "Method", "{5F4DF560-CB34-43A4-B794-2CA51ED9C348}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\OSBLPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WIN32_OSBASELINE.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32_USBDevice", "CIMWin32", "CIMv2 Core OS", "In-proc", "Instance/Method", "{D63A5850-8F16-11CF-9F47-00AA00BF345C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CIMWIN32.MOF / C:\WINDOWS\SYSTEM32\WBEM\SECRCW32.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2", "Win32Reg_AddRemovePrograms64", "RegProv", "Registry", "In-proc", "Instance/Method", "{FE9AF5C0-D3B6-11CE-A5B6-00AA00680C3F}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/SECURITY/MICROSOFTTPM", "Win32_Tpm", "Win32_TpmProvider", "Trusted Platform Module ", "In-proc", "Instance/Method", "{E2E5A310-ECED-444F-81D7-ACCA6AC8A1A8}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WIN32_TPM.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WIN32_TPM.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/SECURITY/MICROSOFTVOLUMEENCRYPTION", "Win32_EncryptableVolume", "Win32_EncryptableVolumeProvider", "Volume Encryption", "In-proc", "Method/Instance", "{F198A89A-5042-4294-ADF1-CB163E549798}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WIN32_ENCRYPTABLEVOLUME.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WIN32_ENCRYPTABLEVOLUME.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSLogonSetting", "Win32_WIN32_TSLOGONSETTING_Prov", "Terminal Service Logon Setting", "In-proc", "Instance/Method", "{C41FF872-07B1-4926-819B-8C94E6B1FBB9}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSRemoteControlSetting", "Win32_WIN32_TSREMOTECONTROLSETTING_Prov", "Terminal Service Remote Control Setting", "In-proc", "Method/Instance", "{DBD71B6B-F717-4A61-A914-2337BC50B0D6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_Terminal", "Win32_WIN32_TERMINAL_Prov", "Terminal ", "In-proc", "Method/Instance", "{74628299-57EC-4F12-BA1C-08B477BF447A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSAccount", "Win32_WIN32_TSACCOUNT_Prov", "Terminal Service Accounts", "In-proc", "Method/Instance", "{BDF9E8B8-6C66-4E45-BA15-E050393DD079}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSSessionSetting", "Win32_WIN32_TSSESSIONSETTING_Prov", "Terminal Service Session Setting", "In-proc", "Instance/Method", "{BE9B3133-250B-44A5-A278-C532B7B7FF76}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSNetworkAdapterListSetting", "Win32_WIN32_TSNETWORKADAPTERLISTSETTING_Prov", "Terminal Service Network Adapter List Setting", "In-proc", "Instance/Method", "{7757BA9B-7986-4866-B53F-A31E89FCBA15}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSGeneralSetting", "Win32_WIN32_TSGENERALSETTING_Prov", "Terminal Service General Setting", "In-proc", "Instance/Method", "{4C8A0917-F587-4ECF-9C89-48147528F4E1}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSEnvironmentSetting", "Win32_WIN32_TSENVIRONMENTSETTING_Prov", "Terminal Service Environment Setting", "In-proc", "Method/Instance", "{9A17DFD1-34FA-4D61-B9BB-3A1097E7FADF}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TerminalServiceSetting", "Win32_WIN32_TERMINALSERVICESETTING_Prov", "Terminal Service Setting", "In-proc", "Method/Instance", "{6BD6AECA-AFB0-45B7-BAC4-F292EC0F3F41}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TerminalServiceToSetting", "Win32_WIN32_TERMINALSERVICETOSETTING_Prov", "Terminal Service Setting Association", "In-proc", "Instance/Method", "{B490264C-8D8F-40FD-B1BE-CD69AD779EC1}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TerminalTerminalSetting", "Win32_WIN32_TERMINALTERMINALSETTING_Prov", "Terminal Setting", "In-proc", "Instance", "{BA4EAC04-AFCE-441A-A4F0-C4A97545425A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSPermissionsSetting", "Win32_WIN32_TSPERMISSIONSSETTING_Prov", "Terminal Service Permission Setting", "In-proc", "Instance/Method", "{FA06375D-F0A4-4A47-AD8D-148595F1E0B8}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSExpandEnvironmentVariables", "Win32_TSPublishedApplication_Prov", "Terminal Server Published Application", "In-proc", "Method/Instance", "{643B0017-1AAE-4AFA-B921-4BE3FB8308A2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSPUBWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSALLOW.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSStartMenuApplication", "Win32_TSPublishedApplication_Prov", "Terminal Server Published Application", "In-proc", "Method/Instance", "{643B0017-1AAE-4AFA-B921-4BE3FB8308A2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSPUBWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSALLOW.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSApplicationFileExtensions", "Win32_TSPublishedApplication_Prov", "Terminal Server Published Application", "In-proc", "Method/Instance", "{643B0017-1AAE-4AFA-B921-4BE3FB8308A2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSPUBWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSALLOW.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSPublishedApplication", "Win32_TSPublishedApplication_Prov", "Terminal Server Published Application", "In-proc", "Method/Instance", "{643B0017-1AAE-4AFA-B921-4BE3FB8308A2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSPUBWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSALLOW.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSPublishedApplicationList", "Win32_TSPublishedApplication_Prov", "Terminal Server Published Application", "In-proc", "Method/Instance", "{643B0017-1AAE-4AFA-B921-4BE3FB8308A2}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSPUBWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSALLOW.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSNetworkAdapterSetting", "Win32_WIN32_TSNETWORKADAPTERSETTING_Prov", "Terminal Service Network Adapter Setting", "In-proc", "Instance/Method", "{D25E0260-AAB7-48CB-A192-4D73D2FD375F}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSSessionDirectory", "Win32_WIN32_TSSESSIONDIRECTORY_Prov", "Terminal Service Session Directory", "In-proc", "Instance/Method", "{39524FB7-028F-4035-8C2B-8E65D2B17E67}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSClientSetting", "Win32_WIN32_TSCLIENTSETTING_Prov", "Terminal Service Client Setting", "In-proc", "Instance/Method", "{647BD8C2-658B-4ECA-ABC7-FC5C0BF1704D}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/CIMV2/TERMINALSERVICES", "Win32_TSSessionDirectorySetting", "Win32_WIN32_TSSESSIONDIRECTORYSETTING_Prov", "Terminal Service Session Directory Setting", "In-proc", "Instance/Method", "{CCBA37FC-982B-433B-8AC2-455E616A8559}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\TSCFGWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\TSCFGWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/NAP", "NAP_Client", "Nap_ClientProvider", "NAP Client", "In-proc", "Instance", "{C330DE32-29C7-4CF2-9807-74BCB5486A37}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\QCLIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NAPCLIENTPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/NAP", "NAP_SystemHealthAgent", "Nap_ClientProvider", "NAP Client", "In-proc", "Instance", "{C330DE32-29C7-4CF2-9807-74BCB5486A37}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\QCLIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NAPCLIENTPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/NAP", "NAP_EnforcementClient", "Nap_ClientProvider", "NAP Client", "In-proc", "Instance", "{C330DE32-29C7-4CF2-9807-74BCB5486A37}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\QCLIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NAPCLIENTPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "WMIEvent", "WMIEventProv", "WMI Events", "In-proc", "Event", "{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "NlbsNic", "NlbsNicProv", "Network Load Balancing (NLBS) NIC", "In-proc", "Instance/Method", "{4C97E0A8-C5EA-40FD-960D-7D6C987BE0A6}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\NLBMPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\NLBMPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ExtendedStatus", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ClusterSetting", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_NodeSetting", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortRule", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortRuleDisabled", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortRuleFailover", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortRuleLoadbalanced", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_NodeNodeSetting", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ClusterClusterSetting", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_Cluster", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_Node", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_NodeSettingPortRule", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortRuleEx", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ParticipatingNode", "Microsoft|NLB_Provider|V1.0", "Network Load Balancing (NLB)", "In-proc", "Method/Instance", "{FB223274-D72E-11D2-A420-00C04F68FE28}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ConvergingEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_PortControlEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ConvergedEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_StartupEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_ShutdownEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTNLB", "MicrosoftNLB_NodeControlEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMapSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebFileSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDLSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModulesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFiltersSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroupsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpirationSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpireSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeedSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3InfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3ServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemeSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsObjectSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeedsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAliasSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomainSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUserSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuildSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPoolSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapperSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilterSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectorySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPoolsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3SessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3ServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAlias_IIsSmtpAliasSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsSmtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Sessions_IIsPop3SessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroups_IIsNntpGroupsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebDirectorySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsFilterSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUser_IIsSmtpUserSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsFtpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessions_IIsNntpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessions_IIsSmtpSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo_IIsWebInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsSmtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModule_IIsCustomLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModule_IIsLogModuleSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeed_IIsNntpFeedSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info_IIsPop3InfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools_IIsApplicationPoolsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo_IIsSmtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsObject_IIsObjectSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo_IIsImapInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds_IIsNntpFeedsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuild_IIsNntpRebuildSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDL_IIsSmtpDLSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsFiltersSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsImapServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsWebServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsPop3VirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSource_IIsImapRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsComputerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsFtpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSource_IIsPop3RoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPool_IIsApplicationPoolSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMap_IIsMimeMapSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration_IIsNntpExpirationSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsFtpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionScheme_IIsCompressionSchemeSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsWebServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsPop3ServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsCompressionSchemesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsNntpServiceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSource_IIsSmtpRoutingSourceSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile_IIsWebFileSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapper_IIsCertMapperSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsNntpVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessions_IIsImapSessionsSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpire_IIsNntpExpireSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo_IIsFtpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3ServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo_IIsNntpInfoSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain_IIsSmtpDomainSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsLogModulesSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpServerSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsImapVirtualDirSetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsIPSecuritySetting", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "MimeMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "HttpError", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "SecureBinding", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "HttpCustomHeader", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "ApplicationDependency", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "CustomErrorDescription", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "ServerBinding", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "ScriptMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "WebSvcExtRestrictionList", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroups", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Sessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuild", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpire", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAlias", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeed", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPool", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilters", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsACE", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilter", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapper", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionScheme", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUser", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsFtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpRebuild", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsFtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsCompressionScheme", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapSessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsFilters", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsNntpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpGroups_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsCompressionSchemes", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsImapVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpSessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsWebService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCustomLogModule_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Info_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3VirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsImapInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3Sessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeed_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsPop3Service", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebDirectory", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsWebInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpAlias_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsNntpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpGroups", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpFeeds", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsNntpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpDomain", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModule_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpService_IIsFtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpVirtualDir_IIsSmtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsFilter", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpInfo_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapRoutingSource_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsWebServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsCertMapper", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsCompressionScheme", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPools_IIsApplicationPool", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsSmtpInfo", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsObject_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsCompressionSchemes", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDL_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilter_IIsFilter", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsPop3VirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsImapService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpRoutingSource_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsMimeMap", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpiration_IIsNntpExpire", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3VirtualDir_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCertMapper_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsLogModules_IIsCustomLogModule", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpExpire_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpRebuild_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsFilters", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpSessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3RoutingSource_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebDirectory", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsPop3Info", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapServer_IIsImapRoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebServer_IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpInfo_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Sessions_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsApplicationPools", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpDomain_IIsSmtpDomain", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsMimeMap_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpServer_IIsSmtpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFilters_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Service_IIsPop3Server", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionSchemes_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebService_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsImapService_IIsImapServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsPop3Server_IIsPop3RoutingSource", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpSessions", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpServer_IIsNntpExpiration", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsFtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsObject", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebFile", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebVirtualDir_IIsWebFile", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsCompressionScheme_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsApplicationPool_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsComputer_IIsSmtpService", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsFtpServer_IIsFtpVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebFile_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsAdminACL_IIsACE", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpUser_IIsAdminACL", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsWebDirectory_IIsWebVirtualDir", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsSmtpService_IIsSmtpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpService_IIsNntpServer", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "IIsNntpFeeds_IIsNntpFeed", "IIS__PROVIDER", "Internet Information Server (IIS)", "In-proc", "Push Class/Method/Instance", "{D78F1796-E03B-4A81-AFE0-B3B6B0EEE091}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\INETSRV\IISWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "CIM_Service", "MS_VIEW_INSTANCE_PROVIDER", "View", "In-proc", "Method/Instance", "{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VIEWPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "Win32_BaseService", "MS_VIEW_INSTANCE_PROVIDER", "View", "In-proc", "Method/Instance", "{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VIEWPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MICROSOFTIISV2", "Win32_Service", "MS_VIEW_INSTANCE_PROVIDER", "View", "In-proc", "Method/Instance", "{AA70DDF4-E11C-11D1-ABB0-00C04FD9159E}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\VIEWPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IISWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/RSOP", "RsopLoggingModeProvider", "Rsop Logging Mode Provider", "Resultant Set Of Policies (Logging Mode)", "In-proc", "Method", "{B3FF88A4-96EC-4CC1-983F-72BE0EBB368B}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\GPSVC.DLL", "C:\WINDOWS\SYSTEM32\WBEM\RSOP.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/RSOP", "RsopPlanningModeProvider", "Rsop Planning Mode Provider", "Resultant Set Of Policies (Planning Mode)", "No DCOM registry registration (Exception)", "Method", "{F0FF8EBB-F14D-4369-BD2E-D84FBF6122D6}", "SELFHOST", "No DCOM registry registration (Exception)", "C:\WINDOWS\SYSTEM32\WBEM\RSOP.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/RSOP/*", "RSOP_", "Static class", "Resultant Set Of Policies", "", "", "", "", "", "C:\WINDOWS\SYSTEM32\WBEM\RSOP.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "*", "MS_SNMP_CLASS_PROVIDER", "SNMP", "In-proc", "Pull Class", "{70426720-F78F-11CF-9151-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "*", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINDOWS\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpV2ExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpV1ExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpColdStartExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpWarmStartExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkDownExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkUpExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpAuthenticationFailureExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpEGPNeighborLossExtendedNotification", "MS_SNMP_REFERENT_EVENT_PROVIDER", "SNMP Referent", "In-proc", "Event", "{9D5BED16-0765-11D1-AB2C-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpV2Notification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpV1Notification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpColdStartNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpWarmStartNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkDownNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpLinkUpNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpAuthenticationFailureNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SnmpEGPNeighborLossNotification", "MS_SNMP_ENCAPSULATED_EVENT_PROVIDER", "SNMP Encapsulated", "In-proc", "Event", "{19C813AC-FEE7-11D0-AB22-00C04FD9159E}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_system", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_interfaces", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ifTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ip", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipRouteTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipAddrTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_ipNetToMediaTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_icmp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_tcp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_tcpConnTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_udp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_udpTable", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/SNMP/LOCALHOST", "SNMP_RFC1213_MIB_snmp", "MS_SNMP_INSTANCE_PROVIDER", "SNMP", "In-proc", "Instance", "{1F517A23-B29C-11CF-8C8D-00AA00A4086C}", "No hosting model", "C:\WINNT\SYSTEM32\WBEM\SNMPINCL.DLL", "C:\WINNT\SYSTEM32\WBEM\SNMPREG.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SiteContainsConfigurationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "VirtualDirectoryContainsConfigurationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ApplicationContainsConfigurationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpWebRequestSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ApplicationPoolFailureSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SiteLogFile", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "CentralW3CLogFile", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SiteLimits", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "FormsAuthenticationCredentials", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "PerformanceCounterSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SoapEnvelopeProcessingInfo", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TypedElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ListenerElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SmtpNetworkSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SiteElementDefaults", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "VirtualDirectoryElementDefaults", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpClientCache", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "PassportAuthentication", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "WebProxyScriptSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SocketSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ProxySettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AspSession", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AssertSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AspLimits", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "WsdlHelpGeneratorInfo", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "PeriodicRestartSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "DiagnosticsSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ApplicationPoolProcessorSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpCachePolicySettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ApplicationElementDefaults", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "VerbsSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "RequestLimitsElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "RecyclingSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TraceAreaSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "NamespaceInfo", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "PerformanceCountersSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SectionInformation", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "FailureDefinition", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "FileExtensionsSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "FormsAuthenticationConfiguration", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AspCache", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AspComPlus", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ModuleSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SoapServerProtocolFactory", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TraceFailedRequestsLogging", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SmtpSpecifiedPickupDirectorySettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ServicePointManagerSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TraceSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "CentralBinaryLogFile", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "FtpCachePolicySettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ApplicationPoolElementDefaults", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "Ipv6Settings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "IPEndPoint", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ProcessModelSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "Object", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ApplicationPool", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "Server", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SSLBinding", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AppDomain", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ConfiguredObject", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "Application", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "Site", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "VirtualDirectory", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpRequest", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "WorkerProcess", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SiteUsesSSLBinding", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ServerContainsSite", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ServerContainsApplicationPool", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ApplicationPoolContainsApplication", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ServerContainsSSLBinding", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SiteContainsApplication", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "WorkerProcessContainsAppDomain", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ApplicationPoolContainsProcess", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ApplicationContainsVirtualDirectory", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "CustomError", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TraceUrl", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AssemblyElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "GroupDependency", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AuthenticationModuleElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "IPAddressFilterElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "OutputCacheProfile", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TraceAreaElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "FileExtensionElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TraceProviderDefinition", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "MimeMapElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "WildcardRedirectElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ProfileSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "RuleSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "StringElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpCompressionSchemeElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TraceAreaDefinition", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "OneToOneCertificateMappingElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "BuildProvider", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ConnectionManagementElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ClientTarget", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SegmentElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TrustLevel", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HeaderLimitsElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "GlobalModuleElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SqlCacheDependencyDatabase", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ConnectionStringSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "UrlMapping", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "DirectoryElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "CachingProfileElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "BypassElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AdapterElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SoapTransportImporterTypesInfo", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "CompilerSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpCompressionMimeTypeElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ManyToOneCertificateMappingRuleElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ProtocolElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ProviderSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "NamespaceElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AuthorizationRule", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TagPrefixInfo", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "IsapiFilterElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "VerbElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ManyToOneCertificateMappingElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "DeviceFilter", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "DeviceElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "NameTypeElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ListenerAdapterElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "BindingElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "IPPortHostBinding", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ModuleAction", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ApplicationDependency", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "KeyValueElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "IsapiCgiRestrictionElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SoapExtensionTypesInfo", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpHandlerAction", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TypeElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ExpressionBuilder", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "FormsAuthenticationUser", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ProtocolSetting", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpErrorElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TagMapInfo", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HandlerAction", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "WebRequestModuleElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ConformanceWarning", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "EventMappingSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "BufferModeSettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "NameValueConfigurationElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "UrlSequence", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ProviderFactorySettings", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SourceElement", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpModuleAction", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ConfigurationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "XmlSerializerSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "WebLimitsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ServerRuntimeSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpLoggingSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ServerSideIncludeSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "UrlCompressionSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ConfigurationSectionWithCollection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SessionStateSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpHandlersSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SystemDiagnosticsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "IisClientCertificateMappingAuthenticationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ApplicationDependenciesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "WindowsAuthenticationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SqlCacheDependencySection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "CachingSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SecurityPolicySection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "RequestFilteringSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ModulesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpProtocolSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "CompilationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ListenerAdaptersSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpModulesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ClientTargetSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SchemaImporterExtensionsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "DefaultDocumentSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "WebServicesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "GlobalModulesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AppSettingsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "DefaultProxySection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HandlersSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "MobileControlsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "StaticContentSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "WebRequestModulesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "CustomErrorsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SystemCodeDomSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpErrorsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SiteMapSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "OutputCacheSettingsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "MembershipSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "UrlMappingsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TraceProviderDefinitionsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AuthorizationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpCompressionSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HealthMonitoringSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpRedirectSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "IsapiFiltersSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SystemDataSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ConnectionManagementSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AuthenticationModulesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "DeviceFiltersSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ProtocolsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "RoleManagerSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TraceFailedRequestsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "IsapiCgiRestrictionSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "IPSecuritySection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ConnectionStringsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpTracingSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "PagesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SettingsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "WebControlsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TrustSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AspSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TraceSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpCookiesSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TransactionsDefaultSettingsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "MachineKeySection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SystemWebDeploymentSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "LogSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "CacheSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HttpRuntimeSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "CgiSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "RequestCachingSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "DigestAuthenticationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "DirectoryBrowseSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "GlobalizationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "HostingEnvironmentSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SessionPageStateSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SystemWindowsFormsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AnonymousAuthenticationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "DateTimeSerializationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ConfigProtectedDataSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AnonymousIdentificationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AccessSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "XhtmlConformanceSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "TransactionsMachineSettingsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "IdentitySection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "SmtpMailSettingsSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "OdbcLoggingSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "AuthenticationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ProcessModelSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "ClientCertificateMappingAuthenticationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "OutputCacheSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WEBADMINISTRATION", "BasicAuthenticationSection", "WebAdministrationProvider", "Wed Administration", "In-proc", "Method/Instance", "{84951D16-922E-4692-B4E9-90DD80426ECF}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\INETSRV\WMI-APPSERVER.DLL", "C:\WINDOWS\SYSTEM32\INETSRV\WEBADMINISTRATION.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "EventTrace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Method/Push Class", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINNT\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINNT\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "BcdStore", "BcdProv", "Boot Configuration Device (BCD)", "In-proc", "Instance/Method", "{F8A56D3E-E304-4A9F-A916-5187019D7759}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\BCDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\BCD.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "BcdObject", "BcdProv", "Boot Configuration Device (BCD)", "In-proc", "Instance/Method", "{F8A56D3E-E304-4A9F-A916-5187019D7759}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\BCDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\BCD.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "WMIEvent", "WMIEventProv", "WMI Events", "In-proc", "Event", "{0725C3CB-FEFB-11D0-99F9-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSIInitiator_PersistentDevices", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSIInitiator_MethodClass", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSIInitiator_iSNSServerClass", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSIInitiator_SendTargetPortalClass", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSIInitiator_SessionClass", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSIInitiator_TargetClass", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSIInitiator_InitiatorClass", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSIInitiator_PersistentLoginClass", "MSiSCSIInitiatorProvider", "iSCSI Initiator", "In-proc", "Instance/Method", "{D0520B5D-1B5F-4ECF-A940-6E57476AE4B0}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\ISCSIWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISCSIDSC.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSNSServerProvider_DiscoveryDomainClass", "MSiSNSServerProvider", "Internet Storage Name Server (iSNS)", "In-proc", "Method/Instance", "{4762F4A1-3F3F-4529-AF9F-239F8AD485E4}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\ISNSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISNS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSNSServerProvider_NodeClass", "MSiSNSServerProvider", "Internet Storage Name Server (iSNS)", "In-proc", "Method/Instance", "{4762F4A1-3F3F-4529-AF9F-239F8AD485E4}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\ISNSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISNS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSNSServerProvider_DDDDSAssocClass", "MSiSNSServerProvider", "Internet Storage Name Server (iSNS)", "In-proc", "Method/Instance", "{4762F4A1-3F3F-4529-AF9F-239F8AD485E4}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\ISNSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISNS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSNSServerProvider_NodeEntityAssocClass", "MSiSNSServerProvider", "Internet Storage Name Server (iSNS)", "In-proc", "Method/Instance", "{4762F4A1-3F3F-4529-AF9F-239F8AD485E4}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\ISNSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISNS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSNSServerProvider_DiscoveryDomainSetClass", "MSiSNSServerProvider", "Internet Storage Name Server (iSNS)", "In-proc", "Method/Instance", "{4762F4A1-3F3F-4529-AF9F-239F8AD485E4}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\ISNSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISNS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSNSServerProvider_PortalClass", "MSiSNSServerProvider", "Internet Storage Name Server (iSNS)", "In-proc", "Method/Instance", "{4762F4A1-3F3F-4529-AF9F-239F8AD485E4}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\ISNSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISNS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSNSServerProvider_EntityClass", "MSiSNSServerProvider", "Internet Storage Name Server (iSNS)", "In-proc", "Method/Instance", "{4762F4A1-3F3F-4529-AF9F-239F8AD485E4}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\ISNSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISNS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSNSServerProvider_NodePortalAssocClass", "MSiSNSServerProvider", "Internet Storage Name Server (iSNS)", "In-proc", "Method/Instance", "{4762F4A1-3F3F-4529-AF9F-239F8AD485E4}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\ISNSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISNS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSNSServerProvider_PortalEntityAssocClass", "MSiSNSServerProvider", "Internet Storage Name Server (iSNS)", "In-proc", "Method/Instance", "{4762F4A1-3F3F-4529-AF9F-239F8AD485E4}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\ISNSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISNS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSNSServerProvider_DDNodeAssocClass", "MSiSNSServerProvider", "Internet Storage Name Server (iSNS)", "In-proc", "Method/Instance", "{4762F4A1-3F3F-4529-AF9F-239F8AD485E4}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\ISNSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\ISNS.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "*", "HiPerfCooker_v1", "High Performance Cooker Counter", "In-proc", "Instance", "{B0A2AB46-F612-4469-BEC4-7AB038BC476C}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMICOOKR.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_Eventlog", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusMediaConnect", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusResetEnd", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_NotifyAdapterArrival", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAInfo_RawCorrectedPlatformEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "KernelIdleStateChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDot11ConnectionCompletion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAEvent_MemoryError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAEvent_PCIBusError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "ProcessorCStateEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "KernelPerfStateDomainChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDot11PhyStateChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusResetStart", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "WmiMonitorBrightnessEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDot11RoamingStart", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusPortState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSFC_LinkEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAEvent_SwitchToCPEPolling", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAEvent_TLBError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSFC_AdapterEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSFC_TargetEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAEvent_BusError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAEvent_PlatformSpecificError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDot11RoamingCompletion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDot11PmkidCandidateList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDot11AssociationCompletion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDot11ScanConfirm", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDot11ConnectionStart", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDevicePowerOn", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusTaskOffloadChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusProtocolBind", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusProtocolUnbind", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusLinkState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDot11TkipmicFailure", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAEvent_SMBIOSError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAEvent_InvalidError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_NotifyAdapterRemoval", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAEvent_CPUError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAInfo_RawCMCEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDevicePowerOff", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDot11MPDUMaxLengthChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_NotifyVcRemoval", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "ProcessorPerfStateEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSTapeDriveProblemEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDot11Disassociation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusPacketFilterChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "KernelThermalPolicyChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusNetworkChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAEvent_MemoryHierarchyError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_NotifyFilterRemoval", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusOperationalStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusMediaSpecificIndicationEx", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAEvent_SystemEventError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDot11LinkQuality", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAInfo_RawMCAEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "ProcessorThrottleStateEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "IdleAccounting", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSFC_PortEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAEvent_PCIComponentError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAEvent_MemoryPageRemoved", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusDot11AssociationStart", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusLinkSpeedChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "KernelPerfStateChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_NotifyVcArrival", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusMediaSpecificIndication", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "KernelThermalConstraintChange", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSWmi_GuidRegistrationInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAEvent_SwitchToCMCPolling", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSChangerProblemEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_NotifyFilterArrival", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_StatusMediaDisconnect", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_InitiatorNodeFailureEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_InitiatorInstanceFailureEvent", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_PortalInfoClass", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMCAInfo_RawMCAData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSAgp_Information", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSRedbook_DriverInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSIde_PortDeviceInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_LB_Operations", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_NICConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSDiskDriver_Performance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSDiskDriver_Geometry", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_HBAInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "KernelPerfStates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "KernelIdleStates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_InitiatorSessionInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSChangerParameters", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSChangerProblemDeviceError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSAcpiInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSFC_EventControl", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "ProcessorBiosInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "ProcessorBiosTStates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "ProcessorStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "ProcessorAcpiCsd", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "ProcessorAcpiTsd", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "ProcessorBiosCStates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_RedirectPortalInfoClass", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSPower_DeviceWakeEnable", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSPower_DeviceEnable", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_TCPIPConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_BootConfiguration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMouse_ClassInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSMouse_PortInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSRedbook_Performance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSDeviceUI_FirmwareRevision", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSSerial_PerformanceInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSSerial_PortName", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSSerial_CommInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSSerial_HardwareConfiguration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSSerial_CommProperties", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSKeyboard_ExtendedID", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSKeyboard_PortInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSKeyboard_ClassInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSFC_HBAFCPInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_DiscoveryConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "ProcessorAcpiXpss", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSTapeDriveParam", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSTapeSymbolicName", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSTapeMediaCapacity", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSTapeProblemDeviceError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSTapeProblemIoError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSFC_HBAAdapterMethods", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictFunction", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSStorageDriver_ScsiInfoExceptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSStorageDriver_ATAPISmartData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictThresholds", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSStorageDriver_FailurePredictStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSFC_FCAdapterHBAAttributes", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_RADIUSConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSFC_FibrePortHBAMethods", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_DriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_ReceiveAntennaSelected", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_EthernetPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiLongPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiLemRejects", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_RTSThreshold", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_EthernetCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_EthernetMacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxAal34PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoMediaInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_EthernetMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_EthernetReceiveErrorAlignment", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_AddWEP", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TcpConnectionOffloadHardwareConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiShortMaximumListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxAal1PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiRingManagmentState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoLinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingLastOpenStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_ReloadDefaults", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiFrameErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TransmitsError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiAttachmentType", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoMediaConnectStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_BssIdListScan", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_InfrastructureMode", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_VendorDescription", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_QueryStatisticsInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoHardwareStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiShortPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TransmitBufferSpace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_BaseServiceSetIdentifier", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingLostFrames", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_ReceiveBlockSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_AtmTransmitCellsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_AtmReceiveCellsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiLConnectionState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CurrentLookahead", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_VendorID", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_VendorDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TransmitBlockSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_MaximumFrameSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxAal0PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_MediaSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TransmitsOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_EthernetOneTransmitCollision", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingPermanentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_ReceiveBufferSpace", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_ReceivedSignalStrength", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVciBits", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_HardwareStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_AtmSupportedAalTypes", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiFramesLost", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_PrivacyFilter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_TransmitPowerLevel", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_PhysicalMediumType", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_EthernetMaximumMulticastListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_SetTcpOffloadParameters", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoTransmitPduErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_SetInterruptModeration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_VlanIdentifier", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TcpOffloadCurrentConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentRingStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_QueryPortState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_ReceivesOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiLongCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_NetworkTypesSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_EnumerateAdapter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_QueryPciDeviceCustomProperty", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_MediaConnectStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_MaximumLookahead", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiDownstreamNodeLong", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_AtmSupportedVcRates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_LinkState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_NetworkTypeInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_NdisEnumerateVc", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentRingState", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_RemoveWEP", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_NumberOfAntennas", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiLongMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoVendorDescription", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_AuthenticationMode", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoReceivePduErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiShortMulticastList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_FragmentationThreshold", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoMediaSupported", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingLineErrors", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_AtmSupportedServiceCategory", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_Statistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentGroup", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVcs", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_EnumerateAdapterEx", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_MediaInUse", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_SetPortParameters", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_ReceiveNoBuffer", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_AtmHardwareCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_AtmReceiveCellsDropped", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiLongMaximumListSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_BSSIList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiLctFailures", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_MaximumTotalSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoReceivePdusNoBuffer", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_WEPStatus", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_EnumeratePorts", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_SetLinkParameters", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_DeviceWakeOnMagicPacketOnly", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoReceivePdusOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiShortCurrentAddress", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_QueryInterruptModeration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxActiveVpiBits", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_FddiUpstreamNodeLong", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_PowerMode", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_AtmMaxAal5PacketSize", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_MacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TcpOffloadHardwareConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_Configuration", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_LinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_ServiceSetIdentifier", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_TransmitAntennaSelected", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_EthernetMoreTransmitCollisions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_Disassociate", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_ReceiveError", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoTransmitPdusOk", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoMacOptions", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_DataRates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoMinimumLinkSpeed", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoVendorDriverVersion", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TokenRingCurrentFunctional", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_DesiredDataRates", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_80211_ReceivedSignalStrengthEventTrigger", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CoVendorId", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_TcpConnectionOffloadCurrentConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_CurrentPacketFilter", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSNdis_MaximumSendPackets", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_HBASessionConfig", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSWmi_MofData", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSWmi_PnPInstanceNames", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSWmi_ProviderInfo", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSWmi_PnPDeviceId", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_ManagementOperations", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_RequestTimeStatistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_SessionStatistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_QMIPSECStats", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_NICPerformance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_InitiatorLoginStatistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "Video_Scheduler_Statistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_MMIPSECStats", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_ConnectionStatistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_InitiatorInstanceStatistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "ProcessorPerformance", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "WmiMonitorConnectionParams", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "WmiMonitorRawEEdidV1Block", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "WmiMonitorListedFrequencyRanges", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "WmiMonitorDigitalVideoInputParams", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "WmiMonitorAnalogVideoInputParams", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "WmiMonitorID", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "WmiMonitorBrightnessMethods", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "WmiMonitorBasicDisplayParams", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "WmiMonitorColorCharacteristics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "WmiMonitorDescriptorMethods", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "WmiMonitorListedSupportedSourceModes", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "WmiMonitorBrightness", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_QueryLBPolicy", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSStorageDriver_ClassErrorLog", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSFC_FibrePortHBAAttributes", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "RegisteredGuids", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSVerifierIrpLogInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSiSCSI_SecurityCapabilities", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MS_SystemInformation", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSParallel_AllocFreeCounts", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSParallel_DeviceBytesTransferred", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSAcpi_ThermalZoneTemperature", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSSmBios_Sysid1394List", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSSmBios_SysidUUIDList", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSSmBios_SMBiosEventlog", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSSmBios_RawSMBiosTables", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/WMI", "MSFC_FibrePortHBAStatistics", "WMIProv", "Windows Driver Model (WDM)", "In-proc", "Instance/Push Class/Method", "{D2D588B5-D081-11D0-99E0-00C04FC2F8EC}", "LOCALSYSTEMHOST", "C:\WINDOWS\SYSTEM32\WBEM\WMIPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\WMI.MOF / C:\WINDOWS\SYSTEM32\WBEM\WLBSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPClassAssociationsProvider|V1.0", "Active Directory LDAP Association", "In-proc", "Instance", "{33831ED4-42B8-11D2-93AD-00805F853771}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPInstanceProvider|V1.0", "Active Directory LDAP ", "In-proc", "Instance", "{AA527A40-4D9A-11D2-93AD-00805F853771}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/DIRECTORY/LDAP", "DS_", "Microsoft|DSLDAPClassProvider|V1.0", "Active Directory LDAP ", "In-proc", "Pull Class", "{1EF94880-01A8-11D2-A90B-00AA00BF3363}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\DSPROV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/POLICY", "MSFT_SomFilter", "PolicSOM", "Polcy Scope Of Management (SOM)", "In-proc", "Instance/Method", "{AAEAE72F-0328-4763-8ECB-23422EDE2DB5}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.DLL", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/POLICY", "MSFT_SomFilterStatus", "PolicStatus", "Policy Status", "In-proc", "Instance", "{69D76D1B-B12E-4913-8F48-671B90195A2B}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.DLL", "C:\WINDOWS\SYSTEM32\WBEM\POLICMAN.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_", "MS_CLUSTER_CLASS_PROVIDER", "Cluster", "In-proc", "Push Class", "{6A52C339-DCB0-4682-8B1B-02DE2C436A6D}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Event", "Cluster Event Provider", "Cluster", "In-proc", "Event", "{92863246-4EDE-4EFF-B606-79C1971DB230}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Event", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_EventObjectRemove", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_EventObjectAdd", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_EventPropertyChange", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_EventRegistryChange", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_EventStateChange", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_EventResourceStateChange", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_EventGroupStateChange", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Cluster", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Node", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_NetworkInterface", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Service", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Resource", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Disk", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceType", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_Network", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceGroup", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_DiskPartition", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_NodeToNetworkInterface", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ClusterToNetworkInterface", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceToDisk", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceGroupToResource", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ClusterToResourceGroup", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ClusterToNetwork", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_NodeToActiveResource", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceTypeToResource", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_NodeToActiveGroup", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ClusterToQuorumResource", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ClusterToResource", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceToPossibleOwner", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceGroupToPreferredNode", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_NetworkToNetworkInterface", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ClusterToResourceType", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_DiskToDiskPartition", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ClusterToNode", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_NodeToHostedService", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/MSCLUSTER", "MSCluster_ResourceToDependentResource", "MS_CLUSTER_PROVIDER", "Cluster", "In-proc", "Instance/Method", "{598065EA-EDC9-4B2C-913B-5104D04D098A}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.DLL", "C:\WINDOWS\SYSTEM32\WBEM\CLUSWMI.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/HARDWARE", "RegisteredProfile", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Method/Instance", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/HARDWARE", "Account", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Method/Instance", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/HARDWARE", "ComputerSystem", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Method/Instance", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/HARDWARE", "AdminDomain", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Method/Instance", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/HARDWARE", "Sensor", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Method/Instance", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/HARDWARE", "NumericSensor", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Method/Instance", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/HARDWARE", "RecordLog", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Method/Instance", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/HARDWARE", "SystemSpecificCollection", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Method/Instance", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/HARDWARE", "ConcreteCollection", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Method/Instance", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/HARDWARE", "PrivilegeGroup", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Method/Instance", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/HARDWARE", "LogRecord", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Method/Instance", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/HARDWARE", "AuthorizedPrivilege", "IPMIPrv", "Intelligent Platform Management Interface (IPMI)", "In-proc", "Method/Instance", "{FD209E2E-813B-41C0-8646-4C3E9C917511}", "NETWORKSERVICEHOST", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\IPMIPRV.MOF"), _
                                       Array (cWindowsLonghornRTM, cServerOnly, "ROOT/ASPNET", "BaseEvent", "DecoupledEventProvider", "Decoupled ASP.NET", "Decoupled", "Event", "{54D8502C-527D-43F7-A506-A9DA075E229C}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\MICROSOFT.NET\FRAMEWORK\V2.0.50727\ASPNET.MOF"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM", "SMS_Client", "SmsClientMethodProvider", "SMS Client", "In-proc", "Method", "{2410CAC5-AB48-4AB8-8725-9BF0625C2B94}", "LOCALSYSTEMHOST:SMS", "C:\WINDOWS\SYSTEM32\CCM\SMSCLIENT.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/EVENTS", "CCM_Event", "StatusAgentProvider", "SMS Status Agent", "Decoupled", "Event", "{54D8502C-527D-43F7-A506-A9DA075E229C}", "DECOUPLED:COM", "No located BIN file", "C:\WINDOWS\MICROSOFT.NET\FRAMEWORK\V2.0.50727\ASPNET.MOF"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/INVAGT", "SMS_MIFGroup", "MIFProv", "SMS Management Information File", "In-proc", "Instance", "{0362A876-DEED-41E2-9C43-88E5AE953288}", "LOCALSYSTEMHOST:SMS", "C:\WINDOWS\SYSTEM32\CCM\MIFPROV.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/INVAGT", "*", "FSInvProv", "SMS File System Inventory", "No DCOM registry registration", "Instance", "{B982D155-CC99-41E6-AC31-C2A4EA3E5625}", "LOCALSYSTEMHOST:SMS", "No DCOM registry registration", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/INVAGT", "CCM_ComputerSystem", "DDRInstProv", "SMS Discovery Data Record", "In-proc", "Instance", "{49507317-AA1F-4FB2-B9EF-52BCF10D5A71}", "LOCALSYSTEMHOST:SMS", "C:\WINDOWS\SYSTEM32\CCM\DDRPROV.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/INVAGT", "ADSiteName", "DDRInstProv", "SMS Discovery Data Record", "In-proc", "Instance", "{49507317-AA1F-4FB2-B9EF-52BCF10D5A71}", "LOCALSYSTEMHOST:SMS", "C:\WINDOWS\SYSTEM32\CCM\DDRPROV.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/INVAGT", "CCM_DiscoveryData", "DDRInstProv", "SMS Discovery Data Record", "In-proc", "Instance", "{49507317-AA1F-4FB2-B9EF-52BCF10D5A71}", "LOCALSYSTEMHOST:SMS", "C:\WINDOWS\SYSTEM32\CCM\DDRPROV.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/INVAGT", "CCM_System", "DDRInstProv", "SMS Discovery Data Record", "In-proc", "Instance", "{49507317-AA1F-4FB2-B9EF-52BCF10D5A71}", "LOCALSYSTEMHOST:SMS", "C:\WINDOWS\SYSTEM32\CCM\DDRPROV.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/INVAGT", "CCM_NetworkAdapterConfiguration", "DDRInstProv", "SMS Discovery Data Record", "In-proc", "Instance", "{49507317-AA1F-4FB2-B9EF-52BCF10D5A71}", "LOCALSYSTEMHOST:SMS", "C:\WINDOWS\SYSTEM32\CCM\DDRPROV.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/INVAGT", "CCM_ADSiteInfo", "DDRInstProv", "SMS Discovery Data Record", "In-proc", "Instance", "{49507317-AA1F-4FB2-B9EF-52BCF10D5A71}", "LOCALSYSTEMHOST:SMS", "C:\WINDOWS\SYSTEM32\CCM\DDRPROV.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY", "CCM_PolicyReplicationConsumer", "PolicyReplicationConsumerProvider", "SMS Policy Replication", "In-proc", "Event/consumer", "{BA9313BF-AF06-4F18-949E-82A861AF2D57}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Policy", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Policy", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_SoftwareDistribution", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Scheduler_ScheduledMessage", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_ClientProperties", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_DirectoryLookup_Configuration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Service_BITSConfiguration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Logging_ComponentConfiguration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "SMS_InventoryAgent_Policy", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "InventoryClientAuthenticationConfig", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "InventoryAction", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "InventoryDataItem", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Message_Auth_Configuration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Service_IISConfiguration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Message_Encrypt_Configuration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Service_HostedClass", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_PolicyAgent_Configuration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_SoftwareMeteringRule", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_EventForwarder_Configuration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_StandardEventForwarder_Configuration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_ProductSource", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Service_EndpointConfiguration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Service_SystemTaskConfiguration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_ComponentClientConfig", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_InventoryClientConfig", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_RemoteTools_Policy", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_RemoteToolsConfig", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_SourceUpdateClientConfig", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_SoftwareMeteringClientConfig", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_SoftwareDistributionClientConfig", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_ClientActions", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "SMS_FileCollectionAgent_Policy", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CollectableFileItem", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "FileCollectionAction", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Logging_GlobalConfiguration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Service_GlobalConfiguration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Messaging_Configuration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "CCM_Policy_EmbeddedObject", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "SMS_InventoryAgent_EmbeddedObject", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "InventoryDataContext", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/S_*", "PropertyRule", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Policy", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Policy", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Service_GlobalConfiguration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Messaging_Configuration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Service_BITSConfiguration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Service_IISConfiguration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Service_EndpointConfiguration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Service_HostedClass", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_ComponentClientConfig", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_SoftwareDistributionClientConfig", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_SourceUpdateClientConfig", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_RemoteTools_Policy", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_RemoteToolsConfig", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_SoftwareMeteringClientConfig", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_InventoryClientConfig", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_SoftwareDistribution", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_ProductSource", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_PolicyAgent_Configuration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "SMS_InventoryAgent_Policy", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "InventoryAction", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "InventoryClientAuthenticationConfig", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "InventoryDataItem", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "SMS_FileCollectionAgent_Policy", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "FileCollectionAction", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CollectableFileItem", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Message_Encrypt_Configuration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_SoftwareMeteringRule", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Service_SystemTaskConfiguration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_EventForwarder_Configuration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_StandardEventForwarder_Configuration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_DirectoryLookup_Configuration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Scheduler_ScheduledMessage", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Message_Auth_Configuration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Logging_GlobalConfiguration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_ClientActions", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_ClientProperties", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Logging_ComponentConfiguration", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "CCM_Policy_EmbeddedObject", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "SMS_InventoryAgent_EmbeddedObject", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "InventoryDataContext", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "PropertyRule", "PolicyAgentInstanceProvider", "SMS Policy Agent", "In-proc", "Event/Instance", "{FBCE4709-6098-43C6-9211-BBDCC188B591}", "LOCALSYSTEMHOST:CCM", "C:\WINDOWS\SYSTEM32\CCM\POLICYAGENTPROVIDER.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CCM/POLICY/MACHINE", "hkey_local_machine", "RegistryEventProvider", "Registry", "In-proc", "Event", "{FA77A74E-E109-11D0-AD6E-00C04FD8FDFF}", "LOCALSYSTEMHOST:SMS", "C:\WINDOWS\SYSTEM32\WBEM\STDPROV.DLL", "C:\WINDOWS\SYSTEM32\WBEM\REGEVENT.MOF"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CIMV2/SMS", "*", "SMSInstProvider", "SMS Processor", "In-proc", "Instance", "{3867E993-E1EC-11D2-846E-00105A1F7D6D}", "LOCALSYSTEMHOST:SMS", "C:\WINDOWS\SYSTEM32\CCM\SMSPROC.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CIMV2/SMS", "SMS_Processor", "SMS_CIMV2", "SMS Processor", "In-proc", "Instance", "{3867E993-E1EC-11D2-846E-00105A1F7D6D}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CCM\SMSPROC.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CIMV2/SMS", "SMS_LogicalDisk", "SMS_CIMLD", "SMS Logical Disk", "In-proc", "Instance", "{2E48AA12-2801-11D3-88DA-00105A1F82ED}", "LOCALSYSTEMHOSTORSELFHOST (*)", "C:\WINDOWS\SYSTEM32\CCM\SMSCCMLD.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CIMV2/SMS", "*", "SMS_CIMP", "SMS CIMP", "No DCOM registry registration", "Instance", "{4024F591-812C-4EE2-9648-CC3E53CD8EB2}", "LOCALSYSTEMHOSTORSELFHOST (*)", "No DCOM registry registration", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CIMV2/SMS", "*", "SMSDiskInstProvider", "SMS Disk", "In-proc", "Instance", "{2E48AA12-2801-11D3-88DA-00105A1F82ED}", "LOCALSYSTEMHOST:SMS", "C:\WINDOWS\SYSTEM32\CCM\SMSCCMLD.DLL", "No located MOF file (exception)"), _
                                       Array (cWindowsAnyVersion, cClientAndServer, "ROOT/CIMV2/SMS", "*", "AAInstProv", "Asset Intelligence", "In-proc", "Instance", "{86875FDD-EB5D-4742-8026-94B2E31E1AB9}", "LOCALSYSTEMHOST:SMS", "C:\WINDOWS\SYSTEM32\CCM\AAPROV.DLL", "No located MOF file (exception)") _
                                      )
End Function
'' SIG '' Begin signature block
'' SIG '' MIIbIQYJKoZIhvcNAQcCoIIbEjCCGw4CAQExCzAJBgUr
'' SIG '' DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
'' SIG '' gjcCAR4wJAIBAQQQTvApFpkntU2P5azhDxfrqwIBAAIB
'' SIG '' AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFJ3aIRDFUkPv
'' SIG '' Mnz2r6WuGEUQNV43oIIV8jCCBKAwggOIoAMCAQICCmEa
'' SIG '' 9eoAAAAAAGowDQYJKoZIhvcNAQEFBQAweTELMAkGA1UE
'' SIG '' BhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNV
'' SIG '' BAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBD
'' SIG '' b3Jwb3JhdGlvbjEjMCEGA1UEAxMaTWljcm9zb2Z0IENv
'' SIG '' ZGUgU2lnbmluZyBQQ0EwHhcNMTExMTAxMjIzOTE3WhcN
'' SIG '' MTMwMjAxMjI0OTE3WjCBgzELMAkGA1UEBhMCVVMxEzAR
'' SIG '' BgNVBAgTCldhc2hpbmd0b24xEDAOBgNVBAcTB1JlZG1v
'' SIG '' bmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlv
'' SIG '' bjENMAsGA1UECxMETU9QUjEeMBwGA1UEAxMVTWljcm9z
'' SIG '' b2Z0IENvcnBvcmF0aW9uMIIBIjANBgkqhkiG9w0BAQEF
'' SIG '' AAOCAQ8AMIIBCgKCAQEAw6kfz3wjfzEeBiWJ3XV5uc+T
'' SIG '' S2GStpXy76olnXfzS1ptSZDM4DG4pgI3h3Sv8qygYJS4
'' SIG '' x04l/ofYWNIgTi3xOmUuklumXeaVdeA05VAhnH05l7aO
'' SIG '' RCNmFqZlIOA264r6neLLYAH8KmTIh0UU8R7KzSisuuVX
'' SIG '' WSbc7MVKbJrmAxopMj8AnoOsJQ2EzN1vtmq7LfeEOm1m
'' SIG '' Meg2cP+EkpD3QHaeiC5H1isR94/gEmUrvF/vFfz37AFo
'' SIG '' t0UM7sAEsA63vXhrro3kUPE14p4B0uHrW3GCYSEg89TJ
'' SIG '' 3hy4AkVlSb5+tTeGp83sWt+4diD8ERNR/PoqUKq0HtA6
'' SIG '' gL5jytyBRwIDAQABo4IBHTCCARkwEwYDVR0lBAwwCgYI
'' SIG '' KwYBBQUHAwMwHQYDVR0OBBYEFAADpuWixHGigsOPds0s
'' SIG '' DRLinUooMA4GA1UdDwEB/wQEAwIHgDAfBgNVHSMEGDAW
'' SIG '' gBRXRXQcXbD2yEMF4IxULY8yp/5IljBWBgNVHR8ETzBN
'' SIG '' MEugSaBHhkVodHRwOi8vY3JsLm1pY3Jvc29mdC5jb20v
'' SIG '' cGtpL2NybC9wcm9kdWN0cy9NaWNDb2RTaWdQQ0FfMDgt
'' SIG '' MzEtMjAxMC5jcmwwWgYIKwYBBQUHAQEETjBMMEoGCCsG
'' SIG '' AQUFBzAChj5odHRwOi8vd3d3Lm1pY3Jvc29mdC5jb20v
'' SIG '' cGtpL2NlcnRzL01pY0NvZFNpZ1BDQV8wOC0zMS0yMDEw
'' SIG '' LmNydDANBgkqhkiG9w0BAQUFAAOCAQEAkPf4eZJpyI9r
'' SIG '' imDufMGuPoE4UvS6z5mM8C09E/Su9mHwdThOWcY/B0P5
'' SIG '' B3zHU+SRYtaodhR1lIZZsroQwn9sFT8ZFcMOL345w8/+
'' SIG '' VCdYlDVhB3ltUVewEuHqY3KKFmbrnzkqMwQ1i4PeCl4x
'' SIG '' vJ8d7jVFDV3Hl98q4J1/Okn740hFMt82bQludlVVrDTF
'' SIG '' eV1uAtXMl4nzqGh9FOppewtVfQKMxE0wvGL3e6XsoJLw
'' SIG '' DioOr1ebKUjNtiGl6h3v3An1q2LWDew1X2uZ1LHwd1L5
'' SIG '' d+k/bJhWwFw2oU5eEPSMehGXICAxCHluchZfHDBXm8t8
'' SIG '' olX1cGx47KFDIK7ssDWLGDCCBLowggOioAMCAQICCmEF
'' SIG '' GZYAAAAAABswDQYJKoZIhvcNAQEFBQAwdzELMAkGA1UE
'' SIG '' BhMCVVMxEzARBgNVBAgTCldhc2hpbmd0b24xEDAOBgNV
'' SIG '' BAcTB1JlZG1vbmQxHjAcBgNVBAoTFU1pY3Jvc29mdCBD
'' SIG '' b3Jwb3JhdGlvbjEhMB8GA1UEAxMYTWljcm9zb2Z0IFRp
'' SIG '' bWUtU3RhbXAgUENBMB4XDTExMDcyNTIwNDIxOVoXDTEy
'' SIG '' MTAyNTIwNDIxOVowgbMxCzAJBgNVBAYTAlVTMRMwEQYD
'' SIG '' VQQIEwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25k
'' SIG '' MR4wHAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24x
'' SIG '' DTALBgNVBAsTBE1PUFIxJzAlBgNVBAsTHm5DaXBoZXIg
'' SIG '' RFNFIEVTTjo5RTc4LTg2NEItMDM5RDElMCMGA1UEAxMc
'' SIG '' TWljcm9zb2Z0IFRpbWUtU3RhbXAgU2VydmljZTCCASIw
'' SIG '' DQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBANPLO1Oi
'' SIG '' n0SjeqtNVnFTineqN5N+AT79qwKjU6n/0bEixQCQ53Vu
'' SIG '' 7hjogQ4TxdhhAL4foHY7BA0ExQSgqPxDUwahBAS5C5KY
'' SIG '' AmI479QzEvcrPXvvrUVXhZUgn9djNJxiRo6+ruDZnjn2
'' SIG '' qVX9z+d35jUT71zov0iTTxpDB1g4in+FFGzqydBLeoJu
'' SIG '' y9MVYAgUiZSoWz86yT8gfW0vWBp9yoo4vMPCOWjYLVga
'' SIG '' I+0qEAhaIIyCpe3Rl0WShczDN4PfDZh8xdO24JlT2HgI
'' SIG '' 9eUjIQdihlpqaRn9cPlTNIH3JTEZhoeLwFWa/apMNRX9
'' SIG '' W+mVyatTmClfLKXhJQ9kxfKwJ3UCAwEAAaOCAQkwggEF
'' SIG '' MB0GA1UdDgQWBBR5I+ehDb5VLGgYKWKCZ9bz4TY4WjAf
'' SIG '' BgNVHSMEGDAWgBQjNPjZUkZwCu1A+3b7syuwwzWzDzBU
'' SIG '' BgNVHR8ETTBLMEmgR6BFhkNodHRwOi8vY3JsLm1pY3Jv
'' SIG '' c29mdC5jb20vcGtpL2NybC9wcm9kdWN0cy9NaWNyb3Nv
'' SIG '' ZnRUaW1lU3RhbXBQQ0EuY3JsMFgGCCsGAQUFBwEBBEww
'' SIG '' SjBIBggrBgEFBQcwAoY8aHR0cDovL3d3dy5taWNyb3Nv
'' SIG '' ZnQuY29tL3BraS9jZXJ0cy9NaWNyb3NvZnRUaW1lU3Rh
'' SIG '' bXBQQ0EuY3J0MBMGA1UdJQQMMAoGCCsGAQUFBwMIMA0G
'' SIG '' CSqGSIb3DQEBBQUAA4IBAQBHwnaBWzHdb9M8mfJ6bH6X
'' SIG '' E1AsBRcbELhEobWM9FbPvbAhtGRtYRzY7ujr9ZLuQ6IY
'' SIG '' RMP6+u+ttlx/l21LtUP7J2F4CFR8sfmvmAq0dMSq6C1Q
'' SIG '' xH3+fU6hmdYnKLeu2N+xj4Mijs7zefxhFG2/68yEsN+j
'' SIG '' u1sFt+pU9WIdbCemY0v646H6u9+FlmVpU7C2cZhkJma9
'' SIG '' xfFcYryR9D2cS0IADc84BRQmWtwqBUt/apk42N1zmaLO
'' SIG '' jFAknqTr9T+KeMxUmV0lZqRBBiivScS0UpTs3gKDZP5N
'' SIG '' 1P9LovwpgNvuP6s87TOIyr8iYNBcOwSwCrSYbTynOk+a
'' SIG '' 0QEWEWKKQXagMIIGBzCCA++gAwIBAgIKYRZoNAAAAAAA
'' SIG '' HDANBgkqhkiG9w0BAQUFADBfMRMwEQYKCZImiZPyLGQB
'' SIG '' GRYDY29tMRkwFwYKCZImiZPyLGQBGRYJbWljcm9zb2Z0
'' SIG '' MS0wKwYDVQQDEyRNaWNyb3NvZnQgUm9vdCBDZXJ0aWZp
'' SIG '' Y2F0ZSBBdXRob3JpdHkwHhcNMDcwNDAzMTI1MzA5WhcN
'' SIG '' MjEwNDAzMTMwMzA5WjB3MQswCQYDVQQGEwJVUzETMBEG
'' SIG '' A1UECBMKV2FzaGluZ3RvbjEQMA4GA1UEBxMHUmVkbW9u
'' SIG '' ZDEeMBwGA1UEChMVTWljcm9zb2Z0IENvcnBvcmF0aW9u
'' SIG '' MSEwHwYDVQQDExhNaWNyb3NvZnQgVGltZS1TdGFtcCBQ
'' SIG '' Q0EwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIB
'' SIG '' AQCfoWyx39tIkip8ay4Z4b3i48WZUSNQrc7dGE4kD+7R
'' SIG '' p9FMrXQwIBHrB9VUlRVJlBtCkq6YXDAm2gBr6Hu97IkH
'' SIG '' D/cOBJjwicwfyzMkh53y9GccLPx754gd6udOo6HBI1PK
'' SIG '' jfpFzwnQXq/QsEIEovmmbJNn1yjcRlOwhtDlKEYuJ6yG
'' SIG '' T1VSDOQDLPtqkJAwbofzWTCd+n7Wl7PoIZd++NIT8wi3
'' SIG '' U21StEWQn0gASkdmEScpZqiX5NMGgUqi+YSnEUcUCYKf
'' SIG '' hO1VeP4Bmh1QCIUAEDBG7bfeI0a7xC1Un68eeEExd8yb
'' SIG '' 3zuDk6FhArUdDbH895uyAc4iS1T/+QXDwiALAgMBAAGj
'' SIG '' ggGrMIIBpzAPBgNVHRMBAf8EBTADAQH/MB0GA1UdDgQW
'' SIG '' BBQjNPjZUkZwCu1A+3b7syuwwzWzDzALBgNVHQ8EBAMC
'' SIG '' AYYwEAYJKwYBBAGCNxUBBAMCAQAwgZgGA1UdIwSBkDCB
'' SIG '' jYAUDqyCYEBWJ5flJRP8KuEKU5VZ5KShY6RhMF8xEzAR
'' SIG '' BgoJkiaJk/IsZAEZFgNjb20xGTAXBgoJkiaJk/IsZAEZ
'' SIG '' FgltaWNyb3NvZnQxLTArBgNVBAMTJE1pY3Jvc29mdCBS
'' SIG '' b290IENlcnRpZmljYXRlIEF1dGhvcml0eYIQea0WoUqg
'' SIG '' pa1Mc1j0BxMuZTBQBgNVHR8ESTBHMEWgQ6BBhj9odHRw
'' SIG '' Oi8vY3JsLm1pY3Jvc29mdC5jb20vcGtpL2NybC9wcm9k
'' SIG '' dWN0cy9taWNyb3NvZnRyb290Y2VydC5jcmwwVAYIKwYB
'' SIG '' BQUHAQEESDBGMEQGCCsGAQUFBzAChjhodHRwOi8vd3d3
'' SIG '' Lm1pY3Jvc29mdC5jb20vcGtpL2NlcnRzL01pY3Jvc29m
'' SIG '' dFJvb3RDZXJ0LmNydDATBgNVHSUEDDAKBggrBgEFBQcD
'' SIG '' CDANBgkqhkiG9w0BAQUFAAOCAgEAEJeKw1wDRDbd6bSt
'' SIG '' d9vOeVFNAbEudHFbbQwTq86+e4+4LtQSooxtYrhXAstO
'' SIG '' IBNQmd16QOJXu69YmhzhHQGGrLt48ovQ7DsB7uK+jwoF
'' SIG '' yI1I4vBTFd1Pq5Lk541q1YDB5pTyBi+FA+mRKiQicPv2
'' SIG '' /OR4mS4N9wficLwYTp2OawpylbihOZxnLcVRDupiXD8W
'' SIG '' mIsgP+IHGjL5zDFKdjE9K3ILyOpwPf+FChPfwgphjvDX
'' SIG '' uBfrTot/xTUrXqO/67x9C0J71FNyIe4wyrt4ZVxbARcK
'' SIG '' FA7S2hSY9Ty5ZlizLS/n+YWGzFFW6J1wlGysOUzU9nm/
'' SIG '' qhh6YinvopspNAZ3GmLJPR5tH4LwC8csu89Ds+X57H21
'' SIG '' 46SodDW4TsVxIxImdgs8UoxxWkZDFLyzs7BNZ8ifQv+A
'' SIG '' eSGAnhUwZuhCEl4ayJ4iIdBD6Svpu/RIzCzU2DKATCYq
'' SIG '' SCRfWupW76bemZ3KOm+9gSd0BhHudiG/m4LBJ1S2sWo9
'' SIG '' iaF2YbRuoROmv6pH8BJv/YoybLL+31HIjCPJZr2dHYcS
'' SIG '' ZAI9La9Zj7jkIeW1sMpjtHhUBdRBLlCslLCleKuzoJZ1
'' SIG '' GtmShxN1Ii8yqAhuoFuMJb+g74TKIdbrHk/Jmu5J4PcB
'' SIG '' ZW+JC33Iacjmbuqnl84xKf8OxVtc2E0bodj6L54/LlUW
'' SIG '' a8kTo/0wggaBMIIEaaADAgECAgphFQgnAAAAAAAMMA0G
'' SIG '' CSqGSIb3DQEBBQUAMF8xEzARBgoJkiaJk/IsZAEZFgNj
'' SIG '' b20xGTAXBgoJkiaJk/IsZAEZFgltaWNyb3NvZnQxLTAr
'' SIG '' BgNVBAMTJE1pY3Jvc29mdCBSb290IENlcnRpZmljYXRl
'' SIG '' IEF1dGhvcml0eTAeFw0wNjAxMjUyMzIyMzJaFw0xNzAx
'' SIG '' MjUyMzMyMzJaMHkxCzAJBgNVBAYTAlVTMRMwEQYDVQQI
'' SIG '' EwpXYXNoaW5ndG9uMRAwDgYDVQQHEwdSZWRtb25kMR4w
'' SIG '' HAYDVQQKExVNaWNyb3NvZnQgQ29ycG9yYXRpb24xIzAh
'' SIG '' BgNVBAMTGk1pY3Jvc29mdCBDb2RlIFNpZ25pbmcgUENB
'' SIG '' MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA
'' SIG '' n43fhTeMsQZWZjZO1ArrNiORHq+rjVjpxM/BnzoKJMTE
'' SIG '' xF6w7hUUxfo+mTNrGWly9HwFX+WZJUTXNRmKkNwojpAM
'' SIG '' 79WQYa3e3BhwLYPJb6+FLPjdubkw/XF4HIP9yKm5gmcN
'' SIG '' erjBCcK8FpdXPxyY02nXMJCQkI0wH9gm1J57iNniCe2X
'' SIG '' SUXrBFKBdXu4tSK4Lla718+pTjwKg6KoOsWttgEOas8i
'' SIG '' tCMfbNUn57d+wbTVMq15JRxChuKdhfRX2htZLy0mkinF
'' SIG '' s9eFo55gWpTme5x7XoI0S23/1O4n0KLc0ZAMzn0OFXyI
'' SIG '' rDTHwGyYhErJRHloKN8igw24iixIYeL+EQIDAQABo4IC
'' SIG '' IzCCAh8wEAYJKwYBBAGCNxUBBAMCAQAwHQYDVR0OBBYE
'' SIG '' FFdFdBxdsPbIQwXgjFQtjzKn/kiWMAsGA1UdDwQEAwIB
'' SIG '' xjAPBgNVHRMBAf8EBTADAQH/MIGYBgNVHSMEgZAwgY2A
'' SIG '' FA6sgmBAVieX5SUT/CrhClOVWeSkoWOkYTBfMRMwEQYK
'' SIG '' CZImiZPyLGQBGRYDY29tMRkwFwYKCZImiZPyLGQBGRYJ
'' SIG '' bWljcm9zb2Z0MS0wKwYDVQQDEyRNaWNyb3NvZnQgUm9v
'' SIG '' dCBDZXJ0aWZpY2F0ZSBBdXRob3JpdHmCEHmtFqFKoKWt
'' SIG '' THNY9AcTLmUwUAYDVR0fBEkwRzBFoEOgQYY/aHR0cDov
'' SIG '' L2NybC5taWNyb3NvZnQuY29tL3BraS9jcmwvcHJvZHVj
'' SIG '' dHMvbWljcm9zb2Z0cm9vdGNlcnQuY3JsMFQGCCsGAQUF
'' SIG '' BwEBBEgwRjBEBggrBgEFBQcwAoY4aHR0cDovL3d3dy5t
'' SIG '' aWNyb3NvZnQuY29tL3BraS9jZXJ0cy9NaWNyb3NvZnRS
'' SIG '' b290Q2VydC5jcnQwdgYDVR0gBG8wbTBrBgkrBgEEAYI3
'' SIG '' FS8wXjBcBggrBgEFBQcCAjBQHk4AQwBvAHAAeQByAGkA
'' SIG '' ZwBoAHQAIACpACAAMgAwADAANgAgAE0AaQBjAHIAbwBz
'' SIG '' AG8AZgB0ACAAQwBvAHIAcABvAHIAYQB0AGkAbwBuAC4w
'' SIG '' EwYDVR0lBAwwCgYIKwYBBQUHAwMwDQYJKoZIhvcNAQEF
'' SIG '' BQADggIBADC8sCCkYqCn7zkmYT3crMaZ0IbELvWDMmVe
'' SIG '' Ij6b1ob46LafyovWO3ULoZE+TN1kdIxJ8oiMGGds/hVm
'' SIG '' Rrg6RkKXyJE31CSx56zT6kEUg3fTyU8FX6MUUr+WpC8+
'' SIG '' VlsQdc5Tw84FVGm0ZckkpQ/hJbgauU3lArlQHk+zmAwd
'' SIG '' lQLuIlmtIssFdAsERXsEWeDYD7PrTPhg3cJ4ntG6n2v3
'' SIG '' 8+5+RBFA0r26m0sWCG6kvlXkpjgSo0j0HFV6iiDRff6R
'' SIG '' 25SPL8J7a6ZkhU+j5Sw0KV0Lv/XHOC/EIMRWMfZpzoX4
'' SIG '' CpHs0NauujgFDOtuT0ycAymqovwYoCkMDVxcViNX2hyW
'' SIG '' DcgmNsFEy+Xh5m+J54/pmLVz03jj7aMBPHTlXrxs9iGJ
'' SIG '' ZwXsl521sf2vpulypcM04S+f+fRqOeItBIJb/NCcrnyd
'' SIG '' EfnmtVMZdLo5SjnrfUKzSjs3PcJKeyeY5+JOmxtKVDhq
'' SIG '' Ize+ardI7upCDUkkkY63BC6Xb+TnRbuPTf1g2ddZwtiA
'' SIG '' 1mA0e7ehkyD+gbiqpVwJ6YoNvihNftfoD+1leNExX7lm
'' SIG '' 299C5wvMAgeN3/8gBqNFZbSzMo0ukeJNtKnJ+rxrBA6y
'' SIG '' n+qf3qTJCpb0jffYmKjwhQIIWaQgpiwLGvJSBu1p5WQY
'' SIG '' G+Cjq97KfBRhQ7hl9TajVRMrZyxNGzBMMYIEmzCCBJcC
'' SIG '' AQEwgYcweTELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldh
'' SIG '' c2hpbmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNV
'' SIG '' BAoTFU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEjMCEGA1UE
'' SIG '' AxMaTWljcm9zb2Z0IENvZGUgU2lnbmluZyBQQ0ECCmEa
'' SIG '' 9eoAAAAAAGowCQYFKw4DAhoFAKCByDAZBgkqhkiG9w0B
'' SIG '' CQMxDAYKKwYBBAGCNwIBBDAcBgorBgEEAYI3AgELMQ4w
'' SIG '' DAYKKwYBBAGCNwIBFTAjBgkqhkiG9w0BCQQxFgQU3u2r
'' SIG '' ana1XfBmoHim+LlakxcnorQwaAYKKwYBBAGCNwIBDDFa
'' SIG '' MFigGIAWAFcATQBJAEQAaQBhAGcALgB2AGIAc6E8gDpo
'' SIG '' dHRwOi8vd3d3Lm1pY3Jvc29mdC5jb20vZG93bmxvYWQv
'' SIG '' ZW4vZGV0YWlscy5hc3B4P2lkPTc2ODQgMA0GCSqGSIb3
'' SIG '' DQEBAQUABIIBABb22t8Qw3kG3Rqh4jLCuaaXOOTVd7lm
'' SIG '' HIIPDwJlnZIFElGLdNjAUmTcoWz0B89MgL6GND49LmT7
'' SIG '' dF75eLyVGhGfoQ4QsRBzDhYMJ8czJ8qu2VjeI23fCzwi
'' SIG '' 2xLoMQPIwefdg8Ux+kZA9TJzq1Na/B7EFnp70L11iNz8
'' SIG '' BdOYlGLOzKEEc4Cev3vzfFgAZM1tM5Rrfyb92u0N7A3k
'' SIG '' dBR5UTSp64B0uvdQV+dMU/syuMgTArbtNHo2DRCFQN3D
'' SIG '' 4DXXM+UyvfiwbG/kd8joel5jrHYLmg7hnYPL4JWP2dNa
'' SIG '' +r3P8Pms8FFP5iTTOy6B2COHDYRANuDdFA00HIxnXM6x
'' SIG '' HCShggIdMIICGQYJKoZIhvcNAQkGMYICCjCCAgYCAQEw
'' SIG '' gYUwdzELMAkGA1UEBhMCVVMxEzARBgNVBAgTCldhc2hp
'' SIG '' bmd0b24xEDAOBgNVBAcTB1JlZG1vbmQxHjAcBgNVBAoT
'' SIG '' FU1pY3Jvc29mdCBDb3Jwb3JhdGlvbjEhMB8GA1UEAxMY
'' SIG '' TWljcm9zb2Z0IFRpbWUtU3RhbXAgUENBAgphBRmWAAAA
'' SIG '' AAAbMAcGBSsOAwIaoF0wGAYJKoZIhvcNAQkDMQsGCSqG
'' SIG '' SIb3DQEHATAcBgkqhkiG9w0BCQUxDxcNMTIwMTI2MTY1
'' SIG '' NzMwWjAjBgkqhkiG9w0BCQQxFgQUX3wxDXvBtjj87X3V
'' SIG '' NAt3A1TbCMMwDQYJKoZIhvcNAQEFBQAEggEAF8Or8qJ3
'' SIG '' tOgmdLXmoT7njCz3x8iYIqH1BrcZVltdzPlETnWAQWpe
'' SIG '' pOkUCH2F8r8nH0GUVnV+thCYJ1s0OZijRP/g1hCEYuD+
'' SIG '' keL77LF/BrUYbZmm0uJ4t1+nHG6w7T21vN0QoYk6K34W
'' SIG '' OsQbk+/9GyDrqbxUH0kFZx0uLxt+S9ml3YQ1f7IpXm3u
'' SIG '' /9BggChRv3XNPzVywuDd3RgrBfF4f4MADEW7tN9VUqIf
'' SIG '' oV99NhhJNX5UO2cqf/n0PoxVHr5gueCgIQiv5VFab/xn
'' SIG '' N5PiE4IMeNQA9r5zSaSCYdIUDvRUDVudR/NRmsteQKYg
'' SIG '' dECVgwTytqtcnkzf8PoXv/bJwQ==
'' SIG '' End signature block
